
namespace  {
const int kLSize = 3022;
const int kRSize = 3022;

bool IsBoundaryInternal(uint16 rid, uint16 lid) {
  // BOS * or * EOS true
  if (rid == 0 || lid == 0) { return true; }
  // 名詞,数,アラビア数字 名詞,数,(アラビア数字|漢数字) false
  if (((rid == 2335)) && ((lid == 2335) || (lid >= 2337 && lid <= 2343))) { return false; }
  // 名詞,数,漢数字 名詞,数,アラビア数字 true
  if (((rid >= 2337 && rid <= 2343)) && ((lid == 2335))) { return true; }
  // 名詞,数,漢数字 名詞,数,漢数字 false
  if (((rid >= 2337 && rid <= 2343)) && ((lid >= 2337 && lid <= 2343))) { return false; }
  // 名詞,数,(アラビア数字|漢数字) 名詞,数,区切り文字 false
  if (((rid == 2335) || (rid >= 2337 && rid <= 2343)) && ((lid == 2336))) { return false; }
  // 名詞,数,区切り文字 名詞,数,(アラビア数字|漢数字) false
  if (((rid == 2336)) && ((lid == 2335) || (lid >= 2337 && lid <= 2343))) { return false; }
  // 接頭詞,数接続 名詞,数,漢数字 false
  if (((rid == 2999)) && ((lid >= 2337 && lid <= 2343))) { return false; }
  // 記号,(句点|読点|括弧開|括弧閉) * true
  if ((rid >= 3002 && rid <= 3005)) { return true; }
  // * 記号,(句点|読点|括弧開|括弧閉|空白) true
  if ((lid >= 3002 && lid <= 3005)) { return true; }
  // ^フィラー,*,*,*,*,*,(あ|え|と|ま) * false
  if ((rid >= 3 && rid <= 11)) { return false; }
  // * ^フィラー,*,*,*,*,*,(あ|え|と|ま) false
  if ((lid >= 3 && lid <= 11)) { return false; }
  // ^フィラー * true
  if ((rid >= 2 && rid <= 11)) { return true; }
  // * ^フィラー true
  if ((lid >= 2 && lid <= 11)) { return true; }
  // ^助詞,接続助詞 ^動詞,非自立 false
  if (((rid >= 306 && rid <= 338)) && ((lid >= 1407 && lid <= 2229))) { return false; }
  // ^動詞,自立 ^動詞,非自立 false
  if (((rid >= 543 && rid <= 1406)) && ((lid >= 1407 && lid <= 2229))) { return false; }
  // 副詞,一般,*,*,*,*,よく 動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 22)) && ((lid == 977) || (lid == 992) || (lid == 1007) || (lid == 1022) || (lid == 1037) || (lid == 1052) || (lid == 1067) || (lid == 1082) || (lid == 1097) || (lid == 1112) || (lid == 1127))) { return false; }
  // 名詞,接尾,サ変接続 動詞,自立,*,*,サ変・スル false
  if (((rid >= 2309 && rid <= 2313)) && ((lid >= 653 && lid <= 667))) { return false; }
  // * 動詞,非自立,*,*,五段・カ行促音便,連用タ接続,く false
  if ((lid == 1822)) { return false; }
  // ^接頭詞 ^接頭詞 true
  if (((rid >= 2975 && rid <= 2999)) && ((lid >= 2975 && lid <= 2999))) { return true; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,みたい false
  if ((lid == 2479)) { return false; }
  // * ^助詞,*,*,*,*,*,(ヲ|ニ|ナ|ネ|ヨ|ン|ヨー|ワ|デ|ノ|ヘ|ヲ|之|ナア|ネェ|ヨー|なァ) true
  if ((lid >= 295 && lid <= 297) || (lid >= 350 && lid <= 354) || (lid == 363) || (lid == 379) || (lid >= 401 && lid <= 407)) { return true; }
  // * 名詞,非自立,一般,*,*,*,(コト|フシ|ホ|モノ|ン) true
  if ((lid == 2381) || (lid >= 2384 && lid <= 2387)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ッス true
  if ((lid == 190)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,デス true
  if ((lid == 191)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ドス true
  if ((lid == 192)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,未然形,ッス true
  if ((lid == 197)) { return true; }
  // * 助動詞,*,*,*,不変化型,基本形,じゃン true
  if ((lid == 51)) { return true; }
  // * 名詞,固有名詞,地域,一般 true
  if ((lid >= 2301 && lid <= 2304)) { return true; }
  // 接頭詞,名詞接続 * false
  if ((rid >= 2976 && rid <= 2997)) { return false; }
  // * 助動詞,*,*,*,形容詞・イ段,*,無い true
  if ((lid == 90) || (lid == 92) || (lid == 94) || (lid == 96) || (lid == 98) || (lid == 100) || (lid == 102) || (lid == 104) || (lid == 106) || (lid == 108) || (lid == 110) || (lid == 112) || (lid == 114)) { return true; }
  // 動詞 助動詞,*,*,*,形容詞・イ段,*,無い true
  if (((rid >= 409 && rid <= 2229)) && ((lid == 90) || (lid == 92) || (lid == 94) || (lid == 96) || (lid == 98) || (lid == 100) || (lid == 102) || (lid == 104) || (lid == 106) || (lid == 108) || (lid == 110) || (lid == 112) || (lid == 114))) { return true; }
  // ^(助動詞|動詞),*,*,*,*,基本形 名詞,非自立,一般,*,*,*,(事|コト) true
  if (((rid == 45) || (rid >= 48 && rid <= 57) || (rid == 62) || (rid >= 75 && rid <= 77) || (rid >= 101 && rid <= 102) || (rid == 117) || (rid == 119) || (rid >= 122 && rid <= 123) || (rid >= 133 && rid <= 134) || (rid >= 139 && rid <= 140) || (rid == 145) || (rid == 148) || (rid == 153) || (rid == 156) || (rid >= 161 && rid <= 162) || (rid >= 170 && rid <= 171) || (rid == 182) || (rid >= 186 && rid <= 192) || (rid >= 208 && rid <= 209) || (rid == 220) || (rid >= 233 && rid <= 235) || (rid == 246) || (rid >= 434 && rid <= 438) || (rid >= 478 && rid <= 485) || (rid >= 524 && rid <= 526) || (rid == 556) || (rid >= 571 && rid <= 572) || (rid >= 607 && rid <= 613) || (rid >= 643 && rid <= 644) || (rid >= 660 && rid <= 661) || (rid == 671) || (rid >= 759 && rid <= 775) || (rid == 832) || (rid == 838) || (rid >= 860 && rid <= 866) || (rid >= 904 && rid <= 906) || (rid >= 925 && rid <= 927) || (rid == 943) || (rid >= 957 && rid <= 959) || (rid >= 1047 && rid <= 1061) || (rid >= 1147 && rid <= 1151) || (rid >= 1201 && rid <= 1213) || (rid >= 1314 && rid <= 1322) || (rid == 1370) || (rid >= 1390 && rid <= 1394) || (rid == 1413) || (rid == 1423) || (rid >= 1582 && rid <= 1612) || (rid == 1709) || (rid >= 1716 && rid <= 1717) || (rid >= 1745 && rid <= 1753) || (rid >= 1806 && rid <= 1810) || (rid >= 1837 && rid <= 1838) || (rid >= 1869 && rid <= 1876) || (rid >= 1907 && rid <= 1908) || (rid >= 2003 && rid <= 2019) || (rid >= 2129 && rid <= 2133) || (rid >= 2178 && rid <= 2187) || (rid == 2227)) && ((lid == 2381) || (lid == 2389))) { return true; }
  // ^名詞 助動詞,*,*,*,(文語・ル|文語・リ|文語・マジ|文語・ゴトシ|文語・ケリ|文語・キ) true
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 115 && lid <= 125) || (lid >= 143 && lid <= 155))) { return true; }
  // ^助詞 名詞,非自立,副詞可能,*,*,*,以内 true
  if (((rid >= 249 && rid <= 408)) && ((lid == 2448))) { return true; }
  // ^(動詞|助動詞|形容詞) 名詞,非自立,副詞可能,*,*,*,他 true
  if (((rid >= 42 && rid <= 248) || (rid >= 409 && rid <= 2229) || (rid >= 2480 && rid <= 2972)) && ((lid == 2446))) { return true; }
  // ^名詞,サ変接続 動詞,自立,*,*,一段,*,できる false
  if (((rid >= 2230 && rid <= 2233)) && ((lid == 678) || (lid == 695) || (lid == 712) || (lid == 729) || (lid == 746) || (lid == 763) || (lid == 780) || (lid == 797) || (lid == 814))) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,よう false
  if ((lid == 2476)) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,様 true
  if ((lid == 2477)) { return true; }
  // ^名詞,非自立 ^助詞 false
  if (((rid >= 2345 && rid <= 2479)) && ((lid >= 249 && lid <= 408))) { return false; }
  // ^名詞 助詞,終助詞,*,*,*,*,(よ|ね|の) false
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 381 && lid <= 390) || (lid >= 395 && lid <= 397))) { return false; }
  // ^名詞 ^助詞,(終助詞|特殊|接続助詞|動詞非自立的) true
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 306 && lid <= 338) || (lid >= 358 && lid <= 407))) { return true; }
  // ^名詞 ^名詞,非自立,(一般|助動詞語幹|形容動詞語幹) true
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 2345 && lid <= 2413) || (lid >= 2474 && lid <= 2479))) { return true; }
  // ^名詞 ^形容詞,非自立 true
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 2860 && lid <= 2972))) { return true; }
  // ^名詞 ^動詞,(接尾|非自立) true
  if (((rid >= 2230 && rid <= 2479)) && ((lid >= 409 && lid <= 542) || (lid >= 1407 && lid <= 2229))) { return true; }
  // ^(動詞|形容詞|助動詞) 名詞,接尾,(サ変接続|人名|副詞可能|助数詞|地域|形容動詞語幹|形容動詞語幹) true
  if (((rid >= 42 && rid <= 248) || (rid >= 409 && rid <= 2229) || (rid >= 2480 && rid <= 2972)) && ((lid >= 2309 && lid <= 2313) || (lid >= 2315 && lid <= 2316) || (lid >= 2318 && lid <= 2331))) { return true; }
  // ^(動詞|形容詞|助動詞) 形容詞,非自立,*,*,形容詞・アウオ段,*,良い true
  if (((rid >= 42 && rid <= 248) || (rid >= 409 && rid <= 2229) || (rid >= 2480 && rid <= 2972)) && ((lid == 2869) || (lid == 2876) || (lid == 2883) || (lid == 2890) || (lid == 2897) || (lid == 2904) || (lid == 2912) || (lid == 2919) || (lid == 2926) || (lid == 2933) || (lid == 2940) || (lid == 2947))) { return true; }
  // ^接頭詞,名詞接続 ^(動詞|形容詞) true
  if (((rid >= 2976 && rid <= 2997)) && ((lid >= 409 && lid <= 2229) || (lid >= 2480 && lid <= 2972))) { return true; }
  // 名詞,固有名詞,人名 名詞,接尾,人名 false
  if (((rid >= 2298 && rid <= 2300)) && ((lid == 2315))) { return false; }
  // 名詞,固有名詞,地域 名詞,接尾,地域 false
  if (((rid >= 2301 && rid <= 2305)) && ((lid >= 2319 && lid <= 2327))) { return false; }
  // 名詞,数 名詞,接尾,助数詞 true
  if (((rid >= 2334 && rid <= 2343)) && ((lid == 2318))) { return true; }
  // 名詞,接尾,特殊 名詞,接尾,助動詞語幹 false
  if (((rid == 2332)) && ((lid == 2317))) { return false; }
  // 名詞 名詞,接尾,副詞可能 true
  if (((rid >= 2230 && rid <= 2479)) && ((lid == 2316))) { return true; }
  // ^名詞,接尾 ^名詞,接尾 true
  if (((rid >= 2309 && rid <= 2332)) && ((lid >= 2309 && lid <= 2332))) { return true; }
  // * ^名詞,接尾,(副詞可能|助動詞語幹|特殊) false
  if ((lid >= 2316 && lid <= 2317) || (lid == 2332)) { return false; }
  // * ^名詞,接尾 true
  if ((lid >= 2309 && lid <= 2332)) { return true; }
  // ^助動詞,*,*,*,特殊・ダ ^名詞,非自立 false
  if (((rid >= 179 && rid <= 185)) && ((lid >= 2345 && lid <= 2479))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ワ行促音便,*,(ちまう|ちゃう|じまう|じゃう) false
  if (((rid >= 409 && rid <= 2229)) && ((lid >= 2162 && lid <= 2165) || (lid >= 2171 && lid <= 2174) || (lid >= 2180 && lid <= 2183) || (lid >= 2190 && lid <= 2193) || (lid >= 2199 && lid <= 2202) || (lid >= 2208 && lid <= 2211) || (lid >= 2218 && lid <= 2221))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行促音便,*,(てく|どく) false
  if (((rid >= 409 && rid <= 2229)) && ((lid == 1792) || (lid == 1797) || (lid == 1803) || (lid == 1808) || (lid == 1813) || (lid == 1818) || (lid == 1823) || (lid == 1828))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行イ音便,*,とく false
  if (((rid >= 409 && rid <= 2229)) && ((lid == 1720) || (lid == 1729) || (lid == 1738) || (lid == 1747) || (lid == 1756) || (lid == 1765) || (lid == 1774) || (lid == 1783))) { return false; }
  // ^動詞 動詞,非自立,*,*,一段,*,(てる|でる) false
  if (((rid >= 409 && rid <= 2229)) && ((lid == 1441) || (lid == 1443) || (lid == 1472) || (lid == 1474) || (lid == 1503) || (lid == 1505) || (lid == 1534) || (lid == 1536) || (lid == 1565) || (lid == 1567) || (lid == 1596) || (lid == 1598) || (lid == 1627) || (lid == 1629) || (lid == 1658) || (lid == 1660) || (lid == 1688) || (lid == 1690))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ラ行,*,(とる|どる) false
  if (((rid >= 409 && rid <= 2229)) && ((lid >= 1922 && lid <= 1923) || (lid >= 1939 && lid <= 1940) || (lid >= 1957 && lid <= 1958) || (lid >= 1974 && lid <= 1975) || (lid >= 1991 && lid <= 1992) || (lid >= 2008 && lid <= 2009) || (lid >= 2025 && lid <= 2026) || (lid >= 2042 && lid <= 2043) || (lid >= 2059 && lid <= 2060) || (lid >= 2076 && lid <= 2077) || (lid >= 2093 && lid <= 2094))) { return false; }
  // ^副詞,助詞類接続,*,*,*,*,(そう|こう|どう|どぉ) ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 33) || (rid >= 37 && rid <= 39)) && ((lid == 977) || (lid == 992) || (lid == 1007) || (lid == 1022) || (lid == 1037) || (lid == 1052) || (lid == 1067) || (lid == 1082) || (lid == 1097) || (lid == 1112) || (lid == 1127))) { return false; }
  // ^形容詞,自立,*,*,*,連用テ接続 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2737 && rid <= 2751) || (rid >= 2851 && rid <= 2859)) && ((lid == 977) || (lid == 992) || (lid == 1007) || (lid == 1022) || (lid == 1037) || (lid == 1052) || (lid == 1067) || (lid == 1082) || (lid == 1097) || (lid == 1112) || (lid == 1127))) { return false; }
  // ^名詞,副詞可能 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2286 && rid <= 2295)) && ((lid == 977) || (lid == 992) || (lid == 1007) || (lid == 1022) || (lid == 1037) || (lid == 1052) || (lid == 1067) || (lid == 1082) || (lid == 1097) || (lid == 1112) || (lid == 1127))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) ^動詞,自立,*,*,五段・ラ行,*,ある false
  if (((rid >= 264 && rid <= 265) || (rid == 278) || (rid == 286) || (rid == 305) || (rid >= 309 && rid <= 310) || (rid == 323) || (rid >= 331 && rid <= 332) || (rid == 334) || (rid >= 340 && rid <= 341) || (rid >= 343 && rid <= 345) || (rid >= 360 && rid <= 361) || (rid == 374) || (rid >= 389 && rid <= 390) || (rid == 392) || (rid == 408)) && ((lid == 972) || (lid == 987) || (lid == 1002) || (lid == 1017) || (lid == 1032) || (lid == 1047) || (lid == 1062) || (lid == 1077) || (lid == 1092) || (lid == 1107) || (lid == 1122))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の|と) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 252 && rid <= 253) || (rid >= 264 && rid <= 265) || (rid >= 278 && rid <= 279) || (rid == 286) || (rid >= 304 && rid <= 305) || (rid >= 309 && rid <= 310) || (rid >= 323 && rid <= 325) || (rid >= 331 && rid <= 332) || (rid == 334) || (rid >= 340 && rid <= 345) || (rid == 356) || (rid >= 360 && rid <= 361) || (rid == 374) || (rid >= 389 && rid <= 390) || (rid == 392) || (rid == 408)) && ((lid >= 653 && lid <= 659) || (lid >= 661 && lid <= 667))) { return false; }
  // ^名詞,(一般|サ変接続|形容動詞語幹|副詞可能) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 2230 && rid <= 2233) || (rid >= 2235 && rid <= 2281) || (rid >= 2286 && rid <= 2295) || (rid == 2308)) && ((lid >= 653 && lid <= 659) || (lid >= 661 && lid <= 667))) { return false; }
  // ^(形容詞|動詞|副詞) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 12 && rid <= 41) || (rid >= 409 && rid <= 2229) || (rid >= 2480 && rid <= 2972)) && ((lid >= 653 && lid <= 659) || (lid >= 661 && lid <= 667))) { return false; }
  // * ^動詞,自立,*,*,サ変・スル,*,する true
  if ((lid >= 653 && lid <= 659) || (lid >= 661 && lid <= 667)) { return true; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) 形容詞,自立,*,*,形容詞・アウオ段,*,ない false
  if (((rid >= 264 && rid <= 265) || (rid == 278) || (rid == 286) || (rid == 305) || (rid >= 309 && rid <= 310) || (rid == 323) || (rid >= 331 && rid <= 332) || (rid == 334) || (rid >= 340 && rid <= 341) || (rid >= 343 && rid <= 345) || (rid >= 360 && rid <= 361) || (rid == 374) || (rid >= 389 && rid <= 390) || (rid == 392) || (rid == 408)) && ((lid == 2581) || (lid == 2596) || (lid == 2611) || (lid == 2626) || (lid == 2641) || (lid == 2656) || (lid == 2671) || (lid == 2686) || (lid == 2701) || (lid == 2716) || (lid == 2731) || (lid == 2746))) { return false; }
  // ^助詞,格助詞,引用,*,*,*,と ^動詞,自立,*,*,五段・ワ行促音便,*,いう false
  if (((rid == 356)) && ((lid == 1173) || (lid == 1189) || (lid == 1202) || (lid == 1215) || (lid == 1228) || (lid == 1241) || (lid == 1254))) { return false; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,ふう true
  if ((lid == 2478)) { return true; }
  // ^副詞,一般 形容詞,(接尾|非自立) true
  if (((rid >= 12 && rid <= 23)) && ((lid >= 2480 && lid <= 2566) || (lid >= 2860 && lid <= 2972))) { return true; }
  // ^助詞 形容詞,(接尾|非自立) true
  if (((rid >= 249 && rid <= 408)) && ((lid >= 2480 && lid <= 2566) || (lid >= 2860 && lid <= 2972))) { return true; }
  // 助動詞,*,*,*,特殊・ダ 名詞 true
  if (((rid >= 179 && rid <= 185)) && ((lid >= 2230 && lid <= 2479))) { return true; }
  // * ^(その他|フィラー|感動詞) true
  if ((lid >= 1 && lid <= 11) || (lid == 2973)) { return true; }
  // * ^記号,(括弧開|括弧閉|アルファベット|一般) true
  if ((lid >= 3000 && lid <= 3001) || (lid >= 3003 && lid <= 3004)) { return true; }
  // * ^記号,(句点|読点) true
  if ((lid == 3002) || (lid == 3005)) { return true; }
  // * ^形容詞,自立 true
  if ((lid >= 2567 && lid <= 2859)) { return true; }
  // * ^形容詞,(接尾|非自立) false
  if ((lid >= 2480 && lid <= 2566) || (lid >= 2860 && lid <= 2972)) { return false; }
  // * ^(助詞|助動詞) false
  if ((lid >= 42 && lid <= 408)) { return false; }
  // * ^動詞,自立 true
  if ((lid >= 543 && lid <= 1406)) { return true; }
  // * ^動詞,接尾 false
  if ((lid >= 409 && lid <= 542)) { return false; }
  // * ^名詞,(接続詞的|接尾|動詞非自立的|特殊|非自立) false
  if ((lid == 2296) || (lid >= 2309 && lid <= 2333) || (lid >= 2344 && lid <= 2479)) { return false; }
  // * ^名詞 true
  if ((lid >= 2230 && lid <= 2479)) { return true; }
  // * ^助詞,接続助詞,*,*,*,*,て false
  if ((lid == 322)) { return false; }
  // * 動詞,非自立,*,*,*,*,(いける|いる|える|かける|かねる|きれる|すぎる|たげる|つづける|づける|づける|できる|どける|のける|みせる|みる|もらえる|る|く|尽くす) false
  if ((lid >= 1407 && lid <= 1416) || (lid >= 1428 && lid <= 1434) || (lid == 1437) || (lid >= 1439 && lid <= 1440) || (lid == 1442) || (lid == 1444) || (lid >= 1446 && lid <= 1449) || (lid >= 1459 && lid <= 1465) || (lid == 1468) || (lid >= 1470 && lid <= 1471) || (lid == 1473) || (lid == 1475) || (lid >= 1477 && lid <= 1480) || (lid >= 1490 && lid <= 1496) || (lid == 1499) || (lid >= 1501 && lid <= 1502) || (lid == 1504) || (lid == 1506) || (lid >= 1508 && lid <= 1511) || (lid >= 1521 && lid <= 1527) || (lid == 1530) || (lid >= 1532 && lid <= 1533) || (lid == 1535) || (lid == 1537) || (lid >= 1539 && lid <= 1542) || (lid >= 1552 && lid <= 1558) || (lid == 1561) || (lid >= 1563 && lid <= 1564) || (lid == 1566) || (lid == 1568) || (lid >= 1570 && lid <= 1573) || (lid >= 1583 && lid <= 1589) || (lid == 1592) || (lid >= 1594 && lid <= 1595) || (lid == 1597) || (lid == 1599) || (lid >= 1601 && lid <= 1604) || (lid >= 1614 && lid <= 1620) || (lid == 1623) || (lid >= 1625 && lid <= 1626) || (lid == 1628) || (lid == 1630) || (lid >= 1632 && lid <= 1635) || (lid >= 1645 && lid <= 1651) || (lid == 1654) || (lid >= 1656 && lid <= 1657) || (lid == 1659) || (lid == 1661) || (lid >= 1663 && lid <= 1665) || (lid >= 1675 && lid <= 1681) || (lid == 1684) || (lid >= 1686 && lid <= 1687) || (lid == 1689) || (lid == 1691) || (lid >= 1693 && lid <= 1695) || (lid >= 1704 && lid <= 1713) || (lid == 1791) || (lid == 1796) || (lid == 1802) || (lid == 1807) || (lid == 1812) || (lid == 1817) || (lid == 1822) || (lid == 1827) || (lid == 1850) || (lid == 1858) || (lid == 1866) || (lid == 1874) || (lid == 1882) || (lid == 1890) || (lid == 1898) || (lid == 2107) || (lid == 2112) || (lid == 2117) || (lid == 2122) || (lid == 2130) || (lid == 2135) || (lid == 2140) || (lid == 2145) || (lid == 2150) || (lid == 2155)) { return false; }
  // * 助詞,接続助詞,*,*,*,*,で false
  if ((lid == 323)) { return false; }
  // * * true
  return true;
  return true;  // default
}
}   // namespace

