// Copyright 2009 Google Inc. All Rights Reserved.
namespace {
double SVMClassify(const vector<pair<int, double> > &feature) {
  double result = 0.0;
  for (size_t i = 0; i < feature.size(); ++i) {
    switch (feature[i].first) {
      case 1: result += -1.4241 * feature[i].second; break;
      case 2: result += 1.50659 * feature[i].second; break;
      case 3: result += -0.851836 * feature[i].second; break;
      case 4: result += -0.695249 * feature[i].second; break;
      case 5: result += -0.00829836 * feature[i].second; break;
      case 6: result += 0.889743 * feature[i].second; break;
      case 7: result += -0.0983257 * feature[i].second; break;
      case 8: result += -0.897297 * feature[i].second; break;
      case 11: result += 0.1 * feature[i].second; break;
      case 12: result += -0.0749051 * feature[i].second; break;
      case 13: result += -0.4 * feature[i].second; break;
      case 14: result += -0.315705 * feature[i].second; break;
      case 15: result += -0.2 * feature[i].second; break;
      case 16: result += -0.360024 * feature[i].second; break;
      case 17: result += -0.41188 * feature[i].second; break;
      case 19: result += 0.970629 * feature[i].second; break;
      case 31: result += -0.3 * feature[i].second; break;
      case 32: result += -0.513276 * feature[i].second; break;
      case 33: result += -0.1 * feature[i].second; break;
      case 34: result += 0.0536453 * feature[i].second; break;
      case 35: result += -0.0957859 * feature[i].second; break;
      case 36: result += 0.361444 * feature[i].second; break;
      case 39: result += -0.138245 * feature[i].second; break;
      default: break;
    }  // end case
  }  // end for
  return result;
}
}  // namespace

