struct UnicodeData {
  unsigned short int ucs2;
  const char *description;
};

static const size_t kUnicodeDataSize = 14724;
static const UnicodeData kUnicodeData[] = {
  { 0, "NULL" },
  { 1, "START OF HEADING" },
  { 2, "START OF TEXT" },
  { 3, "END OF TEXT" },
  { 4, "END OF TRANSMISSION" },
  { 5, "ENQUIRY" },
  { 6, "ACKNOWLEDGE" },
  { 7, "BELL" },
  { 8, "BACKSPACE" },
  { 9, "CHARACTER TABULATION" },
  { 10, "LINE FEED (LF)" },
  { 11, "LINE TABULATION" },
  { 12, "FORM FEED (FF)" },
  { 13, "CARRIAGE RETURN (CR)" },
  { 14, "SHIFT OUT" },
  { 15, "SHIFT IN" },
  { 16, "DATA LINK ESCAPE" },
  { 17, "DEVICE CONTROL ONE" },
  { 18, "DEVICE CONTROL TWO" },
  { 19, "DEVICE CONTROL THREE" },
  { 20, "DEVICE CONTROL FOUR" },
  { 21, "NEGATIVE ACKNOWLEDGE" },
  { 22, "SYNCHRONOUS IDLE" },
  { 23, "END OF TRANSMISSION BLOCK" },
  { 24, "CANCEL" },
  { 25, "END OF MEDIUM" },
  { 26, "SUBSTITUTE" },
  { 27, "ESCAPE" },
  { 28, "INFORMATION SEPARATOR FOUR" },
  { 29, "INFORMATION SEPARATOR THREE" },
  { 30, "INFORMATION SEPARATOR TWO" },
  { 31, "INFORMATION SEPARATOR ONE" },
  { 32, "SPACE" },
  { 33, "EXCLAMATION MARK" },
  { 34, "QUOTATION MARK" },
  { 35, "NUMBER SIGN" },
  { 36, "DOLLAR SIGN" },
  { 37, "PERCENT SIGN" },
  { 38, "AMPERSAND" },
  { 39, "APOSTROPHE" },
  { 40, "LEFT PARENTHESIS" },
  { 41, "RIGHT PARENTHESIS" },
  { 42, "ASTERISK" },
  { 43, "PLUS SIGN" },
  { 44, "COMMA" },
  { 45, "HYPHEN-MINUS" },
  { 46, "FULL STOP" },
  { 47, "SOLIDUS" },
  { 48, "DIGIT ZERO" },
  { 49, "DIGIT ONE" },
  { 50, "DIGIT TWO" },
  { 51, "DIGIT THREE" },
  { 52, "DIGIT FOUR" },
  { 53, "DIGIT FIVE" },
  { 54, "DIGIT SIX" },
  { 55, "DIGIT SEVEN" },
  { 56, "DIGIT EIGHT" },
  { 57, "DIGIT NINE" },
  { 58, "COLON" },
  { 59, "SEMICOLON" },
  { 60, "LESS-THAN SIGN" },
  { 61, "EQUALS SIGN" },
  { 62, "GREATER-THAN SIGN" },
  { 63, "QUESTION MARK" },
  { 64, "COMMERCIAL AT" },
  { 65, "LATIN CAPITAL LETTER A" },
  { 66, "LATIN CAPITAL LETTER B" },
  { 67, "LATIN CAPITAL LETTER C" },
  { 68, "LATIN CAPITAL LETTER D" },
  { 69, "LATIN CAPITAL LETTER E" },
  { 70, "LATIN CAPITAL LETTER F" },
  { 71, "LATIN CAPITAL LETTER G" },
  { 72, "LATIN CAPITAL LETTER H" },
  { 73, "LATIN CAPITAL LETTER I" },
  { 74, "LATIN CAPITAL LETTER J" },
  { 75, "LATIN CAPITAL LETTER K" },
  { 76, "LATIN CAPITAL LETTER L" },
  { 77, "LATIN CAPITAL LETTER M" },
  { 78, "LATIN CAPITAL LETTER N" },
  { 79, "LATIN CAPITAL LETTER O" },
  { 80, "LATIN CAPITAL LETTER P" },
  { 81, "LATIN CAPITAL LETTER Q" },
  { 82, "LATIN CAPITAL LETTER R" },
  { 83, "LATIN CAPITAL LETTER S" },
  { 84, "LATIN CAPITAL LETTER T" },
  { 85, "LATIN CAPITAL LETTER U" },
  { 86, "LATIN CAPITAL LETTER V" },
  { 87, "LATIN CAPITAL LETTER W" },
  { 88, "LATIN CAPITAL LETTER X" },
  { 89, "LATIN CAPITAL LETTER Y" },
  { 90, "LATIN CAPITAL LETTER Z" },
  { 91, "LEFT SQUARE BRACKET" },
  { 92, "REVERSE SOLIDUS" },
  { 93, "RIGHT SQUARE BRACKET" },
  { 94, "CIRCUMFLEX ACCENT" },
  { 95, "LOW LINE" },
  { 96, "GRAVE ACCENT" },
  { 97, "LATIN SMALL LETTER A" },
  { 98, "LATIN SMALL LETTER B" },
  { 99, "LATIN SMALL LETTER C" },
  { 100, "LATIN SMALL LETTER D" },
  { 101, "LATIN SMALL LETTER E" },
  { 102, "LATIN SMALL LETTER F" },
  { 103, "LATIN SMALL LETTER G" },
  { 104, "LATIN SMALL LETTER H" },
  { 105, "LATIN SMALL LETTER I" },
  { 106, "LATIN SMALL LETTER J" },
  { 107, "LATIN SMALL LETTER K" },
  { 108, "LATIN SMALL LETTER L" },
  { 109, "LATIN SMALL LETTER M" },
  { 110, "LATIN SMALL LETTER N" },
  { 111, "LATIN SMALL LETTER O" },
  { 112, "LATIN SMALL LETTER P" },
  { 113, "LATIN SMALL LETTER Q" },
  { 114, "LATIN SMALL LETTER R" },
  { 115, "LATIN SMALL LETTER S" },
  { 116, "LATIN SMALL LETTER T" },
  { 117, "LATIN SMALL LETTER U" },
  { 118, "LATIN SMALL LETTER V" },
  { 119, "LATIN SMALL LETTER W" },
  { 120, "LATIN SMALL LETTER X" },
  { 121, "LATIN SMALL LETTER Y" },
  { 122, "LATIN SMALL LETTER Z" },
  { 123, "LEFT CURLY BRACKET" },
  { 124, "VERTICAL LINE" },
  { 125, "RIGHT CURLY BRACKET" },
  { 126, "TILDE" },
  { 127, "DELETE" },
  { 128, "" },
  { 129, "" },
  { 130, "BREAK PERMITTED HERE" },
  { 131, "NO BREAK HERE" },
  { 132, "" },
  { 133, "NEXT LINE (NEL)" },
  { 134, "START OF SELECTED AREA" },
  { 135, "END OF SELECTED AREA" },
  { 136, "CHARACTER TABULATION SET" },
  { 137, "CHARACTER TABULATION WITH JUSTIFICATION" },
  { 138, "LINE TABULATION SET" },
  { 139, "PARTIAL LINE FORWARD" },
  { 140, "PARTIAL LINE BACKWARD" },
  { 141, "REVERSE LINE FEED" },
  { 142, "SINGLE SHIFT TWO" },
  { 143, "SINGLE SHIFT THREE" },
  { 144, "DEVICE CONTROL STRING" },
  { 145, "PRIVATE USE ONE" },
  { 146, "PRIVATE USE TWO" },
  { 147, "SET TRANSMIT STATE" },
  { 148, "CANCEL CHARACTER" },
  { 149, "MESSAGE WAITING" },
  { 150, "START OF GUARDED AREA" },
  { 151, "END OF GUARDED AREA" },
  { 152, "START OF STRING" },
  { 153, "" },
  { 154, "SINGLE CHARACTER INTRODUCER" },
  { 155, "CONTROL SEQUENCE INTRODUCER" },
  { 156, "STRING TERMINATOR" },
  { 157, "OPERATING SYSTEM COMMAND" },
  { 158, "PRIVACY MESSAGE" },
  { 159, "APPLICATION PROGRAM COMMAND" },
  { 160, "NO-BREAK SPACE" },
  { 161, "INVERTED EXCLAMATION MARK" },
  { 162, "CENT SIGN" },
  { 163, "POUND SIGN" },
  { 164, "CURRENCY SIGN" },
  { 165, "YEN SIGN" },
  { 166, "BROKEN BAR" },
  { 167, "SECTION SIGN" },
  { 168, "DIAERESIS" },
  { 169, "COPYRIGHT SIGN" },
  { 170, "FEMININE ORDINAL INDICATOR" },
  { 171, "LEFT-POINTING DOUBLE ANGLE QUOTATION MARK" },
  { 172, "NOT SIGN" },
  { 173, "SOFT HYPHEN" },
  { 174, "REGISTERED SIGN" },
  { 175, "MACRON" },
  { 176, "DEGREE SIGN" },
  { 177, "PLUS-MINUS SIGN" },
  { 178, "SUPERSCRIPT TWO" },
  { 179, "SUPERSCRIPT THREE" },
  { 180, "ACUTE ACCENT" },
  { 181, "MICRO SIGN" },
  { 182, "PILCROW SIGN" },
  { 183, "MIDDLE DOT" },
  { 184, "CEDILLA" },
  { 185, "SUPERSCRIPT ONE" },
  { 186, "MASCULINE ORDINAL INDICATOR" },
  { 187, "RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK" },
  { 188, "VULGAR FRACTION ONE QUARTER" },
  { 189, "VULGAR FRACTION ONE HALF" },
  { 190, "VULGAR FRACTION THREE QUARTERS" },
  { 191, "INVERTED QUESTION MARK" },
  { 192, "LATIN CAPITAL LETTER A WITH GRAVE" },
  { 193, "LATIN CAPITAL LETTER A WITH ACUTE" },
  { 194, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX" },
  { 195, "LATIN CAPITAL LETTER A WITH TILDE" },
  { 196, "LATIN CAPITAL LETTER A WITH DIAERESIS" },
  { 197, "LATIN CAPITAL LETTER A WITH RING ABOVE" },
  { 198, "LATIN CAPITAL LETTER AE" },
  { 199, "LATIN CAPITAL LETTER C WITH CEDILLA" },
  { 200, "LATIN CAPITAL LETTER E WITH GRAVE" },
  { 201, "LATIN CAPITAL LETTER E WITH ACUTE" },
  { 202, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX" },
  { 203, "LATIN CAPITAL LETTER E WITH DIAERESIS" },
  { 204, "LATIN CAPITAL LETTER I WITH GRAVE" },
  { 205, "LATIN CAPITAL LETTER I WITH ACUTE" },
  { 206, "LATIN CAPITAL LETTER I WITH CIRCUMFLEX" },
  { 207, "LATIN CAPITAL LETTER I WITH DIAERESIS" },
  { 208, "LATIN CAPITAL LETTER ETH" },
  { 209, "LATIN CAPITAL LETTER N WITH TILDE" },
  { 210, "LATIN CAPITAL LETTER O WITH GRAVE" },
  { 211, "LATIN CAPITAL LETTER O WITH ACUTE" },
  { 212, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX" },
  { 213, "LATIN CAPITAL LETTER O WITH TILDE" },
  { 214, "LATIN CAPITAL LETTER O WITH DIAERESIS" },
  { 215, "MULTIPLICATION SIGN" },
  { 216, "LATIN CAPITAL LETTER O WITH STROKE" },
  { 217, "LATIN CAPITAL LETTER U WITH GRAVE" },
  { 218, "LATIN CAPITAL LETTER U WITH ACUTE" },
  { 219, "LATIN CAPITAL LETTER U WITH CIRCUMFLEX" },
  { 220, "LATIN CAPITAL LETTER U WITH DIAERESIS" },
  { 221, "LATIN CAPITAL LETTER Y WITH ACUTE" },
  { 222, "LATIN CAPITAL LETTER THORN" },
  { 223, "LATIN SMALL LETTER SHARP S" },
  { 224, "LATIN SMALL LETTER A WITH GRAVE" },
  { 225, "LATIN SMALL LETTER A WITH ACUTE" },
  { 226, "LATIN SMALL LETTER A WITH CIRCUMFLEX" },
  { 227, "LATIN SMALL LETTER A WITH TILDE" },
  { 228, "LATIN SMALL LETTER A WITH DIAERESIS" },
  { 229, "LATIN SMALL LETTER A WITH RING ABOVE" },
  { 230, "LATIN SMALL LETTER AE" },
  { 231, "LATIN SMALL LETTER C WITH CEDILLA" },
  { 232, "LATIN SMALL LETTER E WITH GRAVE" },
  { 233, "LATIN SMALL LETTER E WITH ACUTE" },
  { 234, "LATIN SMALL LETTER E WITH CIRCUMFLEX" },
  { 235, "LATIN SMALL LETTER E WITH DIAERESIS" },
  { 236, "LATIN SMALL LETTER I WITH GRAVE" },
  { 237, "LATIN SMALL LETTER I WITH ACUTE" },
  { 238, "LATIN SMALL LETTER I WITH CIRCUMFLEX" },
  { 239, "LATIN SMALL LETTER I WITH DIAERESIS" },
  { 240, "LATIN SMALL LETTER ETH" },
  { 241, "LATIN SMALL LETTER N WITH TILDE" },
  { 242, "LATIN SMALL LETTER O WITH GRAVE" },
  { 243, "LATIN SMALL LETTER O WITH ACUTE" },
  { 244, "LATIN SMALL LETTER O WITH CIRCUMFLEX" },
  { 245, "LATIN SMALL LETTER O WITH TILDE" },
  { 246, "LATIN SMALL LETTER O WITH DIAERESIS" },
  { 247, "DIVISION SIGN" },
  { 248, "LATIN SMALL LETTER O WITH STROKE" },
  { 249, "LATIN SMALL LETTER U WITH GRAVE" },
  { 250, "LATIN SMALL LETTER U WITH ACUTE" },
  { 251, "LATIN SMALL LETTER U WITH CIRCUMFLEX" },
  { 252, "LATIN SMALL LETTER U WITH DIAERESIS" },
  { 253, "LATIN SMALL LETTER Y WITH ACUTE" },
  { 254, "LATIN SMALL LETTER THORN" },
  { 255, "LATIN SMALL LETTER Y WITH DIAERESIS" },
  { 256, "LATIN CAPITAL LETTER A WITH MACRON" },
  { 257, "LATIN SMALL LETTER A WITH MACRON" },
  { 258, "LATIN CAPITAL LETTER A WITH BREVE" },
  { 259, "LATIN SMALL LETTER A WITH BREVE" },
  { 260, "LATIN CAPITAL LETTER A WITH OGONEK" },
  { 261, "LATIN SMALL LETTER A WITH OGONEK" },
  { 262, "LATIN CAPITAL LETTER C WITH ACUTE" },
  { 263, "LATIN SMALL LETTER C WITH ACUTE" },
  { 264, "LATIN CAPITAL LETTER C WITH CIRCUMFLEX" },
  { 265, "LATIN SMALL LETTER C WITH CIRCUMFLEX" },
  { 266, "LATIN CAPITAL LETTER C WITH DOT ABOVE" },
  { 267, "LATIN SMALL LETTER C WITH DOT ABOVE" },
  { 268, "LATIN CAPITAL LETTER C WITH CARON" },
  { 269, "LATIN SMALL LETTER C WITH CARON" },
  { 270, "LATIN CAPITAL LETTER D WITH CARON" },
  { 271, "LATIN SMALL LETTER D WITH CARON" },
  { 272, "LATIN CAPITAL LETTER D WITH STROKE" },
  { 273, "LATIN SMALL LETTER D WITH STROKE" },
  { 274, "LATIN CAPITAL LETTER E WITH MACRON" },
  { 275, "LATIN SMALL LETTER E WITH MACRON" },
  { 276, "LATIN CAPITAL LETTER E WITH BREVE" },
  { 277, "LATIN SMALL LETTER E WITH BREVE" },
  { 278, "LATIN CAPITAL LETTER E WITH DOT ABOVE" },
  { 279, "LATIN SMALL LETTER E WITH DOT ABOVE" },
  { 280, "LATIN CAPITAL LETTER E WITH OGONEK" },
  { 281, "LATIN SMALL LETTER E WITH OGONEK" },
  { 282, "LATIN CAPITAL LETTER E WITH CARON" },
  { 283, "LATIN SMALL LETTER E WITH CARON" },
  { 284, "LATIN CAPITAL LETTER G WITH CIRCUMFLEX" },
  { 285, "LATIN SMALL LETTER G WITH CIRCUMFLEX" },
  { 286, "LATIN CAPITAL LETTER G WITH BREVE" },
  { 287, "LATIN SMALL LETTER G WITH BREVE" },
  { 288, "LATIN CAPITAL LETTER G WITH DOT ABOVE" },
  { 289, "LATIN SMALL LETTER G WITH DOT ABOVE" },
  { 290, "LATIN CAPITAL LETTER G WITH CEDILLA" },
  { 291, "LATIN SMALL LETTER G WITH CEDILLA" },
  { 292, "LATIN CAPITAL LETTER H WITH CIRCUMFLEX" },
  { 293, "LATIN SMALL LETTER H WITH CIRCUMFLEX" },
  { 294, "LATIN CAPITAL LETTER H WITH STROKE" },
  { 295, "LATIN SMALL LETTER H WITH STROKE" },
  { 296, "LATIN CAPITAL LETTER I WITH TILDE" },
  { 297, "LATIN SMALL LETTER I WITH TILDE" },
  { 298, "LATIN CAPITAL LETTER I WITH MACRON" },
  { 299, "LATIN SMALL LETTER I WITH MACRON" },
  { 300, "LATIN CAPITAL LETTER I WITH BREVE" },
  { 301, "LATIN SMALL LETTER I WITH BREVE" },
  { 302, "LATIN CAPITAL LETTER I WITH OGONEK" },
  { 303, "LATIN SMALL LETTER I WITH OGONEK" },
  { 304, "LATIN CAPITAL LETTER I WITH DOT ABOVE" },
  { 305, "LATIN SMALL LETTER DOTLESS I" },
  { 306, "LATIN CAPITAL LIGATURE IJ" },
  { 307, "LATIN SMALL LIGATURE IJ" },
  { 308, "LATIN CAPITAL LETTER J WITH CIRCUMFLEX" },
  { 309, "LATIN SMALL LETTER J WITH CIRCUMFLEX" },
  { 310, "LATIN CAPITAL LETTER K WITH CEDILLA" },
  { 311, "LATIN SMALL LETTER K WITH CEDILLA" },
  { 312, "LATIN SMALL LETTER KRA" },
  { 313, "LATIN CAPITAL LETTER L WITH ACUTE" },
  { 314, "LATIN SMALL LETTER L WITH ACUTE" },
  { 315, "LATIN CAPITAL LETTER L WITH CEDILLA" },
  { 316, "LATIN SMALL LETTER L WITH CEDILLA" },
  { 317, "LATIN CAPITAL LETTER L WITH CARON" },
  { 318, "LATIN SMALL LETTER L WITH CARON" },
  { 319, "LATIN CAPITAL LETTER L WITH MIDDLE DOT" },
  { 320, "LATIN SMALL LETTER L WITH MIDDLE DOT" },
  { 321, "LATIN CAPITAL LETTER L WITH STROKE" },
  { 322, "LATIN SMALL LETTER L WITH STROKE" },
  { 323, "LATIN CAPITAL LETTER N WITH ACUTE" },
  { 324, "LATIN SMALL LETTER N WITH ACUTE" },
  { 325, "LATIN CAPITAL LETTER N WITH CEDILLA" },
  { 326, "LATIN SMALL LETTER N WITH CEDILLA" },
  { 327, "LATIN CAPITAL LETTER N WITH CARON" },
  { 328, "LATIN SMALL LETTER N WITH CARON" },
  { 329, "LATIN SMALL LETTER N PRECEDED BY APOSTROPHE" },
  { 330, "LATIN CAPITAL LETTER ENG" },
  { 331, "LATIN SMALL LETTER ENG" },
  { 332, "LATIN CAPITAL LETTER O WITH MACRON" },
  { 333, "LATIN SMALL LETTER O WITH MACRON" },
  { 334, "LATIN CAPITAL LETTER O WITH BREVE" },
  { 335, "LATIN SMALL LETTER O WITH BREVE" },
  { 336, "LATIN CAPITAL LETTER O WITH DOUBLE ACUTE" },
  { 337, "LATIN SMALL LETTER O WITH DOUBLE ACUTE" },
  { 338, "LATIN CAPITAL LIGATURE OE" },
  { 339, "LATIN SMALL LIGATURE OE" },
  { 340, "LATIN CAPITAL LETTER R WITH ACUTE" },
  { 341, "LATIN SMALL LETTER R WITH ACUTE" },
  { 342, "LATIN CAPITAL LETTER R WITH CEDILLA" },
  { 343, "LATIN SMALL LETTER R WITH CEDILLA" },
  { 344, "LATIN CAPITAL LETTER R WITH CARON" },
  { 345, "LATIN SMALL LETTER R WITH CARON" },
  { 346, "LATIN CAPITAL LETTER S WITH ACUTE" },
  { 347, "LATIN SMALL LETTER S WITH ACUTE" },
  { 348, "LATIN CAPITAL LETTER S WITH CIRCUMFLEX" },
  { 349, "LATIN SMALL LETTER S WITH CIRCUMFLEX" },
  { 350, "LATIN CAPITAL LETTER S WITH CEDILLA" },
  { 351, "LATIN SMALL LETTER S WITH CEDILLA" },
  { 352, "LATIN CAPITAL LETTER S WITH CARON" },
  { 353, "LATIN SMALL LETTER S WITH CARON" },
  { 354, "LATIN CAPITAL LETTER T WITH CEDILLA" },
  { 355, "LATIN SMALL LETTER T WITH CEDILLA" },
  { 356, "LATIN CAPITAL LETTER T WITH CARON" },
  { 357, "LATIN SMALL LETTER T WITH CARON" },
  { 358, "LATIN CAPITAL LETTER T WITH STROKE" },
  { 359, "LATIN SMALL LETTER T WITH STROKE" },
  { 360, "LATIN CAPITAL LETTER U WITH TILDE" },
  { 361, "LATIN SMALL LETTER U WITH TILDE" },
  { 362, "LATIN CAPITAL LETTER U WITH MACRON" },
  { 363, "LATIN SMALL LETTER U WITH MACRON" },
  { 364, "LATIN CAPITAL LETTER U WITH BREVE" },
  { 365, "LATIN SMALL LETTER U WITH BREVE" },
  { 366, "LATIN CAPITAL LETTER U WITH RING ABOVE" },
  { 367, "LATIN SMALL LETTER U WITH RING ABOVE" },
  { 368, "LATIN CAPITAL LETTER U WITH DOUBLE ACUTE" },
  { 369, "LATIN SMALL LETTER U WITH DOUBLE ACUTE" },
  { 370, "LATIN CAPITAL LETTER U WITH OGONEK" },
  { 371, "LATIN SMALL LETTER U WITH OGONEK" },
  { 372, "LATIN CAPITAL LETTER W WITH CIRCUMFLEX" },
  { 373, "LATIN SMALL LETTER W WITH CIRCUMFLEX" },
  { 374, "LATIN CAPITAL LETTER Y WITH CIRCUMFLEX" },
  { 375, "LATIN SMALL LETTER Y WITH CIRCUMFLEX" },
  { 376, "LATIN CAPITAL LETTER Y WITH DIAERESIS" },
  { 377, "LATIN CAPITAL LETTER Z WITH ACUTE" },
  { 378, "LATIN SMALL LETTER Z WITH ACUTE" },
  { 379, "LATIN CAPITAL LETTER Z WITH DOT ABOVE" },
  { 380, "LATIN SMALL LETTER Z WITH DOT ABOVE" },
  { 381, "LATIN CAPITAL LETTER Z WITH CARON" },
  { 382, "LATIN SMALL LETTER Z WITH CARON" },
  { 383, "LATIN SMALL LETTER LONG S" },
  { 384, "LATIN SMALL LETTER B WITH STROKE" },
  { 385, "LATIN CAPITAL LETTER B WITH HOOK" },
  { 386, "LATIN CAPITAL LETTER B WITH TOPBAR" },
  { 387, "LATIN SMALL LETTER B WITH TOPBAR" },
  { 388, "LATIN CAPITAL LETTER TONE SIX" },
  { 389, "LATIN SMALL LETTER TONE SIX" },
  { 390, "LATIN CAPITAL LETTER OPEN O" },
  { 391, "LATIN CAPITAL LETTER C WITH HOOK" },
  { 392, "LATIN SMALL LETTER C WITH HOOK" },
  { 393, "LATIN CAPITAL LETTER AFRICAN D" },
  { 394, "LATIN CAPITAL LETTER D WITH HOOK" },
  { 395, "LATIN CAPITAL LETTER D WITH TOPBAR" },
  { 396, "LATIN SMALL LETTER D WITH TOPBAR" },
  { 397, "LATIN SMALL LETTER TURNED DELTA" },
  { 398, "LATIN CAPITAL LETTER REVERSED E" },
  { 399, "LATIN CAPITAL LETTER SCHWA" },
  { 400, "LATIN CAPITAL LETTER OPEN E" },
  { 401, "LATIN CAPITAL LETTER F WITH HOOK" },
  { 402, "LATIN SMALL LETTER F WITH HOOK" },
  { 403, "LATIN CAPITAL LETTER G WITH HOOK" },
  { 404, "LATIN CAPITAL LETTER GAMMA" },
  { 405, "LATIN SMALL LETTER HV" },
  { 406, "LATIN CAPITAL LETTER IOTA" },
  { 407, "LATIN CAPITAL LETTER I WITH STROKE" },
  { 408, "LATIN CAPITAL LETTER K WITH HOOK" },
  { 409, "LATIN SMALL LETTER K WITH HOOK" },
  { 410, "LATIN SMALL LETTER L WITH BAR" },
  { 411, "LATIN SMALL LETTER LAMBDA WITH STROKE" },
  { 412, "LATIN CAPITAL LETTER TURNED M" },
  { 413, "LATIN CAPITAL LETTER N WITH LEFT HOOK" },
  { 414, "LATIN SMALL LETTER N WITH LONG RIGHT LEG" },
  { 415, "LATIN CAPITAL LETTER O WITH MIDDLE TILDE" },
  { 416, "LATIN CAPITAL LETTER O WITH HORN" },
  { 417, "LATIN SMALL LETTER O WITH HORN" },
  { 418, "LATIN CAPITAL LETTER OI" },
  { 419, "LATIN SMALL LETTER OI" },
  { 420, "LATIN CAPITAL LETTER P WITH HOOK" },
  { 421, "LATIN SMALL LETTER P WITH HOOK" },
  { 422, "LATIN LETTER YR" },
  { 423, "LATIN CAPITAL LETTER TONE TWO" },
  { 424, "LATIN SMALL LETTER TONE TWO" },
  { 425, "LATIN CAPITAL LETTER ESH" },
  { 426, "LATIN LETTER REVERSED ESH LOOP" },
  { 427, "LATIN SMALL LETTER T WITH PALATAL HOOK" },
  { 428, "LATIN CAPITAL LETTER T WITH HOOK" },
  { 429, "LATIN SMALL LETTER T WITH HOOK" },
  { 430, "LATIN CAPITAL LETTER T WITH RETROFLEX HOOK" },
  { 431, "LATIN CAPITAL LETTER U WITH HORN" },
  { 432, "LATIN SMALL LETTER U WITH HORN" },
  { 433, "LATIN CAPITAL LETTER UPSILON" },
  { 434, "LATIN CAPITAL LETTER V WITH HOOK" },
  { 435, "LATIN CAPITAL LETTER Y WITH HOOK" },
  { 436, "LATIN SMALL LETTER Y WITH HOOK" },
  { 437, "LATIN CAPITAL LETTER Z WITH STROKE" },
  { 438, "LATIN SMALL LETTER Z WITH STROKE" },
  { 439, "LATIN CAPITAL LETTER EZH" },
  { 440, "LATIN CAPITAL LETTER EZH REVERSED" },
  { 441, "LATIN SMALL LETTER EZH REVERSED" },
  { 442, "LATIN SMALL LETTER EZH WITH TAIL" },
  { 443, "LATIN LETTER TWO WITH STROKE" },
  { 444, "LATIN CAPITAL LETTER TONE FIVE" },
  { 445, "LATIN SMALL LETTER TONE FIVE" },
  { 446, "LATIN LETTER INVERTED GLOTTAL STOP WITH STROKE" },
  { 447, "LATIN LETTER WYNN" },
  { 448, "LATIN LETTER DENTAL CLICK" },
  { 449, "LATIN LETTER LATERAL CLICK" },
  { 450, "LATIN LETTER ALVEOLAR CLICK" },
  { 451, "LATIN LETTER RETROFLEX CLICK" },
  { 452, "LATIN CAPITAL LETTER DZ WITH CARON" },
  { 453, "LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON" },
  { 454, "LATIN SMALL LETTER DZ WITH CARON" },
  { 455, "LATIN CAPITAL LETTER LJ" },
  { 456, "LATIN CAPITAL LETTER L WITH SMALL LETTER J" },
  { 457, "LATIN SMALL LETTER LJ" },
  { 458, "LATIN CAPITAL LETTER NJ" },
  { 459, "LATIN CAPITAL LETTER N WITH SMALL LETTER J" },
  { 460, "LATIN SMALL LETTER NJ" },
  { 461, "LATIN CAPITAL LETTER A WITH CARON" },
  { 462, "LATIN SMALL LETTER A WITH CARON" },
  { 463, "LATIN CAPITAL LETTER I WITH CARON" },
  { 464, "LATIN SMALL LETTER I WITH CARON" },
  { 465, "LATIN CAPITAL LETTER O WITH CARON" },
  { 466, "LATIN SMALL LETTER O WITH CARON" },
  { 467, "LATIN CAPITAL LETTER U WITH CARON" },
  { 468, "LATIN SMALL LETTER U WITH CARON" },
  { 469, "LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON" },
  { 470, "LATIN SMALL LETTER U WITH DIAERESIS AND MACRON" },
  { 471, "LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE" },
  { 472, "LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE" },
  { 473, "LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON" },
  { 474, "LATIN SMALL LETTER U WITH DIAERESIS AND CARON" },
  { 475, "LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE" },
  { 476, "LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE" },
  { 477, "LATIN SMALL LETTER TURNED E" },
  { 478, "LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON" },
  { 479, "LATIN SMALL LETTER A WITH DIAERESIS AND MACRON" },
  { 480, "LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON" },
  { 481, "LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON" },
  { 482, "LATIN CAPITAL LETTER AE WITH MACRON" },
  { 483, "LATIN SMALL LETTER AE WITH MACRON" },
  { 484, "LATIN CAPITAL LETTER G WITH STROKE" },
  { 485, "LATIN SMALL LETTER G WITH STROKE" },
  { 486, "LATIN CAPITAL LETTER G WITH CARON" },
  { 487, "LATIN SMALL LETTER G WITH CARON" },
  { 488, "LATIN CAPITAL LETTER K WITH CARON" },
  { 489, "LATIN SMALL LETTER K WITH CARON" },
  { 490, "LATIN CAPITAL LETTER O WITH OGONEK" },
  { 491, "LATIN SMALL LETTER O WITH OGONEK" },
  { 492, "LATIN CAPITAL LETTER O WITH OGONEK AND MACRON" },
  { 493, "LATIN SMALL LETTER O WITH OGONEK AND MACRON" },
  { 494, "LATIN CAPITAL LETTER EZH WITH CARON" },
  { 495, "LATIN SMALL LETTER EZH WITH CARON" },
  { 496, "LATIN SMALL LETTER J WITH CARON" },
  { 497, "LATIN CAPITAL LETTER DZ" },
  { 498, "LATIN CAPITAL LETTER D WITH SMALL LETTER Z" },
  { 499, "LATIN SMALL LETTER DZ" },
  { 500, "LATIN CAPITAL LETTER G WITH ACUTE" },
  { 501, "LATIN SMALL LETTER G WITH ACUTE" },
  { 502, "LATIN CAPITAL LETTER HWAIR" },
  { 503, "LATIN CAPITAL LETTER WYNN" },
  { 504, "LATIN CAPITAL LETTER N WITH GRAVE" },
  { 505, "LATIN SMALL LETTER N WITH GRAVE" },
  { 506, "LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE" },
  { 507, "LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE" },
  { 508, "LATIN CAPITAL LETTER AE WITH ACUTE" },
  { 509, "LATIN SMALL LETTER AE WITH ACUTE" },
  { 510, "LATIN CAPITAL LETTER O WITH STROKE AND ACUTE" },
  { 511, "LATIN SMALL LETTER O WITH STROKE AND ACUTE" },
  { 512, "LATIN CAPITAL LETTER A WITH DOUBLE GRAVE" },
  { 513, "LATIN SMALL LETTER A WITH DOUBLE GRAVE" },
  { 514, "LATIN CAPITAL LETTER A WITH INVERTED BREVE" },
  { 515, "LATIN SMALL LETTER A WITH INVERTED BREVE" },
  { 516, "LATIN CAPITAL LETTER E WITH DOUBLE GRAVE" },
  { 517, "LATIN SMALL LETTER E WITH DOUBLE GRAVE" },
  { 518, "LATIN CAPITAL LETTER E WITH INVERTED BREVE" },
  { 519, "LATIN SMALL LETTER E WITH INVERTED BREVE" },
  { 520, "LATIN CAPITAL LETTER I WITH DOUBLE GRAVE" },
  { 521, "LATIN SMALL LETTER I WITH DOUBLE GRAVE" },
  { 522, "LATIN CAPITAL LETTER I WITH INVERTED BREVE" },
  { 523, "LATIN SMALL LETTER I WITH INVERTED BREVE" },
  { 524, "LATIN CAPITAL LETTER O WITH DOUBLE GRAVE" },
  { 525, "LATIN SMALL LETTER O WITH DOUBLE GRAVE" },
  { 526, "LATIN CAPITAL LETTER O WITH INVERTED BREVE" },
  { 527, "LATIN SMALL LETTER O WITH INVERTED BREVE" },
  { 528, "LATIN CAPITAL LETTER R WITH DOUBLE GRAVE" },
  { 529, "LATIN SMALL LETTER R WITH DOUBLE GRAVE" },
  { 530, "LATIN CAPITAL LETTER R WITH INVERTED BREVE" },
  { 531, "LATIN SMALL LETTER R WITH INVERTED BREVE" },
  { 532, "LATIN CAPITAL LETTER U WITH DOUBLE GRAVE" },
  { 533, "LATIN SMALL LETTER U WITH DOUBLE GRAVE" },
  { 534, "LATIN CAPITAL LETTER U WITH INVERTED BREVE" },
  { 535, "LATIN SMALL LETTER U WITH INVERTED BREVE" },
  { 536, "LATIN CAPITAL LETTER S WITH COMMA BELOW" },
  { 537, "LATIN SMALL LETTER S WITH COMMA BELOW" },
  { 538, "LATIN CAPITAL LETTER T WITH COMMA BELOW" },
  { 539, "LATIN SMALL LETTER T WITH COMMA BELOW" },
  { 540, "LATIN CAPITAL LETTER YOGH" },
  { 541, "LATIN SMALL LETTER YOGH" },
  { 542, "LATIN CAPITAL LETTER H WITH CARON" },
  { 543, "LATIN SMALL LETTER H WITH CARON" },
  { 544, "LATIN CAPITAL LETTER N WITH LONG RIGHT LEG" },
  { 545, "LATIN SMALL LETTER D WITH CURL" },
  { 546, "LATIN CAPITAL LETTER OU" },
  { 547, "LATIN SMALL LETTER OU" },
  { 548, "LATIN CAPITAL LETTER Z WITH HOOK" },
  { 549, "LATIN SMALL LETTER Z WITH HOOK" },
  { 550, "LATIN CAPITAL LETTER A WITH DOT ABOVE" },
  { 551, "LATIN SMALL LETTER A WITH DOT ABOVE" },
  { 552, "LATIN CAPITAL LETTER E WITH CEDILLA" },
  { 553, "LATIN SMALL LETTER E WITH CEDILLA" },
  { 554, "LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON" },
  { 555, "LATIN SMALL LETTER O WITH DIAERESIS AND MACRON" },
  { 556, "LATIN CAPITAL LETTER O WITH TILDE AND MACRON" },
  { 557, "LATIN SMALL LETTER O WITH TILDE AND MACRON" },
  { 558, "LATIN CAPITAL LETTER O WITH DOT ABOVE" },
  { 559, "LATIN SMALL LETTER O WITH DOT ABOVE" },
  { 560, "LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON" },
  { 561, "LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON" },
  { 562, "LATIN CAPITAL LETTER Y WITH MACRON" },
  { 563, "LATIN SMALL LETTER Y WITH MACRON" },
  { 564, "LATIN SMALL LETTER L WITH CURL" },
  { 565, "LATIN SMALL LETTER N WITH CURL" },
  { 566, "LATIN SMALL LETTER T WITH CURL" },
  { 567, "LATIN SMALL LETTER DOTLESS J" },
  { 568, "LATIN SMALL LETTER DB DIGRAPH" },
  { 569, "LATIN SMALL LETTER QP DIGRAPH" },
  { 570, "LATIN CAPITAL LETTER A WITH STROKE" },
  { 571, "LATIN CAPITAL LETTER C WITH STROKE" },
  { 572, "LATIN SMALL LETTER C WITH STROKE" },
  { 573, "LATIN CAPITAL LETTER L WITH BAR" },
  { 574, "LATIN CAPITAL LETTER T WITH DIAGONAL STROKE" },
  { 575, "LATIN SMALL LETTER S WITH SWASH TAIL" },
  { 576, "LATIN SMALL LETTER Z WITH SWASH TAIL" },
  { 577, "LATIN CAPITAL LETTER GLOTTAL STOP" },
  { 578, "LATIN SMALL LETTER GLOTTAL STOP" },
  { 579, "LATIN CAPITAL LETTER B WITH STROKE" },
  { 580, "LATIN CAPITAL LETTER U BAR" },
  { 581, "LATIN CAPITAL LETTER TURNED V" },
  { 582, "LATIN CAPITAL LETTER E WITH STROKE" },
  { 583, "LATIN SMALL LETTER E WITH STROKE" },
  { 584, "LATIN CAPITAL LETTER J WITH STROKE" },
  { 585, "LATIN SMALL LETTER J WITH STROKE" },
  { 586, "LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL" },
  { 587, "LATIN SMALL LETTER Q WITH HOOK TAIL" },
  { 588, "LATIN CAPITAL LETTER R WITH STROKE" },
  { 589, "LATIN SMALL LETTER R WITH STROKE" },
  { 590, "LATIN CAPITAL LETTER Y WITH STROKE" },
  { 591, "LATIN SMALL LETTER Y WITH STROKE" },
  { 592, "LATIN SMALL LETTER TURNED A" },
  { 593, "LATIN SMALL LETTER ALPHA" },
  { 594, "LATIN SMALL LETTER TURNED ALPHA" },
  { 595, "LATIN SMALL LETTER B WITH HOOK" },
  { 596, "LATIN SMALL LETTER OPEN O" },
  { 597, "LATIN SMALL LETTER C WITH CURL" },
  { 598, "LATIN SMALL LETTER D WITH TAIL" },
  { 599, "LATIN SMALL LETTER D WITH HOOK" },
  { 600, "LATIN SMALL LETTER REVERSED E" },
  { 601, "LATIN SMALL LETTER SCHWA" },
  { 602, "LATIN SMALL LETTER SCHWA WITH HOOK" },
  { 603, "LATIN SMALL LETTER OPEN E" },
  { 604, "LATIN SMALL LETTER REVERSED OPEN E" },
  { 605, "LATIN SMALL LETTER REVERSED OPEN E WITH HOOK" },
  { 606, "LATIN SMALL LETTER CLOSED REVERSED OPEN E" },
  { 607, "LATIN SMALL LETTER DOTLESS J WITH STROKE" },
  { 608, "LATIN SMALL LETTER G WITH HOOK" },
  { 609, "LATIN SMALL LETTER SCRIPT G" },
  { 610, "LATIN LETTER SMALL CAPITAL G" },
  { 611, "LATIN SMALL LETTER GAMMA" },
  { 612, "LATIN SMALL LETTER RAMS HORN" },
  { 613, "LATIN SMALL LETTER TURNED H" },
  { 614, "LATIN SMALL LETTER H WITH HOOK" },
  { 615, "LATIN SMALL LETTER HENG WITH HOOK" },
  { 616, "LATIN SMALL LETTER I WITH STROKE" },
  { 617, "LATIN SMALL LETTER IOTA" },
  { 618, "LATIN LETTER SMALL CAPITAL I" },
  { 619, "LATIN SMALL LETTER L WITH MIDDLE TILDE" },
  { 620, "LATIN SMALL LETTER L WITH BELT" },
  { 621, "LATIN SMALL LETTER L WITH RETROFLEX HOOK" },
  { 622, "LATIN SMALL LETTER LEZH" },
  { 623, "LATIN SMALL LETTER TURNED M" },
  { 624, "LATIN SMALL LETTER TURNED M WITH LONG LEG" },
  { 625, "LATIN SMALL LETTER M WITH HOOK" },
  { 626, "LATIN SMALL LETTER N WITH LEFT HOOK" },
  { 627, "LATIN SMALL LETTER N WITH RETROFLEX HOOK" },
  { 628, "LATIN LETTER SMALL CAPITAL N" },
  { 629, "LATIN SMALL LETTER BARRED O" },
  { 630, "LATIN LETTER SMALL CAPITAL OE" },
  { 631, "LATIN SMALL LETTER CLOSED OMEGA" },
  { 632, "LATIN SMALL LETTER PHI" },
  { 633, "LATIN SMALL LETTER TURNED R" },
  { 634, "LATIN SMALL LETTER TURNED R WITH LONG LEG" },
  { 635, "LATIN SMALL LETTER TURNED R WITH HOOK" },
  { 636, "LATIN SMALL LETTER R WITH LONG LEG" },
  { 637, "LATIN SMALL LETTER R WITH TAIL" },
  { 638, "LATIN SMALL LETTER R WITH FISHHOOK" },
  { 639, "LATIN SMALL LETTER REVERSED R WITH FISHHOOK" },
  { 640, "LATIN LETTER SMALL CAPITAL R" },
  { 641, "LATIN LETTER SMALL CAPITAL INVERTED R" },
  { 642, "LATIN SMALL LETTER S WITH HOOK" },
  { 643, "LATIN SMALL LETTER ESH" },
  { 644, "LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK" },
  { 645, "LATIN SMALL LETTER SQUAT REVERSED ESH" },
  { 646, "LATIN SMALL LETTER ESH WITH CURL" },
  { 647, "LATIN SMALL LETTER TURNED T" },
  { 648, "LATIN SMALL LETTER T WITH RETROFLEX HOOK" },
  { 649, "LATIN SMALL LETTER U BAR" },
  { 650, "LATIN SMALL LETTER UPSILON" },
  { 651, "LATIN SMALL LETTER V WITH HOOK" },
  { 652, "LATIN SMALL LETTER TURNED V" },
  { 653, "LATIN SMALL LETTER TURNED W" },
  { 654, "LATIN SMALL LETTER TURNED Y" },
  { 655, "LATIN LETTER SMALL CAPITAL Y" },
  { 656, "LATIN SMALL LETTER Z WITH RETROFLEX HOOK" },
  { 657, "LATIN SMALL LETTER Z WITH CURL" },
  { 658, "LATIN SMALL LETTER EZH" },
  { 659, "LATIN SMALL LETTER EZH WITH CURL" },
  { 660, "LATIN LETTER GLOTTAL STOP" },
  { 661, "LATIN LETTER PHARYNGEAL VOICED FRICATIVE" },
  { 662, "LATIN LETTER INVERTED GLOTTAL STOP" },
  { 663, "LATIN LETTER STRETCHED C" },
  { 664, "LATIN LETTER BILABIAL CLICK" },
  { 665, "LATIN LETTER SMALL CAPITAL B" },
  { 666, "LATIN SMALL LETTER CLOSED OPEN E" },
  { 667, "LATIN LETTER SMALL CAPITAL G WITH HOOK" },
  { 668, "LATIN LETTER SMALL CAPITAL H" },
  { 669, "LATIN SMALL LETTER J WITH CROSSED-TAIL" },
  { 670, "LATIN SMALL LETTER TURNED K" },
  { 671, "LATIN LETTER SMALL CAPITAL L" },
  { 672, "LATIN SMALL LETTER Q WITH HOOK" },
  { 673, "LATIN LETTER GLOTTAL STOP WITH STROKE" },
  { 674, "LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE" },
  { 675, "LATIN SMALL LETTER DZ DIGRAPH" },
  { 676, "LATIN SMALL LETTER DEZH DIGRAPH" },
  { 677, "LATIN SMALL LETTER DZ DIGRAPH WITH CURL" },
  { 678, "LATIN SMALL LETTER TS DIGRAPH" },
  { 679, "LATIN SMALL LETTER TESH DIGRAPH" },
  { 680, "LATIN SMALL LETTER TC DIGRAPH WITH CURL" },
  { 681, "LATIN SMALL LETTER FENG DIGRAPH" },
  { 682, "LATIN SMALL LETTER LS DIGRAPH" },
  { 683, "LATIN SMALL LETTER LZ DIGRAPH" },
  { 684, "LATIN LETTER BILABIAL PERCUSSIVE" },
  { 685, "LATIN LETTER BIDENTAL PERCUSSIVE" },
  { 686, "LATIN SMALL LETTER TURNED H WITH FISHHOOK" },
  { 687, "LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL" },
  { 688, "MODIFIER LETTER SMALL H" },
  { 689, "MODIFIER LETTER SMALL H WITH HOOK" },
  { 690, "MODIFIER LETTER SMALL J" },
  { 691, "MODIFIER LETTER SMALL R" },
  { 692, "MODIFIER LETTER SMALL TURNED R" },
  { 693, "MODIFIER LETTER SMALL TURNED R WITH HOOK" },
  { 694, "MODIFIER LETTER SMALL CAPITAL INVERTED R" },
  { 695, "MODIFIER LETTER SMALL W" },
  { 696, "MODIFIER LETTER SMALL Y" },
  { 697, "MODIFIER LETTER PRIME" },
  { 698, "MODIFIER LETTER DOUBLE PRIME" },
  { 699, "MODIFIER LETTER TURNED COMMA" },
  { 700, "MODIFIER LETTER APOSTROPHE" },
  { 701, "MODIFIER LETTER REVERSED COMMA" },
  { 702, "MODIFIER LETTER RIGHT HALF RING" },
  { 703, "MODIFIER LETTER LEFT HALF RING" },
  { 704, "MODIFIER LETTER GLOTTAL STOP" },
  { 705, "MODIFIER LETTER REVERSED GLOTTAL STOP" },
  { 706, "MODIFIER LETTER LEFT ARROWHEAD" },
  { 707, "MODIFIER LETTER RIGHT ARROWHEAD" },
  { 708, "MODIFIER LETTER UP ARROWHEAD" },
  { 709, "MODIFIER LETTER DOWN ARROWHEAD" },
  { 710, "MODIFIER LETTER CIRCUMFLEX ACCENT" },
  { 711, "CARON" },
  { 712, "MODIFIER LETTER VERTICAL LINE" },
  { 713, "MODIFIER LETTER MACRON" },
  { 714, "MODIFIER LETTER ACUTE ACCENT" },
  { 715, "MODIFIER LETTER GRAVE ACCENT" },
  { 716, "MODIFIER LETTER LOW VERTICAL LINE" },
  { 717, "MODIFIER LETTER LOW MACRON" },
  { 718, "MODIFIER LETTER LOW GRAVE ACCENT" },
  { 719, "MODIFIER LETTER LOW ACUTE ACCENT" },
  { 720, "MODIFIER LETTER TRIANGULAR COLON" },
  { 721, "MODIFIER LETTER HALF TRIANGULAR COLON" },
  { 722, "MODIFIER LETTER CENTRED RIGHT HALF RING" },
  { 723, "MODIFIER LETTER CENTRED LEFT HALF RING" },
  { 724, "MODIFIER LETTER UP TACK" },
  { 725, "MODIFIER LETTER DOWN TACK" },
  { 726, "MODIFIER LETTER PLUS SIGN" },
  { 727, "MODIFIER LETTER MINUS SIGN" },
  { 728, "BREVE" },
  { 729, "DOT ABOVE" },
  { 730, "RING ABOVE" },
  { 731, "OGONEK" },
  { 732, "SMALL TILDE" },
  { 733, "DOUBLE ACUTE ACCENT" },
  { 734, "MODIFIER LETTER RHOTIC HOOK" },
  { 735, "MODIFIER LETTER CROSS ACCENT" },
  { 736, "MODIFIER LETTER SMALL GAMMA" },
  { 737, "MODIFIER LETTER SMALL L" },
  { 738, "MODIFIER LETTER SMALL S" },
  { 739, "MODIFIER LETTER SMALL X" },
  { 740, "MODIFIER LETTER SMALL REVERSED GLOTTAL STOP" },
  { 741, "MODIFIER LETTER EXTRA-HIGH TONE BAR" },
  { 742, "MODIFIER LETTER HIGH TONE BAR" },
  { 743, "MODIFIER LETTER MID TONE BAR" },
  { 744, "MODIFIER LETTER LOW TONE BAR" },
  { 745, "MODIFIER LETTER EXTRA-LOW TONE BAR" },
  { 746, "MODIFIER LETTER YIN DEPARTING TONE MARK" },
  { 747, "MODIFIER LETTER YANG DEPARTING TONE MARK" },
  { 748, "MODIFIER LETTER VOICING" },
  { 749, "MODIFIER LETTER UNASPIRATED" },
  { 750, "MODIFIER LETTER DOUBLE APOSTROPHE" },
  { 751, "MODIFIER LETTER LOW DOWN ARROWHEAD" },
  { 752, "MODIFIER LETTER LOW UP ARROWHEAD" },
  { 753, "MODIFIER LETTER LOW LEFT ARROWHEAD" },
  { 754, "MODIFIER LETTER LOW RIGHT ARROWHEAD" },
  { 755, "MODIFIER LETTER LOW RING" },
  { 756, "MODIFIER LETTER MIDDLE GRAVE ACCENT" },
  { 757, "MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT" },
  { 758, "MODIFIER LETTER MIDDLE DOUBLE ACUTE ACCENT" },
  { 759, "MODIFIER LETTER LOW TILDE" },
  { 760, "MODIFIER LETTER RAISED COLON" },
  { 761, "MODIFIER LETTER BEGIN HIGH TONE" },
  { 762, "MODIFIER LETTER END HIGH TONE" },
  { 763, "MODIFIER LETTER BEGIN LOW TONE" },
  { 764, "MODIFIER LETTER END LOW TONE" },
  { 765, "MODIFIER LETTER SHELF" },
  { 766, "MODIFIER LETTER OPEN SHELF" },
  { 767, "MODIFIER LETTER LOW LEFT ARROW" },
  { 768, "COMBINING GRAVE ACCENT" },
  { 769, "COMBINING ACUTE ACCENT" },
  { 770, "COMBINING CIRCUMFLEX ACCENT" },
  { 771, "COMBINING TILDE" },
  { 772, "COMBINING MACRON" },
  { 773, "COMBINING OVERLINE" },
  { 774, "COMBINING BREVE" },
  { 775, "COMBINING DOT ABOVE" },
  { 776, "COMBINING DIAERESIS" },
  { 777, "COMBINING HOOK ABOVE" },
  { 778, "COMBINING RING ABOVE" },
  { 779, "COMBINING DOUBLE ACUTE ACCENT" },
  { 780, "COMBINING CARON" },
  { 781, "COMBINING VERTICAL LINE ABOVE" },
  { 782, "COMBINING DOUBLE VERTICAL LINE ABOVE" },
  { 783, "COMBINING DOUBLE GRAVE ACCENT" },
  { 784, "COMBINING CANDRABINDU" },
  { 785, "COMBINING INVERTED BREVE" },
  { 786, "COMBINING TURNED COMMA ABOVE" },
  { 787, "COMBINING COMMA ABOVE" },
  { 788, "COMBINING REVERSED COMMA ABOVE" },
  { 789, "COMBINING COMMA ABOVE RIGHT" },
  { 790, "COMBINING GRAVE ACCENT BELOW" },
  { 791, "COMBINING ACUTE ACCENT BELOW" },
  { 792, "COMBINING LEFT TACK BELOW" },
  { 793, "COMBINING RIGHT TACK BELOW" },
  { 794, "COMBINING LEFT ANGLE ABOVE" },
  { 795, "COMBINING HORN" },
  { 796, "COMBINING LEFT HALF RING BELOW" },
  { 797, "COMBINING UP TACK BELOW" },
  { 798, "COMBINING DOWN TACK BELOW" },
  { 799, "COMBINING PLUS SIGN BELOW" },
  { 800, "COMBINING MINUS SIGN BELOW" },
  { 801, "COMBINING PALATALIZED HOOK BELOW" },
  { 802, "COMBINING RETROFLEX HOOK BELOW" },
  { 803, "COMBINING DOT BELOW" },
  { 804, "COMBINING DIAERESIS BELOW" },
  { 805, "COMBINING RING BELOW" },
  { 806, "COMBINING COMMA BELOW" },
  { 807, "COMBINING CEDILLA" },
  { 808, "COMBINING OGONEK" },
  { 809, "COMBINING VERTICAL LINE BELOW" },
  { 810, "COMBINING BRIDGE BELOW" },
  { 811, "COMBINING INVERTED DOUBLE ARCH BELOW" },
  { 812, "COMBINING CARON BELOW" },
  { 813, "COMBINING CIRCUMFLEX ACCENT BELOW" },
  { 814, "COMBINING BREVE BELOW" },
  { 815, "COMBINING INVERTED BREVE BELOW" },
  { 816, "COMBINING TILDE BELOW" },
  { 817, "COMBINING MACRON BELOW" },
  { 818, "COMBINING LOW LINE" },
  { 819, "COMBINING DOUBLE LOW LINE" },
  { 820, "COMBINING TILDE OVERLAY" },
  { 821, "COMBINING SHORT STROKE OVERLAY" },
  { 822, "COMBINING LONG STROKE OVERLAY" },
  { 823, "COMBINING SHORT SOLIDUS OVERLAY" },
  { 824, "COMBINING LONG SOLIDUS OVERLAY" },
  { 825, "COMBINING RIGHT HALF RING BELOW" },
  { 826, "COMBINING INVERTED BRIDGE BELOW" },
  { 827, "COMBINING SQUARE BELOW" },
  { 828, "COMBINING SEAGULL BELOW" },
  { 829, "COMBINING X ABOVE" },
  { 830, "COMBINING VERTICAL TILDE" },
  { 831, "COMBINING DOUBLE OVERLINE" },
  { 832, "COMBINING GRAVE TONE MARK" },
  { 833, "COMBINING ACUTE TONE MARK" },
  { 834, "COMBINING GREEK PERISPOMENI" },
  { 835, "COMBINING GREEK KORONIS" },
  { 836, "COMBINING GREEK DIALYTIKA TONOS" },
  { 837, "COMBINING GREEK YPOGEGRAMMENI" },
  { 838, "COMBINING BRIDGE ABOVE" },
  { 839, "COMBINING EQUALS SIGN BELOW" },
  { 840, "COMBINING DOUBLE VERTICAL LINE BELOW" },
  { 841, "COMBINING LEFT ANGLE BELOW" },
  { 842, "COMBINING NOT TILDE ABOVE" },
  { 843, "COMBINING HOMOTHETIC ABOVE" },
  { 844, "COMBINING ALMOST EQUAL TO ABOVE" },
  { 845, "COMBINING LEFT RIGHT ARROW BELOW" },
  { 846, "COMBINING UPWARDS ARROW BELOW" },
  { 847, "COMBINING GRAPHEME JOINER" },
  { 848, "COMBINING RIGHT ARROWHEAD ABOVE" },
  { 849, "COMBINING LEFT HALF RING ABOVE" },
  { 850, "COMBINING FERMATA" },
  { 851, "COMBINING X BELOW" },
  { 852, "COMBINING LEFT ARROWHEAD BELOW" },
  { 853, "COMBINING RIGHT ARROWHEAD BELOW" },
  { 854, "COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW" },
  { 855, "COMBINING RIGHT HALF RING ABOVE" },
  { 856, "COMBINING DOT ABOVE RIGHT" },
  { 857, "COMBINING ASTERISK BELOW" },
  { 858, "COMBINING DOUBLE RING BELOW" },
  { 859, "COMBINING ZIGZAG ABOVE" },
  { 860, "COMBINING DOUBLE BREVE BELOW" },
  { 861, "COMBINING DOUBLE BREVE" },
  { 862, "COMBINING DOUBLE MACRON" },
  { 863, "COMBINING DOUBLE MACRON BELOW" },
  { 864, "COMBINING DOUBLE TILDE" },
  { 865, "COMBINING DOUBLE INVERTED BREVE" },
  { 866, "COMBINING DOUBLE RIGHTWARDS ARROW BELOW" },
  { 867, "COMBINING LATIN SMALL LETTER A" },
  { 868, "COMBINING LATIN SMALL LETTER E" },
  { 869, "COMBINING LATIN SMALL LETTER I" },
  { 870, "COMBINING LATIN SMALL LETTER O" },
  { 871, "COMBINING LATIN SMALL LETTER U" },
  { 872, "COMBINING LATIN SMALL LETTER C" },
  { 873, "COMBINING LATIN SMALL LETTER D" },
  { 874, "COMBINING LATIN SMALL LETTER H" },
  { 875, "COMBINING LATIN SMALL LETTER M" },
  { 876, "COMBINING LATIN SMALL LETTER R" },
  { 877, "COMBINING LATIN SMALL LETTER T" },
  { 878, "COMBINING LATIN SMALL LETTER V" },
  { 879, "COMBINING LATIN SMALL LETTER X" },
  { 880, "GREEK CAPITAL LETTER HETA" },
  { 881, "GREEK SMALL LETTER HETA" },
  { 882, "GREEK CAPITAL LETTER ARCHAIC SAMPI" },
  { 883, "GREEK SMALL LETTER ARCHAIC SAMPI" },
  { 884, "GREEK NUMERAL SIGN" },
  { 885, "GREEK LOWER NUMERAL SIGN" },
  { 886, "GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA" },
  { 887, "GREEK SMALL LETTER PAMPHYLIAN DIGAMMA" },
  { 890, "GREEK YPOGEGRAMMENI" },
  { 891, "GREEK SMALL REVERSED LUNATE SIGMA SYMBOL" },
  { 892, "GREEK SMALL DOTTED LUNATE SIGMA SYMBOL" },
  { 893, "GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL" },
  { 894, "GREEK QUESTION MARK" },
  { 900, "GREEK TONOS" },
  { 901, "GREEK DIALYTIKA TONOS" },
  { 902, "GREEK CAPITAL LETTER ALPHA WITH TONOS" },
  { 903, "GREEK ANO TELEIA" },
  { 904, "GREEK CAPITAL LETTER EPSILON WITH TONOS" },
  { 905, "GREEK CAPITAL LETTER ETA WITH TONOS" },
  { 906, "GREEK CAPITAL LETTER IOTA WITH TONOS" },
  { 908, "GREEK CAPITAL LETTER OMICRON WITH TONOS" },
  { 910, "GREEK CAPITAL LETTER UPSILON WITH TONOS" },
  { 911, "GREEK CAPITAL LETTER OMEGA WITH TONOS" },
  { 912, "GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS" },
  { 913, "GREEK CAPITAL LETTER ALPHA" },
  { 914, "GREEK CAPITAL LETTER BETA" },
  { 915, "GREEK CAPITAL LETTER GAMMA" },
  { 916, "GREEK CAPITAL LETTER DELTA" },
  { 917, "GREEK CAPITAL LETTER EPSILON" },
  { 918, "GREEK CAPITAL LETTER ZETA" },
  { 919, "GREEK CAPITAL LETTER ETA" },
  { 920, "GREEK CAPITAL LETTER THETA" },
  { 921, "GREEK CAPITAL LETTER IOTA" },
  { 922, "GREEK CAPITAL LETTER KAPPA" },
  { 923, "GREEK CAPITAL LETTER LAMDA" },
  { 924, "GREEK CAPITAL LETTER MU" },
  { 925, "GREEK CAPITAL LETTER NU" },
  { 926, "GREEK CAPITAL LETTER XI" },
  { 927, "GREEK CAPITAL LETTER OMICRON" },
  { 928, "GREEK CAPITAL LETTER PI" },
  { 929, "GREEK CAPITAL LETTER RHO" },
  { 931, "GREEK CAPITAL LETTER SIGMA" },
  { 932, "GREEK CAPITAL LETTER TAU" },
  { 933, "GREEK CAPITAL LETTER UPSILON" },
  { 934, "GREEK CAPITAL LETTER PHI" },
  { 935, "GREEK CAPITAL LETTER CHI" },
  { 936, "GREEK CAPITAL LETTER PSI" },
  { 937, "GREEK CAPITAL LETTER OMEGA" },
  { 938, "GREEK CAPITAL LETTER IOTA WITH DIALYTIKA" },
  { 939, "GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA" },
  { 940, "GREEK SMALL LETTER ALPHA WITH TONOS" },
  { 941, "GREEK SMALL LETTER EPSILON WITH TONOS" },
  { 942, "GREEK SMALL LETTER ETA WITH TONOS" },
  { 943, "GREEK SMALL LETTER IOTA WITH TONOS" },
  { 944, "GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS" },
  { 945, "GREEK SMALL LETTER ALPHA" },
  { 946, "GREEK SMALL LETTER BETA" },
  { 947, "GREEK SMALL LETTER GAMMA" },
  { 948, "GREEK SMALL LETTER DELTA" },
  { 949, "GREEK SMALL LETTER EPSILON" },
  { 950, "GREEK SMALL LETTER ZETA" },
  { 951, "GREEK SMALL LETTER ETA" },
  { 952, "GREEK SMALL LETTER THETA" },
  { 953, "GREEK SMALL LETTER IOTA" },
  { 954, "GREEK SMALL LETTER KAPPA" },
  { 955, "GREEK SMALL LETTER LAMDA" },
  { 956, "GREEK SMALL LETTER MU" },
  { 957, "GREEK SMALL LETTER NU" },
  { 958, "GREEK SMALL LETTER XI" },
  { 959, "GREEK SMALL LETTER OMICRON" },
  { 960, "GREEK SMALL LETTER PI" },
  { 961, "GREEK SMALL LETTER RHO" },
  { 962, "GREEK SMALL LETTER FINAL SIGMA" },
  { 963, "GREEK SMALL LETTER SIGMA" },
  { 964, "GREEK SMALL LETTER TAU" },
  { 965, "GREEK SMALL LETTER UPSILON" },
  { 966, "GREEK SMALL LETTER PHI" },
  { 967, "GREEK SMALL LETTER CHI" },
  { 968, "GREEK SMALL LETTER PSI" },
  { 969, "GREEK SMALL LETTER OMEGA" },
  { 970, "GREEK SMALL LETTER IOTA WITH DIALYTIKA" },
  { 971, "GREEK SMALL LETTER UPSILON WITH DIALYTIKA" },
  { 972, "GREEK SMALL LETTER OMICRON WITH TONOS" },
  { 973, "GREEK SMALL LETTER UPSILON WITH TONOS" },
  { 974, "GREEK SMALL LETTER OMEGA WITH TONOS" },
  { 975, "GREEK CAPITAL KAI SYMBOL" },
  { 976, "GREEK BETA SYMBOL" },
  { 977, "GREEK THETA SYMBOL" },
  { 978, "GREEK UPSILON WITH HOOK SYMBOL" },
  { 979, "GREEK UPSILON WITH ACUTE AND HOOK SYMBOL" },
  { 980, "GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL" },
  { 981, "GREEK PHI SYMBOL" },
  { 982, "GREEK PI SYMBOL" },
  { 983, "GREEK KAI SYMBOL" },
  { 984, "GREEK LETTER ARCHAIC KOPPA" },
  { 985, "GREEK SMALL LETTER ARCHAIC KOPPA" },
  { 986, "GREEK LETTER STIGMA" },
  { 987, "GREEK SMALL LETTER STIGMA" },
  { 988, "GREEK LETTER DIGAMMA" },
  { 989, "GREEK SMALL LETTER DIGAMMA" },
  { 990, "GREEK LETTER KOPPA" },
  { 991, "GREEK SMALL LETTER KOPPA" },
  { 992, "GREEK LETTER SAMPI" },
  { 993, "GREEK SMALL LETTER SAMPI" },
  { 994, "COPTIC CAPITAL LETTER SHEI" },
  { 995, "COPTIC SMALL LETTER SHEI" },
  { 996, "COPTIC CAPITAL LETTER FEI" },
  { 997, "COPTIC SMALL LETTER FEI" },
  { 998, "COPTIC CAPITAL LETTER KHEI" },
  { 999, "COPTIC SMALL LETTER KHEI" },
  { 1000, "COPTIC CAPITAL LETTER HORI" },
  { 1001, "COPTIC SMALL LETTER HORI" },
  { 1002, "COPTIC CAPITAL LETTER GANGIA" },
  { 1003, "COPTIC SMALL LETTER GANGIA" },
  { 1004, "COPTIC CAPITAL LETTER SHIMA" },
  { 1005, "COPTIC SMALL LETTER SHIMA" },
  { 1006, "COPTIC CAPITAL LETTER DEI" },
  { 1007, "COPTIC SMALL LETTER DEI" },
  { 1008, "GREEK KAPPA SYMBOL" },
  { 1009, "GREEK RHO SYMBOL" },
  { 1010, "GREEK LUNATE SIGMA SYMBOL" },
  { 1011, "GREEK LETTER YOT" },
  { 1012, "GREEK CAPITAL THETA SYMBOL" },
  { 1013, "GREEK LUNATE EPSILON SYMBOL" },
  { 1014, "GREEK REVERSED LUNATE EPSILON SYMBOL" },
  { 1015, "GREEK CAPITAL LETTER SHO" },
  { 1016, "GREEK SMALL LETTER SHO" },
  { 1017, "GREEK CAPITAL LUNATE SIGMA SYMBOL" },
  { 1018, "GREEK CAPITAL LETTER SAN" },
  { 1019, "GREEK SMALL LETTER SAN" },
  { 1020, "GREEK RHO WITH STROKE SYMBOL" },
  { 1021, "GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL" },
  { 1022, "GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL" },
  { 1023, "GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL" },
  { 1024, "CYRILLIC CAPITAL LETTER IE WITH GRAVE" },
  { 1025, "CYRILLIC CAPITAL LETTER IO" },
  { 1026, "CYRILLIC CAPITAL LETTER DJE" },
  { 1027, "CYRILLIC CAPITAL LETTER GJE" },
  { 1028, "CYRILLIC CAPITAL LETTER UKRAINIAN IE" },
  { 1029, "CYRILLIC CAPITAL LETTER DZE" },
  { 1030, "CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I" },
  { 1031, "CYRILLIC CAPITAL LETTER YI" },
  { 1032, "CYRILLIC CAPITAL LETTER JE" },
  { 1033, "CYRILLIC CAPITAL LETTER LJE" },
  { 1034, "CYRILLIC CAPITAL LETTER NJE" },
  { 1035, "CYRILLIC CAPITAL LETTER TSHE" },
  { 1036, "CYRILLIC CAPITAL LETTER KJE" },
  { 1037, "CYRILLIC CAPITAL LETTER I WITH GRAVE" },
  { 1038, "CYRILLIC CAPITAL LETTER SHORT U" },
  { 1039, "CYRILLIC CAPITAL LETTER DZHE" },
  { 1040, "CYRILLIC CAPITAL LETTER A" },
  { 1041, "CYRILLIC CAPITAL LETTER BE" },
  { 1042, "CYRILLIC CAPITAL LETTER VE" },
  { 1043, "CYRILLIC CAPITAL LETTER GHE" },
  { 1044, "CYRILLIC CAPITAL LETTER DE" },
  { 1045, "CYRILLIC CAPITAL LETTER IE" },
  { 1046, "CYRILLIC CAPITAL LETTER ZHE" },
  { 1047, "CYRILLIC CAPITAL LETTER ZE" },
  { 1048, "CYRILLIC CAPITAL LETTER I" },
  { 1049, "CYRILLIC CAPITAL LETTER SHORT I" },
  { 1050, "CYRILLIC CAPITAL LETTER KA" },
  { 1051, "CYRILLIC CAPITAL LETTER EL" },
  { 1052, "CYRILLIC CAPITAL LETTER EM" },
  { 1053, "CYRILLIC CAPITAL LETTER EN" },
  { 1054, "CYRILLIC CAPITAL LETTER O" },
  { 1055, "CYRILLIC CAPITAL LETTER PE" },
  { 1056, "CYRILLIC CAPITAL LETTER ER" },
  { 1057, "CYRILLIC CAPITAL LETTER ES" },
  { 1058, "CYRILLIC CAPITAL LETTER TE" },
  { 1059, "CYRILLIC CAPITAL LETTER U" },
  { 1060, "CYRILLIC CAPITAL LETTER EF" },
  { 1061, "CYRILLIC CAPITAL LETTER HA" },
  { 1062, "CYRILLIC CAPITAL LETTER TSE" },
  { 1063, "CYRILLIC CAPITAL LETTER CHE" },
  { 1064, "CYRILLIC CAPITAL LETTER SHA" },
  { 1065, "CYRILLIC CAPITAL LETTER SHCHA" },
  { 1066, "CYRILLIC CAPITAL LETTER HARD SIGN" },
  { 1067, "CYRILLIC CAPITAL LETTER YERU" },
  { 1068, "CYRILLIC CAPITAL LETTER SOFT SIGN" },
  { 1069, "CYRILLIC CAPITAL LETTER E" },
  { 1070, "CYRILLIC CAPITAL LETTER YU" },
  { 1071, "CYRILLIC CAPITAL LETTER YA" },
  { 1072, "CYRILLIC SMALL LETTER A" },
  { 1073, "CYRILLIC SMALL LETTER BE" },
  { 1074, "CYRILLIC SMALL LETTER VE" },
  { 1075, "CYRILLIC SMALL LETTER GHE" },
  { 1076, "CYRILLIC SMALL LETTER DE" },
  { 1077, "CYRILLIC SMALL LETTER IE" },
  { 1078, "CYRILLIC SMALL LETTER ZHE" },
  { 1079, "CYRILLIC SMALL LETTER ZE" },
  { 1080, "CYRILLIC SMALL LETTER I" },
  { 1081, "CYRILLIC SMALL LETTER SHORT I" },
  { 1082, "CYRILLIC SMALL LETTER KA" },
  { 1083, "CYRILLIC SMALL LETTER EL" },
  { 1084, "CYRILLIC SMALL LETTER EM" },
  { 1085, "CYRILLIC SMALL LETTER EN" },
  { 1086, "CYRILLIC SMALL LETTER O" },
  { 1087, "CYRILLIC SMALL LETTER PE" },
  { 1088, "CYRILLIC SMALL LETTER ER" },
  { 1089, "CYRILLIC SMALL LETTER ES" },
  { 1090, "CYRILLIC SMALL LETTER TE" },
  { 1091, "CYRILLIC SMALL LETTER U" },
  { 1092, "CYRILLIC SMALL LETTER EF" },
  { 1093, "CYRILLIC SMALL LETTER HA" },
  { 1094, "CYRILLIC SMALL LETTER TSE" },
  { 1095, "CYRILLIC SMALL LETTER CHE" },
  { 1096, "CYRILLIC SMALL LETTER SHA" },
  { 1097, "CYRILLIC SMALL LETTER SHCHA" },
  { 1098, "CYRILLIC SMALL LETTER HARD SIGN" },
  { 1099, "CYRILLIC SMALL LETTER YERU" },
  { 1100, "CYRILLIC SMALL LETTER SOFT SIGN" },
  { 1101, "CYRILLIC SMALL LETTER E" },
  { 1102, "CYRILLIC SMALL LETTER YU" },
  { 1103, "CYRILLIC SMALL LETTER YA" },
  { 1104, "CYRILLIC SMALL LETTER IE WITH GRAVE" },
  { 1105, "CYRILLIC SMALL LETTER IO" },
  { 1106, "CYRILLIC SMALL LETTER DJE" },
  { 1107, "CYRILLIC SMALL LETTER GJE" },
  { 1108, "CYRILLIC SMALL LETTER UKRAINIAN IE" },
  { 1109, "CYRILLIC SMALL LETTER DZE" },
  { 1110, "CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I" },
  { 1111, "CYRILLIC SMALL LETTER YI" },
  { 1112, "CYRILLIC SMALL LETTER JE" },
  { 1113, "CYRILLIC SMALL LETTER LJE" },
  { 1114, "CYRILLIC SMALL LETTER NJE" },
  { 1115, "CYRILLIC SMALL LETTER TSHE" },
  { 1116, "CYRILLIC SMALL LETTER KJE" },
  { 1117, "CYRILLIC SMALL LETTER I WITH GRAVE" },
  { 1118, "CYRILLIC SMALL LETTER SHORT U" },
  { 1119, "CYRILLIC SMALL LETTER DZHE" },
  { 1120, "CYRILLIC CAPITAL LETTER OMEGA" },
  { 1121, "CYRILLIC SMALL LETTER OMEGA" },
  { 1122, "CYRILLIC CAPITAL LETTER YAT" },
  { 1123, "CYRILLIC SMALL LETTER YAT" },
  { 1124, "CYRILLIC CAPITAL LETTER IOTIFIED E" },
  { 1125, "CYRILLIC SMALL LETTER IOTIFIED E" },
  { 1126, "CYRILLIC CAPITAL LETTER LITTLE YUS" },
  { 1127, "CYRILLIC SMALL LETTER LITTLE YUS" },
  { 1128, "CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS" },
  { 1129, "CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS" },
  { 1130, "CYRILLIC CAPITAL LETTER BIG YUS" },
  { 1131, "CYRILLIC SMALL LETTER BIG YUS" },
  { 1132, "CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS" },
  { 1133, "CYRILLIC SMALL LETTER IOTIFIED BIG YUS" },
  { 1134, "CYRILLIC CAPITAL LETTER KSI" },
  { 1135, "CYRILLIC SMALL LETTER KSI" },
  { 1136, "CYRILLIC CAPITAL LETTER PSI" },
  { 1137, "CYRILLIC SMALL LETTER PSI" },
  { 1138, "CYRILLIC CAPITAL LETTER FITA" },
  { 1139, "CYRILLIC SMALL LETTER FITA" },
  { 1140, "CYRILLIC CAPITAL LETTER IZHITSA" },
  { 1141, "CYRILLIC SMALL LETTER IZHITSA" },
  { 1142, "CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT" },
  { 1143, "CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT" },
  { 1144, "CYRILLIC CAPITAL LETTER UK" },
  { 1145, "CYRILLIC SMALL LETTER UK" },
  { 1146, "CYRILLIC CAPITAL LETTER ROUND OMEGA" },
  { 1147, "CYRILLIC SMALL LETTER ROUND OMEGA" },
  { 1148, "CYRILLIC CAPITAL LETTER OMEGA WITH TITLO" },
  { 1149, "CYRILLIC SMALL LETTER OMEGA WITH TITLO" },
  { 1150, "CYRILLIC CAPITAL LETTER OT" },
  { 1151, "CYRILLIC SMALL LETTER OT" },
  { 1152, "CYRILLIC CAPITAL LETTER KOPPA" },
  { 1153, "CYRILLIC SMALL LETTER KOPPA" },
  { 1154, "CYRILLIC THOUSANDS SIGN" },
  { 1155, "COMBINING CYRILLIC TITLO" },
  { 1156, "COMBINING CYRILLIC PALATALIZATION" },
  { 1157, "COMBINING CYRILLIC DASIA PNEUMATA" },
  { 1158, "COMBINING CYRILLIC PSILI PNEUMATA" },
  { 1159, "COMBINING CYRILLIC POKRYTIE" },
  { 1160, "COMBINING CYRILLIC HUNDRED THOUSANDS SIGN" },
  { 1161, "COMBINING CYRILLIC MILLIONS SIGN" },
  { 1162, "CYRILLIC CAPITAL LETTER SHORT I WITH TAIL" },
  { 1163, "CYRILLIC SMALL LETTER SHORT I WITH TAIL" },
  { 1164, "CYRILLIC CAPITAL LETTER SEMISOFT SIGN" },
  { 1165, "CYRILLIC SMALL LETTER SEMISOFT SIGN" },
  { 1166, "CYRILLIC CAPITAL LETTER ER WITH TICK" },
  { 1167, "CYRILLIC SMALL LETTER ER WITH TICK" },
  { 1168, "CYRILLIC CAPITAL LETTER GHE WITH UPTURN" },
  { 1169, "CYRILLIC SMALL LETTER GHE WITH UPTURN" },
  { 1170, "CYRILLIC CAPITAL LETTER GHE WITH STROKE" },
  { 1171, "CYRILLIC SMALL LETTER GHE WITH STROKE" },
  { 1172, "CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK" },
  { 1173, "CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK" },
  { 1174, "CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER" },
  { 1175, "CYRILLIC SMALL LETTER ZHE WITH DESCENDER" },
  { 1176, "CYRILLIC CAPITAL LETTER ZE WITH DESCENDER" },
  { 1177, "CYRILLIC SMALL LETTER ZE WITH DESCENDER" },
  { 1178, "CYRILLIC CAPITAL LETTER KA WITH DESCENDER" },
  { 1179, "CYRILLIC SMALL LETTER KA WITH DESCENDER" },
  { 1180, "CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE" },
  { 1181, "CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE" },
  { 1182, "CYRILLIC CAPITAL LETTER KA WITH STROKE" },
  { 1183, "CYRILLIC SMALL LETTER KA WITH STROKE" },
  { 1184, "CYRILLIC CAPITAL LETTER BASHKIR KA" },
  { 1185, "CYRILLIC SMALL LETTER BASHKIR KA" },
  { 1186, "CYRILLIC CAPITAL LETTER EN WITH DESCENDER" },
  { 1187, "CYRILLIC SMALL LETTER EN WITH DESCENDER" },
  { 1188, "CYRILLIC CAPITAL LIGATURE EN GHE" },
  { 1189, "CYRILLIC SMALL LIGATURE EN GHE" },
  { 1190, "CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK" },
  { 1191, "CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK" },
  { 1192, "CYRILLIC CAPITAL LETTER ABKHASIAN HA" },
  { 1193, "CYRILLIC SMALL LETTER ABKHASIAN HA" },
  { 1194, "CYRILLIC CAPITAL LETTER ES WITH DESCENDER" },
  { 1195, "CYRILLIC SMALL LETTER ES WITH DESCENDER" },
  { 1196, "CYRILLIC CAPITAL LETTER TE WITH DESCENDER" },
  { 1197, "CYRILLIC SMALL LETTER TE WITH DESCENDER" },
  { 1198, "CYRILLIC CAPITAL LETTER STRAIGHT U" },
  { 1199, "CYRILLIC SMALL LETTER STRAIGHT U" },
  { 1200, "CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE" },
  { 1201, "CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE" },
  { 1202, "CYRILLIC CAPITAL LETTER HA WITH DESCENDER" },
  { 1203, "CYRILLIC SMALL LETTER HA WITH DESCENDER" },
  { 1204, "CYRILLIC CAPITAL LIGATURE TE TSE" },
  { 1205, "CYRILLIC SMALL LIGATURE TE TSE" },
  { 1206, "CYRILLIC CAPITAL LETTER CHE WITH DESCENDER" },
  { 1207, "CYRILLIC SMALL LETTER CHE WITH DESCENDER" },
  { 1208, "CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE" },
  { 1209, "CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE" },
  { 1210, "CYRILLIC CAPITAL LETTER SHHA" },
  { 1211, "CYRILLIC SMALL LETTER SHHA" },
  { 1212, "CYRILLIC CAPITAL LETTER ABKHASIAN CHE" },
  { 1213, "CYRILLIC SMALL LETTER ABKHASIAN CHE" },
  { 1214, "CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER" },
  { 1215, "CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER" },
  { 1216, "CYRILLIC LETTER PALOCHKA" },
  { 1217, "CYRILLIC CAPITAL LETTER ZHE WITH BREVE" },
  { 1218, "CYRILLIC SMALL LETTER ZHE WITH BREVE" },
  { 1219, "CYRILLIC CAPITAL LETTER KA WITH HOOK" },
  { 1220, "CYRILLIC SMALL LETTER KA WITH HOOK" },
  { 1221, "CYRILLIC CAPITAL LETTER EL WITH TAIL" },
  { 1222, "CYRILLIC SMALL LETTER EL WITH TAIL" },
  { 1223, "CYRILLIC CAPITAL LETTER EN WITH HOOK" },
  { 1224, "CYRILLIC SMALL LETTER EN WITH HOOK" },
  { 1225, "CYRILLIC CAPITAL LETTER EN WITH TAIL" },
  { 1226, "CYRILLIC SMALL LETTER EN WITH TAIL" },
  { 1227, "CYRILLIC CAPITAL LETTER KHAKASSIAN CHE" },
  { 1228, "CYRILLIC SMALL LETTER KHAKASSIAN CHE" },
  { 1229, "CYRILLIC CAPITAL LETTER EM WITH TAIL" },
  { 1230, "CYRILLIC SMALL LETTER EM WITH TAIL" },
  { 1231, "CYRILLIC SMALL LETTER PALOCHKA" },
  { 1232, "CYRILLIC CAPITAL LETTER A WITH BREVE" },
  { 1233, "CYRILLIC SMALL LETTER A WITH BREVE" },
  { 1234, "CYRILLIC CAPITAL LETTER A WITH DIAERESIS" },
  { 1235, "CYRILLIC SMALL LETTER A WITH DIAERESIS" },
  { 1236, "CYRILLIC CAPITAL LIGATURE A IE" },
  { 1237, "CYRILLIC SMALL LIGATURE A IE" },
  { 1238, "CYRILLIC CAPITAL LETTER IE WITH BREVE" },
  { 1239, "CYRILLIC SMALL LETTER IE WITH BREVE" },
  { 1240, "CYRILLIC CAPITAL LETTER SCHWA" },
  { 1241, "CYRILLIC SMALL LETTER SCHWA" },
  { 1242, "CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS" },
  { 1243, "CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS" },
  { 1244, "CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS" },
  { 1245, "CYRILLIC SMALL LETTER ZHE WITH DIAERESIS" },
  { 1246, "CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS" },
  { 1247, "CYRILLIC SMALL LETTER ZE WITH DIAERESIS" },
  { 1248, "CYRILLIC CAPITAL LETTER ABKHASIAN DZE" },
  { 1249, "CYRILLIC SMALL LETTER ABKHASIAN DZE" },
  { 1250, "CYRILLIC CAPITAL LETTER I WITH MACRON" },
  { 1251, "CYRILLIC SMALL LETTER I WITH MACRON" },
  { 1252, "CYRILLIC CAPITAL LETTER I WITH DIAERESIS" },
  { 1253, "CYRILLIC SMALL LETTER I WITH DIAERESIS" },
  { 1254, "CYRILLIC CAPITAL LETTER O WITH DIAERESIS" },
  { 1255, "CYRILLIC SMALL LETTER O WITH DIAERESIS" },
  { 1256, "CYRILLIC CAPITAL LETTER BARRED O" },
  { 1257, "CYRILLIC SMALL LETTER BARRED O" },
  { 1258, "CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS" },
  { 1259, "CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS" },
  { 1260, "CYRILLIC CAPITAL LETTER E WITH DIAERESIS" },
  { 1261, "CYRILLIC SMALL LETTER E WITH DIAERESIS" },
  { 1262, "CYRILLIC CAPITAL LETTER U WITH MACRON" },
  { 1263, "CYRILLIC SMALL LETTER U WITH MACRON" },
  { 1264, "CYRILLIC CAPITAL LETTER U WITH DIAERESIS" },
  { 1265, "CYRILLIC SMALL LETTER U WITH DIAERESIS" },
  { 1266, "CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE" },
  { 1267, "CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE" },
  { 1268, "CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS" },
  { 1269, "CYRILLIC SMALL LETTER CHE WITH DIAERESIS" },
  { 1270, "CYRILLIC CAPITAL LETTER GHE WITH DESCENDER" },
  { 1271, "CYRILLIC SMALL LETTER GHE WITH DESCENDER" },
  { 1272, "CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS" },
  { 1273, "CYRILLIC SMALL LETTER YERU WITH DIAERESIS" },
  { 1274, "CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK" },
  { 1275, "CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK" },
  { 1276, "CYRILLIC CAPITAL LETTER HA WITH HOOK" },
  { 1277, "CYRILLIC SMALL LETTER HA WITH HOOK" },
  { 1278, "CYRILLIC CAPITAL LETTER HA WITH STROKE" },
  { 1279, "CYRILLIC SMALL LETTER HA WITH STROKE" },
  { 1280, "CYRILLIC CAPITAL LETTER KOMI DE" },
  { 1281, "CYRILLIC SMALL LETTER KOMI DE" },
  { 1282, "CYRILLIC CAPITAL LETTER KOMI DJE" },
  { 1283, "CYRILLIC SMALL LETTER KOMI DJE" },
  { 1284, "CYRILLIC CAPITAL LETTER KOMI ZJE" },
  { 1285, "CYRILLIC SMALL LETTER KOMI ZJE" },
  { 1286, "CYRILLIC CAPITAL LETTER KOMI DZJE" },
  { 1287, "CYRILLIC SMALL LETTER KOMI DZJE" },
  { 1288, "CYRILLIC CAPITAL LETTER KOMI LJE" },
  { 1289, "CYRILLIC SMALL LETTER KOMI LJE" },
  { 1290, "CYRILLIC CAPITAL LETTER KOMI NJE" },
  { 1291, "CYRILLIC SMALL LETTER KOMI NJE" },
  { 1292, "CYRILLIC CAPITAL LETTER KOMI SJE" },
  { 1293, "CYRILLIC SMALL LETTER KOMI SJE" },
  { 1294, "CYRILLIC CAPITAL LETTER KOMI TJE" },
  { 1295, "CYRILLIC SMALL LETTER KOMI TJE" },
  { 1296, "CYRILLIC CAPITAL LETTER REVERSED ZE" },
  { 1297, "CYRILLIC SMALL LETTER REVERSED ZE" },
  { 1298, "CYRILLIC CAPITAL LETTER EL WITH HOOK" },
  { 1299, "CYRILLIC SMALL LETTER EL WITH HOOK" },
  { 1300, "CYRILLIC CAPITAL LETTER LHA" },
  { 1301, "CYRILLIC SMALL LETTER LHA" },
  { 1302, "CYRILLIC CAPITAL LETTER RHA" },
  { 1303, "CYRILLIC SMALL LETTER RHA" },
  { 1304, "CYRILLIC CAPITAL LETTER YAE" },
  { 1305, "CYRILLIC SMALL LETTER YAE" },
  { 1306, "CYRILLIC CAPITAL LETTER QA" },
  { 1307, "CYRILLIC SMALL LETTER QA" },
  { 1308, "CYRILLIC CAPITAL LETTER WE" },
  { 1309, "CYRILLIC SMALL LETTER WE" },
  { 1310, "CYRILLIC CAPITAL LETTER ALEUT KA" },
  { 1311, "CYRILLIC SMALL LETTER ALEUT KA" },
  { 1312, "CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK" },
  { 1313, "CYRILLIC SMALL LETTER EL WITH MIDDLE HOOK" },
  { 1314, "CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK" },
  { 1315, "CYRILLIC SMALL LETTER EN WITH MIDDLE HOOK" },
  { 1329, "ARMENIAN CAPITAL LETTER AYB" },
  { 1330, "ARMENIAN CAPITAL LETTER BEN" },
  { 1331, "ARMENIAN CAPITAL LETTER GIM" },
  { 1332, "ARMENIAN CAPITAL LETTER DA" },
  { 1333, "ARMENIAN CAPITAL LETTER ECH" },
  { 1334, "ARMENIAN CAPITAL LETTER ZA" },
  { 1335, "ARMENIAN CAPITAL LETTER EH" },
  { 1336, "ARMENIAN CAPITAL LETTER ET" },
  { 1337, "ARMENIAN CAPITAL LETTER TO" },
  { 1338, "ARMENIAN CAPITAL LETTER ZHE" },
  { 1339, "ARMENIAN CAPITAL LETTER INI" },
  { 1340, "ARMENIAN CAPITAL LETTER LIWN" },
  { 1341, "ARMENIAN CAPITAL LETTER XEH" },
  { 1342, "ARMENIAN CAPITAL LETTER CA" },
  { 1343, "ARMENIAN CAPITAL LETTER KEN" },
  { 1344, "ARMENIAN CAPITAL LETTER HO" },
  { 1345, "ARMENIAN CAPITAL LETTER JA" },
  { 1346, "ARMENIAN CAPITAL LETTER GHAD" },
  { 1347, "ARMENIAN CAPITAL LETTER CHEH" },
  { 1348, "ARMENIAN CAPITAL LETTER MEN" },
  { 1349, "ARMENIAN CAPITAL LETTER YI" },
  { 1350, "ARMENIAN CAPITAL LETTER NOW" },
  { 1351, "ARMENIAN CAPITAL LETTER SHA" },
  { 1352, "ARMENIAN CAPITAL LETTER VO" },
  { 1353, "ARMENIAN CAPITAL LETTER CHA" },
  { 1354, "ARMENIAN CAPITAL LETTER PEH" },
  { 1355, "ARMENIAN CAPITAL LETTER JHEH" },
  { 1356, "ARMENIAN CAPITAL LETTER RA" },
  { 1357, "ARMENIAN CAPITAL LETTER SEH" },
  { 1358, "ARMENIAN CAPITAL LETTER VEW" },
  { 1359, "ARMENIAN CAPITAL LETTER TIWN" },
  { 1360, "ARMENIAN CAPITAL LETTER REH" },
  { 1361, "ARMENIAN CAPITAL LETTER CO" },
  { 1362, "ARMENIAN CAPITAL LETTER YIWN" },
  { 1363, "ARMENIAN CAPITAL LETTER PIWR" },
  { 1364, "ARMENIAN CAPITAL LETTER KEH" },
  { 1365, "ARMENIAN CAPITAL LETTER OH" },
  { 1366, "ARMENIAN CAPITAL LETTER FEH" },
  { 1369, "ARMENIAN MODIFIER LETTER LEFT HALF RING" },
  { 1370, "ARMENIAN APOSTROPHE" },
  { 1371, "ARMENIAN EMPHASIS MARK" },
  { 1372, "ARMENIAN EXCLAMATION MARK" },
  { 1373, "ARMENIAN COMMA" },
  { 1374, "ARMENIAN QUESTION MARK" },
  { 1375, "ARMENIAN ABBREVIATION MARK" },
  { 1377, "ARMENIAN SMALL LETTER AYB" },
  { 1378, "ARMENIAN SMALL LETTER BEN" },
  { 1379, "ARMENIAN SMALL LETTER GIM" },
  { 1380, "ARMENIAN SMALL LETTER DA" },
  { 1381, "ARMENIAN SMALL LETTER ECH" },
  { 1382, "ARMENIAN SMALL LETTER ZA" },
  { 1383, "ARMENIAN SMALL LETTER EH" },
  { 1384, "ARMENIAN SMALL LETTER ET" },
  { 1385, "ARMENIAN SMALL LETTER TO" },
  { 1386, "ARMENIAN SMALL LETTER ZHE" },
  { 1387, "ARMENIAN SMALL LETTER INI" },
  { 1388, "ARMENIAN SMALL LETTER LIWN" },
  { 1389, "ARMENIAN SMALL LETTER XEH" },
  { 1390, "ARMENIAN SMALL LETTER CA" },
  { 1391, "ARMENIAN SMALL LETTER KEN" },
  { 1392, "ARMENIAN SMALL LETTER HO" },
  { 1393, "ARMENIAN SMALL LETTER JA" },
  { 1394, "ARMENIAN SMALL LETTER GHAD" },
  { 1395, "ARMENIAN SMALL LETTER CHEH" },
  { 1396, "ARMENIAN SMALL LETTER MEN" },
  { 1397, "ARMENIAN SMALL LETTER YI" },
  { 1398, "ARMENIAN SMALL LETTER NOW" },
  { 1399, "ARMENIAN SMALL LETTER SHA" },
  { 1400, "ARMENIAN SMALL LETTER VO" },
  { 1401, "ARMENIAN SMALL LETTER CHA" },
  { 1402, "ARMENIAN SMALL LETTER PEH" },
  { 1403, "ARMENIAN SMALL LETTER JHEH" },
  { 1404, "ARMENIAN SMALL LETTER RA" },
  { 1405, "ARMENIAN SMALL LETTER SEH" },
  { 1406, "ARMENIAN SMALL LETTER VEW" },
  { 1407, "ARMENIAN SMALL LETTER TIWN" },
  { 1408, "ARMENIAN SMALL LETTER REH" },
  { 1409, "ARMENIAN SMALL LETTER CO" },
  { 1410, "ARMENIAN SMALL LETTER YIWN" },
  { 1411, "ARMENIAN SMALL LETTER PIWR" },
  { 1412, "ARMENIAN SMALL LETTER KEH" },
  { 1413, "ARMENIAN SMALL LETTER OH" },
  { 1414, "ARMENIAN SMALL LETTER FEH" },
  { 1415, "ARMENIAN SMALL LIGATURE ECH YIWN" },
  { 1417, "ARMENIAN FULL STOP" },
  { 1418, "ARMENIAN HYPHEN" },
  { 1425, "HEBREW ACCENT ETNAHTA" },
  { 1426, "HEBREW ACCENT SEGOL" },
  { 1427, "HEBREW ACCENT SHALSHELET" },
  { 1428, "HEBREW ACCENT ZAQEF QATAN" },
  { 1429, "HEBREW ACCENT ZAQEF GADOL" },
  { 1430, "HEBREW ACCENT TIPEHA" },
  { 1431, "HEBREW ACCENT REVIA" },
  { 1432, "HEBREW ACCENT ZARQA" },
  { 1433, "HEBREW ACCENT PASHTA" },
  { 1434, "HEBREW ACCENT YETIV" },
  { 1435, "HEBREW ACCENT TEVIR" },
  { 1436, "HEBREW ACCENT GERESH" },
  { 1437, "HEBREW ACCENT GERESH MUQDAM" },
  { 1438, "HEBREW ACCENT GERSHAYIM" },
  { 1439, "HEBREW ACCENT QARNEY PARA" },
  { 1440, "HEBREW ACCENT TELISHA GEDOLA" },
  { 1441, "HEBREW ACCENT PAZER" },
  { 1442, "HEBREW ACCENT ATNAH HAFUKH" },
  { 1443, "HEBREW ACCENT MUNAH" },
  { 1444, "HEBREW ACCENT MAHAPAKH" },
  { 1445, "HEBREW ACCENT MERKHA" },
  { 1446, "HEBREW ACCENT MERKHA KEFULA" },
  { 1447, "HEBREW ACCENT DARGA" },
  { 1448, "HEBREW ACCENT QADMA" },
  { 1449, "HEBREW ACCENT TELISHA QETANA" },
  { 1450, "HEBREW ACCENT YERAH BEN YOMO" },
  { 1451, "HEBREW ACCENT OLE" },
  { 1452, "HEBREW ACCENT ILUY" },
  { 1453, "HEBREW ACCENT DEHI" },
  { 1454, "HEBREW ACCENT ZINOR" },
  { 1455, "HEBREW MARK MASORA CIRCLE" },
  { 1456, "HEBREW POINT SHEVA" },
  { 1457, "HEBREW POINT HATAF SEGOL" },
  { 1458, "HEBREW POINT HATAF PATAH" },
  { 1459, "HEBREW POINT HATAF QAMATS" },
  { 1460, "HEBREW POINT HIRIQ" },
  { 1461, "HEBREW POINT TSERE" },
  { 1462, "HEBREW POINT SEGOL" },
  { 1463, "HEBREW POINT PATAH" },
  { 1464, "HEBREW POINT QAMATS" },
  { 1465, "HEBREW POINT HOLAM" },
  { 1466, "HEBREW POINT HOLAM HASER FOR VAV" },
  { 1467, "HEBREW POINT QUBUTS" },
  { 1468, "HEBREW POINT DAGESH OR MAPIQ" },
  { 1469, "HEBREW POINT METEG" },
  { 1470, "HEBREW PUNCTUATION MAQAF" },
  { 1471, "HEBREW POINT RAFE" },
  { 1472, "HEBREW PUNCTUATION PASEQ" },
  { 1473, "HEBREW POINT SHIN DOT" },
  { 1474, "HEBREW POINT SIN DOT" },
  { 1475, "HEBREW PUNCTUATION SOF PASUQ" },
  { 1476, "HEBREW MARK UPPER DOT" },
  { 1477, "HEBREW MARK LOWER DOT" },
  { 1478, "HEBREW PUNCTUATION NUN HAFUKHA" },
  { 1479, "HEBREW POINT QAMATS QATAN" },
  { 1488, "HEBREW LETTER ALEF" },
  { 1489, "HEBREW LETTER BET" },
  { 1490, "HEBREW LETTER GIMEL" },
  { 1491, "HEBREW LETTER DALET" },
  { 1492, "HEBREW LETTER HE" },
  { 1493, "HEBREW LETTER VAV" },
  { 1494, "HEBREW LETTER ZAYIN" },
  { 1495, "HEBREW LETTER HET" },
  { 1496, "HEBREW LETTER TET" },
  { 1497, "HEBREW LETTER YOD" },
  { 1498, "HEBREW LETTER FINAL KAF" },
  { 1499, "HEBREW LETTER KAF" },
  { 1500, "HEBREW LETTER LAMED" },
  { 1501, "HEBREW LETTER FINAL MEM" },
  { 1502, "HEBREW LETTER MEM" },
  { 1503, "HEBREW LETTER FINAL NUN" },
  { 1504, "HEBREW LETTER NUN" },
  { 1505, "HEBREW LETTER SAMEKH" },
  { 1506, "HEBREW LETTER AYIN" },
  { 1507, "HEBREW LETTER FINAL PE" },
  { 1508, "HEBREW LETTER PE" },
  { 1509, "HEBREW LETTER FINAL TSADI" },
  { 1510, "HEBREW LETTER TSADI" },
  { 1511, "HEBREW LETTER QOF" },
  { 1512, "HEBREW LETTER RESH" },
  { 1513, "HEBREW LETTER SHIN" },
  { 1514, "HEBREW LETTER TAV" },
  { 1520, "HEBREW LIGATURE YIDDISH DOUBLE VAV" },
  { 1521, "HEBREW LIGATURE YIDDISH VAV YOD" },
  { 1522, "HEBREW LIGATURE YIDDISH DOUBLE YOD" },
  { 1523, "HEBREW PUNCTUATION GERESH" },
  { 1524, "HEBREW PUNCTUATION GERSHAYIM" },
  { 1536, "ARABIC NUMBER SIGN" },
  { 1537, "ARABIC SIGN SANAH" },
  { 1538, "ARABIC FOOTNOTE MARKER" },
  { 1539, "ARABIC SIGN SAFHA" },
  { 1542, "ARABIC-INDIC CUBE ROOT" },
  { 1543, "ARABIC-INDIC FOURTH ROOT" },
  { 1544, "ARABIC RAY" },
  { 1545, "ARABIC-INDIC PER MILLE SIGN" },
  { 1546, "ARABIC-INDIC PER TEN THOUSAND SIGN" },
  { 1547, "AFGHANI SIGN" },
  { 1548, "ARABIC COMMA" },
  { 1549, "ARABIC DATE SEPARATOR" },
  { 1550, "ARABIC POETIC VERSE SIGN" },
  { 1551, "ARABIC SIGN MISRA" },
  { 1552, "ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM" },
  { 1553, "ARABIC SIGN ALAYHE ASSALLAM" },
  { 1554, "ARABIC SIGN RAHMATULLAH ALAYHE" },
  { 1555, "ARABIC SIGN RADI ALLAHOU ANHU" },
  { 1556, "ARABIC SIGN TAKHALLUS" },
  { 1557, "ARABIC SMALL HIGH TAH" },
  { 1558, "ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH" },
  { 1559, "ARABIC SMALL HIGH ZAIN" },
  { 1560, "ARABIC SMALL FATHA" },
  { 1561, "ARABIC SMALL DAMMA" },
  { 1562, "ARABIC SMALL KASRA" },
  { 1563, "ARABIC SEMICOLON" },
  { 1566, "ARABIC TRIPLE DOT PUNCTUATION MARK" },
  { 1567, "ARABIC QUESTION MARK" },
  { 1569, "ARABIC LETTER HAMZA" },
  { 1570, "ARABIC LETTER ALEF WITH MADDA ABOVE" },
  { 1571, "ARABIC LETTER ALEF WITH HAMZA ABOVE" },
  { 1572, "ARABIC LETTER WAW WITH HAMZA ABOVE" },
  { 1573, "ARABIC LETTER ALEF WITH HAMZA BELOW" },
  { 1574, "ARABIC LETTER YEH WITH HAMZA ABOVE" },
  { 1575, "ARABIC LETTER ALEF" },
  { 1576, "ARABIC LETTER BEH" },
  { 1577, "ARABIC LETTER TEH MARBUTA" },
  { 1578, "ARABIC LETTER TEH" },
  { 1579, "ARABIC LETTER THEH" },
  { 1580, "ARABIC LETTER JEEM" },
  { 1581, "ARABIC LETTER HAH" },
  { 1582, "ARABIC LETTER KHAH" },
  { 1583, "ARABIC LETTER DAL" },
  { 1584, "ARABIC LETTER THAL" },
  { 1585, "ARABIC LETTER REH" },
  { 1586, "ARABIC LETTER ZAIN" },
  { 1587, "ARABIC LETTER SEEN" },
  { 1588, "ARABIC LETTER SHEEN" },
  { 1589, "ARABIC LETTER SAD" },
  { 1590, "ARABIC LETTER DAD" },
  { 1591, "ARABIC LETTER TAH" },
  { 1592, "ARABIC LETTER ZAH" },
  { 1593, "ARABIC LETTER AIN" },
  { 1594, "ARABIC LETTER GHAIN" },
  { 1595, "ARABIC LETTER KEHEH WITH TWO DOTS ABOVE" },
  { 1596, "ARABIC LETTER KEHEH WITH THREE DOTS BELOW" },
  { 1597, "ARABIC LETTER FARSI YEH WITH INVERTED V" },
  { 1598, "ARABIC LETTER FARSI YEH WITH TWO DOTS ABOVE" },
  { 1599, "ARABIC LETTER FARSI YEH WITH THREE DOTS ABOVE" },
  { 1600, "ARABIC TATWEEL" },
  { 1601, "ARABIC LETTER FEH" },
  { 1602, "ARABIC LETTER QAF" },
  { 1603, "ARABIC LETTER KAF" },
  { 1604, "ARABIC LETTER LAM" },
  { 1605, "ARABIC LETTER MEEM" },
  { 1606, "ARABIC LETTER NOON" },
  { 1607, "ARABIC LETTER HEH" },
  { 1608, "ARABIC LETTER WAW" },
  { 1609, "ARABIC LETTER ALEF MAKSURA" },
  { 1610, "ARABIC LETTER YEH" },
  { 1611, "ARABIC FATHATAN" },
  { 1612, "ARABIC DAMMATAN" },
  { 1613, "ARABIC KASRATAN" },
  { 1614, "ARABIC FATHA" },
  { 1615, "ARABIC DAMMA" },
  { 1616, "ARABIC KASRA" },
  { 1617, "ARABIC SHADDA" },
  { 1618, "ARABIC SUKUN" },
  { 1619, "ARABIC MADDAH ABOVE" },
  { 1620, "ARABIC HAMZA ABOVE" },
  { 1621, "ARABIC HAMZA BELOW" },
  { 1622, "ARABIC SUBSCRIPT ALEF" },
  { 1623, "ARABIC INVERTED DAMMA" },
  { 1624, "ARABIC MARK NOON GHUNNA" },
  { 1625, "ARABIC ZWARAKAY" },
  { 1626, "ARABIC VOWEL SIGN SMALL V ABOVE" },
  { 1627, "ARABIC VOWEL SIGN INVERTED SMALL V ABOVE" },
  { 1628, "ARABIC VOWEL SIGN DOT BELOW" },
  { 1629, "ARABIC REVERSED DAMMA" },
  { 1630, "ARABIC FATHA WITH TWO DOTS" },
  { 1632, "ARABIC-INDIC DIGIT ZERO" },
  { 1633, "ARABIC-INDIC DIGIT ONE" },
  { 1634, "ARABIC-INDIC DIGIT TWO" },
  { 1635, "ARABIC-INDIC DIGIT THREE" },
  { 1636, "ARABIC-INDIC DIGIT FOUR" },
  { 1637, "ARABIC-INDIC DIGIT FIVE" },
  { 1638, "ARABIC-INDIC DIGIT SIX" },
  { 1639, "ARABIC-INDIC DIGIT SEVEN" },
  { 1640, "ARABIC-INDIC DIGIT EIGHT" },
  { 1641, "ARABIC-INDIC DIGIT NINE" },
  { 1642, "ARABIC PERCENT SIGN" },
  { 1643, "ARABIC DECIMAL SEPARATOR" },
  { 1644, "ARABIC THOUSANDS SEPARATOR" },
  { 1645, "ARABIC FIVE POINTED STAR" },
  { 1646, "ARABIC LETTER DOTLESS BEH" },
  { 1647, "ARABIC LETTER DOTLESS QAF" },
  { 1648, "ARABIC LETTER SUPERSCRIPT ALEF" },
  { 1649, "ARABIC LETTER ALEF WASLA" },
  { 1650, "ARABIC LETTER ALEF WITH WAVY HAMZA ABOVE" },
  { 1651, "ARABIC LETTER ALEF WITH WAVY HAMZA BELOW" },
  { 1652, "ARABIC LETTER HIGH HAMZA" },
  { 1653, "ARABIC LETTER HIGH HAMZA ALEF" },
  { 1654, "ARABIC LETTER HIGH HAMZA WAW" },
  { 1655, "ARABIC LETTER U WITH HAMZA ABOVE" },
  { 1656, "ARABIC LETTER HIGH HAMZA YEH" },
  { 1657, "ARABIC LETTER TTEH" },
  { 1658, "ARABIC LETTER TTEHEH" },
  { 1659, "ARABIC LETTER BEEH" },
  { 1660, "ARABIC LETTER TEH WITH RING" },
  { 1661, "ARABIC LETTER TEH WITH THREE DOTS ABOVE DOWNWARDS" },
  { 1662, "ARABIC LETTER PEH" },
  { 1663, "ARABIC LETTER TEHEH" },
  { 1664, "ARABIC LETTER BEHEH" },
  { 1665, "ARABIC LETTER HAH WITH HAMZA ABOVE" },
  { 1666, "ARABIC LETTER HAH WITH TWO DOTS VERTICAL ABOVE" },
  { 1667, "ARABIC LETTER NYEH" },
  { 1668, "ARABIC LETTER DYEH" },
  { 1669, "ARABIC LETTER HAH WITH THREE DOTS ABOVE" },
  { 1670, "ARABIC LETTER TCHEH" },
  { 1671, "ARABIC LETTER TCHEHEH" },
  { 1672, "ARABIC LETTER DDAL" },
  { 1673, "ARABIC LETTER DAL WITH RING" },
  { 1674, "ARABIC LETTER DAL WITH DOT BELOW" },
  { 1675, "ARABIC LETTER DAL WITH DOT BELOW AND SMALL TAH" },
  { 1676, "ARABIC LETTER DAHAL" },
  { 1677, "ARABIC LETTER DDAHAL" },
  { 1678, "ARABIC LETTER DUL" },
  { 1679, "ARABIC LETTER DAL WITH THREE DOTS ABOVE DOWNWARDS" },
  { 1680, "ARABIC LETTER DAL WITH FOUR DOTS ABOVE" },
  { 1681, "ARABIC LETTER RREH" },
  { 1682, "ARABIC LETTER REH WITH SMALL V" },
  { 1683, "ARABIC LETTER REH WITH RING" },
  { 1684, "ARABIC LETTER REH WITH DOT BELOW" },
  { 1685, "ARABIC LETTER REH WITH SMALL V BELOW" },
  { 1686, "ARABIC LETTER REH WITH DOT BELOW AND DOT ABOVE" },
  { 1687, "ARABIC LETTER REH WITH TWO DOTS ABOVE" },
  { 1688, "ARABIC LETTER JEH" },
  { 1689, "ARABIC LETTER REH WITH FOUR DOTS ABOVE" },
  { 1690, "ARABIC LETTER SEEN WITH DOT BELOW AND DOT ABOVE" },
  { 1691, "ARABIC LETTER SEEN WITH THREE DOTS BELOW" },
  { 1692, "ARABIC LETTER SEEN WITH THREE DOTS BELOW AND THREE DOTS ABOVE" },
  { 1693, "ARABIC LETTER SAD WITH TWO DOTS BELOW" },
  { 1694, "ARABIC LETTER SAD WITH THREE DOTS ABOVE" },
  { 1695, "ARABIC LETTER TAH WITH THREE DOTS ABOVE" },
  { 1696, "ARABIC LETTER AIN WITH THREE DOTS ABOVE" },
  { 1697, "ARABIC LETTER DOTLESS FEH" },
  { 1698, "ARABIC LETTER FEH WITH DOT MOVED BELOW" },
  { 1699, "ARABIC LETTER FEH WITH DOT BELOW" },
  { 1700, "ARABIC LETTER VEH" },
  { 1701, "ARABIC LETTER FEH WITH THREE DOTS BELOW" },
  { 1702, "ARABIC LETTER PEHEH" },
  { 1703, "ARABIC LETTER QAF WITH DOT ABOVE" },
  { 1704, "ARABIC LETTER QAF WITH THREE DOTS ABOVE" },
  { 1705, "ARABIC LETTER KEHEH" },
  { 1706, "ARABIC LETTER SWASH KAF" },
  { 1707, "ARABIC LETTER KAF WITH RING" },
  { 1708, "ARABIC LETTER KAF WITH DOT ABOVE" },
  { 1709, "ARABIC LETTER NG" },
  { 1710, "ARABIC LETTER KAF WITH THREE DOTS BELOW" },
  { 1711, "ARABIC LETTER GAF" },
  { 1712, "ARABIC LETTER GAF WITH RING" },
  { 1713, "ARABIC LETTER NGOEH" },
  { 1714, "ARABIC LETTER GAF WITH TWO DOTS BELOW" },
  { 1715, "ARABIC LETTER GUEH" },
  { 1716, "ARABIC LETTER GAF WITH THREE DOTS ABOVE" },
  { 1717, "ARABIC LETTER LAM WITH SMALL V" },
  { 1718, "ARABIC LETTER LAM WITH DOT ABOVE" },
  { 1719, "ARABIC LETTER LAM WITH THREE DOTS ABOVE" },
  { 1720, "ARABIC LETTER LAM WITH THREE DOTS BELOW" },
  { 1721, "ARABIC LETTER NOON WITH DOT BELOW" },
  { 1722, "ARABIC LETTER NOON GHUNNA" },
  { 1723, "ARABIC LETTER RNOON" },
  { 1724, "ARABIC LETTER NOON WITH RING" },
  { 1725, "ARABIC LETTER NOON WITH THREE DOTS ABOVE" },
  { 1726, "ARABIC LETTER HEH DOACHASHMEE" },
  { 1727, "ARABIC LETTER TCHEH WITH DOT ABOVE" },
  { 1728, "ARABIC LETTER HEH WITH YEH ABOVE" },
  { 1729, "ARABIC LETTER HEH GOAL" },
  { 1730, "ARABIC LETTER HEH GOAL WITH HAMZA ABOVE" },
  { 1731, "ARABIC LETTER TEH MARBUTA GOAL" },
  { 1732, "ARABIC LETTER WAW WITH RING" },
  { 1733, "ARABIC LETTER KIRGHIZ OE" },
  { 1734, "ARABIC LETTER OE" },
  { 1735, "ARABIC LETTER U" },
  { 1736, "ARABIC LETTER YU" },
  { 1737, "ARABIC LETTER KIRGHIZ YU" },
  { 1738, "ARABIC LETTER WAW WITH TWO DOTS ABOVE" },
  { 1739, "ARABIC LETTER VE" },
  { 1740, "ARABIC LETTER FARSI YEH" },
  { 1741, "ARABIC LETTER YEH WITH TAIL" },
  { 1742, "ARABIC LETTER YEH WITH SMALL V" },
  { 1743, "ARABIC LETTER WAW WITH DOT ABOVE" },
  { 1744, "ARABIC LETTER E" },
  { 1745, "ARABIC LETTER YEH WITH THREE DOTS BELOW" },
  { 1746, "ARABIC LETTER YEH BARREE" },
  { 1747, "ARABIC LETTER YEH BARREE WITH HAMZA ABOVE" },
  { 1748, "ARABIC FULL STOP" },
  { 1749, "ARABIC LETTER AE" },
  { 1750, "ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA" },
  { 1751, "ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA" },
  { 1752, "ARABIC SMALL HIGH MEEM INITIAL FORM" },
  { 1753, "ARABIC SMALL HIGH LAM ALEF" },
  { 1754, "ARABIC SMALL HIGH JEEM" },
  { 1755, "ARABIC SMALL HIGH THREE DOTS" },
  { 1756, "ARABIC SMALL HIGH SEEN" },
  { 1757, "ARABIC END OF AYAH" },
  { 1758, "ARABIC START OF RUB EL HIZB" },
  { 1759, "ARABIC SMALL HIGH ROUNDED ZERO" },
  { 1760, "ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO" },
  { 1761, "ARABIC SMALL HIGH DOTLESS HEAD OF KHAH" },
  { 1762, "ARABIC SMALL HIGH MEEM ISOLATED FORM" },
  { 1763, "ARABIC SMALL LOW SEEN" },
  { 1764, "ARABIC SMALL HIGH MADDA" },
  { 1765, "ARABIC SMALL WAW" },
  { 1766, "ARABIC SMALL YEH" },
  { 1767, "ARABIC SMALL HIGH YEH" },
  { 1768, "ARABIC SMALL HIGH NOON" },
  { 1769, "ARABIC PLACE OF SAJDAH" },
  { 1770, "ARABIC EMPTY CENTRE LOW STOP" },
  { 1771, "ARABIC EMPTY CENTRE HIGH STOP" },
  { 1772, "ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE" },
  { 1773, "ARABIC SMALL LOW MEEM" },
  { 1774, "ARABIC LETTER DAL WITH INVERTED V" },
  { 1775, "ARABIC LETTER REH WITH INVERTED V" },
  { 1776, "EXTENDED ARABIC-INDIC DIGIT ZERO" },
  { 1777, "EXTENDED ARABIC-INDIC DIGIT ONE" },
  { 1778, "EXTENDED ARABIC-INDIC DIGIT TWO" },
  { 1779, "EXTENDED ARABIC-INDIC DIGIT THREE" },
  { 1780, "EXTENDED ARABIC-INDIC DIGIT FOUR" },
  { 1781, "EXTENDED ARABIC-INDIC DIGIT FIVE" },
  { 1782, "EXTENDED ARABIC-INDIC DIGIT SIX" },
  { 1783, "EXTENDED ARABIC-INDIC DIGIT SEVEN" },
  { 1784, "EXTENDED ARABIC-INDIC DIGIT EIGHT" },
  { 1785, "EXTENDED ARABIC-INDIC DIGIT NINE" },
  { 1786, "ARABIC LETTER SHEEN WITH DOT BELOW" },
  { 1787, "ARABIC LETTER DAD WITH DOT BELOW" },
  { 1788, "ARABIC LETTER GHAIN WITH DOT BELOW" },
  { 1789, "ARABIC SIGN SINDHI AMPERSAND" },
  { 1790, "ARABIC SIGN SINDHI POSTPOSITION MEN" },
  { 1791, "ARABIC LETTER HEH WITH INVERTED V" },
  { 1792, "SYRIAC END OF PARAGRAPH" },
  { 1793, "SYRIAC SUPRALINEAR FULL STOP" },
  { 1794, "SYRIAC SUBLINEAR FULL STOP" },
  { 1795, "SYRIAC SUPRALINEAR COLON" },
  { 1796, "SYRIAC SUBLINEAR COLON" },
  { 1797, "SYRIAC HORIZONTAL COLON" },
  { 1798, "SYRIAC COLON SKEWED LEFT" },
  { 1799, "SYRIAC COLON SKEWED RIGHT" },
  { 1800, "SYRIAC SUPRALINEAR COLON SKEWED LEFT" },
  { 1801, "SYRIAC SUBLINEAR COLON SKEWED RIGHT" },
  { 1802, "SYRIAC CONTRACTION" },
  { 1803, "SYRIAC HARKLEAN OBELUS" },
  { 1804, "SYRIAC HARKLEAN METOBELUS" },
  { 1805, "SYRIAC HARKLEAN ASTERISCUS" },
  { 1807, "SYRIAC ABBREVIATION MARK" },
  { 1808, "SYRIAC LETTER ALAPH" },
  { 1809, "SYRIAC LETTER SUPERSCRIPT ALAPH" },
  { 1810, "SYRIAC LETTER BETH" },
  { 1811, "SYRIAC LETTER GAMAL" },
  { 1812, "SYRIAC LETTER GAMAL GARSHUNI" },
  { 1813, "SYRIAC LETTER DALATH" },
  { 1814, "SYRIAC LETTER DOTLESS DALATH RISH" },
  { 1815, "SYRIAC LETTER HE" },
  { 1816, "SYRIAC LETTER WAW" },
  { 1817, "SYRIAC LETTER ZAIN" },
  { 1818, "SYRIAC LETTER HETH" },
  { 1819, "SYRIAC LETTER TETH" },
  { 1820, "SYRIAC LETTER TETH GARSHUNI" },
  { 1821, "SYRIAC LETTER YUDH" },
  { 1822, "SYRIAC LETTER YUDH HE" },
  { 1823, "SYRIAC LETTER KAPH" },
  { 1824, "SYRIAC LETTER LAMADH" },
  { 1825, "SYRIAC LETTER MIM" },
  { 1826, "SYRIAC LETTER NUN" },
  { 1827, "SYRIAC LETTER SEMKATH" },
  { 1828, "SYRIAC LETTER FINAL SEMKATH" },
  { 1829, "SYRIAC LETTER E" },
  { 1830, "SYRIAC LETTER PE" },
  { 1831, "SYRIAC LETTER REVERSED PE" },
  { 1832, "SYRIAC LETTER SADHE" },
  { 1833, "SYRIAC LETTER QAPH" },
  { 1834, "SYRIAC LETTER RISH" },
  { 1835, "SYRIAC LETTER SHIN" },
  { 1836, "SYRIAC LETTER TAW" },
  { 1837, "SYRIAC LETTER PERSIAN BHETH" },
  { 1838, "SYRIAC LETTER PERSIAN GHAMAL" },
  { 1839, "SYRIAC LETTER PERSIAN DHALATH" },
  { 1840, "SYRIAC PTHAHA ABOVE" },
  { 1841, "SYRIAC PTHAHA BELOW" },
  { 1842, "SYRIAC PTHAHA DOTTED" },
  { 1843, "SYRIAC ZQAPHA ABOVE" },
  { 1844, "SYRIAC ZQAPHA BELOW" },
  { 1845, "SYRIAC ZQAPHA DOTTED" },
  { 1846, "SYRIAC RBASA ABOVE" },
  { 1847, "SYRIAC RBASA BELOW" },
  { 1848, "SYRIAC DOTTED ZLAMA HORIZONTAL" },
  { 1849, "SYRIAC DOTTED ZLAMA ANGULAR" },
  { 1850, "SYRIAC HBASA ABOVE" },
  { 1851, "SYRIAC HBASA BELOW" },
  { 1852, "SYRIAC HBASA-ESASA DOTTED" },
  { 1853, "SYRIAC ESASA ABOVE" },
  { 1854, "SYRIAC ESASA BELOW" },
  { 1855, "SYRIAC RWAHA" },
  { 1856, "SYRIAC FEMININE DOT" },
  { 1857, "SYRIAC QUSHSHAYA" },
  { 1858, "SYRIAC RUKKAKHA" },
  { 1859, "SYRIAC TWO VERTICAL DOTS ABOVE" },
  { 1860, "SYRIAC TWO VERTICAL DOTS BELOW" },
  { 1861, "SYRIAC THREE DOTS ABOVE" },
  { 1862, "SYRIAC THREE DOTS BELOW" },
  { 1863, "SYRIAC OBLIQUE LINE ABOVE" },
  { 1864, "SYRIAC OBLIQUE LINE BELOW" },
  { 1865, "SYRIAC MUSIC" },
  { 1866, "SYRIAC BARREKH" },
  { 1869, "SYRIAC LETTER SOGDIAN ZHAIN" },
  { 1870, "SYRIAC LETTER SOGDIAN KHAPH" },
  { 1871, "SYRIAC LETTER SOGDIAN FE" },
  { 1872, "ARABIC LETTER BEH WITH THREE DOTS HORIZONTALLY BELOW" },
  { 1873, "ARABIC LETTER BEH WITH DOT BELOW AND THREE DOTS ABOVE" },
  { 1874, "ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW" },
  { 1875, "ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW AND TWO DOTS ABOVE" },
  { 1876, "ARABIC LETTER BEH WITH TWO DOTS BELOW AND DOT ABOVE" },
  { 1877, "ARABIC LETTER BEH WITH INVERTED SMALL V BELOW" },
  { 1878, "ARABIC LETTER BEH WITH SMALL V" },
  { 1879, "ARABIC LETTER HAH WITH TWO DOTS ABOVE" },
  { 1880, "ARABIC LETTER HAH WITH THREE DOTS POINTING UPWARDS BELOW" },
  { 1881, "ARABIC LETTER DAL WITH TWO DOTS VERTICALLY BELOW AND SMALL TAH" },
  { 1882, "ARABIC LETTER DAL WITH INVERTED SMALL V BELOW" },
  { 1883, "ARABIC LETTER REH WITH STROKE" },
  { 1884, "ARABIC LETTER SEEN WITH FOUR DOTS ABOVE" },
  { 1885, "ARABIC LETTER AIN WITH TWO DOTS ABOVE" },
  { 1886, "ARABIC LETTER AIN WITH THREE DOTS POINTING DOWNWARDS ABOVE" },
  { 1887, "ARABIC LETTER AIN WITH TWO DOTS VERTICALLY ABOVE" },
  { 1888, "ARABIC LETTER FEH WITH TWO DOTS BELOW" },
  { 1889, "ARABIC LETTER FEH WITH THREE DOTS POINTING UPWARDS BELOW" },
  { 1890, "ARABIC LETTER KEHEH WITH DOT ABOVE" },
  { 1891, "ARABIC LETTER KEHEH WITH THREE DOTS ABOVE" },
  { 1892, "ARABIC LETTER KEHEH WITH THREE DOTS POINTING UPWARDS BELOW" },
  { 1893, "ARABIC LETTER MEEM WITH DOT ABOVE" },
  { 1894, "ARABIC LETTER MEEM WITH DOT BELOW" },
  { 1895, "ARABIC LETTER NOON WITH TWO DOTS BELOW" },
  { 1896, "ARABIC LETTER NOON WITH SMALL TAH" },
  { 1897, "ARABIC LETTER NOON WITH SMALL V" },
  { 1898, "ARABIC LETTER LAM WITH BAR" },
  { 1899, "ARABIC LETTER REH WITH TWO DOTS VERTICALLY ABOVE" },
  { 1900, "ARABIC LETTER REH WITH HAMZA ABOVE" },
  { 1901, "ARABIC LETTER SEEN WITH TWO DOTS VERTICALLY ABOVE" },
  { 1902, "ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH BELOW" },
  { 1903, "ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH AND TWO DOTS" },
  { 1904, "ARABIC LETTER SEEN WITH SMALL ARABIC LETTER TAH AND TWO DOTS" },
  { 1905, "ARABIC LETTER REH WITH SMALL ARABIC LETTER TAH AND TWO DOTS" },
  { 1906, "ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH ABOVE" },
  { 1907, "ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE" },
  { 1908, "ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE" },
  { 1909, "ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE" },
  { 1910, "ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE" },
  { 1911, "ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW" },
  { 1912, "ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE" },
  { 1913, "ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE" },
  { 1914, "ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE" },
  { 1915, "ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE" },
  { 1916, "ARABIC LETTER HAH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW" },
  { 1917, "ARABIC LETTER SEEN WITH EXTENDED ARABIC-INDIC DIGIT FOUR ABOVE" },
  { 1918, "ARABIC LETTER SEEN WITH INVERTED V" },
  { 1919, "ARABIC LETTER KAF WITH TWO DOTS ABOVE" },
  { 1920, "THAANA LETTER HAA" },
  { 1921, "THAANA LETTER SHAVIYANI" },
  { 1922, "THAANA LETTER NOONU" },
  { 1923, "THAANA LETTER RAA" },
  { 1924, "THAANA LETTER BAA" },
  { 1925, "THAANA LETTER LHAVIYANI" },
  { 1926, "THAANA LETTER KAAFU" },
  { 1927, "THAANA LETTER ALIFU" },
  { 1928, "THAANA LETTER VAAVU" },
  { 1929, "THAANA LETTER MEEMU" },
  { 1930, "THAANA LETTER FAAFU" },
  { 1931, "THAANA LETTER DHAALU" },
  { 1932, "THAANA LETTER THAA" },
  { 1933, "THAANA LETTER LAAMU" },
  { 1934, "THAANA LETTER GAAFU" },
  { 1935, "THAANA LETTER GNAVIYANI" },
  { 1936, "THAANA LETTER SEENU" },
  { 1937, "THAANA LETTER DAVIYANI" },
  { 1938, "THAANA LETTER ZAVIYANI" },
  { 1939, "THAANA LETTER TAVIYANI" },
  { 1940, "THAANA LETTER YAA" },
  { 1941, "THAANA LETTER PAVIYANI" },
  { 1942, "THAANA LETTER JAVIYANI" },
  { 1943, "THAANA LETTER CHAVIYANI" },
  { 1944, "THAANA LETTER TTAA" },
  { 1945, "THAANA LETTER HHAA" },
  { 1946, "THAANA LETTER KHAA" },
  { 1947, "THAANA LETTER THAALU" },
  { 1948, "THAANA LETTER ZAA" },
  { 1949, "THAANA LETTER SHEENU" },
  { 1950, "THAANA LETTER SAADHU" },
  { 1951, "THAANA LETTER DAADHU" },
  { 1952, "THAANA LETTER TO" },
  { 1953, "THAANA LETTER ZO" },
  { 1954, "THAANA LETTER AINU" },
  { 1955, "THAANA LETTER GHAINU" },
  { 1956, "THAANA LETTER QAAFU" },
  { 1957, "THAANA LETTER WAAVU" },
  { 1958, "THAANA ABAFILI" },
  { 1959, "THAANA AABAAFILI" },
  { 1960, "THAANA IBIFILI" },
  { 1961, "THAANA EEBEEFILI" },
  { 1962, "THAANA UBUFILI" },
  { 1963, "THAANA OOBOOFILI" },
  { 1964, "THAANA EBEFILI" },
  { 1965, "THAANA EYBEYFILI" },
  { 1966, "THAANA OBOFILI" },
  { 1967, "THAANA OABOAFILI" },
  { 1968, "THAANA SUKUN" },
  { 1969, "THAANA LETTER NAA" },
  { 1984, "NKO DIGIT ZERO" },
  { 1985, "NKO DIGIT ONE" },
  { 1986, "NKO DIGIT TWO" },
  { 1987, "NKO DIGIT THREE" },
  { 1988, "NKO DIGIT FOUR" },
  { 1989, "NKO DIGIT FIVE" },
  { 1990, "NKO DIGIT SIX" },
  { 1991, "NKO DIGIT SEVEN" },
  { 1992, "NKO DIGIT EIGHT" },
  { 1993, "NKO DIGIT NINE" },
  { 1994, "NKO LETTER A" },
  { 1995, "NKO LETTER EE" },
  { 1996, "NKO LETTER I" },
  { 1997, "NKO LETTER E" },
  { 1998, "NKO LETTER U" },
  { 1999, "NKO LETTER OO" },
  { 2000, "NKO LETTER O" },
  { 2001, "NKO LETTER DAGBASINNA" },
  { 2002, "NKO LETTER N" },
  { 2003, "NKO LETTER BA" },
  { 2004, "NKO LETTER PA" },
  { 2005, "NKO LETTER TA" },
  { 2006, "NKO LETTER JA" },
  { 2007, "NKO LETTER CHA" },
  { 2008, "NKO LETTER DA" },
  { 2009, "NKO LETTER RA" },
  { 2010, "NKO LETTER RRA" },
  { 2011, "NKO LETTER SA" },
  { 2012, "NKO LETTER GBA" },
  { 2013, "NKO LETTER FA" },
  { 2014, "NKO LETTER KA" },
  { 2015, "NKO LETTER LA" },
  { 2016, "NKO LETTER NA WOLOSO" },
  { 2017, "NKO LETTER MA" },
  { 2018, "NKO LETTER NYA" },
  { 2019, "NKO LETTER NA" },
  { 2020, "NKO LETTER HA" },
  { 2021, "NKO LETTER WA" },
  { 2022, "NKO LETTER YA" },
  { 2023, "NKO LETTER NYA WOLOSO" },
  { 2024, "NKO LETTER JONA JA" },
  { 2025, "NKO LETTER JONA CHA" },
  { 2026, "NKO LETTER JONA RA" },
  { 2027, "NKO COMBINING SHORT HIGH TONE" },
  { 2028, "NKO COMBINING SHORT LOW TONE" },
  { 2029, "NKO COMBINING SHORT RISING TONE" },
  { 2030, "NKO COMBINING LONG DESCENDING TONE" },
  { 2031, "NKO COMBINING LONG HIGH TONE" },
  { 2032, "NKO COMBINING LONG LOW TONE" },
  { 2033, "NKO COMBINING LONG RISING TONE" },
  { 2034, "NKO COMBINING NASALIZATION MARK" },
  { 2035, "NKO COMBINING DOUBLE DOT ABOVE" },
  { 2036, "NKO HIGH TONE APOSTROPHE" },
  { 2037, "NKO LOW TONE APOSTROPHE" },
  { 2038, "NKO SYMBOL OO DENNEN" },
  { 2039, "NKO SYMBOL GBAKURUNEN" },
  { 2040, "NKO COMMA" },
  { 2041, "NKO EXCLAMATION MARK" },
  { 2042, "NKO LAJANYALAN" },
  { 2305, "DEVANAGARI SIGN CANDRABINDU" },
  { 2306, "DEVANAGARI SIGN ANUSVARA" },
  { 2307, "DEVANAGARI SIGN VISARGA" },
  { 2308, "DEVANAGARI LETTER SHORT A" },
  { 2309, "DEVANAGARI LETTER A" },
  { 2310, "DEVANAGARI LETTER AA" },
  { 2311, "DEVANAGARI LETTER I" },
  { 2312, "DEVANAGARI LETTER II" },
  { 2313, "DEVANAGARI LETTER U" },
  { 2314, "DEVANAGARI LETTER UU" },
  { 2315, "DEVANAGARI LETTER VOCALIC R" },
  { 2316, "DEVANAGARI LETTER VOCALIC L" },
  { 2317, "DEVANAGARI LETTER CANDRA E" },
  { 2318, "DEVANAGARI LETTER SHORT E" },
  { 2319, "DEVANAGARI LETTER E" },
  { 2320, "DEVANAGARI LETTER AI" },
  { 2321, "DEVANAGARI LETTER CANDRA O" },
  { 2322, "DEVANAGARI LETTER SHORT O" },
  { 2323, "DEVANAGARI LETTER O" },
  { 2324, "DEVANAGARI LETTER AU" },
  { 2325, "DEVANAGARI LETTER KA" },
  { 2326, "DEVANAGARI LETTER KHA" },
  { 2327, "DEVANAGARI LETTER GA" },
  { 2328, "DEVANAGARI LETTER GHA" },
  { 2329, "DEVANAGARI LETTER NGA" },
  { 2330, "DEVANAGARI LETTER CA" },
  { 2331, "DEVANAGARI LETTER CHA" },
  { 2332, "DEVANAGARI LETTER JA" },
  { 2333, "DEVANAGARI LETTER JHA" },
  { 2334, "DEVANAGARI LETTER NYA" },
  { 2335, "DEVANAGARI LETTER TTA" },
  { 2336, "DEVANAGARI LETTER TTHA" },
  { 2337, "DEVANAGARI LETTER DDA" },
  { 2338, "DEVANAGARI LETTER DDHA" },
  { 2339, "DEVANAGARI LETTER NNA" },
  { 2340, "DEVANAGARI LETTER TA" },
  { 2341, "DEVANAGARI LETTER THA" },
  { 2342, "DEVANAGARI LETTER DA" },
  { 2343, "DEVANAGARI LETTER DHA" },
  { 2344, "DEVANAGARI LETTER NA" },
  { 2345, "DEVANAGARI LETTER NNNA" },
  { 2346, "DEVANAGARI LETTER PA" },
  { 2347, "DEVANAGARI LETTER PHA" },
  { 2348, "DEVANAGARI LETTER BA" },
  { 2349, "DEVANAGARI LETTER BHA" },
  { 2350, "DEVANAGARI LETTER MA" },
  { 2351, "DEVANAGARI LETTER YA" },
  { 2352, "DEVANAGARI LETTER RA" },
  { 2353, "DEVANAGARI LETTER RRA" },
  { 2354, "DEVANAGARI LETTER LA" },
  { 2355, "DEVANAGARI LETTER LLA" },
  { 2356, "DEVANAGARI LETTER LLLA" },
  { 2357, "DEVANAGARI LETTER VA" },
  { 2358, "DEVANAGARI LETTER SHA" },
  { 2359, "DEVANAGARI LETTER SSA" },
  { 2360, "DEVANAGARI LETTER SA" },
  { 2361, "DEVANAGARI LETTER HA" },
  { 2364, "DEVANAGARI SIGN NUKTA" },
  { 2365, "DEVANAGARI SIGN AVAGRAHA" },
  { 2366, "DEVANAGARI VOWEL SIGN AA" },
  { 2367, "DEVANAGARI VOWEL SIGN I" },
  { 2368, "DEVANAGARI VOWEL SIGN II" },
  { 2369, "DEVANAGARI VOWEL SIGN U" },
  { 2370, "DEVANAGARI VOWEL SIGN UU" },
  { 2371, "DEVANAGARI VOWEL SIGN VOCALIC R" },
  { 2372, "DEVANAGARI VOWEL SIGN VOCALIC RR" },
  { 2373, "DEVANAGARI VOWEL SIGN CANDRA E" },
  { 2374, "DEVANAGARI VOWEL SIGN SHORT E" },
  { 2375, "DEVANAGARI VOWEL SIGN E" },
  { 2376, "DEVANAGARI VOWEL SIGN AI" },
  { 2377, "DEVANAGARI VOWEL SIGN CANDRA O" },
  { 2378, "DEVANAGARI VOWEL SIGN SHORT O" },
  { 2379, "DEVANAGARI VOWEL SIGN O" },
  { 2380, "DEVANAGARI VOWEL SIGN AU" },
  { 2381, "DEVANAGARI SIGN VIRAMA" },
  { 2384, "DEVANAGARI OM" },
  { 2385, "DEVANAGARI STRESS SIGN UDATTA" },
  { 2386, "DEVANAGARI STRESS SIGN ANUDATTA" },
  { 2387, "DEVANAGARI GRAVE ACCENT" },
  { 2388, "DEVANAGARI ACUTE ACCENT" },
  { 2392, "DEVANAGARI LETTER QA" },
  { 2393, "DEVANAGARI LETTER KHHA" },
  { 2394, "DEVANAGARI LETTER GHHA" },
  { 2395, "DEVANAGARI LETTER ZA" },
  { 2396, "DEVANAGARI LETTER DDDHA" },
  { 2397, "DEVANAGARI LETTER RHA" },
  { 2398, "DEVANAGARI LETTER FA" },
  { 2399, "DEVANAGARI LETTER YYA" },
  { 2400, "DEVANAGARI LETTER VOCALIC RR" },
  { 2401, "DEVANAGARI LETTER VOCALIC LL" },
  { 2402, "DEVANAGARI VOWEL SIGN VOCALIC L" },
  { 2403, "DEVANAGARI VOWEL SIGN VOCALIC LL" },
  { 2404, "DEVANAGARI DANDA" },
  { 2405, "DEVANAGARI DOUBLE DANDA" },
  { 2406, "DEVANAGARI DIGIT ZERO" },
  { 2407, "DEVANAGARI DIGIT ONE" },
  { 2408, "DEVANAGARI DIGIT TWO" },
  { 2409, "DEVANAGARI DIGIT THREE" },
  { 2410, "DEVANAGARI DIGIT FOUR" },
  { 2411, "DEVANAGARI DIGIT FIVE" },
  { 2412, "DEVANAGARI DIGIT SIX" },
  { 2413, "DEVANAGARI DIGIT SEVEN" },
  { 2414, "DEVANAGARI DIGIT EIGHT" },
  { 2415, "DEVANAGARI DIGIT NINE" },
  { 2416, "DEVANAGARI ABBREVIATION SIGN" },
  { 2417, "DEVANAGARI SIGN HIGH SPACING DOT" },
  { 2418, "DEVANAGARI LETTER CANDRA A" },
  { 2427, "DEVANAGARI LETTER GGA" },
  { 2428, "DEVANAGARI LETTER JJA" },
  { 2429, "DEVANAGARI LETTER GLOTTAL STOP" },
  { 2430, "DEVANAGARI LETTER DDDA" },
  { 2431, "DEVANAGARI LETTER BBA" },
  { 2433, "BENGALI SIGN CANDRABINDU" },
  { 2434, "BENGALI SIGN ANUSVARA" },
  { 2435, "BENGALI SIGN VISARGA" },
  { 2437, "BENGALI LETTER A" },
  { 2438, "BENGALI LETTER AA" },
  { 2439, "BENGALI LETTER I" },
  { 2440, "BENGALI LETTER II" },
  { 2441, "BENGALI LETTER U" },
  { 2442, "BENGALI LETTER UU" },
  { 2443, "BENGALI LETTER VOCALIC R" },
  { 2444, "BENGALI LETTER VOCALIC L" },
  { 2447, "BENGALI LETTER E" },
  { 2448, "BENGALI LETTER AI" },
  { 2451, "BENGALI LETTER O" },
  { 2452, "BENGALI LETTER AU" },
  { 2453, "BENGALI LETTER KA" },
  { 2454, "BENGALI LETTER KHA" },
  { 2455, "BENGALI LETTER GA" },
  { 2456, "BENGALI LETTER GHA" },
  { 2457, "BENGALI LETTER NGA" },
  { 2458, "BENGALI LETTER CA" },
  { 2459, "BENGALI LETTER CHA" },
  { 2460, "BENGALI LETTER JA" },
  { 2461, "BENGALI LETTER JHA" },
  { 2462, "BENGALI LETTER NYA" },
  { 2463, "BENGALI LETTER TTA" },
  { 2464, "BENGALI LETTER TTHA" },
  { 2465, "BENGALI LETTER DDA" },
  { 2466, "BENGALI LETTER DDHA" },
  { 2467, "BENGALI LETTER NNA" },
  { 2468, "BENGALI LETTER TA" },
  { 2469, "BENGALI LETTER THA" },
  { 2470, "BENGALI LETTER DA" },
  { 2471, "BENGALI LETTER DHA" },
  { 2472, "BENGALI LETTER NA" },
  { 2474, "BENGALI LETTER PA" },
  { 2475, "BENGALI LETTER PHA" },
  { 2476, "BENGALI LETTER BA" },
  { 2477, "BENGALI LETTER BHA" },
  { 2478, "BENGALI LETTER MA" },
  { 2479, "BENGALI LETTER YA" },
  { 2480, "BENGALI LETTER RA" },
  { 2482, "BENGALI LETTER LA" },
  { 2486, "BENGALI LETTER SHA" },
  { 2487, "BENGALI LETTER SSA" },
  { 2488, "BENGALI LETTER SA" },
  { 2489, "BENGALI LETTER HA" },
  { 2492, "BENGALI SIGN NUKTA" },
  { 2493, "BENGALI SIGN AVAGRAHA" },
  { 2494, "BENGALI VOWEL SIGN AA" },
  { 2495, "BENGALI VOWEL SIGN I" },
  { 2496, "BENGALI VOWEL SIGN II" },
  { 2497, "BENGALI VOWEL SIGN U" },
  { 2498, "BENGALI VOWEL SIGN UU" },
  { 2499, "BENGALI VOWEL SIGN VOCALIC R" },
  { 2500, "BENGALI VOWEL SIGN VOCALIC RR" },
  { 2503, "BENGALI VOWEL SIGN E" },
  { 2504, "BENGALI VOWEL SIGN AI" },
  { 2507, "BENGALI VOWEL SIGN O" },
  { 2508, "BENGALI VOWEL SIGN AU" },
  { 2509, "BENGALI SIGN VIRAMA" },
  { 2510, "BENGALI LETTER KHANDA TA" },
  { 2519, "BENGALI AU LENGTH MARK" },
  { 2524, "BENGALI LETTER RRA" },
  { 2525, "BENGALI LETTER RHA" },
  { 2527, "BENGALI LETTER YYA" },
  { 2528, "BENGALI LETTER VOCALIC RR" },
  { 2529, "BENGALI LETTER VOCALIC LL" },
  { 2530, "BENGALI VOWEL SIGN VOCALIC L" },
  { 2531, "BENGALI VOWEL SIGN VOCALIC LL" },
  { 2534, "BENGALI DIGIT ZERO" },
  { 2535, "BENGALI DIGIT ONE" },
  { 2536, "BENGALI DIGIT TWO" },
  { 2537, "BENGALI DIGIT THREE" },
  { 2538, "BENGALI DIGIT FOUR" },
  { 2539, "BENGALI DIGIT FIVE" },
  { 2540, "BENGALI DIGIT SIX" },
  { 2541, "BENGALI DIGIT SEVEN" },
  { 2542, "BENGALI DIGIT EIGHT" },
  { 2543, "BENGALI DIGIT NINE" },
  { 2544, "BENGALI LETTER RA WITH MIDDLE DIAGONAL" },
  { 2545, "BENGALI LETTER RA WITH LOWER DIAGONAL" },
  { 2546, "BENGALI RUPEE MARK" },
  { 2547, "BENGALI RUPEE SIGN" },
  { 2548, "BENGALI CURRENCY NUMERATOR ONE" },
  { 2549, "BENGALI CURRENCY NUMERATOR TWO" },
  { 2550, "BENGALI CURRENCY NUMERATOR THREE" },
  { 2551, "BENGALI CURRENCY NUMERATOR FOUR" },
  { 2552, "BENGALI CURRENCY NUMERATOR ONE LESS THAN THE DENOMINATOR" },
  { 2553, "BENGALI CURRENCY DENOMINATOR SIXTEEN" },
  { 2554, "BENGALI ISSHAR" },
  { 2561, "GURMUKHI SIGN ADAK BINDI" },
  { 2562, "GURMUKHI SIGN BINDI" },
  { 2563, "GURMUKHI SIGN VISARGA" },
  { 2565, "GURMUKHI LETTER A" },
  { 2566, "GURMUKHI LETTER AA" },
  { 2567, "GURMUKHI LETTER I" },
  { 2568, "GURMUKHI LETTER II" },
  { 2569, "GURMUKHI LETTER U" },
  { 2570, "GURMUKHI LETTER UU" },
  { 2575, "GURMUKHI LETTER EE" },
  { 2576, "GURMUKHI LETTER AI" },
  { 2579, "GURMUKHI LETTER OO" },
  { 2580, "GURMUKHI LETTER AU" },
  { 2581, "GURMUKHI LETTER KA" },
  { 2582, "GURMUKHI LETTER KHA" },
  { 2583, "GURMUKHI LETTER GA" },
  { 2584, "GURMUKHI LETTER GHA" },
  { 2585, "GURMUKHI LETTER NGA" },
  { 2586, "GURMUKHI LETTER CA" },
  { 2587, "GURMUKHI LETTER CHA" },
  { 2588, "GURMUKHI LETTER JA" },
  { 2589, "GURMUKHI LETTER JHA" },
  { 2590, "GURMUKHI LETTER NYA" },
  { 2591, "GURMUKHI LETTER TTA" },
  { 2592, "GURMUKHI LETTER TTHA" },
  { 2593, "GURMUKHI LETTER DDA" },
  { 2594, "GURMUKHI LETTER DDHA" },
  { 2595, "GURMUKHI LETTER NNA" },
  { 2596, "GURMUKHI LETTER TA" },
  { 2597, "GURMUKHI LETTER THA" },
  { 2598, "GURMUKHI LETTER DA" },
  { 2599, "GURMUKHI LETTER DHA" },
  { 2600, "GURMUKHI LETTER NA" },
  { 2602, "GURMUKHI LETTER PA" },
  { 2603, "GURMUKHI LETTER PHA" },
  { 2604, "GURMUKHI LETTER BA" },
  { 2605, "GURMUKHI LETTER BHA" },
  { 2606, "GURMUKHI LETTER MA" },
  { 2607, "GURMUKHI LETTER YA" },
  { 2608, "GURMUKHI LETTER RA" },
  { 2610, "GURMUKHI LETTER LA" },
  { 2611, "GURMUKHI LETTER LLA" },
  { 2613, "GURMUKHI LETTER VA" },
  { 2614, "GURMUKHI LETTER SHA" },
  { 2616, "GURMUKHI LETTER SA" },
  { 2617, "GURMUKHI LETTER HA" },
  { 2620, "GURMUKHI SIGN NUKTA" },
  { 2622, "GURMUKHI VOWEL SIGN AA" },
  { 2623, "GURMUKHI VOWEL SIGN I" },
  { 2624, "GURMUKHI VOWEL SIGN II" },
  { 2625, "GURMUKHI VOWEL SIGN U" },
  { 2626, "GURMUKHI VOWEL SIGN UU" },
  { 2631, "GURMUKHI VOWEL SIGN EE" },
  { 2632, "GURMUKHI VOWEL SIGN AI" },
  { 2635, "GURMUKHI VOWEL SIGN OO" },
  { 2636, "GURMUKHI VOWEL SIGN AU" },
  { 2637, "GURMUKHI SIGN VIRAMA" },
  { 2641, "GURMUKHI SIGN UDAAT" },
  { 2649, "GURMUKHI LETTER KHHA" },
  { 2650, "GURMUKHI LETTER GHHA" },
  { 2651, "GURMUKHI LETTER ZA" },
  { 2652, "GURMUKHI LETTER RRA" },
  { 2654, "GURMUKHI LETTER FA" },
  { 2662, "GURMUKHI DIGIT ZERO" },
  { 2663, "GURMUKHI DIGIT ONE" },
  { 2664, "GURMUKHI DIGIT TWO" },
  { 2665, "GURMUKHI DIGIT THREE" },
  { 2666, "GURMUKHI DIGIT FOUR" },
  { 2667, "GURMUKHI DIGIT FIVE" },
  { 2668, "GURMUKHI DIGIT SIX" },
  { 2669, "GURMUKHI DIGIT SEVEN" },
  { 2670, "GURMUKHI DIGIT EIGHT" },
  { 2671, "GURMUKHI DIGIT NINE" },
  { 2672, "GURMUKHI TIPPI" },
  { 2673, "GURMUKHI ADDAK" },
  { 2674, "GURMUKHI IRI" },
  { 2675, "GURMUKHI URA" },
  { 2676, "GURMUKHI EK ONKAR" },
  { 2677, "GURMUKHI SIGN YAKASH" },
  { 2689, "GUJARATI SIGN CANDRABINDU" },
  { 2690, "GUJARATI SIGN ANUSVARA" },
  { 2691, "GUJARATI SIGN VISARGA" },
  { 2693, "GUJARATI LETTER A" },
  { 2694, "GUJARATI LETTER AA" },
  { 2695, "GUJARATI LETTER I" },
  { 2696, "GUJARATI LETTER II" },
  { 2697, "GUJARATI LETTER U" },
  { 2698, "GUJARATI LETTER UU" },
  { 2699, "GUJARATI LETTER VOCALIC R" },
  { 2700, "GUJARATI LETTER VOCALIC L" },
  { 2701, "GUJARATI VOWEL CANDRA E" },
  { 2703, "GUJARATI LETTER E" },
  { 2704, "GUJARATI LETTER AI" },
  { 2705, "GUJARATI VOWEL CANDRA O" },
  { 2707, "GUJARATI LETTER O" },
  { 2708, "GUJARATI LETTER AU" },
  { 2709, "GUJARATI LETTER KA" },
  { 2710, "GUJARATI LETTER KHA" },
  { 2711, "GUJARATI LETTER GA" },
  { 2712, "GUJARATI LETTER GHA" },
  { 2713, "GUJARATI LETTER NGA" },
  { 2714, "GUJARATI LETTER CA" },
  { 2715, "GUJARATI LETTER CHA" },
  { 2716, "GUJARATI LETTER JA" },
  { 2717, "GUJARATI LETTER JHA" },
  { 2718, "GUJARATI LETTER NYA" },
  { 2719, "GUJARATI LETTER TTA" },
  { 2720, "GUJARATI LETTER TTHA" },
  { 2721, "GUJARATI LETTER DDA" },
  { 2722, "GUJARATI LETTER DDHA" },
  { 2723, "GUJARATI LETTER NNA" },
  { 2724, "GUJARATI LETTER TA" },
  { 2725, "GUJARATI LETTER THA" },
  { 2726, "GUJARATI LETTER DA" },
  { 2727, "GUJARATI LETTER DHA" },
  { 2728, "GUJARATI LETTER NA" },
  { 2730, "GUJARATI LETTER PA" },
  { 2731, "GUJARATI LETTER PHA" },
  { 2732, "GUJARATI LETTER BA" },
  { 2733, "GUJARATI LETTER BHA" },
  { 2734, "GUJARATI LETTER MA" },
  { 2735, "GUJARATI LETTER YA" },
  { 2736, "GUJARATI LETTER RA" },
  { 2738, "GUJARATI LETTER LA" },
  { 2739, "GUJARATI LETTER LLA" },
  { 2741, "GUJARATI LETTER VA" },
  { 2742, "GUJARATI LETTER SHA" },
  { 2743, "GUJARATI LETTER SSA" },
  { 2744, "GUJARATI LETTER SA" },
  { 2745, "GUJARATI LETTER HA" },
  { 2748, "GUJARATI SIGN NUKTA" },
  { 2749, "GUJARATI SIGN AVAGRAHA" },
  { 2750, "GUJARATI VOWEL SIGN AA" },
  { 2751, "GUJARATI VOWEL SIGN I" },
  { 2752, "GUJARATI VOWEL SIGN II" },
  { 2753, "GUJARATI VOWEL SIGN U" },
  { 2754, "GUJARATI VOWEL SIGN UU" },
  { 2755, "GUJARATI VOWEL SIGN VOCALIC R" },
  { 2756, "GUJARATI VOWEL SIGN VOCALIC RR" },
  { 2757, "GUJARATI VOWEL SIGN CANDRA E" },
  { 2759, "GUJARATI VOWEL SIGN E" },
  { 2760, "GUJARATI VOWEL SIGN AI" },
  { 2761, "GUJARATI VOWEL SIGN CANDRA O" },
  { 2763, "GUJARATI VOWEL SIGN O" },
  { 2764, "GUJARATI VOWEL SIGN AU" },
  { 2765, "GUJARATI SIGN VIRAMA" },
  { 2768, "GUJARATI OM" },
  { 2784, "GUJARATI LETTER VOCALIC RR" },
  { 2785, "GUJARATI LETTER VOCALIC LL" },
  { 2786, "GUJARATI VOWEL SIGN VOCALIC L" },
  { 2787, "GUJARATI VOWEL SIGN VOCALIC LL" },
  { 2790, "GUJARATI DIGIT ZERO" },
  { 2791, "GUJARATI DIGIT ONE" },
  { 2792, "GUJARATI DIGIT TWO" },
  { 2793, "GUJARATI DIGIT THREE" },
  { 2794, "GUJARATI DIGIT FOUR" },
  { 2795, "GUJARATI DIGIT FIVE" },
  { 2796, "GUJARATI DIGIT SIX" },
  { 2797, "GUJARATI DIGIT SEVEN" },
  { 2798, "GUJARATI DIGIT EIGHT" },
  { 2799, "GUJARATI DIGIT NINE" },
  { 2801, "GUJARATI RUPEE SIGN" },
  { 2817, "ORIYA SIGN CANDRABINDU" },
  { 2818, "ORIYA SIGN ANUSVARA" },
  { 2819, "ORIYA SIGN VISARGA" },
  { 2821, "ORIYA LETTER A" },
  { 2822, "ORIYA LETTER AA" },
  { 2823, "ORIYA LETTER I" },
  { 2824, "ORIYA LETTER II" },
  { 2825, "ORIYA LETTER U" },
  { 2826, "ORIYA LETTER UU" },
  { 2827, "ORIYA LETTER VOCALIC R" },
  { 2828, "ORIYA LETTER VOCALIC L" },
  { 2831, "ORIYA LETTER E" },
  { 2832, "ORIYA LETTER AI" },
  { 2835, "ORIYA LETTER O" },
  { 2836, "ORIYA LETTER AU" },
  { 2837, "ORIYA LETTER KA" },
  { 2838, "ORIYA LETTER KHA" },
  { 2839, "ORIYA LETTER GA" },
  { 2840, "ORIYA LETTER GHA" },
  { 2841, "ORIYA LETTER NGA" },
  { 2842, "ORIYA LETTER CA" },
  { 2843, "ORIYA LETTER CHA" },
  { 2844, "ORIYA LETTER JA" },
  { 2845, "ORIYA LETTER JHA" },
  { 2846, "ORIYA LETTER NYA" },
  { 2847, "ORIYA LETTER TTA" },
  { 2848, "ORIYA LETTER TTHA" },
  { 2849, "ORIYA LETTER DDA" },
  { 2850, "ORIYA LETTER DDHA" },
  { 2851, "ORIYA LETTER NNA" },
  { 2852, "ORIYA LETTER TA" },
  { 2853, "ORIYA LETTER THA" },
  { 2854, "ORIYA LETTER DA" },
  { 2855, "ORIYA LETTER DHA" },
  { 2856, "ORIYA LETTER NA" },
  { 2858, "ORIYA LETTER PA" },
  { 2859, "ORIYA LETTER PHA" },
  { 2860, "ORIYA LETTER BA" },
  { 2861, "ORIYA LETTER BHA" },
  { 2862, "ORIYA LETTER MA" },
  { 2863, "ORIYA LETTER YA" },
  { 2864, "ORIYA LETTER RA" },
  { 2866, "ORIYA LETTER LA" },
  { 2867, "ORIYA LETTER LLA" },
  { 2869, "ORIYA LETTER VA" },
  { 2870, "ORIYA LETTER SHA" },
  { 2871, "ORIYA LETTER SSA" },
  { 2872, "ORIYA LETTER SA" },
  { 2873, "ORIYA LETTER HA" },
  { 2876, "ORIYA SIGN NUKTA" },
  { 2877, "ORIYA SIGN AVAGRAHA" },
  { 2878, "ORIYA VOWEL SIGN AA" },
  { 2879, "ORIYA VOWEL SIGN I" },
  { 2880, "ORIYA VOWEL SIGN II" },
  { 2881, "ORIYA VOWEL SIGN U" },
  { 2882, "ORIYA VOWEL SIGN UU" },
  { 2883, "ORIYA VOWEL SIGN VOCALIC R" },
  { 2884, "ORIYA VOWEL SIGN VOCALIC RR" },
  { 2887, "ORIYA VOWEL SIGN E" },
  { 2888, "ORIYA VOWEL SIGN AI" },
  { 2891, "ORIYA VOWEL SIGN O" },
  { 2892, "ORIYA VOWEL SIGN AU" },
  { 2893, "ORIYA SIGN VIRAMA" },
  { 2902, "ORIYA AI LENGTH MARK" },
  { 2903, "ORIYA AU LENGTH MARK" },
  { 2908, "ORIYA LETTER RRA" },
  { 2909, "ORIYA LETTER RHA" },
  { 2911, "ORIYA LETTER YYA" },
  { 2912, "ORIYA LETTER VOCALIC RR" },
  { 2913, "ORIYA LETTER VOCALIC LL" },
  { 2914, "ORIYA VOWEL SIGN VOCALIC L" },
  { 2915, "ORIYA VOWEL SIGN VOCALIC LL" },
  { 2918, "ORIYA DIGIT ZERO" },
  { 2919, "ORIYA DIGIT ONE" },
  { 2920, "ORIYA DIGIT TWO" },
  { 2921, "ORIYA DIGIT THREE" },
  { 2922, "ORIYA DIGIT FOUR" },
  { 2923, "ORIYA DIGIT FIVE" },
  { 2924, "ORIYA DIGIT SIX" },
  { 2925, "ORIYA DIGIT SEVEN" },
  { 2926, "ORIYA DIGIT EIGHT" },
  { 2927, "ORIYA DIGIT NINE" },
  { 2928, "ORIYA ISSHAR" },
  { 2929, "ORIYA LETTER WA" },
  { 2946, "TAMIL SIGN ANUSVARA" },
  { 2947, "TAMIL SIGN VISARGA" },
  { 2949, "TAMIL LETTER A" },
  { 2950, "TAMIL LETTER AA" },
  { 2951, "TAMIL LETTER I" },
  { 2952, "TAMIL LETTER II" },
  { 2953, "TAMIL LETTER U" },
  { 2954, "TAMIL LETTER UU" },
  { 2958, "TAMIL LETTER E" },
  { 2959, "TAMIL LETTER EE" },
  { 2960, "TAMIL LETTER AI" },
  { 2962, "TAMIL LETTER O" },
  { 2963, "TAMIL LETTER OO" },
  { 2964, "TAMIL LETTER AU" },
  { 2965, "TAMIL LETTER KA" },
  { 2969, "TAMIL LETTER NGA" },
  { 2970, "TAMIL LETTER CA" },
  { 2972, "TAMIL LETTER JA" },
  { 2974, "TAMIL LETTER NYA" },
  { 2975, "TAMIL LETTER TTA" },
  { 2979, "TAMIL LETTER NNA" },
  { 2980, "TAMIL LETTER TA" },
  { 2984, "TAMIL LETTER NA" },
  { 2985, "TAMIL LETTER NNNA" },
  { 2986, "TAMIL LETTER PA" },
  { 2990, "TAMIL LETTER MA" },
  { 2991, "TAMIL LETTER YA" },
  { 2992, "TAMIL LETTER RA" },
  { 2993, "TAMIL LETTER RRA" },
  { 2994, "TAMIL LETTER LA" },
  { 2995, "TAMIL LETTER LLA" },
  { 2996, "TAMIL LETTER LLLA" },
  { 2997, "TAMIL LETTER VA" },
  { 2998, "TAMIL LETTER SHA" },
  { 2999, "TAMIL LETTER SSA" },
  { 3000, "TAMIL LETTER SA" },
  { 3001, "TAMIL LETTER HA" },
  { 3006, "TAMIL VOWEL SIGN AA" },
  { 3007, "TAMIL VOWEL SIGN I" },
  { 3008, "TAMIL VOWEL SIGN II" },
  { 3009, "TAMIL VOWEL SIGN U" },
  { 3010, "TAMIL VOWEL SIGN UU" },
  { 3014, "TAMIL VOWEL SIGN E" },
  { 3015, "TAMIL VOWEL SIGN EE" },
  { 3016, "TAMIL VOWEL SIGN AI" },
  { 3018, "TAMIL VOWEL SIGN O" },
  { 3019, "TAMIL VOWEL SIGN OO" },
  { 3020, "TAMIL VOWEL SIGN AU" },
  { 3021, "TAMIL SIGN VIRAMA" },
  { 3024, "TAMIL OM" },
  { 3031, "TAMIL AU LENGTH MARK" },
  { 3046, "TAMIL DIGIT ZERO" },
  { 3047, "TAMIL DIGIT ONE" },
  { 3048, "TAMIL DIGIT TWO" },
  { 3049, "TAMIL DIGIT THREE" },
  { 3050, "TAMIL DIGIT FOUR" },
  { 3051, "TAMIL DIGIT FIVE" },
  { 3052, "TAMIL DIGIT SIX" },
  { 3053, "TAMIL DIGIT SEVEN" },
  { 3054, "TAMIL DIGIT EIGHT" },
  { 3055, "TAMIL DIGIT NINE" },
  { 3056, "TAMIL NUMBER TEN" },
  { 3057, "TAMIL NUMBER ONE HUNDRED" },
  { 3058, "TAMIL NUMBER ONE THOUSAND" },
  { 3059, "TAMIL DAY SIGN" },
  { 3060, "TAMIL MONTH SIGN" },
  { 3061, "TAMIL YEAR SIGN" },
  { 3062, "TAMIL DEBIT SIGN" },
  { 3063, "TAMIL CREDIT SIGN" },
  { 3064, "TAMIL AS ABOVE SIGN" },
  { 3065, "TAMIL RUPEE SIGN" },
  { 3066, "TAMIL NUMBER SIGN" },
  { 3073, "TELUGU SIGN CANDRABINDU" },
  { 3074, "TELUGU SIGN ANUSVARA" },
  { 3075, "TELUGU SIGN VISARGA" },
  { 3077, "TELUGU LETTER A" },
  { 3078, "TELUGU LETTER AA" },
  { 3079, "TELUGU LETTER I" },
  { 3080, "TELUGU LETTER II" },
  { 3081, "TELUGU LETTER U" },
  { 3082, "TELUGU LETTER UU" },
  { 3083, "TELUGU LETTER VOCALIC R" },
  { 3084, "TELUGU LETTER VOCALIC L" },
  { 3086, "TELUGU LETTER E" },
  { 3087, "TELUGU LETTER EE" },
  { 3088, "TELUGU LETTER AI" },
  { 3090, "TELUGU LETTER O" },
  { 3091, "TELUGU LETTER OO" },
  { 3092, "TELUGU LETTER AU" },
  { 3093, "TELUGU LETTER KA" },
  { 3094, "TELUGU LETTER KHA" },
  { 3095, "TELUGU LETTER GA" },
  { 3096, "TELUGU LETTER GHA" },
  { 3097, "TELUGU LETTER NGA" },
  { 3098, "TELUGU LETTER CA" },
  { 3099, "TELUGU LETTER CHA" },
  { 3100, "TELUGU LETTER JA" },
  { 3101, "TELUGU LETTER JHA" },
  { 3102, "TELUGU LETTER NYA" },
  { 3103, "TELUGU LETTER TTA" },
  { 3104, "TELUGU LETTER TTHA" },
  { 3105, "TELUGU LETTER DDA" },
  { 3106, "TELUGU LETTER DDHA" },
  { 3107, "TELUGU LETTER NNA" },
  { 3108, "TELUGU LETTER TA" },
  { 3109, "TELUGU LETTER THA" },
  { 3110, "TELUGU LETTER DA" },
  { 3111, "TELUGU LETTER DHA" },
  { 3112, "TELUGU LETTER NA" },
  { 3114, "TELUGU LETTER PA" },
  { 3115, "TELUGU LETTER PHA" },
  { 3116, "TELUGU LETTER BA" },
  { 3117, "TELUGU LETTER BHA" },
  { 3118, "TELUGU LETTER MA" },
  { 3119, "TELUGU LETTER YA" },
  { 3120, "TELUGU LETTER RA" },
  { 3121, "TELUGU LETTER RRA" },
  { 3122, "TELUGU LETTER LA" },
  { 3123, "TELUGU LETTER LLA" },
  { 3125, "TELUGU LETTER VA" },
  { 3126, "TELUGU LETTER SHA" },
  { 3127, "TELUGU LETTER SSA" },
  { 3128, "TELUGU LETTER SA" },
  { 3129, "TELUGU LETTER HA" },
  { 3133, "TELUGU SIGN AVAGRAHA" },
  { 3134, "TELUGU VOWEL SIGN AA" },
  { 3135, "TELUGU VOWEL SIGN I" },
  { 3136, "TELUGU VOWEL SIGN II" },
  { 3137, "TELUGU VOWEL SIGN U" },
  { 3138, "TELUGU VOWEL SIGN UU" },
  { 3139, "TELUGU VOWEL SIGN VOCALIC R" },
  { 3140, "TELUGU VOWEL SIGN VOCALIC RR" },
  { 3142, "TELUGU VOWEL SIGN E" },
  { 3143, "TELUGU VOWEL SIGN EE" },
  { 3144, "TELUGU VOWEL SIGN AI" },
  { 3146, "TELUGU VOWEL SIGN O" },
  { 3147, "TELUGU VOWEL SIGN OO" },
  { 3148, "TELUGU VOWEL SIGN AU" },
  { 3149, "TELUGU SIGN VIRAMA" },
  { 3157, "TELUGU LENGTH MARK" },
  { 3158, "TELUGU AI LENGTH MARK" },
  { 3160, "TELUGU LETTER TSA" },
  { 3161, "TELUGU LETTER DZA" },
  { 3168, "TELUGU LETTER VOCALIC RR" },
  { 3169, "TELUGU LETTER VOCALIC LL" },
  { 3170, "TELUGU VOWEL SIGN VOCALIC L" },
  { 3171, "TELUGU VOWEL SIGN VOCALIC LL" },
  { 3174, "TELUGU DIGIT ZERO" },
  { 3175, "TELUGU DIGIT ONE" },
  { 3176, "TELUGU DIGIT TWO" },
  { 3177, "TELUGU DIGIT THREE" },
  { 3178, "TELUGU DIGIT FOUR" },
  { 3179, "TELUGU DIGIT FIVE" },
  { 3180, "TELUGU DIGIT SIX" },
  { 3181, "TELUGU DIGIT SEVEN" },
  { 3182, "TELUGU DIGIT EIGHT" },
  { 3183, "TELUGU DIGIT NINE" },
  { 3192, "TELUGU FRACTION DIGIT ZERO FOR ODD POWERS OF FOUR" },
  { 3193, "TELUGU FRACTION DIGIT ONE FOR ODD POWERS OF FOUR" },
  { 3194, "TELUGU FRACTION DIGIT TWO FOR ODD POWERS OF FOUR" },
  { 3195, "TELUGU FRACTION DIGIT THREE FOR ODD POWERS OF FOUR" },
  { 3196, "TELUGU FRACTION DIGIT ONE FOR EVEN POWERS OF FOUR" },
  { 3197, "TELUGU FRACTION DIGIT TWO FOR EVEN POWERS OF FOUR" },
  { 3198, "TELUGU FRACTION DIGIT THREE FOR EVEN POWERS OF FOUR" },
  { 3199, "TELUGU SIGN TUUMU" },
  { 3202, "KANNADA SIGN ANUSVARA" },
  { 3203, "KANNADA SIGN VISARGA" },
  { 3205, "KANNADA LETTER A" },
  { 3206, "KANNADA LETTER AA" },
  { 3207, "KANNADA LETTER I" },
  { 3208, "KANNADA LETTER II" },
  { 3209, "KANNADA LETTER U" },
  { 3210, "KANNADA LETTER UU" },
  { 3211, "KANNADA LETTER VOCALIC R" },
  { 3212, "KANNADA LETTER VOCALIC L" },
  { 3214, "KANNADA LETTER E" },
  { 3215, "KANNADA LETTER EE" },
  { 3216, "KANNADA LETTER AI" },
  { 3218, "KANNADA LETTER O" },
  { 3219, "KANNADA LETTER OO" },
  { 3220, "KANNADA LETTER AU" },
  { 3221, "KANNADA LETTER KA" },
  { 3222, "KANNADA LETTER KHA" },
  { 3223, "KANNADA LETTER GA" },
  { 3224, "KANNADA LETTER GHA" },
  { 3225, "KANNADA LETTER NGA" },
  { 3226, "KANNADA LETTER CA" },
  { 3227, "KANNADA LETTER CHA" },
  { 3228, "KANNADA LETTER JA" },
  { 3229, "KANNADA LETTER JHA" },
  { 3230, "KANNADA LETTER NYA" },
  { 3231, "KANNADA LETTER TTA" },
  { 3232, "KANNADA LETTER TTHA" },
  { 3233, "KANNADA LETTER DDA" },
  { 3234, "KANNADA LETTER DDHA" },
  { 3235, "KANNADA LETTER NNA" },
  { 3236, "KANNADA LETTER TA" },
  { 3237, "KANNADA LETTER THA" },
  { 3238, "KANNADA LETTER DA" },
  { 3239, "KANNADA LETTER DHA" },
  { 3240, "KANNADA LETTER NA" },
  { 3242, "KANNADA LETTER PA" },
  { 3243, "KANNADA LETTER PHA" },
  { 3244, "KANNADA LETTER BA" },
  { 3245, "KANNADA LETTER BHA" },
  { 3246, "KANNADA LETTER MA" },
  { 3247, "KANNADA LETTER YA" },
  { 3248, "KANNADA LETTER RA" },
  { 3249, "KANNADA LETTER RRA" },
  { 3250, "KANNADA LETTER LA" },
  { 3251, "KANNADA LETTER LLA" },
  { 3253, "KANNADA LETTER VA" },
  { 3254, "KANNADA LETTER SHA" },
  { 3255, "KANNADA LETTER SSA" },
  { 3256, "KANNADA LETTER SA" },
  { 3257, "KANNADA LETTER HA" },
  { 3260, "KANNADA SIGN NUKTA" },
  { 3261, "KANNADA SIGN AVAGRAHA" },
  { 3262, "KANNADA VOWEL SIGN AA" },
  { 3263, "KANNADA VOWEL SIGN I" },
  { 3264, "KANNADA VOWEL SIGN II" },
  { 3265, "KANNADA VOWEL SIGN U" },
  { 3266, "KANNADA VOWEL SIGN UU" },
  { 3267, "KANNADA VOWEL SIGN VOCALIC R" },
  { 3268, "KANNADA VOWEL SIGN VOCALIC RR" },
  { 3270, "KANNADA VOWEL SIGN E" },
  { 3271, "KANNADA VOWEL SIGN EE" },
  { 3272, "KANNADA VOWEL SIGN AI" },
  { 3274, "KANNADA VOWEL SIGN O" },
  { 3275, "KANNADA VOWEL SIGN OO" },
  { 3276, "KANNADA VOWEL SIGN AU" },
  { 3277, "KANNADA SIGN VIRAMA" },
  { 3285, "KANNADA LENGTH MARK" },
  { 3286, "KANNADA AI LENGTH MARK" },
  { 3294, "KANNADA LETTER FA" },
  { 3296, "KANNADA LETTER VOCALIC RR" },
  { 3297, "KANNADA LETTER VOCALIC LL" },
  { 3298, "KANNADA VOWEL SIGN VOCALIC L" },
  { 3299, "KANNADA VOWEL SIGN VOCALIC LL" },
  { 3302, "KANNADA DIGIT ZERO" },
  { 3303, "KANNADA DIGIT ONE" },
  { 3304, "KANNADA DIGIT TWO" },
  { 3305, "KANNADA DIGIT THREE" },
  { 3306, "KANNADA DIGIT FOUR" },
  { 3307, "KANNADA DIGIT FIVE" },
  { 3308, "KANNADA DIGIT SIX" },
  { 3309, "KANNADA DIGIT SEVEN" },
  { 3310, "KANNADA DIGIT EIGHT" },
  { 3311, "KANNADA DIGIT NINE" },
  { 3313, "KANNADA SIGN JIHVAMULIYA" },
  { 3314, "KANNADA SIGN UPADHMANIYA" },
  { 3330, "MALAYALAM SIGN ANUSVARA" },
  { 3331, "MALAYALAM SIGN VISARGA" },
  { 3333, "MALAYALAM LETTER A" },
  { 3334, "MALAYALAM LETTER AA" },
  { 3335, "MALAYALAM LETTER I" },
  { 3336, "MALAYALAM LETTER II" },
  { 3337, "MALAYALAM LETTER U" },
  { 3338, "MALAYALAM LETTER UU" },
  { 3339, "MALAYALAM LETTER VOCALIC R" },
  { 3340, "MALAYALAM LETTER VOCALIC L" },
  { 3342, "MALAYALAM LETTER E" },
  { 3343, "MALAYALAM LETTER EE" },
  { 3344, "MALAYALAM LETTER AI" },
  { 3346, "MALAYALAM LETTER O" },
  { 3347, "MALAYALAM LETTER OO" },
  { 3348, "MALAYALAM LETTER AU" },
  { 3349, "MALAYALAM LETTER KA" },
  { 3350, "MALAYALAM LETTER KHA" },
  { 3351, "MALAYALAM LETTER GA" },
  { 3352, "MALAYALAM LETTER GHA" },
  { 3353, "MALAYALAM LETTER NGA" },
  { 3354, "MALAYALAM LETTER CA" },
  { 3355, "MALAYALAM LETTER CHA" },
  { 3356, "MALAYALAM LETTER JA" },
  { 3357, "MALAYALAM LETTER JHA" },
  { 3358, "MALAYALAM LETTER NYA" },
  { 3359, "MALAYALAM LETTER TTA" },
  { 3360, "MALAYALAM LETTER TTHA" },
  { 3361, "MALAYALAM LETTER DDA" },
  { 3362, "MALAYALAM LETTER DDHA" },
  { 3363, "MALAYALAM LETTER NNA" },
  { 3364, "MALAYALAM LETTER TA" },
  { 3365, "MALAYALAM LETTER THA" },
  { 3366, "MALAYALAM LETTER DA" },
  { 3367, "MALAYALAM LETTER DHA" },
  { 3368, "MALAYALAM LETTER NA" },
  { 3370, "MALAYALAM LETTER PA" },
  { 3371, "MALAYALAM LETTER PHA" },
  { 3372, "MALAYALAM LETTER BA" },
  { 3373, "MALAYALAM LETTER BHA" },
  { 3374, "MALAYALAM LETTER MA" },
  { 3375, "MALAYALAM LETTER YA" },
  { 3376, "MALAYALAM LETTER RA" },
  { 3377, "MALAYALAM LETTER RRA" },
  { 3378, "MALAYALAM LETTER LA" },
  { 3379, "MALAYALAM LETTER LLA" },
  { 3380, "MALAYALAM LETTER LLLA" },
  { 3381, "MALAYALAM LETTER VA" },
  { 3382, "MALAYALAM LETTER SHA" },
  { 3383, "MALAYALAM LETTER SSA" },
  { 3384, "MALAYALAM LETTER SA" },
  { 3385, "MALAYALAM LETTER HA" },
  { 3389, "MALAYALAM SIGN AVAGRAHA" },
  { 3390, "MALAYALAM VOWEL SIGN AA" },
  { 3391, "MALAYALAM VOWEL SIGN I" },
  { 3392, "MALAYALAM VOWEL SIGN II" },
  { 3393, "MALAYALAM VOWEL SIGN U" },
  { 3394, "MALAYALAM VOWEL SIGN UU" },
  { 3395, "MALAYALAM VOWEL SIGN VOCALIC R" },
  { 3396, "MALAYALAM VOWEL SIGN VOCALIC RR" },
  { 3398, "MALAYALAM VOWEL SIGN E" },
  { 3399, "MALAYALAM VOWEL SIGN EE" },
  { 3400, "MALAYALAM VOWEL SIGN AI" },
  { 3402, "MALAYALAM VOWEL SIGN O" },
  { 3403, "MALAYALAM VOWEL SIGN OO" },
  { 3404, "MALAYALAM VOWEL SIGN AU" },
  { 3405, "MALAYALAM SIGN VIRAMA" },
  { 3415, "MALAYALAM AU LENGTH MARK" },
  { 3424, "MALAYALAM LETTER VOCALIC RR" },
  { 3425, "MALAYALAM LETTER VOCALIC LL" },
  { 3426, "MALAYALAM VOWEL SIGN VOCALIC L" },
  { 3427, "MALAYALAM VOWEL SIGN VOCALIC LL" },
  { 3430, "MALAYALAM DIGIT ZERO" },
  { 3431, "MALAYALAM DIGIT ONE" },
  { 3432, "MALAYALAM DIGIT TWO" },
  { 3433, "MALAYALAM DIGIT THREE" },
  { 3434, "MALAYALAM DIGIT FOUR" },
  { 3435, "MALAYALAM DIGIT FIVE" },
  { 3436, "MALAYALAM DIGIT SIX" },
  { 3437, "MALAYALAM DIGIT SEVEN" },
  { 3438, "MALAYALAM DIGIT EIGHT" },
  { 3439, "MALAYALAM DIGIT NINE" },
  { 3440, "MALAYALAM NUMBER TEN" },
  { 3441, "MALAYALAM NUMBER ONE HUNDRED" },
  { 3442, "MALAYALAM NUMBER ONE THOUSAND" },
  { 3443, "MALAYALAM FRACTION ONE QUARTER" },
  { 3444, "MALAYALAM FRACTION ONE HALF" },
  { 3445, "MALAYALAM FRACTION THREE QUARTERS" },
  { 3449, "MALAYALAM DATE MARK" },
  { 3450, "MALAYALAM LETTER CHILLU NN" },
  { 3451, "MALAYALAM LETTER CHILLU N" },
  { 3452, "MALAYALAM LETTER CHILLU RR" },
  { 3453, "MALAYALAM LETTER CHILLU L" },
  { 3454, "MALAYALAM LETTER CHILLU LL" },
  { 3455, "MALAYALAM LETTER CHILLU K" },
  { 3458, "SINHALA SIGN ANUSVARAYA" },
  { 3459, "SINHALA SIGN VISARGAYA" },
  { 3461, "SINHALA LETTER AYANNA" },
  { 3462, "SINHALA LETTER AAYANNA" },
  { 3463, "SINHALA LETTER AEYANNA" },
  { 3464, "SINHALA LETTER AEEYANNA" },
  { 3465, "SINHALA LETTER IYANNA" },
  { 3466, "SINHALA LETTER IIYANNA" },
  { 3467, "SINHALA LETTER UYANNA" },
  { 3468, "SINHALA LETTER UUYANNA" },
  { 3469, "SINHALA LETTER IRUYANNA" },
  { 3470, "SINHALA LETTER IRUUYANNA" },
  { 3471, "SINHALA LETTER ILUYANNA" },
  { 3472, "SINHALA LETTER ILUUYANNA" },
  { 3473, "SINHALA LETTER EYANNA" },
  { 3474, "SINHALA LETTER EEYANNA" },
  { 3475, "SINHALA LETTER AIYANNA" },
  { 3476, "SINHALA LETTER OYANNA" },
  { 3477, "SINHALA LETTER OOYANNA" },
  { 3478, "SINHALA LETTER AUYANNA" },
  { 3482, "SINHALA LETTER ALPAPRAANA KAYANNA" },
  { 3483, "SINHALA LETTER MAHAAPRAANA KAYANNA" },
  { 3484, "SINHALA LETTER ALPAPRAANA GAYANNA" },
  { 3485, "SINHALA LETTER MAHAAPRAANA GAYANNA" },
  { 3486, "SINHALA LETTER KANTAJA NAASIKYAYA" },
  { 3487, "SINHALA LETTER SANYAKA GAYANNA" },
  { 3488, "SINHALA LETTER ALPAPRAANA CAYANNA" },
  { 3489, "SINHALA LETTER MAHAAPRAANA CAYANNA" },
  { 3490, "SINHALA LETTER ALPAPRAANA JAYANNA" },
  { 3491, "SINHALA LETTER MAHAAPRAANA JAYANNA" },
  { 3492, "SINHALA LETTER TAALUJA NAASIKYAYA" },
  { 3493, "SINHALA LETTER TAALUJA SANYOOGA NAAKSIKYAYA" },
  { 3494, "SINHALA LETTER SANYAKA JAYANNA" },
  { 3495, "SINHALA LETTER ALPAPRAANA TTAYANNA" },
  { 3496, "SINHALA LETTER MAHAAPRAANA TTAYANNA" },
  { 3497, "SINHALA LETTER ALPAPRAANA DDAYANNA" },
  { 3498, "SINHALA LETTER MAHAAPRAANA DDAYANNA" },
  { 3499, "SINHALA LETTER MUURDHAJA NAYANNA" },
  { 3500, "SINHALA LETTER SANYAKA DDAYANNA" },
  { 3501, "SINHALA LETTER ALPAPRAANA TAYANNA" },
  { 3502, "SINHALA LETTER MAHAAPRAANA TAYANNA" },
  { 3503, "SINHALA LETTER ALPAPRAANA DAYANNA" },
  { 3504, "SINHALA LETTER MAHAAPRAANA DAYANNA" },
  { 3505, "SINHALA LETTER DANTAJA NAYANNA" },
  { 3507, "SINHALA LETTER SANYAKA DAYANNA" },
  { 3508, "SINHALA LETTER ALPAPRAANA PAYANNA" },
  { 3509, "SINHALA LETTER MAHAAPRAANA PAYANNA" },
  { 3510, "SINHALA LETTER ALPAPRAANA BAYANNA" },
  { 3511, "SINHALA LETTER MAHAAPRAANA BAYANNA" },
  { 3512, "SINHALA LETTER MAYANNA" },
  { 3513, "SINHALA LETTER AMBA BAYANNA" },
  { 3514, "SINHALA LETTER YAYANNA" },
  { 3515, "SINHALA LETTER RAYANNA" },
  { 3517, "SINHALA LETTER DANTAJA LAYANNA" },
  { 3520, "SINHALA LETTER VAYANNA" },
  { 3521, "SINHALA LETTER TAALUJA SAYANNA" },
  { 3522, "SINHALA LETTER MUURDHAJA SAYANNA" },
  { 3523, "SINHALA LETTER DANTAJA SAYANNA" },
  { 3524, "SINHALA LETTER HAYANNA" },
  { 3525, "SINHALA LETTER MUURDHAJA LAYANNA" },
  { 3526, "SINHALA LETTER FAYANNA" },
  { 3530, "SINHALA SIGN AL-LAKUNA" },
  { 3535, "SINHALA VOWEL SIGN AELA-PILLA" },
  { 3536, "SINHALA VOWEL SIGN KETTI AEDA-PILLA" },
  { 3537, "SINHALA VOWEL SIGN DIGA AEDA-PILLA" },
  { 3538, "SINHALA VOWEL SIGN KETTI IS-PILLA" },
  { 3539, "SINHALA VOWEL SIGN DIGA IS-PILLA" },
  { 3540, "SINHALA VOWEL SIGN KETTI PAA-PILLA" },
  { 3542, "SINHALA VOWEL SIGN DIGA PAA-PILLA" },
  { 3544, "SINHALA VOWEL SIGN GAETTA-PILLA" },
  { 3545, "SINHALA VOWEL SIGN KOMBUVA" },
  { 3546, "SINHALA VOWEL SIGN DIGA KOMBUVA" },
  { 3547, "SINHALA VOWEL SIGN KOMBU DEKA" },
  { 3548, "SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA" },
  { 3549, "SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA" },
  { 3550, "SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA" },
  { 3551, "SINHALA VOWEL SIGN GAYANUKITTA" },
  { 3570, "SINHALA VOWEL SIGN DIGA GAETTA-PILLA" },
  { 3571, "SINHALA VOWEL SIGN DIGA GAYANUKITTA" },
  { 3572, "SINHALA PUNCTUATION KUNDDALIYA" },
  { 3585, "THAI CHARACTER KO KAI" },
  { 3586, "THAI CHARACTER KHO KHAI" },
  { 3587, "THAI CHARACTER KHO KHUAT" },
  { 3588, "THAI CHARACTER KHO KHWAI" },
  { 3589, "THAI CHARACTER KHO KHON" },
  { 3590, "THAI CHARACTER KHO RAKHANG" },
  { 3591, "THAI CHARACTER NGO NGU" },
  { 3592, "THAI CHARACTER CHO CHAN" },
  { 3593, "THAI CHARACTER CHO CHING" },
  { 3594, "THAI CHARACTER CHO CHANG" },
  { 3595, "THAI CHARACTER SO SO" },
  { 3596, "THAI CHARACTER CHO CHOE" },
  { 3597, "THAI CHARACTER YO YING" },
  { 3598, "THAI CHARACTER DO CHADA" },
  { 3599, "THAI CHARACTER TO PATAK" },
  { 3600, "THAI CHARACTER THO THAN" },
  { 3601, "THAI CHARACTER THO NANGMONTHO" },
  { 3602, "THAI CHARACTER THO PHUTHAO" },
  { 3603, "THAI CHARACTER NO NEN" },
  { 3604, "THAI CHARACTER DO DEK" },
  { 3605, "THAI CHARACTER TO TAO" },
  { 3606, "THAI CHARACTER THO THUNG" },
  { 3607, "THAI CHARACTER THO THAHAN" },
  { 3608, "THAI CHARACTER THO THONG" },
  { 3609, "THAI CHARACTER NO NU" },
  { 3610, "THAI CHARACTER BO BAIMAI" },
  { 3611, "THAI CHARACTER PO PLA" },
  { 3612, "THAI CHARACTER PHO PHUNG" },
  { 3613, "THAI CHARACTER FO FA" },
  { 3614, "THAI CHARACTER PHO PHAN" },
  { 3615, "THAI CHARACTER FO FAN" },
  { 3616, "THAI CHARACTER PHO SAMPHAO" },
  { 3617, "THAI CHARACTER MO MA" },
  { 3618, "THAI CHARACTER YO YAK" },
  { 3619, "THAI CHARACTER RO RUA" },
  { 3620, "THAI CHARACTER RU" },
  { 3621, "THAI CHARACTER LO LING" },
  { 3622, "THAI CHARACTER LU" },
  { 3623, "THAI CHARACTER WO WAEN" },
  { 3624, "THAI CHARACTER SO SALA" },
  { 3625, "THAI CHARACTER SO RUSI" },
  { 3626, "THAI CHARACTER SO SUA" },
  { 3627, "THAI CHARACTER HO HIP" },
  { 3628, "THAI CHARACTER LO CHULA" },
  { 3629, "THAI CHARACTER O ANG" },
  { 3630, "THAI CHARACTER HO NOKHUK" },
  { 3631, "THAI CHARACTER PAIYANNOI" },
  { 3632, "THAI CHARACTER SARA A" },
  { 3633, "THAI CHARACTER MAI HAN-AKAT" },
  { 3634, "THAI CHARACTER SARA AA" },
  { 3635, "THAI CHARACTER SARA AM" },
  { 3636, "THAI CHARACTER SARA I" },
  { 3637, "THAI CHARACTER SARA II" },
  { 3638, "THAI CHARACTER SARA UE" },
  { 3639, "THAI CHARACTER SARA UEE" },
  { 3640, "THAI CHARACTER SARA U" },
  { 3641, "THAI CHARACTER SARA UU" },
  { 3642, "THAI CHARACTER PHINTHU" },
  { 3647, "THAI CURRENCY SYMBOL BAHT" },
  { 3648, "THAI CHARACTER SARA E" },
  { 3649, "THAI CHARACTER SARA AE" },
  { 3650, "THAI CHARACTER SARA O" },
  { 3651, "THAI CHARACTER SARA AI MAIMUAN" },
  { 3652, "THAI CHARACTER SARA AI MAIMALAI" },
  { 3653, "THAI CHARACTER LAKKHANGYAO" },
  { 3654, "THAI CHARACTER MAIYAMOK" },
  { 3655, "THAI CHARACTER MAITAIKHU" },
  { 3656, "THAI CHARACTER MAI EK" },
  { 3657, "THAI CHARACTER MAI THO" },
  { 3658, "THAI CHARACTER MAI TRI" },
  { 3659, "THAI CHARACTER MAI CHATTAWA" },
  { 3660, "THAI CHARACTER THANTHAKHAT" },
  { 3661, "THAI CHARACTER NIKHAHIT" },
  { 3662, "THAI CHARACTER YAMAKKAN" },
  { 3663, "THAI CHARACTER FONGMAN" },
  { 3664, "THAI DIGIT ZERO" },
  { 3665, "THAI DIGIT ONE" },
  { 3666, "THAI DIGIT TWO" },
  { 3667, "THAI DIGIT THREE" },
  { 3668, "THAI DIGIT FOUR" },
  { 3669, "THAI DIGIT FIVE" },
  { 3670, "THAI DIGIT SIX" },
  { 3671, "THAI DIGIT SEVEN" },
  { 3672, "THAI DIGIT EIGHT" },
  { 3673, "THAI DIGIT NINE" },
  { 3674, "THAI CHARACTER ANGKHANKHU" },
  { 3675, "THAI CHARACTER KHOMUT" },
  { 3713, "LAO LETTER KO" },
  { 3714, "LAO LETTER KHO SUNG" },
  { 3716, "LAO LETTER KHO TAM" },
  { 3719, "LAO LETTER NGO" },
  { 3720, "LAO LETTER CO" },
  { 3722, "LAO LETTER SO TAM" },
  { 3725, "LAO LETTER NYO" },
  { 3732, "LAO LETTER DO" },
  { 3733, "LAO LETTER TO" },
  { 3734, "LAO LETTER THO SUNG" },
  { 3735, "LAO LETTER THO TAM" },
  { 3737, "LAO LETTER NO" },
  { 3738, "LAO LETTER BO" },
  { 3739, "LAO LETTER PO" },
  { 3740, "LAO LETTER PHO SUNG" },
  { 3741, "LAO LETTER FO TAM" },
  { 3742, "LAO LETTER PHO TAM" },
  { 3743, "LAO LETTER FO SUNG" },
  { 3745, "LAO LETTER MO" },
  { 3746, "LAO LETTER YO" },
  { 3747, "LAO LETTER LO LING" },
  { 3749, "LAO LETTER LO LOOT" },
  { 3751, "LAO LETTER WO" },
  { 3754, "LAO LETTER SO SUNG" },
  { 3755, "LAO LETTER HO SUNG" },
  { 3757, "LAO LETTER O" },
  { 3758, "LAO LETTER HO TAM" },
  { 3759, "LAO ELLIPSIS" },
  { 3760, "LAO VOWEL SIGN A" },
  { 3761, "LAO VOWEL SIGN MAI KAN" },
  { 3762, "LAO VOWEL SIGN AA" },
  { 3763, "LAO VOWEL SIGN AM" },
  { 3764, "LAO VOWEL SIGN I" },
  { 3765, "LAO VOWEL SIGN II" },
  { 3766, "LAO VOWEL SIGN Y" },
  { 3767, "LAO VOWEL SIGN YY" },
  { 3768, "LAO VOWEL SIGN U" },
  { 3769, "LAO VOWEL SIGN UU" },
  { 3771, "LAO VOWEL SIGN MAI KON" },
  { 3772, "LAO SEMIVOWEL SIGN LO" },
  { 3773, "LAO SEMIVOWEL SIGN NYO" },
  { 3776, "LAO VOWEL SIGN E" },
  { 3777, "LAO VOWEL SIGN EI" },
  { 3778, "LAO VOWEL SIGN O" },
  { 3779, "LAO VOWEL SIGN AY" },
  { 3780, "LAO VOWEL SIGN AI" },
  { 3782, "LAO KO LA" },
  { 3784, "LAO TONE MAI EK" },
  { 3785, "LAO TONE MAI THO" },
  { 3786, "LAO TONE MAI TI" },
  { 3787, "LAO TONE MAI CATAWA" },
  { 3788, "LAO CANCELLATION MARK" },
  { 3789, "LAO NIGGAHITA" },
  { 3792, "LAO DIGIT ZERO" },
  { 3793, "LAO DIGIT ONE" },
  { 3794, "LAO DIGIT TWO" },
  { 3795, "LAO DIGIT THREE" },
  { 3796, "LAO DIGIT FOUR" },
  { 3797, "LAO DIGIT FIVE" },
  { 3798, "LAO DIGIT SIX" },
  { 3799, "LAO DIGIT SEVEN" },
  { 3800, "LAO DIGIT EIGHT" },
  { 3801, "LAO DIGIT NINE" },
  { 3804, "LAO HO NO" },
  { 3805, "LAO HO MO" },
  { 3840, "TIBETAN SYLLABLE OM" },
  { 3841, "TIBETAN MARK GTER YIG MGO TRUNCATED A" },
  { 3842, "TIBETAN MARK GTER YIG MGO -UM RNAM BCAD MA" },
  { 3843, "TIBETAN MARK GTER YIG MGO -UM GTER TSHEG MA" },
  { 3844, "TIBETAN MARK INITIAL YIG MGO MDUN MA" },
  { 3845, "TIBETAN MARK CLOSING YIG MGO SGAB MA" },
  { 3846, "TIBETAN MARK CARET YIG MGO PHUR SHAD MA" },
  { 3847, "TIBETAN MARK YIG MGO TSHEG SHAD MA" },
  { 3848, "TIBETAN MARK SBRUL SHAD" },
  { 3849, "TIBETAN MARK BSKUR YIG MGO" },
  { 3850, "TIBETAN MARK BKA- SHOG YIG MGO" },
  { 3851, "TIBETAN MARK INTERSYLLABIC TSHEG" },
  { 3852, "TIBETAN MARK DELIMITER TSHEG BSTAR" },
  { 3853, "TIBETAN MARK SHAD" },
  { 3854, "TIBETAN MARK NYIS SHAD" },
  { 3855, "TIBETAN MARK TSHEG SHAD" },
  { 3856, "TIBETAN MARK NYIS TSHEG SHAD" },
  { 3857, "TIBETAN MARK RIN CHEN SPUNGS SHAD" },
  { 3858, "TIBETAN MARK RGYA GRAM SHAD" },
  { 3859, "TIBETAN MARK CARET -DZUD RTAGS ME LONG CAN" },
  { 3860, "TIBETAN MARK GTER TSHEG" },
  { 3861, "TIBETAN LOGOTYPE SIGN CHAD RTAGS" },
  { 3862, "TIBETAN LOGOTYPE SIGN LHAG RTAGS" },
  { 3863, "TIBETAN ASTROLOGICAL SIGN SGRA GCAN -CHAR RTAGS" },
  { 3864, "TIBETAN ASTROLOGICAL SIGN -KHYUD PA" },
  { 3865, "TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS" },
  { 3866, "TIBETAN SIGN RDEL DKAR GCIG" },
  { 3867, "TIBETAN SIGN RDEL DKAR GNYIS" },
  { 3868, "TIBETAN SIGN RDEL DKAR GSUM" },
  { 3869, "TIBETAN SIGN RDEL NAG GCIG" },
  { 3870, "TIBETAN SIGN RDEL NAG GNYIS" },
  { 3871, "TIBETAN SIGN RDEL DKAR RDEL NAG" },
  { 3872, "TIBETAN DIGIT ZERO" },
  { 3873, "TIBETAN DIGIT ONE" },
  { 3874, "TIBETAN DIGIT TWO" },
  { 3875, "TIBETAN DIGIT THREE" },
  { 3876, "TIBETAN DIGIT FOUR" },
  { 3877, "TIBETAN DIGIT FIVE" },
  { 3878, "TIBETAN DIGIT SIX" },
  { 3879, "TIBETAN DIGIT SEVEN" },
  { 3880, "TIBETAN DIGIT EIGHT" },
  { 3881, "TIBETAN DIGIT NINE" },
  { 3882, "TIBETAN DIGIT HALF ONE" },
  { 3883, "TIBETAN DIGIT HALF TWO" },
  { 3884, "TIBETAN DIGIT HALF THREE" },
  { 3885, "TIBETAN DIGIT HALF FOUR" },
  { 3886, "TIBETAN DIGIT HALF FIVE" },
  { 3887, "TIBETAN DIGIT HALF SIX" },
  { 3888, "TIBETAN DIGIT HALF SEVEN" },
  { 3889, "TIBETAN DIGIT HALF EIGHT" },
  { 3890, "TIBETAN DIGIT HALF NINE" },
  { 3891, "TIBETAN DIGIT HALF ZERO" },
  { 3892, "TIBETAN MARK BSDUS RTAGS" },
  { 3893, "TIBETAN MARK NGAS BZUNG NYI ZLA" },
  { 3894, "TIBETAN MARK CARET -DZUD RTAGS BZHI MIG CAN" },
  { 3895, "TIBETAN MARK NGAS BZUNG SGOR RTAGS" },
  { 3896, "TIBETAN MARK CHE MGO" },
  { 3897, "TIBETAN MARK TSA -PHRU" },
  { 3898, "TIBETAN MARK GUG RTAGS GYON" },
  { 3899, "TIBETAN MARK GUG RTAGS GYAS" },
  { 3900, "TIBETAN MARK ANG KHANG GYON" },
  { 3901, "TIBETAN MARK ANG KHANG GYAS" },
  { 3902, "TIBETAN SIGN YAR TSHES" },
  { 3903, "TIBETAN SIGN MAR TSHES" },
  { 3904, "TIBETAN LETTER KA" },
  { 3905, "TIBETAN LETTER KHA" },
  { 3906, "TIBETAN LETTER GA" },
  { 3907, "TIBETAN LETTER GHA" },
  { 3908, "TIBETAN LETTER NGA" },
  { 3909, "TIBETAN LETTER CA" },
  { 3910, "TIBETAN LETTER CHA" },
  { 3911, "TIBETAN LETTER JA" },
  { 3913, "TIBETAN LETTER NYA" },
  { 3914, "TIBETAN LETTER TTA" },
  { 3915, "TIBETAN LETTER TTHA" },
  { 3916, "TIBETAN LETTER DDA" },
  { 3917, "TIBETAN LETTER DDHA" },
  { 3918, "TIBETAN LETTER NNA" },
  { 3919, "TIBETAN LETTER TA" },
  { 3920, "TIBETAN LETTER THA" },
  { 3921, "TIBETAN LETTER DA" },
  { 3922, "TIBETAN LETTER DHA" },
  { 3923, "TIBETAN LETTER NA" },
  { 3924, "TIBETAN LETTER PA" },
  { 3925, "TIBETAN LETTER PHA" },
  { 3926, "TIBETAN LETTER BA" },
  { 3927, "TIBETAN LETTER BHA" },
  { 3928, "TIBETAN LETTER MA" },
  { 3929, "TIBETAN LETTER TSA" },
  { 3930, "TIBETAN LETTER TSHA" },
  { 3931, "TIBETAN LETTER DZA" },
  { 3932, "TIBETAN LETTER DZHA" },
  { 3933, "TIBETAN LETTER WA" },
  { 3934, "TIBETAN LETTER ZHA" },
  { 3935, "TIBETAN LETTER ZA" },
  { 3936, "TIBETAN LETTER -A" },
  { 3937, "TIBETAN LETTER YA" },
  { 3938, "TIBETAN LETTER RA" },
  { 3939, "TIBETAN LETTER LA" },
  { 3940, "TIBETAN LETTER SHA" },
  { 3941, "TIBETAN LETTER SSA" },
  { 3942, "TIBETAN LETTER SA" },
  { 3943, "TIBETAN LETTER HA" },
  { 3944, "TIBETAN LETTER A" },
  { 3945, "TIBETAN LETTER KSSA" },
  { 3946, "TIBETAN LETTER FIXED-FORM RA" },
  { 3947, "TIBETAN LETTER KKA" },
  { 3948, "TIBETAN LETTER RRA" },
  { 3953, "TIBETAN VOWEL SIGN AA" },
  { 3954, "TIBETAN VOWEL SIGN I" },
  { 3955, "TIBETAN VOWEL SIGN II" },
  { 3956, "TIBETAN VOWEL SIGN U" },
  { 3957, "TIBETAN VOWEL SIGN UU" },
  { 3958, "TIBETAN VOWEL SIGN VOCALIC R" },
  { 3959, "TIBETAN VOWEL SIGN VOCALIC RR" },
  { 3960, "TIBETAN VOWEL SIGN VOCALIC L" },
  { 3961, "TIBETAN VOWEL SIGN VOCALIC LL" },
  { 3962, "TIBETAN VOWEL SIGN E" },
  { 3963, "TIBETAN VOWEL SIGN EE" },
  { 3964, "TIBETAN VOWEL SIGN O" },
  { 3965, "TIBETAN VOWEL SIGN OO" },
  { 3966, "TIBETAN SIGN RJES SU NGA RO" },
  { 3967, "TIBETAN SIGN RNAM BCAD" },
  { 3968, "TIBETAN VOWEL SIGN REVERSED I" },
  { 3969, "TIBETAN VOWEL SIGN REVERSED II" },
  { 3970, "TIBETAN SIGN NYI ZLA NAA DA" },
  { 3971, "TIBETAN SIGN SNA LDAN" },
  { 3972, "TIBETAN MARK HALANTA" },
  { 3973, "TIBETAN MARK PALUTA" },
  { 3974, "TIBETAN SIGN LCI RTAGS" },
  { 3975, "TIBETAN SIGN YANG RTAGS" },
  { 3976, "TIBETAN SIGN LCE TSA CAN" },
  { 3977, "TIBETAN SIGN MCHU CAN" },
  { 3978, "TIBETAN SIGN GRU CAN RGYINGS" },
  { 3979, "TIBETAN SIGN GRU MED RGYINGS" },
  { 3984, "TIBETAN SUBJOINED LETTER KA" },
  { 3985, "TIBETAN SUBJOINED LETTER KHA" },
  { 3986, "TIBETAN SUBJOINED LETTER GA" },
  { 3987, "TIBETAN SUBJOINED LETTER GHA" },
  { 3988, "TIBETAN SUBJOINED LETTER NGA" },
  { 3989, "TIBETAN SUBJOINED LETTER CA" },
  { 3990, "TIBETAN SUBJOINED LETTER CHA" },
  { 3991, "TIBETAN SUBJOINED LETTER JA" },
  { 3993, "TIBETAN SUBJOINED LETTER NYA" },
  { 3994, "TIBETAN SUBJOINED LETTER TTA" },
  { 3995, "TIBETAN SUBJOINED LETTER TTHA" },
  { 3996, "TIBETAN SUBJOINED LETTER DDA" },
  { 3997, "TIBETAN SUBJOINED LETTER DDHA" },
  { 3998, "TIBETAN SUBJOINED LETTER NNA" },
  { 3999, "TIBETAN SUBJOINED LETTER TA" },
  { 4000, "TIBETAN SUBJOINED LETTER THA" },
  { 4001, "TIBETAN SUBJOINED LETTER DA" },
  { 4002, "TIBETAN SUBJOINED LETTER DHA" },
  { 4003, "TIBETAN SUBJOINED LETTER NA" },
  { 4004, "TIBETAN SUBJOINED LETTER PA" },
  { 4005, "TIBETAN SUBJOINED LETTER PHA" },
  { 4006, "TIBETAN SUBJOINED LETTER BA" },
  { 4007, "TIBETAN SUBJOINED LETTER BHA" },
  { 4008, "TIBETAN SUBJOINED LETTER MA" },
  { 4009, "TIBETAN SUBJOINED LETTER TSA" },
  { 4010, "TIBETAN SUBJOINED LETTER TSHA" },
  { 4011, "TIBETAN SUBJOINED LETTER DZA" },
  { 4012, "TIBETAN SUBJOINED LETTER DZHA" },
  { 4013, "TIBETAN SUBJOINED LETTER WA" },
  { 4014, "TIBETAN SUBJOINED LETTER ZHA" },
  { 4015, "TIBETAN SUBJOINED LETTER ZA" },
  { 4016, "TIBETAN SUBJOINED LETTER -A" },
  { 4017, "TIBETAN SUBJOINED LETTER YA" },
  { 4018, "TIBETAN SUBJOINED LETTER RA" },
  { 4019, "TIBETAN SUBJOINED LETTER LA" },
  { 4020, "TIBETAN SUBJOINED LETTER SHA" },
  { 4021, "TIBETAN SUBJOINED LETTER SSA" },
  { 4022, "TIBETAN SUBJOINED LETTER SA" },
  { 4023, "TIBETAN SUBJOINED LETTER HA" },
  { 4024, "TIBETAN SUBJOINED LETTER A" },
  { 4025, "TIBETAN SUBJOINED LETTER KSSA" },
  { 4026, "TIBETAN SUBJOINED LETTER FIXED-FORM WA" },
  { 4027, "TIBETAN SUBJOINED LETTER FIXED-FORM YA" },
  { 4028, "TIBETAN SUBJOINED LETTER FIXED-FORM RA" },
  { 4030, "TIBETAN KU RU KHA" },
  { 4031, "TIBETAN KU RU KHA BZHI MIG CAN" },
  { 4032, "TIBETAN CANTILLATION SIGN HEAVY BEAT" },
  { 4033, "TIBETAN CANTILLATION SIGN LIGHT BEAT" },
  { 4034, "TIBETAN CANTILLATION SIGN CANG TE-U" },
  { 4035, "TIBETAN CANTILLATION SIGN SBUB -CHAL" },
  { 4036, "TIBETAN SYMBOL DRIL BU" },
  { 4037, "TIBETAN SYMBOL RDO RJE" },
  { 4038, "TIBETAN SYMBOL PADMA GDAN" },
  { 4039, "TIBETAN SYMBOL RDO RJE RGYA GRAM" },
  { 4040, "TIBETAN SYMBOL PHUR PA" },
  { 4041, "TIBETAN SYMBOL NOR BU" },
  { 4042, "TIBETAN SYMBOL NOR BU NYIS -KHYIL" },
  { 4043, "TIBETAN SYMBOL NOR BU GSUM -KHYIL" },
  { 4044, "TIBETAN SYMBOL NOR BU BZHI -KHYIL" },
  { 4046, "TIBETAN SIGN RDEL NAG RDEL DKAR" },
  { 4047, "TIBETAN SIGN RDEL NAG GSUM" },
  { 4048, "TIBETAN MARK BSKA- SHOG GI MGO RGYAN" },
  { 4049, "TIBETAN MARK MNYAM YIG GI MGO RGYAN" },
  { 4050, "TIBETAN MARK NYIS TSHEG" },
  { 4051, "TIBETAN MARK INITIAL BRDA RNYING YIG MGO MDUN MA" },
  { 4052, "TIBETAN MARK CLOSING BRDA RNYING YIG MGO SGAB MA" },
  { 4096, "MYANMAR LETTER KA" },
  { 4097, "MYANMAR LETTER KHA" },
  { 4098, "MYANMAR LETTER GA" },
  { 4099, "MYANMAR LETTER GHA" },
  { 4100, "MYANMAR LETTER NGA" },
  { 4101, "MYANMAR LETTER CA" },
  { 4102, "MYANMAR LETTER CHA" },
  { 4103, "MYANMAR LETTER JA" },
  { 4104, "MYANMAR LETTER JHA" },
  { 4105, "MYANMAR LETTER NYA" },
  { 4106, "MYANMAR LETTER NNYA" },
  { 4107, "MYANMAR LETTER TTA" },
  { 4108, "MYANMAR LETTER TTHA" },
  { 4109, "MYANMAR LETTER DDA" },
  { 4110, "MYANMAR LETTER DDHA" },
  { 4111, "MYANMAR LETTER NNA" },
  { 4112, "MYANMAR LETTER TA" },
  { 4113, "MYANMAR LETTER THA" },
  { 4114, "MYANMAR LETTER DA" },
  { 4115, "MYANMAR LETTER DHA" },
  { 4116, "MYANMAR LETTER NA" },
  { 4117, "MYANMAR LETTER PA" },
  { 4118, "MYANMAR LETTER PHA" },
  { 4119, "MYANMAR LETTER BA" },
  { 4120, "MYANMAR LETTER BHA" },
  { 4121, "MYANMAR LETTER MA" },
  { 4122, "MYANMAR LETTER YA" },
  { 4123, "MYANMAR LETTER RA" },
  { 4124, "MYANMAR LETTER LA" },
  { 4125, "MYANMAR LETTER WA" },
  { 4126, "MYANMAR LETTER SA" },
  { 4127, "MYANMAR LETTER HA" },
  { 4128, "MYANMAR LETTER LLA" },
  { 4129, "MYANMAR LETTER A" },
  { 4130, "MYANMAR LETTER SHAN A" },
  { 4131, "MYANMAR LETTER I" },
  { 4132, "MYANMAR LETTER II" },
  { 4133, "MYANMAR LETTER U" },
  { 4134, "MYANMAR LETTER UU" },
  { 4135, "MYANMAR LETTER E" },
  { 4136, "MYANMAR LETTER MON E" },
  { 4137, "MYANMAR LETTER O" },
  { 4138, "MYANMAR LETTER AU" },
  { 4139, "MYANMAR VOWEL SIGN TALL AA" },
  { 4140, "MYANMAR VOWEL SIGN AA" },
  { 4141, "MYANMAR VOWEL SIGN I" },
  { 4142, "MYANMAR VOWEL SIGN II" },
  { 4143, "MYANMAR VOWEL SIGN U" },
  { 4144, "MYANMAR VOWEL SIGN UU" },
  { 4145, "MYANMAR VOWEL SIGN E" },
  { 4146, "MYANMAR VOWEL SIGN AI" },
  { 4147, "MYANMAR VOWEL SIGN MON II" },
  { 4148, "MYANMAR VOWEL SIGN MON O" },
  { 4149, "MYANMAR VOWEL SIGN E ABOVE" },
  { 4150, "MYANMAR SIGN ANUSVARA" },
  { 4151, "MYANMAR SIGN DOT BELOW" },
  { 4152, "MYANMAR SIGN VISARGA" },
  { 4153, "MYANMAR SIGN VIRAMA" },
  { 4154, "MYANMAR SIGN ASAT" },
  { 4155, "MYANMAR CONSONANT SIGN MEDIAL YA" },
  { 4156, "MYANMAR CONSONANT SIGN MEDIAL RA" },
  { 4157, "MYANMAR CONSONANT SIGN MEDIAL WA" },
  { 4158, "MYANMAR CONSONANT SIGN MEDIAL HA" },
  { 4159, "MYANMAR LETTER GREAT SA" },
  { 4160, "MYANMAR DIGIT ZERO" },
  { 4161, "MYANMAR DIGIT ONE" },
  { 4162, "MYANMAR DIGIT TWO" },
  { 4163, "MYANMAR DIGIT THREE" },
  { 4164, "MYANMAR DIGIT FOUR" },
  { 4165, "MYANMAR DIGIT FIVE" },
  { 4166, "MYANMAR DIGIT SIX" },
  { 4167, "MYANMAR DIGIT SEVEN" },
  { 4168, "MYANMAR DIGIT EIGHT" },
  { 4169, "MYANMAR DIGIT NINE" },
  { 4170, "MYANMAR SIGN LITTLE SECTION" },
  { 4171, "MYANMAR SIGN SECTION" },
  { 4172, "MYANMAR SYMBOL LOCATIVE" },
  { 4173, "MYANMAR SYMBOL COMPLETED" },
  { 4174, "MYANMAR SYMBOL AFOREMENTIONED" },
  { 4175, "MYANMAR SYMBOL GENITIVE" },
  { 4176, "MYANMAR LETTER SHA" },
  { 4177, "MYANMAR LETTER SSA" },
  { 4178, "MYANMAR LETTER VOCALIC R" },
  { 4179, "MYANMAR LETTER VOCALIC RR" },
  { 4180, "MYANMAR LETTER VOCALIC L" },
  { 4181, "MYANMAR LETTER VOCALIC LL" },
  { 4182, "MYANMAR VOWEL SIGN VOCALIC R" },
  { 4183, "MYANMAR VOWEL SIGN VOCALIC RR" },
  { 4184, "MYANMAR VOWEL SIGN VOCALIC L" },
  { 4185, "MYANMAR VOWEL SIGN VOCALIC LL" },
  { 4186, "MYANMAR LETTER MON NGA" },
  { 4187, "MYANMAR LETTER MON JHA" },
  { 4188, "MYANMAR LETTER MON BBA" },
  { 4189, "MYANMAR LETTER MON BBE" },
  { 4190, "MYANMAR CONSONANT SIGN MON MEDIAL NA" },
  { 4191, "MYANMAR CONSONANT SIGN MON MEDIAL MA" },
  { 4192, "MYANMAR CONSONANT SIGN MON MEDIAL LA" },
  { 4193, "MYANMAR LETTER SGAW KAREN SHA" },
  { 4194, "MYANMAR VOWEL SIGN SGAW KAREN EU" },
  { 4195, "MYANMAR TONE MARK SGAW KAREN HATHI" },
  { 4196, "MYANMAR TONE MARK SGAW KAREN KE PHO" },
  { 4197, "MYANMAR LETTER WESTERN PWO KAREN THA" },
  { 4198, "MYANMAR LETTER WESTERN PWO KAREN PWA" },
  { 4199, "MYANMAR VOWEL SIGN WESTERN PWO KAREN EU" },
  { 4200, "MYANMAR VOWEL SIGN WESTERN PWO KAREN UE" },
  { 4201, "MYANMAR SIGN WESTERN PWO KAREN TONE-1" },
  { 4202, "MYANMAR SIGN WESTERN PWO KAREN TONE-2" },
  { 4203, "MYANMAR SIGN WESTERN PWO KAREN TONE-3" },
  { 4204, "MYANMAR SIGN WESTERN PWO KAREN TONE-4" },
  { 4205, "MYANMAR SIGN WESTERN PWO KAREN TONE-5" },
  { 4206, "MYANMAR LETTER EASTERN PWO KAREN NNA" },
  { 4207, "MYANMAR LETTER EASTERN PWO KAREN YWA" },
  { 4208, "MYANMAR LETTER EASTERN PWO KAREN GHWA" },
  { 4209, "MYANMAR VOWEL SIGN GEBA KAREN I" },
  { 4210, "MYANMAR VOWEL SIGN KAYAH OE" },
  { 4211, "MYANMAR VOWEL SIGN KAYAH U" },
  { 4212, "MYANMAR VOWEL SIGN KAYAH EE" },
  { 4213, "MYANMAR LETTER SHAN KA" },
  { 4214, "MYANMAR LETTER SHAN KHA" },
  { 4215, "MYANMAR LETTER SHAN GA" },
  { 4216, "MYANMAR LETTER SHAN CA" },
  { 4217, "MYANMAR LETTER SHAN ZA" },
  { 4218, "MYANMAR LETTER SHAN NYA" },
  { 4219, "MYANMAR LETTER SHAN DA" },
  { 4220, "MYANMAR LETTER SHAN NA" },
  { 4221, "MYANMAR LETTER SHAN PHA" },
  { 4222, "MYANMAR LETTER SHAN FA" },
  { 4223, "MYANMAR LETTER SHAN BA" },
  { 4224, "MYANMAR LETTER SHAN THA" },
  { 4225, "MYANMAR LETTER SHAN HA" },
  { 4226, "MYANMAR CONSONANT SIGN SHAN MEDIAL WA" },
  { 4227, "MYANMAR VOWEL SIGN SHAN AA" },
  { 4228, "MYANMAR VOWEL SIGN SHAN E" },
  { 4229, "MYANMAR VOWEL SIGN SHAN E ABOVE" },
  { 4230, "MYANMAR VOWEL SIGN SHAN FINAL Y" },
  { 4231, "MYANMAR SIGN SHAN TONE-2" },
  { 4232, "MYANMAR SIGN SHAN TONE-3" },
  { 4233, "MYANMAR SIGN SHAN TONE-5" },
  { 4234, "MYANMAR SIGN SHAN TONE-6" },
  { 4235, "MYANMAR SIGN SHAN COUNCIL TONE-2" },
  { 4236, "MYANMAR SIGN SHAN COUNCIL TONE-3" },
  { 4237, "MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE" },
  { 4238, "MYANMAR LETTER RUMAI PALAUNG FA" },
  { 4239, "MYANMAR SIGN RUMAI PALAUNG TONE-5" },
  { 4240, "MYANMAR SHAN DIGIT ZERO" },
  { 4241, "MYANMAR SHAN DIGIT ONE" },
  { 4242, "MYANMAR SHAN DIGIT TWO" },
  { 4243, "MYANMAR SHAN DIGIT THREE" },
  { 4244, "MYANMAR SHAN DIGIT FOUR" },
  { 4245, "MYANMAR SHAN DIGIT FIVE" },
  { 4246, "MYANMAR SHAN DIGIT SIX" },
  { 4247, "MYANMAR SHAN DIGIT SEVEN" },
  { 4248, "MYANMAR SHAN DIGIT EIGHT" },
  { 4249, "MYANMAR SHAN DIGIT NINE" },
  { 4254, "MYANMAR SYMBOL SHAN ONE" },
  { 4255, "MYANMAR SYMBOL SHAN EXCLAMATION" },
  { 4256, "GEORGIAN CAPITAL LETTER AN" },
  { 4257, "GEORGIAN CAPITAL LETTER BAN" },
  { 4258, "GEORGIAN CAPITAL LETTER GAN" },
  { 4259, "GEORGIAN CAPITAL LETTER DON" },
  { 4260, "GEORGIAN CAPITAL LETTER EN" },
  { 4261, "GEORGIAN CAPITAL LETTER VIN" },
  { 4262, "GEORGIAN CAPITAL LETTER ZEN" },
  { 4263, "GEORGIAN CAPITAL LETTER TAN" },
  { 4264, "GEORGIAN CAPITAL LETTER IN" },
  { 4265, "GEORGIAN CAPITAL LETTER KAN" },
  { 4266, "GEORGIAN CAPITAL LETTER LAS" },
  { 4267, "GEORGIAN CAPITAL LETTER MAN" },
  { 4268, "GEORGIAN CAPITAL LETTER NAR" },
  { 4269, "GEORGIAN CAPITAL LETTER ON" },
  { 4270, "GEORGIAN CAPITAL LETTER PAR" },
  { 4271, "GEORGIAN CAPITAL LETTER ZHAR" },
  { 4272, "GEORGIAN CAPITAL LETTER RAE" },
  { 4273, "GEORGIAN CAPITAL LETTER SAN" },
  { 4274, "GEORGIAN CAPITAL LETTER TAR" },
  { 4275, "GEORGIAN CAPITAL LETTER UN" },
  { 4276, "GEORGIAN CAPITAL LETTER PHAR" },
  { 4277, "GEORGIAN CAPITAL LETTER KHAR" },
  { 4278, "GEORGIAN CAPITAL LETTER GHAN" },
  { 4279, "GEORGIAN CAPITAL LETTER QAR" },
  { 4280, "GEORGIAN CAPITAL LETTER SHIN" },
  { 4281, "GEORGIAN CAPITAL LETTER CHIN" },
  { 4282, "GEORGIAN CAPITAL LETTER CAN" },
  { 4283, "GEORGIAN CAPITAL LETTER JIL" },
  { 4284, "GEORGIAN CAPITAL LETTER CIL" },
  { 4285, "GEORGIAN CAPITAL LETTER CHAR" },
  { 4286, "GEORGIAN CAPITAL LETTER XAN" },
  { 4287, "GEORGIAN CAPITAL LETTER JHAN" },
  { 4288, "GEORGIAN CAPITAL LETTER HAE" },
  { 4289, "GEORGIAN CAPITAL LETTER HE" },
  { 4290, "GEORGIAN CAPITAL LETTER HIE" },
  { 4291, "GEORGIAN CAPITAL LETTER WE" },
  { 4292, "GEORGIAN CAPITAL LETTER HAR" },
  { 4293, "GEORGIAN CAPITAL LETTER HOE" },
  { 4304, "GEORGIAN LETTER AN" },
  { 4305, "GEORGIAN LETTER BAN" },
  { 4306, "GEORGIAN LETTER GAN" },
  { 4307, "GEORGIAN LETTER DON" },
  { 4308, "GEORGIAN LETTER EN" },
  { 4309, "GEORGIAN LETTER VIN" },
  { 4310, "GEORGIAN LETTER ZEN" },
  { 4311, "GEORGIAN LETTER TAN" },
  { 4312, "GEORGIAN LETTER IN" },
  { 4313, "GEORGIAN LETTER KAN" },
  { 4314, "GEORGIAN LETTER LAS" },
  { 4315, "GEORGIAN LETTER MAN" },
  { 4316, "GEORGIAN LETTER NAR" },
  { 4317, "GEORGIAN LETTER ON" },
  { 4318, "GEORGIAN LETTER PAR" },
  { 4319, "GEORGIAN LETTER ZHAR" },
  { 4320, "GEORGIAN LETTER RAE" },
  { 4321, "GEORGIAN LETTER SAN" },
  { 4322, "GEORGIAN LETTER TAR" },
  { 4323, "GEORGIAN LETTER UN" },
  { 4324, "GEORGIAN LETTER PHAR" },
  { 4325, "GEORGIAN LETTER KHAR" },
  { 4326, "GEORGIAN LETTER GHAN" },
  { 4327, "GEORGIAN LETTER QAR" },
  { 4328, "GEORGIAN LETTER SHIN" },
  { 4329, "GEORGIAN LETTER CHIN" },
  { 4330, "GEORGIAN LETTER CAN" },
  { 4331, "GEORGIAN LETTER JIL" },
  { 4332, "GEORGIAN LETTER CIL" },
  { 4333, "GEORGIAN LETTER CHAR" },
  { 4334, "GEORGIAN LETTER XAN" },
  { 4335, "GEORGIAN LETTER JHAN" },
  { 4336, "GEORGIAN LETTER HAE" },
  { 4337, "GEORGIAN LETTER HE" },
  { 4338, "GEORGIAN LETTER HIE" },
  { 4339, "GEORGIAN LETTER WE" },
  { 4340, "GEORGIAN LETTER HAR" },
  { 4341, "GEORGIAN LETTER HOE" },
  { 4342, "GEORGIAN LETTER FI" },
  { 4343, "GEORGIAN LETTER YN" },
  { 4344, "GEORGIAN LETTER ELIFI" },
  { 4345, "GEORGIAN LETTER TURNED GAN" },
  { 4346, "GEORGIAN LETTER AIN" },
  { 4347, "GEORGIAN PARAGRAPH SEPARATOR" },
  { 4348, "MODIFIER LETTER GEORGIAN NAR" },
  { 4352, "HANGUL CHOSEONG KIYEOK" },
  { 4353, "HANGUL CHOSEONG SSANGKIYEOK" },
  { 4354, "HANGUL CHOSEONG NIEUN" },
  { 4355, "HANGUL CHOSEONG TIKEUT" },
  { 4356, "HANGUL CHOSEONG SSANGTIKEUT" },
  { 4357, "HANGUL CHOSEONG RIEUL" },
  { 4358, "HANGUL CHOSEONG MIEUM" },
  { 4359, "HANGUL CHOSEONG PIEUP" },
  { 4360, "HANGUL CHOSEONG SSANGPIEUP" },
  { 4361, "HANGUL CHOSEONG SIOS" },
  { 4362, "HANGUL CHOSEONG SSANGSIOS" },
  { 4363, "HANGUL CHOSEONG IEUNG" },
  { 4364, "HANGUL CHOSEONG CIEUC" },
  { 4365, "HANGUL CHOSEONG SSANGCIEUC" },
  { 4366, "HANGUL CHOSEONG CHIEUCH" },
  { 4367, "HANGUL CHOSEONG KHIEUKH" },
  { 4368, "HANGUL CHOSEONG THIEUTH" },
  { 4369, "HANGUL CHOSEONG PHIEUPH" },
  { 4370, "HANGUL CHOSEONG HIEUH" },
  { 4371, "HANGUL CHOSEONG NIEUN-KIYEOK" },
  { 4372, "HANGUL CHOSEONG SSANGNIEUN" },
  { 4373, "HANGUL CHOSEONG NIEUN-TIKEUT" },
  { 4374, "HANGUL CHOSEONG NIEUN-PIEUP" },
  { 4375, "HANGUL CHOSEONG TIKEUT-KIYEOK" },
  { 4376, "HANGUL CHOSEONG RIEUL-NIEUN" },
  { 4377, "HANGUL CHOSEONG SSANGRIEUL" },
  { 4378, "HANGUL CHOSEONG RIEUL-HIEUH" },
  { 4379, "HANGUL CHOSEONG KAPYEOUNRIEUL" },
  { 4380, "HANGUL CHOSEONG MIEUM-PIEUP" },
  { 4381, "HANGUL CHOSEONG KAPYEOUNMIEUM" },
  { 4382, "HANGUL CHOSEONG PIEUP-KIYEOK" },
  { 4383, "HANGUL CHOSEONG PIEUP-NIEUN" },
  { 4384, "HANGUL CHOSEONG PIEUP-TIKEUT" },
  { 4385, "HANGUL CHOSEONG PIEUP-SIOS" },
  { 4386, "HANGUL CHOSEONG PIEUP-SIOS-KIYEOK" },
  { 4387, "HANGUL CHOSEONG PIEUP-SIOS-TIKEUT" },
  { 4388, "HANGUL CHOSEONG PIEUP-SIOS-PIEUP" },
  { 4389, "HANGUL CHOSEONG PIEUP-SSANGSIOS" },
  { 4390, "HANGUL CHOSEONG PIEUP-SIOS-CIEUC" },
  { 4391, "HANGUL CHOSEONG PIEUP-CIEUC" },
  { 4392, "HANGUL CHOSEONG PIEUP-CHIEUCH" },
  { 4393, "HANGUL CHOSEONG PIEUP-THIEUTH" },
  { 4394, "HANGUL CHOSEONG PIEUP-PHIEUPH" },
  { 4395, "HANGUL CHOSEONG KAPYEOUNPIEUP" },
  { 4396, "HANGUL CHOSEONG KAPYEOUNSSANGPIEUP" },
  { 4397, "HANGUL CHOSEONG SIOS-KIYEOK" },
  { 4398, "HANGUL CHOSEONG SIOS-NIEUN" },
  { 4399, "HANGUL CHOSEONG SIOS-TIKEUT" },
  { 4400, "HANGUL CHOSEONG SIOS-RIEUL" },
  { 4401, "HANGUL CHOSEONG SIOS-MIEUM" },
  { 4402, "HANGUL CHOSEONG SIOS-PIEUP" },
  { 4403, "HANGUL CHOSEONG SIOS-PIEUP-KIYEOK" },
  { 4404, "HANGUL CHOSEONG SIOS-SSANGSIOS" },
  { 4405, "HANGUL CHOSEONG SIOS-IEUNG" },
  { 4406, "HANGUL CHOSEONG SIOS-CIEUC" },
  { 4407, "HANGUL CHOSEONG SIOS-CHIEUCH" },
  { 4408, "HANGUL CHOSEONG SIOS-KHIEUKH" },
  { 4409, "HANGUL CHOSEONG SIOS-THIEUTH" },
  { 4410, "HANGUL CHOSEONG SIOS-PHIEUPH" },
  { 4411, "HANGUL CHOSEONG SIOS-HIEUH" },
  { 4412, "HANGUL CHOSEONG CHITUEUMSIOS" },
  { 4413, "HANGUL CHOSEONG CHITUEUMSSANGSIOS" },
  { 4414, "HANGUL CHOSEONG CEONGCHIEUMSIOS" },
  { 4415, "HANGUL CHOSEONG CEONGCHIEUMSSANGSIOS" },
  { 4416, "HANGUL CHOSEONG PANSIOS" },
  { 4417, "HANGUL CHOSEONG IEUNG-KIYEOK" },
  { 4418, "HANGUL CHOSEONG IEUNG-TIKEUT" },
  { 4419, "HANGUL CHOSEONG IEUNG-MIEUM" },
  { 4420, "HANGUL CHOSEONG IEUNG-PIEUP" },
  { 4421, "HANGUL CHOSEONG IEUNG-SIOS" },
  { 4422, "HANGUL CHOSEONG IEUNG-PANSIOS" },
  { 4423, "HANGUL CHOSEONG SSANGIEUNG" },
  { 4424, "HANGUL CHOSEONG IEUNG-CIEUC" },
  { 4425, "HANGUL CHOSEONG IEUNG-CHIEUCH" },
  { 4426, "HANGUL CHOSEONG IEUNG-THIEUTH" },
  { 4427, "HANGUL CHOSEONG IEUNG-PHIEUPH" },
  { 4428, "HANGUL CHOSEONG YESIEUNG" },
  { 4429, "HANGUL CHOSEONG CIEUC-IEUNG" },
  { 4430, "HANGUL CHOSEONG CHITUEUMCIEUC" },
  { 4431, "HANGUL CHOSEONG CHITUEUMSSANGCIEUC" },
  { 4432, "HANGUL CHOSEONG CEONGCHIEUMCIEUC" },
  { 4433, "HANGUL CHOSEONG CEONGCHIEUMSSANGCIEUC" },
  { 4434, "HANGUL CHOSEONG CHIEUCH-KHIEUKH" },
  { 4435, "HANGUL CHOSEONG CHIEUCH-HIEUH" },
  { 4436, "HANGUL CHOSEONG CHITUEUMCHIEUCH" },
  { 4437, "HANGUL CHOSEONG CEONGCHIEUMCHIEUCH" },
  { 4438, "HANGUL CHOSEONG PHIEUPH-PIEUP" },
  { 4439, "HANGUL CHOSEONG KAPYEOUNPHIEUPH" },
  { 4440, "HANGUL CHOSEONG SSANGHIEUH" },
  { 4441, "HANGUL CHOSEONG YEORINHIEUH" },
  { 4447, "HANGUL CHOSEONG FILLER" },
  { 4448, "HANGUL JUNGSEONG FILLER" },
  { 4449, "HANGUL JUNGSEONG A" },
  { 4450, "HANGUL JUNGSEONG AE" },
  { 4451, "HANGUL JUNGSEONG YA" },
  { 4452, "HANGUL JUNGSEONG YAE" },
  { 4453, "HANGUL JUNGSEONG EO" },
  { 4454, "HANGUL JUNGSEONG E" },
  { 4455, "HANGUL JUNGSEONG YEO" },
  { 4456, "HANGUL JUNGSEONG YE" },
  { 4457, "HANGUL JUNGSEONG O" },
  { 4458, "HANGUL JUNGSEONG WA" },
  { 4459, "HANGUL JUNGSEONG WAE" },
  { 4460, "HANGUL JUNGSEONG OE" },
  { 4461, "HANGUL JUNGSEONG YO" },
  { 4462, "HANGUL JUNGSEONG U" },
  { 4463, "HANGUL JUNGSEONG WEO" },
  { 4464, "HANGUL JUNGSEONG WE" },
  { 4465, "HANGUL JUNGSEONG WI" },
  { 4466, "HANGUL JUNGSEONG YU" },
  { 4467, "HANGUL JUNGSEONG EU" },
  { 4468, "HANGUL JUNGSEONG YI" },
  { 4469, "HANGUL JUNGSEONG I" },
  { 4470, "HANGUL JUNGSEONG A-O" },
  { 4471, "HANGUL JUNGSEONG A-U" },
  { 4472, "HANGUL JUNGSEONG YA-O" },
  { 4473, "HANGUL JUNGSEONG YA-YO" },
  { 4474, "HANGUL JUNGSEONG EO-O" },
  { 4475, "HANGUL JUNGSEONG EO-U" },
  { 4476, "HANGUL JUNGSEONG EO-EU" },
  { 4477, "HANGUL JUNGSEONG YEO-O" },
  { 4478, "HANGUL JUNGSEONG YEO-U" },
  { 4479, "HANGUL JUNGSEONG O-EO" },
  { 4480, "HANGUL JUNGSEONG O-E" },
  { 4481, "HANGUL JUNGSEONG O-YE" },
  { 4482, "HANGUL JUNGSEONG O-O" },
  { 4483, "HANGUL JUNGSEONG O-U" },
  { 4484, "HANGUL JUNGSEONG YO-YA" },
  { 4485, "HANGUL JUNGSEONG YO-YAE" },
  { 4486, "HANGUL JUNGSEONG YO-YEO" },
  { 4487, "HANGUL JUNGSEONG YO-O" },
  { 4488, "HANGUL JUNGSEONG YO-I" },
  { 4489, "HANGUL JUNGSEONG U-A" },
  { 4490, "HANGUL JUNGSEONG U-AE" },
  { 4491, "HANGUL JUNGSEONG U-EO-EU" },
  { 4492, "HANGUL JUNGSEONG U-YE" },
  { 4493, "HANGUL JUNGSEONG U-U" },
  { 4494, "HANGUL JUNGSEONG YU-A" },
  { 4495, "HANGUL JUNGSEONG YU-EO" },
  { 4496, "HANGUL JUNGSEONG YU-E" },
  { 4497, "HANGUL JUNGSEONG YU-YEO" },
  { 4498, "HANGUL JUNGSEONG YU-YE" },
  { 4499, "HANGUL JUNGSEONG YU-U" },
  { 4500, "HANGUL JUNGSEONG YU-I" },
  { 4501, "HANGUL JUNGSEONG EU-U" },
  { 4502, "HANGUL JUNGSEONG EU-EU" },
  { 4503, "HANGUL JUNGSEONG YI-U" },
  { 4504, "HANGUL JUNGSEONG I-A" },
  { 4505, "HANGUL JUNGSEONG I-YA" },
  { 4506, "HANGUL JUNGSEONG I-O" },
  { 4507, "HANGUL JUNGSEONG I-U" },
  { 4508, "HANGUL JUNGSEONG I-EU" },
  { 4509, "HANGUL JUNGSEONG I-ARAEA" },
  { 4510, "HANGUL JUNGSEONG ARAEA" },
  { 4511, "HANGUL JUNGSEONG ARAEA-EO" },
  { 4512, "HANGUL JUNGSEONG ARAEA-U" },
  { 4513, "HANGUL JUNGSEONG ARAEA-I" },
  { 4514, "HANGUL JUNGSEONG SSANGARAEA" },
  { 4520, "HANGUL JONGSEONG KIYEOK" },
  { 4521, "HANGUL JONGSEONG SSANGKIYEOK" },
  { 4522, "HANGUL JONGSEONG KIYEOK-SIOS" },
  { 4523, "HANGUL JONGSEONG NIEUN" },
  { 4524, "HANGUL JONGSEONG NIEUN-CIEUC" },
  { 4525, "HANGUL JONGSEONG NIEUN-HIEUH" },
  { 4526, "HANGUL JONGSEONG TIKEUT" },
  { 4527, "HANGUL JONGSEONG RIEUL" },
  { 4528, "HANGUL JONGSEONG RIEUL-KIYEOK" },
  { 4529, "HANGUL JONGSEONG RIEUL-MIEUM" },
  { 4530, "HANGUL JONGSEONG RIEUL-PIEUP" },
  { 4531, "HANGUL JONGSEONG RIEUL-SIOS" },
  { 4532, "HANGUL JONGSEONG RIEUL-THIEUTH" },
  { 4533, "HANGUL JONGSEONG RIEUL-PHIEUPH" },
  { 4534, "HANGUL JONGSEONG RIEUL-HIEUH" },
  { 4535, "HANGUL JONGSEONG MIEUM" },
  { 4536, "HANGUL JONGSEONG PIEUP" },
  { 4537, "HANGUL JONGSEONG PIEUP-SIOS" },
  { 4538, "HANGUL JONGSEONG SIOS" },
  { 4539, "HANGUL JONGSEONG SSANGSIOS" },
  { 4540, "HANGUL JONGSEONG IEUNG" },
  { 4541, "HANGUL JONGSEONG CIEUC" },
  { 4542, "HANGUL JONGSEONG CHIEUCH" },
  { 4543, "HANGUL JONGSEONG KHIEUKH" },
  { 4544, "HANGUL JONGSEONG THIEUTH" },
  { 4545, "HANGUL JONGSEONG PHIEUPH" },
  { 4546, "HANGUL JONGSEONG HIEUH" },
  { 4547, "HANGUL JONGSEONG KIYEOK-RIEUL" },
  { 4548, "HANGUL JONGSEONG KIYEOK-SIOS-KIYEOK" },
  { 4549, "HANGUL JONGSEONG NIEUN-KIYEOK" },
  { 4550, "HANGUL JONGSEONG NIEUN-TIKEUT" },
  { 4551, "HANGUL JONGSEONG NIEUN-SIOS" },
  { 4552, "HANGUL JONGSEONG NIEUN-PANSIOS" },
  { 4553, "HANGUL JONGSEONG NIEUN-THIEUTH" },
  { 4554, "HANGUL JONGSEONG TIKEUT-KIYEOK" },
  { 4555, "HANGUL JONGSEONG TIKEUT-RIEUL" },
  { 4556, "HANGUL JONGSEONG RIEUL-KIYEOK-SIOS" },
  { 4557, "HANGUL JONGSEONG RIEUL-NIEUN" },
  { 4558, "HANGUL JONGSEONG RIEUL-TIKEUT" },
  { 4559, "HANGUL JONGSEONG RIEUL-TIKEUT-HIEUH" },
  { 4560, "HANGUL JONGSEONG SSANGRIEUL" },
  { 4561, "HANGUL JONGSEONG RIEUL-MIEUM-KIYEOK" },
  { 4562, "HANGUL JONGSEONG RIEUL-MIEUM-SIOS" },
  { 4563, "HANGUL JONGSEONG RIEUL-PIEUP-SIOS" },
  { 4564, "HANGUL JONGSEONG RIEUL-PIEUP-HIEUH" },
  { 4565, "HANGUL JONGSEONG RIEUL-KAPYEOUNPIEUP" },
  { 4566, "HANGUL JONGSEONG RIEUL-SSANGSIOS" },
  { 4567, "HANGUL JONGSEONG RIEUL-PANSIOS" },
  { 4568, "HANGUL JONGSEONG RIEUL-KHIEUKH" },
  { 4569, "HANGUL JONGSEONG RIEUL-YEORINHIEUH" },
  { 4570, "HANGUL JONGSEONG MIEUM-KIYEOK" },
  { 4571, "HANGUL JONGSEONG MIEUM-RIEUL" },
  { 4572, "HANGUL JONGSEONG MIEUM-PIEUP" },
  { 4573, "HANGUL JONGSEONG MIEUM-SIOS" },
  { 4574, "HANGUL JONGSEONG MIEUM-SSANGSIOS" },
  { 4575, "HANGUL JONGSEONG MIEUM-PANSIOS" },
  { 4576, "HANGUL JONGSEONG MIEUM-CHIEUCH" },
  { 4577, "HANGUL JONGSEONG MIEUM-HIEUH" },
  { 4578, "HANGUL JONGSEONG KAPYEOUNMIEUM" },
  { 4579, "HANGUL JONGSEONG PIEUP-RIEUL" },
  { 4580, "HANGUL JONGSEONG PIEUP-PHIEUPH" },
  { 4581, "HANGUL JONGSEONG PIEUP-HIEUH" },
  { 4582, "HANGUL JONGSEONG KAPYEOUNPIEUP" },
  { 4583, "HANGUL JONGSEONG SIOS-KIYEOK" },
  { 4584, "HANGUL JONGSEONG SIOS-TIKEUT" },
  { 4585, "HANGUL JONGSEONG SIOS-RIEUL" },
  { 4586, "HANGUL JONGSEONG SIOS-PIEUP" },
  { 4587, "HANGUL JONGSEONG PANSIOS" },
  { 4588, "HANGUL JONGSEONG IEUNG-KIYEOK" },
  { 4589, "HANGUL JONGSEONG IEUNG-SSANGKIYEOK" },
  { 4590, "HANGUL JONGSEONG SSANGIEUNG" },
  { 4591, "HANGUL JONGSEONG IEUNG-KHIEUKH" },
  { 4592, "HANGUL JONGSEONG YESIEUNG" },
  { 4593, "HANGUL JONGSEONG YESIEUNG-SIOS" },
  { 4594, "HANGUL JONGSEONG YESIEUNG-PANSIOS" },
  { 4595, "HANGUL JONGSEONG PHIEUPH-PIEUP" },
  { 4596, "HANGUL JONGSEONG KAPYEOUNPHIEUPH" },
  { 4597, "HANGUL JONGSEONG HIEUH-NIEUN" },
  { 4598, "HANGUL JONGSEONG HIEUH-RIEUL" },
  { 4599, "HANGUL JONGSEONG HIEUH-MIEUM" },
  { 4600, "HANGUL JONGSEONG HIEUH-PIEUP" },
  { 4601, "HANGUL JONGSEONG YEORINHIEUH" },
  { 4608, "ETHIOPIC SYLLABLE HA" },
  { 4609, "ETHIOPIC SYLLABLE HU" },
  { 4610, "ETHIOPIC SYLLABLE HI" },
  { 4611, "ETHIOPIC SYLLABLE HAA" },
  { 4612, "ETHIOPIC SYLLABLE HEE" },
  { 4613, "ETHIOPIC SYLLABLE HE" },
  { 4614, "ETHIOPIC SYLLABLE HO" },
  { 4615, "ETHIOPIC SYLLABLE HOA" },
  { 4616, "ETHIOPIC SYLLABLE LA" },
  { 4617, "ETHIOPIC SYLLABLE LU" },
  { 4618, "ETHIOPIC SYLLABLE LI" },
  { 4619, "ETHIOPIC SYLLABLE LAA" },
  { 4620, "ETHIOPIC SYLLABLE LEE" },
  { 4621, "ETHIOPIC SYLLABLE LE" },
  { 4622, "ETHIOPIC SYLLABLE LO" },
  { 4623, "ETHIOPIC SYLLABLE LWA" },
  { 4624, "ETHIOPIC SYLLABLE HHA" },
  { 4625, "ETHIOPIC SYLLABLE HHU" },
  { 4626, "ETHIOPIC SYLLABLE HHI" },
  { 4627, "ETHIOPIC SYLLABLE HHAA" },
  { 4628, "ETHIOPIC SYLLABLE HHEE" },
  { 4629, "ETHIOPIC SYLLABLE HHE" },
  { 4630, "ETHIOPIC SYLLABLE HHO" },
  { 4631, "ETHIOPIC SYLLABLE HHWA" },
  { 4632, "ETHIOPIC SYLLABLE MA" },
  { 4633, "ETHIOPIC SYLLABLE MU" },
  { 4634, "ETHIOPIC SYLLABLE MI" },
  { 4635, "ETHIOPIC SYLLABLE MAA" },
  { 4636, "ETHIOPIC SYLLABLE MEE" },
  { 4637, "ETHIOPIC SYLLABLE ME" },
  { 4638, "ETHIOPIC SYLLABLE MO" },
  { 4639, "ETHIOPIC SYLLABLE MWA" },
  { 4640, "ETHIOPIC SYLLABLE SZA" },
  { 4641, "ETHIOPIC SYLLABLE SZU" },
  { 4642, "ETHIOPIC SYLLABLE SZI" },
  { 4643, "ETHIOPIC SYLLABLE SZAA" },
  { 4644, "ETHIOPIC SYLLABLE SZEE" },
  { 4645, "ETHIOPIC SYLLABLE SZE" },
  { 4646, "ETHIOPIC SYLLABLE SZO" },
  { 4647, "ETHIOPIC SYLLABLE SZWA" },
  { 4648, "ETHIOPIC SYLLABLE RA" },
  { 4649, "ETHIOPIC SYLLABLE RU" },
  { 4650, "ETHIOPIC SYLLABLE RI" },
  { 4651, "ETHIOPIC SYLLABLE RAA" },
  { 4652, "ETHIOPIC SYLLABLE REE" },
  { 4653, "ETHIOPIC SYLLABLE RE" },
  { 4654, "ETHIOPIC SYLLABLE RO" },
  { 4655, "ETHIOPIC SYLLABLE RWA" },
  { 4656, "ETHIOPIC SYLLABLE SA" },
  { 4657, "ETHIOPIC SYLLABLE SU" },
  { 4658, "ETHIOPIC SYLLABLE SI" },
  { 4659, "ETHIOPIC SYLLABLE SAA" },
  { 4660, "ETHIOPIC SYLLABLE SEE" },
  { 4661, "ETHIOPIC SYLLABLE SE" },
  { 4662, "ETHIOPIC SYLLABLE SO" },
  { 4663, "ETHIOPIC SYLLABLE SWA" },
  { 4664, "ETHIOPIC SYLLABLE SHA" },
  { 4665, "ETHIOPIC SYLLABLE SHU" },
  { 4666, "ETHIOPIC SYLLABLE SHI" },
  { 4667, "ETHIOPIC SYLLABLE SHAA" },
  { 4668, "ETHIOPIC SYLLABLE SHEE" },
  { 4669, "ETHIOPIC SYLLABLE SHE" },
  { 4670, "ETHIOPIC SYLLABLE SHO" },
  { 4671, "ETHIOPIC SYLLABLE SHWA" },
  { 4672, "ETHIOPIC SYLLABLE QA" },
  { 4673, "ETHIOPIC SYLLABLE QU" },
  { 4674, "ETHIOPIC SYLLABLE QI" },
  { 4675, "ETHIOPIC SYLLABLE QAA" },
  { 4676, "ETHIOPIC SYLLABLE QEE" },
  { 4677, "ETHIOPIC SYLLABLE QE" },
  { 4678, "ETHIOPIC SYLLABLE QO" },
  { 4679, "ETHIOPIC SYLLABLE QOA" },
  { 4680, "ETHIOPIC SYLLABLE QWA" },
  { 4682, "ETHIOPIC SYLLABLE QWI" },
  { 4683, "ETHIOPIC SYLLABLE QWAA" },
  { 4684, "ETHIOPIC SYLLABLE QWEE" },
  { 4685, "ETHIOPIC SYLLABLE QWE" },
  { 4688, "ETHIOPIC SYLLABLE QHA" },
  { 4689, "ETHIOPIC SYLLABLE QHU" },
  { 4690, "ETHIOPIC SYLLABLE QHI" },
  { 4691, "ETHIOPIC SYLLABLE QHAA" },
  { 4692, "ETHIOPIC SYLLABLE QHEE" },
  { 4693, "ETHIOPIC SYLLABLE QHE" },
  { 4694, "ETHIOPIC SYLLABLE QHO" },
  { 4696, "ETHIOPIC SYLLABLE QHWA" },
  { 4698, "ETHIOPIC SYLLABLE QHWI" },
  { 4699, "ETHIOPIC SYLLABLE QHWAA" },
  { 4700, "ETHIOPIC SYLLABLE QHWEE" },
  { 4701, "ETHIOPIC SYLLABLE QHWE" },
  { 4704, "ETHIOPIC SYLLABLE BA" },
  { 4705, "ETHIOPIC SYLLABLE BU" },
  { 4706, "ETHIOPIC SYLLABLE BI" },
  { 4707, "ETHIOPIC SYLLABLE BAA" },
  { 4708, "ETHIOPIC SYLLABLE BEE" },
  { 4709, "ETHIOPIC SYLLABLE BE" },
  { 4710, "ETHIOPIC SYLLABLE BO" },
  { 4711, "ETHIOPIC SYLLABLE BWA" },
  { 4712, "ETHIOPIC SYLLABLE VA" },
  { 4713, "ETHIOPIC SYLLABLE VU" },
  { 4714, "ETHIOPIC SYLLABLE VI" },
  { 4715, "ETHIOPIC SYLLABLE VAA" },
  { 4716, "ETHIOPIC SYLLABLE VEE" },
  { 4717, "ETHIOPIC SYLLABLE VE" },
  { 4718, "ETHIOPIC SYLLABLE VO" },
  { 4719, "ETHIOPIC SYLLABLE VWA" },
  { 4720, "ETHIOPIC SYLLABLE TA" },
  { 4721, "ETHIOPIC SYLLABLE TU" },
  { 4722, "ETHIOPIC SYLLABLE TI" },
  { 4723, "ETHIOPIC SYLLABLE TAA" },
  { 4724, "ETHIOPIC SYLLABLE TEE" },
  { 4725, "ETHIOPIC SYLLABLE TE" },
  { 4726, "ETHIOPIC SYLLABLE TO" },
  { 4727, "ETHIOPIC SYLLABLE TWA" },
  { 4728, "ETHIOPIC SYLLABLE CA" },
  { 4729, "ETHIOPIC SYLLABLE CU" },
  { 4730, "ETHIOPIC SYLLABLE CI" },
  { 4731, "ETHIOPIC SYLLABLE CAA" },
  { 4732, "ETHIOPIC SYLLABLE CEE" },
  { 4733, "ETHIOPIC SYLLABLE CE" },
  { 4734, "ETHIOPIC SYLLABLE CO" },
  { 4735, "ETHIOPIC SYLLABLE CWA" },
  { 4736, "ETHIOPIC SYLLABLE XA" },
  { 4737, "ETHIOPIC SYLLABLE XU" },
  { 4738, "ETHIOPIC SYLLABLE XI" },
  { 4739, "ETHIOPIC SYLLABLE XAA" },
  { 4740, "ETHIOPIC SYLLABLE XEE" },
  { 4741, "ETHIOPIC SYLLABLE XE" },
  { 4742, "ETHIOPIC SYLLABLE XO" },
  { 4743, "ETHIOPIC SYLLABLE XOA" },
  { 4744, "ETHIOPIC SYLLABLE XWA" },
  { 4746, "ETHIOPIC SYLLABLE XWI" },
  { 4747, "ETHIOPIC SYLLABLE XWAA" },
  { 4748, "ETHIOPIC SYLLABLE XWEE" },
  { 4749, "ETHIOPIC SYLLABLE XWE" },
  { 4752, "ETHIOPIC SYLLABLE NA" },
  { 4753, "ETHIOPIC SYLLABLE NU" },
  { 4754, "ETHIOPIC SYLLABLE NI" },
  { 4755, "ETHIOPIC SYLLABLE NAA" },
  { 4756, "ETHIOPIC SYLLABLE NEE" },
  { 4757, "ETHIOPIC SYLLABLE NE" },
  { 4758, "ETHIOPIC SYLLABLE NO" },
  { 4759, "ETHIOPIC SYLLABLE NWA" },
  { 4760, "ETHIOPIC SYLLABLE NYA" },
  { 4761, "ETHIOPIC SYLLABLE NYU" },
  { 4762, "ETHIOPIC SYLLABLE NYI" },
  { 4763, "ETHIOPIC SYLLABLE NYAA" },
  { 4764, "ETHIOPIC SYLLABLE NYEE" },
  { 4765, "ETHIOPIC SYLLABLE NYE" },
  { 4766, "ETHIOPIC SYLLABLE NYO" },
  { 4767, "ETHIOPIC SYLLABLE NYWA" },
  { 4768, "ETHIOPIC SYLLABLE GLOTTAL A" },
  { 4769, "ETHIOPIC SYLLABLE GLOTTAL U" },
  { 4770, "ETHIOPIC SYLLABLE GLOTTAL I" },
  { 4771, "ETHIOPIC SYLLABLE GLOTTAL AA" },
  { 4772, "ETHIOPIC SYLLABLE GLOTTAL EE" },
  { 4773, "ETHIOPIC SYLLABLE GLOTTAL E" },
  { 4774, "ETHIOPIC SYLLABLE GLOTTAL O" },
  { 4775, "ETHIOPIC SYLLABLE GLOTTAL WA" },
  { 4776, "ETHIOPIC SYLLABLE KA" },
  { 4777, "ETHIOPIC SYLLABLE KU" },
  { 4778, "ETHIOPIC SYLLABLE KI" },
  { 4779, "ETHIOPIC SYLLABLE KAA" },
  { 4780, "ETHIOPIC SYLLABLE KEE" },
  { 4781, "ETHIOPIC SYLLABLE KE" },
  { 4782, "ETHIOPIC SYLLABLE KO" },
  { 4783, "ETHIOPIC SYLLABLE KOA" },
  { 4784, "ETHIOPIC SYLLABLE KWA" },
  { 4786, "ETHIOPIC SYLLABLE KWI" },
  { 4787, "ETHIOPIC SYLLABLE KWAA" },
  { 4788, "ETHIOPIC SYLLABLE KWEE" },
  { 4789, "ETHIOPIC SYLLABLE KWE" },
  { 4792, "ETHIOPIC SYLLABLE KXA" },
  { 4793, "ETHIOPIC SYLLABLE KXU" },
  { 4794, "ETHIOPIC SYLLABLE KXI" },
  { 4795, "ETHIOPIC SYLLABLE KXAA" },
  { 4796, "ETHIOPIC SYLLABLE KXEE" },
  { 4797, "ETHIOPIC SYLLABLE KXE" },
  { 4798, "ETHIOPIC SYLLABLE KXO" },
  { 4800, "ETHIOPIC SYLLABLE KXWA" },
  { 4802, "ETHIOPIC SYLLABLE KXWI" },
  { 4803, "ETHIOPIC SYLLABLE KXWAA" },
  { 4804, "ETHIOPIC SYLLABLE KXWEE" },
  { 4805, "ETHIOPIC SYLLABLE KXWE" },
  { 4808, "ETHIOPIC SYLLABLE WA" },
  { 4809, "ETHIOPIC SYLLABLE WU" },
  { 4810, "ETHIOPIC SYLLABLE WI" },
  { 4811, "ETHIOPIC SYLLABLE WAA" },
  { 4812, "ETHIOPIC SYLLABLE WEE" },
  { 4813, "ETHIOPIC SYLLABLE WE" },
  { 4814, "ETHIOPIC SYLLABLE WO" },
  { 4815, "ETHIOPIC SYLLABLE WOA" },
  { 4816, "ETHIOPIC SYLLABLE PHARYNGEAL A" },
  { 4817, "ETHIOPIC SYLLABLE PHARYNGEAL U" },
  { 4818, "ETHIOPIC SYLLABLE PHARYNGEAL I" },
  { 4819, "ETHIOPIC SYLLABLE PHARYNGEAL AA" },
  { 4820, "ETHIOPIC SYLLABLE PHARYNGEAL EE" },
  { 4821, "ETHIOPIC SYLLABLE PHARYNGEAL E" },
  { 4822, "ETHIOPIC SYLLABLE PHARYNGEAL O" },
  { 4824, "ETHIOPIC SYLLABLE ZA" },
  { 4825, "ETHIOPIC SYLLABLE ZU" },
  { 4826, "ETHIOPIC SYLLABLE ZI" },
  { 4827, "ETHIOPIC SYLLABLE ZAA" },
  { 4828, "ETHIOPIC SYLLABLE ZEE" },
  { 4829, "ETHIOPIC SYLLABLE ZE" },
  { 4830, "ETHIOPIC SYLLABLE ZO" },
  { 4831, "ETHIOPIC SYLLABLE ZWA" },
  { 4832, "ETHIOPIC SYLLABLE ZHA" },
  { 4833, "ETHIOPIC SYLLABLE ZHU" },
  { 4834, "ETHIOPIC SYLLABLE ZHI" },
  { 4835, "ETHIOPIC SYLLABLE ZHAA" },
  { 4836, "ETHIOPIC SYLLABLE ZHEE" },
  { 4837, "ETHIOPIC SYLLABLE ZHE" },
  { 4838, "ETHIOPIC SYLLABLE ZHO" },
  { 4839, "ETHIOPIC SYLLABLE ZHWA" },
  { 4840, "ETHIOPIC SYLLABLE YA" },
  { 4841, "ETHIOPIC SYLLABLE YU" },
  { 4842, "ETHIOPIC SYLLABLE YI" },
  { 4843, "ETHIOPIC SYLLABLE YAA" },
  { 4844, "ETHIOPIC SYLLABLE YEE" },
  { 4845, "ETHIOPIC SYLLABLE YE" },
  { 4846, "ETHIOPIC SYLLABLE YO" },
  { 4847, "ETHIOPIC SYLLABLE YOA" },
  { 4848, "ETHIOPIC SYLLABLE DA" },
  { 4849, "ETHIOPIC SYLLABLE DU" },
  { 4850, "ETHIOPIC SYLLABLE DI" },
  { 4851, "ETHIOPIC SYLLABLE DAA" },
  { 4852, "ETHIOPIC SYLLABLE DEE" },
  { 4853, "ETHIOPIC SYLLABLE DE" },
  { 4854, "ETHIOPIC SYLLABLE DO" },
  { 4855, "ETHIOPIC SYLLABLE DWA" },
  { 4856, "ETHIOPIC SYLLABLE DDA" },
  { 4857, "ETHIOPIC SYLLABLE DDU" },
  { 4858, "ETHIOPIC SYLLABLE DDI" },
  { 4859, "ETHIOPIC SYLLABLE DDAA" },
  { 4860, "ETHIOPIC SYLLABLE DDEE" },
  { 4861, "ETHIOPIC SYLLABLE DDE" },
  { 4862, "ETHIOPIC SYLLABLE DDO" },
  { 4863, "ETHIOPIC SYLLABLE DDWA" },
  { 4864, "ETHIOPIC SYLLABLE JA" },
  { 4865, "ETHIOPIC SYLLABLE JU" },
  { 4866, "ETHIOPIC SYLLABLE JI" },
  { 4867, "ETHIOPIC SYLLABLE JAA" },
  { 4868, "ETHIOPIC SYLLABLE JEE" },
  { 4869, "ETHIOPIC SYLLABLE JE" },
  { 4870, "ETHIOPIC SYLLABLE JO" },
  { 4871, "ETHIOPIC SYLLABLE JWA" },
  { 4872, "ETHIOPIC SYLLABLE GA" },
  { 4873, "ETHIOPIC SYLLABLE GU" },
  { 4874, "ETHIOPIC SYLLABLE GI" },
  { 4875, "ETHIOPIC SYLLABLE GAA" },
  { 4876, "ETHIOPIC SYLLABLE GEE" },
  { 4877, "ETHIOPIC SYLLABLE GE" },
  { 4878, "ETHIOPIC SYLLABLE GO" },
  { 4879, "ETHIOPIC SYLLABLE GOA" },
  { 4880, "ETHIOPIC SYLLABLE GWA" },
  { 4882, "ETHIOPIC SYLLABLE GWI" },
  { 4883, "ETHIOPIC SYLLABLE GWAA" },
  { 4884, "ETHIOPIC SYLLABLE GWEE" },
  { 4885, "ETHIOPIC SYLLABLE GWE" },
  { 4888, "ETHIOPIC SYLLABLE GGA" },
  { 4889, "ETHIOPIC SYLLABLE GGU" },
  { 4890, "ETHIOPIC SYLLABLE GGI" },
  { 4891, "ETHIOPIC SYLLABLE GGAA" },
  { 4892, "ETHIOPIC SYLLABLE GGEE" },
  { 4893, "ETHIOPIC SYLLABLE GGE" },
  { 4894, "ETHIOPIC SYLLABLE GGO" },
  { 4895, "ETHIOPIC SYLLABLE GGWAA" },
  { 4896, "ETHIOPIC SYLLABLE THA" },
  { 4897, "ETHIOPIC SYLLABLE THU" },
  { 4898, "ETHIOPIC SYLLABLE THI" },
  { 4899, "ETHIOPIC SYLLABLE THAA" },
  { 4900, "ETHIOPIC SYLLABLE THEE" },
  { 4901, "ETHIOPIC SYLLABLE THE" },
  { 4902, "ETHIOPIC SYLLABLE THO" },
  { 4903, "ETHIOPIC SYLLABLE THWA" },
  { 4904, "ETHIOPIC SYLLABLE CHA" },
  { 4905, "ETHIOPIC SYLLABLE CHU" },
  { 4906, "ETHIOPIC SYLLABLE CHI" },
  { 4907, "ETHIOPIC SYLLABLE CHAA" },
  { 4908, "ETHIOPIC SYLLABLE CHEE" },
  { 4909, "ETHIOPIC SYLLABLE CHE" },
  { 4910, "ETHIOPIC SYLLABLE CHO" },
  { 4911, "ETHIOPIC SYLLABLE CHWA" },
  { 4912, "ETHIOPIC SYLLABLE PHA" },
  { 4913, "ETHIOPIC SYLLABLE PHU" },
  { 4914, "ETHIOPIC SYLLABLE PHI" },
  { 4915, "ETHIOPIC SYLLABLE PHAA" },
  { 4916, "ETHIOPIC SYLLABLE PHEE" },
  { 4917, "ETHIOPIC SYLLABLE PHE" },
  { 4918, "ETHIOPIC SYLLABLE PHO" },
  { 4919, "ETHIOPIC SYLLABLE PHWA" },
  { 4920, "ETHIOPIC SYLLABLE TSA" },
  { 4921, "ETHIOPIC SYLLABLE TSU" },
  { 4922, "ETHIOPIC SYLLABLE TSI" },
  { 4923, "ETHIOPIC SYLLABLE TSAA" },
  { 4924, "ETHIOPIC SYLLABLE TSEE" },
  { 4925, "ETHIOPIC SYLLABLE TSE" },
  { 4926, "ETHIOPIC SYLLABLE TSO" },
  { 4927, "ETHIOPIC SYLLABLE TSWA" },
  { 4928, "ETHIOPIC SYLLABLE TZA" },
  { 4929, "ETHIOPIC SYLLABLE TZU" },
  { 4930, "ETHIOPIC SYLLABLE TZI" },
  { 4931, "ETHIOPIC SYLLABLE TZAA" },
  { 4932, "ETHIOPIC SYLLABLE TZEE" },
  { 4933, "ETHIOPIC SYLLABLE TZE" },
  { 4934, "ETHIOPIC SYLLABLE TZO" },
  { 4935, "ETHIOPIC SYLLABLE TZOA" },
  { 4936, "ETHIOPIC SYLLABLE FA" },
  { 4937, "ETHIOPIC SYLLABLE FU" },
  { 4938, "ETHIOPIC SYLLABLE FI" },
  { 4939, "ETHIOPIC SYLLABLE FAA" },
  { 4940, "ETHIOPIC SYLLABLE FEE" },
  { 4941, "ETHIOPIC SYLLABLE FE" },
  { 4942, "ETHIOPIC SYLLABLE FO" },
  { 4943, "ETHIOPIC SYLLABLE FWA" },
  { 4944, "ETHIOPIC SYLLABLE PA" },
  { 4945, "ETHIOPIC SYLLABLE PU" },
  { 4946, "ETHIOPIC SYLLABLE PI" },
  { 4947, "ETHIOPIC SYLLABLE PAA" },
  { 4948, "ETHIOPIC SYLLABLE PEE" },
  { 4949, "ETHIOPIC SYLLABLE PE" },
  { 4950, "ETHIOPIC SYLLABLE PO" },
  { 4951, "ETHIOPIC SYLLABLE PWA" },
  { 4952, "ETHIOPIC SYLLABLE RYA" },
  { 4953, "ETHIOPIC SYLLABLE MYA" },
  { 4954, "ETHIOPIC SYLLABLE FYA" },
  { 4959, "ETHIOPIC COMBINING GEMINATION MARK" },
  { 4960, "ETHIOPIC SECTION MARK" },
  { 4961, "ETHIOPIC WORDSPACE" },
  { 4962, "ETHIOPIC FULL STOP" },
  { 4963, "ETHIOPIC COMMA" },
  { 4964, "ETHIOPIC SEMICOLON" },
  { 4965, "ETHIOPIC COLON" },
  { 4966, "ETHIOPIC PREFACE COLON" },
  { 4967, "ETHIOPIC QUESTION MARK" },
  { 4968, "ETHIOPIC PARAGRAPH SEPARATOR" },
  { 4969, "ETHIOPIC DIGIT ONE" },
  { 4970, "ETHIOPIC DIGIT TWO" },
  { 4971, "ETHIOPIC DIGIT THREE" },
  { 4972, "ETHIOPIC DIGIT FOUR" },
  { 4973, "ETHIOPIC DIGIT FIVE" },
  { 4974, "ETHIOPIC DIGIT SIX" },
  { 4975, "ETHIOPIC DIGIT SEVEN" },
  { 4976, "ETHIOPIC DIGIT EIGHT" },
  { 4977, "ETHIOPIC DIGIT NINE" },
  { 4978, "ETHIOPIC NUMBER TEN" },
  { 4979, "ETHIOPIC NUMBER TWENTY" },
  { 4980, "ETHIOPIC NUMBER THIRTY" },
  { 4981, "ETHIOPIC NUMBER FORTY" },
  { 4982, "ETHIOPIC NUMBER FIFTY" },
  { 4983, "ETHIOPIC NUMBER SIXTY" },
  { 4984, "ETHIOPIC NUMBER SEVENTY" },
  { 4985, "ETHIOPIC NUMBER EIGHTY" },
  { 4986, "ETHIOPIC NUMBER NINETY" },
  { 4987, "ETHIOPIC NUMBER HUNDRED" },
  { 4988, "ETHIOPIC NUMBER TEN THOUSAND" },
  { 4992, "ETHIOPIC SYLLABLE SEBATBEIT MWA" },
  { 4993, "ETHIOPIC SYLLABLE MWI" },
  { 4994, "ETHIOPIC SYLLABLE MWEE" },
  { 4995, "ETHIOPIC SYLLABLE MWE" },
  { 4996, "ETHIOPIC SYLLABLE SEBATBEIT BWA" },
  { 4997, "ETHIOPIC SYLLABLE BWI" },
  { 4998, "ETHIOPIC SYLLABLE BWEE" },
  { 4999, "ETHIOPIC SYLLABLE BWE" },
  { 5000, "ETHIOPIC SYLLABLE SEBATBEIT FWA" },
  { 5001, "ETHIOPIC SYLLABLE FWI" },
  { 5002, "ETHIOPIC SYLLABLE FWEE" },
  { 5003, "ETHIOPIC SYLLABLE FWE" },
  { 5004, "ETHIOPIC SYLLABLE SEBATBEIT PWA" },
  { 5005, "ETHIOPIC SYLLABLE PWI" },
  { 5006, "ETHIOPIC SYLLABLE PWEE" },
  { 5007, "ETHIOPIC SYLLABLE PWE" },
  { 5008, "ETHIOPIC TONAL MARK YIZET" },
  { 5009, "ETHIOPIC TONAL MARK DERET" },
  { 5010, "ETHIOPIC TONAL MARK RIKRIK" },
  { 5011, "ETHIOPIC TONAL MARK SHORT RIKRIK" },
  { 5012, "ETHIOPIC TONAL MARK DIFAT" },
  { 5013, "ETHIOPIC TONAL MARK KENAT" },
  { 5014, "ETHIOPIC TONAL MARK CHIRET" },
  { 5015, "ETHIOPIC TONAL MARK HIDET" },
  { 5016, "ETHIOPIC TONAL MARK DERET-HIDET" },
  { 5017, "ETHIOPIC TONAL MARK KURT" },
  { 5024, "CHEROKEE LETTER A" },
  { 5025, "CHEROKEE LETTER E" },
  { 5026, "CHEROKEE LETTER I" },
  { 5027, "CHEROKEE LETTER O" },
  { 5028, "CHEROKEE LETTER U" },
  { 5029, "CHEROKEE LETTER V" },
  { 5030, "CHEROKEE LETTER GA" },
  { 5031, "CHEROKEE LETTER KA" },
  { 5032, "CHEROKEE LETTER GE" },
  { 5033, "CHEROKEE LETTER GI" },
  { 5034, "CHEROKEE LETTER GO" },
  { 5035, "CHEROKEE LETTER GU" },
  { 5036, "CHEROKEE LETTER GV" },
  { 5037, "CHEROKEE LETTER HA" },
  { 5038, "CHEROKEE LETTER HE" },
  { 5039, "CHEROKEE LETTER HI" },
  { 5040, "CHEROKEE LETTER HO" },
  { 5041, "CHEROKEE LETTER HU" },
  { 5042, "CHEROKEE LETTER HV" },
  { 5043, "CHEROKEE LETTER LA" },
  { 5044, "CHEROKEE LETTER LE" },
  { 5045, "CHEROKEE LETTER LI" },
  { 5046, "CHEROKEE LETTER LO" },
  { 5047, "CHEROKEE LETTER LU" },
  { 5048, "CHEROKEE LETTER LV" },
  { 5049, "CHEROKEE LETTER MA" },
  { 5050, "CHEROKEE LETTER ME" },
  { 5051, "CHEROKEE LETTER MI" },
  { 5052, "CHEROKEE LETTER MO" },
  { 5053, "CHEROKEE LETTER MU" },
  { 5054, "CHEROKEE LETTER NA" },
  { 5055, "CHEROKEE LETTER HNA" },
  { 5056, "CHEROKEE LETTER NAH" },
  { 5057, "CHEROKEE LETTER NE" },
  { 5058, "CHEROKEE LETTER NI" },
  { 5059, "CHEROKEE LETTER NO" },
  { 5060, "CHEROKEE LETTER NU" },
  { 5061, "CHEROKEE LETTER NV" },
  { 5062, "CHEROKEE LETTER QUA" },
  { 5063, "CHEROKEE LETTER QUE" },
  { 5064, "CHEROKEE LETTER QUI" },
  { 5065, "CHEROKEE LETTER QUO" },
  { 5066, "CHEROKEE LETTER QUU" },
  { 5067, "CHEROKEE LETTER QUV" },
  { 5068, "CHEROKEE LETTER SA" },
  { 5069, "CHEROKEE LETTER S" },
  { 5070, "CHEROKEE LETTER SE" },
  { 5071, "CHEROKEE LETTER SI" },
  { 5072, "CHEROKEE LETTER SO" },
  { 5073, "CHEROKEE LETTER SU" },
  { 5074, "CHEROKEE LETTER SV" },
  { 5075, "CHEROKEE LETTER DA" },
  { 5076, "CHEROKEE LETTER TA" },
  { 5077, "CHEROKEE LETTER DE" },
  { 5078, "CHEROKEE LETTER TE" },
  { 5079, "CHEROKEE LETTER DI" },
  { 5080, "CHEROKEE LETTER TI" },
  { 5081, "CHEROKEE LETTER DO" },
  { 5082, "CHEROKEE LETTER DU" },
  { 5083, "CHEROKEE LETTER DV" },
  { 5084, "CHEROKEE LETTER DLA" },
  { 5085, "CHEROKEE LETTER TLA" },
  { 5086, "CHEROKEE LETTER TLE" },
  { 5087, "CHEROKEE LETTER TLI" },
  { 5088, "CHEROKEE LETTER TLO" },
  { 5089, "CHEROKEE LETTER TLU" },
  { 5090, "CHEROKEE LETTER TLV" },
  { 5091, "CHEROKEE LETTER TSA" },
  { 5092, "CHEROKEE LETTER TSE" },
  { 5093, "CHEROKEE LETTER TSI" },
  { 5094, "CHEROKEE LETTER TSO" },
  { 5095, "CHEROKEE LETTER TSU" },
  { 5096, "CHEROKEE LETTER TSV" },
  { 5097, "CHEROKEE LETTER WA" },
  { 5098, "CHEROKEE LETTER WE" },
  { 5099, "CHEROKEE LETTER WI" },
  { 5100, "CHEROKEE LETTER WO" },
  { 5101, "CHEROKEE LETTER WU" },
  { 5102, "CHEROKEE LETTER WV" },
  { 5103, "CHEROKEE LETTER YA" },
  { 5104, "CHEROKEE LETTER YE" },
  { 5105, "CHEROKEE LETTER YI" },
  { 5106, "CHEROKEE LETTER YO" },
  { 5107, "CHEROKEE LETTER YU" },
  { 5108, "CHEROKEE LETTER YV" },
  { 5121, "CANADIAN SYLLABICS E" },
  { 5122, "CANADIAN SYLLABICS AAI" },
  { 5123, "CANADIAN SYLLABICS I" },
  { 5124, "CANADIAN SYLLABICS II" },
  { 5125, "CANADIAN SYLLABICS O" },
  { 5126, "CANADIAN SYLLABICS OO" },
  { 5127, "CANADIAN SYLLABICS Y-CREE OO" },
  { 5128, "CANADIAN SYLLABICS CARRIER EE" },
  { 5129, "CANADIAN SYLLABICS CARRIER I" },
  { 5130, "CANADIAN SYLLABICS A" },
  { 5131, "CANADIAN SYLLABICS AA" },
  { 5132, "CANADIAN SYLLABICS WE" },
  { 5133, "CANADIAN SYLLABICS WEST-CREE WE" },
  { 5134, "CANADIAN SYLLABICS WI" },
  { 5135, "CANADIAN SYLLABICS WEST-CREE WI" },
  { 5136, "CANADIAN SYLLABICS WII" },
  { 5137, "CANADIAN SYLLABICS WEST-CREE WII" },
  { 5138, "CANADIAN SYLLABICS WO" },
  { 5139, "CANADIAN SYLLABICS WEST-CREE WO" },
  { 5140, "CANADIAN SYLLABICS WOO" },
  { 5141, "CANADIAN SYLLABICS WEST-CREE WOO" },
  { 5142, "CANADIAN SYLLABICS NASKAPI WOO" },
  { 5143, "CANADIAN SYLLABICS WA" },
  { 5144, "CANADIAN SYLLABICS WEST-CREE WA" },
  { 5145, "CANADIAN SYLLABICS WAA" },
  { 5146, "CANADIAN SYLLABICS WEST-CREE WAA" },
  { 5147, "CANADIAN SYLLABICS NASKAPI WAA" },
  { 5148, "CANADIAN SYLLABICS AI" },
  { 5149, "CANADIAN SYLLABICS Y-CREE W" },
  { 5150, "CANADIAN SYLLABICS GLOTTAL STOP" },
  { 5151, "CANADIAN SYLLABICS FINAL ACUTE" },
  { 5152, "CANADIAN SYLLABICS FINAL GRAVE" },
  { 5153, "CANADIAN SYLLABICS FINAL BOTTOM HALF RING" },
  { 5154, "CANADIAN SYLLABICS FINAL TOP HALF RING" },
  { 5155, "CANADIAN SYLLABICS FINAL RIGHT HALF RING" },
  { 5156, "CANADIAN SYLLABICS FINAL RING" },
  { 5157, "CANADIAN SYLLABICS FINAL DOUBLE ACUTE" },
  { 5158, "CANADIAN SYLLABICS FINAL DOUBLE SHORT VERTICAL STROKES" },
  { 5159, "CANADIAN SYLLABICS FINAL MIDDLE DOT" },
  { 5160, "CANADIAN SYLLABICS FINAL SHORT HORIZONTAL STROKE" },
  { 5161, "CANADIAN SYLLABICS FINAL PLUS" },
  { 5162, "CANADIAN SYLLABICS FINAL DOWN TACK" },
  { 5163, "CANADIAN SYLLABICS EN" },
  { 5164, "CANADIAN SYLLABICS IN" },
  { 5165, "CANADIAN SYLLABICS ON" },
  { 5166, "CANADIAN SYLLABICS AN" },
  { 5167, "CANADIAN SYLLABICS PE" },
  { 5168, "CANADIAN SYLLABICS PAAI" },
  { 5169, "CANADIAN SYLLABICS PI" },
  { 5170, "CANADIAN SYLLABICS PII" },
  { 5171, "CANADIAN SYLLABICS PO" },
  { 5172, "CANADIAN SYLLABICS POO" },
  { 5173, "CANADIAN SYLLABICS Y-CREE POO" },
  { 5174, "CANADIAN SYLLABICS CARRIER HEE" },
  { 5175, "CANADIAN SYLLABICS CARRIER HI" },
  { 5176, "CANADIAN SYLLABICS PA" },
  { 5177, "CANADIAN SYLLABICS PAA" },
  { 5178, "CANADIAN SYLLABICS PWE" },
  { 5179, "CANADIAN SYLLABICS WEST-CREE PWE" },
  { 5180, "CANADIAN SYLLABICS PWI" },
  { 5181, "CANADIAN SYLLABICS WEST-CREE PWI" },
  { 5182, "CANADIAN SYLLABICS PWII" },
  { 5183, "CANADIAN SYLLABICS WEST-CREE PWII" },
  { 5184, "CANADIAN SYLLABICS PWO" },
  { 5185, "CANADIAN SYLLABICS WEST-CREE PWO" },
  { 5186, "CANADIAN SYLLABICS PWOO" },
  { 5187, "CANADIAN SYLLABICS WEST-CREE PWOO" },
  { 5188, "CANADIAN SYLLABICS PWA" },
  { 5189, "CANADIAN SYLLABICS WEST-CREE PWA" },
  { 5190, "CANADIAN SYLLABICS PWAA" },
  { 5191, "CANADIAN SYLLABICS WEST-CREE PWAA" },
  { 5192, "CANADIAN SYLLABICS Y-CREE PWAA" },
  { 5193, "CANADIAN SYLLABICS P" },
  { 5194, "CANADIAN SYLLABICS WEST-CREE P" },
  { 5195, "CANADIAN SYLLABICS CARRIER H" },
  { 5196, "CANADIAN SYLLABICS TE" },
  { 5197, "CANADIAN SYLLABICS TAAI" },
  { 5198, "CANADIAN SYLLABICS TI" },
  { 5199, "CANADIAN SYLLABICS TII" },
  { 5200, "CANADIAN SYLLABICS TO" },
  { 5201, "CANADIAN SYLLABICS TOO" },
  { 5202, "CANADIAN SYLLABICS Y-CREE TOO" },
  { 5203, "CANADIAN SYLLABICS CARRIER DEE" },
  { 5204, "CANADIAN SYLLABICS CARRIER DI" },
  { 5205, "CANADIAN SYLLABICS TA" },
  { 5206, "CANADIAN SYLLABICS TAA" },
  { 5207, "CANADIAN SYLLABICS TWE" },
  { 5208, "CANADIAN SYLLABICS WEST-CREE TWE" },
  { 5209, "CANADIAN SYLLABICS TWI" },
  { 5210, "CANADIAN SYLLABICS WEST-CREE TWI" },
  { 5211, "CANADIAN SYLLABICS TWII" },
  { 5212, "CANADIAN SYLLABICS WEST-CREE TWII" },
  { 5213, "CANADIAN SYLLABICS TWO" },
  { 5214, "CANADIAN SYLLABICS WEST-CREE TWO" },
  { 5215, "CANADIAN SYLLABICS TWOO" },
  { 5216, "CANADIAN SYLLABICS WEST-CREE TWOO" },
  { 5217, "CANADIAN SYLLABICS TWA" },
  { 5218, "CANADIAN SYLLABICS WEST-CREE TWA" },
  { 5219, "CANADIAN SYLLABICS TWAA" },
  { 5220, "CANADIAN SYLLABICS WEST-CREE TWAA" },
  { 5221, "CANADIAN SYLLABICS NASKAPI TWAA" },
  { 5222, "CANADIAN SYLLABICS T" },
  { 5223, "CANADIAN SYLLABICS TTE" },
  { 5224, "CANADIAN SYLLABICS TTI" },
  { 5225, "CANADIAN SYLLABICS TTO" },
  { 5226, "CANADIAN SYLLABICS TTA" },
  { 5227, "CANADIAN SYLLABICS KE" },
  { 5228, "CANADIAN SYLLABICS KAAI" },
  { 5229, "CANADIAN SYLLABICS KI" },
  { 5230, "CANADIAN SYLLABICS KII" },
  { 5231, "CANADIAN SYLLABICS KO" },
  { 5232, "CANADIAN SYLLABICS KOO" },
  { 5233, "CANADIAN SYLLABICS Y-CREE KOO" },
  { 5234, "CANADIAN SYLLABICS KA" },
  { 5235, "CANADIAN SYLLABICS KAA" },
  { 5236, "CANADIAN SYLLABICS KWE" },
  { 5237, "CANADIAN SYLLABICS WEST-CREE KWE" },
  { 5238, "CANADIAN SYLLABICS KWI" },
  { 5239, "CANADIAN SYLLABICS WEST-CREE KWI" },
  { 5240, "CANADIAN SYLLABICS KWII" },
  { 5241, "CANADIAN SYLLABICS WEST-CREE KWII" },
  { 5242, "CANADIAN SYLLABICS KWO" },
  { 5243, "CANADIAN SYLLABICS WEST-CREE KWO" },
  { 5244, "CANADIAN SYLLABICS KWOO" },
  { 5245, "CANADIAN SYLLABICS WEST-CREE KWOO" },
  { 5246, "CANADIAN SYLLABICS KWA" },
  { 5247, "CANADIAN SYLLABICS WEST-CREE KWA" },
  { 5248, "CANADIAN SYLLABICS KWAA" },
  { 5249, "CANADIAN SYLLABICS WEST-CREE KWAA" },
  { 5250, "CANADIAN SYLLABICS NASKAPI KWAA" },
  { 5251, "CANADIAN SYLLABICS K" },
  { 5252, "CANADIAN SYLLABICS KW" },
  { 5253, "CANADIAN SYLLABICS SOUTH-SLAVEY KEH" },
  { 5254, "CANADIAN SYLLABICS SOUTH-SLAVEY KIH" },
  { 5255, "CANADIAN SYLLABICS SOUTH-SLAVEY KOH" },
  { 5256, "CANADIAN SYLLABICS SOUTH-SLAVEY KAH" },
  { 5257, "CANADIAN SYLLABICS CE" },
  { 5258, "CANADIAN SYLLABICS CAAI" },
  { 5259, "CANADIAN SYLLABICS CI" },
  { 5260, "CANADIAN SYLLABICS CII" },
  { 5261, "CANADIAN SYLLABICS CO" },
  { 5262, "CANADIAN SYLLABICS COO" },
  { 5263, "CANADIAN SYLLABICS Y-CREE COO" },
  { 5264, "CANADIAN SYLLABICS CA" },
  { 5265, "CANADIAN SYLLABICS CAA" },
  { 5266, "CANADIAN SYLLABICS CWE" },
  { 5267, "CANADIAN SYLLABICS WEST-CREE CWE" },
  { 5268, "CANADIAN SYLLABICS CWI" },
  { 5269, "CANADIAN SYLLABICS WEST-CREE CWI" },
  { 5270, "CANADIAN SYLLABICS CWII" },
  { 5271, "CANADIAN SYLLABICS WEST-CREE CWII" },
  { 5272, "CANADIAN SYLLABICS CWO" },
  { 5273, "CANADIAN SYLLABICS WEST-CREE CWO" },
  { 5274, "CANADIAN SYLLABICS CWOO" },
  { 5275, "CANADIAN SYLLABICS WEST-CREE CWOO" },
  { 5276, "CANADIAN SYLLABICS CWA" },
  { 5277, "CANADIAN SYLLABICS WEST-CREE CWA" },
  { 5278, "CANADIAN SYLLABICS CWAA" },
  { 5279, "CANADIAN SYLLABICS WEST-CREE CWAA" },
  { 5280, "CANADIAN SYLLABICS NASKAPI CWAA" },
  { 5281, "CANADIAN SYLLABICS C" },
  { 5282, "CANADIAN SYLLABICS SAYISI TH" },
  { 5283, "CANADIAN SYLLABICS ME" },
  { 5284, "CANADIAN SYLLABICS MAAI" },
  { 5285, "CANADIAN SYLLABICS MI" },
  { 5286, "CANADIAN SYLLABICS MII" },
  { 5287, "CANADIAN SYLLABICS MO" },
  { 5288, "CANADIAN SYLLABICS MOO" },
  { 5289, "CANADIAN SYLLABICS Y-CREE MOO" },
  { 5290, "CANADIAN SYLLABICS MA" },
  { 5291, "CANADIAN SYLLABICS MAA" },
  { 5292, "CANADIAN SYLLABICS MWE" },
  { 5293, "CANADIAN SYLLABICS WEST-CREE MWE" },
  { 5294, "CANADIAN SYLLABICS MWI" },
  { 5295, "CANADIAN SYLLABICS WEST-CREE MWI" },
  { 5296, "CANADIAN SYLLABICS MWII" },
  { 5297, "CANADIAN SYLLABICS WEST-CREE MWII" },
  { 5298, "CANADIAN SYLLABICS MWO" },
  { 5299, "CANADIAN SYLLABICS WEST-CREE MWO" },
  { 5300, "CANADIAN SYLLABICS MWOO" },
  { 5301, "CANADIAN SYLLABICS WEST-CREE MWOO" },
  { 5302, "CANADIAN SYLLABICS MWA" },
  { 5303, "CANADIAN SYLLABICS WEST-CREE MWA" },
  { 5304, "CANADIAN SYLLABICS MWAA" },
  { 5305, "CANADIAN SYLLABICS WEST-CREE MWAA" },
  { 5306, "CANADIAN SYLLABICS NASKAPI MWAA" },
  { 5307, "CANADIAN SYLLABICS M" },
  { 5308, "CANADIAN SYLLABICS WEST-CREE M" },
  { 5309, "CANADIAN SYLLABICS MH" },
  { 5310, "CANADIAN SYLLABICS ATHAPASCAN M" },
  { 5311, "CANADIAN SYLLABICS SAYISI M" },
  { 5312, "CANADIAN SYLLABICS NE" },
  { 5313, "CANADIAN SYLLABICS NAAI" },
  { 5314, "CANADIAN SYLLABICS NI" },
  { 5315, "CANADIAN SYLLABICS NII" },
  { 5316, "CANADIAN SYLLABICS NO" },
  { 5317, "CANADIAN SYLLABICS NOO" },
  { 5318, "CANADIAN SYLLABICS Y-CREE NOO" },
  { 5319, "CANADIAN SYLLABICS NA" },
  { 5320, "CANADIAN SYLLABICS NAA" },
  { 5321, "CANADIAN SYLLABICS NWE" },
  { 5322, "CANADIAN SYLLABICS WEST-CREE NWE" },
  { 5323, "CANADIAN SYLLABICS NWA" },
  { 5324, "CANADIAN SYLLABICS WEST-CREE NWA" },
  { 5325, "CANADIAN SYLLABICS NWAA" },
  { 5326, "CANADIAN SYLLABICS WEST-CREE NWAA" },
  { 5327, "CANADIAN SYLLABICS NASKAPI NWAA" },
  { 5328, "CANADIAN SYLLABICS N" },
  { 5329, "CANADIAN SYLLABICS CARRIER NG" },
  { 5330, "CANADIAN SYLLABICS NH" },
  { 5331, "CANADIAN SYLLABICS LE" },
  { 5332, "CANADIAN SYLLABICS LAAI" },
  { 5333, "CANADIAN SYLLABICS LI" },
  { 5334, "CANADIAN SYLLABICS LII" },
  { 5335, "CANADIAN SYLLABICS LO" },
  { 5336, "CANADIAN SYLLABICS LOO" },
  { 5337, "CANADIAN SYLLABICS Y-CREE LOO" },
  { 5338, "CANADIAN SYLLABICS LA" },
  { 5339, "CANADIAN SYLLABICS LAA" },
  { 5340, "CANADIAN SYLLABICS LWE" },
  { 5341, "CANADIAN SYLLABICS WEST-CREE LWE" },
  { 5342, "CANADIAN SYLLABICS LWI" },
  { 5343, "CANADIAN SYLLABICS WEST-CREE LWI" },
  { 5344, "CANADIAN SYLLABICS LWII" },
  { 5345, "CANADIAN SYLLABICS WEST-CREE LWII" },
  { 5346, "CANADIAN SYLLABICS LWO" },
  { 5347, "CANADIAN SYLLABICS WEST-CREE LWO" },
  { 5348, "CANADIAN SYLLABICS LWOO" },
  { 5349, "CANADIAN SYLLABICS WEST-CREE LWOO" },
  { 5350, "CANADIAN SYLLABICS LWA" },
  { 5351, "CANADIAN SYLLABICS WEST-CREE LWA" },
  { 5352, "CANADIAN SYLLABICS LWAA" },
  { 5353, "CANADIAN SYLLABICS WEST-CREE LWAA" },
  { 5354, "CANADIAN SYLLABICS L" },
  { 5355, "CANADIAN SYLLABICS WEST-CREE L" },
  { 5356, "CANADIAN SYLLABICS MEDIAL L" },
  { 5357, "CANADIAN SYLLABICS SE" },
  { 5358, "CANADIAN SYLLABICS SAAI" },
  { 5359, "CANADIAN SYLLABICS SI" },
  { 5360, "CANADIAN SYLLABICS SII" },
  { 5361, "CANADIAN SYLLABICS SO" },
  { 5362, "CANADIAN SYLLABICS SOO" },
  { 5363, "CANADIAN SYLLABICS Y-CREE SOO" },
  { 5364, "CANADIAN SYLLABICS SA" },
  { 5365, "CANADIAN SYLLABICS SAA" },
  { 5366, "CANADIAN SYLLABICS SWE" },
  { 5367, "CANADIAN SYLLABICS WEST-CREE SWE" },
  { 5368, "CANADIAN SYLLABICS SWI" },
  { 5369, "CANADIAN SYLLABICS WEST-CREE SWI" },
  { 5370, "CANADIAN SYLLABICS SWII" },
  { 5371, "CANADIAN SYLLABICS WEST-CREE SWII" },
  { 5372, "CANADIAN SYLLABICS SWO" },
  { 5373, "CANADIAN SYLLABICS WEST-CREE SWO" },
  { 5374, "CANADIAN SYLLABICS SWOO" },
  { 5375, "CANADIAN SYLLABICS WEST-CREE SWOO" },
  { 5376, "CANADIAN SYLLABICS SWA" },
  { 5377, "CANADIAN SYLLABICS WEST-CREE SWA" },
  { 5378, "CANADIAN SYLLABICS SWAA" },
  { 5379, "CANADIAN SYLLABICS WEST-CREE SWAA" },
  { 5380, "CANADIAN SYLLABICS NASKAPI SWAA" },
  { 5381, "CANADIAN SYLLABICS S" },
  { 5382, "CANADIAN SYLLABICS ATHAPASCAN S" },
  { 5383, "CANADIAN SYLLABICS SW" },
  { 5384, "CANADIAN SYLLABICS BLACKFOOT S" },
  { 5385, "CANADIAN SYLLABICS MOOSE-CREE SK" },
  { 5386, "CANADIAN SYLLABICS NASKAPI SKW" },
  { 5387, "CANADIAN SYLLABICS NASKAPI S-W" },
  { 5388, "CANADIAN SYLLABICS NASKAPI SPWA" },
  { 5389, "CANADIAN SYLLABICS NASKAPI STWA" },
  { 5390, "CANADIAN SYLLABICS NASKAPI SKWA" },
  { 5391, "CANADIAN SYLLABICS NASKAPI SCWA" },
  { 5392, "CANADIAN SYLLABICS SHE" },
  { 5393, "CANADIAN SYLLABICS SHI" },
  { 5394, "CANADIAN SYLLABICS SHII" },
  { 5395, "CANADIAN SYLLABICS SHO" },
  { 5396, "CANADIAN SYLLABICS SHOO" },
  { 5397, "CANADIAN SYLLABICS SHA" },
  { 5398, "CANADIAN SYLLABICS SHAA" },
  { 5399, "CANADIAN SYLLABICS SHWE" },
  { 5400, "CANADIAN SYLLABICS WEST-CREE SHWE" },
  { 5401, "CANADIAN SYLLABICS SHWI" },
  { 5402, "CANADIAN SYLLABICS WEST-CREE SHWI" },
  { 5403, "CANADIAN SYLLABICS SHWII" },
  { 5404, "CANADIAN SYLLABICS WEST-CREE SHWII" },
  { 5405, "CANADIAN SYLLABICS SHWO" },
  { 5406, "CANADIAN SYLLABICS WEST-CREE SHWO" },
  { 5407, "CANADIAN SYLLABICS SHWOO" },
  { 5408, "CANADIAN SYLLABICS WEST-CREE SHWOO" },
  { 5409, "CANADIAN SYLLABICS SHWA" },
  { 5410, "CANADIAN SYLLABICS WEST-CREE SHWA" },
  { 5411, "CANADIAN SYLLABICS SHWAA" },
  { 5412, "CANADIAN SYLLABICS WEST-CREE SHWAA" },
  { 5413, "CANADIAN SYLLABICS SH" },
  { 5414, "CANADIAN SYLLABICS YE" },
  { 5415, "CANADIAN SYLLABICS YAAI" },
  { 5416, "CANADIAN SYLLABICS YI" },
  { 5417, "CANADIAN SYLLABICS YII" },
  { 5418, "CANADIAN SYLLABICS YO" },
  { 5419, "CANADIAN SYLLABICS YOO" },
  { 5420, "CANADIAN SYLLABICS Y-CREE YOO" },
  { 5421, "CANADIAN SYLLABICS YA" },
  { 5422, "CANADIAN SYLLABICS YAA" },
  { 5423, "CANADIAN SYLLABICS YWE" },
  { 5424, "CANADIAN SYLLABICS WEST-CREE YWE" },
  { 5425, "CANADIAN SYLLABICS YWI" },
  { 5426, "CANADIAN SYLLABICS WEST-CREE YWI" },
  { 5427, "CANADIAN SYLLABICS YWII" },
  { 5428, "CANADIAN SYLLABICS WEST-CREE YWII" },
  { 5429, "CANADIAN SYLLABICS YWO" },
  { 5430, "CANADIAN SYLLABICS WEST-CREE YWO" },
  { 5431, "CANADIAN SYLLABICS YWOO" },
  { 5432, "CANADIAN SYLLABICS WEST-CREE YWOO" },
  { 5433, "CANADIAN SYLLABICS YWA" },
  { 5434, "CANADIAN SYLLABICS WEST-CREE YWA" },
  { 5435, "CANADIAN SYLLABICS YWAA" },
  { 5436, "CANADIAN SYLLABICS WEST-CREE YWAA" },
  { 5437, "CANADIAN SYLLABICS NASKAPI YWAA" },
  { 5438, "CANADIAN SYLLABICS Y" },
  { 5439, "CANADIAN SYLLABICS BIBLE-CREE Y" },
  { 5440, "CANADIAN SYLLABICS WEST-CREE Y" },
  { 5441, "CANADIAN SYLLABICS SAYISI YI" },
  { 5442, "CANADIAN SYLLABICS RE" },
  { 5443, "CANADIAN SYLLABICS R-CREE RE" },
  { 5444, "CANADIAN SYLLABICS WEST-CREE LE" },
  { 5445, "CANADIAN SYLLABICS RAAI" },
  { 5446, "CANADIAN SYLLABICS RI" },
  { 5447, "CANADIAN SYLLABICS RII" },
  { 5448, "CANADIAN SYLLABICS RO" },
  { 5449, "CANADIAN SYLLABICS ROO" },
  { 5450, "CANADIAN SYLLABICS WEST-CREE LO" },
  { 5451, "CANADIAN SYLLABICS RA" },
  { 5452, "CANADIAN SYLLABICS RAA" },
  { 5453, "CANADIAN SYLLABICS WEST-CREE LA" },
  { 5454, "CANADIAN SYLLABICS RWAA" },
  { 5455, "CANADIAN SYLLABICS WEST-CREE RWAA" },
  { 5456, "CANADIAN SYLLABICS R" },
  { 5457, "CANADIAN SYLLABICS WEST-CREE R" },
  { 5458, "CANADIAN SYLLABICS MEDIAL R" },
  { 5459, "CANADIAN SYLLABICS FE" },
  { 5460, "CANADIAN SYLLABICS FAAI" },
  { 5461, "CANADIAN SYLLABICS FI" },
  { 5462, "CANADIAN SYLLABICS FII" },
  { 5463, "CANADIAN SYLLABICS FO" },
  { 5464, "CANADIAN SYLLABICS FOO" },
  { 5465, "CANADIAN SYLLABICS FA" },
  { 5466, "CANADIAN SYLLABICS FAA" },
  { 5467, "CANADIAN SYLLABICS FWAA" },
  { 5468, "CANADIAN SYLLABICS WEST-CREE FWAA" },
  { 5469, "CANADIAN SYLLABICS F" },
  { 5470, "CANADIAN SYLLABICS THE" },
  { 5471, "CANADIAN SYLLABICS N-CREE THE" },
  { 5472, "CANADIAN SYLLABICS THI" },
  { 5473, "CANADIAN SYLLABICS N-CREE THI" },
  { 5474, "CANADIAN SYLLABICS THII" },
  { 5475, "CANADIAN SYLLABICS N-CREE THII" },
  { 5476, "CANADIAN SYLLABICS THO" },
  { 5477, "CANADIAN SYLLABICS THOO" },
  { 5478, "CANADIAN SYLLABICS THA" },
  { 5479, "CANADIAN SYLLABICS THAA" },
  { 5480, "CANADIAN SYLLABICS THWAA" },
  { 5481, "CANADIAN SYLLABICS WEST-CREE THWAA" },
  { 5482, "CANADIAN SYLLABICS TH" },
  { 5483, "CANADIAN SYLLABICS TTHE" },
  { 5484, "CANADIAN SYLLABICS TTHI" },
  { 5485, "CANADIAN SYLLABICS TTHO" },
  { 5486, "CANADIAN SYLLABICS TTHA" },
  { 5487, "CANADIAN SYLLABICS TTH" },
  { 5488, "CANADIAN SYLLABICS TYE" },
  { 5489, "CANADIAN SYLLABICS TYI" },
  { 5490, "CANADIAN SYLLABICS TYO" },
  { 5491, "CANADIAN SYLLABICS TYA" },
  { 5492, "CANADIAN SYLLABICS NUNAVIK HE" },
  { 5493, "CANADIAN SYLLABICS NUNAVIK HI" },
  { 5494, "CANADIAN SYLLABICS NUNAVIK HII" },
  { 5495, "CANADIAN SYLLABICS NUNAVIK HO" },
  { 5496, "CANADIAN SYLLABICS NUNAVIK HOO" },
  { 5497, "CANADIAN SYLLABICS NUNAVIK HA" },
  { 5498, "CANADIAN SYLLABICS NUNAVIK HAA" },
  { 5499, "CANADIAN SYLLABICS NUNAVIK H" },
  { 5500, "CANADIAN SYLLABICS NUNAVUT H" },
  { 5501, "CANADIAN SYLLABICS HK" },
  { 5502, "CANADIAN SYLLABICS QAAI" },
  { 5503, "CANADIAN SYLLABICS QI" },
  { 5504, "CANADIAN SYLLABICS QII" },
  { 5505, "CANADIAN SYLLABICS QO" },
  { 5506, "CANADIAN SYLLABICS QOO" },
  { 5507, "CANADIAN SYLLABICS QA" },
  { 5508, "CANADIAN SYLLABICS QAA" },
  { 5509, "CANADIAN SYLLABICS Q" },
  { 5510, "CANADIAN SYLLABICS TLHE" },
  { 5511, "CANADIAN SYLLABICS TLHI" },
  { 5512, "CANADIAN SYLLABICS TLHO" },
  { 5513, "CANADIAN SYLLABICS TLHA" },
  { 5514, "CANADIAN SYLLABICS WEST-CREE RE" },
  { 5515, "CANADIAN SYLLABICS WEST-CREE RI" },
  { 5516, "CANADIAN SYLLABICS WEST-CREE RO" },
  { 5517, "CANADIAN SYLLABICS WEST-CREE RA" },
  { 5518, "CANADIAN SYLLABICS NGAAI" },
  { 5519, "CANADIAN SYLLABICS NGI" },
  { 5520, "CANADIAN SYLLABICS NGII" },
  { 5521, "CANADIAN SYLLABICS NGO" },
  { 5522, "CANADIAN SYLLABICS NGOO" },
  { 5523, "CANADIAN SYLLABICS NGA" },
  { 5524, "CANADIAN SYLLABICS NGAA" },
  { 5525, "CANADIAN SYLLABICS NG" },
  { 5526, "CANADIAN SYLLABICS NNG" },
  { 5527, "CANADIAN SYLLABICS SAYISI SHE" },
  { 5528, "CANADIAN SYLLABICS SAYISI SHI" },
  { 5529, "CANADIAN SYLLABICS SAYISI SHO" },
  { 5530, "CANADIAN SYLLABICS SAYISI SHA" },
  { 5531, "CANADIAN SYLLABICS WOODS-CREE THE" },
  { 5532, "CANADIAN SYLLABICS WOODS-CREE THI" },
  { 5533, "CANADIAN SYLLABICS WOODS-CREE THO" },
  { 5534, "CANADIAN SYLLABICS WOODS-CREE THA" },
  { 5535, "CANADIAN SYLLABICS WOODS-CREE TH" },
  { 5536, "CANADIAN SYLLABICS LHI" },
  { 5537, "CANADIAN SYLLABICS LHII" },
  { 5538, "CANADIAN SYLLABICS LHO" },
  { 5539, "CANADIAN SYLLABICS LHOO" },
  { 5540, "CANADIAN SYLLABICS LHA" },
  { 5541, "CANADIAN SYLLABICS LHAA" },
  { 5542, "CANADIAN SYLLABICS LH" },
  { 5543, "CANADIAN SYLLABICS TH-CREE THE" },
  { 5544, "CANADIAN SYLLABICS TH-CREE THI" },
  { 5545, "CANADIAN SYLLABICS TH-CREE THII" },
  { 5546, "CANADIAN SYLLABICS TH-CREE THO" },
  { 5547, "CANADIAN SYLLABICS TH-CREE THOO" },
  { 5548, "CANADIAN SYLLABICS TH-CREE THA" },
  { 5549, "CANADIAN SYLLABICS TH-CREE THAA" },
  { 5550, "CANADIAN SYLLABICS TH-CREE TH" },
  { 5551, "CANADIAN SYLLABICS AIVILIK B" },
  { 5552, "CANADIAN SYLLABICS BLACKFOOT E" },
  { 5553, "CANADIAN SYLLABICS BLACKFOOT I" },
  { 5554, "CANADIAN SYLLABICS BLACKFOOT O" },
  { 5555, "CANADIAN SYLLABICS BLACKFOOT A" },
  { 5556, "CANADIAN SYLLABICS BLACKFOOT WE" },
  { 5557, "CANADIAN SYLLABICS BLACKFOOT WI" },
  { 5558, "CANADIAN SYLLABICS BLACKFOOT WO" },
  { 5559, "CANADIAN SYLLABICS BLACKFOOT WA" },
  { 5560, "CANADIAN SYLLABICS BLACKFOOT NE" },
  { 5561, "CANADIAN SYLLABICS BLACKFOOT NI" },
  { 5562, "CANADIAN SYLLABICS BLACKFOOT NO" },
  { 5563, "CANADIAN SYLLABICS BLACKFOOT NA" },
  { 5564, "CANADIAN SYLLABICS BLACKFOOT KE" },
  { 5565, "CANADIAN SYLLABICS BLACKFOOT KI" },
  { 5566, "CANADIAN SYLLABICS BLACKFOOT KO" },
  { 5567, "CANADIAN SYLLABICS BLACKFOOT KA" },
  { 5568, "CANADIAN SYLLABICS SAYISI HE" },
  { 5569, "CANADIAN SYLLABICS SAYISI HI" },
  { 5570, "CANADIAN SYLLABICS SAYISI HO" },
  { 5571, "CANADIAN SYLLABICS SAYISI HA" },
  { 5572, "CANADIAN SYLLABICS CARRIER GHU" },
  { 5573, "CANADIAN SYLLABICS CARRIER GHO" },
  { 5574, "CANADIAN SYLLABICS CARRIER GHE" },
  { 5575, "CANADIAN SYLLABICS CARRIER GHEE" },
  { 5576, "CANADIAN SYLLABICS CARRIER GHI" },
  { 5577, "CANADIAN SYLLABICS CARRIER GHA" },
  { 5578, "CANADIAN SYLLABICS CARRIER RU" },
  { 5579, "CANADIAN SYLLABICS CARRIER RO" },
  { 5580, "CANADIAN SYLLABICS CARRIER RE" },
  { 5581, "CANADIAN SYLLABICS CARRIER REE" },
  { 5582, "CANADIAN SYLLABICS CARRIER RI" },
  { 5583, "CANADIAN SYLLABICS CARRIER RA" },
  { 5584, "CANADIAN SYLLABICS CARRIER WU" },
  { 5585, "CANADIAN SYLLABICS CARRIER WO" },
  { 5586, "CANADIAN SYLLABICS CARRIER WE" },
  { 5587, "CANADIAN SYLLABICS CARRIER WEE" },
  { 5588, "CANADIAN SYLLABICS CARRIER WI" },
  { 5589, "CANADIAN SYLLABICS CARRIER WA" },
  { 5590, "CANADIAN SYLLABICS CARRIER HWU" },
  { 5591, "CANADIAN SYLLABICS CARRIER HWO" },
  { 5592, "CANADIAN SYLLABICS CARRIER HWE" },
  { 5593, "CANADIAN SYLLABICS CARRIER HWEE" },
  { 5594, "CANADIAN SYLLABICS CARRIER HWI" },
  { 5595, "CANADIAN SYLLABICS CARRIER HWA" },
  { 5596, "CANADIAN SYLLABICS CARRIER THU" },
  { 5597, "CANADIAN SYLLABICS CARRIER THO" },
  { 5598, "CANADIAN SYLLABICS CARRIER THE" },
  { 5599, "CANADIAN SYLLABICS CARRIER THEE" },
  { 5600, "CANADIAN SYLLABICS CARRIER THI" },
  { 5601, "CANADIAN SYLLABICS CARRIER THA" },
  { 5602, "CANADIAN SYLLABICS CARRIER TTU" },
  { 5603, "CANADIAN SYLLABICS CARRIER TTO" },
  { 5604, "CANADIAN SYLLABICS CARRIER TTE" },
  { 5605, "CANADIAN SYLLABICS CARRIER TTEE" },
  { 5606, "CANADIAN SYLLABICS CARRIER TTI" },
  { 5607, "CANADIAN SYLLABICS CARRIER TTA" },
  { 5608, "CANADIAN SYLLABICS CARRIER PU" },
  { 5609, "CANADIAN SYLLABICS CARRIER PO" },
  { 5610, "CANADIAN SYLLABICS CARRIER PE" },
  { 5611, "CANADIAN SYLLABICS CARRIER PEE" },
  { 5612, "CANADIAN SYLLABICS CARRIER PI" },
  { 5613, "CANADIAN SYLLABICS CARRIER PA" },
  { 5614, "CANADIAN SYLLABICS CARRIER P" },
  { 5615, "CANADIAN SYLLABICS CARRIER GU" },
  { 5616, "CANADIAN SYLLABICS CARRIER GO" },
  { 5617, "CANADIAN SYLLABICS CARRIER GE" },
  { 5618, "CANADIAN SYLLABICS CARRIER GEE" },
  { 5619, "CANADIAN SYLLABICS CARRIER GI" },
  { 5620, "CANADIAN SYLLABICS CARRIER GA" },
  { 5621, "CANADIAN SYLLABICS CARRIER KHU" },
  { 5622, "CANADIAN SYLLABICS CARRIER KHO" },
  { 5623, "CANADIAN SYLLABICS CARRIER KHE" },
  { 5624, "CANADIAN SYLLABICS CARRIER KHEE" },
  { 5625, "CANADIAN SYLLABICS CARRIER KHI" },
  { 5626, "CANADIAN SYLLABICS CARRIER KHA" },
  { 5627, "CANADIAN SYLLABICS CARRIER KKU" },
  { 5628, "CANADIAN SYLLABICS CARRIER KKO" },
  { 5629, "CANADIAN SYLLABICS CARRIER KKE" },
  { 5630, "CANADIAN SYLLABICS CARRIER KKEE" },
  { 5631, "CANADIAN SYLLABICS CARRIER KKI" },
  { 5632, "CANADIAN SYLLABICS CARRIER KKA" },
  { 5633, "CANADIAN SYLLABICS CARRIER KK" },
  { 5634, "CANADIAN SYLLABICS CARRIER NU" },
  { 5635, "CANADIAN SYLLABICS CARRIER NO" },
  { 5636, "CANADIAN SYLLABICS CARRIER NE" },
  { 5637, "CANADIAN SYLLABICS CARRIER NEE" },
  { 5638, "CANADIAN SYLLABICS CARRIER NI" },
  { 5639, "CANADIAN SYLLABICS CARRIER NA" },
  { 5640, "CANADIAN SYLLABICS CARRIER MU" },
  { 5641, "CANADIAN SYLLABICS CARRIER MO" },
  { 5642, "CANADIAN SYLLABICS CARRIER ME" },
  { 5643, "CANADIAN SYLLABICS CARRIER MEE" },
  { 5644, "CANADIAN SYLLABICS CARRIER MI" },
  { 5645, "CANADIAN SYLLABICS CARRIER MA" },
  { 5646, "CANADIAN SYLLABICS CARRIER YU" },
  { 5647, "CANADIAN SYLLABICS CARRIER YO" },
  { 5648, "CANADIAN SYLLABICS CARRIER YE" },
  { 5649, "CANADIAN SYLLABICS CARRIER YEE" },
  { 5650, "CANADIAN SYLLABICS CARRIER YI" },
  { 5651, "CANADIAN SYLLABICS CARRIER YA" },
  { 5652, "CANADIAN SYLLABICS CARRIER JU" },
  { 5653, "CANADIAN SYLLABICS SAYISI JU" },
  { 5654, "CANADIAN SYLLABICS CARRIER JO" },
  { 5655, "CANADIAN SYLLABICS CARRIER JE" },
  { 5656, "CANADIAN SYLLABICS CARRIER JEE" },
  { 5657, "CANADIAN SYLLABICS CARRIER JI" },
  { 5658, "CANADIAN SYLLABICS SAYISI JI" },
  { 5659, "CANADIAN SYLLABICS CARRIER JA" },
  { 5660, "CANADIAN SYLLABICS CARRIER JJU" },
  { 5661, "CANADIAN SYLLABICS CARRIER JJO" },
  { 5662, "CANADIAN SYLLABICS CARRIER JJE" },
  { 5663, "CANADIAN SYLLABICS CARRIER JJEE" },
  { 5664, "CANADIAN SYLLABICS CARRIER JJI" },
  { 5665, "CANADIAN SYLLABICS CARRIER JJA" },
  { 5666, "CANADIAN SYLLABICS CARRIER LU" },
  { 5667, "CANADIAN SYLLABICS CARRIER LO" },
  { 5668, "CANADIAN SYLLABICS CARRIER LE" },
  { 5669, "CANADIAN SYLLABICS CARRIER LEE" },
  { 5670, "CANADIAN SYLLABICS CARRIER LI" },
  { 5671, "CANADIAN SYLLABICS CARRIER LA" },
  { 5672, "CANADIAN SYLLABICS CARRIER DLU" },
  { 5673, "CANADIAN SYLLABICS CARRIER DLO" },
  { 5674, "CANADIAN SYLLABICS CARRIER DLE" },
  { 5675, "CANADIAN SYLLABICS CARRIER DLEE" },
  { 5676, "CANADIAN SYLLABICS CARRIER DLI" },
  { 5677, "CANADIAN SYLLABICS CARRIER DLA" },
  { 5678, "CANADIAN SYLLABICS CARRIER LHU" },
  { 5679, "CANADIAN SYLLABICS CARRIER LHO" },
  { 5680, "CANADIAN SYLLABICS CARRIER LHE" },
  { 5681, "CANADIAN SYLLABICS CARRIER LHEE" },
  { 5682, "CANADIAN SYLLABICS CARRIER LHI" },
  { 5683, "CANADIAN SYLLABICS CARRIER LHA" },
  { 5684, "CANADIAN SYLLABICS CARRIER TLHU" },
  { 5685, "CANADIAN SYLLABICS CARRIER TLHO" },
  { 5686, "CANADIAN SYLLABICS CARRIER TLHE" },
  { 5687, "CANADIAN SYLLABICS CARRIER TLHEE" },
  { 5688, "CANADIAN SYLLABICS CARRIER TLHI" },
  { 5689, "CANADIAN SYLLABICS CARRIER TLHA" },
  { 5690, "CANADIAN SYLLABICS CARRIER TLU" },
  { 5691, "CANADIAN SYLLABICS CARRIER TLO" },
  { 5692, "CANADIAN SYLLABICS CARRIER TLE" },
  { 5693, "CANADIAN SYLLABICS CARRIER TLEE" },
  { 5694, "CANADIAN SYLLABICS CARRIER TLI" },
  { 5695, "CANADIAN SYLLABICS CARRIER TLA" },
  { 5696, "CANADIAN SYLLABICS CARRIER ZU" },
  { 5697, "CANADIAN SYLLABICS CARRIER ZO" },
  { 5698, "CANADIAN SYLLABICS CARRIER ZE" },
  { 5699, "CANADIAN SYLLABICS CARRIER ZEE" },
  { 5700, "CANADIAN SYLLABICS CARRIER ZI" },
  { 5701, "CANADIAN SYLLABICS CARRIER ZA" },
  { 5702, "CANADIAN SYLLABICS CARRIER Z" },
  { 5703, "CANADIAN SYLLABICS CARRIER INITIAL Z" },
  { 5704, "CANADIAN SYLLABICS CARRIER DZU" },
  { 5705, "CANADIAN SYLLABICS CARRIER DZO" },
  { 5706, "CANADIAN SYLLABICS CARRIER DZE" },
  { 5707, "CANADIAN SYLLABICS CARRIER DZEE" },
  { 5708, "CANADIAN SYLLABICS CARRIER DZI" },
  { 5709, "CANADIAN SYLLABICS CARRIER DZA" },
  { 5710, "CANADIAN SYLLABICS CARRIER SU" },
  { 5711, "CANADIAN SYLLABICS CARRIER SO" },
  { 5712, "CANADIAN SYLLABICS CARRIER SE" },
  { 5713, "CANADIAN SYLLABICS CARRIER SEE" },
  { 5714, "CANADIAN SYLLABICS CARRIER SI" },
  { 5715, "CANADIAN SYLLABICS CARRIER SA" },
  { 5716, "CANADIAN SYLLABICS CARRIER SHU" },
  { 5717, "CANADIAN SYLLABICS CARRIER SHO" },
  { 5718, "CANADIAN SYLLABICS CARRIER SHE" },
  { 5719, "CANADIAN SYLLABICS CARRIER SHEE" },
  { 5720, "CANADIAN SYLLABICS CARRIER SHI" },
  { 5721, "CANADIAN SYLLABICS CARRIER SHA" },
  { 5722, "CANADIAN SYLLABICS CARRIER SH" },
  { 5723, "CANADIAN SYLLABICS CARRIER TSU" },
  { 5724, "CANADIAN SYLLABICS CARRIER TSO" },
  { 5725, "CANADIAN SYLLABICS CARRIER TSE" },
  { 5726, "CANADIAN SYLLABICS CARRIER TSEE" },
  { 5727, "CANADIAN SYLLABICS CARRIER TSI" },
  { 5728, "CANADIAN SYLLABICS CARRIER TSA" },
  { 5729, "CANADIAN SYLLABICS CARRIER CHU" },
  { 5730, "CANADIAN SYLLABICS CARRIER CHO" },
  { 5731, "CANADIAN SYLLABICS CARRIER CHE" },
  { 5732, "CANADIAN SYLLABICS CARRIER CHEE" },
  { 5733, "CANADIAN SYLLABICS CARRIER CHI" },
  { 5734, "CANADIAN SYLLABICS CARRIER CHA" },
  { 5735, "CANADIAN SYLLABICS CARRIER TTSU" },
  { 5736, "CANADIAN SYLLABICS CARRIER TTSO" },
  { 5737, "CANADIAN SYLLABICS CARRIER TTSE" },
  { 5738, "CANADIAN SYLLABICS CARRIER TTSEE" },
  { 5739, "CANADIAN SYLLABICS CARRIER TTSI" },
  { 5740, "CANADIAN SYLLABICS CARRIER TTSA" },
  { 5741, "CANADIAN SYLLABICS CHI SIGN" },
  { 5742, "CANADIAN SYLLABICS FULL STOP" },
  { 5743, "CANADIAN SYLLABICS QAI" },
  { 5744, "CANADIAN SYLLABICS NGAI" },
  { 5745, "CANADIAN SYLLABICS NNGI" },
  { 5746, "CANADIAN SYLLABICS NNGII" },
  { 5747, "CANADIAN SYLLABICS NNGO" },
  { 5748, "CANADIAN SYLLABICS NNGOO" },
  { 5749, "CANADIAN SYLLABICS NNGA" },
  { 5750, "CANADIAN SYLLABICS NNGAA" },
  { 5760, "OGHAM SPACE MARK" },
  { 5761, "OGHAM LETTER BEITH" },
  { 5762, "OGHAM LETTER LUIS" },
  { 5763, "OGHAM LETTER FEARN" },
  { 5764, "OGHAM LETTER SAIL" },
  { 5765, "OGHAM LETTER NION" },
  { 5766, "OGHAM LETTER UATH" },
  { 5767, "OGHAM LETTER DAIR" },
  { 5768, "OGHAM LETTER TINNE" },
  { 5769, "OGHAM LETTER COLL" },
  { 5770, "OGHAM LETTER CEIRT" },
  { 5771, "OGHAM LETTER MUIN" },
  { 5772, "OGHAM LETTER GORT" },
  { 5773, "OGHAM LETTER NGEADAL" },
  { 5774, "OGHAM LETTER STRAIF" },
  { 5775, "OGHAM LETTER RUIS" },
  { 5776, "OGHAM LETTER AILM" },
  { 5777, "OGHAM LETTER ONN" },
  { 5778, "OGHAM LETTER UR" },
  { 5779, "OGHAM LETTER EADHADH" },
  { 5780, "OGHAM LETTER IODHADH" },
  { 5781, "OGHAM LETTER EABHADH" },
  { 5782, "OGHAM LETTER OR" },
  { 5783, "OGHAM LETTER UILLEANN" },
  { 5784, "OGHAM LETTER IFIN" },
  { 5785, "OGHAM LETTER EAMHANCHOLL" },
  { 5786, "OGHAM LETTER PEITH" },
  { 5787, "OGHAM FEATHER MARK" },
  { 5788, "OGHAM REVERSED FEATHER MARK" },
  { 5792, "RUNIC LETTER FEHU FEOH FE F" },
  { 5793, "RUNIC LETTER V" },
  { 5794, "RUNIC LETTER URUZ UR U" },
  { 5795, "RUNIC LETTER YR" },
  { 5796, "RUNIC LETTER Y" },
  { 5797, "RUNIC LETTER W" },
  { 5798, "RUNIC LETTER THURISAZ THURS THORN" },
  { 5799, "RUNIC LETTER ETH" },
  { 5800, "RUNIC LETTER ANSUZ A" },
  { 5801, "RUNIC LETTER OS O" },
  { 5802, "RUNIC LETTER AC A" },
  { 5803, "RUNIC LETTER AESC" },
  { 5804, "RUNIC LETTER LONG-BRANCH-OSS O" },
  { 5805, "RUNIC LETTER SHORT-TWIG-OSS O" },
  { 5806, "RUNIC LETTER O" },
  { 5807, "RUNIC LETTER OE" },
  { 5808, "RUNIC LETTER ON" },
  { 5809, "RUNIC LETTER RAIDO RAD REID R" },
  { 5810, "RUNIC LETTER KAUNA" },
  { 5811, "RUNIC LETTER CEN" },
  { 5812, "RUNIC LETTER KAUN K" },
  { 5813, "RUNIC LETTER G" },
  { 5814, "RUNIC LETTER ENG" },
  { 5815, "RUNIC LETTER GEBO GYFU G" },
  { 5816, "RUNIC LETTER GAR" },
  { 5817, "RUNIC LETTER WUNJO WYNN W" },
  { 5818, "RUNIC LETTER HAGLAZ H" },
  { 5819, "RUNIC LETTER HAEGL H" },
  { 5820, "RUNIC LETTER LONG-BRANCH-HAGALL H" },
  { 5821, "RUNIC LETTER SHORT-TWIG-HAGALL H" },
  { 5822, "RUNIC LETTER NAUDIZ NYD NAUD N" },
  { 5823, "RUNIC LETTER SHORT-TWIG-NAUD N" },
  { 5824, "RUNIC LETTER DOTTED-N" },
  { 5825, "RUNIC LETTER ISAZ IS ISS I" },
  { 5826, "RUNIC LETTER E" },
  { 5827, "RUNIC LETTER JERAN J" },
  { 5828, "RUNIC LETTER GER" },
  { 5829, "RUNIC LETTER LONG-BRANCH-AR AE" },
  { 5830, "RUNIC LETTER SHORT-TWIG-AR A" },
  { 5831, "RUNIC LETTER IWAZ EOH" },
  { 5832, "RUNIC LETTER PERTHO PEORTH P" },
  { 5833, "RUNIC LETTER ALGIZ EOLHX" },
  { 5834, "RUNIC LETTER SOWILO S" },
  { 5835, "RUNIC LETTER SIGEL LONG-BRANCH-SOL S" },
  { 5836, "RUNIC LETTER SHORT-TWIG-SOL S" },
  { 5837, "RUNIC LETTER C" },
  { 5838, "RUNIC LETTER Z" },
  { 5839, "RUNIC LETTER TIWAZ TIR TYR T" },
  { 5840, "RUNIC LETTER SHORT-TWIG-TYR T" },
  { 5841, "RUNIC LETTER D" },
  { 5842, "RUNIC LETTER BERKANAN BEORC BJARKAN B" },
  { 5843, "RUNIC LETTER SHORT-TWIG-BJARKAN B" },
  { 5844, "RUNIC LETTER DOTTED-P" },
  { 5845, "RUNIC LETTER OPEN-P" },
  { 5846, "RUNIC LETTER EHWAZ EH E" },
  { 5847, "RUNIC LETTER MANNAZ MAN M" },
  { 5848, "RUNIC LETTER LONG-BRANCH-MADR M" },
  { 5849, "RUNIC LETTER SHORT-TWIG-MADR M" },
  { 5850, "RUNIC LETTER LAUKAZ LAGU LOGR L" },
  { 5851, "RUNIC LETTER DOTTED-L" },
  { 5852, "RUNIC LETTER INGWAZ" },
  { 5853, "RUNIC LETTER ING" },
  { 5854, "RUNIC LETTER DAGAZ DAEG D" },
  { 5855, "RUNIC LETTER OTHALAN ETHEL O" },
  { 5856, "RUNIC LETTER EAR" },
  { 5857, "RUNIC LETTER IOR" },
  { 5858, "RUNIC LETTER CWEORTH" },
  { 5859, "RUNIC LETTER CALC" },
  { 5860, "RUNIC LETTER CEALC" },
  { 5861, "RUNIC LETTER STAN" },
  { 5862, "RUNIC LETTER LONG-BRANCH-YR" },
  { 5863, "RUNIC LETTER SHORT-TWIG-YR" },
  { 5864, "RUNIC LETTER ICELANDIC-YR" },
  { 5865, "RUNIC LETTER Q" },
  { 5866, "RUNIC LETTER X" },
  { 5867, "RUNIC SINGLE PUNCTUATION" },
  { 5868, "RUNIC MULTIPLE PUNCTUATION" },
  { 5869, "RUNIC CROSS PUNCTUATION" },
  { 5870, "RUNIC ARLAUG SYMBOL" },
  { 5871, "RUNIC TVIMADUR SYMBOL" },
  { 5872, "RUNIC BELGTHOR SYMBOL" },
  { 5888, "TAGALOG LETTER A" },
  { 5889, "TAGALOG LETTER I" },
  { 5890, "TAGALOG LETTER U" },
  { 5891, "TAGALOG LETTER KA" },
  { 5892, "TAGALOG LETTER GA" },
  { 5893, "TAGALOG LETTER NGA" },
  { 5894, "TAGALOG LETTER TA" },
  { 5895, "TAGALOG LETTER DA" },
  { 5896, "TAGALOG LETTER NA" },
  { 5897, "TAGALOG LETTER PA" },
  { 5898, "TAGALOG LETTER BA" },
  { 5899, "TAGALOG LETTER MA" },
  { 5900, "TAGALOG LETTER YA" },
  { 5902, "TAGALOG LETTER LA" },
  { 5903, "TAGALOG LETTER WA" },
  { 5904, "TAGALOG LETTER SA" },
  { 5905, "TAGALOG LETTER HA" },
  { 5906, "TAGALOG VOWEL SIGN I" },
  { 5907, "TAGALOG VOWEL SIGN U" },
  { 5908, "TAGALOG SIGN VIRAMA" },
  { 5920, "HANUNOO LETTER A" },
  { 5921, "HANUNOO LETTER I" },
  { 5922, "HANUNOO LETTER U" },
  { 5923, "HANUNOO LETTER KA" },
  { 5924, "HANUNOO LETTER GA" },
  { 5925, "HANUNOO LETTER NGA" },
  { 5926, "HANUNOO LETTER TA" },
  { 5927, "HANUNOO LETTER DA" },
  { 5928, "HANUNOO LETTER NA" },
  { 5929, "HANUNOO LETTER PA" },
  { 5930, "HANUNOO LETTER BA" },
  { 5931, "HANUNOO LETTER MA" },
  { 5932, "HANUNOO LETTER YA" },
  { 5933, "HANUNOO LETTER RA" },
  { 5934, "HANUNOO LETTER LA" },
  { 5935, "HANUNOO LETTER WA" },
  { 5936, "HANUNOO LETTER SA" },
  { 5937, "HANUNOO LETTER HA" },
  { 5938, "HANUNOO VOWEL SIGN I" },
  { 5939, "HANUNOO VOWEL SIGN U" },
  { 5940, "HANUNOO SIGN PAMUDPOD" },
  { 5941, "PHILIPPINE SINGLE PUNCTUATION" },
  { 5942, "PHILIPPINE DOUBLE PUNCTUATION" },
  { 5952, "BUHID LETTER A" },
  { 5953, "BUHID LETTER I" },
  { 5954, "BUHID LETTER U" },
  { 5955, "BUHID LETTER KA" },
  { 5956, "BUHID LETTER GA" },
  { 5957, "BUHID LETTER NGA" },
  { 5958, "BUHID LETTER TA" },
  { 5959, "BUHID LETTER DA" },
  { 5960, "BUHID LETTER NA" },
  { 5961, "BUHID LETTER PA" },
  { 5962, "BUHID LETTER BA" },
  { 5963, "BUHID LETTER MA" },
  { 5964, "BUHID LETTER YA" },
  { 5965, "BUHID LETTER RA" },
  { 5966, "BUHID LETTER LA" },
  { 5967, "BUHID LETTER WA" },
  { 5968, "BUHID LETTER SA" },
  { 5969, "BUHID LETTER HA" },
  { 5970, "BUHID VOWEL SIGN I" },
  { 5971, "BUHID VOWEL SIGN U" },
  { 5984, "TAGBANWA LETTER A" },
  { 5985, "TAGBANWA LETTER I" },
  { 5986, "TAGBANWA LETTER U" },
  { 5987, "TAGBANWA LETTER KA" },
  { 5988, "TAGBANWA LETTER GA" },
  { 5989, "TAGBANWA LETTER NGA" },
  { 5990, "TAGBANWA LETTER TA" },
  { 5991, "TAGBANWA LETTER DA" },
  { 5992, "TAGBANWA LETTER NA" },
  { 5993, "TAGBANWA LETTER PA" },
  { 5994, "TAGBANWA LETTER BA" },
  { 5995, "TAGBANWA LETTER MA" },
  { 5996, "TAGBANWA LETTER YA" },
  { 5998, "TAGBANWA LETTER LA" },
  { 5999, "TAGBANWA LETTER WA" },
  { 6000, "TAGBANWA LETTER SA" },
  { 6002, "TAGBANWA VOWEL SIGN I" },
  { 6003, "TAGBANWA VOWEL SIGN U" },
  { 6016, "KHMER LETTER KA" },
  { 6017, "KHMER LETTER KHA" },
  { 6018, "KHMER LETTER KO" },
  { 6019, "KHMER LETTER KHO" },
  { 6020, "KHMER LETTER NGO" },
  { 6021, "KHMER LETTER CA" },
  { 6022, "KHMER LETTER CHA" },
  { 6023, "KHMER LETTER CO" },
  { 6024, "KHMER LETTER CHO" },
  { 6025, "KHMER LETTER NYO" },
  { 6026, "KHMER LETTER DA" },
  { 6027, "KHMER LETTER TTHA" },
  { 6028, "KHMER LETTER DO" },
  { 6029, "KHMER LETTER TTHO" },
  { 6030, "KHMER LETTER NNO" },
  { 6031, "KHMER LETTER TA" },
  { 6032, "KHMER LETTER THA" },
  { 6033, "KHMER LETTER TO" },
  { 6034, "KHMER LETTER THO" },
  { 6035, "KHMER LETTER NO" },
  { 6036, "KHMER LETTER BA" },
  { 6037, "KHMER LETTER PHA" },
  { 6038, "KHMER LETTER PO" },
  { 6039, "KHMER LETTER PHO" },
  { 6040, "KHMER LETTER MO" },
  { 6041, "KHMER LETTER YO" },
  { 6042, "KHMER LETTER RO" },
  { 6043, "KHMER LETTER LO" },
  { 6044, "KHMER LETTER VO" },
  { 6045, "KHMER LETTER SHA" },
  { 6046, "KHMER LETTER SSO" },
  { 6047, "KHMER LETTER SA" },
  { 6048, "KHMER LETTER HA" },
  { 6049, "KHMER LETTER LA" },
  { 6050, "KHMER LETTER QA" },
  { 6051, "KHMER INDEPENDENT VOWEL QAQ" },
  { 6052, "KHMER INDEPENDENT VOWEL QAA" },
  { 6053, "KHMER INDEPENDENT VOWEL QI" },
  { 6054, "KHMER INDEPENDENT VOWEL QII" },
  { 6055, "KHMER INDEPENDENT VOWEL QU" },
  { 6056, "KHMER INDEPENDENT VOWEL QUK" },
  { 6057, "KHMER INDEPENDENT VOWEL QUU" },
  { 6058, "KHMER INDEPENDENT VOWEL QUUV" },
  { 6059, "KHMER INDEPENDENT VOWEL RY" },
  { 6060, "KHMER INDEPENDENT VOWEL RYY" },
  { 6061, "KHMER INDEPENDENT VOWEL LY" },
  { 6062, "KHMER INDEPENDENT VOWEL LYY" },
  { 6063, "KHMER INDEPENDENT VOWEL QE" },
  { 6064, "KHMER INDEPENDENT VOWEL QAI" },
  { 6065, "KHMER INDEPENDENT VOWEL QOO TYPE ONE" },
  { 6066, "KHMER INDEPENDENT VOWEL QOO TYPE TWO" },
  { 6067, "KHMER INDEPENDENT VOWEL QAU" },
  { 6068, "KHMER VOWEL INHERENT AQ" },
  { 6069, "KHMER VOWEL INHERENT AA" },
  { 6070, "KHMER VOWEL SIGN AA" },
  { 6071, "KHMER VOWEL SIGN I" },
  { 6072, "KHMER VOWEL SIGN II" },
  { 6073, "KHMER VOWEL SIGN Y" },
  { 6074, "KHMER VOWEL SIGN YY" },
  { 6075, "KHMER VOWEL SIGN U" },
  { 6076, "KHMER VOWEL SIGN UU" },
  { 6077, "KHMER VOWEL SIGN UA" },
  { 6078, "KHMER VOWEL SIGN OE" },
  { 6079, "KHMER VOWEL SIGN YA" },
  { 6080, "KHMER VOWEL SIGN IE" },
  { 6081, "KHMER VOWEL SIGN E" },
  { 6082, "KHMER VOWEL SIGN AE" },
  { 6083, "KHMER VOWEL SIGN AI" },
  { 6084, "KHMER VOWEL SIGN OO" },
  { 6085, "KHMER VOWEL SIGN AU" },
  { 6086, "KHMER SIGN NIKAHIT" },
  { 6087, "KHMER SIGN REAHMUK" },
  { 6088, "KHMER SIGN YUUKALEAPINTU" },
  { 6089, "KHMER SIGN MUUSIKATOAN" },
  { 6090, "KHMER SIGN TRIISAP" },
  { 6091, "KHMER SIGN BANTOC" },
  { 6092, "KHMER SIGN ROBAT" },
  { 6093, "KHMER SIGN TOANDAKHIAT" },
  { 6094, "KHMER SIGN KAKABAT" },
  { 6095, "KHMER SIGN AHSDA" },
  { 6096, "KHMER SIGN SAMYOK SANNYA" },
  { 6097, "KHMER SIGN VIRIAM" },
  { 6098, "KHMER SIGN COENG" },
  { 6099, "KHMER SIGN BATHAMASAT" },
  { 6100, "KHMER SIGN KHAN" },
  { 6101, "KHMER SIGN BARIYOOSAN" },
  { 6102, "KHMER SIGN CAMNUC PII KUUH" },
  { 6103, "KHMER SIGN LEK TOO" },
  { 6104, "KHMER SIGN BEYYAL" },
  { 6105, "KHMER SIGN PHNAEK MUAN" },
  { 6106, "KHMER SIGN KOOMUUT" },
  { 6107, "KHMER CURRENCY SYMBOL RIEL" },
  { 6108, "KHMER SIGN AVAKRAHASANYA" },
  { 6109, "KHMER SIGN ATTHACAN" },
  { 6112, "KHMER DIGIT ZERO" },
  { 6113, "KHMER DIGIT ONE" },
  { 6114, "KHMER DIGIT TWO" },
  { 6115, "KHMER DIGIT THREE" },
  { 6116, "KHMER DIGIT FOUR" },
  { 6117, "KHMER DIGIT FIVE" },
  { 6118, "KHMER DIGIT SIX" },
  { 6119, "KHMER DIGIT SEVEN" },
  { 6120, "KHMER DIGIT EIGHT" },
  { 6121, "KHMER DIGIT NINE" },
  { 6128, "KHMER SYMBOL LEK ATTAK SON" },
  { 6129, "KHMER SYMBOL LEK ATTAK MUOY" },
  { 6130, "KHMER SYMBOL LEK ATTAK PII" },
  { 6131, "KHMER SYMBOL LEK ATTAK BEI" },
  { 6132, "KHMER SYMBOL LEK ATTAK BUON" },
  { 6133, "KHMER SYMBOL LEK ATTAK PRAM" },
  { 6134, "KHMER SYMBOL LEK ATTAK PRAM-MUOY" },
  { 6135, "KHMER SYMBOL LEK ATTAK PRAM-PII" },
  { 6136, "KHMER SYMBOL LEK ATTAK PRAM-BEI" },
  { 6137, "KHMER SYMBOL LEK ATTAK PRAM-BUON" },
  { 6144, "MONGOLIAN BIRGA" },
  { 6145, "MONGOLIAN ELLIPSIS" },
  { 6146, "MONGOLIAN COMMA" },
  { 6147, "MONGOLIAN FULL STOP" },
  { 6148, "MONGOLIAN COLON" },
  { 6149, "MONGOLIAN FOUR DOTS" },
  { 6150, "MONGOLIAN TODO SOFT HYPHEN" },
  { 6151, "MONGOLIAN SIBE SYLLABLE BOUNDARY MARKER" },
  { 6152, "MONGOLIAN MANCHU COMMA" },
  { 6153, "MONGOLIAN MANCHU FULL STOP" },
  { 6154, "MONGOLIAN NIRUGU" },
  { 6155, "MONGOLIAN FREE VARIATION SELECTOR ONE" },
  { 6156, "MONGOLIAN FREE VARIATION SELECTOR TWO" },
  { 6157, "MONGOLIAN FREE VARIATION SELECTOR THREE" },
  { 6158, "MONGOLIAN VOWEL SEPARATOR" },
  { 6160, "MONGOLIAN DIGIT ZERO" },
  { 6161, "MONGOLIAN DIGIT ONE" },
  { 6162, "MONGOLIAN DIGIT TWO" },
  { 6163, "MONGOLIAN DIGIT THREE" },
  { 6164, "MONGOLIAN DIGIT FOUR" },
  { 6165, "MONGOLIAN DIGIT FIVE" },
  { 6166, "MONGOLIAN DIGIT SIX" },
  { 6167, "MONGOLIAN DIGIT SEVEN" },
  { 6168, "MONGOLIAN DIGIT EIGHT" },
  { 6169, "MONGOLIAN DIGIT NINE" },
  { 6176, "MONGOLIAN LETTER A" },
  { 6177, "MONGOLIAN LETTER E" },
  { 6178, "MONGOLIAN LETTER I" },
  { 6179, "MONGOLIAN LETTER O" },
  { 6180, "MONGOLIAN LETTER U" },
  { 6181, "MONGOLIAN LETTER OE" },
  { 6182, "MONGOLIAN LETTER UE" },
  { 6183, "MONGOLIAN LETTER EE" },
  { 6184, "MONGOLIAN LETTER NA" },
  { 6185, "MONGOLIAN LETTER ANG" },
  { 6186, "MONGOLIAN LETTER BA" },
  { 6187, "MONGOLIAN LETTER PA" },
  { 6188, "MONGOLIAN LETTER QA" },
  { 6189, "MONGOLIAN LETTER GA" },
  { 6190, "MONGOLIAN LETTER MA" },
  { 6191, "MONGOLIAN LETTER LA" },
  { 6192, "MONGOLIAN LETTER SA" },
  { 6193, "MONGOLIAN LETTER SHA" },
  { 6194, "MONGOLIAN LETTER TA" },
  { 6195, "MONGOLIAN LETTER DA" },
  { 6196, "MONGOLIAN LETTER CHA" },
  { 6197, "MONGOLIAN LETTER JA" },
  { 6198, "MONGOLIAN LETTER YA" },
  { 6199, "MONGOLIAN LETTER RA" },
  { 6200, "MONGOLIAN LETTER WA" },
  { 6201, "MONGOLIAN LETTER FA" },
  { 6202, "MONGOLIAN LETTER KA" },
  { 6203, "MONGOLIAN LETTER KHA" },
  { 6204, "MONGOLIAN LETTER TSA" },
  { 6205, "MONGOLIAN LETTER ZA" },
  { 6206, "MONGOLIAN LETTER HAA" },
  { 6207, "MONGOLIAN LETTER ZRA" },
  { 6208, "MONGOLIAN LETTER LHA" },
  { 6209, "MONGOLIAN LETTER ZHI" },
  { 6210, "MONGOLIAN LETTER CHI" },
  { 6211, "MONGOLIAN LETTER TODO LONG VOWEL SIGN" },
  { 6212, "MONGOLIAN LETTER TODO E" },
  { 6213, "MONGOLIAN LETTER TODO I" },
  { 6214, "MONGOLIAN LETTER TODO O" },
  { 6215, "MONGOLIAN LETTER TODO U" },
  { 6216, "MONGOLIAN LETTER TODO OE" },
  { 6217, "MONGOLIAN LETTER TODO UE" },
  { 6218, "MONGOLIAN LETTER TODO ANG" },
  { 6219, "MONGOLIAN LETTER TODO BA" },
  { 6220, "MONGOLIAN LETTER TODO PA" },
  { 6221, "MONGOLIAN LETTER TODO QA" },
  { 6222, "MONGOLIAN LETTER TODO GA" },
  { 6223, "MONGOLIAN LETTER TODO MA" },
  { 6224, "MONGOLIAN LETTER TODO TA" },
  { 6225, "MONGOLIAN LETTER TODO DA" },
  { 6226, "MONGOLIAN LETTER TODO CHA" },
  { 6227, "MONGOLIAN LETTER TODO JA" },
  { 6228, "MONGOLIAN LETTER TODO TSA" },
  { 6229, "MONGOLIAN LETTER TODO YA" },
  { 6230, "MONGOLIAN LETTER TODO WA" },
  { 6231, "MONGOLIAN LETTER TODO KA" },
  { 6232, "MONGOLIAN LETTER TODO GAA" },
  { 6233, "MONGOLIAN LETTER TODO HAA" },
  { 6234, "MONGOLIAN LETTER TODO JIA" },
  { 6235, "MONGOLIAN LETTER TODO NIA" },
  { 6236, "MONGOLIAN LETTER TODO DZA" },
  { 6237, "MONGOLIAN LETTER SIBE E" },
  { 6238, "MONGOLIAN LETTER SIBE I" },
  { 6239, "MONGOLIAN LETTER SIBE IY" },
  { 6240, "MONGOLIAN LETTER SIBE UE" },
  { 6241, "MONGOLIAN LETTER SIBE U" },
  { 6242, "MONGOLIAN LETTER SIBE ANG" },
  { 6243, "MONGOLIAN LETTER SIBE KA" },
  { 6244, "MONGOLIAN LETTER SIBE GA" },
  { 6245, "MONGOLIAN LETTER SIBE HA" },
  { 6246, "MONGOLIAN LETTER SIBE PA" },
  { 6247, "MONGOLIAN LETTER SIBE SHA" },
  { 6248, "MONGOLIAN LETTER SIBE TA" },
  { 6249, "MONGOLIAN LETTER SIBE DA" },
  { 6250, "MONGOLIAN LETTER SIBE JA" },
  { 6251, "MONGOLIAN LETTER SIBE FA" },
  { 6252, "MONGOLIAN LETTER SIBE GAA" },
  { 6253, "MONGOLIAN LETTER SIBE HAA" },
  { 6254, "MONGOLIAN LETTER SIBE TSA" },
  { 6255, "MONGOLIAN LETTER SIBE ZA" },
  { 6256, "MONGOLIAN LETTER SIBE RAA" },
  { 6257, "MONGOLIAN LETTER SIBE CHA" },
  { 6258, "MONGOLIAN LETTER SIBE ZHA" },
  { 6259, "MONGOLIAN LETTER MANCHU I" },
  { 6260, "MONGOLIAN LETTER MANCHU KA" },
  { 6261, "MONGOLIAN LETTER MANCHU RA" },
  { 6262, "MONGOLIAN LETTER MANCHU FA" },
  { 6263, "MONGOLIAN LETTER MANCHU ZHA" },
  { 6272, "MONGOLIAN LETTER ALI GALI ANUSVARA ONE" },
  { 6273, "MONGOLIAN LETTER ALI GALI VISARGA ONE" },
  { 6274, "MONGOLIAN LETTER ALI GALI DAMARU" },
  { 6275, "MONGOLIAN LETTER ALI GALI UBADAMA" },
  { 6276, "MONGOLIAN LETTER ALI GALI INVERTED UBADAMA" },
  { 6277, "MONGOLIAN LETTER ALI GALI BALUDA" },
  { 6278, "MONGOLIAN LETTER ALI GALI THREE BALUDA" },
  { 6279, "MONGOLIAN LETTER ALI GALI A" },
  { 6280, "MONGOLIAN LETTER ALI GALI I" },
  { 6281, "MONGOLIAN LETTER ALI GALI KA" },
  { 6282, "MONGOLIAN LETTER ALI GALI NGA" },
  { 6283, "MONGOLIAN LETTER ALI GALI CA" },
  { 6284, "MONGOLIAN LETTER ALI GALI TTA" },
  { 6285, "MONGOLIAN LETTER ALI GALI TTHA" },
  { 6286, "MONGOLIAN LETTER ALI GALI DDA" },
  { 6287, "MONGOLIAN LETTER ALI GALI NNA" },
  { 6288, "MONGOLIAN LETTER ALI GALI TA" },
  { 6289, "MONGOLIAN LETTER ALI GALI DA" },
  { 6290, "MONGOLIAN LETTER ALI GALI PA" },
  { 6291, "MONGOLIAN LETTER ALI GALI PHA" },
  { 6292, "MONGOLIAN LETTER ALI GALI SSA" },
  { 6293, "MONGOLIAN LETTER ALI GALI ZHA" },
  { 6294, "MONGOLIAN LETTER ALI GALI ZA" },
  { 6295, "MONGOLIAN LETTER ALI GALI AH" },
  { 6296, "MONGOLIAN LETTER TODO ALI GALI TA" },
  { 6297, "MONGOLIAN LETTER TODO ALI GALI ZHA" },
  { 6298, "MONGOLIAN LETTER MANCHU ALI GALI GHA" },
  { 6299, "MONGOLIAN LETTER MANCHU ALI GALI NGA" },
  { 6300, "MONGOLIAN LETTER MANCHU ALI GALI CA" },
  { 6301, "MONGOLIAN LETTER MANCHU ALI GALI JHA" },
  { 6302, "MONGOLIAN LETTER MANCHU ALI GALI TTA" },
  { 6303, "MONGOLIAN LETTER MANCHU ALI GALI DDHA" },
  { 6304, "MONGOLIAN LETTER MANCHU ALI GALI TA" },
  { 6305, "MONGOLIAN LETTER MANCHU ALI GALI DHA" },
  { 6306, "MONGOLIAN LETTER MANCHU ALI GALI SSA" },
  { 6307, "MONGOLIAN LETTER MANCHU ALI GALI CYA" },
  { 6308, "MONGOLIAN LETTER MANCHU ALI GALI ZHA" },
  { 6309, "MONGOLIAN LETTER MANCHU ALI GALI ZA" },
  { 6310, "MONGOLIAN LETTER ALI GALI HALF U" },
  { 6311, "MONGOLIAN LETTER ALI GALI HALF YA" },
  { 6312, "MONGOLIAN LETTER MANCHU ALI GALI BHA" },
  { 6313, "MONGOLIAN LETTER ALI GALI DAGALGA" },
  { 6314, "MONGOLIAN LETTER MANCHU ALI GALI LHA" },
  { 6400, "LIMBU VOWEL-CARRIER LETTER" },
  { 6401, "LIMBU LETTER KA" },
  { 6402, "LIMBU LETTER KHA" },
  { 6403, "LIMBU LETTER GA" },
  { 6404, "LIMBU LETTER GHA" },
  { 6405, "LIMBU LETTER NGA" },
  { 6406, "LIMBU LETTER CA" },
  { 6407, "LIMBU LETTER CHA" },
  { 6408, "LIMBU LETTER JA" },
  { 6409, "LIMBU LETTER JHA" },
  { 6410, "LIMBU LETTER YAN" },
  { 6411, "LIMBU LETTER TA" },
  { 6412, "LIMBU LETTER THA" },
  { 6413, "LIMBU LETTER DA" },
  { 6414, "LIMBU LETTER DHA" },
  { 6415, "LIMBU LETTER NA" },
  { 6416, "LIMBU LETTER PA" },
  { 6417, "LIMBU LETTER PHA" },
  { 6418, "LIMBU LETTER BA" },
  { 6419, "LIMBU LETTER BHA" },
  { 6420, "LIMBU LETTER MA" },
  { 6421, "LIMBU LETTER YA" },
  { 6422, "LIMBU LETTER RA" },
  { 6423, "LIMBU LETTER LA" },
  { 6424, "LIMBU LETTER WA" },
  { 6425, "LIMBU LETTER SHA" },
  { 6426, "LIMBU LETTER SSA" },
  { 6427, "LIMBU LETTER SA" },
  { 6428, "LIMBU LETTER HA" },
  { 6432, "LIMBU VOWEL SIGN A" },
  { 6433, "LIMBU VOWEL SIGN I" },
  { 6434, "LIMBU VOWEL SIGN U" },
  { 6435, "LIMBU VOWEL SIGN EE" },
  { 6436, "LIMBU VOWEL SIGN AI" },
  { 6437, "LIMBU VOWEL SIGN OO" },
  { 6438, "LIMBU VOWEL SIGN AU" },
  { 6439, "LIMBU VOWEL SIGN E" },
  { 6440, "LIMBU VOWEL SIGN O" },
  { 6441, "LIMBU SUBJOINED LETTER YA" },
  { 6442, "LIMBU SUBJOINED LETTER RA" },
  { 6443, "LIMBU SUBJOINED LETTER WA" },
  { 6448, "LIMBU SMALL LETTER KA" },
  { 6449, "LIMBU SMALL LETTER NGA" },
  { 6450, "LIMBU SMALL LETTER ANUSVARA" },
  { 6451, "LIMBU SMALL LETTER TA" },
  { 6452, "LIMBU SMALL LETTER NA" },
  { 6453, "LIMBU SMALL LETTER PA" },
  { 6454, "LIMBU SMALL LETTER MA" },
  { 6455, "LIMBU SMALL LETTER RA" },
  { 6456, "LIMBU SMALL LETTER LA" },
  { 6457, "LIMBU SIGN MUKPHRENG" },
  { 6458, "LIMBU SIGN KEMPHRENG" },
  { 6459, "LIMBU SIGN SA-I" },
  { 6464, "LIMBU SIGN LOO" },
  { 6468, "LIMBU EXCLAMATION MARK" },
  { 6469, "LIMBU QUESTION MARK" },
  { 6470, "LIMBU DIGIT ZERO" },
  { 6471, "LIMBU DIGIT ONE" },
  { 6472, "LIMBU DIGIT TWO" },
  { 6473, "LIMBU DIGIT THREE" },
  { 6474, "LIMBU DIGIT FOUR" },
  { 6475, "LIMBU DIGIT FIVE" },
  { 6476, "LIMBU DIGIT SIX" },
  { 6477, "LIMBU DIGIT SEVEN" },
  { 6478, "LIMBU DIGIT EIGHT" },
  { 6479, "LIMBU DIGIT NINE" },
  { 6480, "TAI LE LETTER KA" },
  { 6481, "TAI LE LETTER XA" },
  { 6482, "TAI LE LETTER NGA" },
  { 6483, "TAI LE LETTER TSA" },
  { 6484, "TAI LE LETTER SA" },
  { 6485, "TAI LE LETTER YA" },
  { 6486, "TAI LE LETTER TA" },
  { 6487, "TAI LE LETTER THA" },
  { 6488, "TAI LE LETTER LA" },
  { 6489, "TAI LE LETTER PA" },
  { 6490, "TAI LE LETTER PHA" },
  { 6491, "TAI LE LETTER MA" },
  { 6492, "TAI LE LETTER FA" },
  { 6493, "TAI LE LETTER VA" },
  { 6494, "TAI LE LETTER HA" },
  { 6495, "TAI LE LETTER QA" },
  { 6496, "TAI LE LETTER KHA" },
  { 6497, "TAI LE LETTER TSHA" },
  { 6498, "TAI LE LETTER NA" },
  { 6499, "TAI LE LETTER A" },
  { 6500, "TAI LE LETTER I" },
  { 6501, "TAI LE LETTER EE" },
  { 6502, "TAI LE LETTER EH" },
  { 6503, "TAI LE LETTER U" },
  { 6504, "TAI LE LETTER OO" },
  { 6505, "TAI LE LETTER O" },
  { 6506, "TAI LE LETTER UE" },
  { 6507, "TAI LE LETTER E" },
  { 6508, "TAI LE LETTER AUE" },
  { 6509, "TAI LE LETTER AI" },
  { 6512, "TAI LE LETTER TONE-2" },
  { 6513, "TAI LE LETTER TONE-3" },
  { 6514, "TAI LE LETTER TONE-4" },
  { 6515, "TAI LE LETTER TONE-5" },
  { 6516, "TAI LE LETTER TONE-6" },
  { 6528, "NEW TAI LUE LETTER HIGH QA" },
  { 6529, "NEW TAI LUE LETTER LOW QA" },
  { 6530, "NEW TAI LUE LETTER HIGH KA" },
  { 6531, "NEW TAI LUE LETTER HIGH XA" },
  { 6532, "NEW TAI LUE LETTER HIGH NGA" },
  { 6533, "NEW TAI LUE LETTER LOW KA" },
  { 6534, "NEW TAI LUE LETTER LOW XA" },
  { 6535, "NEW TAI LUE LETTER LOW NGA" },
  { 6536, "NEW TAI LUE LETTER HIGH TSA" },
  { 6537, "NEW TAI LUE LETTER HIGH SA" },
  { 6538, "NEW TAI LUE LETTER HIGH YA" },
  { 6539, "NEW TAI LUE LETTER LOW TSA" },
  { 6540, "NEW TAI LUE LETTER LOW SA" },
  { 6541, "NEW TAI LUE LETTER LOW YA" },
  { 6542, "NEW TAI LUE LETTER HIGH TA" },
  { 6543, "NEW TAI LUE LETTER HIGH THA" },
  { 6544, "NEW TAI LUE LETTER HIGH NA" },
  { 6545, "NEW TAI LUE LETTER LOW TA" },
  { 6546, "NEW TAI LUE LETTER LOW THA" },
  { 6547, "NEW TAI LUE LETTER LOW NA" },
  { 6548, "NEW TAI LUE LETTER HIGH PA" },
  { 6549, "NEW TAI LUE LETTER HIGH PHA" },
  { 6550, "NEW TAI LUE LETTER HIGH MA" },
  { 6551, "NEW TAI LUE LETTER LOW PA" },
  { 6552, "NEW TAI LUE LETTER LOW PHA" },
  { 6553, "NEW TAI LUE LETTER LOW MA" },
  { 6554, "NEW TAI LUE LETTER HIGH FA" },
  { 6555, "NEW TAI LUE LETTER HIGH VA" },
  { 6556, "NEW TAI LUE LETTER HIGH LA" },
  { 6557, "NEW TAI LUE LETTER LOW FA" },
  { 6558, "NEW TAI LUE LETTER LOW VA" },
  { 6559, "NEW TAI LUE LETTER LOW LA" },
  { 6560, "NEW TAI LUE LETTER HIGH HA" },
  { 6561, "NEW TAI LUE LETTER HIGH DA" },
  { 6562, "NEW TAI LUE LETTER HIGH BA" },
  { 6563, "NEW TAI LUE LETTER LOW HA" },
  { 6564, "NEW TAI LUE LETTER LOW DA" },
  { 6565, "NEW TAI LUE LETTER LOW BA" },
  { 6566, "NEW TAI LUE LETTER HIGH KVA" },
  { 6567, "NEW TAI LUE LETTER HIGH XVA" },
  { 6568, "NEW TAI LUE LETTER LOW KVA" },
  { 6569, "NEW TAI LUE LETTER LOW XVA" },
  { 6576, "NEW TAI LUE VOWEL SIGN VOWEL SHORTENER" },
  { 6577, "NEW TAI LUE VOWEL SIGN AA" },
  { 6578, "NEW TAI LUE VOWEL SIGN II" },
  { 6579, "NEW TAI LUE VOWEL SIGN U" },
  { 6580, "NEW TAI LUE VOWEL SIGN UU" },
  { 6581, "NEW TAI LUE VOWEL SIGN E" },
  { 6582, "NEW TAI LUE VOWEL SIGN AE" },
  { 6583, "NEW TAI LUE VOWEL SIGN O" },
  { 6584, "NEW TAI LUE VOWEL SIGN OA" },
  { 6585, "NEW TAI LUE VOWEL SIGN UE" },
  { 6586, "NEW TAI LUE VOWEL SIGN AY" },
  { 6587, "NEW TAI LUE VOWEL SIGN AAY" },
  { 6588, "NEW TAI LUE VOWEL SIGN UY" },
  { 6589, "NEW TAI LUE VOWEL SIGN OY" },
  { 6590, "NEW TAI LUE VOWEL SIGN OAY" },
  { 6591, "NEW TAI LUE VOWEL SIGN UEY" },
  { 6592, "NEW TAI LUE VOWEL SIGN IY" },
  { 6593, "NEW TAI LUE LETTER FINAL V" },
  { 6594, "NEW TAI LUE LETTER FINAL NG" },
  { 6595, "NEW TAI LUE LETTER FINAL N" },
  { 6596, "NEW TAI LUE LETTER FINAL M" },
  { 6597, "NEW TAI LUE LETTER FINAL K" },
  { 6598, "NEW TAI LUE LETTER FINAL D" },
  { 6599, "NEW TAI LUE LETTER FINAL B" },
  { 6600, "NEW TAI LUE TONE MARK-1" },
  { 6601, "NEW TAI LUE TONE MARK-2" },
  { 6608, "NEW TAI LUE DIGIT ZERO" },
  { 6609, "NEW TAI LUE DIGIT ONE" },
  { 6610, "NEW TAI LUE DIGIT TWO" },
  { 6611, "NEW TAI LUE DIGIT THREE" },
  { 6612, "NEW TAI LUE DIGIT FOUR" },
  { 6613, "NEW TAI LUE DIGIT FIVE" },
  { 6614, "NEW TAI LUE DIGIT SIX" },
  { 6615, "NEW TAI LUE DIGIT SEVEN" },
  { 6616, "NEW TAI LUE DIGIT EIGHT" },
  { 6617, "NEW TAI LUE DIGIT NINE" },
  { 6622, "NEW TAI LUE SIGN LAE" },
  { 6623, "NEW TAI LUE SIGN LAEV" },
  { 6624, "KHMER SYMBOL PATHAMASAT" },
  { 6625, "KHMER SYMBOL MUOY KOET" },
  { 6626, "KHMER SYMBOL PII KOET" },
  { 6627, "KHMER SYMBOL BEI KOET" },
  { 6628, "KHMER SYMBOL BUON KOET" },
  { 6629, "KHMER SYMBOL PRAM KOET" },
  { 6630, "KHMER SYMBOL PRAM-MUOY KOET" },
  { 6631, "KHMER SYMBOL PRAM-PII KOET" },
  { 6632, "KHMER SYMBOL PRAM-BEI KOET" },
  { 6633, "KHMER SYMBOL PRAM-BUON KOET" },
  { 6634, "KHMER SYMBOL DAP KOET" },
  { 6635, "KHMER SYMBOL DAP-MUOY KOET" },
  { 6636, "KHMER SYMBOL DAP-PII KOET" },
  { 6637, "KHMER SYMBOL DAP-BEI KOET" },
  { 6638, "KHMER SYMBOL DAP-BUON KOET" },
  { 6639, "KHMER SYMBOL DAP-PRAM KOET" },
  { 6640, "KHMER SYMBOL TUTEYASAT" },
  { 6641, "KHMER SYMBOL MUOY ROC" },
  { 6642, "KHMER SYMBOL PII ROC" },
  { 6643, "KHMER SYMBOL BEI ROC" },
  { 6644, "KHMER SYMBOL BUON ROC" },
  { 6645, "KHMER SYMBOL PRAM ROC" },
  { 6646, "KHMER SYMBOL PRAM-MUOY ROC" },
  { 6647, "KHMER SYMBOL PRAM-PII ROC" },
  { 6648, "KHMER SYMBOL PRAM-BEI ROC" },
  { 6649, "KHMER SYMBOL PRAM-BUON ROC" },
  { 6650, "KHMER SYMBOL DAP ROC" },
  { 6651, "KHMER SYMBOL DAP-MUOY ROC" },
  { 6652, "KHMER SYMBOL DAP-PII ROC" },
  { 6653, "KHMER SYMBOL DAP-BEI ROC" },
  { 6654, "KHMER SYMBOL DAP-BUON ROC" },
  { 6655, "KHMER SYMBOL DAP-PRAM ROC" },
  { 6656, "BUGINESE LETTER KA" },
  { 6657, "BUGINESE LETTER GA" },
  { 6658, "BUGINESE LETTER NGA" },
  { 6659, "BUGINESE LETTER NGKA" },
  { 6660, "BUGINESE LETTER PA" },
  { 6661, "BUGINESE LETTER BA" },
  { 6662, "BUGINESE LETTER MA" },
  { 6663, "BUGINESE LETTER MPA" },
  { 6664, "BUGINESE LETTER TA" },
  { 6665, "BUGINESE LETTER DA" },
  { 6666, "BUGINESE LETTER NA" },
  { 6667, "BUGINESE LETTER NRA" },
  { 6668, "BUGINESE LETTER CA" },
  { 6669, "BUGINESE LETTER JA" },
  { 6670, "BUGINESE LETTER NYA" },
  { 6671, "BUGINESE LETTER NYCA" },
  { 6672, "BUGINESE LETTER YA" },
  { 6673, "BUGINESE LETTER RA" },
  { 6674, "BUGINESE LETTER LA" },
  { 6675, "BUGINESE LETTER VA" },
  { 6676, "BUGINESE LETTER SA" },
  { 6677, "BUGINESE LETTER A" },
  { 6678, "BUGINESE LETTER HA" },
  { 6679, "BUGINESE VOWEL SIGN I" },
  { 6680, "BUGINESE VOWEL SIGN U" },
  { 6681, "BUGINESE VOWEL SIGN E" },
  { 6682, "BUGINESE VOWEL SIGN O" },
  { 6683, "BUGINESE VOWEL SIGN AE" },
  { 6686, "BUGINESE PALLAWA" },
  { 6687, "BUGINESE END OF SECTION" },
  { 6912, "BALINESE SIGN ULU RICEM" },
  { 6913, "BALINESE SIGN ULU CANDRA" },
  { 6914, "BALINESE SIGN CECEK" },
  { 6915, "BALINESE SIGN SURANG" },
  { 6916, "BALINESE SIGN BISAH" },
  { 6917, "BALINESE LETTER AKARA" },
  { 6918, "BALINESE LETTER AKARA TEDUNG" },
  { 6919, "BALINESE LETTER IKARA" },
  { 6920, "BALINESE LETTER IKARA TEDUNG" },
  { 6921, "BALINESE LETTER UKARA" },
  { 6922, "BALINESE LETTER UKARA TEDUNG" },
  { 6923, "BALINESE LETTER RA REPA" },
  { 6924, "BALINESE LETTER RA REPA TEDUNG" },
  { 6925, "BALINESE LETTER LA LENGA" },
  { 6926, "BALINESE LETTER LA LENGA TEDUNG" },
  { 6927, "BALINESE LETTER EKARA" },
  { 6928, "BALINESE LETTER AIKARA" },
  { 6929, "BALINESE LETTER OKARA" },
  { 6930, "BALINESE LETTER OKARA TEDUNG" },
  { 6931, "BALINESE LETTER KA" },
  { 6932, "BALINESE LETTER KA MAHAPRANA" },
  { 6933, "BALINESE LETTER GA" },
  { 6934, "BALINESE LETTER GA GORA" },
  { 6935, "BALINESE LETTER NGA" },
  { 6936, "BALINESE LETTER CA" },
  { 6937, "BALINESE LETTER CA LACA" },
  { 6938, "BALINESE LETTER JA" },
  { 6939, "BALINESE LETTER JA JERA" },
  { 6940, "BALINESE LETTER NYA" },
  { 6941, "BALINESE LETTER TA LATIK" },
  { 6942, "BALINESE LETTER TA MURDA MAHAPRANA" },
  { 6943, "BALINESE LETTER DA MURDA ALPAPRANA" },
  { 6944, "BALINESE LETTER DA MURDA MAHAPRANA" },
  { 6945, "BALINESE LETTER NA RAMBAT" },
  { 6946, "BALINESE LETTER TA" },
  { 6947, "BALINESE LETTER TA TAWA" },
  { 6948, "BALINESE LETTER DA" },
  { 6949, "BALINESE LETTER DA MADU" },
  { 6950, "BALINESE LETTER NA" },
  { 6951, "BALINESE LETTER PA" },
  { 6952, "BALINESE LETTER PA KAPAL" },
  { 6953, "BALINESE LETTER BA" },
  { 6954, "BALINESE LETTER BA KEMBANG" },
  { 6955, "BALINESE LETTER MA" },
  { 6956, "BALINESE LETTER YA" },
  { 6957, "BALINESE LETTER RA" },
  { 6958, "BALINESE LETTER LA" },
  { 6959, "BALINESE LETTER WA" },
  { 6960, "BALINESE LETTER SA SAGA" },
  { 6961, "BALINESE LETTER SA SAPA" },
  { 6962, "BALINESE LETTER SA" },
  { 6963, "BALINESE LETTER HA" },
  { 6964, "BALINESE SIGN REREKAN" },
  { 6965, "BALINESE VOWEL SIGN TEDUNG" },
  { 6966, "BALINESE VOWEL SIGN ULU" },
  { 6967, "BALINESE VOWEL SIGN ULU SARI" },
  { 6968, "BALINESE VOWEL SIGN SUKU" },
  { 6969, "BALINESE VOWEL SIGN SUKU ILUT" },
  { 6970, "BALINESE VOWEL SIGN RA REPA" },
  { 6971, "BALINESE VOWEL SIGN RA REPA TEDUNG" },
  { 6972, "BALINESE VOWEL SIGN LA LENGA" },
  { 6973, "BALINESE VOWEL SIGN LA LENGA TEDUNG" },
  { 6974, "BALINESE VOWEL SIGN TALING" },
  { 6975, "BALINESE VOWEL SIGN TALING REPA" },
  { 6976, "BALINESE VOWEL SIGN TALING TEDUNG" },
  { 6977, "BALINESE VOWEL SIGN TALING REPA TEDUNG" },
  { 6978, "BALINESE VOWEL SIGN PEPET" },
  { 6979, "BALINESE VOWEL SIGN PEPET TEDUNG" },
  { 6980, "BALINESE ADEG ADEG" },
  { 6981, "BALINESE LETTER KAF SASAK" },
  { 6982, "BALINESE LETTER KHOT SASAK" },
  { 6983, "BALINESE LETTER TZIR SASAK" },
  { 6984, "BALINESE LETTER EF SASAK" },
  { 6985, "BALINESE LETTER VE SASAK" },
  { 6986, "BALINESE LETTER ZAL SASAK" },
  { 6987, "BALINESE LETTER ASYURA SASAK" },
  { 6992, "BALINESE DIGIT ZERO" },
  { 6993, "BALINESE DIGIT ONE" },
  { 6994, "BALINESE DIGIT TWO" },
  { 6995, "BALINESE DIGIT THREE" },
  { 6996, "BALINESE DIGIT FOUR" },
  { 6997, "BALINESE DIGIT FIVE" },
  { 6998, "BALINESE DIGIT SIX" },
  { 6999, "BALINESE DIGIT SEVEN" },
  { 7000, "BALINESE DIGIT EIGHT" },
  { 7001, "BALINESE DIGIT NINE" },
  { 7002, "BALINESE PANTI" },
  { 7003, "BALINESE PAMADA" },
  { 7004, "BALINESE WINDU" },
  { 7005, "BALINESE CARIK PAMUNGKAH" },
  { 7006, "BALINESE CARIK SIKI" },
  { 7007, "BALINESE CARIK PAREREN" },
  { 7008, "BALINESE PAMENENG" },
  { 7009, "BALINESE MUSICAL SYMBOL DONG" },
  { 7010, "BALINESE MUSICAL SYMBOL DENG" },
  { 7011, "BALINESE MUSICAL SYMBOL DUNG" },
  { 7012, "BALINESE MUSICAL SYMBOL DANG" },
  { 7013, "BALINESE MUSICAL SYMBOL DANG SURANG" },
  { 7014, "BALINESE MUSICAL SYMBOL DING" },
  { 7015, "BALINESE MUSICAL SYMBOL DAENG" },
  { 7016, "BALINESE MUSICAL SYMBOL DEUNG" },
  { 7017, "BALINESE MUSICAL SYMBOL DAING" },
  { 7018, "BALINESE MUSICAL SYMBOL DANG GEDE" },
  { 7019, "BALINESE MUSICAL SYMBOL COMBINING TEGEH" },
  { 7020, "BALINESE MUSICAL SYMBOL COMBINING ENDEP" },
  { 7021, "BALINESE MUSICAL SYMBOL COMBINING KEMPUL" },
  { 7022, "BALINESE MUSICAL SYMBOL COMBINING KEMPLI" },
  { 7023, "BALINESE MUSICAL SYMBOL COMBINING JEGOGAN" },
  { 7024, "BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN" },
  { 7025, "BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN" },
  { 7026, "BALINESE MUSICAL SYMBOL COMBINING BENDE" },
  { 7027, "BALINESE MUSICAL SYMBOL COMBINING GONG" },
  { 7028, "BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DUG" },
  { 7029, "BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DAG" },
  { 7030, "BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TUK" },
  { 7031, "BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TAK" },
  { 7032, "BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PANG" },
  { 7033, "BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PUNG" },
  { 7034, "BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLAK" },
  { 7035, "BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLUK" },
  { 7036, "BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PING" },
  { 7040, "SUNDANESE SIGN PANYECEK" },
  { 7041, "SUNDANESE SIGN PANGLAYAR" },
  { 7042, "SUNDANESE SIGN PANGWISAD" },
  { 7043, "SUNDANESE LETTER A" },
  { 7044, "SUNDANESE LETTER I" },
  { 7045, "SUNDANESE LETTER U" },
  { 7046, "SUNDANESE LETTER AE" },
  { 7047, "SUNDANESE LETTER O" },
  { 7048, "SUNDANESE LETTER E" },
  { 7049, "SUNDANESE LETTER EU" },
  { 7050, "SUNDANESE LETTER KA" },
  { 7051, "SUNDANESE LETTER QA" },
  { 7052, "SUNDANESE LETTER GA" },
  { 7053, "SUNDANESE LETTER NGA" },
  { 7054, "SUNDANESE LETTER CA" },
  { 7055, "SUNDANESE LETTER JA" },
  { 7056, "SUNDANESE LETTER ZA" },
  { 7057, "SUNDANESE LETTER NYA" },
  { 7058, "SUNDANESE LETTER TA" },
  { 7059, "SUNDANESE LETTER DA" },
  { 7060, "SUNDANESE LETTER NA" },
  { 7061, "SUNDANESE LETTER PA" },
  { 7062, "SUNDANESE LETTER FA" },
  { 7063, "SUNDANESE LETTER VA" },
  { 7064, "SUNDANESE LETTER BA" },
  { 7065, "SUNDANESE LETTER MA" },
  { 7066, "SUNDANESE LETTER YA" },
  { 7067, "SUNDANESE LETTER RA" },
  { 7068, "SUNDANESE LETTER LA" },
  { 7069, "SUNDANESE LETTER WA" },
  { 7070, "SUNDANESE LETTER SA" },
  { 7071, "SUNDANESE LETTER XA" },
  { 7072, "SUNDANESE LETTER HA" },
  { 7073, "SUNDANESE CONSONANT SIGN PAMINGKAL" },
  { 7074, "SUNDANESE CONSONANT SIGN PANYAKRA" },
  { 7075, "SUNDANESE CONSONANT SIGN PANYIKU" },
  { 7076, "SUNDANESE VOWEL SIGN PANGHULU" },
  { 7077, "SUNDANESE VOWEL SIGN PANYUKU" },
  { 7078, "SUNDANESE VOWEL SIGN PANAELAENG" },
  { 7079, "SUNDANESE VOWEL SIGN PANOLONG" },
  { 7080, "SUNDANESE VOWEL SIGN PAMEPET" },
  { 7081, "SUNDANESE VOWEL SIGN PANEULEUNG" },
  { 7082, "SUNDANESE SIGN PAMAAEH" },
  { 7086, "SUNDANESE LETTER KHA" },
  { 7087, "SUNDANESE LETTER SYA" },
  { 7088, "SUNDANESE DIGIT ZERO" },
  { 7089, "SUNDANESE DIGIT ONE" },
  { 7090, "SUNDANESE DIGIT TWO" },
  { 7091, "SUNDANESE DIGIT THREE" },
  { 7092, "SUNDANESE DIGIT FOUR" },
  { 7093, "SUNDANESE DIGIT FIVE" },
  { 7094, "SUNDANESE DIGIT SIX" },
  { 7095, "SUNDANESE DIGIT SEVEN" },
  { 7096, "SUNDANESE DIGIT EIGHT" },
  { 7097, "SUNDANESE DIGIT NINE" },
  { 7168, "LEPCHA LETTER KA" },
  { 7169, "LEPCHA LETTER KLA" },
  { 7170, "LEPCHA LETTER KHA" },
  { 7171, "LEPCHA LETTER GA" },
  { 7172, "LEPCHA LETTER GLA" },
  { 7173, "LEPCHA LETTER NGA" },
  { 7174, "LEPCHA LETTER CA" },
  { 7175, "LEPCHA LETTER CHA" },
  { 7176, "LEPCHA LETTER JA" },
  { 7177, "LEPCHA LETTER NYA" },
  { 7178, "LEPCHA LETTER TA" },
  { 7179, "LEPCHA LETTER THA" },
  { 7180, "LEPCHA LETTER DA" },
  { 7181, "LEPCHA LETTER NA" },
  { 7182, "LEPCHA LETTER PA" },
  { 7183, "LEPCHA LETTER PLA" },
  { 7184, "LEPCHA LETTER PHA" },
  { 7185, "LEPCHA LETTER FA" },
  { 7186, "LEPCHA LETTER FLA" },
  { 7187, "LEPCHA LETTER BA" },
  { 7188, "LEPCHA LETTER BLA" },
  { 7189, "LEPCHA LETTER MA" },
  { 7190, "LEPCHA LETTER MLA" },
  { 7191, "LEPCHA LETTER TSA" },
  { 7192, "LEPCHA LETTER TSHA" },
  { 7193, "LEPCHA LETTER DZA" },
  { 7194, "LEPCHA LETTER YA" },
  { 7195, "LEPCHA LETTER RA" },
  { 7196, "LEPCHA LETTER LA" },
  { 7197, "LEPCHA LETTER HA" },
  { 7198, "LEPCHA LETTER HLA" },
  { 7199, "LEPCHA LETTER VA" },
  { 7200, "LEPCHA LETTER SA" },
  { 7201, "LEPCHA LETTER SHA" },
  { 7202, "LEPCHA LETTER WA" },
  { 7203, "LEPCHA LETTER A" },
  { 7204, "LEPCHA SUBJOINED LETTER YA" },
  { 7205, "LEPCHA SUBJOINED LETTER RA" },
  { 7206, "LEPCHA VOWEL SIGN AA" },
  { 7207, "LEPCHA VOWEL SIGN I" },
  { 7208, "LEPCHA VOWEL SIGN O" },
  { 7209, "LEPCHA VOWEL SIGN OO" },
  { 7210, "LEPCHA VOWEL SIGN U" },
  { 7211, "LEPCHA VOWEL SIGN UU" },
  { 7212, "LEPCHA VOWEL SIGN E" },
  { 7213, "LEPCHA CONSONANT SIGN K" },
  { 7214, "LEPCHA CONSONANT SIGN M" },
  { 7215, "LEPCHA CONSONANT SIGN L" },
  { 7216, "LEPCHA CONSONANT SIGN N" },
  { 7217, "LEPCHA CONSONANT SIGN P" },
  { 7218, "LEPCHA CONSONANT SIGN R" },
  { 7219, "LEPCHA CONSONANT SIGN T" },
  { 7220, "LEPCHA CONSONANT SIGN NYIN-DO" },
  { 7221, "LEPCHA CONSONANT SIGN KANG" },
  { 7222, "LEPCHA SIGN RAN" },
  { 7223, "LEPCHA SIGN NUKTA" },
  { 7227, "LEPCHA PUNCTUATION TA-ROL" },
  { 7228, "LEPCHA PUNCTUATION NYET THYOOM TA-ROL" },
  { 7229, "LEPCHA PUNCTUATION CER-WA" },
  { 7230, "LEPCHA PUNCTUATION TSHOOK CER-WA" },
  { 7231, "LEPCHA PUNCTUATION TSHOOK" },
  { 7232, "LEPCHA DIGIT ZERO" },
  { 7233, "LEPCHA DIGIT ONE" },
  { 7234, "LEPCHA DIGIT TWO" },
  { 7235, "LEPCHA DIGIT THREE" },
  { 7236, "LEPCHA DIGIT FOUR" },
  { 7237, "LEPCHA DIGIT FIVE" },
  { 7238, "LEPCHA DIGIT SIX" },
  { 7239, "LEPCHA DIGIT SEVEN" },
  { 7240, "LEPCHA DIGIT EIGHT" },
  { 7241, "LEPCHA DIGIT NINE" },
  { 7245, "LEPCHA LETTER TTA" },
  { 7246, "LEPCHA LETTER TTHA" },
  { 7247, "LEPCHA LETTER DDA" },
  { 7248, "OL CHIKI DIGIT ZERO" },
  { 7249, "OL CHIKI DIGIT ONE" },
  { 7250, "OL CHIKI DIGIT TWO" },
  { 7251, "OL CHIKI DIGIT THREE" },
  { 7252, "OL CHIKI DIGIT FOUR" },
  { 7253, "OL CHIKI DIGIT FIVE" },
  { 7254, "OL CHIKI DIGIT SIX" },
  { 7255, "OL CHIKI DIGIT SEVEN" },
  { 7256, "OL CHIKI DIGIT EIGHT" },
  { 7257, "OL CHIKI DIGIT NINE" },
  { 7258, "OL CHIKI LETTER LA" },
  { 7259, "OL CHIKI LETTER AT" },
  { 7260, "OL CHIKI LETTER AG" },
  { 7261, "OL CHIKI LETTER ANG" },
  { 7262, "OL CHIKI LETTER AL" },
  { 7263, "OL CHIKI LETTER LAA" },
  { 7264, "OL CHIKI LETTER AAK" },
  { 7265, "OL CHIKI LETTER AAJ" },
  { 7266, "OL CHIKI LETTER AAM" },
  { 7267, "OL CHIKI LETTER AAW" },
  { 7268, "OL CHIKI LETTER LI" },
  { 7269, "OL CHIKI LETTER IS" },
  { 7270, "OL CHIKI LETTER IH" },
  { 7271, "OL CHIKI LETTER INY" },
  { 7272, "OL CHIKI LETTER IR" },
  { 7273, "OL CHIKI LETTER LU" },
  { 7274, "OL CHIKI LETTER UC" },
  { 7275, "OL CHIKI LETTER UD" },
  { 7276, "OL CHIKI LETTER UNN" },
  { 7277, "OL CHIKI LETTER UY" },
  { 7278, "OL CHIKI LETTER LE" },
  { 7279, "OL CHIKI LETTER EP" },
  { 7280, "OL CHIKI LETTER EDD" },
  { 7281, "OL CHIKI LETTER EN" },
  { 7282, "OL CHIKI LETTER ERR" },
  { 7283, "OL CHIKI LETTER LO" },
  { 7284, "OL CHIKI LETTER OTT" },
  { 7285, "OL CHIKI LETTER OB" },
  { 7286, "OL CHIKI LETTER OV" },
  { 7287, "OL CHIKI LETTER OH" },
  { 7288, "OL CHIKI MU TTUDDAG" },
  { 7289, "OL CHIKI GAAHLAA TTUDDAAG" },
  { 7290, "OL CHIKI MU-GAAHLAA TTUDDAAG" },
  { 7291, "OL CHIKI RELAA" },
  { 7292, "OL CHIKI PHAARKAA" },
  { 7293, "OL CHIKI AHAD" },
  { 7294, "OL CHIKI PUNCTUATION MUCAAD" },
  { 7295, "OL CHIKI PUNCTUATION DOUBLE MUCAAD" },
  { 7424, "LATIN LETTER SMALL CAPITAL A" },
  { 7425, "LATIN LETTER SMALL CAPITAL AE" },
  { 7426, "LATIN SMALL LETTER TURNED AE" },
  { 7427, "LATIN LETTER SMALL CAPITAL BARRED B" },
  { 7428, "LATIN LETTER SMALL CAPITAL C" },
  { 7429, "LATIN LETTER SMALL CAPITAL D" },
  { 7430, "LATIN LETTER SMALL CAPITAL ETH" },
  { 7431, "LATIN LETTER SMALL CAPITAL E" },
  { 7432, "LATIN SMALL LETTER TURNED OPEN E" },
  { 7433, "LATIN SMALL LETTER TURNED I" },
  { 7434, "LATIN LETTER SMALL CAPITAL J" },
  { 7435, "LATIN LETTER SMALL CAPITAL K" },
  { 7436, "LATIN LETTER SMALL CAPITAL L WITH STROKE" },
  { 7437, "LATIN LETTER SMALL CAPITAL M" },
  { 7438, "LATIN LETTER SMALL CAPITAL REVERSED N" },
  { 7439, "LATIN LETTER SMALL CAPITAL O" },
  { 7440, "LATIN LETTER SMALL CAPITAL OPEN O" },
  { 7441, "LATIN SMALL LETTER SIDEWAYS O" },
  { 7442, "LATIN SMALL LETTER SIDEWAYS OPEN O" },
  { 7443, "LATIN SMALL LETTER SIDEWAYS O WITH STROKE" },
  { 7444, "LATIN SMALL LETTER TURNED OE" },
  { 7445, "LATIN LETTER SMALL CAPITAL OU" },
  { 7446, "LATIN SMALL LETTER TOP HALF O" },
  { 7447, "LATIN SMALL LETTER BOTTOM HALF O" },
  { 7448, "LATIN LETTER SMALL CAPITAL P" },
  { 7449, "LATIN LETTER SMALL CAPITAL REVERSED R" },
  { 7450, "LATIN LETTER SMALL CAPITAL TURNED R" },
  { 7451, "LATIN LETTER SMALL CAPITAL T" },
  { 7452, "LATIN LETTER SMALL CAPITAL U" },
  { 7453, "LATIN SMALL LETTER SIDEWAYS U" },
  { 7454, "LATIN SMALL LETTER SIDEWAYS DIAERESIZED U" },
  { 7455, "LATIN SMALL LETTER SIDEWAYS TURNED M" },
  { 7456, "LATIN LETTER SMALL CAPITAL V" },
  { 7457, "LATIN LETTER SMALL CAPITAL W" },
  { 7458, "LATIN LETTER SMALL CAPITAL Z" },
  { 7459, "LATIN LETTER SMALL CAPITAL EZH" },
  { 7460, "LATIN LETTER VOICED LARYNGEAL SPIRANT" },
  { 7461, "LATIN LETTER AIN" },
  { 7462, "GREEK LETTER SMALL CAPITAL GAMMA" },
  { 7463, "GREEK LETTER SMALL CAPITAL LAMDA" },
  { 7464, "GREEK LETTER SMALL CAPITAL PI" },
  { 7465, "GREEK LETTER SMALL CAPITAL RHO" },
  { 7466, "GREEK LETTER SMALL CAPITAL PSI" },
  { 7467, "CYRILLIC LETTER SMALL CAPITAL EL" },
  { 7468, "MODIFIER LETTER CAPITAL A" },
  { 7469, "MODIFIER LETTER CAPITAL AE" },
  { 7470, "MODIFIER LETTER CAPITAL B" },
  { 7471, "MODIFIER LETTER CAPITAL BARRED B" },
  { 7472, "MODIFIER LETTER CAPITAL D" },
  { 7473, "MODIFIER LETTER CAPITAL E" },
  { 7474, "MODIFIER LETTER CAPITAL REVERSED E" },
  { 7475, "MODIFIER LETTER CAPITAL G" },
  { 7476, "MODIFIER LETTER CAPITAL H" },
  { 7477, "MODIFIER LETTER CAPITAL I" },
  { 7478, "MODIFIER LETTER CAPITAL J" },
  { 7479, "MODIFIER LETTER CAPITAL K" },
  { 7480, "MODIFIER LETTER CAPITAL L" },
  { 7481, "MODIFIER LETTER CAPITAL M" },
  { 7482, "MODIFIER LETTER CAPITAL N" },
  { 7483, "MODIFIER LETTER CAPITAL REVERSED N" },
  { 7484, "MODIFIER LETTER CAPITAL O" },
  { 7485, "MODIFIER LETTER CAPITAL OU" },
  { 7486, "MODIFIER LETTER CAPITAL P" },
  { 7487, "MODIFIER LETTER CAPITAL R" },
  { 7488, "MODIFIER LETTER CAPITAL T" },
  { 7489, "MODIFIER LETTER CAPITAL U" },
  { 7490, "MODIFIER LETTER CAPITAL W" },
  { 7491, "MODIFIER LETTER SMALL A" },
  { 7492, "MODIFIER LETTER SMALL TURNED A" },
  { 7493, "MODIFIER LETTER SMALL ALPHA" },
  { 7494, "MODIFIER LETTER SMALL TURNED AE" },
  { 7495, "MODIFIER LETTER SMALL B" },
  { 7496, "MODIFIER LETTER SMALL D" },
  { 7497, "MODIFIER LETTER SMALL E" },
  { 7498, "MODIFIER LETTER SMALL SCHWA" },
  { 7499, "MODIFIER LETTER SMALL OPEN E" },
  { 7500, "MODIFIER LETTER SMALL TURNED OPEN E" },
  { 7501, "MODIFIER LETTER SMALL G" },
  { 7502, "MODIFIER LETTER SMALL TURNED I" },
  { 7503, "MODIFIER LETTER SMALL K" },
  { 7504, "MODIFIER LETTER SMALL M" },
  { 7505, "MODIFIER LETTER SMALL ENG" },
  { 7506, "MODIFIER LETTER SMALL O" },
  { 7507, "MODIFIER LETTER SMALL OPEN O" },
  { 7508, "MODIFIER LETTER SMALL TOP HALF O" },
  { 7509, "MODIFIER LETTER SMALL BOTTOM HALF O" },
  { 7510, "MODIFIER LETTER SMALL P" },
  { 7511, "MODIFIER LETTER SMALL T" },
  { 7512, "MODIFIER LETTER SMALL U" },
  { 7513, "MODIFIER LETTER SMALL SIDEWAYS U" },
  { 7514, "MODIFIER LETTER SMALL TURNED M" },
  { 7515, "MODIFIER LETTER SMALL V" },
  { 7516, "MODIFIER LETTER SMALL AIN" },
  { 7517, "MODIFIER LETTER SMALL BETA" },
  { 7518, "MODIFIER LETTER SMALL GREEK GAMMA" },
  { 7519, "MODIFIER LETTER SMALL DELTA" },
  { 7520, "MODIFIER LETTER SMALL GREEK PHI" },
  { 7521, "MODIFIER LETTER SMALL CHI" },
  { 7522, "LATIN SUBSCRIPT SMALL LETTER I" },
  { 7523, "LATIN SUBSCRIPT SMALL LETTER R" },
  { 7524, "LATIN SUBSCRIPT SMALL LETTER U" },
  { 7525, "LATIN SUBSCRIPT SMALL LETTER V" },
  { 7526, "GREEK SUBSCRIPT SMALL LETTER BETA" },
  { 7527, "GREEK SUBSCRIPT SMALL LETTER GAMMA" },
  { 7528, "GREEK SUBSCRIPT SMALL LETTER RHO" },
  { 7529, "GREEK SUBSCRIPT SMALL LETTER PHI" },
  { 7530, "GREEK SUBSCRIPT SMALL LETTER CHI" },
  { 7531, "LATIN SMALL LETTER UE" },
  { 7532, "LATIN SMALL LETTER B WITH MIDDLE TILDE" },
  { 7533, "LATIN SMALL LETTER D WITH MIDDLE TILDE" },
  { 7534, "LATIN SMALL LETTER F WITH MIDDLE TILDE" },
  { 7535, "LATIN SMALL LETTER M WITH MIDDLE TILDE" },
  { 7536, "LATIN SMALL LETTER N WITH MIDDLE TILDE" },
  { 7537, "LATIN SMALL LETTER P WITH MIDDLE TILDE" },
  { 7538, "LATIN SMALL LETTER R WITH MIDDLE TILDE" },
  { 7539, "LATIN SMALL LETTER R WITH FISHHOOK AND MIDDLE TILDE" },
  { 7540, "LATIN SMALL LETTER S WITH MIDDLE TILDE" },
  { 7541, "LATIN SMALL LETTER T WITH MIDDLE TILDE" },
  { 7542, "LATIN SMALL LETTER Z WITH MIDDLE TILDE" },
  { 7543, "LATIN SMALL LETTER TURNED G" },
  { 7544, "MODIFIER LETTER CYRILLIC EN" },
  { 7545, "LATIN SMALL LETTER INSULAR G" },
  { 7546, "LATIN SMALL LETTER TH WITH STRIKETHROUGH" },
  { 7547, "LATIN SMALL CAPITAL LETTER I WITH STROKE" },
  { 7548, "LATIN SMALL LETTER IOTA WITH STROKE" },
  { 7549, "LATIN SMALL LETTER P WITH STROKE" },
  { 7550, "LATIN SMALL CAPITAL LETTER U WITH STROKE" },
  { 7551, "LATIN SMALL LETTER UPSILON WITH STROKE" },
  { 7552, "LATIN SMALL LETTER B WITH PALATAL HOOK" },
  { 7553, "LATIN SMALL LETTER D WITH PALATAL HOOK" },
  { 7554, "LATIN SMALL LETTER F WITH PALATAL HOOK" },
  { 7555, "LATIN SMALL LETTER G WITH PALATAL HOOK" },
  { 7556, "LATIN SMALL LETTER K WITH PALATAL HOOK" },
  { 7557, "LATIN SMALL LETTER L WITH PALATAL HOOK" },
  { 7558, "LATIN SMALL LETTER M WITH PALATAL HOOK" },
  { 7559, "LATIN SMALL LETTER N WITH PALATAL HOOK" },
  { 7560, "LATIN SMALL LETTER P WITH PALATAL HOOK" },
  { 7561, "LATIN SMALL LETTER R WITH PALATAL HOOK" },
  { 7562, "LATIN SMALL LETTER S WITH PALATAL HOOK" },
  { 7563, "LATIN SMALL LETTER ESH WITH PALATAL HOOK" },
  { 7564, "LATIN SMALL LETTER V WITH PALATAL HOOK" },
  { 7565, "LATIN SMALL LETTER X WITH PALATAL HOOK" },
  { 7566, "LATIN SMALL LETTER Z WITH PALATAL HOOK" },
  { 7567, "LATIN SMALL LETTER A WITH RETROFLEX HOOK" },
  { 7568, "LATIN SMALL LETTER ALPHA WITH RETROFLEX HOOK" },
  { 7569, "LATIN SMALL LETTER D WITH HOOK AND TAIL" },
  { 7570, "LATIN SMALL LETTER E WITH RETROFLEX HOOK" },
  { 7571, "LATIN SMALL LETTER OPEN E WITH RETROFLEX HOOK" },
  { 7572, "LATIN SMALL LETTER REVERSED OPEN E WITH RETROFLEX HOOK" },
  { 7573, "LATIN SMALL LETTER SCHWA WITH RETROFLEX HOOK" },
  { 7574, "LATIN SMALL LETTER I WITH RETROFLEX HOOK" },
  { 7575, "LATIN SMALL LETTER OPEN O WITH RETROFLEX HOOK" },
  { 7576, "LATIN SMALL LETTER ESH WITH RETROFLEX HOOK" },
  { 7577, "LATIN SMALL LETTER U WITH RETROFLEX HOOK" },
  { 7578, "LATIN SMALL LETTER EZH WITH RETROFLEX HOOK" },
  { 7579, "MODIFIER LETTER SMALL TURNED ALPHA" },
  { 7580, "MODIFIER LETTER SMALL C" },
  { 7581, "MODIFIER LETTER SMALL C WITH CURL" },
  { 7582, "MODIFIER LETTER SMALL ETH" },
  { 7583, "MODIFIER LETTER SMALL REVERSED OPEN E" },
  { 7584, "MODIFIER LETTER SMALL F" },
  { 7585, "MODIFIER LETTER SMALL DOTLESS J WITH STROKE" },
  { 7586, "MODIFIER LETTER SMALL SCRIPT G" },
  { 7587, "MODIFIER LETTER SMALL TURNED H" },
  { 7588, "MODIFIER LETTER SMALL I WITH STROKE" },
  { 7589, "MODIFIER LETTER SMALL IOTA" },
  { 7590, "MODIFIER LETTER SMALL CAPITAL I" },
  { 7591, "MODIFIER LETTER SMALL CAPITAL I WITH STROKE" },
  { 7592, "MODIFIER LETTER SMALL J WITH CROSSED-TAIL" },
  { 7593, "MODIFIER LETTER SMALL L WITH RETROFLEX HOOK" },
  { 7594, "MODIFIER LETTER SMALL L WITH PALATAL HOOK" },
  { 7595, "MODIFIER LETTER SMALL CAPITAL L" },
  { 7596, "MODIFIER LETTER SMALL M WITH HOOK" },
  { 7597, "MODIFIER LETTER SMALL TURNED M WITH LONG LEG" },
  { 7598, "MODIFIER LETTER SMALL N WITH LEFT HOOK" },
  { 7599, "MODIFIER LETTER SMALL N WITH RETROFLEX HOOK" },
  { 7600, "MODIFIER LETTER SMALL CAPITAL N" },
  { 7601, "MODIFIER LETTER SMALL BARRED O" },
  { 7602, "MODIFIER LETTER SMALL PHI" },
  { 7603, "MODIFIER LETTER SMALL S WITH HOOK" },
  { 7604, "MODIFIER LETTER SMALL ESH" },
  { 7605, "MODIFIER LETTER SMALL T WITH PALATAL HOOK" },
  { 7606, "MODIFIER LETTER SMALL U BAR" },
  { 7607, "MODIFIER LETTER SMALL UPSILON" },
  { 7608, "MODIFIER LETTER SMALL CAPITAL U" },
  { 7609, "MODIFIER LETTER SMALL V WITH HOOK" },
  { 7610, "MODIFIER LETTER SMALL TURNED V" },
  { 7611, "MODIFIER LETTER SMALL Z" },
  { 7612, "MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK" },
  { 7613, "MODIFIER LETTER SMALL Z WITH CURL" },
  { 7614, "MODIFIER LETTER SMALL EZH" },
  { 7615, "MODIFIER LETTER SMALL THETA" },
  { 7616, "COMBINING DOTTED GRAVE ACCENT" },
  { 7617, "COMBINING DOTTED ACUTE ACCENT" },
  { 7618, "COMBINING SNAKE BELOW" },
  { 7619, "COMBINING SUSPENSION MARK" },
  { 7620, "COMBINING MACRON-ACUTE" },
  { 7621, "COMBINING GRAVE-MACRON" },
  { 7622, "COMBINING MACRON-GRAVE" },
  { 7623, "COMBINING ACUTE-MACRON" },
  { 7624, "COMBINING GRAVE-ACUTE-GRAVE" },
  { 7625, "COMBINING ACUTE-GRAVE-ACUTE" },
  { 7626, "COMBINING LATIN SMALL LETTER R BELOW" },
  { 7627, "COMBINING BREVE-MACRON" },
  { 7628, "COMBINING MACRON-BREVE" },
  { 7629, "COMBINING DOUBLE CIRCUMFLEX ABOVE" },
  { 7630, "COMBINING OGONEK ABOVE" },
  { 7631, "COMBINING ZIGZAG BELOW" },
  { 7632, "COMBINING IS BELOW" },
  { 7633, "COMBINING UR ABOVE" },
  { 7634, "COMBINING US ABOVE" },
  { 7635, "COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE" },
  { 7636, "COMBINING LATIN SMALL LETTER AE" },
  { 7637, "COMBINING LATIN SMALL LETTER AO" },
  { 7638, "COMBINING LATIN SMALL LETTER AV" },
  { 7639, "COMBINING LATIN SMALL LETTER C CEDILLA" },
  { 7640, "COMBINING LATIN SMALL LETTER INSULAR D" },
  { 7641, "COMBINING LATIN SMALL LETTER ETH" },
  { 7642, "COMBINING LATIN SMALL LETTER G" },
  { 7643, "COMBINING LATIN LETTER SMALL CAPITAL G" },
  { 7644, "COMBINING LATIN SMALL LETTER K" },
  { 7645, "COMBINING LATIN SMALL LETTER L" },
  { 7646, "COMBINING LATIN LETTER SMALL CAPITAL L" },
  { 7647, "COMBINING LATIN LETTER SMALL CAPITAL M" },
  { 7648, "COMBINING LATIN SMALL LETTER N" },
  { 7649, "COMBINING LATIN LETTER SMALL CAPITAL N" },
  { 7650, "COMBINING LATIN LETTER SMALL CAPITAL R" },
  { 7651, "COMBINING LATIN SMALL LETTER R ROTUNDA" },
  { 7652, "COMBINING LATIN SMALL LETTER S" },
  { 7653, "COMBINING LATIN SMALL LETTER LONG S" },
  { 7654, "COMBINING LATIN SMALL LETTER Z" },
  { 7678, "COMBINING LEFT ARROWHEAD ABOVE" },
  { 7679, "COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW" },
  { 7680, "LATIN CAPITAL LETTER A WITH RING BELOW" },
  { 7681, "LATIN SMALL LETTER A WITH RING BELOW" },
  { 7682, "LATIN CAPITAL LETTER B WITH DOT ABOVE" },
  { 7683, "LATIN SMALL LETTER B WITH DOT ABOVE" },
  { 7684, "LATIN CAPITAL LETTER B WITH DOT BELOW" },
  { 7685, "LATIN SMALL LETTER B WITH DOT BELOW" },
  { 7686, "LATIN CAPITAL LETTER B WITH LINE BELOW" },
  { 7687, "LATIN SMALL LETTER B WITH LINE BELOW" },
  { 7688, "LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE" },
  { 7689, "LATIN SMALL LETTER C WITH CEDILLA AND ACUTE" },
  { 7690, "LATIN CAPITAL LETTER D WITH DOT ABOVE" },
  { 7691, "LATIN SMALL LETTER D WITH DOT ABOVE" },
  { 7692, "LATIN CAPITAL LETTER D WITH DOT BELOW" },
  { 7693, "LATIN SMALL LETTER D WITH DOT BELOW" },
  { 7694, "LATIN CAPITAL LETTER D WITH LINE BELOW" },
  { 7695, "LATIN SMALL LETTER D WITH LINE BELOW" },
  { 7696, "LATIN CAPITAL LETTER D WITH CEDILLA" },
  { 7697, "LATIN SMALL LETTER D WITH CEDILLA" },
  { 7698, "LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW" },
  { 7699, "LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW" },
  { 7700, "LATIN CAPITAL LETTER E WITH MACRON AND GRAVE" },
  { 7701, "LATIN SMALL LETTER E WITH MACRON AND GRAVE" },
  { 7702, "LATIN CAPITAL LETTER E WITH MACRON AND ACUTE" },
  { 7703, "LATIN SMALL LETTER E WITH MACRON AND ACUTE" },
  { 7704, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW" },
  { 7705, "LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW" },
  { 7706, "LATIN CAPITAL LETTER E WITH TILDE BELOW" },
  { 7707, "LATIN SMALL LETTER E WITH TILDE BELOW" },
  { 7708, "LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE" },
  { 7709, "LATIN SMALL LETTER E WITH CEDILLA AND BREVE" },
  { 7710, "LATIN CAPITAL LETTER F WITH DOT ABOVE" },
  { 7711, "LATIN SMALL LETTER F WITH DOT ABOVE" },
  { 7712, "LATIN CAPITAL LETTER G WITH MACRON" },
  { 7713, "LATIN SMALL LETTER G WITH MACRON" },
  { 7714, "LATIN CAPITAL LETTER H WITH DOT ABOVE" },
  { 7715, "LATIN SMALL LETTER H WITH DOT ABOVE" },
  { 7716, "LATIN CAPITAL LETTER H WITH DOT BELOW" },
  { 7717, "LATIN SMALL LETTER H WITH DOT BELOW" },
  { 7718, "LATIN CAPITAL LETTER H WITH DIAERESIS" },
  { 7719, "LATIN SMALL LETTER H WITH DIAERESIS" },
  { 7720, "LATIN CAPITAL LETTER H WITH CEDILLA" },
  { 7721, "LATIN SMALL LETTER H WITH CEDILLA" },
  { 7722, "LATIN CAPITAL LETTER H WITH BREVE BELOW" },
  { 7723, "LATIN SMALL LETTER H WITH BREVE BELOW" },
  { 7724, "LATIN CAPITAL LETTER I WITH TILDE BELOW" },
  { 7725, "LATIN SMALL LETTER I WITH TILDE BELOW" },
  { 7726, "LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE" },
  { 7727, "LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE" },
  { 7728, "LATIN CAPITAL LETTER K WITH ACUTE" },
  { 7729, "LATIN SMALL LETTER K WITH ACUTE" },
  { 7730, "LATIN CAPITAL LETTER K WITH DOT BELOW" },
  { 7731, "LATIN SMALL LETTER K WITH DOT BELOW" },
  { 7732, "LATIN CAPITAL LETTER K WITH LINE BELOW" },
  { 7733, "LATIN SMALL LETTER K WITH LINE BELOW" },
  { 7734, "LATIN CAPITAL LETTER L WITH DOT BELOW" },
  { 7735, "LATIN SMALL LETTER L WITH DOT BELOW" },
  { 7736, "LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON" },
  { 7737, "LATIN SMALL LETTER L WITH DOT BELOW AND MACRON" },
  { 7738, "LATIN CAPITAL LETTER L WITH LINE BELOW" },
  { 7739, "LATIN SMALL LETTER L WITH LINE BELOW" },
  { 7740, "LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW" },
  { 7741, "LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW" },
  { 7742, "LATIN CAPITAL LETTER M WITH ACUTE" },
  { 7743, "LATIN SMALL LETTER M WITH ACUTE" },
  { 7744, "LATIN CAPITAL LETTER M WITH DOT ABOVE" },
  { 7745, "LATIN SMALL LETTER M WITH DOT ABOVE" },
  { 7746, "LATIN CAPITAL LETTER M WITH DOT BELOW" },
  { 7747, "LATIN SMALL LETTER M WITH DOT BELOW" },
  { 7748, "LATIN CAPITAL LETTER N WITH DOT ABOVE" },
  { 7749, "LATIN SMALL LETTER N WITH DOT ABOVE" },
  { 7750, "LATIN CAPITAL LETTER N WITH DOT BELOW" },
  { 7751, "LATIN SMALL LETTER N WITH DOT BELOW" },
  { 7752, "LATIN CAPITAL LETTER N WITH LINE BELOW" },
  { 7753, "LATIN SMALL LETTER N WITH LINE BELOW" },
  { 7754, "LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW" },
  { 7755, "LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW" },
  { 7756, "LATIN CAPITAL LETTER O WITH TILDE AND ACUTE" },
  { 7757, "LATIN SMALL LETTER O WITH TILDE AND ACUTE" },
  { 7758, "LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS" },
  { 7759, "LATIN SMALL LETTER O WITH TILDE AND DIAERESIS" },
  { 7760, "LATIN CAPITAL LETTER O WITH MACRON AND GRAVE" },
  { 7761, "LATIN SMALL LETTER O WITH MACRON AND GRAVE" },
  { 7762, "LATIN CAPITAL LETTER O WITH MACRON AND ACUTE" },
  { 7763, "LATIN SMALL LETTER O WITH MACRON AND ACUTE" },
  { 7764, "LATIN CAPITAL LETTER P WITH ACUTE" },
  { 7765, "LATIN SMALL LETTER P WITH ACUTE" },
  { 7766, "LATIN CAPITAL LETTER P WITH DOT ABOVE" },
  { 7767, "LATIN SMALL LETTER P WITH DOT ABOVE" },
  { 7768, "LATIN CAPITAL LETTER R WITH DOT ABOVE" },
  { 7769, "LATIN SMALL LETTER R WITH DOT ABOVE" },
  { 7770, "LATIN CAPITAL LETTER R WITH DOT BELOW" },
  { 7771, "LATIN SMALL LETTER R WITH DOT BELOW" },
  { 7772, "LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON" },
  { 7773, "LATIN SMALL LETTER R WITH DOT BELOW AND MACRON" },
  { 7774, "LATIN CAPITAL LETTER R WITH LINE BELOW" },
  { 7775, "LATIN SMALL LETTER R WITH LINE BELOW" },
  { 7776, "LATIN CAPITAL LETTER S WITH DOT ABOVE" },
  { 7777, "LATIN SMALL LETTER S WITH DOT ABOVE" },
  { 7778, "LATIN CAPITAL LETTER S WITH DOT BELOW" },
  { 7779, "LATIN SMALL LETTER S WITH DOT BELOW" },
  { 7780, "LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE" },
  { 7781, "LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE" },
  { 7782, "LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE" },
  { 7783, "LATIN SMALL LETTER S WITH CARON AND DOT ABOVE" },
  { 7784, "LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE" },
  { 7785, "LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE" },
  { 7786, "LATIN CAPITAL LETTER T WITH DOT ABOVE" },
  { 7787, "LATIN SMALL LETTER T WITH DOT ABOVE" },
  { 7788, "LATIN CAPITAL LETTER T WITH DOT BELOW" },
  { 7789, "LATIN SMALL LETTER T WITH DOT BELOW" },
  { 7790, "LATIN CAPITAL LETTER T WITH LINE BELOW" },
  { 7791, "LATIN SMALL LETTER T WITH LINE BELOW" },
  { 7792, "LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW" },
  { 7793, "LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW" },
  { 7794, "LATIN CAPITAL LETTER U WITH DIAERESIS BELOW" },
  { 7795, "LATIN SMALL LETTER U WITH DIAERESIS BELOW" },
  { 7796, "LATIN CAPITAL LETTER U WITH TILDE BELOW" },
  { 7797, "LATIN SMALL LETTER U WITH TILDE BELOW" },
  { 7798, "LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW" },
  { 7799, "LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW" },
  { 7800, "LATIN CAPITAL LETTER U WITH TILDE AND ACUTE" },
  { 7801, "LATIN SMALL LETTER U WITH TILDE AND ACUTE" },
  { 7802, "LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS" },
  { 7803, "LATIN SMALL LETTER U WITH MACRON AND DIAERESIS" },
  { 7804, "LATIN CAPITAL LETTER V WITH TILDE" },
  { 7805, "LATIN SMALL LETTER V WITH TILDE" },
  { 7806, "LATIN CAPITAL LETTER V WITH DOT BELOW" },
  { 7807, "LATIN SMALL LETTER V WITH DOT BELOW" },
  { 7808, "LATIN CAPITAL LETTER W WITH GRAVE" },
  { 7809, "LATIN SMALL LETTER W WITH GRAVE" },
  { 7810, "LATIN CAPITAL LETTER W WITH ACUTE" },
  { 7811, "LATIN SMALL LETTER W WITH ACUTE" },
  { 7812, "LATIN CAPITAL LETTER W WITH DIAERESIS" },
  { 7813, "LATIN SMALL LETTER W WITH DIAERESIS" },
  { 7814, "LATIN CAPITAL LETTER W WITH DOT ABOVE" },
  { 7815, "LATIN SMALL LETTER W WITH DOT ABOVE" },
  { 7816, "LATIN CAPITAL LETTER W WITH DOT BELOW" },
  { 7817, "LATIN SMALL LETTER W WITH DOT BELOW" },
  { 7818, "LATIN CAPITAL LETTER X WITH DOT ABOVE" },
  { 7819, "LATIN SMALL LETTER X WITH DOT ABOVE" },
  { 7820, "LATIN CAPITAL LETTER X WITH DIAERESIS" },
  { 7821, "LATIN SMALL LETTER X WITH DIAERESIS" },
  { 7822, "LATIN CAPITAL LETTER Y WITH DOT ABOVE" },
  { 7823, "LATIN SMALL LETTER Y WITH DOT ABOVE" },
  { 7824, "LATIN CAPITAL LETTER Z WITH CIRCUMFLEX" },
  { 7825, "LATIN SMALL LETTER Z WITH CIRCUMFLEX" },
  { 7826, "LATIN CAPITAL LETTER Z WITH DOT BELOW" },
  { 7827, "LATIN SMALL LETTER Z WITH DOT BELOW" },
  { 7828, "LATIN CAPITAL LETTER Z WITH LINE BELOW" },
  { 7829, "LATIN SMALL LETTER Z WITH LINE BELOW" },
  { 7830, "LATIN SMALL LETTER H WITH LINE BELOW" },
  { 7831, "LATIN SMALL LETTER T WITH DIAERESIS" },
  { 7832, "LATIN SMALL LETTER W WITH RING ABOVE" },
  { 7833, "LATIN SMALL LETTER Y WITH RING ABOVE" },
  { 7834, "LATIN SMALL LETTER A WITH RIGHT HALF RING" },
  { 7835, "LATIN SMALL LETTER LONG S WITH DOT ABOVE" },
  { 7836, "LATIN SMALL LETTER LONG S WITH DIAGONAL STROKE" },
  { 7837, "LATIN SMALL LETTER LONG S WITH HIGH STROKE" },
  { 7838, "LATIN CAPITAL LETTER SHARP S" },
  { 7839, "LATIN SMALL LETTER DELTA" },
  { 7840, "LATIN CAPITAL LETTER A WITH DOT BELOW" },
  { 7841, "LATIN SMALL LETTER A WITH DOT BELOW" },
  { 7842, "LATIN CAPITAL LETTER A WITH HOOK ABOVE" },
  { 7843, "LATIN SMALL LETTER A WITH HOOK ABOVE" },
  { 7844, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE" },
  { 7845, "LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE" },
  { 7846, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE" },
  { 7847, "LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE" },
  { 7848, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7849, "LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7850, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE" },
  { 7851, "LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE" },
  { 7852, "LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW" },
  { 7853, "LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW" },
  { 7854, "LATIN CAPITAL LETTER A WITH BREVE AND ACUTE" },
  { 7855, "LATIN SMALL LETTER A WITH BREVE AND ACUTE" },
  { 7856, "LATIN CAPITAL LETTER A WITH BREVE AND GRAVE" },
  { 7857, "LATIN SMALL LETTER A WITH BREVE AND GRAVE" },
  { 7858, "LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE" },
  { 7859, "LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE" },
  { 7860, "LATIN CAPITAL LETTER A WITH BREVE AND TILDE" },
  { 7861, "LATIN SMALL LETTER A WITH BREVE AND TILDE" },
  { 7862, "LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW" },
  { 7863, "LATIN SMALL LETTER A WITH BREVE AND DOT BELOW" },
  { 7864, "LATIN CAPITAL LETTER E WITH DOT BELOW" },
  { 7865, "LATIN SMALL LETTER E WITH DOT BELOW" },
  { 7866, "LATIN CAPITAL LETTER E WITH HOOK ABOVE" },
  { 7867, "LATIN SMALL LETTER E WITH HOOK ABOVE" },
  { 7868, "LATIN CAPITAL LETTER E WITH TILDE" },
  { 7869, "LATIN SMALL LETTER E WITH TILDE" },
  { 7870, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE" },
  { 7871, "LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE" },
  { 7872, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE" },
  { 7873, "LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE" },
  { 7874, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7875, "LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7876, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE" },
  { 7877, "LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE" },
  { 7878, "LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW" },
  { 7879, "LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW" },
  { 7880, "LATIN CAPITAL LETTER I WITH HOOK ABOVE" },
  { 7881, "LATIN SMALL LETTER I WITH HOOK ABOVE" },
  { 7882, "LATIN CAPITAL LETTER I WITH DOT BELOW" },
  { 7883, "LATIN SMALL LETTER I WITH DOT BELOW" },
  { 7884, "LATIN CAPITAL LETTER O WITH DOT BELOW" },
  { 7885, "LATIN SMALL LETTER O WITH DOT BELOW" },
  { 7886, "LATIN CAPITAL LETTER O WITH HOOK ABOVE" },
  { 7887, "LATIN SMALL LETTER O WITH HOOK ABOVE" },
  { 7888, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE" },
  { 7889, "LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE" },
  { 7890, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE" },
  { 7891, "LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE" },
  { 7892, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7893, "LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE" },
  { 7894, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE" },
  { 7895, "LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE" },
  { 7896, "LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW" },
  { 7897, "LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW" },
  { 7898, "LATIN CAPITAL LETTER O WITH HORN AND ACUTE" },
  { 7899, "LATIN SMALL LETTER O WITH HORN AND ACUTE" },
  { 7900, "LATIN CAPITAL LETTER O WITH HORN AND GRAVE" },
  { 7901, "LATIN SMALL LETTER O WITH HORN AND GRAVE" },
  { 7902, "LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE" },
  { 7903, "LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE" },
  { 7904, "LATIN CAPITAL LETTER O WITH HORN AND TILDE" },
  { 7905, "LATIN SMALL LETTER O WITH HORN AND TILDE" },
  { 7906, "LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW" },
  { 7907, "LATIN SMALL LETTER O WITH HORN AND DOT BELOW" },
  { 7908, "LATIN CAPITAL LETTER U WITH DOT BELOW" },
  { 7909, "LATIN SMALL LETTER U WITH DOT BELOW" },
  { 7910, "LATIN CAPITAL LETTER U WITH HOOK ABOVE" },
  { 7911, "LATIN SMALL LETTER U WITH HOOK ABOVE" },
  { 7912, "LATIN CAPITAL LETTER U WITH HORN AND ACUTE" },
  { 7913, "LATIN SMALL LETTER U WITH HORN AND ACUTE" },
  { 7914, "LATIN CAPITAL LETTER U WITH HORN AND GRAVE" },
  { 7915, "LATIN SMALL LETTER U WITH HORN AND GRAVE" },
  { 7916, "LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE" },
  { 7917, "LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE" },
  { 7918, "LATIN CAPITAL LETTER U WITH HORN AND TILDE" },
  { 7919, "LATIN SMALL LETTER U WITH HORN AND TILDE" },
  { 7920, "LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW" },
  { 7921, "LATIN SMALL LETTER U WITH HORN AND DOT BELOW" },
  { 7922, "LATIN CAPITAL LETTER Y WITH GRAVE" },
  { 7923, "LATIN SMALL LETTER Y WITH GRAVE" },
  { 7924, "LATIN CAPITAL LETTER Y WITH DOT BELOW" },
  { 7925, "LATIN SMALL LETTER Y WITH DOT BELOW" },
  { 7926, "LATIN CAPITAL LETTER Y WITH HOOK ABOVE" },
  { 7927, "LATIN SMALL LETTER Y WITH HOOK ABOVE" },
  { 7928, "LATIN CAPITAL LETTER Y WITH TILDE" },
  { 7929, "LATIN SMALL LETTER Y WITH TILDE" },
  { 7930, "LATIN CAPITAL LETTER MIDDLE-WELSH LL" },
  { 7931, "LATIN SMALL LETTER MIDDLE-WELSH LL" },
  { 7932, "LATIN CAPITAL LETTER MIDDLE-WELSH V" },
  { 7933, "LATIN SMALL LETTER MIDDLE-WELSH V" },
  { 7934, "LATIN CAPITAL LETTER Y WITH LOOP" },
  { 7935, "LATIN SMALL LETTER Y WITH LOOP" },
  { 7936, "GREEK SMALL LETTER ALPHA WITH PSILI" },
  { 7937, "GREEK SMALL LETTER ALPHA WITH DASIA" },
  { 7938, "GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA" },
  { 7939, "GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA" },
  { 7940, "GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA" },
  { 7941, "GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA" },
  { 7942, "GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI" },
  { 7943, "GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI" },
  { 7944, "GREEK CAPITAL LETTER ALPHA WITH PSILI" },
  { 7945, "GREEK CAPITAL LETTER ALPHA WITH DASIA" },
  { 7946, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA" },
  { 7947, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA" },
  { 7948, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA" },
  { 7949, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA" },
  { 7950, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI" },
  { 7951, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI" },
  { 7952, "GREEK SMALL LETTER EPSILON WITH PSILI" },
  { 7953, "GREEK SMALL LETTER EPSILON WITH DASIA" },
  { 7954, "GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA" },
  { 7955, "GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA" },
  { 7956, "GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA" },
  { 7957, "GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA" },
  { 7960, "GREEK CAPITAL LETTER EPSILON WITH PSILI" },
  { 7961, "GREEK CAPITAL LETTER EPSILON WITH DASIA" },
  { 7962, "GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA" },
  { 7963, "GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA" },
  { 7964, "GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA" },
  { 7965, "GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA" },
  { 7968, "GREEK SMALL LETTER ETA WITH PSILI" },
  { 7969, "GREEK SMALL LETTER ETA WITH DASIA" },
  { 7970, "GREEK SMALL LETTER ETA WITH PSILI AND VARIA" },
  { 7971, "GREEK SMALL LETTER ETA WITH DASIA AND VARIA" },
  { 7972, "GREEK SMALL LETTER ETA WITH PSILI AND OXIA" },
  { 7973, "GREEK SMALL LETTER ETA WITH DASIA AND OXIA" },
  { 7974, "GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI" },
  { 7975, "GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI" },
  { 7976, "GREEK CAPITAL LETTER ETA WITH PSILI" },
  { 7977, "GREEK CAPITAL LETTER ETA WITH DASIA" },
  { 7978, "GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA" },
  { 7979, "GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA" },
  { 7980, "GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA" },
  { 7981, "GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA" },
  { 7982, "GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI" },
  { 7983, "GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI" },
  { 7984, "GREEK SMALL LETTER IOTA WITH PSILI" },
  { 7985, "GREEK SMALL LETTER IOTA WITH DASIA" },
  { 7986, "GREEK SMALL LETTER IOTA WITH PSILI AND VARIA" },
  { 7987, "GREEK SMALL LETTER IOTA WITH DASIA AND VARIA" },
  { 7988, "GREEK SMALL LETTER IOTA WITH PSILI AND OXIA" },
  { 7989, "GREEK SMALL LETTER IOTA WITH DASIA AND OXIA" },
  { 7990, "GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI" },
  { 7991, "GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI" },
  { 7992, "GREEK CAPITAL LETTER IOTA WITH PSILI" },
  { 7993, "GREEK CAPITAL LETTER IOTA WITH DASIA" },
  { 7994, "GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA" },
  { 7995, "GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA" },
  { 7996, "GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA" },
  { 7997, "GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA" },
  { 7998, "GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI" },
  { 7999, "GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI" },
  { 8000, "GREEK SMALL LETTER OMICRON WITH PSILI" },
  { 8001, "GREEK SMALL LETTER OMICRON WITH DASIA" },
  { 8002, "GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA" },
  { 8003, "GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA" },
  { 8004, "GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA" },
  { 8005, "GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA" },
  { 8008, "GREEK CAPITAL LETTER OMICRON WITH PSILI" },
  { 8009, "GREEK CAPITAL LETTER OMICRON WITH DASIA" },
  { 8010, "GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA" },
  { 8011, "GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA" },
  { 8012, "GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA" },
  { 8013, "GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA" },
  { 8016, "GREEK SMALL LETTER UPSILON WITH PSILI" },
  { 8017, "GREEK SMALL LETTER UPSILON WITH DASIA" },
  { 8018, "GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA" },
  { 8019, "GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA" },
  { 8020, "GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA" },
  { 8021, "GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA" },
  { 8022, "GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI" },
  { 8023, "GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI" },
  { 8025, "GREEK CAPITAL LETTER UPSILON WITH DASIA" },
  { 8027, "GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA" },
  { 8029, "GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA" },
  { 8031, "GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI" },
  { 8032, "GREEK SMALL LETTER OMEGA WITH PSILI" },
  { 8033, "GREEK SMALL LETTER OMEGA WITH DASIA" },
  { 8034, "GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA" },
  { 8035, "GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA" },
  { 8036, "GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA" },
  { 8037, "GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA" },
  { 8038, "GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI" },
  { 8039, "GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI" },
  { 8040, "GREEK CAPITAL LETTER OMEGA WITH PSILI" },
  { 8041, "GREEK CAPITAL LETTER OMEGA WITH DASIA" },
  { 8042, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA" },
  { 8043, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA" },
  { 8044, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA" },
  { 8045, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA" },
  { 8046, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI" },
  { 8047, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI" },
  { 8048, "GREEK SMALL LETTER ALPHA WITH VARIA" },
  { 8049, "GREEK SMALL LETTER ALPHA WITH OXIA" },
  { 8050, "GREEK SMALL LETTER EPSILON WITH VARIA" },
  { 8051, "GREEK SMALL LETTER EPSILON WITH OXIA" },
  { 8052, "GREEK SMALL LETTER ETA WITH VARIA" },
  { 8053, "GREEK SMALL LETTER ETA WITH OXIA" },
  { 8054, "GREEK SMALL LETTER IOTA WITH VARIA" },
  { 8055, "GREEK SMALL LETTER IOTA WITH OXIA" },
  { 8056, "GREEK SMALL LETTER OMICRON WITH VARIA" },
  { 8057, "GREEK SMALL LETTER OMICRON WITH OXIA" },
  { 8058, "GREEK SMALL LETTER UPSILON WITH VARIA" },
  { 8059, "GREEK SMALL LETTER UPSILON WITH OXIA" },
  { 8060, "GREEK SMALL LETTER OMEGA WITH VARIA" },
  { 8061, "GREEK SMALL LETTER OMEGA WITH OXIA" },
  { 8064, "GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI" },
  { 8065, "GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI" },
  { 8066, "GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI" },
  { 8067, "GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI" },
  { 8068, "GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI" },
  { 8069, "GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI" },
  { 8070, "GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8071, "GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8072, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI" },
  { 8073, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI" },
  { 8074, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI" },
  { 8075, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI" },
  { 8076, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI" },
  { 8077, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI" },
  { 8078, "GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8079, "GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8080, "GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI" },
  { 8081, "GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI" },
  { 8082, "GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI" },
  { 8083, "GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI" },
  { 8084, "GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI" },
  { 8085, "GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI" },
  { 8086, "GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8087, "GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8088, "GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI" },
  { 8089, "GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI" },
  { 8090, "GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI" },
  { 8091, "GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI" },
  { 8092, "GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI" },
  { 8093, "GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI" },
  { 8094, "GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8095, "GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8096, "GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI" },
  { 8097, "GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI" },
  { 8098, "GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI" },
  { 8099, "GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI" },
  { 8100, "GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI" },
  { 8101, "GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI" },
  { 8102, "GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8103, "GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI" },
  { 8104, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI" },
  { 8105, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI" },
  { 8106, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI" },
  { 8107, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI" },
  { 8108, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI" },
  { 8109, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI" },
  { 8110, "GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8111, "GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI" },
  { 8112, "GREEK SMALL LETTER ALPHA WITH VRACHY" },
  { 8113, "GREEK SMALL LETTER ALPHA WITH MACRON" },
  { 8114, "GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI" },
  { 8115, "GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI" },
  { 8116, "GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI" },
  { 8118, "GREEK SMALL LETTER ALPHA WITH PERISPOMENI" },
  { 8119, "GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI" },
  { 8120, "GREEK CAPITAL LETTER ALPHA WITH VRACHY" },
  { 8121, "GREEK CAPITAL LETTER ALPHA WITH MACRON" },
  { 8122, "GREEK CAPITAL LETTER ALPHA WITH VARIA" },
  { 8123, "GREEK CAPITAL LETTER ALPHA WITH OXIA" },
  { 8124, "GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI" },
  { 8125, "GREEK KORONIS" },
  { 8126, "GREEK PROSGEGRAMMENI" },
  { 8127, "GREEK PSILI" },
  { 8128, "GREEK PERISPOMENI" },
  { 8129, "GREEK DIALYTIKA AND PERISPOMENI" },
  { 8130, "GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI" },
  { 8131, "GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI" },
  { 8132, "GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI" },
  { 8134, "GREEK SMALL LETTER ETA WITH PERISPOMENI" },
  { 8135, "GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI" },
  { 8136, "GREEK CAPITAL LETTER EPSILON WITH VARIA" },
  { 8137, "GREEK CAPITAL LETTER EPSILON WITH OXIA" },
  { 8138, "GREEK CAPITAL LETTER ETA WITH VARIA" },
  { 8139, "GREEK CAPITAL LETTER ETA WITH OXIA" },
  { 8140, "GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI" },
  { 8141, "GREEK PSILI AND VARIA" },
  { 8142, "GREEK PSILI AND OXIA" },
  { 8143, "GREEK PSILI AND PERISPOMENI" },
  { 8144, "GREEK SMALL LETTER IOTA WITH VRACHY" },
  { 8145, "GREEK SMALL LETTER IOTA WITH MACRON" },
  { 8146, "GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA" },
  { 8147, "GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA" },
  { 8150, "GREEK SMALL LETTER IOTA WITH PERISPOMENI" },
  { 8151, "GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI" },
  { 8152, "GREEK CAPITAL LETTER IOTA WITH VRACHY" },
  { 8153, "GREEK CAPITAL LETTER IOTA WITH MACRON" },
  { 8154, "GREEK CAPITAL LETTER IOTA WITH VARIA" },
  { 8155, "GREEK CAPITAL LETTER IOTA WITH OXIA" },
  { 8157, "GREEK DASIA AND VARIA" },
  { 8158, "GREEK DASIA AND OXIA" },
  { 8159, "GREEK DASIA AND PERISPOMENI" },
  { 8160, "GREEK SMALL LETTER UPSILON WITH VRACHY" },
  { 8161, "GREEK SMALL LETTER UPSILON WITH MACRON" },
  { 8162, "GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA" },
  { 8163, "GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA" },
  { 8164, "GREEK SMALL LETTER RHO WITH PSILI" },
  { 8165, "GREEK SMALL LETTER RHO WITH DASIA" },
  { 8166, "GREEK SMALL LETTER UPSILON WITH PERISPOMENI" },
  { 8167, "GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI" },
  { 8168, "GREEK CAPITAL LETTER UPSILON WITH VRACHY" },
  { 8169, "GREEK CAPITAL LETTER UPSILON WITH MACRON" },
  { 8170, "GREEK CAPITAL LETTER UPSILON WITH VARIA" },
  { 8171, "GREEK CAPITAL LETTER UPSILON WITH OXIA" },
  { 8172, "GREEK CAPITAL LETTER RHO WITH DASIA" },
  { 8173, "GREEK DIALYTIKA AND VARIA" },
  { 8174, "GREEK DIALYTIKA AND OXIA" },
  { 8175, "GREEK VARIA" },
  { 8178, "GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI" },
  { 8179, "GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI" },
  { 8180, "GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI" },
  { 8182, "GREEK SMALL LETTER OMEGA WITH PERISPOMENI" },
  { 8183, "GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI" },
  { 8184, "GREEK CAPITAL LETTER OMICRON WITH VARIA" },
  { 8185, "GREEK CAPITAL LETTER OMICRON WITH OXIA" },
  { 8186, "GREEK CAPITAL LETTER OMEGA WITH VARIA" },
  { 8187, "GREEK CAPITAL LETTER OMEGA WITH OXIA" },
  { 8188, "GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI" },
  { 8189, "GREEK OXIA" },
  { 8190, "GREEK DASIA" },
  { 8192, "EN QUAD" },
  { 8193, "EM QUAD" },
  { 8194, "EN SPACE" },
  { 8195, "EM SPACE" },
  { 8196, "THREE-PER-EM SPACE" },
  { 8197, "FOUR-PER-EM SPACE" },
  { 8198, "SIX-PER-EM SPACE" },
  { 8199, "FIGURE SPACE" },
  { 8200, "PUNCTUATION SPACE" },
  { 8201, "THIN SPACE" },
  { 8202, "HAIR SPACE" },
  { 8203, "ZERO WIDTH SPACE" },
  { 8204, "ZERO WIDTH NON-JOINER" },
  { 8205, "ZERO WIDTH JOINER" },
  { 8206, "LEFT-TO-RIGHT MARK" },
  { 8207, "RIGHT-TO-LEFT MARK" },
  { 8208, "HYPHEN" },
  { 8209, "NON-BREAKING HYPHEN" },
  { 8210, "FIGURE DASH" },
  { 8211, "EN DASH" },
  { 8212, "EM DASH" },
  { 8213, "HORIZONTAL BAR" },
  { 8214, "DOUBLE VERTICAL LINE" },
  { 8215, "DOUBLE LOW LINE" },
  { 8216, "LEFT SINGLE QUOTATION MARK" },
  { 8217, "RIGHT SINGLE QUOTATION MARK" },
  { 8218, "SINGLE LOW-9 QUOTATION MARK" },
  { 8219, "SINGLE HIGH-REVERSED-9 QUOTATION MARK" },
  { 8220, "LEFT DOUBLE QUOTATION MARK" },
  { 8221, "RIGHT DOUBLE QUOTATION MARK" },
  { 8222, "DOUBLE LOW-9 QUOTATION MARK" },
  { 8223, "DOUBLE HIGH-REVERSED-9 QUOTATION MARK" },
  { 8224, "DAGGER" },
  { 8225, "DOUBLE DAGGER" },
  { 8226, "BULLET" },
  { 8227, "TRIANGULAR BULLET" },
  { 8228, "ONE DOT LEADER" },
  { 8229, "TWO DOT LEADER" },
  { 8230, "HORIZONTAL ELLIPSIS" },
  { 8231, "HYPHENATION POINT" },
  { 8232, "LINE SEPARATOR" },
  { 8233, "PARAGRAPH SEPARATOR" },
  { 8234, "LEFT-TO-RIGHT EMBEDDING" },
  { 8235, "RIGHT-TO-LEFT EMBEDDING" },
  { 8236, "POP DIRECTIONAL FORMATTING" },
  { 8237, "LEFT-TO-RIGHT OVERRIDE" },
  { 8238, "RIGHT-TO-LEFT OVERRIDE" },
  { 8239, "NARROW NO-BREAK SPACE" },
  { 8240, "PER MILLE SIGN" },
  { 8241, "PER TEN THOUSAND SIGN" },
  { 8242, "PRIME" },
  { 8243, "DOUBLE PRIME" },
  { 8244, "TRIPLE PRIME" },
  { 8245, "REVERSED PRIME" },
  { 8246, "REVERSED DOUBLE PRIME" },
  { 8247, "REVERSED TRIPLE PRIME" },
  { 8248, "CARET" },
  { 8249, "SINGLE LEFT-POINTING ANGLE QUOTATION MARK" },
  { 8250, "SINGLE RIGHT-POINTING ANGLE QUOTATION MARK" },
  { 8251, "REFERENCE MARK" },
  { 8252, "DOUBLE EXCLAMATION MARK" },
  { 8253, "INTERROBANG" },
  { 8254, "OVERLINE" },
  { 8255, "UNDERTIE" },
  { 8256, "CHARACTER TIE" },
  { 8257, "CARET INSERTION POINT" },
  { 8258, "ASTERISM" },
  { 8259, "HYPHEN BULLET" },
  { 8260, "FRACTION SLASH" },
  { 8261, "LEFT SQUARE BRACKET WITH QUILL" },
  { 8262, "RIGHT SQUARE BRACKET WITH QUILL" },
  { 8263, "DOUBLE QUESTION MARK" },
  { 8264, "QUESTION EXCLAMATION MARK" },
  { 8265, "EXCLAMATION QUESTION MARK" },
  { 8266, "TIRONIAN SIGN ET" },
  { 8267, "REVERSED PILCROW SIGN" },
  { 8268, "BLACK LEFTWARDS BULLET" },
  { 8269, "BLACK RIGHTWARDS BULLET" },
  { 8270, "LOW ASTERISK" },
  { 8271, "REVERSED SEMICOLON" },
  { 8272, "CLOSE UP" },
  { 8273, "TWO ASTERISKS ALIGNED VERTICALLY" },
  { 8274, "COMMERCIAL MINUS SIGN" },
  { 8275, "SWUNG DASH" },
  { 8276, "INVERTED UNDERTIE" },
  { 8277, "FLOWER PUNCTUATION MARK" },
  { 8278, "THREE DOT PUNCTUATION" },
  { 8279, "QUADRUPLE PRIME" },
  { 8280, "FOUR DOT PUNCTUATION" },
  { 8281, "FIVE DOT PUNCTUATION" },
  { 8282, "TWO DOT PUNCTUATION" },
  { 8283, "FOUR DOT MARK" },
  { 8284, "DOTTED CROSS" },
  { 8285, "TRICOLON" },
  { 8286, "VERTICAL FOUR DOTS" },
  { 8287, "MEDIUM MATHEMATICAL SPACE" },
  { 8288, "WORD JOINER" },
  { 8289, "FUNCTION APPLICATION" },
  { 8290, "INVISIBLE TIMES" },
  { 8291, "INVISIBLE SEPARATOR" },
  { 8292, "INVISIBLE PLUS" },
  { 8298, "INHIBIT SYMMETRIC SWAPPING" },
  { 8299, "ACTIVATE SYMMETRIC SWAPPING" },
  { 8300, "INHIBIT ARABIC FORM SHAPING" },
  { 8301, "ACTIVATE ARABIC FORM SHAPING" },
  { 8302, "NATIONAL DIGIT SHAPES" },
  { 8303, "NOMINAL DIGIT SHAPES" },
  { 8304, "SUPERSCRIPT ZERO" },
  { 8305, "SUPERSCRIPT LATIN SMALL LETTER I" },
  { 8308, "SUPERSCRIPT FOUR" },
  { 8309, "SUPERSCRIPT FIVE" },
  { 8310, "SUPERSCRIPT SIX" },
  { 8311, "SUPERSCRIPT SEVEN" },
  { 8312, "SUPERSCRIPT EIGHT" },
  { 8313, "SUPERSCRIPT NINE" },
  { 8314, "SUPERSCRIPT PLUS SIGN" },
  { 8315, "SUPERSCRIPT MINUS" },
  { 8316, "SUPERSCRIPT EQUALS SIGN" },
  { 8317, "SUPERSCRIPT LEFT PARENTHESIS" },
  { 8318, "SUPERSCRIPT RIGHT PARENTHESIS" },
  { 8319, "SUPERSCRIPT LATIN SMALL LETTER N" },
  { 8320, "SUBSCRIPT ZERO" },
  { 8321, "SUBSCRIPT ONE" },
  { 8322, "SUBSCRIPT TWO" },
  { 8323, "SUBSCRIPT THREE" },
  { 8324, "SUBSCRIPT FOUR" },
  { 8325, "SUBSCRIPT FIVE" },
  { 8326, "SUBSCRIPT SIX" },
  { 8327, "SUBSCRIPT SEVEN" },
  { 8328, "SUBSCRIPT EIGHT" },
  { 8329, "SUBSCRIPT NINE" },
  { 8330, "SUBSCRIPT PLUS SIGN" },
  { 8331, "SUBSCRIPT MINUS" },
  { 8332, "SUBSCRIPT EQUALS SIGN" },
  { 8333, "SUBSCRIPT LEFT PARENTHESIS" },
  { 8334, "SUBSCRIPT RIGHT PARENTHESIS" },
  { 8336, "LATIN SUBSCRIPT SMALL LETTER A" },
  { 8337, "LATIN SUBSCRIPT SMALL LETTER E" },
  { 8338, "LATIN SUBSCRIPT SMALL LETTER O" },
  { 8339, "LATIN SUBSCRIPT SMALL LETTER X" },
  { 8340, "LATIN SUBSCRIPT SMALL LETTER SCHWA" },
  { 8352, "EURO-CURRENCY SIGN" },
  { 8353, "COLON SIGN" },
  { 8354, "CRUZEIRO SIGN" },
  { 8355, "FRENCH FRANC SIGN" },
  { 8356, "LIRA SIGN" },
  { 8357, "MILL SIGN" },
  { 8358, "NAIRA SIGN" },
  { 8359, "PESETA SIGN" },
  { 8360, "RUPEE SIGN" },
  { 8361, "WON SIGN" },
  { 8362, "NEW SHEQEL SIGN" },
  { 8363, "DONG SIGN" },
  { 8364, "EURO SIGN" },
  { 8365, "KIP SIGN" },
  { 8366, "TUGRIK SIGN" },
  { 8367, "DRACHMA SIGN" },
  { 8368, "GERMAN PENNY SIGN" },
  { 8369, "PESO SIGN" },
  { 8370, "GUARANI SIGN" },
  { 8371, "AUSTRAL SIGN" },
  { 8372, "HRYVNIA SIGN" },
  { 8373, "CEDI SIGN" },
  { 8400, "COMBINING LEFT HARPOON ABOVE" },
  { 8401, "COMBINING RIGHT HARPOON ABOVE" },
  { 8402, "COMBINING LONG VERTICAL LINE OVERLAY" },
  { 8403, "COMBINING SHORT VERTICAL LINE OVERLAY" },
  { 8404, "COMBINING ANTICLOCKWISE ARROW ABOVE" },
  { 8405, "COMBINING CLOCKWISE ARROW ABOVE" },
  { 8406, "COMBINING LEFT ARROW ABOVE" },
  { 8407, "COMBINING RIGHT ARROW ABOVE" },
  { 8408, "COMBINING RING OVERLAY" },
  { 8409, "COMBINING CLOCKWISE RING OVERLAY" },
  { 8410, "COMBINING ANTICLOCKWISE RING OVERLAY" },
  { 8411, "COMBINING THREE DOTS ABOVE" },
  { 8412, "COMBINING FOUR DOTS ABOVE" },
  { 8413, "COMBINING ENCLOSING CIRCLE" },
  { 8414, "COMBINING ENCLOSING SQUARE" },
  { 8415, "COMBINING ENCLOSING DIAMOND" },
  { 8416, "COMBINING ENCLOSING CIRCLE BACKSLASH" },
  { 8417, "COMBINING LEFT RIGHT ARROW ABOVE" },
  { 8418, "COMBINING ENCLOSING SCREEN" },
  { 8419, "COMBINING ENCLOSING KEYCAP" },
  { 8420, "COMBINING ENCLOSING UPWARD POINTING TRIANGLE" },
  { 8421, "COMBINING REVERSE SOLIDUS OVERLAY" },
  { 8422, "COMBINING DOUBLE VERTICAL STROKE OVERLAY" },
  { 8423, "COMBINING ANNUITY SYMBOL" },
  { 8424, "COMBINING TRIPLE UNDERDOT" },
  { 8425, "COMBINING WIDE BRIDGE ABOVE" },
  { 8426, "COMBINING LEFTWARDS ARROW OVERLAY" },
  { 8427, "COMBINING LONG DOUBLE SOLIDUS OVERLAY" },
  { 8428, "COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS" },
  { 8429, "COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS" },
  { 8430, "COMBINING LEFT ARROW BELOW" },
  { 8431, "COMBINING RIGHT ARROW BELOW" },
  { 8432, "COMBINING ASTERISK ABOVE" },
  { 8448, "ACCOUNT OF" },
  { 8449, "ADDRESSED TO THE SUBJECT" },
  { 8450, "DOUBLE-STRUCK CAPITAL C" },
  { 8451, "DEGREE CELSIUS" },
  { 8452, "CENTRE LINE SYMBOL" },
  { 8453, "CARE OF" },
  { 8454, "CADA UNA" },
  { 8455, "EULER CONSTANT" },
  { 8456, "SCRUPLE" },
  { 8457, "DEGREE FAHRENHEIT" },
  { 8458, "SCRIPT SMALL G" },
  { 8459, "SCRIPT CAPITAL H" },
  { 8460, "BLACK-LETTER CAPITAL H" },
  { 8461, "DOUBLE-STRUCK CAPITAL H" },
  { 8462, "PLANCK CONSTANT" },
  { 8463, "PLANCK CONSTANT OVER TWO PI" },
  { 8464, "SCRIPT CAPITAL I" },
  { 8465, "BLACK-LETTER CAPITAL I" },
  { 8466, "SCRIPT CAPITAL L" },
  { 8467, "SCRIPT SMALL L" },
  { 8468, "L B BAR SYMBOL" },
  { 8469, "DOUBLE-STRUCK CAPITAL N" },
  { 8470, "NUMERO SIGN" },
  { 8471, "SOUND RECORDING COPYRIGHT" },
  { 8472, "SCRIPT CAPITAL P" },
  { 8473, "DOUBLE-STRUCK CAPITAL P" },
  { 8474, "DOUBLE-STRUCK CAPITAL Q" },
  { 8475, "SCRIPT CAPITAL R" },
  { 8476, "BLACK-LETTER CAPITAL R" },
  { 8477, "DOUBLE-STRUCK CAPITAL R" },
  { 8478, "PRESCRIPTION TAKE" },
  { 8479, "RESPONSE" },
  { 8480, "SERVICE MARK" },
  { 8481, "TELEPHONE SIGN" },
  { 8482, "TRADE MARK SIGN" },
  { 8483, "VERSICLE" },
  { 8484, "DOUBLE-STRUCK CAPITAL Z" },
  { 8485, "OUNCE SIGN" },
  { 8486, "OHM SIGN" },
  { 8487, "INVERTED OHM SIGN" },
  { 8488, "BLACK-LETTER CAPITAL Z" },
  { 8489, "TURNED GREEK SMALL LETTER IOTA" },
  { 8490, "KELVIN SIGN" },
  { 8491, "ANGSTROM SIGN" },
  { 8492, "SCRIPT CAPITAL B" },
  { 8493, "BLACK-LETTER CAPITAL C" },
  { 8494, "ESTIMATED SYMBOL" },
  { 8495, "SCRIPT SMALL E" },
  { 8496, "SCRIPT CAPITAL E" },
  { 8497, "SCRIPT CAPITAL F" },
  { 8498, "TURNED CAPITAL F" },
  { 8499, "SCRIPT CAPITAL M" },
  { 8500, "SCRIPT SMALL O" },
  { 8501, "ALEF SYMBOL" },
  { 8502, "BET SYMBOL" },
  { 8503, "GIMEL SYMBOL" },
  { 8504, "DALET SYMBOL" },
  { 8505, "INFORMATION SOURCE" },
  { 8506, "ROTATED CAPITAL Q" },
  { 8507, "FACSIMILE SIGN" },
  { 8508, "DOUBLE-STRUCK SMALL PI" },
  { 8509, "DOUBLE-STRUCK SMALL GAMMA" },
  { 8510, "DOUBLE-STRUCK CAPITAL GAMMA" },
  { 8511, "DOUBLE-STRUCK CAPITAL PI" },
  { 8512, "DOUBLE-STRUCK N-ARY SUMMATION" },
  { 8513, "TURNED SANS-SERIF CAPITAL G" },
  { 8514, "TURNED SANS-SERIF CAPITAL L" },
  { 8515, "REVERSED SANS-SERIF CAPITAL L" },
  { 8516, "TURNED SANS-SERIF CAPITAL Y" },
  { 8517, "DOUBLE-STRUCK ITALIC CAPITAL D" },
  { 8518, "DOUBLE-STRUCK ITALIC SMALL D" },
  { 8519, "DOUBLE-STRUCK ITALIC SMALL E" },
  { 8520, "DOUBLE-STRUCK ITALIC SMALL I" },
  { 8521, "DOUBLE-STRUCK ITALIC SMALL J" },
  { 8522, "PROPERTY LINE" },
  { 8523, "TURNED AMPERSAND" },
  { 8524, "PER SIGN" },
  { 8525, "AKTIESELSKAB" },
  { 8526, "TURNED SMALL F" },
  { 8527, "SYMBOL FOR SAMARITAN SOURCE" },
  { 8531, "VULGAR FRACTION ONE THIRD" },
  { 8532, "VULGAR FRACTION TWO THIRDS" },
  { 8533, "VULGAR FRACTION ONE FIFTH" },
  { 8534, "VULGAR FRACTION TWO FIFTHS" },
  { 8535, "VULGAR FRACTION THREE FIFTHS" },
  { 8536, "VULGAR FRACTION FOUR FIFTHS" },
  { 8537, "VULGAR FRACTION ONE SIXTH" },
  { 8538, "VULGAR FRACTION FIVE SIXTHS" },
  { 8539, "VULGAR FRACTION ONE EIGHTH" },
  { 8540, "VULGAR FRACTION THREE EIGHTHS" },
  { 8541, "VULGAR FRACTION FIVE EIGHTHS" },
  { 8542, "VULGAR FRACTION SEVEN EIGHTHS" },
  { 8543, "FRACTION NUMERATOR ONE" },
  { 8544, "ROMAN NUMERAL ONE" },
  { 8545, "ROMAN NUMERAL TWO" },
  { 8546, "ROMAN NUMERAL THREE" },
  { 8547, "ROMAN NUMERAL FOUR" },
  { 8548, "ROMAN NUMERAL FIVE" },
  { 8549, "ROMAN NUMERAL SIX" },
  { 8550, "ROMAN NUMERAL SEVEN" },
  { 8551, "ROMAN NUMERAL EIGHT" },
  { 8552, "ROMAN NUMERAL NINE" },
  { 8553, "ROMAN NUMERAL TEN" },
  { 8554, "ROMAN NUMERAL ELEVEN" },
  { 8555, "ROMAN NUMERAL TWELVE" },
  { 8556, "ROMAN NUMERAL FIFTY" },
  { 8557, "ROMAN NUMERAL ONE HUNDRED" },
  { 8558, "ROMAN NUMERAL FIVE HUNDRED" },
  { 8559, "ROMAN NUMERAL ONE THOUSAND" },
  { 8560, "SMALL ROMAN NUMERAL ONE" },
  { 8561, "SMALL ROMAN NUMERAL TWO" },
  { 8562, "SMALL ROMAN NUMERAL THREE" },
  { 8563, "SMALL ROMAN NUMERAL FOUR" },
  { 8564, "SMALL ROMAN NUMERAL FIVE" },
  { 8565, "SMALL ROMAN NUMERAL SIX" },
  { 8566, "SMALL ROMAN NUMERAL SEVEN" },
  { 8567, "SMALL ROMAN NUMERAL EIGHT" },
  { 8568, "SMALL ROMAN NUMERAL NINE" },
  { 8569, "SMALL ROMAN NUMERAL TEN" },
  { 8570, "SMALL ROMAN NUMERAL ELEVEN" },
  { 8571, "SMALL ROMAN NUMERAL TWELVE" },
  { 8572, "SMALL ROMAN NUMERAL FIFTY" },
  { 8573, "SMALL ROMAN NUMERAL ONE HUNDRED" },
  { 8574, "SMALL ROMAN NUMERAL FIVE HUNDRED" },
  { 8575, "SMALL ROMAN NUMERAL ONE THOUSAND" },
  { 8576, "ROMAN NUMERAL ONE THOUSAND C D" },
  { 8577, "ROMAN NUMERAL FIVE THOUSAND" },
  { 8578, "ROMAN NUMERAL TEN THOUSAND" },
  { 8579, "ROMAN NUMERAL REVERSED ONE HUNDRED" },
  { 8580, "LATIN SMALL LETTER REVERSED C" },
  { 8581, "ROMAN NUMERAL SIX LATE FORM" },
  { 8582, "ROMAN NUMERAL FIFTY EARLY FORM" },
  { 8583, "ROMAN NUMERAL FIFTY THOUSAND" },
  { 8584, "ROMAN NUMERAL ONE HUNDRED THOUSAND" },
  { 8592, "LEFTWARDS ARROW" },
  { 8593, "UPWARDS ARROW" },
  { 8594, "RIGHTWARDS ARROW" },
  { 8595, "DOWNWARDS ARROW" },
  { 8596, "LEFT RIGHT ARROW" },
  { 8597, "UP DOWN ARROW" },
  { 8598, "NORTH WEST ARROW" },
  { 8599, "NORTH EAST ARROW" },
  { 8600, "SOUTH EAST ARROW" },
  { 8601, "SOUTH WEST ARROW" },
  { 8602, "LEFTWARDS ARROW WITH STROKE" },
  { 8603, "RIGHTWARDS ARROW WITH STROKE" },
  { 8604, "LEFTWARDS WAVE ARROW" },
  { 8605, "RIGHTWARDS WAVE ARROW" },
  { 8606, "LEFTWARDS TWO HEADED ARROW" },
  { 8607, "UPWARDS TWO HEADED ARROW" },
  { 8608, "RIGHTWARDS TWO HEADED ARROW" },
  { 8609, "DOWNWARDS TWO HEADED ARROW" },
  { 8610, "LEFTWARDS ARROW WITH TAIL" },
  { 8611, "RIGHTWARDS ARROW WITH TAIL" },
  { 8612, "LEFTWARDS ARROW FROM BAR" },
  { 8613, "UPWARDS ARROW FROM BAR" },
  { 8614, "RIGHTWARDS ARROW FROM BAR" },
  { 8615, "DOWNWARDS ARROW FROM BAR" },
  { 8616, "UP DOWN ARROW WITH BASE" },
  { 8617, "LEFTWARDS ARROW WITH HOOK" },
  { 8618, "RIGHTWARDS ARROW WITH HOOK" },
  { 8619, "LEFTWARDS ARROW WITH LOOP" },
  { 8620, "RIGHTWARDS ARROW WITH LOOP" },
  { 8621, "LEFT RIGHT WAVE ARROW" },
  { 8622, "LEFT RIGHT ARROW WITH STROKE" },
  { 8623, "DOWNWARDS ZIGZAG ARROW" },
  { 8624, "UPWARDS ARROW WITH TIP LEFTWARDS" },
  { 8625, "UPWARDS ARROW WITH TIP RIGHTWARDS" },
  { 8626, "DOWNWARDS ARROW WITH TIP LEFTWARDS" },
  { 8627, "DOWNWARDS ARROW WITH TIP RIGHTWARDS" },
  { 8628, "RIGHTWARDS ARROW WITH CORNER DOWNWARDS" },
  { 8629, "DOWNWARDS ARROW WITH CORNER LEFTWARDS" },
  { 8630, "ANTICLOCKWISE TOP SEMICIRCLE ARROW" },
  { 8631, "CLOCKWISE TOP SEMICIRCLE ARROW" },
  { 8632, "NORTH WEST ARROW TO LONG BAR" },
  { 8633, "LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR" },
  { 8634, "ANTICLOCKWISE OPEN CIRCLE ARROW" },
  { 8635, "CLOCKWISE OPEN CIRCLE ARROW" },
  { 8636, "LEFTWARDS HARPOON WITH BARB UPWARDS" },
  { 8637, "LEFTWARDS HARPOON WITH BARB DOWNWARDS" },
  { 8638, "UPWARDS HARPOON WITH BARB RIGHTWARDS" },
  { 8639, "UPWARDS HARPOON WITH BARB LEFTWARDS" },
  { 8640, "RIGHTWARDS HARPOON WITH BARB UPWARDS" },
  { 8641, "RIGHTWARDS HARPOON WITH BARB DOWNWARDS" },
  { 8642, "DOWNWARDS HARPOON WITH BARB RIGHTWARDS" },
  { 8643, "DOWNWARDS HARPOON WITH BARB LEFTWARDS" },
  { 8644, "RIGHTWARDS ARROW OVER LEFTWARDS ARROW" },
  { 8645, "UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW" },
  { 8646, "LEFTWARDS ARROW OVER RIGHTWARDS ARROW" },
  { 8647, "LEFTWARDS PAIRED ARROWS" },
  { 8648, "UPWARDS PAIRED ARROWS" },
  { 8649, "RIGHTWARDS PAIRED ARROWS" },
  { 8650, "DOWNWARDS PAIRED ARROWS" },
  { 8651, "LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON" },
  { 8652, "RIGHTWARDS HARPOON OVER LEFTWARDS HARPOON" },
  { 8653, "LEFTWARDS DOUBLE ARROW WITH STROKE" },
  { 8654, "LEFT RIGHT DOUBLE ARROW WITH STROKE" },
  { 8655, "RIGHTWARDS DOUBLE ARROW WITH STROKE" },
  { 8656, "LEFTWARDS DOUBLE ARROW" },
  { 8657, "UPWARDS DOUBLE ARROW" },
  { 8658, "RIGHTWARDS DOUBLE ARROW" },
  { 8659, "DOWNWARDS DOUBLE ARROW" },
  { 8660, "LEFT RIGHT DOUBLE ARROW" },
  { 8661, "UP DOWN DOUBLE ARROW" },
  { 8662, "NORTH WEST DOUBLE ARROW" },
  { 8663, "NORTH EAST DOUBLE ARROW" },
  { 8664, "SOUTH EAST DOUBLE ARROW" },
  { 8665, "SOUTH WEST DOUBLE ARROW" },
  { 8666, "LEFTWARDS TRIPLE ARROW" },
  { 8667, "RIGHTWARDS TRIPLE ARROW" },
  { 8668, "LEFTWARDS SQUIGGLE ARROW" },
  { 8669, "RIGHTWARDS SQUIGGLE ARROW" },
  { 8670, "UPWARDS ARROW WITH DOUBLE STROKE" },
  { 8671, "DOWNWARDS ARROW WITH DOUBLE STROKE" },
  { 8672, "LEFTWARDS DASHED ARROW" },
  { 8673, "UPWARDS DASHED ARROW" },
  { 8674, "RIGHTWARDS DASHED ARROW" },
  { 8675, "DOWNWARDS DASHED ARROW" },
  { 8676, "LEFTWARDS ARROW TO BAR" },
  { 8677, "RIGHTWARDS ARROW TO BAR" },
  { 8678, "LEFTWARDS WHITE ARROW" },
  { 8679, "UPWARDS WHITE ARROW" },
  { 8680, "RIGHTWARDS WHITE ARROW" },
  { 8681, "DOWNWARDS WHITE ARROW" },
  { 8682, "UPWARDS WHITE ARROW FROM BAR" },
  { 8683, "UPWARDS WHITE ARROW ON PEDESTAL" },
  { 8684, "UPWARDS WHITE ARROW ON PEDESTAL WITH HORIZONTAL BAR" },
  { 8685, "UPWARDS WHITE ARROW ON PEDESTAL WITH VERTICAL BAR" },
  { 8686, "UPWARDS WHITE DOUBLE ARROW" },
  { 8687, "UPWARDS WHITE DOUBLE ARROW ON PEDESTAL" },
  { 8688, "RIGHTWARDS WHITE ARROW FROM WALL" },
  { 8689, "NORTH WEST ARROW TO CORNER" },
  { 8690, "SOUTH EAST ARROW TO CORNER" },
  { 8691, "UP DOWN WHITE ARROW" },
  { 8692, "RIGHT ARROW WITH SMALL CIRCLE" },
  { 8693, "DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW" },
  { 8694, "THREE RIGHTWARDS ARROWS" },
  { 8695, "LEFTWARDS ARROW WITH VERTICAL STROKE" },
  { 8696, "RIGHTWARDS ARROW WITH VERTICAL STROKE" },
  { 8697, "LEFT RIGHT ARROW WITH VERTICAL STROKE" },
  { 8698, "LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE" },
  { 8699, "RIGHTWARDS ARROW WITH DOUBLE VERTICAL STROKE" },
  { 8700, "LEFT RIGHT ARROW WITH DOUBLE VERTICAL STROKE" },
  { 8701, "LEFTWARDS OPEN-HEADED ARROW" },
  { 8702, "RIGHTWARDS OPEN-HEADED ARROW" },
  { 8703, "LEFT RIGHT OPEN-HEADED ARROW" },
  { 8704, "FOR ALL" },
  { 8705, "COMPLEMENT" },
  { 8706, "PARTIAL DIFFERENTIAL" },
  { 8707, "THERE EXISTS" },
  { 8708, "THERE DOES NOT EXIST" },
  { 8709, "EMPTY SET" },
  { 8710, "INCREMENT" },
  { 8711, "NABLA" },
  { 8712, "ELEMENT OF" },
  { 8713, "NOT AN ELEMENT OF" },
  { 8714, "SMALL ELEMENT OF" },
  { 8715, "CONTAINS AS MEMBER" },
  { 8716, "DOES NOT CONTAIN AS MEMBER" },
  { 8717, "SMALL CONTAINS AS MEMBER" },
  { 8718, "END OF PROOF" },
  { 8719, "N-ARY PRODUCT" },
  { 8720, "N-ARY COPRODUCT" },
  { 8721, "N-ARY SUMMATION" },
  { 8722, "MINUS SIGN" },
  { 8723, "MINUS-OR-PLUS SIGN" },
  { 8724, "DOT PLUS" },
  { 8725, "DIVISION SLASH" },
  { 8726, "SET MINUS" },
  { 8727, "ASTERISK OPERATOR" },
  { 8728, "RING OPERATOR" },
  { 8729, "BULLET OPERATOR" },
  { 8730, "SQUARE ROOT" },
  { 8731, "CUBE ROOT" },
  { 8732, "FOURTH ROOT" },
  { 8733, "PROPORTIONAL TO" },
  { 8734, "INFINITY" },
  { 8735, "RIGHT ANGLE" },
  { 8736, "ANGLE" },
  { 8737, "MEASURED ANGLE" },
  { 8738, "SPHERICAL ANGLE" },
  { 8739, "DIVIDES" },
  { 8740, "DOES NOT DIVIDE" },
  { 8741, "PARALLEL TO" },
  { 8742, "NOT PARALLEL TO" },
  { 8743, "LOGICAL AND" },
  { 8744, "LOGICAL OR" },
  { 8745, "INTERSECTION" },
  { 8746, "UNION" },
  { 8747, "INTEGRAL" },
  { 8748, "DOUBLE INTEGRAL" },
  { 8749, "TRIPLE INTEGRAL" },
  { 8750, "CONTOUR INTEGRAL" },
  { 8751, "SURFACE INTEGRAL" },
  { 8752, "VOLUME INTEGRAL" },
  { 8753, "CLOCKWISE INTEGRAL" },
  { 8754, "CLOCKWISE CONTOUR INTEGRAL" },
  { 8755, "ANTICLOCKWISE CONTOUR INTEGRAL" },
  { 8756, "THEREFORE" },
  { 8757, "BECAUSE" },
  { 8758, "RATIO" },
  { 8759, "PROPORTION" },
  { 8760, "DOT MINUS" },
  { 8761, "EXCESS" },
  { 8762, "GEOMETRIC PROPORTION" },
  { 8763, "HOMOTHETIC" },
  { 8764, "TILDE OPERATOR" },
  { 8765, "REVERSED TILDE" },
  { 8766, "INVERTED LAZY S" },
  { 8767, "SINE WAVE" },
  { 8768, "WREATH PRODUCT" },
  { 8769, "NOT TILDE" },
  { 8770, "MINUS TILDE" },
  { 8771, "ASYMPTOTICALLY EQUAL TO" },
  { 8772, "NOT ASYMPTOTICALLY EQUAL TO" },
  { 8773, "APPROXIMATELY EQUAL TO" },
  { 8774, "APPROXIMATELY BUT NOT ACTUALLY EQUAL TO" },
  { 8775, "NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO" },
  { 8776, "ALMOST EQUAL TO" },
  { 8777, "NOT ALMOST EQUAL TO" },
  { 8778, "ALMOST EQUAL OR EQUAL TO" },
  { 8779, "TRIPLE TILDE" },
  { 8780, "ALL EQUAL TO" },
  { 8781, "EQUIVALENT TO" },
  { 8782, "GEOMETRICALLY EQUIVALENT TO" },
  { 8783, "DIFFERENCE BETWEEN" },
  { 8784, "APPROACHES THE LIMIT" },
  { 8785, "GEOMETRICALLY EQUAL TO" },
  { 8786, "APPROXIMATELY EQUAL TO OR THE IMAGE OF" },
  { 8787, "IMAGE OF OR APPROXIMATELY EQUAL TO" },
  { 8788, "COLON EQUALS" },
  { 8789, "EQUALS COLON" },
  { 8790, "RING IN EQUAL TO" },
  { 8791, "RING EQUAL TO" },
  { 8792, "CORRESPONDS TO" },
  { 8793, "ESTIMATES" },
  { 8794, "EQUIANGULAR TO" },
  { 8795, "STAR EQUALS" },
  { 8796, "DELTA EQUAL TO" },
  { 8797, "EQUAL TO BY DEFINITION" },
  { 8798, "MEASURED BY" },
  { 8799, "QUESTIONED EQUAL TO" },
  { 8800, "NOT EQUAL TO" },
  { 8801, "IDENTICAL TO" },
  { 8802, "NOT IDENTICAL TO" },
  { 8803, "STRICTLY EQUIVALENT TO" },
  { 8804, "LESS-THAN OR EQUAL TO" },
  { 8805, "GREATER-THAN OR EQUAL TO" },
  { 8806, "LESS-THAN OVER EQUAL TO" },
  { 8807, "GREATER-THAN OVER EQUAL TO" },
  { 8808, "LESS-THAN BUT NOT EQUAL TO" },
  { 8809, "GREATER-THAN BUT NOT EQUAL TO" },
  { 8810, "MUCH LESS-THAN" },
  { 8811, "MUCH GREATER-THAN" },
  { 8812, "BETWEEN" },
  { 8813, "NOT EQUIVALENT TO" },
  { 8814, "NOT LESS-THAN" },
  { 8815, "NOT GREATER-THAN" },
  { 8816, "NEITHER LESS-THAN NOR EQUAL TO" },
  { 8817, "NEITHER GREATER-THAN NOR EQUAL TO" },
  { 8818, "LESS-THAN OR EQUIVALENT TO" },
  { 8819, "GREATER-THAN OR EQUIVALENT TO" },
  { 8820, "NEITHER LESS-THAN NOR EQUIVALENT TO" },
  { 8821, "NEITHER GREATER-THAN NOR EQUIVALENT TO" },
  { 8822, "LESS-THAN OR GREATER-THAN" },
  { 8823, "GREATER-THAN OR LESS-THAN" },
  { 8824, "NEITHER LESS-THAN NOR GREATER-THAN" },
  { 8825, "NEITHER GREATER-THAN NOR LESS-THAN" },
  { 8826, "PRECEDES" },
  { 8827, "SUCCEEDS" },
  { 8828, "PRECEDES OR EQUAL TO" },
  { 8829, "SUCCEEDS OR EQUAL TO" },
  { 8830, "PRECEDES OR EQUIVALENT TO" },
  { 8831, "SUCCEEDS OR EQUIVALENT TO" },
  { 8832, "DOES NOT PRECEDE" },
  { 8833, "DOES NOT SUCCEED" },
  { 8834, "SUBSET OF" },
  { 8835, "SUPERSET OF" },
  { 8836, "NOT A SUBSET OF" },
  { 8837, "NOT A SUPERSET OF" },
  { 8838, "SUBSET OF OR EQUAL TO" },
  { 8839, "SUPERSET OF OR EQUAL TO" },
  { 8840, "NEITHER A SUBSET OF NOR EQUAL TO" },
  { 8841, "NEITHER A SUPERSET OF NOR EQUAL TO" },
  { 8842, "SUBSET OF WITH NOT EQUAL TO" },
  { 8843, "SUPERSET OF WITH NOT EQUAL TO" },
  { 8844, "MULTISET" },
  { 8845, "MULTISET MULTIPLICATION" },
  { 8846, "MULTISET UNION" },
  { 8847, "SQUARE IMAGE OF" },
  { 8848, "SQUARE ORIGINAL OF" },
  { 8849, "SQUARE IMAGE OF OR EQUAL TO" },
  { 8850, "SQUARE ORIGINAL OF OR EQUAL TO" },
  { 8851, "SQUARE CAP" },
  { 8852, "SQUARE CUP" },
  { 8853, "CIRCLED PLUS" },
  { 8854, "CIRCLED MINUS" },
  { 8855, "CIRCLED TIMES" },
  { 8856, "CIRCLED DIVISION SLASH" },
  { 8857, "CIRCLED DOT OPERATOR" },
  { 8858, "CIRCLED RING OPERATOR" },
  { 8859, "CIRCLED ASTERISK OPERATOR" },
  { 8860, "CIRCLED EQUALS" },
  { 8861, "CIRCLED DASH" },
  { 8862, "SQUARED PLUS" },
  { 8863, "SQUARED MINUS" },
  { 8864, "SQUARED TIMES" },
  { 8865, "SQUARED DOT OPERATOR" },
  { 8866, "RIGHT TACK" },
  { 8867, "LEFT TACK" },
  { 8868, "DOWN TACK" },
  { 8869, "UP TACK" },
  { 8870, "ASSERTION" },
  { 8871, "MODELS" },
  { 8872, "TRUE" },
  { 8873, "FORCES" },
  { 8874, "TRIPLE VERTICAL BAR RIGHT TURNSTILE" },
  { 8875, "DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE" },
  { 8876, "DOES NOT PROVE" },
  { 8877, "NOT TRUE" },
  { 8878, "DOES NOT FORCE" },
  { 8879, "NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE" },
  { 8880, "PRECEDES UNDER RELATION" },
  { 8881, "SUCCEEDS UNDER RELATION" },
  { 8882, "NORMAL SUBGROUP OF" },
  { 8883, "CONTAINS AS NORMAL SUBGROUP" },
  { 8884, "NORMAL SUBGROUP OF OR EQUAL TO" },
  { 8885, "CONTAINS AS NORMAL SUBGROUP OR EQUAL TO" },
  { 8886, "ORIGINAL OF" },
  { 8887, "IMAGE OF" },
  { 8888, "MULTIMAP" },
  { 8889, "HERMITIAN CONJUGATE MATRIX" },
  { 8890, "INTERCALATE" },
  { 8891, "XOR" },
  { 8892, "NAND" },
  { 8893, "NOR" },
  { 8894, "RIGHT ANGLE WITH ARC" },
  { 8895, "RIGHT TRIANGLE" },
  { 8896, "N-ARY LOGICAL AND" },
  { 8897, "N-ARY LOGICAL OR" },
  { 8898, "N-ARY INTERSECTION" },
  { 8899, "N-ARY UNION" },
  { 8900, "DIAMOND OPERATOR" },
  { 8901, "DOT OPERATOR" },
  { 8902, "STAR OPERATOR" },
  { 8903, "DIVISION TIMES" },
  { 8904, "BOWTIE" },
  { 8905, "LEFT NORMAL FACTOR SEMIDIRECT PRODUCT" },
  { 8906, "RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT" },
  { 8907, "LEFT SEMIDIRECT PRODUCT" },
  { 8908, "RIGHT SEMIDIRECT PRODUCT" },
  { 8909, "REVERSED TILDE EQUALS" },
  { 8910, "CURLY LOGICAL OR" },
  { 8911, "CURLY LOGICAL AND" },
  { 8912, "DOUBLE SUBSET" },
  { 8913, "DOUBLE SUPERSET" },
  { 8914, "DOUBLE INTERSECTION" },
  { 8915, "DOUBLE UNION" },
  { 8916, "PITCHFORK" },
  { 8917, "EQUAL AND PARALLEL TO" },
  { 8918, "LESS-THAN WITH DOT" },
  { 8919, "GREATER-THAN WITH DOT" },
  { 8920, "VERY MUCH LESS-THAN" },
  { 8921, "VERY MUCH GREATER-THAN" },
  { 8922, "LESS-THAN EQUAL TO OR GREATER-THAN" },
  { 8923, "GREATER-THAN EQUAL TO OR LESS-THAN" },
  { 8924, "EQUAL TO OR LESS-THAN" },
  { 8925, "EQUAL TO OR GREATER-THAN" },
  { 8926, "EQUAL TO OR PRECEDES" },
  { 8927, "EQUAL TO OR SUCCEEDS" },
  { 8928, "DOES NOT PRECEDE OR EQUAL" },
  { 8929, "DOES NOT SUCCEED OR EQUAL" },
  { 8930, "NOT SQUARE IMAGE OF OR EQUAL TO" },
  { 8931, "NOT SQUARE ORIGINAL OF OR EQUAL TO" },
  { 8932, "SQUARE IMAGE OF OR NOT EQUAL TO" },
  { 8933, "SQUARE ORIGINAL OF OR NOT EQUAL TO" },
  { 8934, "LESS-THAN BUT NOT EQUIVALENT TO" },
  { 8935, "GREATER-THAN BUT NOT EQUIVALENT TO" },
  { 8936, "PRECEDES BUT NOT EQUIVALENT TO" },
  { 8937, "SUCCEEDS BUT NOT EQUIVALENT TO" },
  { 8938, "NOT NORMAL SUBGROUP OF" },
  { 8939, "DOES NOT CONTAIN AS NORMAL SUBGROUP" },
  { 8940, "NOT NORMAL SUBGROUP OF OR EQUAL TO" },
  { 8941, "DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL" },
  { 8942, "VERTICAL ELLIPSIS" },
  { 8943, "MIDLINE HORIZONTAL ELLIPSIS" },
  { 8944, "UP RIGHT DIAGONAL ELLIPSIS" },
  { 8945, "DOWN RIGHT DIAGONAL ELLIPSIS" },
  { 8946, "ELEMENT OF WITH LONG HORIZONTAL STROKE" },
  { 8947, "ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE" },
  { 8948, "SMALL ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE" },
  { 8949, "ELEMENT OF WITH DOT ABOVE" },
  { 8950, "ELEMENT OF WITH OVERBAR" },
  { 8951, "SMALL ELEMENT OF WITH OVERBAR" },
  { 8952, "ELEMENT OF WITH UNDERBAR" },
  { 8953, "ELEMENT OF WITH TWO HORIZONTAL STROKES" },
  { 8954, "CONTAINS WITH LONG HORIZONTAL STROKE" },
  { 8955, "CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE" },
  { 8956, "SMALL CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE" },
  { 8957, "CONTAINS WITH OVERBAR" },
  { 8958, "SMALL CONTAINS WITH OVERBAR" },
  { 8959, "Z NOTATION BAG MEMBERSHIP" },
  { 8960, "DIAMETER SIGN" },
  { 8961, "ELECTRIC ARROW" },
  { 8962, "HOUSE" },
  { 8963, "UP ARROWHEAD" },
  { 8964, "DOWN ARROWHEAD" },
  { 8965, "PROJECTIVE" },
  { 8966, "PERSPECTIVE" },
  { 8967, "WAVY LINE" },
  { 8968, "LEFT CEILING" },
  { 8969, "RIGHT CEILING" },
  { 8970, "LEFT FLOOR" },
  { 8971, "RIGHT FLOOR" },
  { 8972, "BOTTOM RIGHT CROP" },
  { 8973, "BOTTOM LEFT CROP" },
  { 8974, "TOP RIGHT CROP" },
  { 8975, "TOP LEFT CROP" },
  { 8976, "REVERSED NOT SIGN" },
  { 8977, "SQUARE LOZENGE" },
  { 8978, "ARC" },
  { 8979, "SEGMENT" },
  { 8980, "SECTOR" },
  { 8981, "TELEPHONE RECORDER" },
  { 8982, "POSITION INDICATOR" },
  { 8983, "VIEWDATA SQUARE" },
  { 8984, "PLACE OF INTEREST SIGN" },
  { 8985, "TURNED NOT SIGN" },
  { 8986, "WATCH" },
  { 8987, "HOURGLASS" },
  { 8988, "TOP LEFT CORNER" },
  { 8989, "TOP RIGHT CORNER" },
  { 8990, "BOTTOM LEFT CORNER" },
  { 8991, "BOTTOM RIGHT CORNER" },
  { 8992, "TOP HALF INTEGRAL" },
  { 8993, "BOTTOM HALF INTEGRAL" },
  { 8994, "FROWN" },
  { 8995, "SMILE" },
  { 8996, "UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS" },
  { 8997, "OPTION KEY" },
  { 8998, "ERASE TO THE RIGHT" },
  { 8999, "X IN A RECTANGLE BOX" },
  { 9000, "KEYBOARD" },
  { 9001, "LEFT-POINTING ANGLE BRACKET" },
  { 9002, "RIGHT-POINTING ANGLE BRACKET" },
  { 9003, "ERASE TO THE LEFT" },
  { 9004, "BENZENE RING" },
  { 9005, "CYLINDRICITY" },
  { 9006, "ALL AROUND-PROFILE" },
  { 9007, "SYMMETRY" },
  { 9008, "TOTAL RUNOUT" },
  { 9009, "DIMENSION ORIGIN" },
  { 9010, "CONICAL TAPER" },
  { 9011, "SLOPE" },
  { 9012, "COUNTERBORE" },
  { 9013, "COUNTERSINK" },
  { 9014, "APL FUNCTIONAL SYMBOL I-BEAM" },
  { 9015, "APL FUNCTIONAL SYMBOL SQUISH QUAD" },
  { 9016, "APL FUNCTIONAL SYMBOL QUAD EQUAL" },
  { 9017, "APL FUNCTIONAL SYMBOL QUAD DIVIDE" },
  { 9018, "APL FUNCTIONAL SYMBOL QUAD DIAMOND" },
  { 9019, "APL FUNCTIONAL SYMBOL QUAD JOT" },
  { 9020, "APL FUNCTIONAL SYMBOL QUAD CIRCLE" },
  { 9021, "APL FUNCTIONAL SYMBOL CIRCLE STILE" },
  { 9022, "APL FUNCTIONAL SYMBOL CIRCLE JOT" },
  { 9023, "APL FUNCTIONAL SYMBOL SLASH BAR" },
  { 9024, "APL FUNCTIONAL SYMBOL BACKSLASH BAR" },
  { 9025, "APL FUNCTIONAL SYMBOL QUAD SLASH" },
  { 9026, "APL FUNCTIONAL SYMBOL QUAD BACKSLASH" },
  { 9027, "APL FUNCTIONAL SYMBOL QUAD LESS-THAN" },
  { 9028, "APL FUNCTIONAL SYMBOL QUAD GREATER-THAN" },
  { 9029, "APL FUNCTIONAL SYMBOL LEFTWARDS VANE" },
  { 9030, "APL FUNCTIONAL SYMBOL RIGHTWARDS VANE" },
  { 9031, "APL FUNCTIONAL SYMBOL QUAD LEFTWARDS ARROW" },
  { 9032, "APL FUNCTIONAL SYMBOL QUAD RIGHTWARDS ARROW" },
  { 9033, "APL FUNCTIONAL SYMBOL CIRCLE BACKSLASH" },
  { 9034, "APL FUNCTIONAL SYMBOL DOWN TACK UNDERBAR" },
  { 9035, "APL FUNCTIONAL SYMBOL DELTA STILE" },
  { 9036, "APL FUNCTIONAL SYMBOL QUAD DOWN CARET" },
  { 9037, "APL FUNCTIONAL SYMBOL QUAD DELTA" },
  { 9038, "APL FUNCTIONAL SYMBOL DOWN TACK JOT" },
  { 9039, "APL FUNCTIONAL SYMBOL UPWARDS VANE" },
  { 9040, "APL FUNCTIONAL SYMBOL QUAD UPWARDS ARROW" },
  { 9041, "APL FUNCTIONAL SYMBOL UP TACK OVERBAR" },
  { 9042, "APL FUNCTIONAL SYMBOL DEL STILE" },
  { 9043, "APL FUNCTIONAL SYMBOL QUAD UP CARET" },
  { 9044, "APL FUNCTIONAL SYMBOL QUAD DEL" },
  { 9045, "APL FUNCTIONAL SYMBOL UP TACK JOT" },
  { 9046, "APL FUNCTIONAL SYMBOL DOWNWARDS VANE" },
  { 9047, "APL FUNCTIONAL SYMBOL QUAD DOWNWARDS ARROW" },
  { 9048, "APL FUNCTIONAL SYMBOL QUOTE UNDERBAR" },
  { 9049, "APL FUNCTIONAL SYMBOL DELTA UNDERBAR" },
  { 9050, "APL FUNCTIONAL SYMBOL DIAMOND UNDERBAR" },
  { 9051, "APL FUNCTIONAL SYMBOL JOT UNDERBAR" },
  { 9052, "APL FUNCTIONAL SYMBOL CIRCLE UNDERBAR" },
  { 9053, "APL FUNCTIONAL SYMBOL UP SHOE JOT" },
  { 9054, "APL FUNCTIONAL SYMBOL QUOTE QUAD" },
  { 9055, "APL FUNCTIONAL SYMBOL CIRCLE STAR" },
  { 9056, "APL FUNCTIONAL SYMBOL QUAD COLON" },
  { 9057, "APL FUNCTIONAL SYMBOL UP TACK DIAERESIS" },
  { 9058, "APL FUNCTIONAL SYMBOL DEL DIAERESIS" },
  { 9059, "APL FUNCTIONAL SYMBOL STAR DIAERESIS" },
  { 9060, "APL FUNCTIONAL SYMBOL JOT DIAERESIS" },
  { 9061, "APL FUNCTIONAL SYMBOL CIRCLE DIAERESIS" },
  { 9062, "APL FUNCTIONAL SYMBOL DOWN SHOE STILE" },
  { 9063, "APL FUNCTIONAL SYMBOL LEFT SHOE STILE" },
  { 9064, "APL FUNCTIONAL SYMBOL TILDE DIAERESIS" },
  { 9065, "APL FUNCTIONAL SYMBOL GREATER-THAN DIAERESIS" },
  { 9066, "APL FUNCTIONAL SYMBOL COMMA BAR" },
  { 9067, "APL FUNCTIONAL SYMBOL DEL TILDE" },
  { 9068, "APL FUNCTIONAL SYMBOL ZILDE" },
  { 9069, "APL FUNCTIONAL SYMBOL STILE TILDE" },
  { 9070, "APL FUNCTIONAL SYMBOL SEMICOLON UNDERBAR" },
  { 9071, "APL FUNCTIONAL SYMBOL QUAD NOT EQUAL" },
  { 9072, "APL FUNCTIONAL SYMBOL QUAD QUESTION" },
  { 9073, "APL FUNCTIONAL SYMBOL DOWN CARET TILDE" },
  { 9074, "APL FUNCTIONAL SYMBOL UP CARET TILDE" },
  { 9075, "APL FUNCTIONAL SYMBOL IOTA" },
  { 9076, "APL FUNCTIONAL SYMBOL RHO" },
  { 9077, "APL FUNCTIONAL SYMBOL OMEGA" },
  { 9078, "APL FUNCTIONAL SYMBOL ALPHA UNDERBAR" },
  { 9079, "APL FUNCTIONAL SYMBOL EPSILON UNDERBAR" },
  { 9080, "APL FUNCTIONAL SYMBOL IOTA UNDERBAR" },
  { 9081, "APL FUNCTIONAL SYMBOL OMEGA UNDERBAR" },
  { 9082, "APL FUNCTIONAL SYMBOL ALPHA" },
  { 9083, "NOT CHECK MARK" },
  { 9084, "RIGHT ANGLE WITH DOWNWARDS ZIGZAG ARROW" },
  { 9085, "SHOULDERED OPEN BOX" },
  { 9086, "BELL SYMBOL" },
  { 9087, "VERTICAL LINE WITH MIDDLE DOT" },
  { 9088, "INSERTION SYMBOL" },
  { 9089, "CONTINUOUS UNDERLINE SYMBOL" },
  { 9090, "DISCONTINUOUS UNDERLINE SYMBOL" },
  { 9091, "EMPHASIS SYMBOL" },
  { 9092, "COMPOSITION SYMBOL" },
  { 9093, "WHITE SQUARE WITH CENTRE VERTICAL LINE" },
  { 9094, "ENTER SYMBOL" },
  { 9095, "ALTERNATIVE KEY SYMBOL" },
  { 9096, "HELM SYMBOL" },
  { 9097, "CIRCLED HORIZONTAL BAR WITH NOTCH" },
  { 9098, "CIRCLED TRIANGLE DOWN" },
  { 9099, "BROKEN CIRCLE WITH NORTHWEST ARROW" },
  { 9100, "UNDO SYMBOL" },
  { 9101, "MONOSTABLE SYMBOL" },
  { 9102, "HYSTERESIS SYMBOL" },
  { 9103, "OPEN-CIRCUIT-OUTPUT H-TYPE SYMBOL" },
  { 9104, "OPEN-CIRCUIT-OUTPUT L-TYPE SYMBOL" },
  { 9105, "PASSIVE-PULL-DOWN-OUTPUT SYMBOL" },
  { 9106, "PASSIVE-PULL-UP-OUTPUT SYMBOL" },
  { 9107, "DIRECT CURRENT SYMBOL FORM TWO" },
  { 9108, "SOFTWARE-FUNCTION SYMBOL" },
  { 9109, "APL FUNCTIONAL SYMBOL QUAD" },
  { 9110, "DECIMAL SEPARATOR KEY SYMBOL" },
  { 9111, "PREVIOUS PAGE" },
  { 9112, "NEXT PAGE" },
  { 9113, "PRINT SCREEN SYMBOL" },
  { 9114, "CLEAR SCREEN SYMBOL" },
  { 9115, "LEFT PARENTHESIS UPPER HOOK" },
  { 9116, "LEFT PARENTHESIS EXTENSION" },
  { 9117, "LEFT PARENTHESIS LOWER HOOK" },
  { 9118, "RIGHT PARENTHESIS UPPER HOOK" },
  { 9119, "RIGHT PARENTHESIS EXTENSION" },
  { 9120, "RIGHT PARENTHESIS LOWER HOOK" },
  { 9121, "LEFT SQUARE BRACKET UPPER CORNER" },
  { 9122, "LEFT SQUARE BRACKET EXTENSION" },
  { 9123, "LEFT SQUARE BRACKET LOWER CORNER" },
  { 9124, "RIGHT SQUARE BRACKET UPPER CORNER" },
  { 9125, "RIGHT SQUARE BRACKET EXTENSION" },
  { 9126, "RIGHT SQUARE BRACKET LOWER CORNER" },
  { 9127, "LEFT CURLY BRACKET UPPER HOOK" },
  { 9128, "LEFT CURLY BRACKET MIDDLE PIECE" },
  { 9129, "LEFT CURLY BRACKET LOWER HOOK" },
  { 9130, "CURLY BRACKET EXTENSION" },
  { 9131, "RIGHT CURLY BRACKET UPPER HOOK" },
  { 9132, "RIGHT CURLY BRACKET MIDDLE PIECE" },
  { 9133, "RIGHT CURLY BRACKET LOWER HOOK" },
  { 9134, "INTEGRAL EXTENSION" },
  { 9135, "HORIZONTAL LINE EXTENSION" },
  { 9136, "UPPER LEFT OR LOWER RIGHT CURLY BRACKET SECTION" },
  { 9137, "UPPER RIGHT OR LOWER LEFT CURLY BRACKET SECTION" },
  { 9138, "SUMMATION TOP" },
  { 9139, "SUMMATION BOTTOM" },
  { 9140, "TOP SQUARE BRACKET" },
  { 9141, "BOTTOM SQUARE BRACKET" },
  { 9142, "BOTTOM SQUARE BRACKET OVER TOP SQUARE BRACKET" },
  { 9143, "RADICAL SYMBOL BOTTOM" },
  { 9144, "LEFT VERTICAL BOX LINE" },
  { 9145, "RIGHT VERTICAL BOX LINE" },
  { 9146, "HORIZONTAL SCAN LINE-1" },
  { 9147, "HORIZONTAL SCAN LINE-3" },
  { 9148, "HORIZONTAL SCAN LINE-7" },
  { 9149, "HORIZONTAL SCAN LINE-9" },
  { 9150, "DENTISTRY SYMBOL LIGHT VERTICAL AND TOP RIGHT" },
  { 9151, "DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM RIGHT" },
  { 9152, "DENTISTRY SYMBOL LIGHT VERTICAL WITH CIRCLE" },
  { 9153, "DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH CIRCLE" },
  { 9154, "DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH CIRCLE" },
  { 9155, "DENTISTRY SYMBOL LIGHT VERTICAL WITH TRIANGLE" },
  { 9156, "DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH TRIANGLE" },
  { 9157, "DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH TRIANGLE" },
  { 9158, "DENTISTRY SYMBOL LIGHT VERTICAL AND WAVE" },
  { 9159, "DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH WAVE" },
  { 9160, "DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH WAVE" },
  { 9161, "DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL" },
  { 9162, "DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL" },
  { 9163, "DENTISTRY SYMBOL LIGHT VERTICAL AND TOP LEFT" },
  { 9164, "DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM LEFT" },
  { 9165, "SQUARE FOOT" },
  { 9166, "RETURN SYMBOL" },
  { 9167, "EJECT SYMBOL" },
  { 9168, "VERTICAL LINE EXTENSION" },
  { 9169, "METRICAL BREVE" },
  { 9170, "METRICAL LONG OVER SHORT" },
  { 9171, "METRICAL SHORT OVER LONG" },
  { 9172, "METRICAL LONG OVER TWO SHORTS" },
  { 9173, "METRICAL TWO SHORTS OVER LONG" },
  { 9174, "METRICAL TWO SHORTS JOINED" },
  { 9175, "METRICAL TRISEME" },
  { 9176, "METRICAL TETRASEME" },
  { 9177, "METRICAL PENTASEME" },
  { 9178, "EARTH GROUND" },
  { 9179, "FUSE" },
  { 9180, "TOP PARENTHESIS" },
  { 9181, "BOTTOM PARENTHESIS" },
  { 9182, "TOP CURLY BRACKET" },
  { 9183, "BOTTOM CURLY BRACKET" },
  { 9184, "TOP TORTOISE SHELL BRACKET" },
  { 9185, "BOTTOM TORTOISE SHELL BRACKET" },
  { 9186, "WHITE TRAPEZIUM" },
  { 9187, "BENZENE RING WITH CIRCLE" },
  { 9188, "STRAIGHTNESS" },
  { 9189, "FLATNESS" },
  { 9190, "AC CURRENT" },
  { 9191, "ELECTRICAL INTERSECTION" },
  { 9216, "SYMBOL FOR NULL" },
  { 9217, "SYMBOL FOR START OF HEADING" },
  { 9218, "SYMBOL FOR START OF TEXT" },
  { 9219, "SYMBOL FOR END OF TEXT" },
  { 9220, "SYMBOL FOR END OF TRANSMISSION" },
  { 9221, "SYMBOL FOR ENQUIRY" },
  { 9222, "SYMBOL FOR ACKNOWLEDGE" },
  { 9223, "SYMBOL FOR BELL" },
  { 9224, "SYMBOL FOR BACKSPACE" },
  { 9225, "SYMBOL FOR HORIZONTAL TABULATION" },
  { 9226, "SYMBOL FOR LINE FEED" },
  { 9227, "SYMBOL FOR VERTICAL TABULATION" },
  { 9228, "SYMBOL FOR FORM FEED" },
  { 9229, "SYMBOL FOR CARRIAGE RETURN" },
  { 9230, "SYMBOL FOR SHIFT OUT" },
  { 9231, "SYMBOL FOR SHIFT IN" },
  { 9232, "SYMBOL FOR DATA LINK ESCAPE" },
  { 9233, "SYMBOL FOR DEVICE CONTROL ONE" },
  { 9234, "SYMBOL FOR DEVICE CONTROL TWO" },
  { 9235, "SYMBOL FOR DEVICE CONTROL THREE" },
  { 9236, "SYMBOL FOR DEVICE CONTROL FOUR" },
  { 9237, "SYMBOL FOR NEGATIVE ACKNOWLEDGE" },
  { 9238, "SYMBOL FOR SYNCHRONOUS IDLE" },
  { 9239, "SYMBOL FOR END OF TRANSMISSION BLOCK" },
  { 9240, "SYMBOL FOR CANCEL" },
  { 9241, "SYMBOL FOR END OF MEDIUM" },
  { 9242, "SYMBOL FOR SUBSTITUTE" },
  { 9243, "SYMBOL FOR ESCAPE" },
  { 9244, "SYMBOL FOR FILE SEPARATOR" },
  { 9245, "SYMBOL FOR GROUP SEPARATOR" },
  { 9246, "SYMBOL FOR RECORD SEPARATOR" },
  { 9247, "SYMBOL FOR UNIT SEPARATOR" },
  { 9248, "SYMBOL FOR SPACE" },
  { 9249, "SYMBOL FOR DELETE" },
  { 9250, "BLANK SYMBOL" },
  { 9251, "OPEN BOX" },
  { 9252, "SYMBOL FOR NEWLINE" },
  { 9253, "SYMBOL FOR DELETE FORM TWO" },
  { 9254, "SYMBOL FOR SUBSTITUTE FORM TWO" },
  { 9280, "OCR HOOK" },
  { 9281, "OCR CHAIR" },
  { 9282, "OCR FORK" },
  { 9283, "OCR INVERTED FORK" },
  { 9284, "OCR BELT BUCKLE" },
  { 9285, "OCR BOW TIE" },
  { 9286, "OCR BRANCH BANK IDENTIFICATION" },
  { 9287, "OCR AMOUNT OF CHECK" },
  { 9288, "OCR DASH" },
  { 9289, "OCR CUSTOMER ACCOUNT NUMBER" },
  { 9290, "OCR DOUBLE BACKSLASH" },
  { 9312, "CIRCLED DIGIT ONE" },
  { 9313, "CIRCLED DIGIT TWO" },
  { 9314, "CIRCLED DIGIT THREE" },
  { 9315, "CIRCLED DIGIT FOUR" },
  { 9316, "CIRCLED DIGIT FIVE" },
  { 9317, "CIRCLED DIGIT SIX" },
  { 9318, "CIRCLED DIGIT SEVEN" },
  { 9319, "CIRCLED DIGIT EIGHT" },
  { 9320, "CIRCLED DIGIT NINE" },
  { 9321, "CIRCLED NUMBER TEN" },
  { 9322, "CIRCLED NUMBER ELEVEN" },
  { 9323, "CIRCLED NUMBER TWELVE" },
  { 9324, "CIRCLED NUMBER THIRTEEN" },
  { 9325, "CIRCLED NUMBER FOURTEEN" },
  { 9326, "CIRCLED NUMBER FIFTEEN" },
  { 9327, "CIRCLED NUMBER SIXTEEN" },
  { 9328, "CIRCLED NUMBER SEVENTEEN" },
  { 9329, "CIRCLED NUMBER EIGHTEEN" },
  { 9330, "CIRCLED NUMBER NINETEEN" },
  { 9331, "CIRCLED NUMBER TWENTY" },
  { 9332, "PARENTHESIZED DIGIT ONE" },
  { 9333, "PARENTHESIZED DIGIT TWO" },
  { 9334, "PARENTHESIZED DIGIT THREE" },
  { 9335, "PARENTHESIZED DIGIT FOUR" },
  { 9336, "PARENTHESIZED DIGIT FIVE" },
  { 9337, "PARENTHESIZED DIGIT SIX" },
  { 9338, "PARENTHESIZED DIGIT SEVEN" },
  { 9339, "PARENTHESIZED DIGIT EIGHT" },
  { 9340, "PARENTHESIZED DIGIT NINE" },
  { 9341, "PARENTHESIZED NUMBER TEN" },
  { 9342, "PARENTHESIZED NUMBER ELEVEN" },
  { 9343, "PARENTHESIZED NUMBER TWELVE" },
  { 9344, "PARENTHESIZED NUMBER THIRTEEN" },
  { 9345, "PARENTHESIZED NUMBER FOURTEEN" },
  { 9346, "PARENTHESIZED NUMBER FIFTEEN" },
  { 9347, "PARENTHESIZED NUMBER SIXTEEN" },
  { 9348, "PARENTHESIZED NUMBER SEVENTEEN" },
  { 9349, "PARENTHESIZED NUMBER EIGHTEEN" },
  { 9350, "PARENTHESIZED NUMBER NINETEEN" },
  { 9351, "PARENTHESIZED NUMBER TWENTY" },
  { 9352, "DIGIT ONE FULL STOP" },
  { 9353, "DIGIT TWO FULL STOP" },
  { 9354, "DIGIT THREE FULL STOP" },
  { 9355, "DIGIT FOUR FULL STOP" },
  { 9356, "DIGIT FIVE FULL STOP" },
  { 9357, "DIGIT SIX FULL STOP" },
  { 9358, "DIGIT SEVEN FULL STOP" },
  { 9359, "DIGIT EIGHT FULL STOP" },
  { 9360, "DIGIT NINE FULL STOP" },
  { 9361, "NUMBER TEN FULL STOP" },
  { 9362, "NUMBER ELEVEN FULL STOP" },
  { 9363, "NUMBER TWELVE FULL STOP" },
  { 9364, "NUMBER THIRTEEN FULL STOP" },
  { 9365, "NUMBER FOURTEEN FULL STOP" },
  { 9366, "NUMBER FIFTEEN FULL STOP" },
  { 9367, "NUMBER SIXTEEN FULL STOP" },
  { 9368, "NUMBER SEVENTEEN FULL STOP" },
  { 9369, "NUMBER EIGHTEEN FULL STOP" },
  { 9370, "NUMBER NINETEEN FULL STOP" },
  { 9371, "NUMBER TWENTY FULL STOP" },
  { 9372, "PARENTHESIZED LATIN SMALL LETTER A" },
  { 9373, "PARENTHESIZED LATIN SMALL LETTER B" },
  { 9374, "PARENTHESIZED LATIN SMALL LETTER C" },
  { 9375, "PARENTHESIZED LATIN SMALL LETTER D" },
  { 9376, "PARENTHESIZED LATIN SMALL LETTER E" },
  { 9377, "PARENTHESIZED LATIN SMALL LETTER F" },
  { 9378, "PARENTHESIZED LATIN SMALL LETTER G" },
  { 9379, "PARENTHESIZED LATIN SMALL LETTER H" },
  { 9380, "PARENTHESIZED LATIN SMALL LETTER I" },
  { 9381, "PARENTHESIZED LATIN SMALL LETTER J" },
  { 9382, "PARENTHESIZED LATIN SMALL LETTER K" },
  { 9383, "PARENTHESIZED LATIN SMALL LETTER L" },
  { 9384, "PARENTHESIZED LATIN SMALL LETTER M" },
  { 9385, "PARENTHESIZED LATIN SMALL LETTER N" },
  { 9386, "PARENTHESIZED LATIN SMALL LETTER O" },
  { 9387, "PARENTHESIZED LATIN SMALL LETTER P" },
  { 9388, "PARENTHESIZED LATIN SMALL LETTER Q" },
  { 9389, "PARENTHESIZED LATIN SMALL LETTER R" },
  { 9390, "PARENTHESIZED LATIN SMALL LETTER S" },
  { 9391, "PARENTHESIZED LATIN SMALL LETTER T" },
  { 9392, "PARENTHESIZED LATIN SMALL LETTER U" },
  { 9393, "PARENTHESIZED LATIN SMALL LETTER V" },
  { 9394, "PARENTHESIZED LATIN SMALL LETTER W" },
  { 9395, "PARENTHESIZED LATIN SMALL LETTER X" },
  { 9396, "PARENTHESIZED LATIN SMALL LETTER Y" },
  { 9397, "PARENTHESIZED LATIN SMALL LETTER Z" },
  { 9398, "CIRCLED LATIN CAPITAL LETTER A" },
  { 9399, "CIRCLED LATIN CAPITAL LETTER B" },
  { 9400, "CIRCLED LATIN CAPITAL LETTER C" },
  { 9401, "CIRCLED LATIN CAPITAL LETTER D" },
  { 9402, "CIRCLED LATIN CAPITAL LETTER E" },
  { 9403, "CIRCLED LATIN CAPITAL LETTER F" },
  { 9404, "CIRCLED LATIN CAPITAL LETTER G" },
  { 9405, "CIRCLED LATIN CAPITAL LETTER H" },
  { 9406, "CIRCLED LATIN CAPITAL LETTER I" },
  { 9407, "CIRCLED LATIN CAPITAL LETTER J" },
  { 9408, "CIRCLED LATIN CAPITAL LETTER K" },
  { 9409, "CIRCLED LATIN CAPITAL LETTER L" },
  { 9410, "CIRCLED LATIN CAPITAL LETTER M" },
  { 9411, "CIRCLED LATIN CAPITAL LETTER N" },
  { 9412, "CIRCLED LATIN CAPITAL LETTER O" },
  { 9413, "CIRCLED LATIN CAPITAL LETTER P" },
  { 9414, "CIRCLED LATIN CAPITAL LETTER Q" },
  { 9415, "CIRCLED LATIN CAPITAL LETTER R" },
  { 9416, "CIRCLED LATIN CAPITAL LETTER S" },
  { 9417, "CIRCLED LATIN CAPITAL LETTER T" },
  { 9418, "CIRCLED LATIN CAPITAL LETTER U" },
  { 9419, "CIRCLED LATIN CAPITAL LETTER V" },
  { 9420, "CIRCLED LATIN CAPITAL LETTER W" },
  { 9421, "CIRCLED LATIN CAPITAL LETTER X" },
  { 9422, "CIRCLED LATIN CAPITAL LETTER Y" },
  { 9423, "CIRCLED LATIN CAPITAL LETTER Z" },
  { 9424, "CIRCLED LATIN SMALL LETTER A" },
  { 9425, "CIRCLED LATIN SMALL LETTER B" },
  { 9426, "CIRCLED LATIN SMALL LETTER C" },
  { 9427, "CIRCLED LATIN SMALL LETTER D" },
  { 9428, "CIRCLED LATIN SMALL LETTER E" },
  { 9429, "CIRCLED LATIN SMALL LETTER F" },
  { 9430, "CIRCLED LATIN SMALL LETTER G" },
  { 9431, "CIRCLED LATIN SMALL LETTER H" },
  { 9432, "CIRCLED LATIN SMALL LETTER I" },
  { 9433, "CIRCLED LATIN SMALL LETTER J" },
  { 9434, "CIRCLED LATIN SMALL LETTER K" },
  { 9435, "CIRCLED LATIN SMALL LETTER L" },
  { 9436, "CIRCLED LATIN SMALL LETTER M" },
  { 9437, "CIRCLED LATIN SMALL LETTER N" },
  { 9438, "CIRCLED LATIN SMALL LETTER O" },
  { 9439, "CIRCLED LATIN SMALL LETTER P" },
  { 9440, "CIRCLED LATIN SMALL LETTER Q" },
  { 9441, "CIRCLED LATIN SMALL LETTER R" },
  { 9442, "CIRCLED LATIN SMALL LETTER S" },
  { 9443, "CIRCLED LATIN SMALL LETTER T" },
  { 9444, "CIRCLED LATIN SMALL LETTER U" },
  { 9445, "CIRCLED LATIN SMALL LETTER V" },
  { 9446, "CIRCLED LATIN SMALL LETTER W" },
  { 9447, "CIRCLED LATIN SMALL LETTER X" },
  { 9448, "CIRCLED LATIN SMALL LETTER Y" },
  { 9449, "CIRCLED LATIN SMALL LETTER Z" },
  { 9450, "CIRCLED DIGIT ZERO" },
  { 9451, "NEGATIVE CIRCLED NUMBER ELEVEN" },
  { 9452, "NEGATIVE CIRCLED NUMBER TWELVE" },
  { 9453, "NEGATIVE CIRCLED NUMBER THIRTEEN" },
  { 9454, "NEGATIVE CIRCLED NUMBER FOURTEEN" },
  { 9455, "NEGATIVE CIRCLED NUMBER FIFTEEN" },
  { 9456, "NEGATIVE CIRCLED NUMBER SIXTEEN" },
  { 9457, "NEGATIVE CIRCLED NUMBER SEVENTEEN" },
  { 9458, "NEGATIVE CIRCLED NUMBER EIGHTEEN" },
  { 9459, "NEGATIVE CIRCLED NUMBER NINETEEN" },
  { 9460, "NEGATIVE CIRCLED NUMBER TWENTY" },
  { 9461, "DOUBLE CIRCLED DIGIT ONE" },
  { 9462, "DOUBLE CIRCLED DIGIT TWO" },
  { 9463, "DOUBLE CIRCLED DIGIT THREE" },
  { 9464, "DOUBLE CIRCLED DIGIT FOUR" },
  { 9465, "DOUBLE CIRCLED DIGIT FIVE" },
  { 9466, "DOUBLE CIRCLED DIGIT SIX" },
  { 9467, "DOUBLE CIRCLED DIGIT SEVEN" },
  { 9468, "DOUBLE CIRCLED DIGIT EIGHT" },
  { 9469, "DOUBLE CIRCLED DIGIT NINE" },
  { 9470, "DOUBLE CIRCLED NUMBER TEN" },
  { 9471, "NEGATIVE CIRCLED DIGIT ZERO" },
  { 9472, "BOX DRAWINGS LIGHT HORIZONTAL" },
  { 9473, "BOX DRAWINGS HEAVY HORIZONTAL" },
  { 9474, "BOX DRAWINGS LIGHT VERTICAL" },
  { 9475, "BOX DRAWINGS HEAVY VERTICAL" },
  { 9476, "BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL" },
  { 9477, "BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL" },
  { 9478, "BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL" },
  { 9479, "BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL" },
  { 9480, "BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL" },
  { 9481, "BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL" },
  { 9482, "BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL" },
  { 9483, "BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL" },
  { 9484, "BOX DRAWINGS LIGHT DOWN AND RIGHT" },
  { 9485, "BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY" },
  { 9486, "BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT" },
  { 9487, "BOX DRAWINGS HEAVY DOWN AND RIGHT" },
  { 9488, "BOX DRAWINGS LIGHT DOWN AND LEFT" },
  { 9489, "BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY" },
  { 9490, "BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT" },
  { 9491, "BOX DRAWINGS HEAVY DOWN AND LEFT" },
  { 9492, "BOX DRAWINGS LIGHT UP AND RIGHT" },
  { 9493, "BOX DRAWINGS UP LIGHT AND RIGHT HEAVY" },
  { 9494, "BOX DRAWINGS UP HEAVY AND RIGHT LIGHT" },
  { 9495, "BOX DRAWINGS HEAVY UP AND RIGHT" },
  { 9496, "BOX DRAWINGS LIGHT UP AND LEFT" },
  { 9497, "BOX DRAWINGS UP LIGHT AND LEFT HEAVY" },
  { 9498, "BOX DRAWINGS UP HEAVY AND LEFT LIGHT" },
  { 9499, "BOX DRAWINGS HEAVY UP AND LEFT" },
  { 9500, "BOX DRAWINGS LIGHT VERTICAL AND RIGHT" },
  { 9501, "BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY" },
  { 9502, "BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT" },
  { 9503, "BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT" },
  { 9504, "BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT" },
  { 9505, "BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY" },
  { 9506, "BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY" },
  { 9507, "BOX DRAWINGS HEAVY VERTICAL AND RIGHT" },
  { 9508, "BOX DRAWINGS LIGHT VERTICAL AND LEFT" },
  { 9509, "BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY" },
  { 9510, "BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT" },
  { 9511, "BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT" },
  { 9512, "BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT" },
  { 9513, "BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY" },
  { 9514, "BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY" },
  { 9515, "BOX DRAWINGS HEAVY VERTICAL AND LEFT" },
  { 9516, "BOX DRAWINGS LIGHT DOWN AND HORIZONTAL" },
  { 9517, "BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT" },
  { 9518, "BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT" },
  { 9519, "BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY" },
  { 9520, "BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT" },
  { 9521, "BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY" },
  { 9522, "BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY" },
  { 9523, "BOX DRAWINGS HEAVY DOWN AND HORIZONTAL" },
  { 9524, "BOX DRAWINGS LIGHT UP AND HORIZONTAL" },
  { 9525, "BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT" },
  { 9526, "BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT" },
  { 9527, "BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY" },
  { 9528, "BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT" },
  { 9529, "BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY" },
  { 9530, "BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY" },
  { 9531, "BOX DRAWINGS HEAVY UP AND HORIZONTAL" },
  { 9532, "BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL" },
  { 9533, "BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT" },
  { 9534, "BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT" },
  { 9535, "BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY" },
  { 9536, "BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT" },
  { 9537, "BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT" },
  { 9538, "BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT" },
  { 9539, "BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT" },
  { 9540, "BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT" },
  { 9541, "BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT" },
  { 9542, "BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT" },
  { 9543, "BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY" },
  { 9544, "BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY" },
  { 9545, "BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY" },
  { 9546, "BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY" },
  { 9547, "BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL" },
  { 9548, "BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL" },
  { 9549, "BOX DRAWINGS HEAVY DOUBLE DASH HORIZONTAL" },
  { 9550, "BOX DRAWINGS LIGHT DOUBLE DASH VERTICAL" },
  { 9551, "BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL" },
  { 9552, "BOX DRAWINGS DOUBLE HORIZONTAL" },
  { 9553, "BOX DRAWINGS DOUBLE VERTICAL" },
  { 9554, "BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE" },
  { 9555, "BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE" },
  { 9556, "BOX DRAWINGS DOUBLE DOWN AND RIGHT" },
  { 9557, "BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE" },
  { 9558, "BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE" },
  { 9559, "BOX DRAWINGS DOUBLE DOWN AND LEFT" },
  { 9560, "BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE" },
  { 9561, "BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE" },
  { 9562, "BOX DRAWINGS DOUBLE UP AND RIGHT" },
  { 9563, "BOX DRAWINGS UP SINGLE AND LEFT DOUBLE" },
  { 9564, "BOX DRAWINGS UP DOUBLE AND LEFT SINGLE" },
  { 9565, "BOX DRAWINGS DOUBLE UP AND LEFT" },
  { 9566, "BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE" },
  { 9567, "BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE" },
  { 9568, "BOX DRAWINGS DOUBLE VERTICAL AND RIGHT" },
  { 9569, "BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE" },
  { 9570, "BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE" },
  { 9571, "BOX DRAWINGS DOUBLE VERTICAL AND LEFT" },
  { 9572, "BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE" },
  { 9573, "BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE" },
  { 9574, "BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL" },
  { 9575, "BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE" },
  { 9576, "BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE" },
  { 9577, "BOX DRAWINGS DOUBLE UP AND HORIZONTAL" },
  { 9578, "BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE" },
  { 9579, "BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE" },
  { 9580, "BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL" },
  { 9581, "BOX DRAWINGS LIGHT ARC DOWN AND RIGHT" },
  { 9582, "BOX DRAWINGS LIGHT ARC DOWN AND LEFT" },
  { 9583, "BOX DRAWINGS LIGHT ARC UP AND LEFT" },
  { 9584, "BOX DRAWINGS LIGHT ARC UP AND RIGHT" },
  { 9585, "BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT" },
  { 9586, "BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT" },
  { 9587, "BOX DRAWINGS LIGHT DIAGONAL CROSS" },
  { 9588, "BOX DRAWINGS LIGHT LEFT" },
  { 9589, "BOX DRAWINGS LIGHT UP" },
  { 9590, "BOX DRAWINGS LIGHT RIGHT" },
  { 9591, "BOX DRAWINGS LIGHT DOWN" },
  { 9592, "BOX DRAWINGS HEAVY LEFT" },
  { 9593, "BOX DRAWINGS HEAVY UP" },
  { 9594, "BOX DRAWINGS HEAVY RIGHT" },
  { 9595, "BOX DRAWINGS HEAVY DOWN" },
  { 9596, "BOX DRAWINGS LIGHT LEFT AND HEAVY RIGHT" },
  { 9597, "BOX DRAWINGS LIGHT UP AND HEAVY DOWN" },
  { 9598, "BOX DRAWINGS HEAVY LEFT AND LIGHT RIGHT" },
  { 9599, "BOX DRAWINGS HEAVY UP AND LIGHT DOWN" },
  { 9600, "UPPER HALF BLOCK" },
  { 9601, "LOWER ONE EIGHTH BLOCK" },
  { 9602, "LOWER ONE QUARTER BLOCK" },
  { 9603, "LOWER THREE EIGHTHS BLOCK" },
  { 9604, "LOWER HALF BLOCK" },
  { 9605, "LOWER FIVE EIGHTHS BLOCK" },
  { 9606, "LOWER THREE QUARTERS BLOCK" },
  { 9607, "LOWER SEVEN EIGHTHS BLOCK" },
  { 9608, "FULL BLOCK" },
  { 9609, "LEFT SEVEN EIGHTHS BLOCK" },
  { 9610, "LEFT THREE QUARTERS BLOCK" },
  { 9611, "LEFT FIVE EIGHTHS BLOCK" },
  { 9612, "LEFT HALF BLOCK" },
  { 9613, "LEFT THREE EIGHTHS BLOCK" },
  { 9614, "LEFT ONE QUARTER BLOCK" },
  { 9615, "LEFT ONE EIGHTH BLOCK" },
  { 9616, "RIGHT HALF BLOCK" },
  { 9617, "LIGHT SHADE" },
  { 9618, "MEDIUM SHADE" },
  { 9619, "DARK SHADE" },
  { 9620, "UPPER ONE EIGHTH BLOCK" },
  { 9621, "RIGHT ONE EIGHTH BLOCK" },
  { 9622, "QUADRANT LOWER LEFT" },
  { 9623, "QUADRANT LOWER RIGHT" },
  { 9624, "QUADRANT UPPER LEFT" },
  { 9625, "QUADRANT UPPER LEFT AND LOWER LEFT AND LOWER RIGHT" },
  { 9626, "QUADRANT UPPER LEFT AND LOWER RIGHT" },
  { 9627, "QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER LEFT" },
  { 9628, "QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER RIGHT" },
  { 9629, "QUADRANT UPPER RIGHT" },
  { 9630, "QUADRANT UPPER RIGHT AND LOWER LEFT" },
  { 9631, "QUADRANT UPPER RIGHT AND LOWER LEFT AND LOWER RIGHT" },
  { 9632, "BLACK SQUARE" },
  { 9633, "WHITE SQUARE" },
  { 9634, "WHITE SQUARE WITH ROUNDED CORNERS" },
  { 9635, "WHITE SQUARE CONTAINING BLACK SMALL SQUARE" },
  { 9636, "SQUARE WITH HORIZONTAL FILL" },
  { 9637, "SQUARE WITH VERTICAL FILL" },
  { 9638, "SQUARE WITH ORTHOGONAL CROSSHATCH FILL" },
  { 9639, "SQUARE WITH UPPER LEFT TO LOWER RIGHT FILL" },
  { 9640, "SQUARE WITH UPPER RIGHT TO LOWER LEFT FILL" },
  { 9641, "SQUARE WITH DIAGONAL CROSSHATCH FILL" },
  { 9642, "BLACK SMALL SQUARE" },
  { 9643, "WHITE SMALL SQUARE" },
  { 9644, "BLACK RECTANGLE" },
  { 9645, "WHITE RECTANGLE" },
  { 9646, "BLACK VERTICAL RECTANGLE" },
  { 9647, "WHITE VERTICAL RECTANGLE" },
  { 9648, "BLACK PARALLELOGRAM" },
  { 9649, "WHITE PARALLELOGRAM" },
  { 9650, "BLACK UP-POINTING TRIANGLE" },
  { 9651, "WHITE UP-POINTING TRIANGLE" },
  { 9652, "BLACK UP-POINTING SMALL TRIANGLE" },
  { 9653, "WHITE UP-POINTING SMALL TRIANGLE" },
  { 9654, "BLACK RIGHT-POINTING TRIANGLE" },
  { 9655, "WHITE RIGHT-POINTING TRIANGLE" },
  { 9656, "BLACK RIGHT-POINTING SMALL TRIANGLE" },
  { 9657, "WHITE RIGHT-POINTING SMALL TRIANGLE" },
  { 9658, "BLACK RIGHT-POINTING POINTER" },
  { 9659, "WHITE RIGHT-POINTING POINTER" },
  { 9660, "BLACK DOWN-POINTING TRIANGLE" },
  { 9661, "WHITE DOWN-POINTING TRIANGLE" },
  { 9662, "BLACK DOWN-POINTING SMALL TRIANGLE" },
  { 9663, "WHITE DOWN-POINTING SMALL TRIANGLE" },
  { 9664, "BLACK LEFT-POINTING TRIANGLE" },
  { 9665, "WHITE LEFT-POINTING TRIANGLE" },
  { 9666, "BLACK LEFT-POINTING SMALL TRIANGLE" },
  { 9667, "WHITE LEFT-POINTING SMALL TRIANGLE" },
  { 9668, "BLACK LEFT-POINTING POINTER" },
  { 9669, "WHITE LEFT-POINTING POINTER" },
  { 9670, "BLACK DIAMOND" },
  { 9671, "WHITE DIAMOND" },
  { 9672, "WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND" },
  { 9673, "FISHEYE" },
  { 9674, "LOZENGE" },
  { 9675, "WHITE CIRCLE" },
  { 9676, "DOTTED CIRCLE" },
  { 9677, "CIRCLE WITH VERTICAL FILL" },
  { 9678, "BULLSEYE" },
  { 9679, "BLACK CIRCLE" },
  { 9680, "CIRCLE WITH LEFT HALF BLACK" },
  { 9681, "CIRCLE WITH RIGHT HALF BLACK" },
  { 9682, "CIRCLE WITH LOWER HALF BLACK" },
  { 9683, "CIRCLE WITH UPPER HALF BLACK" },
  { 9684, "CIRCLE WITH UPPER RIGHT QUADRANT BLACK" },
  { 9685, "CIRCLE WITH ALL BUT UPPER LEFT QUADRANT BLACK" },
  { 9686, "LEFT HALF BLACK CIRCLE" },
  { 9687, "RIGHT HALF BLACK CIRCLE" },
  { 9688, "INVERSE BULLET" },
  { 9689, "INVERSE WHITE CIRCLE" },
  { 9690, "UPPER HALF INVERSE WHITE CIRCLE" },
  { 9691, "LOWER HALF INVERSE WHITE CIRCLE" },
  { 9692, "UPPER LEFT QUADRANT CIRCULAR ARC" },
  { 9693, "UPPER RIGHT QUADRANT CIRCULAR ARC" },
  { 9694, "LOWER RIGHT QUADRANT CIRCULAR ARC" },
  { 9695, "LOWER LEFT QUADRANT CIRCULAR ARC" },
  { 9696, "UPPER HALF CIRCLE" },
  { 9697, "LOWER HALF CIRCLE" },
  { 9698, "BLACK LOWER RIGHT TRIANGLE" },
  { 9699, "BLACK LOWER LEFT TRIANGLE" },
  { 9700, "BLACK UPPER LEFT TRIANGLE" },
  { 9701, "BLACK UPPER RIGHT TRIANGLE" },
  { 9702, "WHITE BULLET" },
  { 9703, "SQUARE WITH LEFT HALF BLACK" },
  { 9704, "SQUARE WITH RIGHT HALF BLACK" },
  { 9705, "SQUARE WITH UPPER LEFT DIAGONAL HALF BLACK" },
  { 9706, "SQUARE WITH LOWER RIGHT DIAGONAL HALF BLACK" },
  { 9707, "WHITE SQUARE WITH VERTICAL BISECTING LINE" },
  { 9708, "WHITE UP-POINTING TRIANGLE WITH DOT" },
  { 9709, "UP-POINTING TRIANGLE WITH LEFT HALF BLACK" },
  { 9710, "UP-POINTING TRIANGLE WITH RIGHT HALF BLACK" },
  { 9711, "LARGE CIRCLE" },
  { 9712, "WHITE SQUARE WITH UPPER LEFT QUADRANT" },
  { 9713, "WHITE SQUARE WITH LOWER LEFT QUADRANT" },
  { 9714, "WHITE SQUARE WITH LOWER RIGHT QUADRANT" },
  { 9715, "WHITE SQUARE WITH UPPER RIGHT QUADRANT" },
  { 9716, "WHITE CIRCLE WITH UPPER LEFT QUADRANT" },
  { 9717, "WHITE CIRCLE WITH LOWER LEFT QUADRANT" },
  { 9718, "WHITE CIRCLE WITH LOWER RIGHT QUADRANT" },
  { 9719, "WHITE CIRCLE WITH UPPER RIGHT QUADRANT" },
  { 9720, "UPPER LEFT TRIANGLE" },
  { 9721, "UPPER RIGHT TRIANGLE" },
  { 9722, "LOWER LEFT TRIANGLE" },
  { 9723, "WHITE MEDIUM SQUARE" },
  { 9724, "BLACK MEDIUM SQUARE" },
  { 9725, "WHITE MEDIUM SMALL SQUARE" },
  { 9726, "BLACK MEDIUM SMALL SQUARE" },
  { 9727, "LOWER RIGHT TRIANGLE" },
  { 9728, "BLACK SUN WITH RAYS" },
  { 9729, "CLOUD" },
  { 9730, "UMBRELLA" },
  { 9731, "SNOWMAN" },
  { 9732, "COMET" },
  { 9733, "BLACK STAR" },
  { 9734, "WHITE STAR" },
  { 9735, "LIGHTNING" },
  { 9736, "THUNDERSTORM" },
  { 9737, "SUN" },
  { 9738, "ASCENDING NODE" },
  { 9739, "DESCENDING NODE" },
  { 9740, "CONJUNCTION" },
  { 9741, "OPPOSITION" },
  { 9742, "BLACK TELEPHONE" },
  { 9743, "WHITE TELEPHONE" },
  { 9744, "BALLOT BOX" },
  { 9745, "BALLOT BOX WITH CHECK" },
  { 9746, "BALLOT BOX WITH X" },
  { 9747, "SALTIRE" },
  { 9748, "UMBRELLA WITH RAIN DROPS" },
  { 9749, "HOT BEVERAGE" },
  { 9750, "WHITE SHOGI PIECE" },
  { 9751, "BLACK SHOGI PIECE" },
  { 9752, "SHAMROCK" },
  { 9753, "REVERSED ROTATED FLORAL HEART BULLET" },
  { 9754, "BLACK LEFT POINTING INDEX" },
  { 9755, "BLACK RIGHT POINTING INDEX" },
  { 9756, "WHITE LEFT POINTING INDEX" },
  { 9757, "WHITE UP POINTING INDEX" },
  { 9758, "WHITE RIGHT POINTING INDEX" },
  { 9759, "WHITE DOWN POINTING INDEX" },
  { 9760, "SKULL AND CROSSBONES" },
  { 9761, "CAUTION SIGN" },
  { 9762, "RADIOACTIVE SIGN" },
  { 9763, "BIOHAZARD SIGN" },
  { 9764, "CADUCEUS" },
  { 9765, "ANKH" },
  { 9766, "ORTHODOX CROSS" },
  { 9767, "CHI RHO" },
  { 9768, "CROSS OF LORRAINE" },
  { 9769, "CROSS OF JERUSALEM" },
  { 9770, "STAR AND CRESCENT" },
  { 9771, "FARSI SYMBOL" },
  { 9772, "ADI SHAKTI" },
  { 9773, "HAMMER AND SICKLE" },
  { 9774, "PEACE SYMBOL" },
  { 9775, "YIN YANG" },
  { 9776, "TRIGRAM FOR HEAVEN" },
  { 9777, "TRIGRAM FOR LAKE" },
  { 9778, "TRIGRAM FOR FIRE" },
  { 9779, "TRIGRAM FOR THUNDER" },
  { 9780, "TRIGRAM FOR WIND" },
  { 9781, "TRIGRAM FOR WATER" },
  { 9782, "TRIGRAM FOR MOUNTAIN" },
  { 9783, "TRIGRAM FOR EARTH" },
  { 9784, "WHEEL OF DHARMA" },
  { 9785, "WHITE FROWNING FACE" },
  { 9786, "WHITE SMILING FACE" },
  { 9787, "BLACK SMILING FACE" },
  { 9788, "WHITE SUN WITH RAYS" },
  { 9789, "FIRST QUARTER MOON" },
  { 9790, "LAST QUARTER MOON" },
  { 9791, "MERCURY" },
  { 9792, "FEMALE SIGN" },
  { 9793, "EARTH" },
  { 9794, "MALE SIGN" },
  { 9795, "JUPITER" },
  { 9796, "SATURN" },
  { 9797, "URANUS" },
  { 9798, "NEPTUNE" },
  { 9799, "PLUTO" },
  { 9800, "ARIES" },
  { 9801, "TAURUS" },
  { 9802, "GEMINI" },
  { 9803, "CANCER" },
  { 9804, "LEO" },
  { 9805, "VIRGO" },
  { 9806, "LIBRA" },
  { 9807, "SCORPIUS" },
  { 9808, "SAGITTARIUS" },
  { 9809, "CAPRICORN" },
  { 9810, "AQUARIUS" },
  { 9811, "PISCES" },
  { 9812, "WHITE CHESS KING" },
  { 9813, "WHITE CHESS QUEEN" },
  { 9814, "WHITE CHESS ROOK" },
  { 9815, "WHITE CHESS BISHOP" },
  { 9816, "WHITE CHESS KNIGHT" },
  { 9817, "WHITE CHESS PAWN" },
  { 9818, "BLACK CHESS KING" },
  { 9819, "BLACK CHESS QUEEN" },
  { 9820, "BLACK CHESS ROOK" },
  { 9821, "BLACK CHESS BISHOP" },
  { 9822, "BLACK CHESS KNIGHT" },
  { 9823, "BLACK CHESS PAWN" },
  { 9824, "BLACK SPADE SUIT" },
  { 9825, "WHITE HEART SUIT" },
  { 9826, "WHITE DIAMOND SUIT" },
  { 9827, "BLACK CLUB SUIT" },
  { 9828, "WHITE SPADE SUIT" },
  { 9829, "BLACK HEART SUIT" },
  { 9830, "BLACK DIAMOND SUIT" },
  { 9831, "WHITE CLUB SUIT" },
  { 9832, "HOT SPRINGS" },
  { 9833, "QUARTER NOTE" },
  { 9834, "EIGHTH NOTE" },
  { 9835, "BEAMED EIGHTH NOTES" },
  { 9836, "BEAMED SIXTEENTH NOTES" },
  { 9837, "MUSIC FLAT SIGN" },
  { 9838, "MUSIC NATURAL SIGN" },
  { 9839, "MUSIC SHARP SIGN" },
  { 9840, "WEST SYRIAC CROSS" },
  { 9841, "EAST SYRIAC CROSS" },
  { 9842, "UNIVERSAL RECYCLING SYMBOL" },
  { 9843, "RECYCLING SYMBOL FOR TYPE-1 PLASTICS" },
  { 9844, "RECYCLING SYMBOL FOR TYPE-2 PLASTICS" },
  { 9845, "RECYCLING SYMBOL FOR TYPE-3 PLASTICS" },
  { 9846, "RECYCLING SYMBOL FOR TYPE-4 PLASTICS" },
  { 9847, "RECYCLING SYMBOL FOR TYPE-5 PLASTICS" },
  { 9848, "RECYCLING SYMBOL FOR TYPE-6 PLASTICS" },
  { 9849, "RECYCLING SYMBOL FOR TYPE-7 PLASTICS" },
  { 9850, "RECYCLING SYMBOL FOR GENERIC MATERIALS" },
  { 9851, "BLACK UNIVERSAL RECYCLING SYMBOL" },
  { 9852, "RECYCLED PAPER SYMBOL" },
  { 9853, "PARTIALLY-RECYCLED PAPER SYMBOL" },
  { 9854, "PERMANENT PAPER SIGN" },
  { 9855, "WHEELCHAIR SYMBOL" },
  { 9856, "DIE FACE-1" },
  { 9857, "DIE FACE-2" },
  { 9858, "DIE FACE-3" },
  { 9859, "DIE FACE-4" },
  { 9860, "DIE FACE-5" },
  { 9861, "DIE FACE-6" },
  { 9862, "WHITE CIRCLE WITH DOT RIGHT" },
  { 9863, "WHITE CIRCLE WITH TWO DOTS" },
  { 9864, "BLACK CIRCLE WITH WHITE DOT RIGHT" },
  { 9865, "BLACK CIRCLE WITH TWO WHITE DOTS" },
  { 9866, "MONOGRAM FOR YANG" },
  { 9867, "MONOGRAM FOR YIN" },
  { 9868, "DIGRAM FOR GREATER YANG" },
  { 9869, "DIGRAM FOR LESSER YIN" },
  { 9870, "DIGRAM FOR LESSER YANG" },
  { 9871, "DIGRAM FOR GREATER YIN" },
  { 9872, "WHITE FLAG" },
  { 9873, "BLACK FLAG" },
  { 9874, "HAMMER AND PICK" },
  { 9875, "ANCHOR" },
  { 9876, "CROSSED SWORDS" },
  { 9877, "STAFF OF AESCULAPIUS" },
  { 9878, "SCALES" },
  { 9879, "ALEMBIC" },
  { 9880, "FLOWER" },
  { 9881, "GEAR" },
  { 9882, "STAFF OF HERMES" },
  { 9883, "ATOM SYMBOL" },
  { 9884, "FLEUR-DE-LIS" },
  { 9885, "OUTLINED WHITE STAR" },
  { 9888, "WARNING SIGN" },
  { 9889, "HIGH VOLTAGE SIGN" },
  { 9890, "DOUBLED FEMALE SIGN" },
  { 9891, "DOUBLED MALE SIGN" },
  { 9892, "INTERLOCKED FEMALE AND MALE SIGN" },
  { 9893, "MALE AND FEMALE SIGN" },
  { 9894, "MALE WITH STROKE SIGN" },
  { 9895, "MALE WITH STROKE AND MALE AND FEMALE SIGN" },
  { 9896, "VERTICAL MALE WITH STROKE SIGN" },
  { 9897, "HORIZONTAL MALE WITH STROKE SIGN" },
  { 9898, "MEDIUM WHITE CIRCLE" },
  { 9899, "MEDIUM BLACK CIRCLE" },
  { 9900, "MEDIUM SMALL WHITE CIRCLE" },
  { 9901, "MARRIAGE SYMBOL" },
  { 9902, "DIVORCE SYMBOL" },
  { 9903, "UNMARRIED PARTNERSHIP SYMBOL" },
  { 9904, "COFFIN" },
  { 9905, "FUNERAL URN" },
  { 9906, "NEUTER" },
  { 9907, "CERES" },
  { 9908, "PALLAS" },
  { 9909, "JUNO" },
  { 9910, "VESTA" },
  { 9911, "CHIRON" },
  { 9912, "BLACK MOON LILITH" },
  { 9913, "SEXTILE" },
  { 9914, "SEMISEXTILE" },
  { 9915, "QUINCUNX" },
  { 9916, "SESQUIQUADRATE" },
  { 9920, "WHITE DRAUGHTS MAN" },
  { 9921, "WHITE DRAUGHTS KING" },
  { 9922, "BLACK DRAUGHTS MAN" },
  { 9923, "BLACK DRAUGHTS KING" },
  { 9985, "UPPER BLADE SCISSORS" },
  { 9986, "BLACK SCISSORS" },
  { 9987, "LOWER BLADE SCISSORS" },
  { 9988, "WHITE SCISSORS" },
  { 9990, "TELEPHONE LOCATION SIGN" },
  { 9991, "TAPE DRIVE" },
  { 9992, "AIRPLANE" },
  { 9993, "ENVELOPE" },
  { 9996, "VICTORY HAND" },
  { 9997, "WRITING HAND" },
  { 9998, "LOWER RIGHT PENCIL" },
  { 9999, "PENCIL" },
  { 10000, "UPPER RIGHT PENCIL" },
  { 10001, "WHITE NIB" },
  { 10002, "BLACK NIB" },
  { 10003, "CHECK MARK" },
  { 10004, "HEAVY CHECK MARK" },
  { 10005, "MULTIPLICATION X" },
  { 10006, "HEAVY MULTIPLICATION X" },
  { 10007, "BALLOT X" },
  { 10008, "HEAVY BALLOT X" },
  { 10009, "OUTLINED GREEK CROSS" },
  { 10010, "HEAVY GREEK CROSS" },
  { 10011, "OPEN CENTRE CROSS" },
  { 10012, "HEAVY OPEN CENTRE CROSS" },
  { 10013, "LATIN CROSS" },
  { 10014, "SHADOWED WHITE LATIN CROSS" },
  { 10015, "OUTLINED LATIN CROSS" },
  { 10016, "MALTESE CROSS" },
  { 10017, "STAR OF DAVID" },
  { 10018, "FOUR TEARDROP-SPOKED ASTERISK" },
  { 10019, "FOUR BALLOON-SPOKED ASTERISK" },
  { 10020, "HEAVY FOUR BALLOON-SPOKED ASTERISK" },
  { 10021, "FOUR CLUB-SPOKED ASTERISK" },
  { 10022, "BLACK FOUR POINTED STAR" },
  { 10023, "WHITE FOUR POINTED STAR" },
  { 10025, "STRESS OUTLINED WHITE STAR" },
  { 10026, "CIRCLED WHITE STAR" },
  { 10027, "OPEN CENTRE BLACK STAR" },
  { 10028, "BLACK CENTRE WHITE STAR" },
  { 10029, "OUTLINED BLACK STAR" },
  { 10030, "HEAVY OUTLINED BLACK STAR" },
  { 10031, "PINWHEEL STAR" },
  { 10032, "SHADOWED WHITE STAR" },
  { 10033, "HEAVY ASTERISK" },
  { 10034, "OPEN CENTRE ASTERISK" },
  { 10035, "EIGHT SPOKED ASTERISK" },
  { 10036, "EIGHT POINTED BLACK STAR" },
  { 10037, "EIGHT POINTED PINWHEEL STAR" },
  { 10038, "SIX POINTED BLACK STAR" },
  { 10039, "EIGHT POINTED RECTILINEAR BLACK STAR" },
  { 10040, "HEAVY EIGHT POINTED RECTILINEAR BLACK STAR" },
  { 10041, "TWELVE POINTED BLACK STAR" },
  { 10042, "SIXTEEN POINTED ASTERISK" },
  { 10043, "TEARDROP-SPOKED ASTERISK" },
  { 10044, "OPEN CENTRE TEARDROP-SPOKED ASTERISK" },
  { 10045, "HEAVY TEARDROP-SPOKED ASTERISK" },
  { 10046, "SIX PETALLED BLACK AND WHITE FLORETTE" },
  { 10047, "BLACK FLORETTE" },
  { 10048, "WHITE FLORETTE" },
  { 10049, "EIGHT PETALLED OUTLINED BLACK FLORETTE" },
  { 10050, "CIRCLED OPEN CENTRE EIGHT POINTED STAR" },
  { 10051, "HEAVY TEARDROP-SPOKED PINWHEEL ASTERISK" },
  { 10052, "SNOWFLAKE" },
  { 10053, "TIGHT TRIFOLIATE SNOWFLAKE" },
  { 10054, "HEAVY CHEVRON SNOWFLAKE" },
  { 10055, "SPARKLE" },
  { 10056, "HEAVY SPARKLE" },
  { 10057, "BALLOON-SPOKED ASTERISK" },
  { 10058, "EIGHT TEARDROP-SPOKED PROPELLER ASTERISK" },
  { 10059, "HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK" },
  { 10061, "SHADOWED WHITE CIRCLE" },
  { 10063, "LOWER RIGHT DROP-SHADOWED WHITE SQUARE" },
  { 10064, "UPPER RIGHT DROP-SHADOWED WHITE SQUARE" },
  { 10065, "LOWER RIGHT SHADOWED WHITE SQUARE" },
  { 10066, "UPPER RIGHT SHADOWED WHITE SQUARE" },
  { 10070, "BLACK DIAMOND MINUS WHITE X" },
  { 10072, "LIGHT VERTICAL BAR" },
  { 10073, "MEDIUM VERTICAL BAR" },
  { 10074, "HEAVY VERTICAL BAR" },
  { 10075, "HEAVY SINGLE TURNED COMMA QUOTATION MARK ORNAMENT" },
  { 10076, "HEAVY SINGLE COMMA QUOTATION MARK ORNAMENT" },
  { 10077, "HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT" },
  { 10078, "HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT" },
  { 10081, "CURVED STEM PARAGRAPH SIGN ORNAMENT" },
  { 10082, "HEAVY EXCLAMATION MARK ORNAMENT" },
  { 10083, "HEAVY HEART EXCLAMATION MARK ORNAMENT" },
  { 10084, "HEAVY BLACK HEART" },
  { 10085, "ROTATED HEAVY BLACK HEART BULLET" },
  { 10086, "FLORAL HEART" },
  { 10087, "ROTATED FLORAL HEART BULLET" },
  { 10088, "MEDIUM LEFT PARENTHESIS ORNAMENT" },
  { 10089, "MEDIUM RIGHT PARENTHESIS ORNAMENT" },
  { 10090, "MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT" },
  { 10091, "MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT" },
  { 10092, "MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT" },
  { 10093, "MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT" },
  { 10094, "HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT" },
  { 10095, "HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT" },
  { 10096, "HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT" },
  { 10097, "HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT" },
  { 10098, "LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT" },
  { 10099, "LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT" },
  { 10100, "MEDIUM LEFT CURLY BRACKET ORNAMENT" },
  { 10101, "MEDIUM RIGHT CURLY BRACKET ORNAMENT" },
  { 10102, "DINGBAT NEGATIVE CIRCLED DIGIT ONE" },
  { 10103, "DINGBAT NEGATIVE CIRCLED DIGIT TWO" },
  { 10104, "DINGBAT NEGATIVE CIRCLED DIGIT THREE" },
  { 10105, "DINGBAT NEGATIVE CIRCLED DIGIT FOUR" },
  { 10106, "DINGBAT NEGATIVE CIRCLED DIGIT FIVE" },
  { 10107, "DINGBAT NEGATIVE CIRCLED DIGIT SIX" },
  { 10108, "DINGBAT NEGATIVE CIRCLED DIGIT SEVEN" },
  { 10109, "DINGBAT NEGATIVE CIRCLED DIGIT EIGHT" },
  { 10110, "DINGBAT NEGATIVE CIRCLED DIGIT NINE" },
  { 10111, "DINGBAT NEGATIVE CIRCLED NUMBER TEN" },
  { 10112, "DINGBAT CIRCLED SANS-SERIF DIGIT ONE" },
  { 10113, "DINGBAT CIRCLED SANS-SERIF DIGIT TWO" },
  { 10114, "DINGBAT CIRCLED SANS-SERIF DIGIT THREE" },
  { 10115, "DINGBAT CIRCLED SANS-SERIF DIGIT FOUR" },
  { 10116, "DINGBAT CIRCLED SANS-SERIF DIGIT FIVE" },
  { 10117, "DINGBAT CIRCLED SANS-SERIF DIGIT SIX" },
  { 10118, "DINGBAT CIRCLED SANS-SERIF DIGIT SEVEN" },
  { 10119, "DINGBAT CIRCLED SANS-SERIF DIGIT EIGHT" },
  { 10120, "DINGBAT CIRCLED SANS-SERIF DIGIT NINE" },
  { 10121, "DINGBAT CIRCLED SANS-SERIF NUMBER TEN" },
  { 10122, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ONE" },
  { 10123, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT TWO" },
  { 10124, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT THREE" },
  { 10125, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FOUR" },
  { 10126, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FIVE" },
  { 10127, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX" },
  { 10128, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SEVEN" },
  { 10129, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT EIGHT" },
  { 10130, "DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT NINE" },
  { 10131, "DINGBAT NEGATIVE CIRCLED SANS-SERIF NUMBER TEN" },
  { 10132, "HEAVY WIDE-HEADED RIGHTWARDS ARROW" },
  { 10136, "HEAVY SOUTH EAST ARROW" },
  { 10137, "HEAVY RIGHTWARDS ARROW" },
  { 10138, "HEAVY NORTH EAST ARROW" },
  { 10139, "DRAFTING POINT RIGHTWARDS ARROW" },
  { 10140, "HEAVY ROUND-TIPPED RIGHTWARDS ARROW" },
  { 10141, "TRIANGLE-HEADED RIGHTWARDS ARROW" },
  { 10142, "HEAVY TRIANGLE-HEADED RIGHTWARDS ARROW" },
  { 10143, "DASHED TRIANGLE-HEADED RIGHTWARDS ARROW" },
  { 10144, "HEAVY DASHED TRIANGLE-HEADED RIGHTWARDS ARROW" },
  { 10145, "BLACK RIGHTWARDS ARROW" },
  { 10146, "THREE-D TOP-LIGHTED RIGHTWARDS ARROWHEAD" },
  { 10147, "THREE-D BOTTOM-LIGHTED RIGHTWARDS ARROWHEAD" },
  { 10148, "BLACK RIGHTWARDS ARROWHEAD" },
  { 10149, "HEAVY BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW" },
  { 10150, "HEAVY BLACK CURVED UPWARDS AND RIGHTWARDS ARROW" },
  { 10151, "SQUAT BLACK RIGHTWARDS ARROW" },
  { 10152, "HEAVY CONCAVE-POINTED BLACK RIGHTWARDS ARROW" },
  { 10153, "RIGHT-SHADED WHITE RIGHTWARDS ARROW" },
  { 10154, "LEFT-SHADED WHITE RIGHTWARDS ARROW" },
  { 10155, "BACK-TILTED SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10156, "FRONT-TILTED SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10157, "HEAVY LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10158, "HEAVY UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10159, "NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10161, "NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW" },
  { 10162, "CIRCLED HEAVY WHITE RIGHTWARDS ARROW" },
  { 10163, "WHITE-FEATHERED RIGHTWARDS ARROW" },
  { 10164, "BLACK-FEATHERED SOUTH EAST ARROW" },
  { 10165, "BLACK-FEATHERED RIGHTWARDS ARROW" },
  { 10166, "BLACK-FEATHERED NORTH EAST ARROW" },
  { 10167, "HEAVY BLACK-FEATHERED SOUTH EAST ARROW" },
  { 10168, "HEAVY BLACK-FEATHERED RIGHTWARDS ARROW" },
  { 10169, "HEAVY BLACK-FEATHERED NORTH EAST ARROW" },
  { 10170, "TEARDROP-BARBED RIGHTWARDS ARROW" },
  { 10171, "HEAVY TEARDROP-SHANKED RIGHTWARDS ARROW" },
  { 10172, "WEDGE-TAILED RIGHTWARDS ARROW" },
  { 10173, "HEAVY WEDGE-TAILED RIGHTWARDS ARROW" },
  { 10174, "OPEN-OUTLINED RIGHTWARDS ARROW" },
  { 10176, "THREE DIMENSIONAL ANGLE" },
  { 10177, "WHITE TRIANGLE CONTAINING SMALL WHITE TRIANGLE" },
  { 10178, "PERPENDICULAR" },
  { 10179, "OPEN SUBSET" },
  { 10180, "OPEN SUPERSET" },
  { 10181, "LEFT S-SHAPED BAG DELIMITER" },
  { 10182, "RIGHT S-SHAPED BAG DELIMITER" },
  { 10183, "OR WITH DOT INSIDE" },
  { 10184, "REVERSE SOLIDUS PRECEDING SUBSET" },
  { 10185, "SUPERSET PRECEDING SOLIDUS" },
  { 10186, "VERTICAL BAR WITH HORIZONTAL STROKE" },
  { 10188, "LONG DIVISION" },
  { 10192, "WHITE DIAMOND WITH CENTRED DOT" },
  { 10193, "AND WITH DOT" },
  { 10194, "ELEMENT OF OPENING UPWARDS" },
  { 10195, "LOWER RIGHT CORNER WITH DOT" },
  { 10196, "UPPER LEFT CORNER WITH DOT" },
  { 10197, "LEFT OUTER JOIN" },
  { 10198, "RIGHT OUTER JOIN" },
  { 10199, "FULL OUTER JOIN" },
  { 10200, "LARGE UP TACK" },
  { 10201, "LARGE DOWN TACK" },
  { 10202, "LEFT AND RIGHT DOUBLE TURNSTILE" },
  { 10203, "LEFT AND RIGHT TACK" },
  { 10204, "LEFT MULTIMAP" },
  { 10205, "LONG RIGHT TACK" },
  { 10206, "LONG LEFT TACK" },
  { 10207, "UP TACK WITH CIRCLE ABOVE" },
  { 10208, "LOZENGE DIVIDED BY HORIZONTAL RULE" },
  { 10209, "WHITE CONCAVE-SIDED DIAMOND" },
  { 10210, "WHITE CONCAVE-SIDED DIAMOND WITH LEFTWARDS TICK" },
  { 10211, "WHITE CONCAVE-SIDED DIAMOND WITH RIGHTWARDS TICK" },
  { 10212, "WHITE SQUARE WITH LEFTWARDS TICK" },
  { 10213, "WHITE SQUARE WITH RIGHTWARDS TICK" },
  { 10214, "MATHEMATICAL LEFT WHITE SQUARE BRACKET" },
  { 10215, "MATHEMATICAL RIGHT WHITE SQUARE BRACKET" },
  { 10216, "MATHEMATICAL LEFT ANGLE BRACKET" },
  { 10217, "MATHEMATICAL RIGHT ANGLE BRACKET" },
  { 10218, "MATHEMATICAL LEFT DOUBLE ANGLE BRACKET" },
  { 10219, "MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET" },
  { 10220, "MATHEMATICAL LEFT WHITE TORTOISE SHELL BRACKET" },
  { 10221, "MATHEMATICAL RIGHT WHITE TORTOISE SHELL BRACKET" },
  { 10222, "MATHEMATICAL LEFT FLATTENED PARENTHESIS" },
  { 10223, "MATHEMATICAL RIGHT FLATTENED PARENTHESIS" },
  { 10224, "UPWARDS QUADRUPLE ARROW" },
  { 10225, "DOWNWARDS QUADRUPLE ARROW" },
  { 10226, "ANTICLOCKWISE GAPPED CIRCLE ARROW" },
  { 10227, "CLOCKWISE GAPPED CIRCLE ARROW" },
  { 10228, "RIGHT ARROW WITH CIRCLED PLUS" },
  { 10229, "LONG LEFTWARDS ARROW" },
  { 10230, "LONG RIGHTWARDS ARROW" },
  { 10231, "LONG LEFT RIGHT ARROW" },
  { 10232, "LONG LEFTWARDS DOUBLE ARROW" },
  { 10233, "LONG RIGHTWARDS DOUBLE ARROW" },
  { 10234, "LONG LEFT RIGHT DOUBLE ARROW" },
  { 10235, "LONG LEFTWARDS ARROW FROM BAR" },
  { 10236, "LONG RIGHTWARDS ARROW FROM BAR" },
  { 10237, "LONG LEFTWARDS DOUBLE ARROW FROM BAR" },
  { 10238, "LONG RIGHTWARDS DOUBLE ARROW FROM BAR" },
  { 10239, "LONG RIGHTWARDS SQUIGGLE ARROW" },
  { 10240, "BRAILLE PATTERN BLANK" },
  { 10241, "BRAILLE PATTERN DOTS-1" },
  { 10242, "BRAILLE PATTERN DOTS-2" },
  { 10243, "BRAILLE PATTERN DOTS-12" },
  { 10244, "BRAILLE PATTERN DOTS-3" },
  { 10245, "BRAILLE PATTERN DOTS-13" },
  { 10246, "BRAILLE PATTERN DOTS-23" },
  { 10247, "BRAILLE PATTERN DOTS-123" },
  { 10248, "BRAILLE PATTERN DOTS-4" },
  { 10249, "BRAILLE PATTERN DOTS-14" },
  { 10250, "BRAILLE PATTERN DOTS-24" },
  { 10251, "BRAILLE PATTERN DOTS-124" },
  { 10252, "BRAILLE PATTERN DOTS-34" },
  { 10253, "BRAILLE PATTERN DOTS-134" },
  { 10254, "BRAILLE PATTERN DOTS-234" },
  { 10255, "BRAILLE PATTERN DOTS-1234" },
  { 10256, "BRAILLE PATTERN DOTS-5" },
  { 10257, "BRAILLE PATTERN DOTS-15" },
  { 10258, "BRAILLE PATTERN DOTS-25" },
  { 10259, "BRAILLE PATTERN DOTS-125" },
  { 10260, "BRAILLE PATTERN DOTS-35" },
  { 10261, "BRAILLE PATTERN DOTS-135" },
  { 10262, "BRAILLE PATTERN DOTS-235" },
  { 10263, "BRAILLE PATTERN DOTS-1235" },
  { 10264, "BRAILLE PATTERN DOTS-45" },
  { 10265, "BRAILLE PATTERN DOTS-145" },
  { 10266, "BRAILLE PATTERN DOTS-245" },
  { 10267, "BRAILLE PATTERN DOTS-1245" },
  { 10268, "BRAILLE PATTERN DOTS-345" },
  { 10269, "BRAILLE PATTERN DOTS-1345" },
  { 10270, "BRAILLE PATTERN DOTS-2345" },
  { 10271, "BRAILLE PATTERN DOTS-12345" },
  { 10272, "BRAILLE PATTERN DOTS-6" },
  { 10273, "BRAILLE PATTERN DOTS-16" },
  { 10274, "BRAILLE PATTERN DOTS-26" },
  { 10275, "BRAILLE PATTERN DOTS-126" },
  { 10276, "BRAILLE PATTERN DOTS-36" },
  { 10277, "BRAILLE PATTERN DOTS-136" },
  { 10278, "BRAILLE PATTERN DOTS-236" },
  { 10279, "BRAILLE PATTERN DOTS-1236" },
  { 10280, "BRAILLE PATTERN DOTS-46" },
  { 10281, "BRAILLE PATTERN DOTS-146" },
  { 10282, "BRAILLE PATTERN DOTS-246" },
  { 10283, "BRAILLE PATTERN DOTS-1246" },
  { 10284, "BRAILLE PATTERN DOTS-346" },
  { 10285, "BRAILLE PATTERN DOTS-1346" },
  { 10286, "BRAILLE PATTERN DOTS-2346" },
  { 10287, "BRAILLE PATTERN DOTS-12346" },
  { 10288, "BRAILLE PATTERN DOTS-56" },
  { 10289, "BRAILLE PATTERN DOTS-156" },
  { 10290, "BRAILLE PATTERN DOTS-256" },
  { 10291, "BRAILLE PATTERN DOTS-1256" },
  { 10292, "BRAILLE PATTERN DOTS-356" },
  { 10293, "BRAILLE PATTERN DOTS-1356" },
  { 10294, "BRAILLE PATTERN DOTS-2356" },
  { 10295, "BRAILLE PATTERN DOTS-12356" },
  { 10296, "BRAILLE PATTERN DOTS-456" },
  { 10297, "BRAILLE PATTERN DOTS-1456" },
  { 10298, "BRAILLE PATTERN DOTS-2456" },
  { 10299, "BRAILLE PATTERN DOTS-12456" },
  { 10300, "BRAILLE PATTERN DOTS-3456" },
  { 10301, "BRAILLE PATTERN DOTS-13456" },
  { 10302, "BRAILLE PATTERN DOTS-23456" },
  { 10303, "BRAILLE PATTERN DOTS-123456" },
  { 10304, "BRAILLE PATTERN DOTS-7" },
  { 10305, "BRAILLE PATTERN DOTS-17" },
  { 10306, "BRAILLE PATTERN DOTS-27" },
  { 10307, "BRAILLE PATTERN DOTS-127" },
  { 10308, "BRAILLE PATTERN DOTS-37" },
  { 10309, "BRAILLE PATTERN DOTS-137" },
  { 10310, "BRAILLE PATTERN DOTS-237" },
  { 10311, "BRAILLE PATTERN DOTS-1237" },
  { 10312, "BRAILLE PATTERN DOTS-47" },
  { 10313, "BRAILLE PATTERN DOTS-147" },
  { 10314, "BRAILLE PATTERN DOTS-247" },
  { 10315, "BRAILLE PATTERN DOTS-1247" },
  { 10316, "BRAILLE PATTERN DOTS-347" },
  { 10317, "BRAILLE PATTERN DOTS-1347" },
  { 10318, "BRAILLE PATTERN DOTS-2347" },
  { 10319, "BRAILLE PATTERN DOTS-12347" },
  { 10320, "BRAILLE PATTERN DOTS-57" },
  { 10321, "BRAILLE PATTERN DOTS-157" },
  { 10322, "BRAILLE PATTERN DOTS-257" },
  { 10323, "BRAILLE PATTERN DOTS-1257" },
  { 10324, "BRAILLE PATTERN DOTS-357" },
  { 10325, "BRAILLE PATTERN DOTS-1357" },
  { 10326, "BRAILLE PATTERN DOTS-2357" },
  { 10327, "BRAILLE PATTERN DOTS-12357" },
  { 10328, "BRAILLE PATTERN DOTS-457" },
  { 10329, "BRAILLE PATTERN DOTS-1457" },
  { 10330, "BRAILLE PATTERN DOTS-2457" },
  { 10331, "BRAILLE PATTERN DOTS-12457" },
  { 10332, "BRAILLE PATTERN DOTS-3457" },
  { 10333, "BRAILLE PATTERN DOTS-13457" },
  { 10334, "BRAILLE PATTERN DOTS-23457" },
  { 10335, "BRAILLE PATTERN DOTS-123457" },
  { 10336, "BRAILLE PATTERN DOTS-67" },
  { 10337, "BRAILLE PATTERN DOTS-167" },
  { 10338, "BRAILLE PATTERN DOTS-267" },
  { 10339, "BRAILLE PATTERN DOTS-1267" },
  { 10340, "BRAILLE PATTERN DOTS-367" },
  { 10341, "BRAILLE PATTERN DOTS-1367" },
  { 10342, "BRAILLE PATTERN DOTS-2367" },
  { 10343, "BRAILLE PATTERN DOTS-12367" },
  { 10344, "BRAILLE PATTERN DOTS-467" },
  { 10345, "BRAILLE PATTERN DOTS-1467" },
  { 10346, "BRAILLE PATTERN DOTS-2467" },
  { 10347, "BRAILLE PATTERN DOTS-12467" },
  { 10348, "BRAILLE PATTERN DOTS-3467" },
  { 10349, "BRAILLE PATTERN DOTS-13467" },
  { 10350, "BRAILLE PATTERN DOTS-23467" },
  { 10351, "BRAILLE PATTERN DOTS-123467" },
  { 10352, "BRAILLE PATTERN DOTS-567" },
  { 10353, "BRAILLE PATTERN DOTS-1567" },
  { 10354, "BRAILLE PATTERN DOTS-2567" },
  { 10355, "BRAILLE PATTERN DOTS-12567" },
  { 10356, "BRAILLE PATTERN DOTS-3567" },
  { 10357, "BRAILLE PATTERN DOTS-13567" },
  { 10358, "BRAILLE PATTERN DOTS-23567" },
  { 10359, "BRAILLE PATTERN DOTS-123567" },
  { 10360, "BRAILLE PATTERN DOTS-4567" },
  { 10361, "BRAILLE PATTERN DOTS-14567" },
  { 10362, "BRAILLE PATTERN DOTS-24567" },
  { 10363, "BRAILLE PATTERN DOTS-124567" },
  { 10364, "BRAILLE PATTERN DOTS-34567" },
  { 10365, "BRAILLE PATTERN DOTS-134567" },
  { 10366, "BRAILLE PATTERN DOTS-234567" },
  { 10367, "BRAILLE PATTERN DOTS-1234567" },
  { 10368, "BRAILLE PATTERN DOTS-8" },
  { 10369, "BRAILLE PATTERN DOTS-18" },
  { 10370, "BRAILLE PATTERN DOTS-28" },
  { 10371, "BRAILLE PATTERN DOTS-128" },
  { 10372, "BRAILLE PATTERN DOTS-38" },
  { 10373, "BRAILLE PATTERN DOTS-138" },
  { 10374, "BRAILLE PATTERN DOTS-238" },
  { 10375, "BRAILLE PATTERN DOTS-1238" },
  { 10376, "BRAILLE PATTERN DOTS-48" },
  { 10377, "BRAILLE PATTERN DOTS-148" },
  { 10378, "BRAILLE PATTERN DOTS-248" },
  { 10379, "BRAILLE PATTERN DOTS-1248" },
  { 10380, "BRAILLE PATTERN DOTS-348" },
  { 10381, "BRAILLE PATTERN DOTS-1348" },
  { 10382, "BRAILLE PATTERN DOTS-2348" },
  { 10383, "BRAILLE PATTERN DOTS-12348" },
  { 10384, "BRAILLE PATTERN DOTS-58" },
  { 10385, "BRAILLE PATTERN DOTS-158" },
  { 10386, "BRAILLE PATTERN DOTS-258" },
  { 10387, "BRAILLE PATTERN DOTS-1258" },
  { 10388, "BRAILLE PATTERN DOTS-358" },
  { 10389, "BRAILLE PATTERN DOTS-1358" },
  { 10390, "BRAILLE PATTERN DOTS-2358" },
  { 10391, "BRAILLE PATTERN DOTS-12358" },
  { 10392, "BRAILLE PATTERN DOTS-458" },
  { 10393, "BRAILLE PATTERN DOTS-1458" },
  { 10394, "BRAILLE PATTERN DOTS-2458" },
  { 10395, "BRAILLE PATTERN DOTS-12458" },
  { 10396, "BRAILLE PATTERN DOTS-3458" },
  { 10397, "BRAILLE PATTERN DOTS-13458" },
  { 10398, "BRAILLE PATTERN DOTS-23458" },
  { 10399, "BRAILLE PATTERN DOTS-123458" },
  { 10400, "BRAILLE PATTERN DOTS-68" },
  { 10401, "BRAILLE PATTERN DOTS-168" },
  { 10402, "BRAILLE PATTERN DOTS-268" },
  { 10403, "BRAILLE PATTERN DOTS-1268" },
  { 10404, "BRAILLE PATTERN DOTS-368" },
  { 10405, "BRAILLE PATTERN DOTS-1368" },
  { 10406, "BRAILLE PATTERN DOTS-2368" },
  { 10407, "BRAILLE PATTERN DOTS-12368" },
  { 10408, "BRAILLE PATTERN DOTS-468" },
  { 10409, "BRAILLE PATTERN DOTS-1468" },
  { 10410, "BRAILLE PATTERN DOTS-2468" },
  { 10411, "BRAILLE PATTERN DOTS-12468" },
  { 10412, "BRAILLE PATTERN DOTS-3468" },
  { 10413, "BRAILLE PATTERN DOTS-13468" },
  { 10414, "BRAILLE PATTERN DOTS-23468" },
  { 10415, "BRAILLE PATTERN DOTS-123468" },
  { 10416, "BRAILLE PATTERN DOTS-568" },
  { 10417, "BRAILLE PATTERN DOTS-1568" },
  { 10418, "BRAILLE PATTERN DOTS-2568" },
  { 10419, "BRAILLE PATTERN DOTS-12568" },
  { 10420, "BRAILLE PATTERN DOTS-3568" },
  { 10421, "BRAILLE PATTERN DOTS-13568" },
  { 10422, "BRAILLE PATTERN DOTS-23568" },
  { 10423, "BRAILLE PATTERN DOTS-123568" },
  { 10424, "BRAILLE PATTERN DOTS-4568" },
  { 10425, "BRAILLE PATTERN DOTS-14568" },
  { 10426, "BRAILLE PATTERN DOTS-24568" },
  { 10427, "BRAILLE PATTERN DOTS-124568" },
  { 10428, "BRAILLE PATTERN DOTS-34568" },
  { 10429, "BRAILLE PATTERN DOTS-134568" },
  { 10430, "BRAILLE PATTERN DOTS-234568" },
  { 10431, "BRAILLE PATTERN DOTS-1234568" },
  { 10432, "BRAILLE PATTERN DOTS-78" },
  { 10433, "BRAILLE PATTERN DOTS-178" },
  { 10434, "BRAILLE PATTERN DOTS-278" },
  { 10435, "BRAILLE PATTERN DOTS-1278" },
  { 10436, "BRAILLE PATTERN DOTS-378" },
  { 10437, "BRAILLE PATTERN DOTS-1378" },
  { 10438, "BRAILLE PATTERN DOTS-2378" },
  { 10439, "BRAILLE PATTERN DOTS-12378" },
  { 10440, "BRAILLE PATTERN DOTS-478" },
  { 10441, "BRAILLE PATTERN DOTS-1478" },
  { 10442, "BRAILLE PATTERN DOTS-2478" },
  { 10443, "BRAILLE PATTERN DOTS-12478" },
  { 10444, "BRAILLE PATTERN DOTS-3478" },
  { 10445, "BRAILLE PATTERN DOTS-13478" },
  { 10446, "BRAILLE PATTERN DOTS-23478" },
  { 10447, "BRAILLE PATTERN DOTS-123478" },
  { 10448, "BRAILLE PATTERN DOTS-578" },
  { 10449, "BRAILLE PATTERN DOTS-1578" },
  { 10450, "BRAILLE PATTERN DOTS-2578" },
  { 10451, "BRAILLE PATTERN DOTS-12578" },
  { 10452, "BRAILLE PATTERN DOTS-3578" },
  { 10453, "BRAILLE PATTERN DOTS-13578" },
  { 10454, "BRAILLE PATTERN DOTS-23578" },
  { 10455, "BRAILLE PATTERN DOTS-123578" },
  { 10456, "BRAILLE PATTERN DOTS-4578" },
  { 10457, "BRAILLE PATTERN DOTS-14578" },
  { 10458, "BRAILLE PATTERN DOTS-24578" },
  { 10459, "BRAILLE PATTERN DOTS-124578" },
  { 10460, "BRAILLE PATTERN DOTS-34578" },
  { 10461, "BRAILLE PATTERN DOTS-134578" },
  { 10462, "BRAILLE PATTERN DOTS-234578" },
  { 10463, "BRAILLE PATTERN DOTS-1234578" },
  { 10464, "BRAILLE PATTERN DOTS-678" },
  { 10465, "BRAILLE PATTERN DOTS-1678" },
  { 10466, "BRAILLE PATTERN DOTS-2678" },
  { 10467, "BRAILLE PATTERN DOTS-12678" },
  { 10468, "BRAILLE PATTERN DOTS-3678" },
  { 10469, "BRAILLE PATTERN DOTS-13678" },
  { 10470, "BRAILLE PATTERN DOTS-23678" },
  { 10471, "BRAILLE PATTERN DOTS-123678" },
  { 10472, "BRAILLE PATTERN DOTS-4678" },
  { 10473, "BRAILLE PATTERN DOTS-14678" },
  { 10474, "BRAILLE PATTERN DOTS-24678" },
  { 10475, "BRAILLE PATTERN DOTS-124678" },
  { 10476, "BRAILLE PATTERN DOTS-34678" },
  { 10477, "BRAILLE PATTERN DOTS-134678" },
  { 10478, "BRAILLE PATTERN DOTS-234678" },
  { 10479, "BRAILLE PATTERN DOTS-1234678" },
  { 10480, "BRAILLE PATTERN DOTS-5678" },
  { 10481, "BRAILLE PATTERN DOTS-15678" },
  { 10482, "BRAILLE PATTERN DOTS-25678" },
  { 10483, "BRAILLE PATTERN DOTS-125678" },
  { 10484, "BRAILLE PATTERN DOTS-35678" },
  { 10485, "BRAILLE PATTERN DOTS-135678" },
  { 10486, "BRAILLE PATTERN DOTS-235678" },
  { 10487, "BRAILLE PATTERN DOTS-1235678" },
  { 10488, "BRAILLE PATTERN DOTS-45678" },
  { 10489, "BRAILLE PATTERN DOTS-145678" },
  { 10490, "BRAILLE PATTERN DOTS-245678" },
  { 10491, "BRAILLE PATTERN DOTS-1245678" },
  { 10492, "BRAILLE PATTERN DOTS-345678" },
  { 10493, "BRAILLE PATTERN DOTS-1345678" },
  { 10494, "BRAILLE PATTERN DOTS-2345678" },
  { 10495, "BRAILLE PATTERN DOTS-12345678" },
  { 10496, "RIGHTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE" },
  { 10497, "RIGHTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE" },
  { 10498, "LEFTWARDS DOUBLE ARROW WITH VERTICAL STROKE" },
  { 10499, "RIGHTWARDS DOUBLE ARROW WITH VERTICAL STROKE" },
  { 10500, "LEFT RIGHT DOUBLE ARROW WITH VERTICAL STROKE" },
  { 10501, "RIGHTWARDS TWO-HEADED ARROW FROM BAR" },
  { 10502, "LEFTWARDS DOUBLE ARROW FROM BAR" },
  { 10503, "RIGHTWARDS DOUBLE ARROW FROM BAR" },
  { 10504, "DOWNWARDS ARROW WITH HORIZONTAL STROKE" },
  { 10505, "UPWARDS ARROW WITH HORIZONTAL STROKE" },
  { 10506, "UPWARDS TRIPLE ARROW" },
  { 10507, "DOWNWARDS TRIPLE ARROW" },
  { 10508, "LEFTWARDS DOUBLE DASH ARROW" },
  { 10509, "RIGHTWARDS DOUBLE DASH ARROW" },
  { 10510, "LEFTWARDS TRIPLE DASH ARROW" },
  { 10511, "RIGHTWARDS TRIPLE DASH ARROW" },
  { 10512, "RIGHTWARDS TWO-HEADED TRIPLE DASH ARROW" },
  { 10513, "RIGHTWARDS ARROW WITH DOTTED STEM" },
  { 10514, "UPWARDS ARROW TO BAR" },
  { 10515, "DOWNWARDS ARROW TO BAR" },
  { 10516, "RIGHTWARDS ARROW WITH TAIL WITH VERTICAL STROKE" },
  { 10517, "RIGHTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE" },
  { 10518, "RIGHTWARDS TWO-HEADED ARROW WITH TAIL" },
  { 10519, "RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE" },
  { 10520, "RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE" },
  { 10521, "LEFTWARDS ARROW-TAIL" },
  { 10522, "RIGHTWARDS ARROW-TAIL" },
  { 10523, "LEFTWARDS DOUBLE ARROW-TAIL" },
  { 10524, "RIGHTWARDS DOUBLE ARROW-TAIL" },
  { 10525, "LEFTWARDS ARROW TO BLACK DIAMOND" },
  { 10526, "RIGHTWARDS ARROW TO BLACK DIAMOND" },
  { 10527, "LEFTWARDS ARROW FROM BAR TO BLACK DIAMOND" },
  { 10528, "RIGHTWARDS ARROW FROM BAR TO BLACK DIAMOND" },
  { 10529, "NORTH WEST AND SOUTH EAST ARROW" },
  { 10530, "NORTH EAST AND SOUTH WEST ARROW" },
  { 10531, "NORTH WEST ARROW WITH HOOK" },
  { 10532, "NORTH EAST ARROW WITH HOOK" },
  { 10533, "SOUTH EAST ARROW WITH HOOK" },
  { 10534, "SOUTH WEST ARROW WITH HOOK" },
  { 10535, "NORTH WEST ARROW AND NORTH EAST ARROW" },
  { 10536, "NORTH EAST ARROW AND SOUTH EAST ARROW" },
  { 10537, "SOUTH EAST ARROW AND SOUTH WEST ARROW" },
  { 10538, "SOUTH WEST ARROW AND NORTH WEST ARROW" },
  { 10539, "RISING DIAGONAL CROSSING FALLING DIAGONAL" },
  { 10540, "FALLING DIAGONAL CROSSING RISING DIAGONAL" },
  { 10541, "SOUTH EAST ARROW CROSSING NORTH EAST ARROW" },
  { 10542, "NORTH EAST ARROW CROSSING SOUTH EAST ARROW" },
  { 10543, "FALLING DIAGONAL CROSSING NORTH EAST ARROW" },
  { 10544, "RISING DIAGONAL CROSSING SOUTH EAST ARROW" },
  { 10545, "NORTH EAST ARROW CROSSING NORTH WEST ARROW" },
  { 10546, "NORTH WEST ARROW CROSSING NORTH EAST ARROW" },
  { 10547, "WAVE ARROW POINTING DIRECTLY RIGHT" },
  { 10548, "ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS" },
  { 10549, "ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS" },
  { 10550, "ARROW POINTING DOWNWARDS THEN CURVING LEFTWARDS" },
  { 10551, "ARROW POINTING DOWNWARDS THEN CURVING RIGHTWARDS" },
  { 10552, "RIGHT-SIDE ARC CLOCKWISE ARROW" },
  { 10553, "LEFT-SIDE ARC ANTICLOCKWISE ARROW" },
  { 10554, "TOP ARC ANTICLOCKWISE ARROW" },
  { 10555, "BOTTOM ARC ANTICLOCKWISE ARROW" },
  { 10556, "TOP ARC CLOCKWISE ARROW WITH MINUS" },
  { 10557, "TOP ARC ANTICLOCKWISE ARROW WITH PLUS" },
  { 10558, "LOWER RIGHT SEMICIRCULAR CLOCKWISE ARROW" },
  { 10559, "LOWER LEFT SEMICIRCULAR ANTICLOCKWISE ARROW" },
  { 10560, "ANTICLOCKWISE CLOSED CIRCLE ARROW" },
  { 10561, "CLOCKWISE CLOSED CIRCLE ARROW" },
  { 10562, "RIGHTWARDS ARROW ABOVE SHORT LEFTWARDS ARROW" },
  { 10563, "LEFTWARDS ARROW ABOVE SHORT RIGHTWARDS ARROW" },
  { 10564, "SHORT RIGHTWARDS ARROW ABOVE LEFTWARDS ARROW" },
  { 10565, "RIGHTWARDS ARROW WITH PLUS BELOW" },
  { 10566, "LEFTWARDS ARROW WITH PLUS BELOW" },
  { 10567, "RIGHTWARDS ARROW THROUGH X" },
  { 10568, "LEFT RIGHT ARROW THROUGH SMALL CIRCLE" },
  { 10569, "UPWARDS TWO-HEADED ARROW FROM SMALL CIRCLE" },
  { 10570, "LEFT BARB UP RIGHT BARB DOWN HARPOON" },
  { 10571, "LEFT BARB DOWN RIGHT BARB UP HARPOON" },
  { 10572, "UP BARB RIGHT DOWN BARB LEFT HARPOON" },
  { 10573, "UP BARB LEFT DOWN BARB RIGHT HARPOON" },
  { 10574, "LEFT BARB UP RIGHT BARB UP HARPOON" },
  { 10575, "UP BARB RIGHT DOWN BARB RIGHT HARPOON" },
  { 10576, "LEFT BARB DOWN RIGHT BARB DOWN HARPOON" },
  { 10577, "UP BARB LEFT DOWN BARB LEFT HARPOON" },
  { 10578, "LEFTWARDS HARPOON WITH BARB UP TO BAR" },
  { 10579, "RIGHTWARDS HARPOON WITH BARB UP TO BAR" },
  { 10580, "UPWARDS HARPOON WITH BARB RIGHT TO BAR" },
  { 10581, "DOWNWARDS HARPOON WITH BARB RIGHT TO BAR" },
  { 10582, "LEFTWARDS HARPOON WITH BARB DOWN TO BAR" },
  { 10583, "RIGHTWARDS HARPOON WITH BARB DOWN TO BAR" },
  { 10584, "UPWARDS HARPOON WITH BARB LEFT TO BAR" },
  { 10585, "DOWNWARDS HARPOON WITH BARB LEFT TO BAR" },
  { 10586, "LEFTWARDS HARPOON WITH BARB UP FROM BAR" },
  { 10587, "RIGHTWARDS HARPOON WITH BARB UP FROM BAR" },
  { 10588, "UPWARDS HARPOON WITH BARB RIGHT FROM BAR" },
  { 10589, "DOWNWARDS HARPOON WITH BARB RIGHT FROM BAR" },
  { 10590, "LEFTWARDS HARPOON WITH BARB DOWN FROM BAR" },
  { 10591, "RIGHTWARDS HARPOON WITH BARB DOWN FROM BAR" },
  { 10592, "UPWARDS HARPOON WITH BARB LEFT FROM BAR" },
  { 10593, "DOWNWARDS HARPOON WITH BARB LEFT FROM BAR" },
  { 10594, "LEFTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB DOWN" },
  { 10595, "UPWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT" },
  { 10596, "RIGHTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB DOWN" },
  { 10597, "DOWNWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT" },
  { 10598, "LEFTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB UP" },
  { 10599, "LEFTWARDS HARPOON WITH BARB DOWN ABOVE RIGHTWARDS HARPOON WITH BARB DOWN" },
  { 10600, "RIGHTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB UP" },
  { 10601, "RIGHTWARDS HARPOON WITH BARB DOWN ABOVE LEFTWARDS HARPOON WITH BARB DOWN" },
  { 10602, "LEFTWARDS HARPOON WITH BARB UP ABOVE LONG DASH" },
  { 10603, "LEFTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH" },
  { 10604, "RIGHTWARDS HARPOON WITH BARB UP ABOVE LONG DASH" },
  { 10605, "RIGHTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH" },
  { 10606, "UPWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT" },
  { 10607, "DOWNWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT" },
  { 10608, "RIGHT DOUBLE ARROW WITH ROUNDED HEAD" },
  { 10609, "EQUALS SIGN ABOVE RIGHTWARDS ARROW" },
  { 10610, "TILDE OPERATOR ABOVE RIGHTWARDS ARROW" },
  { 10611, "LEFTWARDS ARROW ABOVE TILDE OPERATOR" },
  { 10612, "RIGHTWARDS ARROW ABOVE TILDE OPERATOR" },
  { 10613, "RIGHTWARDS ARROW ABOVE ALMOST EQUAL TO" },
  { 10614, "LESS-THAN ABOVE LEFTWARDS ARROW" },
  { 10615, "LEFTWARDS ARROW THROUGH LESS-THAN" },
  { 10616, "GREATER-THAN ABOVE RIGHTWARDS ARROW" },
  { 10617, "SUBSET ABOVE RIGHTWARDS ARROW" },
  { 10618, "LEFTWARDS ARROW THROUGH SUBSET" },
  { 10619, "SUPERSET ABOVE LEFTWARDS ARROW" },
  { 10620, "LEFT FISH TAIL" },
  { 10621, "RIGHT FISH TAIL" },
  { 10622, "UP FISH TAIL" },
  { 10623, "DOWN FISH TAIL" },
  { 10624, "TRIPLE VERTICAL BAR DELIMITER" },
  { 10625, "Z NOTATION SPOT" },
  { 10626, "Z NOTATION TYPE COLON" },
  { 10627, "LEFT WHITE CURLY BRACKET" },
  { 10628, "RIGHT WHITE CURLY BRACKET" },
  { 10629, "LEFT WHITE PARENTHESIS" },
  { 10630, "RIGHT WHITE PARENTHESIS" },
  { 10631, "Z NOTATION LEFT IMAGE BRACKET" },
  { 10632, "Z NOTATION RIGHT IMAGE BRACKET" },
  { 10633, "Z NOTATION LEFT BINDING BRACKET" },
  { 10634, "Z NOTATION RIGHT BINDING BRACKET" },
  { 10635, "LEFT SQUARE BRACKET WITH UNDERBAR" },
  { 10636, "RIGHT SQUARE BRACKET WITH UNDERBAR" },
  { 10637, "LEFT SQUARE BRACKET WITH TICK IN TOP CORNER" },
  { 10638, "RIGHT SQUARE BRACKET WITH TICK IN BOTTOM CORNER" },
  { 10639, "LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER" },
  { 10640, "RIGHT SQUARE BRACKET WITH TICK IN TOP CORNER" },
  { 10641, "LEFT ANGLE BRACKET WITH DOT" },
  { 10642, "RIGHT ANGLE BRACKET WITH DOT" },
  { 10643, "LEFT ARC LESS-THAN BRACKET" },
  { 10644, "RIGHT ARC GREATER-THAN BRACKET" },
  { 10645, "DOUBLE LEFT ARC GREATER-THAN BRACKET" },
  { 10646, "DOUBLE RIGHT ARC LESS-THAN BRACKET" },
  { 10647, "LEFT BLACK TORTOISE SHELL BRACKET" },
  { 10648, "RIGHT BLACK TORTOISE SHELL BRACKET" },
  { 10649, "DOTTED FENCE" },
  { 10650, "VERTICAL ZIGZAG LINE" },
  { 10651, "MEASURED ANGLE OPENING LEFT" },
  { 10652, "RIGHT ANGLE VARIANT WITH SQUARE" },
  { 10653, "MEASURED RIGHT ANGLE WITH DOT" },
  { 10654, "ANGLE WITH S INSIDE" },
  { 10655, "ACUTE ANGLE" },
  { 10656, "SPHERICAL ANGLE OPENING LEFT" },
  { 10657, "SPHERICAL ANGLE OPENING UP" },
  { 10658, "TURNED ANGLE" },
  { 10659, "REVERSED ANGLE" },
  { 10660, "ANGLE WITH UNDERBAR" },
  { 10661, "REVERSED ANGLE WITH UNDERBAR" },
  { 10662, "OBLIQUE ANGLE OPENING UP" },
  { 10663, "OBLIQUE ANGLE OPENING DOWN" },
  { 10664, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND RIGHT" },
  { 10665, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND LEFT" },
  { 10666, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND RIGHT" },
  { 10667, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND LEFT" },
  { 10668, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND UP" },
  { 10669, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND UP" },
  { 10670, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND DOWN" },
  { 10671, "MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND DOWN" },
  { 10672, "REVERSED EMPTY SET" },
  { 10673, "EMPTY SET WITH OVERBAR" },
  { 10674, "EMPTY SET WITH SMALL CIRCLE ABOVE" },
  { 10675, "EMPTY SET WITH RIGHT ARROW ABOVE" },
  { 10676, "EMPTY SET WITH LEFT ARROW ABOVE" },
  { 10677, "CIRCLE WITH HORIZONTAL BAR" },
  { 10678, "CIRCLED VERTICAL BAR" },
  { 10679, "CIRCLED PARALLEL" },
  { 10680, "CIRCLED REVERSE SOLIDUS" },
  { 10681, "CIRCLED PERPENDICULAR" },
  { 10682, "CIRCLE DIVIDED BY HORIZONTAL BAR AND TOP HALF DIVIDED BY VERTICAL BAR" },
  { 10683, "CIRCLE WITH SUPERIMPOSED X" },
  { 10684, "CIRCLED ANTICLOCKWISE-ROTATED DIVISION SIGN" },
  { 10685, "UP ARROW THROUGH CIRCLE" },
  { 10686, "CIRCLED WHITE BULLET" },
  { 10687, "CIRCLED BULLET" },
  { 10688, "CIRCLED LESS-THAN" },
  { 10689, "CIRCLED GREATER-THAN" },
  { 10690, "CIRCLE WITH SMALL CIRCLE TO THE RIGHT" },
  { 10691, "CIRCLE WITH TWO HORIZONTAL STROKES TO THE RIGHT" },
  { 10692, "SQUARED RISING DIAGONAL SLASH" },
  { 10693, "SQUARED FALLING DIAGONAL SLASH" },
  { 10694, "SQUARED ASTERISK" },
  { 10695, "SQUARED SMALL CIRCLE" },
  { 10696, "SQUARED SQUARE" },
  { 10697, "TWO JOINED SQUARES" },
  { 10698, "TRIANGLE WITH DOT ABOVE" },
  { 10699, "TRIANGLE WITH UNDERBAR" },
  { 10700, "S IN TRIANGLE" },
  { 10701, "TRIANGLE WITH SERIFS AT BOTTOM" },
  { 10702, "RIGHT TRIANGLE ABOVE LEFT TRIANGLE" },
  { 10703, "LEFT TRIANGLE BESIDE VERTICAL BAR" },
  { 10704, "VERTICAL BAR BESIDE RIGHT TRIANGLE" },
  { 10705, "BOWTIE WITH LEFT HALF BLACK" },
  { 10706, "BOWTIE WITH RIGHT HALF BLACK" },
  { 10707, "BLACK BOWTIE" },
  { 10708, "TIMES WITH LEFT HALF BLACK" },
  { 10709, "TIMES WITH RIGHT HALF BLACK" },
  { 10710, "WHITE HOURGLASS" },
  { 10711, "BLACK HOURGLASS" },
  { 10712, "LEFT WIGGLY FENCE" },
  { 10713, "RIGHT WIGGLY FENCE" },
  { 10714, "LEFT DOUBLE WIGGLY FENCE" },
  { 10715, "RIGHT DOUBLE WIGGLY FENCE" },
  { 10716, "INCOMPLETE INFINITY" },
  { 10717, "TIE OVER INFINITY" },
  { 10718, "INFINITY NEGATED WITH VERTICAL BAR" },
  { 10719, "DOUBLE-ENDED MULTIMAP" },
  { 10720, "SQUARE WITH CONTOURED OUTLINE" },
  { 10721, "INCREASES AS" },
  { 10722, "SHUFFLE PRODUCT" },
  { 10723, "EQUALS SIGN AND SLANTED PARALLEL" },
  { 10724, "EQUALS SIGN AND SLANTED PARALLEL WITH TILDE ABOVE" },
  { 10725, "IDENTICAL TO AND SLANTED PARALLEL" },
  { 10726, "GLEICH STARK" },
  { 10727, "THERMODYNAMIC" },
  { 10728, "DOWN-POINTING TRIANGLE WITH LEFT HALF BLACK" },
  { 10729, "DOWN-POINTING TRIANGLE WITH RIGHT HALF BLACK" },
  { 10730, "BLACK DIAMOND WITH DOWN ARROW" },
  { 10731, "BLACK LOZENGE" },
  { 10732, "WHITE CIRCLE WITH DOWN ARROW" },
  { 10733, "BLACK CIRCLE WITH DOWN ARROW" },
  { 10734, "ERROR-BARRED WHITE SQUARE" },
  { 10735, "ERROR-BARRED BLACK SQUARE" },
  { 10736, "ERROR-BARRED WHITE DIAMOND" },
  { 10737, "ERROR-BARRED BLACK DIAMOND" },
  { 10738, "ERROR-BARRED WHITE CIRCLE" },
  { 10739, "ERROR-BARRED BLACK CIRCLE" },
  { 10740, "RULE-DELAYED" },
  { 10741, "REVERSE SOLIDUS OPERATOR" },
  { 10742, "SOLIDUS WITH OVERBAR" },
  { 10743, "REVERSE SOLIDUS WITH HORIZONTAL STROKE" },
  { 10744, "BIG SOLIDUS" },
  { 10745, "BIG REVERSE SOLIDUS" },
  { 10746, "DOUBLE PLUS" },
  { 10747, "TRIPLE PLUS" },
  { 10748, "LEFT-POINTING CURVED ANGLE BRACKET" },
  { 10749, "RIGHT-POINTING CURVED ANGLE BRACKET" },
  { 10750, "TINY" },
  { 10751, "MINY" },
  { 10752, "N-ARY CIRCLED DOT OPERATOR" },
  { 10753, "N-ARY CIRCLED PLUS OPERATOR" },
  { 10754, "N-ARY CIRCLED TIMES OPERATOR" },
  { 10755, "N-ARY UNION OPERATOR WITH DOT" },
  { 10756, "N-ARY UNION OPERATOR WITH PLUS" },
  { 10757, "N-ARY SQUARE INTERSECTION OPERATOR" },
  { 10758, "N-ARY SQUARE UNION OPERATOR" },
  { 10759, "TWO LOGICAL AND OPERATOR" },
  { 10760, "TWO LOGICAL OR OPERATOR" },
  { 10761, "N-ARY TIMES OPERATOR" },
  { 10762, "MODULO TWO SUM" },
  { 10763, "SUMMATION WITH INTEGRAL" },
  { 10764, "QUADRUPLE INTEGRAL OPERATOR" },
  { 10765, "FINITE PART INTEGRAL" },
  { 10766, "INTEGRAL WITH DOUBLE STROKE" },
  { 10767, "INTEGRAL AVERAGE WITH SLASH" },
  { 10768, "CIRCULATION FUNCTION" },
  { 10769, "ANTICLOCKWISE INTEGRATION" },
  { 10770, "LINE INTEGRATION WITH RECTANGULAR PATH AROUND POLE" },
  { 10771, "LINE INTEGRATION WITH SEMICIRCULAR PATH AROUND POLE" },
  { 10772, "LINE INTEGRATION NOT INCLUDING THE POLE" },
  { 10773, "INTEGRAL AROUND A POINT OPERATOR" },
  { 10774, "QUATERNION INTEGRAL OPERATOR" },
  { 10775, "INTEGRAL WITH LEFTWARDS ARROW WITH HOOK" },
  { 10776, "INTEGRAL WITH TIMES SIGN" },
  { 10777, "INTEGRAL WITH INTERSECTION" },
  { 10778, "INTEGRAL WITH UNION" },
  { 10779, "INTEGRAL WITH OVERBAR" },
  { 10780, "INTEGRAL WITH UNDERBAR" },
  { 10781, "JOIN" },
  { 10782, "LARGE LEFT TRIANGLE OPERATOR" },
  { 10783, "Z NOTATION SCHEMA COMPOSITION" },
  { 10784, "Z NOTATION SCHEMA PIPING" },
  { 10785, "Z NOTATION SCHEMA PROJECTION" },
  { 10786, "PLUS SIGN WITH SMALL CIRCLE ABOVE" },
  { 10787, "PLUS SIGN WITH CIRCUMFLEX ACCENT ABOVE" },
  { 10788, "PLUS SIGN WITH TILDE ABOVE" },
  { 10789, "PLUS SIGN WITH DOT BELOW" },
  { 10790, "PLUS SIGN WITH TILDE BELOW" },
  { 10791, "PLUS SIGN WITH SUBSCRIPT TWO" },
  { 10792, "PLUS SIGN WITH BLACK TRIANGLE" },
  { 10793, "MINUS SIGN WITH COMMA ABOVE" },
  { 10794, "MINUS SIGN WITH DOT BELOW" },
  { 10795, "MINUS SIGN WITH FALLING DOTS" },
  { 10796, "MINUS SIGN WITH RISING DOTS" },
  { 10797, "PLUS SIGN IN LEFT HALF CIRCLE" },
  { 10798, "PLUS SIGN IN RIGHT HALF CIRCLE" },
  { 10799, "VECTOR OR CROSS PRODUCT" },
  { 10800, "MULTIPLICATION SIGN WITH DOT ABOVE" },
  { 10801, "MULTIPLICATION SIGN WITH UNDERBAR" },
  { 10802, "SEMIDIRECT PRODUCT WITH BOTTOM CLOSED" },
  { 10803, "SMASH PRODUCT" },
  { 10804, "MULTIPLICATION SIGN IN LEFT HALF CIRCLE" },
  { 10805, "MULTIPLICATION SIGN IN RIGHT HALF CIRCLE" },
  { 10806, "CIRCLED MULTIPLICATION SIGN WITH CIRCUMFLEX ACCENT" },
  { 10807, "MULTIPLICATION SIGN IN DOUBLE CIRCLE" },
  { 10808, "CIRCLED DIVISION SIGN" },
  { 10809, "PLUS SIGN IN TRIANGLE" },
  { 10810, "MINUS SIGN IN TRIANGLE" },
  { 10811, "MULTIPLICATION SIGN IN TRIANGLE" },
  { 10812, "INTERIOR PRODUCT" },
  { 10813, "RIGHTHAND INTERIOR PRODUCT" },
  { 10814, "Z NOTATION RELATIONAL COMPOSITION" },
  { 10815, "AMALGAMATION OR COPRODUCT" },
  { 10816, "INTERSECTION WITH DOT" },
  { 10817, "UNION WITH MINUS SIGN" },
  { 10818, "UNION WITH OVERBAR" },
  { 10819, "INTERSECTION WITH OVERBAR" },
  { 10820, "INTERSECTION WITH LOGICAL AND" },
  { 10821, "UNION WITH LOGICAL OR" },
  { 10822, "UNION ABOVE INTERSECTION" },
  { 10823, "INTERSECTION ABOVE UNION" },
  { 10824, "UNION ABOVE BAR ABOVE INTERSECTION" },
  { 10825, "INTERSECTION ABOVE BAR ABOVE UNION" },
  { 10826, "UNION BESIDE AND JOINED WITH UNION" },
  { 10827, "INTERSECTION BESIDE AND JOINED WITH INTERSECTION" },
  { 10828, "CLOSED UNION WITH SERIFS" },
  { 10829, "CLOSED INTERSECTION WITH SERIFS" },
  { 10830, "DOUBLE SQUARE INTERSECTION" },
  { 10831, "DOUBLE SQUARE UNION" },
  { 10832, "CLOSED UNION WITH SERIFS AND SMASH PRODUCT" },
  { 10833, "LOGICAL AND WITH DOT ABOVE" },
  { 10834, "LOGICAL OR WITH DOT ABOVE" },
  { 10835, "DOUBLE LOGICAL AND" },
  { 10836, "DOUBLE LOGICAL OR" },
  { 10837, "TWO INTERSECTING LOGICAL AND" },
  { 10838, "TWO INTERSECTING LOGICAL OR" },
  { 10839, "SLOPING LARGE OR" },
  { 10840, "SLOPING LARGE AND" },
  { 10841, "LOGICAL OR OVERLAPPING LOGICAL AND" },
  { 10842, "LOGICAL AND WITH MIDDLE STEM" },
  { 10843, "LOGICAL OR WITH MIDDLE STEM" },
  { 10844, "LOGICAL AND WITH HORIZONTAL DASH" },
  { 10845, "LOGICAL OR WITH HORIZONTAL DASH" },
  { 10846, "LOGICAL AND WITH DOUBLE OVERBAR" },
  { 10847, "LOGICAL AND WITH UNDERBAR" },
  { 10848, "LOGICAL AND WITH DOUBLE UNDERBAR" },
  { 10849, "SMALL VEE WITH UNDERBAR" },
  { 10850, "LOGICAL OR WITH DOUBLE OVERBAR" },
  { 10851, "LOGICAL OR WITH DOUBLE UNDERBAR" },
  { 10852, "Z NOTATION DOMAIN ANTIRESTRICTION" },
  { 10853, "Z NOTATION RANGE ANTIRESTRICTION" },
  { 10854, "EQUALS SIGN WITH DOT BELOW" },
  { 10855, "IDENTICAL WITH DOT ABOVE" },
  { 10856, "TRIPLE HORIZONTAL BAR WITH DOUBLE VERTICAL STROKE" },
  { 10857, "TRIPLE HORIZONTAL BAR WITH TRIPLE VERTICAL STROKE" },
  { 10858, "TILDE OPERATOR WITH DOT ABOVE" },
  { 10859, "TILDE OPERATOR WITH RISING DOTS" },
  { 10860, "SIMILAR MINUS SIMILAR" },
  { 10861, "CONGRUENT WITH DOT ABOVE" },
  { 10862, "EQUALS WITH ASTERISK" },
  { 10863, "ALMOST EQUAL TO WITH CIRCUMFLEX ACCENT" },
  { 10864, "APPROXIMATELY EQUAL OR EQUAL TO" },
  { 10865, "EQUALS SIGN ABOVE PLUS SIGN" },
  { 10866, "PLUS SIGN ABOVE EQUALS SIGN" },
  { 10867, "EQUALS SIGN ABOVE TILDE OPERATOR" },
  { 10868, "DOUBLE COLON EQUAL" },
  { 10869, "TWO CONSECUTIVE EQUALS SIGNS" },
  { 10870, "THREE CONSECUTIVE EQUALS SIGNS" },
  { 10871, "EQUALS SIGN WITH TWO DOTS ABOVE AND TWO DOTS BELOW" },
  { 10872, "EQUIVALENT WITH FOUR DOTS ABOVE" },
  { 10873, "LESS-THAN WITH CIRCLE INSIDE" },
  { 10874, "GREATER-THAN WITH CIRCLE INSIDE" },
  { 10875, "LESS-THAN WITH QUESTION MARK ABOVE" },
  { 10876, "GREATER-THAN WITH QUESTION MARK ABOVE" },
  { 10877, "LESS-THAN OR SLANTED EQUAL TO" },
  { 10878, "GREATER-THAN OR SLANTED EQUAL TO" },
  { 10879, "LESS-THAN OR SLANTED EQUAL TO WITH DOT INSIDE" },
  { 10880, "GREATER-THAN OR SLANTED EQUAL TO WITH DOT INSIDE" },
  { 10881, "LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE" },
  { 10882, "GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE" },
  { 10883, "LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE RIGHT" },
  { 10884, "GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT" },
  { 10885, "LESS-THAN OR APPROXIMATE" },
  { 10886, "GREATER-THAN OR APPROXIMATE" },
  { 10887, "LESS-THAN AND SINGLE-LINE NOT EQUAL TO" },
  { 10888, "GREATER-THAN AND SINGLE-LINE NOT EQUAL TO" },
  { 10889, "LESS-THAN AND NOT APPROXIMATE" },
  { 10890, "GREATER-THAN AND NOT APPROXIMATE" },
  { 10891, "LESS-THAN ABOVE DOUBLE-LINE EQUAL ABOVE GREATER-THAN" },
  { 10892, "GREATER-THAN ABOVE DOUBLE-LINE EQUAL ABOVE LESS-THAN" },
  { 10893, "LESS-THAN ABOVE SIMILAR OR EQUAL" },
  { 10894, "GREATER-THAN ABOVE SIMILAR OR EQUAL" },
  { 10895, "LESS-THAN ABOVE SIMILAR ABOVE GREATER-THAN" },
  { 10896, "GREATER-THAN ABOVE SIMILAR ABOVE LESS-THAN" },
  { 10897, "LESS-THAN ABOVE GREATER-THAN ABOVE DOUBLE-LINE EQUAL" },
  { 10898, "GREATER-THAN ABOVE LESS-THAN ABOVE DOUBLE-LINE EQUAL" },
  { 10899, "LESS-THAN ABOVE SLANTED EQUAL ABOVE GREATER-THAN ABOVE SLANTED EQUAL" },
  { 10900, "GREATER-THAN ABOVE SLANTED EQUAL ABOVE LESS-THAN ABOVE SLANTED EQUAL" },
  { 10901, "SLANTED EQUAL TO OR LESS-THAN" },
  { 10902, "SLANTED EQUAL TO OR GREATER-THAN" },
  { 10903, "SLANTED EQUAL TO OR LESS-THAN WITH DOT INSIDE" },
  { 10904, "SLANTED EQUAL TO OR GREATER-THAN WITH DOT INSIDE" },
  { 10905, "DOUBLE-LINE EQUAL TO OR LESS-THAN" },
  { 10906, "DOUBLE-LINE EQUAL TO OR GREATER-THAN" },
  { 10907, "DOUBLE-LINE SLANTED EQUAL TO OR LESS-THAN" },
  { 10908, "DOUBLE-LINE SLANTED EQUAL TO OR GREATER-THAN" },
  { 10909, "SIMILAR OR LESS-THAN" },
  { 10910, "SIMILAR OR GREATER-THAN" },
  { 10911, "SIMILAR ABOVE LESS-THAN ABOVE EQUALS SIGN" },
  { 10912, "SIMILAR ABOVE GREATER-THAN ABOVE EQUALS SIGN" },
  { 10913, "DOUBLE NESTED LESS-THAN" },
  { 10914, "DOUBLE NESTED GREATER-THAN" },
  { 10915, "DOUBLE NESTED LESS-THAN WITH UNDERBAR" },
  { 10916, "GREATER-THAN OVERLAPPING LESS-THAN" },
  { 10917, "GREATER-THAN BESIDE LESS-THAN" },
  { 10918, "LESS-THAN CLOSED BY CURVE" },
  { 10919, "GREATER-THAN CLOSED BY CURVE" },
  { 10920, "LESS-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL" },
  { 10921, "GREATER-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL" },
  { 10922, "SMALLER THAN" },
  { 10923, "LARGER THAN" },
  { 10924, "SMALLER THAN OR EQUAL TO" },
  { 10925, "LARGER THAN OR EQUAL TO" },
  { 10926, "EQUALS SIGN WITH BUMPY ABOVE" },
  { 10927, "PRECEDES ABOVE SINGLE-LINE EQUALS SIGN" },
  { 10928, "SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN" },
  { 10929, "PRECEDES ABOVE SINGLE-LINE NOT EQUAL TO" },
  { 10930, "SUCCEEDS ABOVE SINGLE-LINE NOT EQUAL TO" },
  { 10931, "PRECEDES ABOVE EQUALS SIGN" },
  { 10932, "SUCCEEDS ABOVE EQUALS SIGN" },
  { 10933, "PRECEDES ABOVE NOT EQUAL TO" },
  { 10934, "SUCCEEDS ABOVE NOT EQUAL TO" },
  { 10935, "PRECEDES ABOVE ALMOST EQUAL TO" },
  { 10936, "SUCCEEDS ABOVE ALMOST EQUAL TO" },
  { 10937, "PRECEDES ABOVE NOT ALMOST EQUAL TO" },
  { 10938, "SUCCEEDS ABOVE NOT ALMOST EQUAL TO" },
  { 10939, "DOUBLE PRECEDES" },
  { 10940, "DOUBLE SUCCEEDS" },
  { 10941, "SUBSET WITH DOT" },
  { 10942, "SUPERSET WITH DOT" },
  { 10943, "SUBSET WITH PLUS SIGN BELOW" },
  { 10944, "SUPERSET WITH PLUS SIGN BELOW" },
  { 10945, "SUBSET WITH MULTIPLICATION SIGN BELOW" },
  { 10946, "SUPERSET WITH MULTIPLICATION SIGN BELOW" },
  { 10947, "SUBSET OF OR EQUAL TO WITH DOT ABOVE" },
  { 10948, "SUPERSET OF OR EQUAL TO WITH DOT ABOVE" },
  { 10949, "SUBSET OF ABOVE EQUALS SIGN" },
  { 10950, "SUPERSET OF ABOVE EQUALS SIGN" },
  { 10951, "SUBSET OF ABOVE TILDE OPERATOR" },
  { 10952, "SUPERSET OF ABOVE TILDE OPERATOR" },
  { 10953, "SUBSET OF ABOVE ALMOST EQUAL TO" },
  { 10954, "SUPERSET OF ABOVE ALMOST EQUAL TO" },
  { 10955, "SUBSET OF ABOVE NOT EQUAL TO" },
  { 10956, "SUPERSET OF ABOVE NOT EQUAL TO" },
  { 10957, "SQUARE LEFT OPEN BOX OPERATOR" },
  { 10958, "SQUARE RIGHT OPEN BOX OPERATOR" },
  { 10959, "CLOSED SUBSET" },
  { 10960, "CLOSED SUPERSET" },
  { 10961, "CLOSED SUBSET OR EQUAL TO" },
  { 10962, "CLOSED SUPERSET OR EQUAL TO" },
  { 10963, "SUBSET ABOVE SUPERSET" },
  { 10964, "SUPERSET ABOVE SUBSET" },
  { 10965, "SUBSET ABOVE SUBSET" },
  { 10966, "SUPERSET ABOVE SUPERSET" },
  { 10967, "SUPERSET BESIDE SUBSET" },
  { 10968, "SUPERSET BESIDE AND JOINED BY DASH WITH SUBSET" },
  { 10969, "ELEMENT OF OPENING DOWNWARDS" },
  { 10970, "PITCHFORK WITH TEE TOP" },
  { 10971, "TRANSVERSAL INTERSECTION" },
  { 10972, "FORKING" },
  { 10973, "NONFORKING" },
  { 10974, "SHORT LEFT TACK" },
  { 10975, "SHORT DOWN TACK" },
  { 10976, "SHORT UP TACK" },
  { 10977, "PERPENDICULAR WITH S" },
  { 10978, "VERTICAL BAR TRIPLE RIGHT TURNSTILE" },
  { 10979, "DOUBLE VERTICAL BAR LEFT TURNSTILE" },
  { 10980, "VERTICAL BAR DOUBLE LEFT TURNSTILE" },
  { 10981, "DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE" },
  { 10982, "LONG DASH FROM LEFT MEMBER OF DOUBLE VERTICAL" },
  { 10983, "SHORT DOWN TACK WITH OVERBAR" },
  { 10984, "SHORT UP TACK WITH UNDERBAR" },
  { 10985, "SHORT UP TACK ABOVE SHORT DOWN TACK" },
  { 10986, "DOUBLE DOWN TACK" },
  { 10987, "DOUBLE UP TACK" },
  { 10988, "DOUBLE STROKE NOT SIGN" },
  { 10989, "REVERSED DOUBLE STROKE NOT SIGN" },
  { 10990, "DOES NOT DIVIDE WITH REVERSED NEGATION SLASH" },
  { 10991, "VERTICAL LINE WITH CIRCLE ABOVE" },
  { 10992, "VERTICAL LINE WITH CIRCLE BELOW" },
  { 10993, "DOWN TACK WITH CIRCLE BELOW" },
  { 10994, "PARALLEL WITH HORIZONTAL STROKE" },
  { 10995, "PARALLEL WITH TILDE OPERATOR" },
  { 10996, "TRIPLE VERTICAL BAR BINARY RELATION" },
  { 10997, "TRIPLE VERTICAL BAR WITH HORIZONTAL STROKE" },
  { 10998, "TRIPLE COLON OPERATOR" },
  { 10999, "TRIPLE NESTED LESS-THAN" },
  { 11000, "TRIPLE NESTED GREATER-THAN" },
  { 11001, "DOUBLE-LINE SLANTED LESS-THAN OR EQUAL TO" },
  { 11002, "DOUBLE-LINE SLANTED GREATER-THAN OR EQUAL TO" },
  { 11003, "TRIPLE SOLIDUS BINARY RELATION" },
  { 11004, "LARGE TRIPLE VERTICAL BAR OPERATOR" },
  { 11005, "DOUBLE SOLIDUS OPERATOR" },
  { 11006, "WHITE VERTICAL BAR" },
  { 11007, "N-ARY WHITE VERTICAL BAR" },
  { 11008, "NORTH EAST WHITE ARROW" },
  { 11009, "NORTH WEST WHITE ARROW" },
  { 11010, "SOUTH EAST WHITE ARROW" },
  { 11011, "SOUTH WEST WHITE ARROW" },
  { 11012, "LEFT RIGHT WHITE ARROW" },
  { 11013, "LEFTWARDS BLACK ARROW" },
  { 11014, "UPWARDS BLACK ARROW" },
  { 11015, "DOWNWARDS BLACK ARROW" },
  { 11016, "NORTH EAST BLACK ARROW" },
  { 11017, "NORTH WEST BLACK ARROW" },
  { 11018, "SOUTH EAST BLACK ARROW" },
  { 11019, "SOUTH WEST BLACK ARROW" },
  { 11020, "LEFT RIGHT BLACK ARROW" },
  { 11021, "UP DOWN BLACK ARROW" },
  { 11022, "RIGHTWARDS ARROW WITH TIP DOWNWARDS" },
  { 11023, "RIGHTWARDS ARROW WITH TIP UPWARDS" },
  { 11024, "LEFTWARDS ARROW WITH TIP DOWNWARDS" },
  { 11025, "LEFTWARDS ARROW WITH TIP UPWARDS" },
  { 11026, "SQUARE WITH TOP HALF BLACK" },
  { 11027, "SQUARE WITH BOTTOM HALF BLACK" },
  { 11028, "SQUARE WITH UPPER RIGHT DIAGONAL HALF BLACK" },
  { 11029, "SQUARE WITH LOWER LEFT DIAGONAL HALF BLACK" },
  { 11030, "DIAMOND WITH LEFT HALF BLACK" },
  { 11031, "DIAMOND WITH RIGHT HALF BLACK" },
  { 11032, "DIAMOND WITH TOP HALF BLACK" },
  { 11033, "DIAMOND WITH BOTTOM HALF BLACK" },
  { 11034, "DOTTED SQUARE" },
  { 11035, "BLACK LARGE SQUARE" },
  { 11036, "WHITE LARGE SQUARE" },
  { 11037, "BLACK VERY SMALL SQUARE" },
  { 11038, "WHITE VERY SMALL SQUARE" },
  { 11039, "BLACK PENTAGON" },
  { 11040, "WHITE PENTAGON" },
  { 11041, "WHITE HEXAGON" },
  { 11042, "BLACK HEXAGON" },
  { 11043, "HORIZONTAL BLACK HEXAGON" },
  { 11044, "BLACK LARGE CIRCLE" },
  { 11045, "BLACK MEDIUM DIAMOND" },
  { 11046, "WHITE MEDIUM DIAMOND" },
  { 11047, "BLACK MEDIUM LOZENGE" },
  { 11048, "WHITE MEDIUM LOZENGE" },
  { 11049, "BLACK SMALL DIAMOND" },
  { 11050, "BLACK SMALL LOZENGE" },
  { 11051, "WHITE SMALL LOZENGE" },
  { 11052, "BLACK HORIZONTAL ELLIPSE" },
  { 11053, "WHITE HORIZONTAL ELLIPSE" },
  { 11054, "BLACK VERTICAL ELLIPSE" },
  { 11055, "WHITE VERTICAL ELLIPSE" },
  { 11056, "LEFT ARROW WITH SMALL CIRCLE" },
  { 11057, "THREE LEFTWARDS ARROWS" },
  { 11058, "LEFT ARROW WITH CIRCLED PLUS" },
  { 11059, "LONG LEFTWARDS SQUIGGLE ARROW" },
  { 11060, "LEFTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE" },
  { 11061, "LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE" },
  { 11062, "LEFTWARDS TWO-HEADED ARROW FROM BAR" },
  { 11063, "LEFTWARDS TWO-HEADED TRIPLE DASH ARROW" },
  { 11064, "LEFTWARDS ARROW WITH DOTTED STEM" },
  { 11065, "LEFTWARDS ARROW WITH TAIL WITH VERTICAL STROKE" },
  { 11066, "LEFTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE" },
  { 11067, "LEFTWARDS TWO-HEADED ARROW WITH TAIL" },
  { 11068, "LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE" },
  { 11069, "LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE" },
  { 11070, "LEFTWARDS ARROW THROUGH X" },
  { 11071, "WAVE ARROW POINTING DIRECTLY LEFT" },
  { 11072, "EQUALS SIGN ABOVE LEFTWARDS ARROW" },
  { 11073, "REVERSE TILDE OPERATOR ABOVE LEFTWARDS ARROW" },
  { 11074, "LEFTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO" },
  { 11075, "RIGHTWARDS ARROW THROUGH GREATER-THAN" },
  { 11076, "RIGHTWARDS ARROW THROUGH SUPERSET" },
  { 11077, "LEFTWARDS QUADRUPLE ARROW" },
  { 11078, "RIGHTWARDS QUADRUPLE ARROW" },
  { 11079, "REVERSE TILDE OPERATOR ABOVE RIGHTWARDS ARROW" },
  { 11080, "RIGHTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO" },
  { 11081, "TILDE OPERATOR ABOVE LEFTWARDS ARROW" },
  { 11082, "LEFTWARDS ARROW ABOVE ALMOST EQUAL TO" },
  { 11083, "LEFTWARDS ARROW ABOVE REVERSE TILDE OPERATOR" },
  { 11084, "RIGHTWARDS ARROW ABOVE REVERSE TILDE OPERATOR" },
  { 11088, "WHITE MEDIUM STAR" },
  { 11089, "BLACK SMALL STAR" },
  { 11090, "WHITE SMALL STAR" },
  { 11091, "BLACK RIGHT-POINTING PENTAGON" },
  { 11092, "WHITE RIGHT-POINTING PENTAGON" },
  { 11264, "GLAGOLITIC CAPITAL LETTER AZU" },
  { 11265, "GLAGOLITIC CAPITAL LETTER BUKY" },
  { 11266, "GLAGOLITIC CAPITAL LETTER VEDE" },
  { 11267, "GLAGOLITIC CAPITAL LETTER GLAGOLI" },
  { 11268, "GLAGOLITIC CAPITAL LETTER DOBRO" },
  { 11269, "GLAGOLITIC CAPITAL LETTER YESTU" },
  { 11270, "GLAGOLITIC CAPITAL LETTER ZHIVETE" },
  { 11271, "GLAGOLITIC CAPITAL LETTER DZELO" },
  { 11272, "GLAGOLITIC CAPITAL LETTER ZEMLJA" },
  { 11273, "GLAGOLITIC CAPITAL LETTER IZHE" },
  { 11274, "GLAGOLITIC CAPITAL LETTER INITIAL IZHE" },
  { 11275, "GLAGOLITIC CAPITAL LETTER I" },
  { 11276, "GLAGOLITIC CAPITAL LETTER DJERVI" },
  { 11277, "GLAGOLITIC CAPITAL LETTER KAKO" },
  { 11278, "GLAGOLITIC CAPITAL LETTER LJUDIJE" },
  { 11279, "GLAGOLITIC CAPITAL LETTER MYSLITE" },
  { 11280, "GLAGOLITIC CAPITAL LETTER NASHI" },
  { 11281, "GLAGOLITIC CAPITAL LETTER ONU" },
  { 11282, "GLAGOLITIC CAPITAL LETTER POKOJI" },
  { 11283, "GLAGOLITIC CAPITAL LETTER RITSI" },
  { 11284, "GLAGOLITIC CAPITAL LETTER SLOVO" },
  { 11285, "GLAGOLITIC CAPITAL LETTER TVRIDO" },
  { 11286, "GLAGOLITIC CAPITAL LETTER UKU" },
  { 11287, "GLAGOLITIC CAPITAL LETTER FRITU" },
  { 11288, "GLAGOLITIC CAPITAL LETTER HERU" },
  { 11289, "GLAGOLITIC CAPITAL LETTER OTU" },
  { 11290, "GLAGOLITIC CAPITAL LETTER PE" },
  { 11291, "GLAGOLITIC CAPITAL LETTER SHTA" },
  { 11292, "GLAGOLITIC CAPITAL LETTER TSI" },
  { 11293, "GLAGOLITIC CAPITAL LETTER CHRIVI" },
  { 11294, "GLAGOLITIC CAPITAL LETTER SHA" },
  { 11295, "GLAGOLITIC CAPITAL LETTER YERU" },
  { 11296, "GLAGOLITIC CAPITAL LETTER YERI" },
  { 11297, "GLAGOLITIC CAPITAL LETTER YATI" },
  { 11298, "GLAGOLITIC CAPITAL LETTER SPIDERY HA" },
  { 11299, "GLAGOLITIC CAPITAL LETTER YU" },
  { 11300, "GLAGOLITIC CAPITAL LETTER SMALL YUS" },
  { 11301, "GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL" },
  { 11302, "GLAGOLITIC CAPITAL LETTER YO" },
  { 11303, "GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS" },
  { 11304, "GLAGOLITIC CAPITAL LETTER BIG YUS" },
  { 11305, "GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS" },
  { 11306, "GLAGOLITIC CAPITAL LETTER FITA" },
  { 11307, "GLAGOLITIC CAPITAL LETTER IZHITSA" },
  { 11308, "GLAGOLITIC CAPITAL LETTER SHTAPIC" },
  { 11309, "GLAGOLITIC CAPITAL LETTER TROKUTASTI A" },
  { 11310, "GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE" },
  { 11312, "GLAGOLITIC SMALL LETTER AZU" },
  { 11313, "GLAGOLITIC SMALL LETTER BUKY" },
  { 11314, "GLAGOLITIC SMALL LETTER VEDE" },
  { 11315, "GLAGOLITIC SMALL LETTER GLAGOLI" },
  { 11316, "GLAGOLITIC SMALL LETTER DOBRO" },
  { 11317, "GLAGOLITIC SMALL LETTER YESTU" },
  { 11318, "GLAGOLITIC SMALL LETTER ZHIVETE" },
  { 11319, "GLAGOLITIC SMALL LETTER DZELO" },
  { 11320, "GLAGOLITIC SMALL LETTER ZEMLJA" },
  { 11321, "GLAGOLITIC SMALL LETTER IZHE" },
  { 11322, "GLAGOLITIC SMALL LETTER INITIAL IZHE" },
  { 11323, "GLAGOLITIC SMALL LETTER I" },
  { 11324, "GLAGOLITIC SMALL LETTER DJERVI" },
  { 11325, "GLAGOLITIC SMALL LETTER KAKO" },
  { 11326, "GLAGOLITIC SMALL LETTER LJUDIJE" },
  { 11327, "GLAGOLITIC SMALL LETTER MYSLITE" },
  { 11328, "GLAGOLITIC SMALL LETTER NASHI" },
  { 11329, "GLAGOLITIC SMALL LETTER ONU" },
  { 11330, "GLAGOLITIC SMALL LETTER POKOJI" },
  { 11331, "GLAGOLITIC SMALL LETTER RITSI" },
  { 11332, "GLAGOLITIC SMALL LETTER SLOVO" },
  { 11333, "GLAGOLITIC SMALL LETTER TVRIDO" },
  { 11334, "GLAGOLITIC SMALL LETTER UKU" },
  { 11335, "GLAGOLITIC SMALL LETTER FRITU" },
  { 11336, "GLAGOLITIC SMALL LETTER HERU" },
  { 11337, "GLAGOLITIC SMALL LETTER OTU" },
  { 11338, "GLAGOLITIC SMALL LETTER PE" },
  { 11339, "GLAGOLITIC SMALL LETTER SHTA" },
  { 11340, "GLAGOLITIC SMALL LETTER TSI" },
  { 11341, "GLAGOLITIC SMALL LETTER CHRIVI" },
  { 11342, "GLAGOLITIC SMALL LETTER SHA" },
  { 11343, "GLAGOLITIC SMALL LETTER YERU" },
  { 11344, "GLAGOLITIC SMALL LETTER YERI" },
  { 11345, "GLAGOLITIC SMALL LETTER YATI" },
  { 11346, "GLAGOLITIC SMALL LETTER SPIDERY HA" },
  { 11347, "GLAGOLITIC SMALL LETTER YU" },
  { 11348, "GLAGOLITIC SMALL LETTER SMALL YUS" },
  { 11349, "GLAGOLITIC SMALL LETTER SMALL YUS WITH TAIL" },
  { 11350, "GLAGOLITIC SMALL LETTER YO" },
  { 11351, "GLAGOLITIC SMALL LETTER IOTATED SMALL YUS" },
  { 11352, "GLAGOLITIC SMALL LETTER BIG YUS" },
  { 11353, "GLAGOLITIC SMALL LETTER IOTATED BIG YUS" },
  { 11354, "GLAGOLITIC SMALL LETTER FITA" },
  { 11355, "GLAGOLITIC SMALL LETTER IZHITSA" },
  { 11356, "GLAGOLITIC SMALL LETTER SHTAPIC" },
  { 11357, "GLAGOLITIC SMALL LETTER TROKUTASTI A" },
  { 11358, "GLAGOLITIC SMALL LETTER LATINATE MYSLITE" },
  { 11360, "LATIN CAPITAL LETTER L WITH DOUBLE BAR" },
  { 11361, "LATIN SMALL LETTER L WITH DOUBLE BAR" },
  { 11362, "LATIN CAPITAL LETTER L WITH MIDDLE TILDE" },
  { 11363, "LATIN CAPITAL LETTER P WITH STROKE" },
  { 11364, "LATIN CAPITAL LETTER R WITH TAIL" },
  { 11365, "LATIN SMALL LETTER A WITH STROKE" },
  { 11366, "LATIN SMALL LETTER T WITH DIAGONAL STROKE" },
  { 11367, "LATIN CAPITAL LETTER H WITH DESCENDER" },
  { 11368, "LATIN SMALL LETTER H WITH DESCENDER" },
  { 11369, "LATIN CAPITAL LETTER K WITH DESCENDER" },
  { 11370, "LATIN SMALL LETTER K WITH DESCENDER" },
  { 11371, "LATIN CAPITAL LETTER Z WITH DESCENDER" },
  { 11372, "LATIN SMALL LETTER Z WITH DESCENDER" },
  { 11373, "LATIN CAPITAL LETTER ALPHA" },
  { 11374, "LATIN CAPITAL LETTER M WITH HOOK" },
  { 11375, "LATIN CAPITAL LETTER TURNED A" },
  { 11377, "LATIN SMALL LETTER V WITH RIGHT HOOK" },
  { 11378, "LATIN CAPITAL LETTER W WITH HOOK" },
  { 11379, "LATIN SMALL LETTER W WITH HOOK" },
  { 11380, "LATIN SMALL LETTER V WITH CURL" },
  { 11381, "LATIN CAPITAL LETTER HALF H" },
  { 11382, "LATIN SMALL LETTER HALF H" },
  { 11383, "LATIN SMALL LETTER TAILLESS PHI" },
  { 11384, "LATIN SMALL LETTER E WITH NOTCH" },
  { 11385, "LATIN SMALL LETTER TURNED R WITH TAIL" },
  { 11386, "LATIN SMALL LETTER O WITH LOW RING INSIDE" },
  { 11387, "LATIN LETTER SMALL CAPITAL TURNED E" },
  { 11388, "LATIN SUBSCRIPT SMALL LETTER J" },
  { 11389, "MODIFIER LETTER CAPITAL V" },
  { 11392, "COPTIC CAPITAL LETTER ALFA" },
  { 11393, "COPTIC SMALL LETTER ALFA" },
  { 11394, "COPTIC CAPITAL LETTER VIDA" },
  { 11395, "COPTIC SMALL LETTER VIDA" },
  { 11396, "COPTIC CAPITAL LETTER GAMMA" },
  { 11397, "COPTIC SMALL LETTER GAMMA" },
  { 11398, "COPTIC CAPITAL LETTER DALDA" },
  { 11399, "COPTIC SMALL LETTER DALDA" },
  { 11400, "COPTIC CAPITAL LETTER EIE" },
  { 11401, "COPTIC SMALL LETTER EIE" },
  { 11402, "COPTIC CAPITAL LETTER SOU" },
  { 11403, "COPTIC SMALL LETTER SOU" },
  { 11404, "COPTIC CAPITAL LETTER ZATA" },
  { 11405, "COPTIC SMALL LETTER ZATA" },
  { 11406, "COPTIC CAPITAL LETTER HATE" },
  { 11407, "COPTIC SMALL LETTER HATE" },
  { 11408, "COPTIC CAPITAL LETTER THETHE" },
  { 11409, "COPTIC SMALL LETTER THETHE" },
  { 11410, "COPTIC CAPITAL LETTER IAUDA" },
  { 11411, "COPTIC SMALL LETTER IAUDA" },
  { 11412, "COPTIC CAPITAL LETTER KAPA" },
  { 11413, "COPTIC SMALL LETTER KAPA" },
  { 11414, "COPTIC CAPITAL LETTER LAULA" },
  { 11415, "COPTIC SMALL LETTER LAULA" },
  { 11416, "COPTIC CAPITAL LETTER MI" },
  { 11417, "COPTIC SMALL LETTER MI" },
  { 11418, "COPTIC CAPITAL LETTER NI" },
  { 11419, "COPTIC SMALL LETTER NI" },
  { 11420, "COPTIC CAPITAL LETTER KSI" },
  { 11421, "COPTIC SMALL LETTER KSI" },
  { 11422, "COPTIC CAPITAL LETTER O" },
  { 11423, "COPTIC SMALL LETTER O" },
  { 11424, "COPTIC CAPITAL LETTER PI" },
  { 11425, "COPTIC SMALL LETTER PI" },
  { 11426, "COPTIC CAPITAL LETTER RO" },
  { 11427, "COPTIC SMALL LETTER RO" },
  { 11428, "COPTIC CAPITAL LETTER SIMA" },
  { 11429, "COPTIC SMALL LETTER SIMA" },
  { 11430, "COPTIC CAPITAL LETTER TAU" },
  { 11431, "COPTIC SMALL LETTER TAU" },
  { 11432, "COPTIC CAPITAL LETTER UA" },
  { 11433, "COPTIC SMALL LETTER UA" },
  { 11434, "COPTIC CAPITAL LETTER FI" },
  { 11435, "COPTIC SMALL LETTER FI" },
  { 11436, "COPTIC CAPITAL LETTER KHI" },
  { 11437, "COPTIC SMALL LETTER KHI" },
  { 11438, "COPTIC CAPITAL LETTER PSI" },
  { 11439, "COPTIC SMALL LETTER PSI" },
  { 11440, "COPTIC CAPITAL LETTER OOU" },
  { 11441, "COPTIC SMALL LETTER OOU" },
  { 11442, "COPTIC CAPITAL LETTER DIALECT-P ALEF" },
  { 11443, "COPTIC SMALL LETTER DIALECT-P ALEF" },
  { 11444, "COPTIC CAPITAL LETTER OLD COPTIC AIN" },
  { 11445, "COPTIC SMALL LETTER OLD COPTIC AIN" },
  { 11446, "COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE" },
  { 11447, "COPTIC SMALL LETTER CRYPTOGRAMMIC EIE" },
  { 11448, "COPTIC CAPITAL LETTER DIALECT-P KAPA" },
  { 11449, "COPTIC SMALL LETTER DIALECT-P KAPA" },
  { 11450, "COPTIC CAPITAL LETTER DIALECT-P NI" },
  { 11451, "COPTIC SMALL LETTER DIALECT-P NI" },
  { 11452, "COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI" },
  { 11453, "COPTIC SMALL LETTER CRYPTOGRAMMIC NI" },
  { 11454, "COPTIC CAPITAL LETTER OLD COPTIC OOU" },
  { 11455, "COPTIC SMALL LETTER OLD COPTIC OOU" },
  { 11456, "COPTIC CAPITAL LETTER SAMPI" },
  { 11457, "COPTIC SMALL LETTER SAMPI" },
  { 11458, "COPTIC CAPITAL LETTER CROSSED SHEI" },
  { 11459, "COPTIC SMALL LETTER CROSSED SHEI" },
  { 11460, "COPTIC CAPITAL LETTER OLD COPTIC SHEI" },
  { 11461, "COPTIC SMALL LETTER OLD COPTIC SHEI" },
  { 11462, "COPTIC CAPITAL LETTER OLD COPTIC ESH" },
  { 11463, "COPTIC SMALL LETTER OLD COPTIC ESH" },
  { 11464, "COPTIC CAPITAL LETTER AKHMIMIC KHEI" },
  { 11465, "COPTIC SMALL LETTER AKHMIMIC KHEI" },
  { 11466, "COPTIC CAPITAL LETTER DIALECT-P HORI" },
  { 11467, "COPTIC SMALL LETTER DIALECT-P HORI" },
  { 11468, "COPTIC CAPITAL LETTER OLD COPTIC HORI" },
  { 11469, "COPTIC SMALL LETTER OLD COPTIC HORI" },
  { 11470, "COPTIC CAPITAL LETTER OLD COPTIC HA" },
  { 11471, "COPTIC SMALL LETTER OLD COPTIC HA" },
  { 11472, "COPTIC CAPITAL LETTER L-SHAPED HA" },
  { 11473, "COPTIC SMALL LETTER L-SHAPED HA" },
  { 11474, "COPTIC CAPITAL LETTER OLD COPTIC HEI" },
  { 11475, "COPTIC SMALL LETTER OLD COPTIC HEI" },
  { 11476, "COPTIC CAPITAL LETTER OLD COPTIC HAT" },
  { 11477, "COPTIC SMALL LETTER OLD COPTIC HAT" },
  { 11478, "COPTIC CAPITAL LETTER OLD COPTIC GANGIA" },
  { 11479, "COPTIC SMALL LETTER OLD COPTIC GANGIA" },
  { 11480, "COPTIC CAPITAL LETTER OLD COPTIC DJA" },
  { 11481, "COPTIC SMALL LETTER OLD COPTIC DJA" },
  { 11482, "COPTIC CAPITAL LETTER OLD COPTIC SHIMA" },
  { 11483, "COPTIC SMALL LETTER OLD COPTIC SHIMA" },
  { 11484, "COPTIC CAPITAL LETTER OLD NUBIAN SHIMA" },
  { 11485, "COPTIC SMALL LETTER OLD NUBIAN SHIMA" },
  { 11486, "COPTIC CAPITAL LETTER OLD NUBIAN NGI" },
  { 11487, "COPTIC SMALL LETTER OLD NUBIAN NGI" },
  { 11488, "COPTIC CAPITAL LETTER OLD NUBIAN NYI" },
  { 11489, "COPTIC SMALL LETTER OLD NUBIAN NYI" },
  { 11490, "COPTIC CAPITAL LETTER OLD NUBIAN WAU" },
  { 11491, "COPTIC SMALL LETTER OLD NUBIAN WAU" },
  { 11492, "COPTIC SYMBOL KAI" },
  { 11493, "COPTIC SYMBOL MI RO" },
  { 11494, "COPTIC SYMBOL PI RO" },
  { 11495, "COPTIC SYMBOL STAUROS" },
  { 11496, "COPTIC SYMBOL TAU RO" },
  { 11497, "COPTIC SYMBOL KHI RO" },
  { 11498, "COPTIC SYMBOL SHIMA SIMA" },
  { 11513, "COPTIC OLD NUBIAN FULL STOP" },
  { 11514, "COPTIC OLD NUBIAN DIRECT QUESTION MARK" },
  { 11515, "COPTIC OLD NUBIAN INDIRECT QUESTION MARK" },
  { 11516, "COPTIC OLD NUBIAN VERSE DIVIDER" },
  { 11517, "COPTIC FRACTION ONE HALF" },
  { 11518, "COPTIC FULL STOP" },
  { 11519, "COPTIC MORPHOLOGICAL DIVIDER" },
  { 11520, "GEORGIAN SMALL LETTER AN" },
  { 11521, "GEORGIAN SMALL LETTER BAN" },
  { 11522, "GEORGIAN SMALL LETTER GAN" },
  { 11523, "GEORGIAN SMALL LETTER DON" },
  { 11524, "GEORGIAN SMALL LETTER EN" },
  { 11525, "GEORGIAN SMALL LETTER VIN" },
  { 11526, "GEORGIAN SMALL LETTER ZEN" },
  { 11527, "GEORGIAN SMALL LETTER TAN" },
  { 11528, "GEORGIAN SMALL LETTER IN" },
  { 11529, "GEORGIAN SMALL LETTER KAN" },
  { 11530, "GEORGIAN SMALL LETTER LAS" },
  { 11531, "GEORGIAN SMALL LETTER MAN" },
  { 11532, "GEORGIAN SMALL LETTER NAR" },
  { 11533, "GEORGIAN SMALL LETTER ON" },
  { 11534, "GEORGIAN SMALL LETTER PAR" },
  { 11535, "GEORGIAN SMALL LETTER ZHAR" },
  { 11536, "GEORGIAN SMALL LETTER RAE" },
  { 11537, "GEORGIAN SMALL LETTER SAN" },
  { 11538, "GEORGIAN SMALL LETTER TAR" },
  { 11539, "GEORGIAN SMALL LETTER UN" },
  { 11540, "GEORGIAN SMALL LETTER PHAR" },
  { 11541, "GEORGIAN SMALL LETTER KHAR" },
  { 11542, "GEORGIAN SMALL LETTER GHAN" },
  { 11543, "GEORGIAN SMALL LETTER QAR" },
  { 11544, "GEORGIAN SMALL LETTER SHIN" },
  { 11545, "GEORGIAN SMALL LETTER CHIN" },
  { 11546, "GEORGIAN SMALL LETTER CAN" },
  { 11547, "GEORGIAN SMALL LETTER JIL" },
  { 11548, "GEORGIAN SMALL LETTER CIL" },
  { 11549, "GEORGIAN SMALL LETTER CHAR" },
  { 11550, "GEORGIAN SMALL LETTER XAN" },
  { 11551, "GEORGIAN SMALL LETTER JHAN" },
  { 11552, "GEORGIAN SMALL LETTER HAE" },
  { 11553, "GEORGIAN SMALL LETTER HE" },
  { 11554, "GEORGIAN SMALL LETTER HIE" },
  { 11555, "GEORGIAN SMALL LETTER WE" },
  { 11556, "GEORGIAN SMALL LETTER HAR" },
  { 11557, "GEORGIAN SMALL LETTER HOE" },
  { 11568, "TIFINAGH LETTER YA" },
  { 11569, "TIFINAGH LETTER YAB" },
  { 11570, "TIFINAGH LETTER YABH" },
  { 11571, "TIFINAGH LETTER YAG" },
  { 11572, "TIFINAGH LETTER YAGHH" },
  { 11573, "TIFINAGH LETTER BERBER ACADEMY YAJ" },
  { 11574, "TIFINAGH LETTER YAJ" },
  { 11575, "TIFINAGH LETTER YAD" },
  { 11576, "TIFINAGH LETTER YADH" },
  { 11577, "TIFINAGH LETTER YADD" },
  { 11578, "TIFINAGH LETTER YADDH" },
  { 11579, "TIFINAGH LETTER YEY" },
  { 11580, "TIFINAGH LETTER YAF" },
  { 11581, "TIFINAGH LETTER YAK" },
  { 11582, "TIFINAGH LETTER TUAREG YAK" },
  { 11583, "TIFINAGH LETTER YAKHH" },
  { 11584, "TIFINAGH LETTER YAH" },
  { 11585, "TIFINAGH LETTER BERBER ACADEMY YAH" },
  { 11586, "TIFINAGH LETTER TUAREG YAH" },
  { 11587, "TIFINAGH LETTER YAHH" },
  { 11588, "TIFINAGH LETTER YAA" },
  { 11589, "TIFINAGH LETTER YAKH" },
  { 11590, "TIFINAGH LETTER TUAREG YAKH" },
  { 11591, "TIFINAGH LETTER YAQ" },
  { 11592, "TIFINAGH LETTER TUAREG YAQ" },
  { 11593, "TIFINAGH LETTER YI" },
  { 11594, "TIFINAGH LETTER YAZH" },
  { 11595, "TIFINAGH LETTER AHAGGAR YAZH" },
  { 11596, "TIFINAGH LETTER TUAREG YAZH" },
  { 11597, "TIFINAGH LETTER YAL" },
  { 11598, "TIFINAGH LETTER YAM" },
  { 11599, "TIFINAGH LETTER YAN" },
  { 11600, "TIFINAGH LETTER TUAREG YAGN" },
  { 11601, "TIFINAGH LETTER TUAREG YANG" },
  { 11602, "TIFINAGH LETTER YAP" },
  { 11603, "TIFINAGH LETTER YU" },
  { 11604, "TIFINAGH LETTER YAR" },
  { 11605, "TIFINAGH LETTER YARR" },
  { 11606, "TIFINAGH LETTER YAGH" },
  { 11607, "TIFINAGH LETTER TUAREG YAGH" },
  { 11608, "TIFINAGH LETTER AYER YAGH" },
  { 11609, "TIFINAGH LETTER YAS" },
  { 11610, "TIFINAGH LETTER YASS" },
  { 11611, "TIFINAGH LETTER YASH" },
  { 11612, "TIFINAGH LETTER YAT" },
  { 11613, "TIFINAGH LETTER YATH" },
  { 11614, "TIFINAGH LETTER YACH" },
  { 11615, "TIFINAGH LETTER YATT" },
  { 11616, "TIFINAGH LETTER YAV" },
  { 11617, "TIFINAGH LETTER YAW" },
  { 11618, "TIFINAGH LETTER YAY" },
  { 11619, "TIFINAGH LETTER YAZ" },
  { 11620, "TIFINAGH LETTER TAWELLEMET YAZ" },
  { 11621, "TIFINAGH LETTER YAZZ" },
  { 11631, "TIFINAGH MODIFIER LETTER LABIALIZATION MARK" },
  { 11648, "ETHIOPIC SYLLABLE LOA" },
  { 11649, "ETHIOPIC SYLLABLE MOA" },
  { 11650, "ETHIOPIC SYLLABLE ROA" },
  { 11651, "ETHIOPIC SYLLABLE SOA" },
  { 11652, "ETHIOPIC SYLLABLE SHOA" },
  { 11653, "ETHIOPIC SYLLABLE BOA" },
  { 11654, "ETHIOPIC SYLLABLE TOA" },
  { 11655, "ETHIOPIC SYLLABLE COA" },
  { 11656, "ETHIOPIC SYLLABLE NOA" },
  { 11657, "ETHIOPIC SYLLABLE NYOA" },
  { 11658, "ETHIOPIC SYLLABLE GLOTTAL OA" },
  { 11659, "ETHIOPIC SYLLABLE ZOA" },
  { 11660, "ETHIOPIC SYLLABLE DOA" },
  { 11661, "ETHIOPIC SYLLABLE DDOA" },
  { 11662, "ETHIOPIC SYLLABLE JOA" },
  { 11663, "ETHIOPIC SYLLABLE THOA" },
  { 11664, "ETHIOPIC SYLLABLE CHOA" },
  { 11665, "ETHIOPIC SYLLABLE PHOA" },
  { 11666, "ETHIOPIC SYLLABLE POA" },
  { 11667, "ETHIOPIC SYLLABLE GGWA" },
  { 11668, "ETHIOPIC SYLLABLE GGWI" },
  { 11669, "ETHIOPIC SYLLABLE GGWEE" },
  { 11670, "ETHIOPIC SYLLABLE GGWE" },
  { 11680, "ETHIOPIC SYLLABLE SSA" },
  { 11681, "ETHIOPIC SYLLABLE SSU" },
  { 11682, "ETHIOPIC SYLLABLE SSI" },
  { 11683, "ETHIOPIC SYLLABLE SSAA" },
  { 11684, "ETHIOPIC SYLLABLE SSEE" },
  { 11685, "ETHIOPIC SYLLABLE SSE" },
  { 11686, "ETHIOPIC SYLLABLE SSO" },
  { 11688, "ETHIOPIC SYLLABLE CCA" },
  { 11689, "ETHIOPIC SYLLABLE CCU" },
  { 11690, "ETHIOPIC SYLLABLE CCI" },
  { 11691, "ETHIOPIC SYLLABLE CCAA" },
  { 11692, "ETHIOPIC SYLLABLE CCEE" },
  { 11693, "ETHIOPIC SYLLABLE CCE" },
  { 11694, "ETHIOPIC SYLLABLE CCO" },
  { 11696, "ETHIOPIC SYLLABLE ZZA" },
  { 11697, "ETHIOPIC SYLLABLE ZZU" },
  { 11698, "ETHIOPIC SYLLABLE ZZI" },
  { 11699, "ETHIOPIC SYLLABLE ZZAA" },
  { 11700, "ETHIOPIC SYLLABLE ZZEE" },
  { 11701, "ETHIOPIC SYLLABLE ZZE" },
  { 11702, "ETHIOPIC SYLLABLE ZZO" },
  { 11704, "ETHIOPIC SYLLABLE CCHA" },
  { 11705, "ETHIOPIC SYLLABLE CCHU" },
  { 11706, "ETHIOPIC SYLLABLE CCHI" },
  { 11707, "ETHIOPIC SYLLABLE CCHAA" },
  { 11708, "ETHIOPIC SYLLABLE CCHEE" },
  { 11709, "ETHIOPIC SYLLABLE CCHE" },
  { 11710, "ETHIOPIC SYLLABLE CCHO" },
  { 11712, "ETHIOPIC SYLLABLE QYA" },
  { 11713, "ETHIOPIC SYLLABLE QYU" },
  { 11714, "ETHIOPIC SYLLABLE QYI" },
  { 11715, "ETHIOPIC SYLLABLE QYAA" },
  { 11716, "ETHIOPIC SYLLABLE QYEE" },
  { 11717, "ETHIOPIC SYLLABLE QYE" },
  { 11718, "ETHIOPIC SYLLABLE QYO" },
  { 11720, "ETHIOPIC SYLLABLE KYA" },
  { 11721, "ETHIOPIC SYLLABLE KYU" },
  { 11722, "ETHIOPIC SYLLABLE KYI" },
  { 11723, "ETHIOPIC SYLLABLE KYAA" },
  { 11724, "ETHIOPIC SYLLABLE KYEE" },
  { 11725, "ETHIOPIC SYLLABLE KYE" },
  { 11726, "ETHIOPIC SYLLABLE KYO" },
  { 11728, "ETHIOPIC SYLLABLE XYA" },
  { 11729, "ETHIOPIC SYLLABLE XYU" },
  { 11730, "ETHIOPIC SYLLABLE XYI" },
  { 11731, "ETHIOPIC SYLLABLE XYAA" },
  { 11732, "ETHIOPIC SYLLABLE XYEE" },
  { 11733, "ETHIOPIC SYLLABLE XYE" },
  { 11734, "ETHIOPIC SYLLABLE XYO" },
  { 11736, "ETHIOPIC SYLLABLE GYA" },
  { 11737, "ETHIOPIC SYLLABLE GYU" },
  { 11738, "ETHIOPIC SYLLABLE GYI" },
  { 11739, "ETHIOPIC SYLLABLE GYAA" },
  { 11740, "ETHIOPIC SYLLABLE GYEE" },
  { 11741, "ETHIOPIC SYLLABLE GYE" },
  { 11742, "ETHIOPIC SYLLABLE GYO" },
  { 11744, "COMBINING CYRILLIC LETTER BE" },
  { 11745, "COMBINING CYRILLIC LETTER VE" },
  { 11746, "COMBINING CYRILLIC LETTER GHE" },
  { 11747, "COMBINING CYRILLIC LETTER DE" },
  { 11748, "COMBINING CYRILLIC LETTER ZHE" },
  { 11749, "COMBINING CYRILLIC LETTER ZE" },
  { 11750, "COMBINING CYRILLIC LETTER KA" },
  { 11751, "COMBINING CYRILLIC LETTER EL" },
  { 11752, "COMBINING CYRILLIC LETTER EM" },
  { 11753, "COMBINING CYRILLIC LETTER EN" },
  { 11754, "COMBINING CYRILLIC LETTER O" },
  { 11755, "COMBINING CYRILLIC LETTER PE" },
  { 11756, "COMBINING CYRILLIC LETTER ER" },
  { 11757, "COMBINING CYRILLIC LETTER ES" },
  { 11758, "COMBINING CYRILLIC LETTER TE" },
  { 11759, "COMBINING CYRILLIC LETTER HA" },
  { 11760, "COMBINING CYRILLIC LETTER TSE" },
  { 11761, "COMBINING CYRILLIC LETTER CHE" },
  { 11762, "COMBINING CYRILLIC LETTER SHA" },
  { 11763, "COMBINING CYRILLIC LETTER SHCHA" },
  { 11764, "COMBINING CYRILLIC LETTER FITA" },
  { 11765, "COMBINING CYRILLIC LETTER ES-TE" },
  { 11766, "COMBINING CYRILLIC LETTER A" },
  { 11767, "COMBINING CYRILLIC LETTER IE" },
  { 11768, "COMBINING CYRILLIC LETTER DJERV" },
  { 11769, "COMBINING CYRILLIC LETTER MONOGRAPH UK" },
  { 11770, "COMBINING CYRILLIC LETTER YAT" },
  { 11771, "COMBINING CYRILLIC LETTER YU" },
  { 11772, "COMBINING CYRILLIC LETTER IOTIFIED A" },
  { 11773, "COMBINING CYRILLIC LETTER LITTLE YUS" },
  { 11774, "COMBINING CYRILLIC LETTER BIG YUS" },
  { 11775, "COMBINING CYRILLIC LETTER IOTIFIED BIG YUS" },
  { 11776, "RIGHT ANGLE SUBSTITUTION MARKER" },
  { 11777, "RIGHT ANGLE DOTTED SUBSTITUTION MARKER" },
  { 11778, "LEFT SUBSTITUTION BRACKET" },
  { 11779, "RIGHT SUBSTITUTION BRACKET" },
  { 11780, "LEFT DOTTED SUBSTITUTION BRACKET" },
  { 11781, "RIGHT DOTTED SUBSTITUTION BRACKET" },
  { 11782, "RAISED INTERPOLATION MARKER" },
  { 11783, "RAISED DOTTED INTERPOLATION MARKER" },
  { 11784, "DOTTED TRANSPOSITION MARKER" },
  { 11785, "LEFT TRANSPOSITION BRACKET" },
  { 11786, "RIGHT TRANSPOSITION BRACKET" },
  { 11787, "RAISED SQUARE" },
  { 11788, "LEFT RAISED OMISSION BRACKET" },
  { 11789, "RIGHT RAISED OMISSION BRACKET" },
  { 11790, "EDITORIAL CORONIS" },
  { 11791, "PARAGRAPHOS" },
  { 11792, "FORKED PARAGRAPHOS" },
  { 11793, "REVERSED FORKED PARAGRAPHOS" },
  { 11794, "HYPODIASTOLE" },
  { 11795, "DOTTED OBELOS" },
  { 11796, "DOWNWARDS ANCORA" },
  { 11797, "UPWARDS ANCORA" },
  { 11798, "DOTTED RIGHT-POINTING ANGLE" },
  { 11799, "DOUBLE OBLIQUE HYPHEN" },
  { 11800, "INVERTED INTERROBANG" },
  { 11801, "PALM BRANCH" },
  { 11802, "HYPHEN WITH DIAERESIS" },
  { 11803, "TILDE WITH RING ABOVE" },
  { 11804, "LEFT LOW PARAPHRASE BRACKET" },
  { 11805, "RIGHT LOW PARAPHRASE BRACKET" },
  { 11806, "TILDE WITH DOT ABOVE" },
  { 11807, "TILDE WITH DOT BELOW" },
  { 11808, "LEFT VERTICAL BAR WITH QUILL" },
  { 11809, "RIGHT VERTICAL BAR WITH QUILL" },
  { 11810, "TOP LEFT HALF BRACKET" },
  { 11811, "TOP RIGHT HALF BRACKET" },
  { 11812, "BOTTOM LEFT HALF BRACKET" },
  { 11813, "BOTTOM RIGHT HALF BRACKET" },
  { 11814, "LEFT SIDEWAYS U BRACKET" },
  { 11815, "RIGHT SIDEWAYS U BRACKET" },
  { 11816, "LEFT DOUBLE PARENTHESIS" },
  { 11817, "RIGHT DOUBLE PARENTHESIS" },
  { 11818, "TWO DOTS OVER ONE DOT PUNCTUATION" },
  { 11819, "ONE DOT OVER TWO DOTS PUNCTUATION" },
  { 11820, "SQUARED FOUR DOT PUNCTUATION" },
  { 11821, "FIVE DOT MARK" },
  { 11822, "REVERSED QUESTION MARK" },
  { 11823, "VERTICAL TILDE" },
  { 11824, "RING POINT" },
  { 11904, "CJK RADICAL REPEAT" },
  { 11905, "CJK RADICAL CLIFF" },
  { 11906, "CJK RADICAL SECOND ONE" },
  { 11907, "CJK RADICAL SECOND TWO" },
  { 11908, "CJK RADICAL SECOND THREE" },
  { 11909, "CJK RADICAL PERSON" },
  { 11910, "CJK RADICAL BOX" },
  { 11911, "CJK RADICAL TABLE" },
  { 11912, "CJK RADICAL KNIFE ONE" },
  { 11913, "CJK RADICAL KNIFE TWO" },
  { 11914, "CJK RADICAL DIVINATION" },
  { 11915, "CJK RADICAL SEAL" },
  { 11916, "CJK RADICAL SMALL ONE" },
  { 11917, "CJK RADICAL SMALL TWO" },
  { 11918, "CJK RADICAL LAME ONE" },
  { 11919, "CJK RADICAL LAME TWO" },
  { 11920, "CJK RADICAL LAME THREE" },
  { 11921, "CJK RADICAL LAME FOUR" },
  { 11922, "CJK RADICAL SNAKE" },
  { 11923, "CJK RADICAL THREAD" },
  { 11924, "CJK RADICAL SNOUT ONE" },
  { 11925, "CJK RADICAL SNOUT TWO" },
  { 11926, "CJK RADICAL HEART ONE" },
  { 11927, "CJK RADICAL HEART TWO" },
  { 11928, "CJK RADICAL HAND" },
  { 11929, "CJK RADICAL RAP" },
  { 11931, "CJK RADICAL CHOKE" },
  { 11932, "CJK RADICAL SUN" },
  { 11933, "CJK RADICAL MOON" },
  { 11934, "CJK RADICAL DEATH" },
  { 11935, "CJK RADICAL MOTHER" },
  { 11936, "CJK RADICAL CIVILIAN" },
  { 11937, "CJK RADICAL WATER ONE" },
  { 11938, "CJK RADICAL WATER TWO" },
  { 11939, "CJK RADICAL FIRE" },
  { 11940, "CJK RADICAL PAW ONE" },
  { 11941, "CJK RADICAL PAW TWO" },
  { 11942, "CJK RADICAL SIMPLIFIED HALF TREE TRUNK" },
  { 11943, "CJK RADICAL COW" },
  { 11944, "CJK RADICAL DOG" },
  { 11945, "CJK RADICAL JADE" },
  { 11946, "CJK RADICAL BOLT OF CLOTH" },
  { 11947, "CJK RADICAL EYE" },
  { 11948, "CJK RADICAL SPIRIT ONE" },
  { 11949, "CJK RADICAL SPIRIT TWO" },
  { 11950, "CJK RADICAL BAMBOO" },
  { 11951, "CJK RADICAL SILK" },
  { 11952, "CJK RADICAL C-SIMPLIFIED SILK" },
  { 11953, "CJK RADICAL NET ONE" },
  { 11954, "CJK RADICAL NET TWO" },
  { 11955, "CJK RADICAL NET THREE" },
  { 11956, "CJK RADICAL NET FOUR" },
  { 11957, "CJK RADICAL MESH" },
  { 11958, "CJK RADICAL SHEEP" },
  { 11959, "CJK RADICAL RAM" },
  { 11960, "CJK RADICAL EWE" },
  { 11961, "CJK RADICAL OLD" },
  { 11962, "CJK RADICAL BRUSH ONE" },
  { 11963, "CJK RADICAL BRUSH TWO" },
  { 11964, "CJK RADICAL MEAT" },
  { 11965, "CJK RADICAL MORTAR" },
  { 11966, "CJK RADICAL GRASS ONE" },
  { 11967, "CJK RADICAL GRASS TWO" },
  { 11968, "CJK RADICAL GRASS THREE" },
  { 11969, "CJK RADICAL TIGER" },
  { 11970, "CJK RADICAL CLOTHES" },
  { 11971, "CJK RADICAL WEST ONE" },
  { 11972, "CJK RADICAL WEST TWO" },
  { 11973, "CJK RADICAL C-SIMPLIFIED SEE" },
  { 11974, "CJK RADICAL SIMPLIFIED HORN" },
  { 11975, "CJK RADICAL HORN" },
  { 11976, "CJK RADICAL C-SIMPLIFIED SPEECH" },
  { 11977, "CJK RADICAL C-SIMPLIFIED SHELL" },
  { 11978, "CJK RADICAL FOOT" },
  { 11979, "CJK RADICAL C-SIMPLIFIED CART" },
  { 11980, "CJK RADICAL SIMPLIFIED WALK" },
  { 11981, "CJK RADICAL WALK ONE" },
  { 11982, "CJK RADICAL WALK TWO" },
  { 11983, "CJK RADICAL CITY" },
  { 11984, "CJK RADICAL C-SIMPLIFIED GOLD" },
  { 11985, "CJK RADICAL LONG ONE" },
  { 11986, "CJK RADICAL LONG TWO" },
  { 11987, "CJK RADICAL C-SIMPLIFIED LONG" },
  { 11988, "CJK RADICAL C-SIMPLIFIED GATE" },
  { 11989, "CJK RADICAL MOUND ONE" },
  { 11990, "CJK RADICAL MOUND TWO" },
  { 11991, "CJK RADICAL RAIN" },
  { 11992, "CJK RADICAL BLUE" },
  { 11993, "CJK RADICAL C-SIMPLIFIED TANNED LEATHER" },
  { 11994, "CJK RADICAL C-SIMPLIFIED LEAF" },
  { 11995, "CJK RADICAL C-SIMPLIFIED WIND" },
  { 11996, "CJK RADICAL C-SIMPLIFIED FLY" },
  { 11997, "CJK RADICAL EAT ONE" },
  { 11998, "CJK RADICAL EAT TWO" },
  { 11999, "CJK RADICAL EAT THREE" },
  { 12000, "CJK RADICAL C-SIMPLIFIED EAT" },
  { 12001, "CJK RADICAL HEAD" },
  { 12002, "CJK RADICAL C-SIMPLIFIED HORSE" },
  { 12003, "CJK RADICAL BONE" },
  { 12004, "CJK RADICAL GHOST" },
  { 12005, "CJK RADICAL C-SIMPLIFIED FISH" },
  { 12006, "CJK RADICAL C-SIMPLIFIED BIRD" },
  { 12007, "CJK RADICAL C-SIMPLIFIED SALT" },
  { 12008, "CJK RADICAL SIMPLIFIED WHEAT" },
  { 12009, "CJK RADICAL SIMPLIFIED YELLOW" },
  { 12010, "CJK RADICAL C-SIMPLIFIED FROG" },
  { 12011, "CJK RADICAL J-SIMPLIFIED EVEN" },
  { 12012, "CJK RADICAL C-SIMPLIFIED EVEN" },
  { 12013, "CJK RADICAL J-SIMPLIFIED TOOTH" },
  { 12014, "CJK RADICAL C-SIMPLIFIED TOOTH" },
  { 12015, "CJK RADICAL J-SIMPLIFIED DRAGON" },
  { 12016, "CJK RADICAL C-SIMPLIFIED DRAGON" },
  { 12017, "CJK RADICAL TURTLE" },
  { 12018, "CJK RADICAL J-SIMPLIFIED TURTLE" },
  { 12019, "CJK RADICAL C-SIMPLIFIED TURTLE" },
  { 12032, "KANGXI RADICAL ONE" },
  { 12033, "KANGXI RADICAL LINE" },
  { 12034, "KANGXI RADICAL DOT" },
  { 12035, "KANGXI RADICAL SLASH" },
  { 12036, "KANGXI RADICAL SECOND" },
  { 12037, "KANGXI RADICAL HOOK" },
  { 12038, "KANGXI RADICAL TWO" },
  { 12039, "KANGXI RADICAL LID" },
  { 12040, "KANGXI RADICAL MAN" },
  { 12041, "KANGXI RADICAL LEGS" },
  { 12042, "KANGXI RADICAL ENTER" },
  { 12043, "KANGXI RADICAL EIGHT" },
  { 12044, "KANGXI RADICAL DOWN BOX" },
  { 12045, "KANGXI RADICAL COVER" },
  { 12046, "KANGXI RADICAL ICE" },
  { 12047, "KANGXI RADICAL TABLE" },
  { 12048, "KANGXI RADICAL OPEN BOX" },
  { 12049, "KANGXI RADICAL KNIFE" },
  { 12050, "KANGXI RADICAL POWER" },
  { 12051, "KANGXI RADICAL WRAP" },
  { 12052, "KANGXI RADICAL SPOON" },
  { 12053, "KANGXI RADICAL RIGHT OPEN BOX" },
  { 12054, "KANGXI RADICAL HIDING ENCLOSURE" },
  { 12055, "KANGXI RADICAL TEN" },
  { 12056, "KANGXI RADICAL DIVINATION" },
  { 12057, "KANGXI RADICAL SEAL" },
  { 12058, "KANGXI RADICAL CLIFF" },
  { 12059, "KANGXI RADICAL PRIVATE" },
  { 12060, "KANGXI RADICAL AGAIN" },
  { 12061, "KANGXI RADICAL MOUTH" },
  { 12062, "KANGXI RADICAL ENCLOSURE" },
  { 12063, "KANGXI RADICAL EARTH" },
  { 12064, "KANGXI RADICAL SCHOLAR" },
  { 12065, "KANGXI RADICAL GO" },
  { 12066, "KANGXI RADICAL GO SLOWLY" },
  { 12067, "KANGXI RADICAL EVENING" },
  { 12068, "KANGXI RADICAL BIG" },
  { 12069, "KANGXI RADICAL WOMAN" },
  { 12070, "KANGXI RADICAL CHILD" },
  { 12071, "KANGXI RADICAL ROOF" },
  { 12072, "KANGXI RADICAL INCH" },
  { 12073, "KANGXI RADICAL SMALL" },
  { 12074, "KANGXI RADICAL LAME" },
  { 12075, "KANGXI RADICAL CORPSE" },
  { 12076, "KANGXI RADICAL SPROUT" },
  { 12077, "KANGXI RADICAL MOUNTAIN" },
  { 12078, "KANGXI RADICAL RIVER" },
  { 12079, "KANGXI RADICAL WORK" },
  { 12080, "KANGXI RADICAL ONESELF" },
  { 12081, "KANGXI RADICAL TURBAN" },
  { 12082, "KANGXI RADICAL DRY" },
  { 12083, "KANGXI RADICAL SHORT THREAD" },
  { 12084, "KANGXI RADICAL DOTTED CLIFF" },
  { 12085, "KANGXI RADICAL LONG STRIDE" },
  { 12086, "KANGXI RADICAL TWO HANDS" },
  { 12087, "KANGXI RADICAL SHOOT" },
  { 12088, "KANGXI RADICAL BOW" },
  { 12089, "KANGXI RADICAL SNOUT" },
  { 12090, "KANGXI RADICAL BRISTLE" },
  { 12091, "KANGXI RADICAL STEP" },
  { 12092, "KANGXI RADICAL HEART" },
  { 12093, "KANGXI RADICAL HALBERD" },
  { 12094, "KANGXI RADICAL DOOR" },
  { 12095, "KANGXI RADICAL HAND" },
  { 12096, "KANGXI RADICAL BRANCH" },
  { 12097, "KANGXI RADICAL RAP" },
  { 12098, "KANGXI RADICAL SCRIPT" },
  { 12099, "KANGXI RADICAL DIPPER" },
  { 12100, "KANGXI RADICAL AXE" },
  { 12101, "KANGXI RADICAL SQUARE" },
  { 12102, "KANGXI RADICAL NOT" },
  { 12103, "KANGXI RADICAL SUN" },
  { 12104, "KANGXI RADICAL SAY" },
  { 12105, "KANGXI RADICAL MOON" },
  { 12106, "KANGXI RADICAL TREE" },
  { 12107, "KANGXI RADICAL LACK" },
  { 12108, "KANGXI RADICAL STOP" },
  { 12109, "KANGXI RADICAL DEATH" },
  { 12110, "KANGXI RADICAL WEAPON" },
  { 12111, "KANGXI RADICAL DO NOT" },
  { 12112, "KANGXI RADICAL COMPARE" },
  { 12113, "KANGXI RADICAL FUR" },
  { 12114, "KANGXI RADICAL CLAN" },
  { 12115, "KANGXI RADICAL STEAM" },
  { 12116, "KANGXI RADICAL WATER" },
  { 12117, "KANGXI RADICAL FIRE" },
  { 12118, "KANGXI RADICAL CLAW" },
  { 12119, "KANGXI RADICAL FATHER" },
  { 12120, "KANGXI RADICAL DOUBLE X" },
  { 12121, "KANGXI RADICAL HALF TREE TRUNK" },
  { 12122, "KANGXI RADICAL SLICE" },
  { 12123, "KANGXI RADICAL FANG" },
  { 12124, "KANGXI RADICAL COW" },
  { 12125, "KANGXI RADICAL DOG" },
  { 12126, "KANGXI RADICAL PROFOUND" },
  { 12127, "KANGXI RADICAL JADE" },
  { 12128, "KANGXI RADICAL MELON" },
  { 12129, "KANGXI RADICAL TILE" },
  { 12130, "KANGXI RADICAL SWEET" },
  { 12131, "KANGXI RADICAL LIFE" },
  { 12132, "KANGXI RADICAL USE" },
  { 12133, "KANGXI RADICAL FIELD" },
  { 12134, "KANGXI RADICAL BOLT OF CLOTH" },
  { 12135, "KANGXI RADICAL SICKNESS" },
  { 12136, "KANGXI RADICAL DOTTED TENT" },
  { 12137, "KANGXI RADICAL WHITE" },
  { 12138, "KANGXI RADICAL SKIN" },
  { 12139, "KANGXI RADICAL DISH" },
  { 12140, "KANGXI RADICAL EYE" },
  { 12141, "KANGXI RADICAL SPEAR" },
  { 12142, "KANGXI RADICAL ARROW" },
  { 12143, "KANGXI RADICAL STONE" },
  { 12144, "KANGXI RADICAL SPIRIT" },
  { 12145, "KANGXI RADICAL TRACK" },
  { 12146, "KANGXI RADICAL GRAIN" },
  { 12147, "KANGXI RADICAL CAVE" },
  { 12148, "KANGXI RADICAL STAND" },
  { 12149, "KANGXI RADICAL BAMBOO" },
  { 12150, "KANGXI RADICAL RICE" },
  { 12151, "KANGXI RADICAL SILK" },
  { 12152, "KANGXI RADICAL JAR" },
  { 12153, "KANGXI RADICAL NET" },
  { 12154, "KANGXI RADICAL SHEEP" },
  { 12155, "KANGXI RADICAL FEATHER" },
  { 12156, "KANGXI RADICAL OLD" },
  { 12157, "KANGXI RADICAL AND" },
  { 12158, "KANGXI RADICAL PLOW" },
  { 12159, "KANGXI RADICAL EAR" },
  { 12160, "KANGXI RADICAL BRUSH" },
  { 12161, "KANGXI RADICAL MEAT" },
  { 12162, "KANGXI RADICAL MINISTER" },
  { 12163, "KANGXI RADICAL SELF" },
  { 12164, "KANGXI RADICAL ARRIVE" },
  { 12165, "KANGXI RADICAL MORTAR" },
  { 12166, "KANGXI RADICAL TONGUE" },
  { 12167, "KANGXI RADICAL OPPOSE" },
  { 12168, "KANGXI RADICAL BOAT" },
  { 12169, "KANGXI RADICAL STOPPING" },
  { 12170, "KANGXI RADICAL COLOR" },
  { 12171, "KANGXI RADICAL GRASS" },
  { 12172, "KANGXI RADICAL TIGER" },
  { 12173, "KANGXI RADICAL INSECT" },
  { 12174, "KANGXI RADICAL BLOOD" },
  { 12175, "KANGXI RADICAL WALK ENCLOSURE" },
  { 12176, "KANGXI RADICAL CLOTHES" },
  { 12177, "KANGXI RADICAL WEST" },
  { 12178, "KANGXI RADICAL SEE" },
  { 12179, "KANGXI RADICAL HORN" },
  { 12180, "KANGXI RADICAL SPEECH" },
  { 12181, "KANGXI RADICAL VALLEY" },
  { 12182, "KANGXI RADICAL BEAN" },
  { 12183, "KANGXI RADICAL PIG" },
  { 12184, "KANGXI RADICAL BADGER" },
  { 12185, "KANGXI RADICAL SHELL" },
  { 12186, "KANGXI RADICAL RED" },
  { 12187, "KANGXI RADICAL RUN" },
  { 12188, "KANGXI RADICAL FOOT" },
  { 12189, "KANGXI RADICAL BODY" },
  { 12190, "KANGXI RADICAL CART" },
  { 12191, "KANGXI RADICAL BITTER" },
  { 12192, "KANGXI RADICAL MORNING" },
  { 12193, "KANGXI RADICAL WALK" },
  { 12194, "KANGXI RADICAL CITY" },
  { 12195, "KANGXI RADICAL WINE" },
  { 12196, "KANGXI RADICAL DISTINGUISH" },
  { 12197, "KANGXI RADICAL VILLAGE" },
  { 12198, "KANGXI RADICAL GOLD" },
  { 12199, "KANGXI RADICAL LONG" },
  { 12200, "KANGXI RADICAL GATE" },
  { 12201, "KANGXI RADICAL MOUND" },
  { 12202, "KANGXI RADICAL SLAVE" },
  { 12203, "KANGXI RADICAL SHORT TAILED BIRD" },
  { 12204, "KANGXI RADICAL RAIN" },
  { 12205, "KANGXI RADICAL BLUE" },
  { 12206, "KANGXI RADICAL WRONG" },
  { 12207, "KANGXI RADICAL FACE" },
  { 12208, "KANGXI RADICAL LEATHER" },
  { 12209, "KANGXI RADICAL TANNED LEATHER" },
  { 12210, "KANGXI RADICAL LEEK" },
  { 12211, "KANGXI RADICAL SOUND" },
  { 12212, "KANGXI RADICAL LEAF" },
  { 12213, "KANGXI RADICAL WIND" },
  { 12214, "KANGXI RADICAL FLY" },
  { 12215, "KANGXI RADICAL EAT" },
  { 12216, "KANGXI RADICAL HEAD" },
  { 12217, "KANGXI RADICAL FRAGRANT" },
  { 12218, "KANGXI RADICAL HORSE" },
  { 12219, "KANGXI RADICAL BONE" },
  { 12220, "KANGXI RADICAL TALL" },
  { 12221, "KANGXI RADICAL HAIR" },
  { 12222, "KANGXI RADICAL FIGHT" },
  { 12223, "KANGXI RADICAL SACRIFICIAL WINE" },
  { 12224, "KANGXI RADICAL CAULDRON" },
  { 12225, "KANGXI RADICAL GHOST" },
  { 12226, "KANGXI RADICAL FISH" },
  { 12227, "KANGXI RADICAL BIRD" },
  { 12228, "KANGXI RADICAL SALT" },
  { 12229, "KANGXI RADICAL DEER" },
  { 12230, "KANGXI RADICAL WHEAT" },
  { 12231, "KANGXI RADICAL HEMP" },
  { 12232, "KANGXI RADICAL YELLOW" },
  { 12233, "KANGXI RADICAL MILLET" },
  { 12234, "KANGXI RADICAL BLACK" },
  { 12235, "KANGXI RADICAL EMBROIDERY" },
  { 12236, "KANGXI RADICAL FROG" },
  { 12237, "KANGXI RADICAL TRIPOD" },
  { 12238, "KANGXI RADICAL DRUM" },
  { 12239, "KANGXI RADICAL RAT" },
  { 12240, "KANGXI RADICAL NOSE" },
  { 12241, "KANGXI RADICAL EVEN" },
  { 12242, "KANGXI RADICAL TOOTH" },
  { 12243, "KANGXI RADICAL DRAGON" },
  { 12244, "KANGXI RADICAL TURTLE" },
  { 12245, "KANGXI RADICAL FLUTE" },
  { 12272, "IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO RIGHT" },
  { 12273, "IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO BELOW" },
  { 12274, "IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO MIDDLE AND RIGHT" },
  { 12275, "IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO MIDDLE AND BELOW" },
  { 12276, "IDEOGRAPHIC DESCRIPTION CHARACTER FULL SURROUND" },
  { 12277, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM ABOVE" },
  { 12278, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM BELOW" },
  { 12279, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LEFT" },
  { 12280, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER LEFT" },
  { 12281, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER RIGHT" },
  { 12282, "IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LOWER LEFT" },
  { 12283, "IDEOGRAPHIC DESCRIPTION CHARACTER OVERLAID" },
  { 12288, "IDEOGRAPHIC SPACE" },
  { 12289, "IDEOGRAPHIC COMMA" },
  { 12290, "IDEOGRAPHIC FULL STOP" },
  { 12291, "DITTO MARK" },
  { 12292, "JAPANESE INDUSTRIAL STANDARD SYMBOL" },
  { 12293, "IDEOGRAPHIC ITERATION MARK" },
  { 12294, "IDEOGRAPHIC CLOSING MARK" },
  { 12295, "IDEOGRAPHIC NUMBER ZERO" },
  { 12296, "LEFT ANGLE BRACKET" },
  { 12297, "RIGHT ANGLE BRACKET" },
  { 12298, "LEFT DOUBLE ANGLE BRACKET" },
  { 12299, "RIGHT DOUBLE ANGLE BRACKET" },
  { 12300, "LEFT CORNER BRACKET" },
  { 12301, "RIGHT CORNER BRACKET" },
  { 12302, "LEFT WHITE CORNER BRACKET" },
  { 12303, "RIGHT WHITE CORNER BRACKET" },
  { 12304, "LEFT BLACK LENTICULAR BRACKET" },
  { 12305, "RIGHT BLACK LENTICULAR BRACKET" },
  { 12306, "POSTAL MARK" },
  { 12307, "GETA MARK" },
  { 12308, "LEFT TORTOISE SHELL BRACKET" },
  { 12309, "RIGHT TORTOISE SHELL BRACKET" },
  { 12310, "LEFT WHITE LENTICULAR BRACKET" },
  { 12311, "RIGHT WHITE LENTICULAR BRACKET" },
  { 12312, "LEFT WHITE TORTOISE SHELL BRACKET" },
  { 12313, "RIGHT WHITE TORTOISE SHELL BRACKET" },
  { 12314, "LEFT WHITE SQUARE BRACKET" },
  { 12315, "RIGHT WHITE SQUARE BRACKET" },
  { 12316, "WAVE DASH" },
  { 12317, "REVERSED DOUBLE PRIME QUOTATION MARK" },
  { 12318, "DOUBLE PRIME QUOTATION MARK" },
  { 12319, "LOW DOUBLE PRIME QUOTATION MARK" },
  { 12320, "POSTAL MARK FACE" },
  { 12321, "HANGZHOU NUMERAL ONE" },
  { 12322, "HANGZHOU NUMERAL TWO" },
  { 12323, "HANGZHOU NUMERAL THREE" },
  { 12324, "HANGZHOU NUMERAL FOUR" },
  { 12325, "HANGZHOU NUMERAL FIVE" },
  { 12326, "HANGZHOU NUMERAL SIX" },
  { 12327, "HANGZHOU NUMERAL SEVEN" },
  { 12328, "HANGZHOU NUMERAL EIGHT" },
  { 12329, "HANGZHOU NUMERAL NINE" },
  { 12330, "IDEOGRAPHIC LEVEL TONE MARK" },
  { 12331, "IDEOGRAPHIC RISING TONE MARK" },
  { 12332, "IDEOGRAPHIC DEPARTING TONE MARK" },
  { 12333, "IDEOGRAPHIC ENTERING TONE MARK" },
  { 12334, "HANGUL SINGLE DOT TONE MARK" },
  { 12335, "HANGUL DOUBLE DOT TONE MARK" },
  { 12336, "WAVY DASH" },
  { 12337, "VERTICAL KANA REPEAT MARK" },
  { 12338, "VERTICAL KANA REPEAT WITH VOICED SOUND MARK" },
  { 12339, "VERTICAL KANA REPEAT MARK UPPER HALF" },
  { 12340, "VERTICAL KANA REPEAT WITH VOICED SOUND MARK UPPER HALF" },
  { 12341, "VERTICAL KANA REPEAT MARK LOWER HALF" },
  { 12342, "CIRCLED POSTAL MARK" },
  { 12343, "IDEOGRAPHIC TELEGRAPH LINE FEED SEPARATOR SYMBOL" },
  { 12344, "HANGZHOU NUMERAL TEN" },
  { 12345, "HANGZHOU NUMERAL TWENTY" },
  { 12346, "HANGZHOU NUMERAL THIRTY" },
  { 12347, "VERTICAL IDEOGRAPHIC ITERATION MARK" },
  { 12348, "MASU MARK" },
  { 12349, "PART ALTERNATION MARK" },
  { 12350, "IDEOGRAPHIC VARIATION INDICATOR" },
  { 12351, "IDEOGRAPHIC HALF FILL SPACE" },
  { 12353, "HIRAGANA LETTER SMALL A" },
  { 12354, "HIRAGANA LETTER A" },
  { 12355, "HIRAGANA LETTER SMALL I" },
  { 12356, "HIRAGANA LETTER I" },
  { 12357, "HIRAGANA LETTER SMALL U" },
  { 12358, "HIRAGANA LETTER U" },
  { 12359, "HIRAGANA LETTER SMALL E" },
  { 12360, "HIRAGANA LETTER E" },
  { 12361, "HIRAGANA LETTER SMALL O" },
  { 12362, "HIRAGANA LETTER O" },
  { 12363, "HIRAGANA LETTER KA" },
  { 12364, "HIRAGANA LETTER GA" },
  { 12365, "HIRAGANA LETTER KI" },
  { 12366, "HIRAGANA LETTER GI" },
  { 12367, "HIRAGANA LETTER KU" },
  { 12368, "HIRAGANA LETTER GU" },
  { 12369, "HIRAGANA LETTER KE" },
  { 12370, "HIRAGANA LETTER GE" },
  { 12371, "HIRAGANA LETTER KO" },
  { 12372, "HIRAGANA LETTER GO" },
  { 12373, "HIRAGANA LETTER SA" },
  { 12374, "HIRAGANA LETTER ZA" },
  { 12375, "HIRAGANA LETTER SI" },
  { 12376, "HIRAGANA LETTER ZI" },
  { 12377, "HIRAGANA LETTER SU" },
  { 12378, "HIRAGANA LETTER ZU" },
  { 12379, "HIRAGANA LETTER SE" },
  { 12380, "HIRAGANA LETTER ZE" },
  { 12381, "HIRAGANA LETTER SO" },
  { 12382, "HIRAGANA LETTER ZO" },
  { 12383, "HIRAGANA LETTER TA" },
  { 12384, "HIRAGANA LETTER DA" },
  { 12385, "HIRAGANA LETTER TI" },
  { 12386, "HIRAGANA LETTER DI" },
  { 12387, "HIRAGANA LETTER SMALL TU" },
  { 12388, "HIRAGANA LETTER TU" },
  { 12389, "HIRAGANA LETTER DU" },
  { 12390, "HIRAGANA LETTER TE" },
  { 12391, "HIRAGANA LETTER DE" },
  { 12392, "HIRAGANA LETTER TO" },
  { 12393, "HIRAGANA LETTER DO" },
  { 12394, "HIRAGANA LETTER NA" },
  { 12395, "HIRAGANA LETTER NI" },
  { 12396, "HIRAGANA LETTER NU" },
  { 12397, "HIRAGANA LETTER NE" },
  { 12398, "HIRAGANA LETTER NO" },
  { 12399, "HIRAGANA LETTER HA" },
  { 12400, "HIRAGANA LETTER BA" },
  { 12401, "HIRAGANA LETTER PA" },
  { 12402, "HIRAGANA LETTER HI" },
  { 12403, "HIRAGANA LETTER BI" },
  { 12404, "HIRAGANA LETTER PI" },
  { 12405, "HIRAGANA LETTER HU" },
  { 12406, "HIRAGANA LETTER BU" },
  { 12407, "HIRAGANA LETTER PU" },
  { 12408, "HIRAGANA LETTER HE" },
  { 12409, "HIRAGANA LETTER BE" },
  { 12410, "HIRAGANA LETTER PE" },
  { 12411, "HIRAGANA LETTER HO" },
  { 12412, "HIRAGANA LETTER BO" },
  { 12413, "HIRAGANA LETTER PO" },
  { 12414, "HIRAGANA LETTER MA" },
  { 12415, "HIRAGANA LETTER MI" },
  { 12416, "HIRAGANA LETTER MU" },
  { 12417, "HIRAGANA LETTER ME" },
  { 12418, "HIRAGANA LETTER MO" },
  { 12419, "HIRAGANA LETTER SMALL YA" },
  { 12420, "HIRAGANA LETTER YA" },
  { 12421, "HIRAGANA LETTER SMALL YU" },
  { 12422, "HIRAGANA LETTER YU" },
  { 12423, "HIRAGANA LETTER SMALL YO" },
  { 12424, "HIRAGANA LETTER YO" },
  { 12425, "HIRAGANA LETTER RA" },
  { 12426, "HIRAGANA LETTER RI" },
  { 12427, "HIRAGANA LETTER RU" },
  { 12428, "HIRAGANA LETTER RE" },
  { 12429, "HIRAGANA LETTER RO" },
  { 12430, "HIRAGANA LETTER SMALL WA" },
  { 12431, "HIRAGANA LETTER WA" },
  { 12432, "HIRAGANA LETTER WI" },
  { 12433, "HIRAGANA LETTER WE" },
  { 12434, "HIRAGANA LETTER WO" },
  { 12435, "HIRAGANA LETTER N" },
  { 12436, "HIRAGANA LETTER VU" },
  { 12437, "HIRAGANA LETTER SMALL KA" },
  { 12438, "HIRAGANA LETTER SMALL KE" },
  { 12441, "COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK" },
  { 12442, "COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK" },
  { 12443, "KATAKANA-HIRAGANA VOICED SOUND MARK" },
  { 12444, "KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK" },
  { 12445, "HIRAGANA ITERATION MARK" },
  { 12446, "HIRAGANA VOICED ITERATION MARK" },
  { 12447, "HIRAGANA DIGRAPH YORI" },
  { 12448, "KATAKANA-HIRAGANA DOUBLE HYPHEN" },
  { 12449, "KATAKANA LETTER SMALL A" },
  { 12450, "KATAKANA LETTER A" },
  { 12451, "KATAKANA LETTER SMALL I" },
  { 12452, "KATAKANA LETTER I" },
  { 12453, "KATAKANA LETTER SMALL U" },
  { 12454, "KATAKANA LETTER U" },
  { 12455, "KATAKANA LETTER SMALL E" },
  { 12456, "KATAKANA LETTER E" },
  { 12457, "KATAKANA LETTER SMALL O" },
  { 12458, "KATAKANA LETTER O" },
  { 12459, "KATAKANA LETTER KA" },
  { 12460, "KATAKANA LETTER GA" },
  { 12461, "KATAKANA LETTER KI" },
  { 12462, "KATAKANA LETTER GI" },
  { 12463, "KATAKANA LETTER KU" },
  { 12464, "KATAKANA LETTER GU" },
  { 12465, "KATAKANA LETTER KE" },
  { 12466, "KATAKANA LETTER GE" },
  { 12467, "KATAKANA LETTER KO" },
  { 12468, "KATAKANA LETTER GO" },
  { 12469, "KATAKANA LETTER SA" },
  { 12470, "KATAKANA LETTER ZA" },
  { 12471, "KATAKANA LETTER SI" },
  { 12472, "KATAKANA LETTER ZI" },
  { 12473, "KATAKANA LETTER SU" },
  { 12474, "KATAKANA LETTER ZU" },
  { 12475, "KATAKANA LETTER SE" },
  { 12476, "KATAKANA LETTER ZE" },
  { 12477, "KATAKANA LETTER SO" },
  { 12478, "KATAKANA LETTER ZO" },
  { 12479, "KATAKANA LETTER TA" },
  { 12480, "KATAKANA LETTER DA" },
  { 12481, "KATAKANA LETTER TI" },
  { 12482, "KATAKANA LETTER DI" },
  { 12483, "KATAKANA LETTER SMALL TU" },
  { 12484, "KATAKANA LETTER TU" },
  { 12485, "KATAKANA LETTER DU" },
  { 12486, "KATAKANA LETTER TE" },
  { 12487, "KATAKANA LETTER DE" },
  { 12488, "KATAKANA LETTER TO" },
  { 12489, "KATAKANA LETTER DO" },
  { 12490, "KATAKANA LETTER NA" },
  { 12491, "KATAKANA LETTER NI" },
  { 12492, "KATAKANA LETTER NU" },
  { 12493, "KATAKANA LETTER NE" },
  { 12494, "KATAKANA LETTER NO" },
  { 12495, "KATAKANA LETTER HA" },
  { 12496, "KATAKANA LETTER BA" },
  { 12497, "KATAKANA LETTER PA" },
  { 12498, "KATAKANA LETTER HI" },
  { 12499, "KATAKANA LETTER BI" },
  { 12500, "KATAKANA LETTER PI" },
  { 12501, "KATAKANA LETTER HU" },
  { 12502, "KATAKANA LETTER BU" },
  { 12503, "KATAKANA LETTER PU" },
  { 12504, "KATAKANA LETTER HE" },
  { 12505, "KATAKANA LETTER BE" },
  { 12506, "KATAKANA LETTER PE" },
  { 12507, "KATAKANA LETTER HO" },
  { 12508, "KATAKANA LETTER BO" },
  { 12509, "KATAKANA LETTER PO" },
  { 12510, "KATAKANA LETTER MA" },
  { 12511, "KATAKANA LETTER MI" },
  { 12512, "KATAKANA LETTER MU" },
  { 12513, "KATAKANA LETTER ME" },
  { 12514, "KATAKANA LETTER MO" },
  { 12515, "KATAKANA LETTER SMALL YA" },
  { 12516, "KATAKANA LETTER YA" },
  { 12517, "KATAKANA LETTER SMALL YU" },
  { 12518, "KATAKANA LETTER YU" },
  { 12519, "KATAKANA LETTER SMALL YO" },
  { 12520, "KATAKANA LETTER YO" },
  { 12521, "KATAKANA LETTER RA" },
  { 12522, "KATAKANA LETTER RI" },
  { 12523, "KATAKANA LETTER RU" },
  { 12524, "KATAKANA LETTER RE" },
  { 12525, "KATAKANA LETTER RO" },
  { 12526, "KATAKANA LETTER SMALL WA" },
  { 12527, "KATAKANA LETTER WA" },
  { 12528, "KATAKANA LETTER WI" },
  { 12529, "KATAKANA LETTER WE" },
  { 12530, "KATAKANA LETTER WO" },
  { 12531, "KATAKANA LETTER N" },
  { 12532, "KATAKANA LETTER VU" },
  { 12533, "KATAKANA LETTER SMALL KA" },
  { 12534, "KATAKANA LETTER SMALL KE" },
  { 12535, "KATAKANA LETTER VA" },
  { 12536, "KATAKANA LETTER VI" },
  { 12537, "KATAKANA LETTER VE" },
  { 12538, "KATAKANA LETTER VO" },
  { 12539, "KATAKANA MIDDLE DOT" },
  { 12540, "KATAKANA-HIRAGANA PROLONGED SOUND MARK" },
  { 12541, "KATAKANA ITERATION MARK" },
  { 12542, "KATAKANA VOICED ITERATION MARK" },
  { 12543, "KATAKANA DIGRAPH KOTO" },
  { 12549, "BOPOMOFO LETTER B" },
  { 12550, "BOPOMOFO LETTER P" },
  { 12551, "BOPOMOFO LETTER M" },
  { 12552, "BOPOMOFO LETTER F" },
  { 12553, "BOPOMOFO LETTER D" },
  { 12554, "BOPOMOFO LETTER T" },
  { 12555, "BOPOMOFO LETTER N" },
  { 12556, "BOPOMOFO LETTER L" },
  { 12557, "BOPOMOFO LETTER G" },
  { 12558, "BOPOMOFO LETTER K" },
  { 12559, "BOPOMOFO LETTER H" },
  { 12560, "BOPOMOFO LETTER J" },
  { 12561, "BOPOMOFO LETTER Q" },
  { 12562, "BOPOMOFO LETTER X" },
  { 12563, "BOPOMOFO LETTER ZH" },
  { 12564, "BOPOMOFO LETTER CH" },
  { 12565, "BOPOMOFO LETTER SH" },
  { 12566, "BOPOMOFO LETTER R" },
  { 12567, "BOPOMOFO LETTER Z" },
  { 12568, "BOPOMOFO LETTER C" },
  { 12569, "BOPOMOFO LETTER S" },
  { 12570, "BOPOMOFO LETTER A" },
  { 12571, "BOPOMOFO LETTER O" },
  { 12572, "BOPOMOFO LETTER E" },
  { 12573, "BOPOMOFO LETTER EH" },
  { 12574, "BOPOMOFO LETTER AI" },
  { 12575, "BOPOMOFO LETTER EI" },
  { 12576, "BOPOMOFO LETTER AU" },
  { 12577, "BOPOMOFO LETTER OU" },
  { 12578, "BOPOMOFO LETTER AN" },
  { 12579, "BOPOMOFO LETTER EN" },
  { 12580, "BOPOMOFO LETTER ANG" },
  { 12581, "BOPOMOFO LETTER ENG" },
  { 12582, "BOPOMOFO LETTER ER" },
  { 12583, "BOPOMOFO LETTER I" },
  { 12584, "BOPOMOFO LETTER U" },
  { 12585, "BOPOMOFO LETTER IU" },
  { 12586, "BOPOMOFO LETTER V" },
  { 12587, "BOPOMOFO LETTER NG" },
  { 12588, "BOPOMOFO LETTER GN" },
  { 12589, "BOPOMOFO LETTER IH" },
  { 12593, "HANGUL LETTER KIYEOK" },
  { 12594, "HANGUL LETTER SSANGKIYEOK" },
  { 12595, "HANGUL LETTER KIYEOK-SIOS" },
  { 12596, "HANGUL LETTER NIEUN" },
  { 12597, "HANGUL LETTER NIEUN-CIEUC" },
  { 12598, "HANGUL LETTER NIEUN-HIEUH" },
  { 12599, "HANGUL LETTER TIKEUT" },
  { 12600, "HANGUL LETTER SSANGTIKEUT" },
  { 12601, "HANGUL LETTER RIEUL" },
  { 12602, "HANGUL LETTER RIEUL-KIYEOK" },
  { 12603, "HANGUL LETTER RIEUL-MIEUM" },
  { 12604, "HANGUL LETTER RIEUL-PIEUP" },
  { 12605, "HANGUL LETTER RIEUL-SIOS" },
  { 12606, "HANGUL LETTER RIEUL-THIEUTH" },
  { 12607, "HANGUL LETTER RIEUL-PHIEUPH" },
  { 12608, "HANGUL LETTER RIEUL-HIEUH" },
  { 12609, "HANGUL LETTER MIEUM" },
  { 12610, "HANGUL LETTER PIEUP" },
  { 12611, "HANGUL LETTER SSANGPIEUP" },
  { 12612, "HANGUL LETTER PIEUP-SIOS" },
  { 12613, "HANGUL LETTER SIOS" },
  { 12614, "HANGUL LETTER SSANGSIOS" },
  { 12615, "HANGUL LETTER IEUNG" },
  { 12616, "HANGUL LETTER CIEUC" },
  { 12617, "HANGUL LETTER SSANGCIEUC" },
  { 12618, "HANGUL LETTER CHIEUCH" },
  { 12619, "HANGUL LETTER KHIEUKH" },
  { 12620, "HANGUL LETTER THIEUTH" },
  { 12621, "HANGUL LETTER PHIEUPH" },
  { 12622, "HANGUL LETTER HIEUH" },
  { 12623, "HANGUL LETTER A" },
  { 12624, "HANGUL LETTER AE" },
  { 12625, "HANGUL LETTER YA" },
  { 12626, "HANGUL LETTER YAE" },
  { 12627, "HANGUL LETTER EO" },
  { 12628, "HANGUL LETTER E" },
  { 12629, "HANGUL LETTER YEO" },
  { 12630, "HANGUL LETTER YE" },
  { 12631, "HANGUL LETTER O" },
  { 12632, "HANGUL LETTER WA" },
  { 12633, "HANGUL LETTER WAE" },
  { 12634, "HANGUL LETTER OE" },
  { 12635, "HANGUL LETTER YO" },
  { 12636, "HANGUL LETTER U" },
  { 12637, "HANGUL LETTER WEO" },
  { 12638, "HANGUL LETTER WE" },
  { 12639, "HANGUL LETTER WI" },
  { 12640, "HANGUL LETTER YU" },
  { 12641, "HANGUL LETTER EU" },
  { 12642, "HANGUL LETTER YI" },
  { 12643, "HANGUL LETTER I" },
  { 12644, "HANGUL FILLER" },
  { 12645, "HANGUL LETTER SSANGNIEUN" },
  { 12646, "HANGUL LETTER NIEUN-TIKEUT" },
  { 12647, "HANGUL LETTER NIEUN-SIOS" },
  { 12648, "HANGUL LETTER NIEUN-PANSIOS" },
  { 12649, "HANGUL LETTER RIEUL-KIYEOK-SIOS" },
  { 12650, "HANGUL LETTER RIEUL-TIKEUT" },
  { 12651, "HANGUL LETTER RIEUL-PIEUP-SIOS" },
  { 12652, "HANGUL LETTER RIEUL-PANSIOS" },
  { 12653, "HANGUL LETTER RIEUL-YEORINHIEUH" },
  { 12654, "HANGUL LETTER MIEUM-PIEUP" },
  { 12655, "HANGUL LETTER MIEUM-SIOS" },
  { 12656, "HANGUL LETTER MIEUM-PANSIOS" },
  { 12657, "HANGUL LETTER KAPYEOUNMIEUM" },
  { 12658, "HANGUL LETTER PIEUP-KIYEOK" },
  { 12659, "HANGUL LETTER PIEUP-TIKEUT" },
  { 12660, "HANGUL LETTER PIEUP-SIOS-KIYEOK" },
  { 12661, "HANGUL LETTER PIEUP-SIOS-TIKEUT" },
  { 12662, "HANGUL LETTER PIEUP-CIEUC" },
  { 12663, "HANGUL LETTER PIEUP-THIEUTH" },
  { 12664, "HANGUL LETTER KAPYEOUNPIEUP" },
  { 12665, "HANGUL LETTER KAPYEOUNSSANGPIEUP" },
  { 12666, "HANGUL LETTER SIOS-KIYEOK" },
  { 12667, "HANGUL LETTER SIOS-NIEUN" },
  { 12668, "HANGUL LETTER SIOS-TIKEUT" },
  { 12669, "HANGUL LETTER SIOS-PIEUP" },
  { 12670, "HANGUL LETTER SIOS-CIEUC" },
  { 12671, "HANGUL LETTER PANSIOS" },
  { 12672, "HANGUL LETTER SSANGIEUNG" },
  { 12673, "HANGUL LETTER YESIEUNG" },
  { 12674, "HANGUL LETTER YESIEUNG-SIOS" },
  { 12675, "HANGUL LETTER YESIEUNG-PANSIOS" },
  { 12676, "HANGUL LETTER KAPYEOUNPHIEUPH" },
  { 12677, "HANGUL LETTER SSANGHIEUH" },
  { 12678, "HANGUL LETTER YEORINHIEUH" },
  { 12679, "HANGUL LETTER YO-YA" },
  { 12680, "HANGUL LETTER YO-YAE" },
  { 12681, "HANGUL LETTER YO-I" },
  { 12682, "HANGUL LETTER YU-YEO" },
  { 12683, "HANGUL LETTER YU-YE" },
  { 12684, "HANGUL LETTER YU-I" },
  { 12685, "HANGUL LETTER ARAEA" },
  { 12686, "HANGUL LETTER ARAEAE" },
  { 12688, "IDEOGRAPHIC ANNOTATION LINKING MARK" },
  { 12689, "IDEOGRAPHIC ANNOTATION REVERSE MARK" },
  { 12690, "IDEOGRAPHIC ANNOTATION ONE MARK" },
  { 12691, "IDEOGRAPHIC ANNOTATION TWO MARK" },
  { 12692, "IDEOGRAPHIC ANNOTATION THREE MARK" },
  { 12693, "IDEOGRAPHIC ANNOTATION FOUR MARK" },
  { 12694, "IDEOGRAPHIC ANNOTATION TOP MARK" },
  { 12695, "IDEOGRAPHIC ANNOTATION MIDDLE MARK" },
  { 12696, "IDEOGRAPHIC ANNOTATION BOTTOM MARK" },
  { 12697, "IDEOGRAPHIC ANNOTATION FIRST MARK" },
  { 12698, "IDEOGRAPHIC ANNOTATION SECOND MARK" },
  { 12699, "IDEOGRAPHIC ANNOTATION THIRD MARK" },
  { 12700, "IDEOGRAPHIC ANNOTATION FOURTH MARK" },
  { 12701, "IDEOGRAPHIC ANNOTATION HEAVEN MARK" },
  { 12702, "IDEOGRAPHIC ANNOTATION EARTH MARK" },
  { 12703, "IDEOGRAPHIC ANNOTATION MAN MARK" },
  { 12704, "BOPOMOFO LETTER BU" },
  { 12705, "BOPOMOFO LETTER ZI" },
  { 12706, "BOPOMOFO LETTER JI" },
  { 12707, "BOPOMOFO LETTER GU" },
  { 12708, "BOPOMOFO LETTER EE" },
  { 12709, "BOPOMOFO LETTER ENN" },
  { 12710, "BOPOMOFO LETTER OO" },
  { 12711, "BOPOMOFO LETTER ONN" },
  { 12712, "BOPOMOFO LETTER IR" },
  { 12713, "BOPOMOFO LETTER ANN" },
  { 12714, "BOPOMOFO LETTER INN" },
  { 12715, "BOPOMOFO LETTER UNN" },
  { 12716, "BOPOMOFO LETTER IM" },
  { 12717, "BOPOMOFO LETTER NGG" },
  { 12718, "BOPOMOFO LETTER AINN" },
  { 12719, "BOPOMOFO LETTER AUNN" },
  { 12720, "BOPOMOFO LETTER AM" },
  { 12721, "BOPOMOFO LETTER OM" },
  { 12722, "BOPOMOFO LETTER ONG" },
  { 12723, "BOPOMOFO LETTER INNN" },
  { 12724, "BOPOMOFO FINAL LETTER P" },
  { 12725, "BOPOMOFO FINAL LETTER T" },
  { 12726, "BOPOMOFO FINAL LETTER K" },
  { 12727, "BOPOMOFO FINAL LETTER H" },
  { 12736, "CJK STROKE T" },
  { 12737, "CJK STROKE WG" },
  { 12738, "CJK STROKE XG" },
  { 12739, "CJK STROKE BXG" },
  { 12740, "CJK STROKE SW" },
  { 12741, "CJK STROKE HZZ" },
  { 12742, "CJK STROKE HZG" },
  { 12743, "CJK STROKE HP" },
  { 12744, "CJK STROKE HZWG" },
  { 12745, "CJK STROKE SZWG" },
  { 12746, "CJK STROKE HZT" },
  { 12747, "CJK STROKE HZZP" },
  { 12748, "CJK STROKE HPWG" },
  { 12749, "CJK STROKE HZW" },
  { 12750, "CJK STROKE HZZZ" },
  { 12751, "CJK STROKE N" },
  { 12752, "CJK STROKE H" },
  { 12753, "CJK STROKE S" },
  { 12754, "CJK STROKE P" },
  { 12755, "CJK STROKE SP" },
  { 12756, "CJK STROKE D" },
  { 12757, "CJK STROKE HZ" },
  { 12758, "CJK STROKE HG" },
  { 12759, "CJK STROKE SZ" },
  { 12760, "CJK STROKE SWZ" },
  { 12761, "CJK STROKE ST" },
  { 12762, "CJK STROKE SG" },
  { 12763, "CJK STROKE PD" },
  { 12764, "CJK STROKE PZ" },
  { 12765, "CJK STROKE TN" },
  { 12766, "CJK STROKE SZZ" },
  { 12767, "CJK STROKE SWG" },
  { 12768, "CJK STROKE HXWG" },
  { 12769, "CJK STROKE HZZZG" },
  { 12770, "CJK STROKE PG" },
  { 12771, "CJK STROKE Q" },
  { 12784, "KATAKANA LETTER SMALL KU" },
  { 12785, "KATAKANA LETTER SMALL SI" },
  { 12786, "KATAKANA LETTER SMALL SU" },
  { 12787, "KATAKANA LETTER SMALL TO" },
  { 12788, "KATAKANA LETTER SMALL NU" },
  { 12789, "KATAKANA LETTER SMALL HA" },
  { 12790, "KATAKANA LETTER SMALL HI" },
  { 12791, "KATAKANA LETTER SMALL HU" },
  { 12792, "KATAKANA LETTER SMALL HE" },
  { 12793, "KATAKANA LETTER SMALL HO" },
  { 12794, "KATAKANA LETTER SMALL MU" },
  { 12795, "KATAKANA LETTER SMALL RA" },
  { 12796, "KATAKANA LETTER SMALL RI" },
  { 12797, "KATAKANA LETTER SMALL RU" },
  { 12798, "KATAKANA LETTER SMALL RE" },
  { 12799, "KATAKANA LETTER SMALL RO" },
  { 12800, "PARENTHESIZED HANGUL KIYEOK" },
  { 12801, "PARENTHESIZED HANGUL NIEUN" },
  { 12802, "PARENTHESIZED HANGUL TIKEUT" },
  { 12803, "PARENTHESIZED HANGUL RIEUL" },
  { 12804, "PARENTHESIZED HANGUL MIEUM" },
  { 12805, "PARENTHESIZED HANGUL PIEUP" },
  { 12806, "PARENTHESIZED HANGUL SIOS" },
  { 12807, "PARENTHESIZED HANGUL IEUNG" },
  { 12808, "PARENTHESIZED HANGUL CIEUC" },
  { 12809, "PARENTHESIZED HANGUL CHIEUCH" },
  { 12810, "PARENTHESIZED HANGUL KHIEUKH" },
  { 12811, "PARENTHESIZED HANGUL THIEUTH" },
  { 12812, "PARENTHESIZED HANGUL PHIEUPH" },
  { 12813, "PARENTHESIZED HANGUL HIEUH" },
  { 12814, "PARENTHESIZED HANGUL KIYEOK A" },
  { 12815, "PARENTHESIZED HANGUL NIEUN A" },
  { 12816, "PARENTHESIZED HANGUL TIKEUT A" },
  { 12817, "PARENTHESIZED HANGUL RIEUL A" },
  { 12818, "PARENTHESIZED HANGUL MIEUM A" },
  { 12819, "PARENTHESIZED HANGUL PIEUP A" },
  { 12820, "PARENTHESIZED HANGUL SIOS A" },
  { 12821, "PARENTHESIZED HANGUL IEUNG A" },
  { 12822, "PARENTHESIZED HANGUL CIEUC A" },
  { 12823, "PARENTHESIZED HANGUL CHIEUCH A" },
  { 12824, "PARENTHESIZED HANGUL KHIEUKH A" },
  { 12825, "PARENTHESIZED HANGUL THIEUTH A" },
  { 12826, "PARENTHESIZED HANGUL PHIEUPH A" },
  { 12827, "PARENTHESIZED HANGUL HIEUH A" },
  { 12828, "PARENTHESIZED HANGUL CIEUC U" },
  { 12829, "PARENTHESIZED KOREAN CHARACTER OJEON" },
  { 12830, "PARENTHESIZED KOREAN CHARACTER O HU" },
  { 12832, "PARENTHESIZED IDEOGRAPH ONE" },
  { 12833, "PARENTHESIZED IDEOGRAPH TWO" },
  { 12834, "PARENTHESIZED IDEOGRAPH THREE" },
  { 12835, "PARENTHESIZED IDEOGRAPH FOUR" },
  { 12836, "PARENTHESIZED IDEOGRAPH FIVE" },
  { 12837, "PARENTHESIZED IDEOGRAPH SIX" },
  { 12838, "PARENTHESIZED IDEOGRAPH SEVEN" },
  { 12839, "PARENTHESIZED IDEOGRAPH EIGHT" },
  { 12840, "PARENTHESIZED IDEOGRAPH NINE" },
  { 12841, "PARENTHESIZED IDEOGRAPH TEN" },
  { 12842, "PARENTHESIZED IDEOGRAPH MOON" },
  { 12843, "PARENTHESIZED IDEOGRAPH FIRE" },
  { 12844, "PARENTHESIZED IDEOGRAPH WATER" },
  { 12845, "PARENTHESIZED IDEOGRAPH WOOD" },
  { 12846, "PARENTHESIZED IDEOGRAPH METAL" },
  { 12847, "PARENTHESIZED IDEOGRAPH EARTH" },
  { 12848, "PARENTHESIZED IDEOGRAPH SUN" },
  { 12849, "PARENTHESIZED IDEOGRAPH STOCK" },
  { 12850, "PARENTHESIZED IDEOGRAPH HAVE" },
  { 12851, "PARENTHESIZED IDEOGRAPH SOCIETY" },
  { 12852, "PARENTHESIZED IDEOGRAPH NAME" },
  { 12853, "PARENTHESIZED IDEOGRAPH SPECIAL" },
  { 12854, "PARENTHESIZED IDEOGRAPH FINANCIAL" },
  { 12855, "PARENTHESIZED IDEOGRAPH CONGRATULATION" },
  { 12856, "PARENTHESIZED IDEOGRAPH LABOR" },
  { 12857, "PARENTHESIZED IDEOGRAPH REPRESENT" },
  { 12858, "PARENTHESIZED IDEOGRAPH CALL" },
  { 12859, "PARENTHESIZED IDEOGRAPH STUDY" },
  { 12860, "PARENTHESIZED IDEOGRAPH SUPERVISE" },
  { 12861, "PARENTHESIZED IDEOGRAPH ENTERPRISE" },
  { 12862, "PARENTHESIZED IDEOGRAPH RESOURCE" },
  { 12863, "PARENTHESIZED IDEOGRAPH ALLIANCE" },
  { 12864, "PARENTHESIZED IDEOGRAPH FESTIVAL" },
  { 12865, "PARENTHESIZED IDEOGRAPH REST" },
  { 12866, "PARENTHESIZED IDEOGRAPH SELF" },
  { 12867, "PARENTHESIZED IDEOGRAPH REACH" },
  { 12880, "PARTNERSHIP SIGN" },
  { 12881, "CIRCLED NUMBER TWENTY ONE" },
  { 12882, "CIRCLED NUMBER TWENTY TWO" },
  { 12883, "CIRCLED NUMBER TWENTY THREE" },
  { 12884, "CIRCLED NUMBER TWENTY FOUR" },
  { 12885, "CIRCLED NUMBER TWENTY FIVE" },
  { 12886, "CIRCLED NUMBER TWENTY SIX" },
  { 12887, "CIRCLED NUMBER TWENTY SEVEN" },
  { 12888, "CIRCLED NUMBER TWENTY EIGHT" },
  { 12889, "CIRCLED NUMBER TWENTY NINE" },
  { 12890, "CIRCLED NUMBER THIRTY" },
  { 12891, "CIRCLED NUMBER THIRTY ONE" },
  { 12892, "CIRCLED NUMBER THIRTY TWO" },
  { 12893, "CIRCLED NUMBER THIRTY THREE" },
  { 12894, "CIRCLED NUMBER THIRTY FOUR" },
  { 12895, "CIRCLED NUMBER THIRTY FIVE" },
  { 12896, "CIRCLED HANGUL KIYEOK" },
  { 12897, "CIRCLED HANGUL NIEUN" },
  { 12898, "CIRCLED HANGUL TIKEUT" },
  { 12899, "CIRCLED HANGUL RIEUL" },
  { 12900, "CIRCLED HANGUL MIEUM" },
  { 12901, "CIRCLED HANGUL PIEUP" },
  { 12902, "CIRCLED HANGUL SIOS" },
  { 12903, "CIRCLED HANGUL IEUNG" },
  { 12904, "CIRCLED HANGUL CIEUC" },
  { 12905, "CIRCLED HANGUL CHIEUCH" },
  { 12906, "CIRCLED HANGUL KHIEUKH" },
  { 12907, "CIRCLED HANGUL THIEUTH" },
  { 12908, "CIRCLED HANGUL PHIEUPH" },
  { 12909, "CIRCLED HANGUL HIEUH" },
  { 12910, "CIRCLED HANGUL KIYEOK A" },
  { 12911, "CIRCLED HANGUL NIEUN A" },
  { 12912, "CIRCLED HANGUL TIKEUT A" },
  { 12913, "CIRCLED HANGUL RIEUL A" },
  { 12914, "CIRCLED HANGUL MIEUM A" },
  { 12915, "CIRCLED HANGUL PIEUP A" },
  { 12916, "CIRCLED HANGUL SIOS A" },
  { 12917, "CIRCLED HANGUL IEUNG A" },
  { 12918, "CIRCLED HANGUL CIEUC A" },
  { 12919, "CIRCLED HANGUL CHIEUCH A" },
  { 12920, "CIRCLED HANGUL KHIEUKH A" },
  { 12921, "CIRCLED HANGUL THIEUTH A" },
  { 12922, "CIRCLED HANGUL PHIEUPH A" },
  { 12923, "CIRCLED HANGUL HIEUH A" },
  { 12924, "CIRCLED KOREAN CHARACTER CHAMKO" },
  { 12925, "CIRCLED KOREAN CHARACTER JUEUI" },
  { 12926, "CIRCLED HANGUL IEUNG U" },
  { 12927, "KOREAN STANDARD SYMBOL" },
  { 12928, "CIRCLED IDEOGRAPH ONE" },
  { 12929, "CIRCLED IDEOGRAPH TWO" },
  { 12930, "CIRCLED IDEOGRAPH THREE" },
  { 12931, "CIRCLED IDEOGRAPH FOUR" },
  { 12932, "CIRCLED IDEOGRAPH FIVE" },
  { 12933, "CIRCLED IDEOGRAPH SIX" },
  { 12934, "CIRCLED IDEOGRAPH SEVEN" },
  { 12935, "CIRCLED IDEOGRAPH EIGHT" },
  { 12936, "CIRCLED IDEOGRAPH NINE" },
  { 12937, "CIRCLED IDEOGRAPH TEN" },
  { 12938, "CIRCLED IDEOGRAPH MOON" },
  { 12939, "CIRCLED IDEOGRAPH FIRE" },
  { 12940, "CIRCLED IDEOGRAPH WATER" },
  { 12941, "CIRCLED IDEOGRAPH WOOD" },
  { 12942, "CIRCLED IDEOGRAPH METAL" },
  { 12943, "CIRCLED IDEOGRAPH EARTH" },
  { 12944, "CIRCLED IDEOGRAPH SUN" },
  { 12945, "CIRCLED IDEOGRAPH STOCK" },
  { 12946, "CIRCLED IDEOGRAPH HAVE" },
  { 12947, "CIRCLED IDEOGRAPH SOCIETY" },
  { 12948, "CIRCLED IDEOGRAPH NAME" },
  { 12949, "CIRCLED IDEOGRAPH SPECIAL" },
  { 12950, "CIRCLED IDEOGRAPH FINANCIAL" },
  { 12951, "CIRCLED IDEOGRAPH CONGRATULATION" },
  { 12952, "CIRCLED IDEOGRAPH LABOR" },
  { 12953, "CIRCLED IDEOGRAPH SECRET" },
  { 12954, "CIRCLED IDEOGRAPH MALE" },
  { 12955, "CIRCLED IDEOGRAPH FEMALE" },
  { 12956, "CIRCLED IDEOGRAPH SUITABLE" },
  { 12957, "CIRCLED IDEOGRAPH EXCELLENT" },
  { 12958, "CIRCLED IDEOGRAPH PRINT" },
  { 12959, "CIRCLED IDEOGRAPH ATTENTION" },
  { 12960, "CIRCLED IDEOGRAPH ITEM" },
  { 12961, "CIRCLED IDEOGRAPH REST" },
  { 12962, "CIRCLED IDEOGRAPH COPY" },
  { 12963, "CIRCLED IDEOGRAPH CORRECT" },
  { 12964, "CIRCLED IDEOGRAPH HIGH" },
  { 12965, "CIRCLED IDEOGRAPH CENTRE" },
  { 12966, "CIRCLED IDEOGRAPH LOW" },
  { 12967, "CIRCLED IDEOGRAPH LEFT" },
  { 12968, "CIRCLED IDEOGRAPH RIGHT" },
  { 12969, "CIRCLED IDEOGRAPH MEDICINE" },
  { 12970, "CIRCLED IDEOGRAPH RELIGION" },
  { 12971, "CIRCLED IDEOGRAPH STUDY" },
  { 12972, "CIRCLED IDEOGRAPH SUPERVISE" },
  { 12973, "CIRCLED IDEOGRAPH ENTERPRISE" },
  { 12974, "CIRCLED IDEOGRAPH RESOURCE" },
  { 12975, "CIRCLED IDEOGRAPH ALLIANCE" },
  { 12976, "CIRCLED IDEOGRAPH NIGHT" },
  { 12977, "CIRCLED NUMBER THIRTY SIX" },
  { 12978, "CIRCLED NUMBER THIRTY SEVEN" },
  { 12979, "CIRCLED NUMBER THIRTY EIGHT" },
  { 12980, "CIRCLED NUMBER THIRTY NINE" },
  { 12981, "CIRCLED NUMBER FORTY" },
  { 12982, "CIRCLED NUMBER FORTY ONE" },
  { 12983, "CIRCLED NUMBER FORTY TWO" },
  { 12984, "CIRCLED NUMBER FORTY THREE" },
  { 12985, "CIRCLED NUMBER FORTY FOUR" },
  { 12986, "CIRCLED NUMBER FORTY FIVE" },
  { 12987, "CIRCLED NUMBER FORTY SIX" },
  { 12988, "CIRCLED NUMBER FORTY SEVEN" },
  { 12989, "CIRCLED NUMBER FORTY EIGHT" },
  { 12990, "CIRCLED NUMBER FORTY NINE" },
  { 12991, "CIRCLED NUMBER FIFTY" },
  { 12992, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY" },
  { 12993, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR FEBRUARY" },
  { 12994, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR MARCH" },
  { 12995, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR APRIL" },
  { 12996, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR MAY" },
  { 12997, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR JUNE" },
  { 12998, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY" },
  { 12999, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR AUGUST" },
  { 13000, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR SEPTEMBER" },
  { 13001, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR OCTOBER" },
  { 13002, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR NOVEMBER" },
  { 13003, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER" },
  { 13004, "SQUARE HG" },
  { 13005, "SQUARE ERG" },
  { 13006, "SQUARE EV" },
  { 13007, "LIMITED LIABILITY SIGN" },
  { 13008, "CIRCLED KATAKANA A" },
  { 13009, "CIRCLED KATAKANA I" },
  { 13010, "CIRCLED KATAKANA U" },
  { 13011, "CIRCLED KATAKANA E" },
  { 13012, "CIRCLED KATAKANA O" },
  { 13013, "CIRCLED KATAKANA KA" },
  { 13014, "CIRCLED KATAKANA KI" },
  { 13015, "CIRCLED KATAKANA KU" },
  { 13016, "CIRCLED KATAKANA KE" },
  { 13017, "CIRCLED KATAKANA KO" },
  { 13018, "CIRCLED KATAKANA SA" },
  { 13019, "CIRCLED KATAKANA SI" },
  { 13020, "CIRCLED KATAKANA SU" },
  { 13021, "CIRCLED KATAKANA SE" },
  { 13022, "CIRCLED KATAKANA SO" },
  { 13023, "CIRCLED KATAKANA TA" },
  { 13024, "CIRCLED KATAKANA TI" },
  { 13025, "CIRCLED KATAKANA TU" },
  { 13026, "CIRCLED KATAKANA TE" },
  { 13027, "CIRCLED KATAKANA TO" },
  { 13028, "CIRCLED KATAKANA NA" },
  { 13029, "CIRCLED KATAKANA NI" },
  { 13030, "CIRCLED KATAKANA NU" },
  { 13031, "CIRCLED KATAKANA NE" },
  { 13032, "CIRCLED KATAKANA NO" },
  { 13033, "CIRCLED KATAKANA HA" },
  { 13034, "CIRCLED KATAKANA HI" },
  { 13035, "CIRCLED KATAKANA HU" },
  { 13036, "CIRCLED KATAKANA HE" },
  { 13037, "CIRCLED KATAKANA HO" },
  { 13038, "CIRCLED KATAKANA MA" },
  { 13039, "CIRCLED KATAKANA MI" },
  { 13040, "CIRCLED KATAKANA MU" },
  { 13041, "CIRCLED KATAKANA ME" },
  { 13042, "CIRCLED KATAKANA MO" },
  { 13043, "CIRCLED KATAKANA YA" },
  { 13044, "CIRCLED KATAKANA YU" },
  { 13045, "CIRCLED KATAKANA YO" },
  { 13046, "CIRCLED KATAKANA RA" },
  { 13047, "CIRCLED KATAKANA RI" },
  { 13048, "CIRCLED KATAKANA RU" },
  { 13049, "CIRCLED KATAKANA RE" },
  { 13050, "CIRCLED KATAKANA RO" },
  { 13051, "CIRCLED KATAKANA WA" },
  { 13052, "CIRCLED KATAKANA WI" },
  { 13053, "CIRCLED KATAKANA WE" },
  { 13054, "CIRCLED KATAKANA WO" },
  { 13056, "SQUARE APAATO" },
  { 13057, "SQUARE ARUHUA" },
  { 13058, "SQUARE ANPEA" },
  { 13059, "SQUARE AARU" },
  { 13060, "SQUARE ININGU" },
  { 13061, "SQUARE INTI" },
  { 13062, "SQUARE UON" },
  { 13063, "SQUARE ESUKUUDO" },
  { 13064, "SQUARE EEKAA" },
  { 13065, "SQUARE ONSU" },
  { 13066, "SQUARE OOMU" },
  { 13067, "SQUARE KAIRI" },
  { 13068, "SQUARE KARATTO" },
  { 13069, "SQUARE KARORII" },
  { 13070, "SQUARE GARON" },
  { 13071, "SQUARE GANMA" },
  { 13072, "SQUARE GIGA" },
  { 13073, "SQUARE GINII" },
  { 13074, "SQUARE KYURII" },
  { 13075, "SQUARE GIRUDAA" },
  { 13076, "SQUARE KIRO" },
  { 13077, "SQUARE KIROGURAMU" },
  { 13078, "SQUARE KIROMEETORU" },
  { 13079, "SQUARE KIROWATTO" },
  { 13080, "SQUARE GURAMU" },
  { 13081, "SQUARE GURAMUTON" },
  { 13082, "SQUARE KURUZEIRO" },
  { 13083, "SQUARE KUROONE" },
  { 13084, "SQUARE KEESU" },
  { 13085, "SQUARE KORUNA" },
  { 13086, "SQUARE KOOPO" },
  { 13087, "SQUARE SAIKURU" },
  { 13088, "SQUARE SANTIIMU" },
  { 13089, "SQUARE SIRINGU" },
  { 13090, "SQUARE SENTI" },
  { 13091, "SQUARE SENTO" },
  { 13092, "SQUARE DAASU" },
  { 13093, "SQUARE DESI" },
  { 13094, "SQUARE DORU" },
  { 13095, "SQUARE TON" },
  { 13096, "SQUARE NANO" },
  { 13097, "SQUARE NOTTO" },
  { 13098, "SQUARE HAITU" },
  { 13099, "SQUARE PAASENTO" },
  { 13100, "SQUARE PAATU" },
  { 13101, "SQUARE BAARERU" },
  { 13102, "SQUARE PIASUTORU" },
  { 13103, "SQUARE PIKURU" },
  { 13104, "SQUARE PIKO" },
  { 13105, "SQUARE BIRU" },
  { 13106, "SQUARE HUARADDO" },
  { 13107, "SQUARE HUIITO" },
  { 13108, "SQUARE BUSSYERU" },
  { 13109, "SQUARE HURAN" },
  { 13110, "SQUARE HEKUTAARU" },
  { 13111, "SQUARE PESO" },
  { 13112, "SQUARE PENIHI" },
  { 13113, "SQUARE HERUTU" },
  { 13114, "SQUARE PENSU" },
  { 13115, "SQUARE PEEZI" },
  { 13116, "SQUARE BEETA" },
  { 13117, "SQUARE POINTO" },
  { 13118, "SQUARE BORUTO" },
  { 13119, "SQUARE HON" },
  { 13120, "SQUARE PONDO" },
  { 13121, "SQUARE HOORU" },
  { 13122, "SQUARE HOON" },
  { 13123, "SQUARE MAIKURO" },
  { 13124, "SQUARE MAIRU" },
  { 13125, "SQUARE MAHHA" },
  { 13126, "SQUARE MARUKU" },
  { 13127, "SQUARE MANSYON" },
  { 13128, "SQUARE MIKURON" },
  { 13129, "SQUARE MIRI" },
  { 13130, "SQUARE MIRIBAARU" },
  { 13131, "SQUARE MEGA" },
  { 13132, "SQUARE MEGATON" },
  { 13133, "SQUARE MEETORU" },
  { 13134, "SQUARE YAADO" },
  { 13135, "SQUARE YAARU" },
  { 13136, "SQUARE YUAN" },
  { 13137, "SQUARE RITTORU" },
  { 13138, "SQUARE RIRA" },
  { 13139, "SQUARE RUPII" },
  { 13140, "SQUARE RUUBURU" },
  { 13141, "SQUARE REMU" },
  { 13142, "SQUARE RENTOGEN" },
  { 13143, "SQUARE WATTO" },
  { 13144, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO" },
  { 13145, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE" },
  { 13146, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWO" },
  { 13147, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THREE" },
  { 13148, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOUR" },
  { 13149, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIVE" },
  { 13150, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIX" },
  { 13151, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN" },
  { 13152, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHT" },
  { 13153, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE" },
  { 13154, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TEN" },
  { 13155, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ELEVEN" },
  { 13156, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWELVE" },
  { 13157, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THIRTEEN" },
  { 13158, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN" },
  { 13159, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIFTEEN" },
  { 13160, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIXTEEN" },
  { 13161, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVENTEEN" },
  { 13162, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHTEEN" },
  { 13163, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINETEEN" },
  { 13164, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY" },
  { 13165, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE" },
  { 13166, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-TWO" },
  { 13167, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-THREE" },
  { 13168, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR" },
  { 13169, "SQUARE HPA" },
  { 13170, "SQUARE DA" },
  { 13171, "SQUARE AU" },
  { 13172, "SQUARE BAR" },
  { 13173, "SQUARE OV" },
  { 13174, "SQUARE PC" },
  { 13175, "SQUARE DM" },
  { 13176, "SQUARE DM SQUARED" },
  { 13177, "SQUARE DM CUBED" },
  { 13178, "SQUARE IU" },
  { 13179, "SQUARE ERA NAME HEISEI" },
  { 13180, "SQUARE ERA NAME SYOUWA" },
  { 13181, "SQUARE ERA NAME TAISYOU" },
  { 13182, "SQUARE ERA NAME MEIZI" },
  { 13183, "SQUARE CORPORATION" },
  { 13184, "SQUARE PA AMPS" },
  { 13185, "SQUARE NA" },
  { 13186, "SQUARE MU A" },
  { 13187, "SQUARE MA" },
  { 13188, "SQUARE KA" },
  { 13189, "SQUARE KB" },
  { 13190, "SQUARE MB" },
  { 13191, "SQUARE GB" },
  { 13192, "SQUARE CAL" },
  { 13193, "SQUARE KCAL" },
  { 13194, "SQUARE PF" },
  { 13195, "SQUARE NF" },
  { 13196, "SQUARE MU F" },
  { 13197, "SQUARE MU G" },
  { 13198, "SQUARE MG" },
  { 13199, "SQUARE KG" },
  { 13200, "SQUARE HZ" },
  { 13201, "SQUARE KHZ" },
  { 13202, "SQUARE MHZ" },
  { 13203, "SQUARE GHZ" },
  { 13204, "SQUARE THZ" },
  { 13205, "SQUARE MU L" },
  { 13206, "SQUARE ML" },
  { 13207, "SQUARE DL" },
  { 13208, "SQUARE KL" },
  { 13209, "SQUARE FM" },
  { 13210, "SQUARE NM" },
  { 13211, "SQUARE MU M" },
  { 13212, "SQUARE MM" },
  { 13213, "SQUARE CM" },
  { 13214, "SQUARE KM" },
  { 13215, "SQUARE MM SQUARED" },
  { 13216, "SQUARE CM SQUARED" },
  { 13217, "SQUARE M SQUARED" },
  { 13218, "SQUARE KM SQUARED" },
  { 13219, "SQUARE MM CUBED" },
  { 13220, "SQUARE CM CUBED" },
  { 13221, "SQUARE M CUBED" },
  { 13222, "SQUARE KM CUBED" },
  { 13223, "SQUARE M OVER S" },
  { 13224, "SQUARE M OVER S SQUARED" },
  { 13225, "SQUARE PA" },
  { 13226, "SQUARE KPA" },
  { 13227, "SQUARE MPA" },
  { 13228, "SQUARE GPA" },
  { 13229, "SQUARE RAD" },
  { 13230, "SQUARE RAD OVER S" },
  { 13231, "SQUARE RAD OVER S SQUARED" },
  { 13232, "SQUARE PS" },
  { 13233, "SQUARE NS" },
  { 13234, "SQUARE MU S" },
  { 13235, "SQUARE MS" },
  { 13236, "SQUARE PV" },
  { 13237, "SQUARE NV" },
  { 13238, "SQUARE MU V" },
  { 13239, "SQUARE MV" },
  { 13240, "SQUARE KV" },
  { 13241, "SQUARE MV MEGA" },
  { 13242, "SQUARE PW" },
  { 13243, "SQUARE NW" },
  { 13244, "SQUARE MU W" },
  { 13245, "SQUARE MW" },
  { 13246, "SQUARE KW" },
  { 13247, "SQUARE MW MEGA" },
  { 13248, "SQUARE K OHM" },
  { 13249, "SQUARE M OHM" },
  { 13250, "SQUARE AM" },
  { 13251, "SQUARE BQ" },
  { 13252, "SQUARE CC" },
  { 13253, "SQUARE CD" },
  { 13254, "SQUARE C OVER KG" },
  { 13255, "SQUARE CO" },
  { 13256, "SQUARE DB" },
  { 13257, "SQUARE GY" },
  { 13258, "SQUARE HA" },
  { 13259, "SQUARE HP" },
  { 13260, "SQUARE IN" },
  { 13261, "SQUARE KK" },
  { 13262, "SQUARE KM CAPITAL" },
  { 13263, "SQUARE KT" },
  { 13264, "SQUARE LM" },
  { 13265, "SQUARE LN" },
  { 13266, "SQUARE LOG" },
  { 13267, "SQUARE LX" },
  { 13268, "SQUARE MB SMALL" },
  { 13269, "SQUARE MIL" },
  { 13270, "SQUARE MOL" },
  { 13271, "SQUARE PH" },
  { 13272, "SQUARE PM" },
  { 13273, "SQUARE PPM" },
  { 13274, "SQUARE PR" },
  { 13275, "SQUARE SR" },
  { 13276, "SQUARE SV" },
  { 13277, "SQUARE WB" },
  { 13278, "SQUARE V OVER M" },
  { 13279, "SQUARE A OVER M" },
  { 13280, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE" },
  { 13281, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWO" },
  { 13282, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THREE" },
  { 13283, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOUR" },
  { 13284, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE" },
  { 13285, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIX" },
  { 13286, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVEN" },
  { 13287, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHT" },
  { 13288, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINE" },
  { 13289, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TEN" },
  { 13290, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ELEVEN" },
  { 13291, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWELVE" },
  { 13292, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTEEN" },
  { 13293, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOURTEEN" },
  { 13294, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN" },
  { 13295, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIXTEEN" },
  { 13296, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN" },
  { 13297, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHTEEN" },
  { 13298, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN" },
  { 13299, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY" },
  { 13300, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-ONE" },
  { 13301, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-TWO" },
  { 13302, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-THREE" },
  { 13303, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FOUR" },
  { 13304, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FIVE" },
  { 13305, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SIX" },
  { 13306, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SEVEN" },
  { 13307, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-EIGHT" },
  { 13308, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-NINE" },
  { 13309, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY" },
  { 13310, "IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE" },
  { 13311, "SQUARE GAL" },
  { 13312, "<CJK Ideograph Extension A, First>" },
  { 19893, "<CJK Ideograph Extension A, Last>" },
  { 19904, "HEXAGRAM FOR THE CREATIVE HEAVEN" },
  { 19905, "HEXAGRAM FOR THE RECEPTIVE EARTH" },
  { 19906, "HEXAGRAM FOR DIFFICULTY AT THE BEGINNING" },
  { 19907, "HEXAGRAM FOR YOUTHFUL FOLLY" },
  { 19908, "HEXAGRAM FOR WAITING" },
  { 19909, "HEXAGRAM FOR CONFLICT" },
  { 19910, "HEXAGRAM FOR THE ARMY" },
  { 19911, "HEXAGRAM FOR HOLDING TOGETHER" },
  { 19912, "HEXAGRAM FOR SMALL TAMING" },
  { 19913, "HEXAGRAM FOR TREADING" },
  { 19914, "HEXAGRAM FOR PEACE" },
  { 19915, "HEXAGRAM FOR STANDSTILL" },
  { 19916, "HEXAGRAM FOR FELLOWSHIP" },
  { 19917, "HEXAGRAM FOR GREAT POSSESSION" },
  { 19918, "HEXAGRAM FOR MODESTY" },
  { 19919, "HEXAGRAM FOR ENTHUSIASM" },
  { 19920, "HEXAGRAM FOR FOLLOWING" },
  { 19921, "HEXAGRAM FOR WORK ON THE DECAYED" },
  { 19922, "HEXAGRAM FOR APPROACH" },
  { 19923, "HEXAGRAM FOR CONTEMPLATION" },
  { 19924, "HEXAGRAM FOR BITING THROUGH" },
  { 19925, "HEXAGRAM FOR GRACE" },
  { 19926, "HEXAGRAM FOR SPLITTING APART" },
  { 19927, "HEXAGRAM FOR RETURN" },
  { 19928, "HEXAGRAM FOR INNOCENCE" },
  { 19929, "HEXAGRAM FOR GREAT TAMING" },
  { 19930, "HEXAGRAM FOR MOUTH CORNERS" },
  { 19931, "HEXAGRAM FOR GREAT PREPONDERANCE" },
  { 19932, "HEXAGRAM FOR THE ABYSMAL WATER" },
  { 19933, "HEXAGRAM FOR THE CLINGING FIRE" },
  { 19934, "HEXAGRAM FOR INFLUENCE" },
  { 19935, "HEXAGRAM FOR DURATION" },
  { 19936, "HEXAGRAM FOR RETREAT" },
  { 19937, "HEXAGRAM FOR GREAT POWER" },
  { 19938, "HEXAGRAM FOR PROGRESS" },
  { 19939, "HEXAGRAM FOR DARKENING OF THE LIGHT" },
  { 19940, "HEXAGRAM FOR THE FAMILY" },
  { 19941, "HEXAGRAM FOR OPPOSITION" },
  { 19942, "HEXAGRAM FOR OBSTRUCTION" },
  { 19943, "HEXAGRAM FOR DELIVERANCE" },
  { 19944, "HEXAGRAM FOR DECREASE" },
  { 19945, "HEXAGRAM FOR INCREASE" },
  { 19946, "HEXAGRAM FOR BREAKTHROUGH" },
  { 19947, "HEXAGRAM FOR COMING TO MEET" },
  { 19948, "HEXAGRAM FOR GATHERING TOGETHER" },
  { 19949, "HEXAGRAM FOR PUSHING UPWARD" },
  { 19950, "HEXAGRAM FOR OPPRESSION" },
  { 19951, "HEXAGRAM FOR THE WELL" },
  { 19952, "HEXAGRAM FOR REVOLUTION" },
  { 19953, "HEXAGRAM FOR THE CAULDRON" },
  { 19954, "HEXAGRAM FOR THE AROUSING THUNDER" },
  { 19955, "HEXAGRAM FOR THE KEEPING STILL MOUNTAIN" },
  { 19956, "HEXAGRAM FOR DEVELOPMENT" },
  { 19957, "HEXAGRAM FOR THE MARRYING MAIDEN" },
  { 19958, "HEXAGRAM FOR ABUNDANCE" },
  { 19959, "HEXAGRAM FOR THE WANDERER" },
  { 19960, "HEXAGRAM FOR THE GENTLE WIND" },
  { 19961, "HEXAGRAM FOR THE JOYOUS LAKE" },
  { 19962, "HEXAGRAM FOR DISPERSION" },
  { 19963, "HEXAGRAM FOR LIMITATION" },
  { 19964, "HEXAGRAM FOR INNER TRUTH" },
  { 19965, "HEXAGRAM FOR SMALL PREPONDERANCE" },
  { 19966, "HEXAGRAM FOR AFTER COMPLETION" },
  { 19967, "HEXAGRAM FOR BEFORE COMPLETION" },
  { 19968, "<CJK Ideograph, First>" },
  { 40899, "<CJK Ideograph, Last>" },
  { 40960, "YI SYLLABLE IT" },
  { 40961, "YI SYLLABLE IX" },
  { 40962, "YI SYLLABLE I" },
  { 40963, "YI SYLLABLE IP" },
  { 40964, "YI SYLLABLE IET" },
  { 40965, "YI SYLLABLE IEX" },
  { 40966, "YI SYLLABLE IE" },
  { 40967, "YI SYLLABLE IEP" },
  { 40968, "YI SYLLABLE AT" },
  { 40969, "YI SYLLABLE AX" },
  { 40970, "YI SYLLABLE A" },
  { 40971, "YI SYLLABLE AP" },
  { 40972, "YI SYLLABLE UOX" },
  { 40973, "YI SYLLABLE UO" },
  { 40974, "YI SYLLABLE UOP" },
  { 40975, "YI SYLLABLE OT" },
  { 40976, "YI SYLLABLE OX" },
  { 40977, "YI SYLLABLE O" },
  { 40978, "YI SYLLABLE OP" },
  { 40979, "YI SYLLABLE EX" },
  { 40980, "YI SYLLABLE E" },
  { 40981, "YI SYLLABLE WU" },
  { 40982, "YI SYLLABLE BIT" },
  { 40983, "YI SYLLABLE BIX" },
  { 40984, "YI SYLLABLE BI" },
  { 40985, "YI SYLLABLE BIP" },
  { 40986, "YI SYLLABLE BIET" },
  { 40987, "YI SYLLABLE BIEX" },
  { 40988, "YI SYLLABLE BIE" },
  { 40989, "YI SYLLABLE BIEP" },
  { 40990, "YI SYLLABLE BAT" },
  { 40991, "YI SYLLABLE BAX" },
  { 40992, "YI SYLLABLE BA" },
  { 40993, "YI SYLLABLE BAP" },
  { 40994, "YI SYLLABLE BUOX" },
  { 40995, "YI SYLLABLE BUO" },
  { 40996, "YI SYLLABLE BUOP" },
  { 40997, "YI SYLLABLE BOT" },
  { 40998, "YI SYLLABLE BOX" },
  { 40999, "YI SYLLABLE BO" },
  { 41000, "YI SYLLABLE BOP" },
  { 41001, "YI SYLLABLE BEX" },
  { 41002, "YI SYLLABLE BE" },
  { 41003, "YI SYLLABLE BEP" },
  { 41004, "YI SYLLABLE BUT" },
  { 41005, "YI SYLLABLE BUX" },
  { 41006, "YI SYLLABLE BU" },
  { 41007, "YI SYLLABLE BUP" },
  { 41008, "YI SYLLABLE BURX" },
  { 41009, "YI SYLLABLE BUR" },
  { 41010, "YI SYLLABLE BYT" },
  { 41011, "YI SYLLABLE BYX" },
  { 41012, "YI SYLLABLE BY" },
  { 41013, "YI SYLLABLE BYP" },
  { 41014, "YI SYLLABLE BYRX" },
  { 41015, "YI SYLLABLE BYR" },
  { 41016, "YI SYLLABLE PIT" },
  { 41017, "YI SYLLABLE PIX" },
  { 41018, "YI SYLLABLE PI" },
  { 41019, "YI SYLLABLE PIP" },
  { 41020, "YI SYLLABLE PIEX" },
  { 41021, "YI SYLLABLE PIE" },
  { 41022, "YI SYLLABLE PIEP" },
  { 41023, "YI SYLLABLE PAT" },
  { 41024, "YI SYLLABLE PAX" },
  { 41025, "YI SYLLABLE PA" },
  { 41026, "YI SYLLABLE PAP" },
  { 41027, "YI SYLLABLE PUOX" },
  { 41028, "YI SYLLABLE PUO" },
  { 41029, "YI SYLLABLE PUOP" },
  { 41030, "YI SYLLABLE POT" },
  { 41031, "YI SYLLABLE POX" },
  { 41032, "YI SYLLABLE PO" },
  { 41033, "YI SYLLABLE POP" },
  { 41034, "YI SYLLABLE PUT" },
  { 41035, "YI SYLLABLE PUX" },
  { 41036, "YI SYLLABLE PU" },
  { 41037, "YI SYLLABLE PUP" },
  { 41038, "YI SYLLABLE PURX" },
  { 41039, "YI SYLLABLE PUR" },
  { 41040, "YI SYLLABLE PYT" },
  { 41041, "YI SYLLABLE PYX" },
  { 41042, "YI SYLLABLE PY" },
  { 41043, "YI SYLLABLE PYP" },
  { 41044, "YI SYLLABLE PYRX" },
  { 41045, "YI SYLLABLE PYR" },
  { 41046, "YI SYLLABLE BBIT" },
  { 41047, "YI SYLLABLE BBIX" },
  { 41048, "YI SYLLABLE BBI" },
  { 41049, "YI SYLLABLE BBIP" },
  { 41050, "YI SYLLABLE BBIET" },
  { 41051, "YI SYLLABLE BBIEX" },
  { 41052, "YI SYLLABLE BBIE" },
  { 41053, "YI SYLLABLE BBIEP" },
  { 41054, "YI SYLLABLE BBAT" },
  { 41055, "YI SYLLABLE BBAX" },
  { 41056, "YI SYLLABLE BBA" },
  { 41057, "YI SYLLABLE BBAP" },
  { 41058, "YI SYLLABLE BBUOX" },
  { 41059, "YI SYLLABLE BBUO" },
  { 41060, "YI SYLLABLE BBUOP" },
  { 41061, "YI SYLLABLE BBOT" },
  { 41062, "YI SYLLABLE BBOX" },
  { 41063, "YI SYLLABLE BBO" },
  { 41064, "YI SYLLABLE BBOP" },
  { 41065, "YI SYLLABLE BBEX" },
  { 41066, "YI SYLLABLE BBE" },
  { 41067, "YI SYLLABLE BBEP" },
  { 41068, "YI SYLLABLE BBUT" },
  { 41069, "YI SYLLABLE BBUX" },
  { 41070, "YI SYLLABLE BBU" },
  { 41071, "YI SYLLABLE BBUP" },
  { 41072, "YI SYLLABLE BBURX" },
  { 41073, "YI SYLLABLE BBUR" },
  { 41074, "YI SYLLABLE BBYT" },
  { 41075, "YI SYLLABLE BBYX" },
  { 41076, "YI SYLLABLE BBY" },
  { 41077, "YI SYLLABLE BBYP" },
  { 41078, "YI SYLLABLE NBIT" },
  { 41079, "YI SYLLABLE NBIX" },
  { 41080, "YI SYLLABLE NBI" },
  { 41081, "YI SYLLABLE NBIP" },
  { 41082, "YI SYLLABLE NBIEX" },
  { 41083, "YI SYLLABLE NBIE" },
  { 41084, "YI SYLLABLE NBIEP" },
  { 41085, "YI SYLLABLE NBAT" },
  { 41086, "YI SYLLABLE NBAX" },
  { 41087, "YI SYLLABLE NBA" },
  { 41088, "YI SYLLABLE NBAP" },
  { 41089, "YI SYLLABLE NBOT" },
  { 41090, "YI SYLLABLE NBOX" },
  { 41091, "YI SYLLABLE NBO" },
  { 41092, "YI SYLLABLE NBOP" },
  { 41093, "YI SYLLABLE NBUT" },
  { 41094, "YI SYLLABLE NBUX" },
  { 41095, "YI SYLLABLE NBU" },
  { 41096, "YI SYLLABLE NBUP" },
  { 41097, "YI SYLLABLE NBURX" },
  { 41098, "YI SYLLABLE NBUR" },
  { 41099, "YI SYLLABLE NBYT" },
  { 41100, "YI SYLLABLE NBYX" },
  { 41101, "YI SYLLABLE NBY" },
  { 41102, "YI SYLLABLE NBYP" },
  { 41103, "YI SYLLABLE NBYRX" },
  { 41104, "YI SYLLABLE NBYR" },
  { 41105, "YI SYLLABLE HMIT" },
  { 41106, "YI SYLLABLE HMIX" },
  { 41107, "YI SYLLABLE HMI" },
  { 41108, "YI SYLLABLE HMIP" },
  { 41109, "YI SYLLABLE HMIEX" },
  { 41110, "YI SYLLABLE HMIE" },
  { 41111, "YI SYLLABLE HMIEP" },
  { 41112, "YI SYLLABLE HMAT" },
  { 41113, "YI SYLLABLE HMAX" },
  { 41114, "YI SYLLABLE HMA" },
  { 41115, "YI SYLLABLE HMAP" },
  { 41116, "YI SYLLABLE HMUOX" },
  { 41117, "YI SYLLABLE HMUO" },
  { 41118, "YI SYLLABLE HMUOP" },
  { 41119, "YI SYLLABLE HMOT" },
  { 41120, "YI SYLLABLE HMOX" },
  { 41121, "YI SYLLABLE HMO" },
  { 41122, "YI SYLLABLE HMOP" },
  { 41123, "YI SYLLABLE HMUT" },
  { 41124, "YI SYLLABLE HMUX" },
  { 41125, "YI SYLLABLE HMU" },
  { 41126, "YI SYLLABLE HMUP" },
  { 41127, "YI SYLLABLE HMURX" },
  { 41128, "YI SYLLABLE HMUR" },
  { 41129, "YI SYLLABLE HMYX" },
  { 41130, "YI SYLLABLE HMY" },
  { 41131, "YI SYLLABLE HMYP" },
  { 41132, "YI SYLLABLE HMYRX" },
  { 41133, "YI SYLLABLE HMYR" },
  { 41134, "YI SYLLABLE MIT" },
  { 41135, "YI SYLLABLE MIX" },
  { 41136, "YI SYLLABLE MI" },
  { 41137, "YI SYLLABLE MIP" },
  { 41138, "YI SYLLABLE MIEX" },
  { 41139, "YI SYLLABLE MIE" },
  { 41140, "YI SYLLABLE MIEP" },
  { 41141, "YI SYLLABLE MAT" },
  { 41142, "YI SYLLABLE MAX" },
  { 41143, "YI SYLLABLE MA" },
  { 41144, "YI SYLLABLE MAP" },
  { 41145, "YI SYLLABLE MUOT" },
  { 41146, "YI SYLLABLE MUOX" },
  { 41147, "YI SYLLABLE MUO" },
  { 41148, "YI SYLLABLE MUOP" },
  { 41149, "YI SYLLABLE MOT" },
  { 41150, "YI SYLLABLE MOX" },
  { 41151, "YI SYLLABLE MO" },
  { 41152, "YI SYLLABLE MOP" },
  { 41153, "YI SYLLABLE MEX" },
  { 41154, "YI SYLLABLE ME" },
  { 41155, "YI SYLLABLE MUT" },
  { 41156, "YI SYLLABLE MUX" },
  { 41157, "YI SYLLABLE MU" },
  { 41158, "YI SYLLABLE MUP" },
  { 41159, "YI SYLLABLE MURX" },
  { 41160, "YI SYLLABLE MUR" },
  { 41161, "YI SYLLABLE MYT" },
  { 41162, "YI SYLLABLE MYX" },
  { 41163, "YI SYLLABLE MY" },
  { 41164, "YI SYLLABLE MYP" },
  { 41165, "YI SYLLABLE FIT" },
  { 41166, "YI SYLLABLE FIX" },
  { 41167, "YI SYLLABLE FI" },
  { 41168, "YI SYLLABLE FIP" },
  { 41169, "YI SYLLABLE FAT" },
  { 41170, "YI SYLLABLE FAX" },
  { 41171, "YI SYLLABLE FA" },
  { 41172, "YI SYLLABLE FAP" },
  { 41173, "YI SYLLABLE FOX" },
  { 41174, "YI SYLLABLE FO" },
  { 41175, "YI SYLLABLE FOP" },
  { 41176, "YI SYLLABLE FUT" },
  { 41177, "YI SYLLABLE FUX" },
  { 41178, "YI SYLLABLE FU" },
  { 41179, "YI SYLLABLE FUP" },
  { 41180, "YI SYLLABLE FURX" },
  { 41181, "YI SYLLABLE FUR" },
  { 41182, "YI SYLLABLE FYT" },
  { 41183, "YI SYLLABLE FYX" },
  { 41184, "YI SYLLABLE FY" },
  { 41185, "YI SYLLABLE FYP" },
  { 41186, "YI SYLLABLE VIT" },
  { 41187, "YI SYLLABLE VIX" },
  { 41188, "YI SYLLABLE VI" },
  { 41189, "YI SYLLABLE VIP" },
  { 41190, "YI SYLLABLE VIET" },
  { 41191, "YI SYLLABLE VIEX" },
  { 41192, "YI SYLLABLE VIE" },
  { 41193, "YI SYLLABLE VIEP" },
  { 41194, "YI SYLLABLE VAT" },
  { 41195, "YI SYLLABLE VAX" },
  { 41196, "YI SYLLABLE VA" },
  { 41197, "YI SYLLABLE VAP" },
  { 41198, "YI SYLLABLE VOT" },
  { 41199, "YI SYLLABLE VOX" },
  { 41200, "YI SYLLABLE VO" },
  { 41201, "YI SYLLABLE VOP" },
  { 41202, "YI SYLLABLE VEX" },
  { 41203, "YI SYLLABLE VEP" },
  { 41204, "YI SYLLABLE VUT" },
  { 41205, "YI SYLLABLE VUX" },
  { 41206, "YI SYLLABLE VU" },
  { 41207, "YI SYLLABLE VUP" },
  { 41208, "YI SYLLABLE VURX" },
  { 41209, "YI SYLLABLE VUR" },
  { 41210, "YI SYLLABLE VYT" },
  { 41211, "YI SYLLABLE VYX" },
  { 41212, "YI SYLLABLE VY" },
  { 41213, "YI SYLLABLE VYP" },
  { 41214, "YI SYLLABLE VYRX" },
  { 41215, "YI SYLLABLE VYR" },
  { 41216, "YI SYLLABLE DIT" },
  { 41217, "YI SYLLABLE DIX" },
  { 41218, "YI SYLLABLE DI" },
  { 41219, "YI SYLLABLE DIP" },
  { 41220, "YI SYLLABLE DIEX" },
  { 41221, "YI SYLLABLE DIE" },
  { 41222, "YI SYLLABLE DIEP" },
  { 41223, "YI SYLLABLE DAT" },
  { 41224, "YI SYLLABLE DAX" },
  { 41225, "YI SYLLABLE DA" },
  { 41226, "YI SYLLABLE DAP" },
  { 41227, "YI SYLLABLE DUOX" },
  { 41228, "YI SYLLABLE DUO" },
  { 41229, "YI SYLLABLE DOT" },
  { 41230, "YI SYLLABLE DOX" },
  { 41231, "YI SYLLABLE DO" },
  { 41232, "YI SYLLABLE DOP" },
  { 41233, "YI SYLLABLE DEX" },
  { 41234, "YI SYLLABLE DE" },
  { 41235, "YI SYLLABLE DEP" },
  { 41236, "YI SYLLABLE DUT" },
  { 41237, "YI SYLLABLE DUX" },
  { 41238, "YI SYLLABLE DU" },
  { 41239, "YI SYLLABLE DUP" },
  { 41240, "YI SYLLABLE DURX" },
  { 41241, "YI SYLLABLE DUR" },
  { 41242, "YI SYLLABLE TIT" },
  { 41243, "YI SYLLABLE TIX" },
  { 41244, "YI SYLLABLE TI" },
  { 41245, "YI SYLLABLE TIP" },
  { 41246, "YI SYLLABLE TIEX" },
  { 41247, "YI SYLLABLE TIE" },
  { 41248, "YI SYLLABLE TIEP" },
  { 41249, "YI SYLLABLE TAT" },
  { 41250, "YI SYLLABLE TAX" },
  { 41251, "YI SYLLABLE TA" },
  { 41252, "YI SYLLABLE TAP" },
  { 41253, "YI SYLLABLE TUOT" },
  { 41254, "YI SYLLABLE TUOX" },
  { 41255, "YI SYLLABLE TUO" },
  { 41256, "YI SYLLABLE TUOP" },
  { 41257, "YI SYLLABLE TOT" },
  { 41258, "YI SYLLABLE TOX" },
  { 41259, "YI SYLLABLE TO" },
  { 41260, "YI SYLLABLE TOP" },
  { 41261, "YI SYLLABLE TEX" },
  { 41262, "YI SYLLABLE TE" },
  { 41263, "YI SYLLABLE TEP" },
  { 41264, "YI SYLLABLE TUT" },
  { 41265, "YI SYLLABLE TUX" },
  { 41266, "YI SYLLABLE TU" },
  { 41267, "YI SYLLABLE TUP" },
  { 41268, "YI SYLLABLE TURX" },
  { 41269, "YI SYLLABLE TUR" },
  { 41270, "YI SYLLABLE DDIT" },
  { 41271, "YI SYLLABLE DDIX" },
  { 41272, "YI SYLLABLE DDI" },
  { 41273, "YI SYLLABLE DDIP" },
  { 41274, "YI SYLLABLE DDIEX" },
  { 41275, "YI SYLLABLE DDIE" },
  { 41276, "YI SYLLABLE DDIEP" },
  { 41277, "YI SYLLABLE DDAT" },
  { 41278, "YI SYLLABLE DDAX" },
  { 41279, "YI SYLLABLE DDA" },
  { 41280, "YI SYLLABLE DDAP" },
  { 41281, "YI SYLLABLE DDUOX" },
  { 41282, "YI SYLLABLE DDUO" },
  { 41283, "YI SYLLABLE DDUOP" },
  { 41284, "YI SYLLABLE DDOT" },
  { 41285, "YI SYLLABLE DDOX" },
  { 41286, "YI SYLLABLE DDO" },
  { 41287, "YI SYLLABLE DDOP" },
  { 41288, "YI SYLLABLE DDEX" },
  { 41289, "YI SYLLABLE DDE" },
  { 41290, "YI SYLLABLE DDEP" },
  { 41291, "YI SYLLABLE DDUT" },
  { 41292, "YI SYLLABLE DDUX" },
  { 41293, "YI SYLLABLE DDU" },
  { 41294, "YI SYLLABLE DDUP" },
  { 41295, "YI SYLLABLE DDURX" },
  { 41296, "YI SYLLABLE DDUR" },
  { 41297, "YI SYLLABLE NDIT" },
  { 41298, "YI SYLLABLE NDIX" },
  { 41299, "YI SYLLABLE NDI" },
  { 41300, "YI SYLLABLE NDIP" },
  { 41301, "YI SYLLABLE NDIEX" },
  { 41302, "YI SYLLABLE NDIE" },
  { 41303, "YI SYLLABLE NDAT" },
  { 41304, "YI SYLLABLE NDAX" },
  { 41305, "YI SYLLABLE NDA" },
  { 41306, "YI SYLLABLE NDAP" },
  { 41307, "YI SYLLABLE NDOT" },
  { 41308, "YI SYLLABLE NDOX" },
  { 41309, "YI SYLLABLE NDO" },
  { 41310, "YI SYLLABLE NDOP" },
  { 41311, "YI SYLLABLE NDEX" },
  { 41312, "YI SYLLABLE NDE" },
  { 41313, "YI SYLLABLE NDEP" },
  { 41314, "YI SYLLABLE NDUT" },
  { 41315, "YI SYLLABLE NDUX" },
  { 41316, "YI SYLLABLE NDU" },
  { 41317, "YI SYLLABLE NDUP" },
  { 41318, "YI SYLLABLE NDURX" },
  { 41319, "YI SYLLABLE NDUR" },
  { 41320, "YI SYLLABLE HNIT" },
  { 41321, "YI SYLLABLE HNIX" },
  { 41322, "YI SYLLABLE HNI" },
  { 41323, "YI SYLLABLE HNIP" },
  { 41324, "YI SYLLABLE HNIET" },
  { 41325, "YI SYLLABLE HNIEX" },
  { 41326, "YI SYLLABLE HNIE" },
  { 41327, "YI SYLLABLE HNIEP" },
  { 41328, "YI SYLLABLE HNAT" },
  { 41329, "YI SYLLABLE HNAX" },
  { 41330, "YI SYLLABLE HNA" },
  { 41331, "YI SYLLABLE HNAP" },
  { 41332, "YI SYLLABLE HNUOX" },
  { 41333, "YI SYLLABLE HNUO" },
  { 41334, "YI SYLLABLE HNOT" },
  { 41335, "YI SYLLABLE HNOX" },
  { 41336, "YI SYLLABLE HNOP" },
  { 41337, "YI SYLLABLE HNEX" },
  { 41338, "YI SYLLABLE HNE" },
  { 41339, "YI SYLLABLE HNEP" },
  { 41340, "YI SYLLABLE HNUT" },
  { 41341, "YI SYLLABLE NIT" },
  { 41342, "YI SYLLABLE NIX" },
  { 41343, "YI SYLLABLE NI" },
  { 41344, "YI SYLLABLE NIP" },
  { 41345, "YI SYLLABLE NIEX" },
  { 41346, "YI SYLLABLE NIE" },
  { 41347, "YI SYLLABLE NIEP" },
  { 41348, "YI SYLLABLE NAX" },
  { 41349, "YI SYLLABLE NA" },
  { 41350, "YI SYLLABLE NAP" },
  { 41351, "YI SYLLABLE NUOX" },
  { 41352, "YI SYLLABLE NUO" },
  { 41353, "YI SYLLABLE NUOP" },
  { 41354, "YI SYLLABLE NOT" },
  { 41355, "YI SYLLABLE NOX" },
  { 41356, "YI SYLLABLE NO" },
  { 41357, "YI SYLLABLE NOP" },
  { 41358, "YI SYLLABLE NEX" },
  { 41359, "YI SYLLABLE NE" },
  { 41360, "YI SYLLABLE NEP" },
  { 41361, "YI SYLLABLE NUT" },
  { 41362, "YI SYLLABLE NUX" },
  { 41363, "YI SYLLABLE NU" },
  { 41364, "YI SYLLABLE NUP" },
  { 41365, "YI SYLLABLE NURX" },
  { 41366, "YI SYLLABLE NUR" },
  { 41367, "YI SYLLABLE HLIT" },
  { 41368, "YI SYLLABLE HLIX" },
  { 41369, "YI SYLLABLE HLI" },
  { 41370, "YI SYLLABLE HLIP" },
  { 41371, "YI SYLLABLE HLIEX" },
  { 41372, "YI SYLLABLE HLIE" },
  { 41373, "YI SYLLABLE HLIEP" },
  { 41374, "YI SYLLABLE HLAT" },
  { 41375, "YI SYLLABLE HLAX" },
  { 41376, "YI SYLLABLE HLA" },
  { 41377, "YI SYLLABLE HLAP" },
  { 41378, "YI SYLLABLE HLUOX" },
  { 41379, "YI SYLLABLE HLUO" },
  { 41380, "YI SYLLABLE HLUOP" },
  { 41381, "YI SYLLABLE HLOX" },
  { 41382, "YI SYLLABLE HLO" },
  { 41383, "YI SYLLABLE HLOP" },
  { 41384, "YI SYLLABLE HLEX" },
  { 41385, "YI SYLLABLE HLE" },
  { 41386, "YI SYLLABLE HLEP" },
  { 41387, "YI SYLLABLE HLUT" },
  { 41388, "YI SYLLABLE HLUX" },
  { 41389, "YI SYLLABLE HLU" },
  { 41390, "YI SYLLABLE HLUP" },
  { 41391, "YI SYLLABLE HLURX" },
  { 41392, "YI SYLLABLE HLUR" },
  { 41393, "YI SYLLABLE HLYT" },
  { 41394, "YI SYLLABLE HLYX" },
  { 41395, "YI SYLLABLE HLY" },
  { 41396, "YI SYLLABLE HLYP" },
  { 41397, "YI SYLLABLE HLYRX" },
  { 41398, "YI SYLLABLE HLYR" },
  { 41399, "YI SYLLABLE LIT" },
  { 41400, "YI SYLLABLE LIX" },
  { 41401, "YI SYLLABLE LI" },
  { 41402, "YI SYLLABLE LIP" },
  { 41403, "YI SYLLABLE LIET" },
  { 41404, "YI SYLLABLE LIEX" },
  { 41405, "YI SYLLABLE LIE" },
  { 41406, "YI SYLLABLE LIEP" },
  { 41407, "YI SYLLABLE LAT" },
  { 41408, "YI SYLLABLE LAX" },
  { 41409, "YI SYLLABLE LA" },
  { 41410, "YI SYLLABLE LAP" },
  { 41411, "YI SYLLABLE LUOT" },
  { 41412, "YI SYLLABLE LUOX" },
  { 41413, "YI SYLLABLE LUO" },
  { 41414, "YI SYLLABLE LUOP" },
  { 41415, "YI SYLLABLE LOT" },
  { 41416, "YI SYLLABLE LOX" },
  { 41417, "YI SYLLABLE LO" },
  { 41418, "YI SYLLABLE LOP" },
  { 41419, "YI SYLLABLE LEX" },
  { 41420, "YI SYLLABLE LE" },
  { 41421, "YI SYLLABLE LEP" },
  { 41422, "YI SYLLABLE LUT" },
  { 41423, "YI SYLLABLE LUX" },
  { 41424, "YI SYLLABLE LU" },
  { 41425, "YI SYLLABLE LUP" },
  { 41426, "YI SYLLABLE LURX" },
  { 41427, "YI SYLLABLE LUR" },
  { 41428, "YI SYLLABLE LYT" },
  { 41429, "YI SYLLABLE LYX" },
  { 41430, "YI SYLLABLE LY" },
  { 41431, "YI SYLLABLE LYP" },
  { 41432, "YI SYLLABLE LYRX" },
  { 41433, "YI SYLLABLE LYR" },
  { 41434, "YI SYLLABLE GIT" },
  { 41435, "YI SYLLABLE GIX" },
  { 41436, "YI SYLLABLE GI" },
  { 41437, "YI SYLLABLE GIP" },
  { 41438, "YI SYLLABLE GIET" },
  { 41439, "YI SYLLABLE GIEX" },
  { 41440, "YI SYLLABLE GIE" },
  { 41441, "YI SYLLABLE GIEP" },
  { 41442, "YI SYLLABLE GAT" },
  { 41443, "YI SYLLABLE GAX" },
  { 41444, "YI SYLLABLE GA" },
  { 41445, "YI SYLLABLE GAP" },
  { 41446, "YI SYLLABLE GUOT" },
  { 41447, "YI SYLLABLE GUOX" },
  { 41448, "YI SYLLABLE GUO" },
  { 41449, "YI SYLLABLE GUOP" },
  { 41450, "YI SYLLABLE GOT" },
  { 41451, "YI SYLLABLE GOX" },
  { 41452, "YI SYLLABLE GO" },
  { 41453, "YI SYLLABLE GOP" },
  { 41454, "YI SYLLABLE GET" },
  { 41455, "YI SYLLABLE GEX" },
  { 41456, "YI SYLLABLE GE" },
  { 41457, "YI SYLLABLE GEP" },
  { 41458, "YI SYLLABLE GUT" },
  { 41459, "YI SYLLABLE GUX" },
  { 41460, "YI SYLLABLE GU" },
  { 41461, "YI SYLLABLE GUP" },
  { 41462, "YI SYLLABLE GURX" },
  { 41463, "YI SYLLABLE GUR" },
  { 41464, "YI SYLLABLE KIT" },
  { 41465, "YI SYLLABLE KIX" },
  { 41466, "YI SYLLABLE KI" },
  { 41467, "YI SYLLABLE KIP" },
  { 41468, "YI SYLLABLE KIEX" },
  { 41469, "YI SYLLABLE KIE" },
  { 41470, "YI SYLLABLE KIEP" },
  { 41471, "YI SYLLABLE KAT" },
  { 41472, "YI SYLLABLE KAX" },
  { 41473, "YI SYLLABLE KA" },
  { 41474, "YI SYLLABLE KAP" },
  { 41475, "YI SYLLABLE KUOX" },
  { 41476, "YI SYLLABLE KUO" },
  { 41477, "YI SYLLABLE KUOP" },
  { 41478, "YI SYLLABLE KOT" },
  { 41479, "YI SYLLABLE KOX" },
  { 41480, "YI SYLLABLE KO" },
  { 41481, "YI SYLLABLE KOP" },
  { 41482, "YI SYLLABLE KET" },
  { 41483, "YI SYLLABLE KEX" },
  { 41484, "YI SYLLABLE KE" },
  { 41485, "YI SYLLABLE KEP" },
  { 41486, "YI SYLLABLE KUT" },
  { 41487, "YI SYLLABLE KUX" },
  { 41488, "YI SYLLABLE KU" },
  { 41489, "YI SYLLABLE KUP" },
  { 41490, "YI SYLLABLE KURX" },
  { 41491, "YI SYLLABLE KUR" },
  { 41492, "YI SYLLABLE GGIT" },
  { 41493, "YI SYLLABLE GGIX" },
  { 41494, "YI SYLLABLE GGI" },
  { 41495, "YI SYLLABLE GGIEX" },
  { 41496, "YI SYLLABLE GGIE" },
  { 41497, "YI SYLLABLE GGIEP" },
  { 41498, "YI SYLLABLE GGAT" },
  { 41499, "YI SYLLABLE GGAX" },
  { 41500, "YI SYLLABLE GGA" },
  { 41501, "YI SYLLABLE GGAP" },
  { 41502, "YI SYLLABLE GGUOT" },
  { 41503, "YI SYLLABLE GGUOX" },
  { 41504, "YI SYLLABLE GGUO" },
  { 41505, "YI SYLLABLE GGUOP" },
  { 41506, "YI SYLLABLE GGOT" },
  { 41507, "YI SYLLABLE GGOX" },
  { 41508, "YI SYLLABLE GGO" },
  { 41509, "YI SYLLABLE GGOP" },
  { 41510, "YI SYLLABLE GGET" },
  { 41511, "YI SYLLABLE GGEX" },
  { 41512, "YI SYLLABLE GGE" },
  { 41513, "YI SYLLABLE GGEP" },
  { 41514, "YI SYLLABLE GGUT" },
  { 41515, "YI SYLLABLE GGUX" },
  { 41516, "YI SYLLABLE GGU" },
  { 41517, "YI SYLLABLE GGUP" },
  { 41518, "YI SYLLABLE GGURX" },
  { 41519, "YI SYLLABLE GGUR" },
  { 41520, "YI SYLLABLE MGIEX" },
  { 41521, "YI SYLLABLE MGIE" },
  { 41522, "YI SYLLABLE MGAT" },
  { 41523, "YI SYLLABLE MGAX" },
  { 41524, "YI SYLLABLE MGA" },
  { 41525, "YI SYLLABLE MGAP" },
  { 41526, "YI SYLLABLE MGUOX" },
  { 41527, "YI SYLLABLE MGUO" },
  { 41528, "YI SYLLABLE MGUOP" },
  { 41529, "YI SYLLABLE MGOT" },
  { 41530, "YI SYLLABLE MGOX" },
  { 41531, "YI SYLLABLE MGO" },
  { 41532, "YI SYLLABLE MGOP" },
  { 41533, "YI SYLLABLE MGEX" },
  { 41534, "YI SYLLABLE MGE" },
  { 41535, "YI SYLLABLE MGEP" },
  { 41536, "YI SYLLABLE MGUT" },
  { 41537, "YI SYLLABLE MGUX" },
  { 41538, "YI SYLLABLE MGU" },
  { 41539, "YI SYLLABLE MGUP" },
  { 41540, "YI SYLLABLE MGURX" },
  { 41541, "YI SYLLABLE MGUR" },
  { 41542, "YI SYLLABLE HXIT" },
  { 41543, "YI SYLLABLE HXIX" },
  { 41544, "YI SYLLABLE HXI" },
  { 41545, "YI SYLLABLE HXIP" },
  { 41546, "YI SYLLABLE HXIET" },
  { 41547, "YI SYLLABLE HXIEX" },
  { 41548, "YI SYLLABLE HXIE" },
  { 41549, "YI SYLLABLE HXIEP" },
  { 41550, "YI SYLLABLE HXAT" },
  { 41551, "YI SYLLABLE HXAX" },
  { 41552, "YI SYLLABLE HXA" },
  { 41553, "YI SYLLABLE HXAP" },
  { 41554, "YI SYLLABLE HXUOT" },
  { 41555, "YI SYLLABLE HXUOX" },
  { 41556, "YI SYLLABLE HXUO" },
  { 41557, "YI SYLLABLE HXUOP" },
  { 41558, "YI SYLLABLE HXOT" },
  { 41559, "YI SYLLABLE HXOX" },
  { 41560, "YI SYLLABLE HXO" },
  { 41561, "YI SYLLABLE HXOP" },
  { 41562, "YI SYLLABLE HXEX" },
  { 41563, "YI SYLLABLE HXE" },
  { 41564, "YI SYLLABLE HXEP" },
  { 41565, "YI SYLLABLE NGIEX" },
  { 41566, "YI SYLLABLE NGIE" },
  { 41567, "YI SYLLABLE NGIEP" },
  { 41568, "YI SYLLABLE NGAT" },
  { 41569, "YI SYLLABLE NGAX" },
  { 41570, "YI SYLLABLE NGA" },
  { 41571, "YI SYLLABLE NGAP" },
  { 41572, "YI SYLLABLE NGUOT" },
  { 41573, "YI SYLLABLE NGUOX" },
  { 41574, "YI SYLLABLE NGUO" },
  { 41575, "YI SYLLABLE NGOT" },
  { 41576, "YI SYLLABLE NGOX" },
  { 41577, "YI SYLLABLE NGO" },
  { 41578, "YI SYLLABLE NGOP" },
  { 41579, "YI SYLLABLE NGEX" },
  { 41580, "YI SYLLABLE NGE" },
  { 41581, "YI SYLLABLE NGEP" },
  { 41582, "YI SYLLABLE HIT" },
  { 41583, "YI SYLLABLE HIEX" },
  { 41584, "YI SYLLABLE HIE" },
  { 41585, "YI SYLLABLE HAT" },
  { 41586, "YI SYLLABLE HAX" },
  { 41587, "YI SYLLABLE HA" },
  { 41588, "YI SYLLABLE HAP" },
  { 41589, "YI SYLLABLE HUOT" },
  { 41590, "YI SYLLABLE HUOX" },
  { 41591, "YI SYLLABLE HUO" },
  { 41592, "YI SYLLABLE HUOP" },
  { 41593, "YI SYLLABLE HOT" },
  { 41594, "YI SYLLABLE HOX" },
  { 41595, "YI SYLLABLE HO" },
  { 41596, "YI SYLLABLE HOP" },
  { 41597, "YI SYLLABLE HEX" },
  { 41598, "YI SYLLABLE HE" },
  { 41599, "YI SYLLABLE HEP" },
  { 41600, "YI SYLLABLE WAT" },
  { 41601, "YI SYLLABLE WAX" },
  { 41602, "YI SYLLABLE WA" },
  { 41603, "YI SYLLABLE WAP" },
  { 41604, "YI SYLLABLE WUOX" },
  { 41605, "YI SYLLABLE WUO" },
  { 41606, "YI SYLLABLE WUOP" },
  { 41607, "YI SYLLABLE WOX" },
  { 41608, "YI SYLLABLE WO" },
  { 41609, "YI SYLLABLE WOP" },
  { 41610, "YI SYLLABLE WEX" },
  { 41611, "YI SYLLABLE WE" },
  { 41612, "YI SYLLABLE WEP" },
  { 41613, "YI SYLLABLE ZIT" },
  { 41614, "YI SYLLABLE ZIX" },
  { 41615, "YI SYLLABLE ZI" },
  { 41616, "YI SYLLABLE ZIP" },
  { 41617, "YI SYLLABLE ZIEX" },
  { 41618, "YI SYLLABLE ZIE" },
  { 41619, "YI SYLLABLE ZIEP" },
  { 41620, "YI SYLLABLE ZAT" },
  { 41621, "YI SYLLABLE ZAX" },
  { 41622, "YI SYLLABLE ZA" },
  { 41623, "YI SYLLABLE ZAP" },
  { 41624, "YI SYLLABLE ZUOX" },
  { 41625, "YI SYLLABLE ZUO" },
  { 41626, "YI SYLLABLE ZUOP" },
  { 41627, "YI SYLLABLE ZOT" },
  { 41628, "YI SYLLABLE ZOX" },
  { 41629, "YI SYLLABLE ZO" },
  { 41630, "YI SYLLABLE ZOP" },
  { 41631, "YI SYLLABLE ZEX" },
  { 41632, "YI SYLLABLE ZE" },
  { 41633, "YI SYLLABLE ZEP" },
  { 41634, "YI SYLLABLE ZUT" },
  { 41635, "YI SYLLABLE ZUX" },
  { 41636, "YI SYLLABLE ZU" },
  { 41637, "YI SYLLABLE ZUP" },
  { 41638, "YI SYLLABLE ZURX" },
  { 41639, "YI SYLLABLE ZUR" },
  { 41640, "YI SYLLABLE ZYT" },
  { 41641, "YI SYLLABLE ZYX" },
  { 41642, "YI SYLLABLE ZY" },
  { 41643, "YI SYLLABLE ZYP" },
  { 41644, "YI SYLLABLE ZYRX" },
  { 41645, "YI SYLLABLE ZYR" },
  { 41646, "YI SYLLABLE CIT" },
  { 41647, "YI SYLLABLE CIX" },
  { 41648, "YI SYLLABLE CI" },
  { 41649, "YI SYLLABLE CIP" },
  { 41650, "YI SYLLABLE CIET" },
  { 41651, "YI SYLLABLE CIEX" },
  { 41652, "YI SYLLABLE CIE" },
  { 41653, "YI SYLLABLE CIEP" },
  { 41654, "YI SYLLABLE CAT" },
  { 41655, "YI SYLLABLE CAX" },
  { 41656, "YI SYLLABLE CA" },
  { 41657, "YI SYLLABLE CAP" },
  { 41658, "YI SYLLABLE CUOX" },
  { 41659, "YI SYLLABLE CUO" },
  { 41660, "YI SYLLABLE CUOP" },
  { 41661, "YI SYLLABLE COT" },
  { 41662, "YI SYLLABLE COX" },
  { 41663, "YI SYLLABLE CO" },
  { 41664, "YI SYLLABLE COP" },
  { 41665, "YI SYLLABLE CEX" },
  { 41666, "YI SYLLABLE CE" },
  { 41667, "YI SYLLABLE CEP" },
  { 41668, "YI SYLLABLE CUT" },
  { 41669, "YI SYLLABLE CUX" },
  { 41670, "YI SYLLABLE CU" },
  { 41671, "YI SYLLABLE CUP" },
  { 41672, "YI SYLLABLE CURX" },
  { 41673, "YI SYLLABLE CUR" },
  { 41674, "YI SYLLABLE CYT" },
  { 41675, "YI SYLLABLE CYX" },
  { 41676, "YI SYLLABLE CY" },
  { 41677, "YI SYLLABLE CYP" },
  { 41678, "YI SYLLABLE CYRX" },
  { 41679, "YI SYLLABLE CYR" },
  { 41680, "YI SYLLABLE ZZIT" },
  { 41681, "YI SYLLABLE ZZIX" },
  { 41682, "YI SYLLABLE ZZI" },
  { 41683, "YI SYLLABLE ZZIP" },
  { 41684, "YI SYLLABLE ZZIET" },
  { 41685, "YI SYLLABLE ZZIEX" },
  { 41686, "YI SYLLABLE ZZIE" },
  { 41687, "YI SYLLABLE ZZIEP" },
  { 41688, "YI SYLLABLE ZZAT" },
  { 41689, "YI SYLLABLE ZZAX" },
  { 41690, "YI SYLLABLE ZZA" },
  { 41691, "YI SYLLABLE ZZAP" },
  { 41692, "YI SYLLABLE ZZOX" },
  { 41693, "YI SYLLABLE ZZO" },
  { 41694, "YI SYLLABLE ZZOP" },
  { 41695, "YI SYLLABLE ZZEX" },
  { 41696, "YI SYLLABLE ZZE" },
  { 41697, "YI SYLLABLE ZZEP" },
  { 41698, "YI SYLLABLE ZZUX" },
  { 41699, "YI SYLLABLE ZZU" },
  { 41700, "YI SYLLABLE ZZUP" },
  { 41701, "YI SYLLABLE ZZURX" },
  { 41702, "YI SYLLABLE ZZUR" },
  { 41703, "YI SYLLABLE ZZYT" },
  { 41704, "YI SYLLABLE ZZYX" },
  { 41705, "YI SYLLABLE ZZY" },
  { 41706, "YI SYLLABLE ZZYP" },
  { 41707, "YI SYLLABLE ZZYRX" },
  { 41708, "YI SYLLABLE ZZYR" },
  { 41709, "YI SYLLABLE NZIT" },
  { 41710, "YI SYLLABLE NZIX" },
  { 41711, "YI SYLLABLE NZI" },
  { 41712, "YI SYLLABLE NZIP" },
  { 41713, "YI SYLLABLE NZIEX" },
  { 41714, "YI SYLLABLE NZIE" },
  { 41715, "YI SYLLABLE NZIEP" },
  { 41716, "YI SYLLABLE NZAT" },
  { 41717, "YI SYLLABLE NZAX" },
  { 41718, "YI SYLLABLE NZA" },
  { 41719, "YI SYLLABLE NZAP" },
  { 41720, "YI SYLLABLE NZUOX" },
  { 41721, "YI SYLLABLE NZUO" },
  { 41722, "YI SYLLABLE NZOX" },
  { 41723, "YI SYLLABLE NZOP" },
  { 41724, "YI SYLLABLE NZEX" },
  { 41725, "YI SYLLABLE NZE" },
  { 41726, "YI SYLLABLE NZUX" },
  { 41727, "YI SYLLABLE NZU" },
  { 41728, "YI SYLLABLE NZUP" },
  { 41729, "YI SYLLABLE NZURX" },
  { 41730, "YI SYLLABLE NZUR" },
  { 41731, "YI SYLLABLE NZYT" },
  { 41732, "YI SYLLABLE NZYX" },
  { 41733, "YI SYLLABLE NZY" },
  { 41734, "YI SYLLABLE NZYP" },
  { 41735, "YI SYLLABLE NZYRX" },
  { 41736, "YI SYLLABLE NZYR" },
  { 41737, "YI SYLLABLE SIT" },
  { 41738, "YI SYLLABLE SIX" },
  { 41739, "YI SYLLABLE SI" },
  { 41740, "YI SYLLABLE SIP" },
  { 41741, "YI SYLLABLE SIEX" },
  { 41742, "YI SYLLABLE SIE" },
  { 41743, "YI SYLLABLE SIEP" },
  { 41744, "YI SYLLABLE SAT" },
  { 41745, "YI SYLLABLE SAX" },
  { 41746, "YI SYLLABLE SA" },
  { 41747, "YI SYLLABLE SAP" },
  { 41748, "YI SYLLABLE SUOX" },
  { 41749, "YI SYLLABLE SUO" },
  { 41750, "YI SYLLABLE SUOP" },
  { 41751, "YI SYLLABLE SOT" },
  { 41752, "YI SYLLABLE SOX" },
  { 41753, "YI SYLLABLE SO" },
  { 41754, "YI SYLLABLE SOP" },
  { 41755, "YI SYLLABLE SEX" },
  { 41756, "YI SYLLABLE SE" },
  { 41757, "YI SYLLABLE SEP" },
  { 41758, "YI SYLLABLE SUT" },
  { 41759, "YI SYLLABLE SUX" },
  { 41760, "YI SYLLABLE SU" },
  { 41761, "YI SYLLABLE SUP" },
  { 41762, "YI SYLLABLE SURX" },
  { 41763, "YI SYLLABLE SUR" },
  { 41764, "YI SYLLABLE SYT" },
  { 41765, "YI SYLLABLE SYX" },
  { 41766, "YI SYLLABLE SY" },
  { 41767, "YI SYLLABLE SYP" },
  { 41768, "YI SYLLABLE SYRX" },
  { 41769, "YI SYLLABLE SYR" },
  { 41770, "YI SYLLABLE SSIT" },
  { 41771, "YI SYLLABLE SSIX" },
  { 41772, "YI SYLLABLE SSI" },
  { 41773, "YI SYLLABLE SSIP" },
  { 41774, "YI SYLLABLE SSIEX" },
  { 41775, "YI SYLLABLE SSIE" },
  { 41776, "YI SYLLABLE SSIEP" },
  { 41777, "YI SYLLABLE SSAT" },
  { 41778, "YI SYLLABLE SSAX" },
  { 41779, "YI SYLLABLE SSA" },
  { 41780, "YI SYLLABLE SSAP" },
  { 41781, "YI SYLLABLE SSOT" },
  { 41782, "YI SYLLABLE SSOX" },
  { 41783, "YI SYLLABLE SSO" },
  { 41784, "YI SYLLABLE SSOP" },
  { 41785, "YI SYLLABLE SSEX" },
  { 41786, "YI SYLLABLE SSE" },
  { 41787, "YI SYLLABLE SSEP" },
  { 41788, "YI SYLLABLE SSUT" },
  { 41789, "YI SYLLABLE SSUX" },
  { 41790, "YI SYLLABLE SSU" },
  { 41791, "YI SYLLABLE SSUP" },
  { 41792, "YI SYLLABLE SSYT" },
  { 41793, "YI SYLLABLE SSYX" },
  { 41794, "YI SYLLABLE SSY" },
  { 41795, "YI SYLLABLE SSYP" },
  { 41796, "YI SYLLABLE SSYRX" },
  { 41797, "YI SYLLABLE SSYR" },
  { 41798, "YI SYLLABLE ZHAT" },
  { 41799, "YI SYLLABLE ZHAX" },
  { 41800, "YI SYLLABLE ZHA" },
  { 41801, "YI SYLLABLE ZHAP" },
  { 41802, "YI SYLLABLE ZHUOX" },
  { 41803, "YI SYLLABLE ZHUO" },
  { 41804, "YI SYLLABLE ZHUOP" },
  { 41805, "YI SYLLABLE ZHOT" },
  { 41806, "YI SYLLABLE ZHOX" },
  { 41807, "YI SYLLABLE ZHO" },
  { 41808, "YI SYLLABLE ZHOP" },
  { 41809, "YI SYLLABLE ZHET" },
  { 41810, "YI SYLLABLE ZHEX" },
  { 41811, "YI SYLLABLE ZHE" },
  { 41812, "YI SYLLABLE ZHEP" },
  { 41813, "YI SYLLABLE ZHUT" },
  { 41814, "YI SYLLABLE ZHUX" },
  { 41815, "YI SYLLABLE ZHU" },
  { 41816, "YI SYLLABLE ZHUP" },
  { 41817, "YI SYLLABLE ZHURX" },
  { 41818, "YI SYLLABLE ZHUR" },
  { 41819, "YI SYLLABLE ZHYT" },
  { 41820, "YI SYLLABLE ZHYX" },
  { 41821, "YI SYLLABLE ZHY" },
  { 41822, "YI SYLLABLE ZHYP" },
  { 41823, "YI SYLLABLE ZHYRX" },
  { 41824, "YI SYLLABLE ZHYR" },
  { 41825, "YI SYLLABLE CHAT" },
  { 41826, "YI SYLLABLE CHAX" },
  { 41827, "YI SYLLABLE CHA" },
  { 41828, "YI SYLLABLE CHAP" },
  { 41829, "YI SYLLABLE CHUOT" },
  { 41830, "YI SYLLABLE CHUOX" },
  { 41831, "YI SYLLABLE CHUO" },
  { 41832, "YI SYLLABLE CHUOP" },
  { 41833, "YI SYLLABLE CHOT" },
  { 41834, "YI SYLLABLE CHOX" },
  { 41835, "YI SYLLABLE CHO" },
  { 41836, "YI SYLLABLE CHOP" },
  { 41837, "YI SYLLABLE CHET" },
  { 41838, "YI SYLLABLE CHEX" },
  { 41839, "YI SYLLABLE CHE" },
  { 41840, "YI SYLLABLE CHEP" },
  { 41841, "YI SYLLABLE CHUX" },
  { 41842, "YI SYLLABLE CHU" },
  { 41843, "YI SYLLABLE CHUP" },
  { 41844, "YI SYLLABLE CHURX" },
  { 41845, "YI SYLLABLE CHUR" },
  { 41846, "YI SYLLABLE CHYT" },
  { 41847, "YI SYLLABLE CHYX" },
  { 41848, "YI SYLLABLE CHY" },
  { 41849, "YI SYLLABLE CHYP" },
  { 41850, "YI SYLLABLE CHYRX" },
  { 41851, "YI SYLLABLE CHYR" },
  { 41852, "YI SYLLABLE RRAX" },
  { 41853, "YI SYLLABLE RRA" },
  { 41854, "YI SYLLABLE RRUOX" },
  { 41855, "YI SYLLABLE RRUO" },
  { 41856, "YI SYLLABLE RROT" },
  { 41857, "YI SYLLABLE RROX" },
  { 41858, "YI SYLLABLE RRO" },
  { 41859, "YI SYLLABLE RROP" },
  { 41860, "YI SYLLABLE RRET" },
  { 41861, "YI SYLLABLE RREX" },
  { 41862, "YI SYLLABLE RRE" },
  { 41863, "YI SYLLABLE RREP" },
  { 41864, "YI SYLLABLE RRUT" },
  { 41865, "YI SYLLABLE RRUX" },
  { 41866, "YI SYLLABLE RRU" },
  { 41867, "YI SYLLABLE RRUP" },
  { 41868, "YI SYLLABLE RRURX" },
  { 41869, "YI SYLLABLE RRUR" },
  { 41870, "YI SYLLABLE RRYT" },
  { 41871, "YI SYLLABLE RRYX" },
  { 41872, "YI SYLLABLE RRY" },
  { 41873, "YI SYLLABLE RRYP" },
  { 41874, "YI SYLLABLE RRYRX" },
  { 41875, "YI SYLLABLE RRYR" },
  { 41876, "YI SYLLABLE NRAT" },
  { 41877, "YI SYLLABLE NRAX" },
  { 41878, "YI SYLLABLE NRA" },
  { 41879, "YI SYLLABLE NRAP" },
  { 41880, "YI SYLLABLE NROX" },
  { 41881, "YI SYLLABLE NRO" },
  { 41882, "YI SYLLABLE NROP" },
  { 41883, "YI SYLLABLE NRET" },
  { 41884, "YI SYLLABLE NREX" },
  { 41885, "YI SYLLABLE NRE" },
  { 41886, "YI SYLLABLE NREP" },
  { 41887, "YI SYLLABLE NRUT" },
  { 41888, "YI SYLLABLE NRUX" },
  { 41889, "YI SYLLABLE NRU" },
  { 41890, "YI SYLLABLE NRUP" },
  { 41891, "YI SYLLABLE NRURX" },
  { 41892, "YI SYLLABLE NRUR" },
  { 41893, "YI SYLLABLE NRYT" },
  { 41894, "YI SYLLABLE NRYX" },
  { 41895, "YI SYLLABLE NRY" },
  { 41896, "YI SYLLABLE NRYP" },
  { 41897, "YI SYLLABLE NRYRX" },
  { 41898, "YI SYLLABLE NRYR" },
  { 41899, "YI SYLLABLE SHAT" },
  { 41900, "YI SYLLABLE SHAX" },
  { 41901, "YI SYLLABLE SHA" },
  { 41902, "YI SYLLABLE SHAP" },
  { 41903, "YI SYLLABLE SHUOX" },
  { 41904, "YI SYLLABLE SHUO" },
  { 41905, "YI SYLLABLE SHUOP" },
  { 41906, "YI SYLLABLE SHOT" },
  { 41907, "YI SYLLABLE SHOX" },
  { 41908, "YI SYLLABLE SHO" },
  { 41909, "YI SYLLABLE SHOP" },
  { 41910, "YI SYLLABLE SHET" },
  { 41911, "YI SYLLABLE SHEX" },
  { 41912, "YI SYLLABLE SHE" },
  { 41913, "YI SYLLABLE SHEP" },
  { 41914, "YI SYLLABLE SHUT" },
  { 41915, "YI SYLLABLE SHUX" },
  { 41916, "YI SYLLABLE SHU" },
  { 41917, "YI SYLLABLE SHUP" },
  { 41918, "YI SYLLABLE SHURX" },
  { 41919, "YI SYLLABLE SHUR" },
  { 41920, "YI SYLLABLE SHYT" },
  { 41921, "YI SYLLABLE SHYX" },
  { 41922, "YI SYLLABLE SHY" },
  { 41923, "YI SYLLABLE SHYP" },
  { 41924, "YI SYLLABLE SHYRX" },
  { 41925, "YI SYLLABLE SHYR" },
  { 41926, "YI SYLLABLE RAT" },
  { 41927, "YI SYLLABLE RAX" },
  { 41928, "YI SYLLABLE RA" },
  { 41929, "YI SYLLABLE RAP" },
  { 41930, "YI SYLLABLE RUOX" },
  { 41931, "YI SYLLABLE RUO" },
  { 41932, "YI SYLLABLE RUOP" },
  { 41933, "YI SYLLABLE ROT" },
  { 41934, "YI SYLLABLE ROX" },
  { 41935, "YI SYLLABLE RO" },
  { 41936, "YI SYLLABLE ROP" },
  { 41937, "YI SYLLABLE REX" },
  { 41938, "YI SYLLABLE RE" },
  { 41939, "YI SYLLABLE REP" },
  { 41940, "YI SYLLABLE RUT" },
  { 41941, "YI SYLLABLE RUX" },
  { 41942, "YI SYLLABLE RU" },
  { 41943, "YI SYLLABLE RUP" },
  { 41944, "YI SYLLABLE RURX" },
  { 41945, "YI SYLLABLE RUR" },
  { 41946, "YI SYLLABLE RYT" },
  { 41947, "YI SYLLABLE RYX" },
  { 41948, "YI SYLLABLE RY" },
  { 41949, "YI SYLLABLE RYP" },
  { 41950, "YI SYLLABLE RYRX" },
  { 41951, "YI SYLLABLE RYR" },
  { 41952, "YI SYLLABLE JIT" },
  { 41953, "YI SYLLABLE JIX" },
  { 41954, "YI SYLLABLE JI" },
  { 41955, "YI SYLLABLE JIP" },
  { 41956, "YI SYLLABLE JIET" },
  { 41957, "YI SYLLABLE JIEX" },
  { 41958, "YI SYLLABLE JIE" },
  { 41959, "YI SYLLABLE JIEP" },
  { 41960, "YI SYLLABLE JUOT" },
  { 41961, "YI SYLLABLE JUOX" },
  { 41962, "YI SYLLABLE JUO" },
  { 41963, "YI SYLLABLE JUOP" },
  { 41964, "YI SYLLABLE JOT" },
  { 41965, "YI SYLLABLE JOX" },
  { 41966, "YI SYLLABLE JO" },
  { 41967, "YI SYLLABLE JOP" },
  { 41968, "YI SYLLABLE JUT" },
  { 41969, "YI SYLLABLE JUX" },
  { 41970, "YI SYLLABLE JU" },
  { 41971, "YI SYLLABLE JUP" },
  { 41972, "YI SYLLABLE JURX" },
  { 41973, "YI SYLLABLE JUR" },
  { 41974, "YI SYLLABLE JYT" },
  { 41975, "YI SYLLABLE JYX" },
  { 41976, "YI SYLLABLE JY" },
  { 41977, "YI SYLLABLE JYP" },
  { 41978, "YI SYLLABLE JYRX" },
  { 41979, "YI SYLLABLE JYR" },
  { 41980, "YI SYLLABLE QIT" },
  { 41981, "YI SYLLABLE QIX" },
  { 41982, "YI SYLLABLE QI" },
  { 41983, "YI SYLLABLE QIP" },
  { 41984, "YI SYLLABLE QIET" },
  { 41985, "YI SYLLABLE QIEX" },
  { 41986, "YI SYLLABLE QIE" },
  { 41987, "YI SYLLABLE QIEP" },
  { 41988, "YI SYLLABLE QUOT" },
  { 41989, "YI SYLLABLE QUOX" },
  { 41990, "YI SYLLABLE QUO" },
  { 41991, "YI SYLLABLE QUOP" },
  { 41992, "YI SYLLABLE QOT" },
  { 41993, "YI SYLLABLE QOX" },
  { 41994, "YI SYLLABLE QO" },
  { 41995, "YI SYLLABLE QOP" },
  { 41996, "YI SYLLABLE QUT" },
  { 41997, "YI SYLLABLE QUX" },
  { 41998, "YI SYLLABLE QU" },
  { 41999, "YI SYLLABLE QUP" },
  { 42000, "YI SYLLABLE QURX" },
  { 42001, "YI SYLLABLE QUR" },
  { 42002, "YI SYLLABLE QYT" },
  { 42003, "YI SYLLABLE QYX" },
  { 42004, "YI SYLLABLE QY" },
  { 42005, "YI SYLLABLE QYP" },
  { 42006, "YI SYLLABLE QYRX" },
  { 42007, "YI SYLLABLE QYR" },
  { 42008, "YI SYLLABLE JJIT" },
  { 42009, "YI SYLLABLE JJIX" },
  { 42010, "YI SYLLABLE JJI" },
  { 42011, "YI SYLLABLE JJIP" },
  { 42012, "YI SYLLABLE JJIET" },
  { 42013, "YI SYLLABLE JJIEX" },
  { 42014, "YI SYLLABLE JJIE" },
  { 42015, "YI SYLLABLE JJIEP" },
  { 42016, "YI SYLLABLE JJUOX" },
  { 42017, "YI SYLLABLE JJUO" },
  { 42018, "YI SYLLABLE JJUOP" },
  { 42019, "YI SYLLABLE JJOT" },
  { 42020, "YI SYLLABLE JJOX" },
  { 42021, "YI SYLLABLE JJO" },
  { 42022, "YI SYLLABLE JJOP" },
  { 42023, "YI SYLLABLE JJUT" },
  { 42024, "YI SYLLABLE JJUX" },
  { 42025, "YI SYLLABLE JJU" },
  { 42026, "YI SYLLABLE JJUP" },
  { 42027, "YI SYLLABLE JJURX" },
  { 42028, "YI SYLLABLE JJUR" },
  { 42029, "YI SYLLABLE JJYT" },
  { 42030, "YI SYLLABLE JJYX" },
  { 42031, "YI SYLLABLE JJY" },
  { 42032, "YI SYLLABLE JJYP" },
  { 42033, "YI SYLLABLE NJIT" },
  { 42034, "YI SYLLABLE NJIX" },
  { 42035, "YI SYLLABLE NJI" },
  { 42036, "YI SYLLABLE NJIP" },
  { 42037, "YI SYLLABLE NJIET" },
  { 42038, "YI SYLLABLE NJIEX" },
  { 42039, "YI SYLLABLE NJIE" },
  { 42040, "YI SYLLABLE NJIEP" },
  { 42041, "YI SYLLABLE NJUOX" },
  { 42042, "YI SYLLABLE NJUO" },
  { 42043, "YI SYLLABLE NJOT" },
  { 42044, "YI SYLLABLE NJOX" },
  { 42045, "YI SYLLABLE NJO" },
  { 42046, "YI SYLLABLE NJOP" },
  { 42047, "YI SYLLABLE NJUX" },
  { 42048, "YI SYLLABLE NJU" },
  { 42049, "YI SYLLABLE NJUP" },
  { 42050, "YI SYLLABLE NJURX" },
  { 42051, "YI SYLLABLE NJUR" },
  { 42052, "YI SYLLABLE NJYT" },
  { 42053, "YI SYLLABLE NJYX" },
  { 42054, "YI SYLLABLE NJY" },
  { 42055, "YI SYLLABLE NJYP" },
  { 42056, "YI SYLLABLE NJYRX" },
  { 42057, "YI SYLLABLE NJYR" },
  { 42058, "YI SYLLABLE NYIT" },
  { 42059, "YI SYLLABLE NYIX" },
  { 42060, "YI SYLLABLE NYI" },
  { 42061, "YI SYLLABLE NYIP" },
  { 42062, "YI SYLLABLE NYIET" },
  { 42063, "YI SYLLABLE NYIEX" },
  { 42064, "YI SYLLABLE NYIE" },
  { 42065, "YI SYLLABLE NYIEP" },
  { 42066, "YI SYLLABLE NYUOX" },
  { 42067, "YI SYLLABLE NYUO" },
  { 42068, "YI SYLLABLE NYUOP" },
  { 42069, "YI SYLLABLE NYOT" },
  { 42070, "YI SYLLABLE NYOX" },
  { 42071, "YI SYLLABLE NYO" },
  { 42072, "YI SYLLABLE NYOP" },
  { 42073, "YI SYLLABLE NYUT" },
  { 42074, "YI SYLLABLE NYUX" },
  { 42075, "YI SYLLABLE NYU" },
  { 42076, "YI SYLLABLE NYUP" },
  { 42077, "YI SYLLABLE XIT" },
  { 42078, "YI SYLLABLE XIX" },
  { 42079, "YI SYLLABLE XI" },
  { 42080, "YI SYLLABLE XIP" },
  { 42081, "YI SYLLABLE XIET" },
  { 42082, "YI SYLLABLE XIEX" },
  { 42083, "YI SYLLABLE XIE" },
  { 42084, "YI SYLLABLE XIEP" },
  { 42085, "YI SYLLABLE XUOX" },
  { 42086, "YI SYLLABLE XUO" },
  { 42087, "YI SYLLABLE XOT" },
  { 42088, "YI SYLLABLE XOX" },
  { 42089, "YI SYLLABLE XO" },
  { 42090, "YI SYLLABLE XOP" },
  { 42091, "YI SYLLABLE XYT" },
  { 42092, "YI SYLLABLE XYX" },
  { 42093, "YI SYLLABLE XY" },
  { 42094, "YI SYLLABLE XYP" },
  { 42095, "YI SYLLABLE XYRX" },
  { 42096, "YI SYLLABLE XYR" },
  { 42097, "YI SYLLABLE YIT" },
  { 42098, "YI SYLLABLE YIX" },
  { 42099, "YI SYLLABLE YI" },
  { 42100, "YI SYLLABLE YIP" },
  { 42101, "YI SYLLABLE YIET" },
  { 42102, "YI SYLLABLE YIEX" },
  { 42103, "YI SYLLABLE YIE" },
  { 42104, "YI SYLLABLE YIEP" },
  { 42105, "YI SYLLABLE YUOT" },
  { 42106, "YI SYLLABLE YUOX" },
  { 42107, "YI SYLLABLE YUO" },
  { 42108, "YI SYLLABLE YUOP" },
  { 42109, "YI SYLLABLE YOT" },
  { 42110, "YI SYLLABLE YOX" },
  { 42111, "YI SYLLABLE YO" },
  { 42112, "YI SYLLABLE YOP" },
  { 42113, "YI SYLLABLE YUT" },
  { 42114, "YI SYLLABLE YUX" },
  { 42115, "YI SYLLABLE YU" },
  { 42116, "YI SYLLABLE YUP" },
  { 42117, "YI SYLLABLE YURX" },
  { 42118, "YI SYLLABLE YUR" },
  { 42119, "YI SYLLABLE YYT" },
  { 42120, "YI SYLLABLE YYX" },
  { 42121, "YI SYLLABLE YY" },
  { 42122, "YI SYLLABLE YYP" },
  { 42123, "YI SYLLABLE YYRX" },
  { 42124, "YI SYLLABLE YYR" },
  { 42128, "YI RADICAL QOT" },
  { 42129, "YI RADICAL LI" },
  { 42130, "YI RADICAL KIT" },
  { 42131, "YI RADICAL NYIP" },
  { 42132, "YI RADICAL CYP" },
  { 42133, "YI RADICAL SSI" },
  { 42134, "YI RADICAL GGOP" },
  { 42135, "YI RADICAL GEP" },
  { 42136, "YI RADICAL MI" },
  { 42137, "YI RADICAL HXIT" },
  { 42138, "YI RADICAL LYR" },
  { 42139, "YI RADICAL BBUT" },
  { 42140, "YI RADICAL MOP" },
  { 42141, "YI RADICAL YO" },
  { 42142, "YI RADICAL PUT" },
  { 42143, "YI RADICAL HXUO" },
  { 42144, "YI RADICAL TAT" },
  { 42145, "YI RADICAL GA" },
  { 42146, "YI RADICAL ZUP" },
  { 42147, "YI RADICAL CYT" },
  { 42148, "YI RADICAL DDUR" },
  { 42149, "YI RADICAL BUR" },
  { 42150, "YI RADICAL GGUO" },
  { 42151, "YI RADICAL NYOP" },
  { 42152, "YI RADICAL TU" },
  { 42153, "YI RADICAL OP" },
  { 42154, "YI RADICAL JJUT" },
  { 42155, "YI RADICAL ZOT" },
  { 42156, "YI RADICAL PYT" },
  { 42157, "YI RADICAL HMO" },
  { 42158, "YI RADICAL YIT" },
  { 42159, "YI RADICAL VUR" },
  { 42160, "YI RADICAL SHY" },
  { 42161, "YI RADICAL VEP" },
  { 42162, "YI RADICAL ZA" },
  { 42163, "YI RADICAL JO" },
  { 42164, "YI RADICAL NZUP" },
  { 42165, "YI RADICAL JJY" },
  { 42166, "YI RADICAL GOT" },
  { 42167, "YI RADICAL JJIE" },
  { 42168, "YI RADICAL WO" },
  { 42169, "YI RADICAL DU" },
  { 42170, "YI RADICAL SHUR" },
  { 42171, "YI RADICAL LIE" },
  { 42172, "YI RADICAL CY" },
  { 42173, "YI RADICAL CUOP" },
  { 42174, "YI RADICAL CIP" },
  { 42175, "YI RADICAL HXOP" },
  { 42176, "YI RADICAL SHAT" },
  { 42177, "YI RADICAL ZUR" },
  { 42178, "YI RADICAL SHOP" },
  { 42179, "YI RADICAL CHE" },
  { 42180, "YI RADICAL ZZIET" },
  { 42181, "YI RADICAL NBIE" },
  { 42182, "YI RADICAL KE" },
  { 42240, "VAI SYLLABLE EE" },
  { 42241, "VAI SYLLABLE EEN" },
  { 42242, "VAI SYLLABLE HEE" },
  { 42243, "VAI SYLLABLE WEE" },
  { 42244, "VAI SYLLABLE WEEN" },
  { 42245, "VAI SYLLABLE PEE" },
  { 42246, "VAI SYLLABLE BHEE" },
  { 42247, "VAI SYLLABLE BEE" },
  { 42248, "VAI SYLLABLE MBEE" },
  { 42249, "VAI SYLLABLE KPEE" },
  { 42250, "VAI SYLLABLE MGBEE" },
  { 42251, "VAI SYLLABLE GBEE" },
  { 42252, "VAI SYLLABLE FEE" },
  { 42253, "VAI SYLLABLE VEE" },
  { 42254, "VAI SYLLABLE TEE" },
  { 42255, "VAI SYLLABLE THEE" },
  { 42256, "VAI SYLLABLE DHEE" },
  { 42257, "VAI SYLLABLE DHHEE" },
  { 42258, "VAI SYLLABLE LEE" },
  { 42259, "VAI SYLLABLE REE" },
  { 42260, "VAI SYLLABLE DEE" },
  { 42261, "VAI SYLLABLE NDEE" },
  { 42262, "VAI SYLLABLE SEE" },
  { 42263, "VAI SYLLABLE SHEE" },
  { 42264, "VAI SYLLABLE ZEE" },
  { 42265, "VAI SYLLABLE ZHEE" },
  { 42266, "VAI SYLLABLE CEE" },
  { 42267, "VAI SYLLABLE JEE" },
  { 42268, "VAI SYLLABLE NJEE" },
  { 42269, "VAI SYLLABLE YEE" },
  { 42270, "VAI SYLLABLE KEE" },
  { 42271, "VAI SYLLABLE NGGEE" },
  { 42272, "VAI SYLLABLE GEE" },
  { 42273, "VAI SYLLABLE MEE" },
  { 42274, "VAI SYLLABLE NEE" },
  { 42275, "VAI SYLLABLE NYEE" },
  { 42276, "VAI SYLLABLE I" },
  { 42277, "VAI SYLLABLE IN" },
  { 42278, "VAI SYLLABLE HI" },
  { 42279, "VAI SYLLABLE HIN" },
  { 42280, "VAI SYLLABLE WI" },
  { 42281, "VAI SYLLABLE WIN" },
  { 42282, "VAI SYLLABLE PI" },
  { 42283, "VAI SYLLABLE BHI" },
  { 42284, "VAI SYLLABLE BI" },
  { 42285, "VAI SYLLABLE MBI" },
  { 42286, "VAI SYLLABLE KPI" },
  { 42287, "VAI SYLLABLE MGBI" },
  { 42288, "VAI SYLLABLE GBI" },
  { 42289, "VAI SYLLABLE FI" },
  { 42290, "VAI SYLLABLE VI" },
  { 42291, "VAI SYLLABLE TI" },
  { 42292, "VAI SYLLABLE THI" },
  { 42293, "VAI SYLLABLE DHI" },
  { 42294, "VAI SYLLABLE DHHI" },
  { 42295, "VAI SYLLABLE LI" },
  { 42296, "VAI SYLLABLE RI" },
  { 42297, "VAI SYLLABLE DI" },
  { 42298, "VAI SYLLABLE NDI" },
  { 42299, "VAI SYLLABLE SI" },
  { 42300, "VAI SYLLABLE SHI" },
  { 42301, "VAI SYLLABLE ZI" },
  { 42302, "VAI SYLLABLE ZHI" },
  { 42303, "VAI SYLLABLE CI" },
  { 42304, "VAI SYLLABLE JI" },
  { 42305, "VAI SYLLABLE NJI" },
  { 42306, "VAI SYLLABLE YI" },
  { 42307, "VAI SYLLABLE KI" },
  { 42308, "VAI SYLLABLE NGGI" },
  { 42309, "VAI SYLLABLE GI" },
  { 42310, "VAI SYLLABLE MI" },
  { 42311, "VAI SYLLABLE NI" },
  { 42312, "VAI SYLLABLE NYI" },
  { 42313, "VAI SYLLABLE A" },
  { 42314, "VAI SYLLABLE AN" },
  { 42315, "VAI SYLLABLE NGAN" },
  { 42316, "VAI SYLLABLE HA" },
  { 42317, "VAI SYLLABLE HAN" },
  { 42318, "VAI SYLLABLE WA" },
  { 42319, "VAI SYLLABLE WAN" },
  { 42320, "VAI SYLLABLE PA" },
  { 42321, "VAI SYLLABLE BHA" },
  { 42322, "VAI SYLLABLE BA" },
  { 42323, "VAI SYLLABLE MBA" },
  { 42324, "VAI SYLLABLE KPA" },
  { 42325, "VAI SYLLABLE KPAN" },
  { 42326, "VAI SYLLABLE MGBA" },
  { 42327, "VAI SYLLABLE GBA" },
  { 42328, "VAI SYLLABLE FA" },
  { 42329, "VAI SYLLABLE VA" },
  { 42330, "VAI SYLLABLE TA" },
  { 42331, "VAI SYLLABLE THA" },
  { 42332, "VAI SYLLABLE DHA" },
  { 42333, "VAI SYLLABLE DHHA" },
  { 42334, "VAI SYLLABLE LA" },
  { 42335, "VAI SYLLABLE RA" },
  { 42336, "VAI SYLLABLE DA" },
  { 42337, "VAI SYLLABLE NDA" },
  { 42338, "VAI SYLLABLE SA" },
  { 42339, "VAI SYLLABLE SHA" },
  { 42340, "VAI SYLLABLE ZA" },
  { 42341, "VAI SYLLABLE ZHA" },
  { 42342, "VAI SYLLABLE CA" },
  { 42343, "VAI SYLLABLE JA" },
  { 42344, "VAI SYLLABLE NJA" },
  { 42345, "VAI SYLLABLE YA" },
  { 42346, "VAI SYLLABLE KA" },
  { 42347, "VAI SYLLABLE KAN" },
  { 42348, "VAI SYLLABLE NGGA" },
  { 42349, "VAI SYLLABLE GA" },
  { 42350, "VAI SYLLABLE MA" },
  { 42351, "VAI SYLLABLE NA" },
  { 42352, "VAI SYLLABLE NYA" },
  { 42353, "VAI SYLLABLE OO" },
  { 42354, "VAI SYLLABLE OON" },
  { 42355, "VAI SYLLABLE HOO" },
  { 42356, "VAI SYLLABLE WOO" },
  { 42357, "VAI SYLLABLE WOON" },
  { 42358, "VAI SYLLABLE POO" },
  { 42359, "VAI SYLLABLE BHOO" },
  { 42360, "VAI SYLLABLE BOO" },
  { 42361, "VAI SYLLABLE MBOO" },
  { 42362, "VAI SYLLABLE KPOO" },
  { 42363, "VAI SYLLABLE MGBOO" },
  { 42364, "VAI SYLLABLE GBOO" },
  { 42365, "VAI SYLLABLE FOO" },
  { 42366, "VAI SYLLABLE VOO" },
  { 42367, "VAI SYLLABLE TOO" },
  { 42368, "VAI SYLLABLE THOO" },
  { 42369, "VAI SYLLABLE DHOO" },
  { 42370, "VAI SYLLABLE DHHOO" },
  { 42371, "VAI SYLLABLE LOO" },
  { 42372, "VAI SYLLABLE ROO" },
  { 42373, "VAI SYLLABLE DOO" },
  { 42374, "VAI SYLLABLE NDOO" },
  { 42375, "VAI SYLLABLE SOO" },
  { 42376, "VAI SYLLABLE SHOO" },
  { 42377, "VAI SYLLABLE ZOO" },
  { 42378, "VAI SYLLABLE ZHOO" },
  { 42379, "VAI SYLLABLE COO" },
  { 42380, "VAI SYLLABLE JOO" },
  { 42381, "VAI SYLLABLE NJOO" },
  { 42382, "VAI SYLLABLE YOO" },
  { 42383, "VAI SYLLABLE KOO" },
  { 42384, "VAI SYLLABLE NGGOO" },
  { 42385, "VAI SYLLABLE GOO" },
  { 42386, "VAI SYLLABLE MOO" },
  { 42387, "VAI SYLLABLE NOO" },
  { 42388, "VAI SYLLABLE NYOO" },
  { 42389, "VAI SYLLABLE U" },
  { 42390, "VAI SYLLABLE UN" },
  { 42391, "VAI SYLLABLE HU" },
  { 42392, "VAI SYLLABLE HUN" },
  { 42393, "VAI SYLLABLE WU" },
  { 42394, "VAI SYLLABLE WUN" },
  { 42395, "VAI SYLLABLE PU" },
  { 42396, "VAI SYLLABLE BHU" },
  { 42397, "VAI SYLLABLE BU" },
  { 42398, "VAI SYLLABLE MBU" },
  { 42399, "VAI SYLLABLE KPU" },
  { 42400, "VAI SYLLABLE MGBU" },
  { 42401, "VAI SYLLABLE GBU" },
  { 42402, "VAI SYLLABLE FU" },
  { 42403, "VAI SYLLABLE VU" },
  { 42404, "VAI SYLLABLE TU" },
  { 42405, "VAI SYLLABLE THU" },
  { 42406, "VAI SYLLABLE DHU" },
  { 42407, "VAI SYLLABLE DHHU" },
  { 42408, "VAI SYLLABLE LU" },
  { 42409, "VAI SYLLABLE RU" },
  { 42410, "VAI SYLLABLE DU" },
  { 42411, "VAI SYLLABLE NDU" },
  { 42412, "VAI SYLLABLE SU" },
  { 42413, "VAI SYLLABLE SHU" },
  { 42414, "VAI SYLLABLE ZU" },
  { 42415, "VAI SYLLABLE ZHU" },
  { 42416, "VAI SYLLABLE CU" },
  { 42417, "VAI SYLLABLE JU" },
  { 42418, "VAI SYLLABLE NJU" },
  { 42419, "VAI SYLLABLE YU" },
  { 42420, "VAI SYLLABLE KU" },
  { 42421, "VAI SYLLABLE NGGU" },
  { 42422, "VAI SYLLABLE GU" },
  { 42423, "VAI SYLLABLE MU" },
  { 42424, "VAI SYLLABLE NU" },
  { 42425, "VAI SYLLABLE NYU" },
  { 42426, "VAI SYLLABLE O" },
  { 42427, "VAI SYLLABLE ON" },
  { 42428, "VAI SYLLABLE NGON" },
  { 42429, "VAI SYLLABLE HO" },
  { 42430, "VAI SYLLABLE HON" },
  { 42431, "VAI SYLLABLE WO" },
  { 42432, "VAI SYLLABLE WON" },
  { 42433, "VAI SYLLABLE PO" },
  { 42434, "VAI SYLLABLE BHO" },
  { 42435, "VAI SYLLABLE BO" },
  { 42436, "VAI SYLLABLE MBO" },
  { 42437, "VAI SYLLABLE KPO" },
  { 42438, "VAI SYLLABLE MGBO" },
  { 42439, "VAI SYLLABLE GBO" },
  { 42440, "VAI SYLLABLE GBON" },
  { 42441, "VAI SYLLABLE FO" },
  { 42442, "VAI SYLLABLE VO" },
  { 42443, "VAI SYLLABLE TO" },
  { 42444, "VAI SYLLABLE THO" },
  { 42445, "VAI SYLLABLE DHO" },
  { 42446, "VAI SYLLABLE DHHO" },
  { 42447, "VAI SYLLABLE LO" },
  { 42448, "VAI SYLLABLE RO" },
  { 42449, "VAI SYLLABLE DO" },
  { 42450, "VAI SYLLABLE NDO" },
  { 42451, "VAI SYLLABLE SO" },
  { 42452, "VAI SYLLABLE SHO" },
  { 42453, "VAI SYLLABLE ZO" },
  { 42454, "VAI SYLLABLE ZHO" },
  { 42455, "VAI SYLLABLE CO" },
  { 42456, "VAI SYLLABLE JO" },
  { 42457, "VAI SYLLABLE NJO" },
  { 42458, "VAI SYLLABLE YO" },
  { 42459, "VAI SYLLABLE KO" },
  { 42460, "VAI SYLLABLE NGGO" },
  { 42461, "VAI SYLLABLE GO" },
  { 42462, "VAI SYLLABLE MO" },
  { 42463, "VAI SYLLABLE NO" },
  { 42464, "VAI SYLLABLE NYO" },
  { 42465, "VAI SYLLABLE E" },
  { 42466, "VAI SYLLABLE EN" },
  { 42467, "VAI SYLLABLE NGEN" },
  { 42468, "VAI SYLLABLE HE" },
  { 42469, "VAI SYLLABLE HEN" },
  { 42470, "VAI SYLLABLE WE" },
  { 42471, "VAI SYLLABLE WEN" },
  { 42472, "VAI SYLLABLE PE" },
  { 42473, "VAI SYLLABLE BHE" },
  { 42474, "VAI SYLLABLE BE" },
  { 42475, "VAI SYLLABLE MBE" },
  { 42476, "VAI SYLLABLE KPE" },
  { 42477, "VAI SYLLABLE KPEN" },
  { 42478, "VAI SYLLABLE MGBE" },
  { 42479, "VAI SYLLABLE GBE" },
  { 42480, "VAI SYLLABLE GBEN" },
  { 42481, "VAI SYLLABLE FE" },
  { 42482, "VAI SYLLABLE VE" },
  { 42483, "VAI SYLLABLE TE" },
  { 42484, "VAI SYLLABLE THE" },
  { 42485, "VAI SYLLABLE DHE" },
  { 42486, "VAI SYLLABLE DHHE" },
  { 42487, "VAI SYLLABLE LE" },
  { 42488, "VAI SYLLABLE RE" },
  { 42489, "VAI SYLLABLE DE" },
  { 42490, "VAI SYLLABLE NDE" },
  { 42491, "VAI SYLLABLE SE" },
  { 42492, "VAI SYLLABLE SHE" },
  { 42493, "VAI SYLLABLE ZE" },
  { 42494, "VAI SYLLABLE ZHE" },
  { 42495, "VAI SYLLABLE CE" },
  { 42496, "VAI SYLLABLE JE" },
  { 42497, "VAI SYLLABLE NJE" },
  { 42498, "VAI SYLLABLE YE" },
  { 42499, "VAI SYLLABLE KE" },
  { 42500, "VAI SYLLABLE NGGE" },
  { 42501, "VAI SYLLABLE NGGEN" },
  { 42502, "VAI SYLLABLE GE" },
  { 42503, "VAI SYLLABLE GEN" },
  { 42504, "VAI SYLLABLE ME" },
  { 42505, "VAI SYLLABLE NE" },
  { 42506, "VAI SYLLABLE NYE" },
  { 42507, "VAI SYLLABLE NG" },
  { 42508, "VAI SYLLABLE LENGTHENER" },
  { 42509, "VAI COMMA" },
  { 42510, "VAI FULL STOP" },
  { 42511, "VAI QUESTION MARK" },
  { 42512, "VAI SYLLABLE NDOLE FA" },
  { 42513, "VAI SYLLABLE NDOLE KA" },
  { 42514, "VAI SYLLABLE NDOLE SOO" },
  { 42515, "VAI SYMBOL FEENG" },
  { 42516, "VAI SYMBOL KEENG" },
  { 42517, "VAI SYMBOL TING" },
  { 42518, "VAI SYMBOL NII" },
  { 42519, "VAI SYMBOL BANG" },
  { 42520, "VAI SYMBOL FAA" },
  { 42521, "VAI SYMBOL TAA" },
  { 42522, "VAI SYMBOL DANG" },
  { 42523, "VAI SYMBOL DOONG" },
  { 42524, "VAI SYMBOL KUNG" },
  { 42525, "VAI SYMBOL TONG" },
  { 42526, "VAI SYMBOL DO-O" },
  { 42527, "VAI SYMBOL JONG" },
  { 42528, "VAI DIGIT ZERO" },
  { 42529, "VAI DIGIT ONE" },
  { 42530, "VAI DIGIT TWO" },
  { 42531, "VAI DIGIT THREE" },
  { 42532, "VAI DIGIT FOUR" },
  { 42533, "VAI DIGIT FIVE" },
  { 42534, "VAI DIGIT SIX" },
  { 42535, "VAI DIGIT SEVEN" },
  { 42536, "VAI DIGIT EIGHT" },
  { 42537, "VAI DIGIT NINE" },
  { 42538, "VAI SYLLABLE NDOLE MA" },
  { 42539, "VAI SYLLABLE NDOLE DO" },
  { 42560, "CYRILLIC CAPITAL LETTER ZEMLYA" },
  { 42561, "CYRILLIC SMALL LETTER ZEMLYA" },
  { 42562, "CYRILLIC CAPITAL LETTER DZELO" },
  { 42563, "CYRILLIC SMALL LETTER DZELO" },
  { 42564, "CYRILLIC CAPITAL LETTER REVERSED DZE" },
  { 42565, "CYRILLIC SMALL LETTER REVERSED DZE" },
  { 42566, "CYRILLIC CAPITAL LETTER IOTA" },
  { 42567, "CYRILLIC SMALL LETTER IOTA" },
  { 42568, "CYRILLIC CAPITAL LETTER DJERV" },
  { 42569, "CYRILLIC SMALL LETTER DJERV" },
  { 42570, "CYRILLIC CAPITAL LETTER MONOGRAPH UK" },
  { 42571, "CYRILLIC SMALL LETTER MONOGRAPH UK" },
  { 42572, "CYRILLIC CAPITAL LETTER BROAD OMEGA" },
  { 42573, "CYRILLIC SMALL LETTER BROAD OMEGA" },
  { 42574, "CYRILLIC CAPITAL LETTER NEUTRAL YER" },
  { 42575, "CYRILLIC SMALL LETTER NEUTRAL YER" },
  { 42576, "CYRILLIC CAPITAL LETTER YERU WITH BACK YER" },
  { 42577, "CYRILLIC SMALL LETTER YERU WITH BACK YER" },
  { 42578, "CYRILLIC CAPITAL LETTER IOTIFIED YAT" },
  { 42579, "CYRILLIC SMALL LETTER IOTIFIED YAT" },
  { 42580, "CYRILLIC CAPITAL LETTER REVERSED YU" },
  { 42581, "CYRILLIC SMALL LETTER REVERSED YU" },
  { 42582, "CYRILLIC CAPITAL LETTER IOTIFIED A" },
  { 42583, "CYRILLIC SMALL LETTER IOTIFIED A" },
  { 42584, "CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS" },
  { 42585, "CYRILLIC SMALL LETTER CLOSED LITTLE YUS" },
  { 42586, "CYRILLIC CAPITAL LETTER BLENDED YUS" },
  { 42587, "CYRILLIC SMALL LETTER BLENDED YUS" },
  { 42588, "CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS" },
  { 42589, "CYRILLIC SMALL LETTER IOTIFIED CLOSED LITTLE YUS" },
  { 42590, "CYRILLIC CAPITAL LETTER YN" },
  { 42591, "CYRILLIC SMALL LETTER YN" },
  { 42594, "CYRILLIC CAPITAL LETTER SOFT DE" },
  { 42595, "CYRILLIC SMALL LETTER SOFT DE" },
  { 42596, "CYRILLIC CAPITAL LETTER SOFT EL" },
  { 42597, "CYRILLIC SMALL LETTER SOFT EL" },
  { 42598, "CYRILLIC CAPITAL LETTER SOFT EM" },
  { 42599, "CYRILLIC SMALL LETTER SOFT EM" },
  { 42600, "CYRILLIC CAPITAL LETTER MONOCULAR O" },
  { 42601, "CYRILLIC SMALL LETTER MONOCULAR O" },
  { 42602, "CYRILLIC CAPITAL LETTER BINOCULAR O" },
  { 42603, "CYRILLIC SMALL LETTER BINOCULAR O" },
  { 42604, "CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O" },
  { 42605, "CYRILLIC SMALL LETTER DOUBLE MONOCULAR O" },
  { 42606, "CYRILLIC LETTER MULTIOCULAR O" },
  { 42607, "COMBINING CYRILLIC VZMET" },
  { 42608, "COMBINING CYRILLIC TEN MILLIONS SIGN" },
  { 42609, "COMBINING CYRILLIC HUNDRED MILLIONS SIGN" },
  { 42610, "COMBINING CYRILLIC THOUSAND MILLIONS SIGN" },
  { 42611, "SLAVONIC ASTERISK" },
  { 42620, "COMBINING CYRILLIC KAVYKA" },
  { 42621, "COMBINING CYRILLIC PAYEROK" },
  { 42622, "CYRILLIC KAVYKA" },
  { 42623, "CYRILLIC PAYEROK" },
  { 42624, "CYRILLIC CAPITAL LETTER DWE" },
  { 42625, "CYRILLIC SMALL LETTER DWE" },
  { 42626, "CYRILLIC CAPITAL LETTER DZWE" },
  { 42627, "CYRILLIC SMALL LETTER DZWE" },
  { 42628, "CYRILLIC CAPITAL LETTER ZHWE" },
  { 42629, "CYRILLIC SMALL LETTER ZHWE" },
  { 42630, "CYRILLIC CAPITAL LETTER CCHE" },
  { 42631, "CYRILLIC SMALL LETTER CCHE" },
  { 42632, "CYRILLIC CAPITAL LETTER DZZE" },
  { 42633, "CYRILLIC SMALL LETTER DZZE" },
  { 42634, "CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK" },
  { 42635, "CYRILLIC SMALL LETTER TE WITH MIDDLE HOOK" },
  { 42636, "CYRILLIC CAPITAL LETTER TWE" },
  { 42637, "CYRILLIC SMALL LETTER TWE" },
  { 42638, "CYRILLIC CAPITAL LETTER TSWE" },
  { 42639, "CYRILLIC SMALL LETTER TSWE" },
  { 42640, "CYRILLIC CAPITAL LETTER TSSE" },
  { 42641, "CYRILLIC SMALL LETTER TSSE" },
  { 42642, "CYRILLIC CAPITAL LETTER TCHE" },
  { 42643, "CYRILLIC SMALL LETTER TCHE" },
  { 42644, "CYRILLIC CAPITAL LETTER HWE" },
  { 42645, "CYRILLIC SMALL LETTER HWE" },
  { 42646, "CYRILLIC CAPITAL LETTER SHWE" },
  { 42647, "CYRILLIC SMALL LETTER SHWE" },
  { 42752, "MODIFIER LETTER CHINESE TONE YIN PING" },
  { 42753, "MODIFIER LETTER CHINESE TONE YANG PING" },
  { 42754, "MODIFIER LETTER CHINESE TONE YIN SHANG" },
  { 42755, "MODIFIER LETTER CHINESE TONE YANG SHANG" },
  { 42756, "MODIFIER LETTER CHINESE TONE YIN QU" },
  { 42757, "MODIFIER LETTER CHINESE TONE YANG QU" },
  { 42758, "MODIFIER LETTER CHINESE TONE YIN RU" },
  { 42759, "MODIFIER LETTER CHINESE TONE YANG RU" },
  { 42760, "MODIFIER LETTER EXTRA-HIGH DOTTED TONE BAR" },
  { 42761, "MODIFIER LETTER HIGH DOTTED TONE BAR" },
  { 42762, "MODIFIER LETTER MID DOTTED TONE BAR" },
  { 42763, "MODIFIER LETTER LOW DOTTED TONE BAR" },
  { 42764, "MODIFIER LETTER EXTRA-LOW DOTTED TONE BAR" },
  { 42765, "MODIFIER LETTER EXTRA-HIGH DOTTED LEFT-STEM TONE BAR" },
  { 42766, "MODIFIER LETTER HIGH DOTTED LEFT-STEM TONE BAR" },
  { 42767, "MODIFIER LETTER MID DOTTED LEFT-STEM TONE BAR" },
  { 42768, "MODIFIER LETTER LOW DOTTED LEFT-STEM TONE BAR" },
  { 42769, "MODIFIER LETTER EXTRA-LOW DOTTED LEFT-STEM TONE BAR" },
  { 42770, "MODIFIER LETTER EXTRA-HIGH LEFT-STEM TONE BAR" },
  { 42771, "MODIFIER LETTER HIGH LEFT-STEM TONE BAR" },
  { 42772, "MODIFIER LETTER MID LEFT-STEM TONE BAR" },
  { 42773, "MODIFIER LETTER LOW LEFT-STEM TONE BAR" },
  { 42774, "MODIFIER LETTER EXTRA-LOW LEFT-STEM TONE BAR" },
  { 42775, "MODIFIER LETTER DOT VERTICAL BAR" },
  { 42776, "MODIFIER LETTER DOT SLASH" },
  { 42777, "MODIFIER LETTER DOT HORIZONTAL BAR" },
  { 42778, "MODIFIER LETTER LOWER RIGHT CORNER ANGLE" },
  { 42779, "MODIFIER LETTER RAISED UP ARROW" },
  { 42780, "MODIFIER LETTER RAISED DOWN ARROW" },
  { 42781, "MODIFIER LETTER RAISED EXCLAMATION MARK" },
  { 42782, "MODIFIER LETTER RAISED INVERTED EXCLAMATION MARK" },
  { 42783, "MODIFIER LETTER LOW INVERTED EXCLAMATION MARK" },
  { 42784, "MODIFIER LETTER STRESS AND HIGH TONE" },
  { 42785, "MODIFIER LETTER STRESS AND LOW TONE" },
  { 42786, "LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF" },
  { 42787, "LATIN SMALL LETTER EGYPTOLOGICAL ALEF" },
  { 42788, "LATIN CAPITAL LETTER EGYPTOLOGICAL AIN" },
  { 42789, "LATIN SMALL LETTER EGYPTOLOGICAL AIN" },
  { 42790, "LATIN CAPITAL LETTER HENG" },
  { 42791, "LATIN SMALL LETTER HENG" },
  { 42792, "LATIN CAPITAL LETTER TZ" },
  { 42793, "LATIN SMALL LETTER TZ" },
  { 42794, "LATIN CAPITAL LETTER TRESILLO" },
  { 42795, "LATIN SMALL LETTER TRESILLO" },
  { 42796, "LATIN CAPITAL LETTER CUATRILLO" },
  { 42797, "LATIN SMALL LETTER CUATRILLO" },
  { 42798, "LATIN CAPITAL LETTER CUATRILLO WITH COMMA" },
  { 42799, "LATIN SMALL LETTER CUATRILLO WITH COMMA" },
  { 42800, "LATIN LETTER SMALL CAPITAL F" },
  { 42801, "LATIN LETTER SMALL CAPITAL S" },
  { 42802, "LATIN CAPITAL LETTER AA" },
  { 42803, "LATIN SMALL LETTER AA" },
  { 42804, "LATIN CAPITAL LETTER AO" },
  { 42805, "LATIN SMALL LETTER AO" },
  { 42806, "LATIN CAPITAL LETTER AU" },
  { 42807, "LATIN SMALL LETTER AU" },
  { 42808, "LATIN CAPITAL LETTER AV" },
  { 42809, "LATIN SMALL LETTER AV" },
  { 42810, "LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR" },
  { 42811, "LATIN SMALL LETTER AV WITH HORIZONTAL BAR" },
  { 42812, "LATIN CAPITAL LETTER AY" },
  { 42813, "LATIN SMALL LETTER AY" },
  { 42814, "LATIN CAPITAL LETTER REVERSED C WITH DOT" },
  { 42815, "LATIN SMALL LETTER REVERSED C WITH DOT" },
  { 42816, "LATIN CAPITAL LETTER K WITH STROKE" },
  { 42817, "LATIN SMALL LETTER K WITH STROKE" },
  { 42818, "LATIN CAPITAL LETTER K WITH DIAGONAL STROKE" },
  { 42819, "LATIN SMALL LETTER K WITH DIAGONAL STROKE" },
  { 42820, "LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE" },
  { 42821, "LATIN SMALL LETTER K WITH STROKE AND DIAGONAL STROKE" },
  { 42822, "LATIN CAPITAL LETTER BROKEN L" },
  { 42823, "LATIN SMALL LETTER BROKEN L" },
  { 42824, "LATIN CAPITAL LETTER L WITH HIGH STROKE" },
  { 42825, "LATIN SMALL LETTER L WITH HIGH STROKE" },
  { 42826, "LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY" },
  { 42827, "LATIN SMALL LETTER O WITH LONG STROKE OVERLAY" },
  { 42828, "LATIN CAPITAL LETTER O WITH LOOP" },
  { 42829, "LATIN SMALL LETTER O WITH LOOP" },
  { 42830, "LATIN CAPITAL LETTER OO" },
  { 42831, "LATIN SMALL LETTER OO" },
  { 42832, "LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER" },
  { 42833, "LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER" },
  { 42834, "LATIN CAPITAL LETTER P WITH FLOURISH" },
  { 42835, "LATIN SMALL LETTER P WITH FLOURISH" },
  { 42836, "LATIN CAPITAL LETTER P WITH SQUIRREL TAIL" },
  { 42837, "LATIN SMALL LETTER P WITH SQUIRREL TAIL" },
  { 42838, "LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER" },
  { 42839, "LATIN SMALL LETTER Q WITH STROKE THROUGH DESCENDER" },
  { 42840, "LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE" },
  { 42841, "LATIN SMALL LETTER Q WITH DIAGONAL STROKE" },
  { 42842, "LATIN CAPITAL LETTER R ROTUNDA" },
  { 42843, "LATIN SMALL LETTER R ROTUNDA" },
  { 42844, "LATIN CAPITAL LETTER RUM ROTUNDA" },
  { 42845, "LATIN SMALL LETTER RUM ROTUNDA" },
  { 42846, "LATIN CAPITAL LETTER V WITH DIAGONAL STROKE" },
  { 42847, "LATIN SMALL LETTER V WITH DIAGONAL STROKE" },
  { 42848, "LATIN CAPITAL LETTER VY" },
  { 42849, "LATIN SMALL LETTER VY" },
  { 42850, "LATIN CAPITAL LETTER VISIGOTHIC Z" },
  { 42851, "LATIN SMALL LETTER VISIGOTHIC Z" },
  { 42852, "LATIN CAPITAL LETTER THORN WITH STROKE" },
  { 42853, "LATIN SMALL LETTER THORN WITH STROKE" },
  { 42854, "LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER" },
  { 42855, "LATIN SMALL LETTER THORN WITH STROKE THROUGH DESCENDER" },
  { 42856, "LATIN CAPITAL LETTER VEND" },
  { 42857, "LATIN SMALL LETTER VEND" },
  { 42858, "LATIN CAPITAL LETTER ET" },
  { 42859, "LATIN SMALL LETTER ET" },
  { 42860, "LATIN CAPITAL LETTER IS" },
  { 42861, "LATIN SMALL LETTER IS" },
  { 42862, "LATIN CAPITAL LETTER CON" },
  { 42863, "LATIN SMALL LETTER CON" },
  { 42864, "MODIFIER LETTER US" },
  { 42865, "LATIN SMALL LETTER DUM" },
  { 42866, "LATIN SMALL LETTER LUM" },
  { 42867, "LATIN SMALL LETTER MUM" },
  { 42868, "LATIN SMALL LETTER NUM" },
  { 42869, "LATIN SMALL LETTER RUM" },
  { 42870, "LATIN LETTER SMALL CAPITAL RUM" },
  { 42871, "LATIN SMALL LETTER TUM" },
  { 42872, "LATIN SMALL LETTER UM" },
  { 42873, "LATIN CAPITAL LETTER INSULAR D" },
  { 42874, "LATIN SMALL LETTER INSULAR D" },
  { 42875, "LATIN CAPITAL LETTER INSULAR F" },
  { 42876, "LATIN SMALL LETTER INSULAR F" },
  { 42877, "LATIN CAPITAL LETTER INSULAR G" },
  { 42878, "LATIN CAPITAL LETTER TURNED INSULAR G" },
  { 42879, "LATIN SMALL LETTER TURNED INSULAR G" },
  { 42880, "LATIN CAPITAL LETTER TURNED L" },
  { 42881, "LATIN SMALL LETTER TURNED L" },
  { 42882, "LATIN CAPITAL LETTER INSULAR R" },
  { 42883, "LATIN SMALL LETTER INSULAR R" },
  { 42884, "LATIN CAPITAL LETTER INSULAR S" },
  { 42885, "LATIN SMALL LETTER INSULAR S" },
  { 42886, "LATIN CAPITAL LETTER INSULAR T" },
  { 42887, "LATIN SMALL LETTER INSULAR T" },
  { 42888, "MODIFIER LETTER LOW CIRCUMFLEX ACCENT" },
  { 42889, "MODIFIER LETTER COLON" },
  { 42890, "MODIFIER LETTER SHORT EQUALS SIGN" },
  { 42891, "LATIN CAPITAL LETTER SALTILLO" },
  { 42892, "LATIN SMALL LETTER SALTILLO" },
  { 43003, "LATIN EPIGRAPHIC LETTER REVERSED F" },
  { 43004, "LATIN EPIGRAPHIC LETTER REVERSED P" },
  { 43005, "LATIN EPIGRAPHIC LETTER INVERTED M" },
  { 43006, "LATIN EPIGRAPHIC LETTER I LONGA" },
  { 43007, "LATIN EPIGRAPHIC LETTER ARCHAIC M" },
  { 43008, "SYLOTI NAGRI LETTER A" },
  { 43009, "SYLOTI NAGRI LETTER I" },
  { 43010, "SYLOTI NAGRI SIGN DVISVARA" },
  { 43011, "SYLOTI NAGRI LETTER U" },
  { 43012, "SYLOTI NAGRI LETTER E" },
  { 43013, "SYLOTI NAGRI LETTER O" },
  { 43014, "SYLOTI NAGRI SIGN HASANTA" },
  { 43015, "SYLOTI NAGRI LETTER KO" },
  { 43016, "SYLOTI NAGRI LETTER KHO" },
  { 43017, "SYLOTI NAGRI LETTER GO" },
  { 43018, "SYLOTI NAGRI LETTER GHO" },
  { 43019, "SYLOTI NAGRI SIGN ANUSVARA" },
  { 43020, "SYLOTI NAGRI LETTER CO" },
  { 43021, "SYLOTI NAGRI LETTER CHO" },
  { 43022, "SYLOTI NAGRI LETTER JO" },
  { 43023, "SYLOTI NAGRI LETTER JHO" },
  { 43024, "SYLOTI NAGRI LETTER TTO" },
  { 43025, "SYLOTI NAGRI LETTER TTHO" },
  { 43026, "SYLOTI NAGRI LETTER DDO" },
  { 43027, "SYLOTI NAGRI LETTER DDHO" },
  { 43028, "SYLOTI NAGRI LETTER TO" },
  { 43029, "SYLOTI NAGRI LETTER THO" },
  { 43030, "SYLOTI NAGRI LETTER DO" },
  { 43031, "SYLOTI NAGRI LETTER DHO" },
  { 43032, "SYLOTI NAGRI LETTER NO" },
  { 43033, "SYLOTI NAGRI LETTER PO" },
  { 43034, "SYLOTI NAGRI LETTER PHO" },
  { 43035, "SYLOTI NAGRI LETTER BO" },
  { 43036, "SYLOTI NAGRI LETTER BHO" },
  { 43037, "SYLOTI NAGRI LETTER MO" },
  { 43038, "SYLOTI NAGRI LETTER RO" },
  { 43039, "SYLOTI NAGRI LETTER LO" },
  { 43040, "SYLOTI NAGRI LETTER RRO" },
  { 43041, "SYLOTI NAGRI LETTER SO" },
  { 43042, "SYLOTI NAGRI LETTER HO" },
  { 43043, "SYLOTI NAGRI VOWEL SIGN A" },
  { 43044, "SYLOTI NAGRI VOWEL SIGN I" },
  { 43045, "SYLOTI NAGRI VOWEL SIGN U" },
  { 43046, "SYLOTI NAGRI VOWEL SIGN E" },
  { 43047, "SYLOTI NAGRI VOWEL SIGN OO" },
  { 43048, "SYLOTI NAGRI POETRY MARK-1" },
  { 43049, "SYLOTI NAGRI POETRY MARK-2" },
  { 43050, "SYLOTI NAGRI POETRY MARK-3" },
  { 43051, "SYLOTI NAGRI POETRY MARK-4" },
  { 43072, "PHAGS-PA LETTER KA" },
  { 43073, "PHAGS-PA LETTER KHA" },
  { 43074, "PHAGS-PA LETTER GA" },
  { 43075, "PHAGS-PA LETTER NGA" },
  { 43076, "PHAGS-PA LETTER CA" },
  { 43077, "PHAGS-PA LETTER CHA" },
  { 43078, "PHAGS-PA LETTER JA" },
  { 43079, "PHAGS-PA LETTER NYA" },
  { 43080, "PHAGS-PA LETTER TA" },
  { 43081, "PHAGS-PA LETTER THA" },
  { 43082, "PHAGS-PA LETTER DA" },
  { 43083, "PHAGS-PA LETTER NA" },
  { 43084, "PHAGS-PA LETTER PA" },
  { 43085, "PHAGS-PA LETTER PHA" },
  { 43086, "PHAGS-PA LETTER BA" },
  { 43087, "PHAGS-PA LETTER MA" },
  { 43088, "PHAGS-PA LETTER TSA" },
  { 43089, "PHAGS-PA LETTER TSHA" },
  { 43090, "PHAGS-PA LETTER DZA" },
  { 43091, "PHAGS-PA LETTER WA" },
  { 43092, "PHAGS-PA LETTER ZHA" },
  { 43093, "PHAGS-PA LETTER ZA" },
  { 43094, "PHAGS-PA LETTER SMALL A" },
  { 43095, "PHAGS-PA LETTER YA" },
  { 43096, "PHAGS-PA LETTER RA" },
  { 43097, "PHAGS-PA LETTER LA" },
  { 43098, "PHAGS-PA LETTER SHA" },
  { 43099, "PHAGS-PA LETTER SA" },
  { 43100, "PHAGS-PA LETTER HA" },
  { 43101, "PHAGS-PA LETTER A" },
  { 43102, "PHAGS-PA LETTER I" },
  { 43103, "PHAGS-PA LETTER U" },
  { 43104, "PHAGS-PA LETTER E" },
  { 43105, "PHAGS-PA LETTER O" },
  { 43106, "PHAGS-PA LETTER QA" },
  { 43107, "PHAGS-PA LETTER XA" },
  { 43108, "PHAGS-PA LETTER FA" },
  { 43109, "PHAGS-PA LETTER GGA" },
  { 43110, "PHAGS-PA LETTER EE" },
  { 43111, "PHAGS-PA SUBJOINED LETTER WA" },
  { 43112, "PHAGS-PA SUBJOINED LETTER YA" },
  { 43113, "PHAGS-PA LETTER TTA" },
  { 43114, "PHAGS-PA LETTER TTHA" },
  { 43115, "PHAGS-PA LETTER DDA" },
  { 43116, "PHAGS-PA LETTER NNA" },
  { 43117, "PHAGS-PA LETTER ALTERNATE YA" },
  { 43118, "PHAGS-PA LETTER VOICELESS SHA" },
  { 43119, "PHAGS-PA LETTER VOICED HA" },
  { 43120, "PHAGS-PA LETTER ASPIRATED FA" },
  { 43121, "PHAGS-PA SUBJOINED LETTER RA" },
  { 43122, "PHAGS-PA SUPERFIXED LETTER RA" },
  { 43123, "PHAGS-PA LETTER CANDRABINDU" },
  { 43124, "PHAGS-PA SINGLE HEAD MARK" },
  { 43125, "PHAGS-PA DOUBLE HEAD MARK" },
  { 43126, "PHAGS-PA MARK SHAD" },
  { 43127, "PHAGS-PA MARK DOUBLE SHAD" },
  { 43136, "SAURASHTRA SIGN ANUSVARA" },
  { 43137, "SAURASHTRA SIGN VISARGA" },
  { 43138, "SAURASHTRA LETTER A" },
  { 43139, "SAURASHTRA LETTER AA" },
  { 43140, "SAURASHTRA LETTER I" },
  { 43141, "SAURASHTRA LETTER II" },
  { 43142, "SAURASHTRA LETTER U" },
  { 43143, "SAURASHTRA LETTER UU" },
  { 43144, "SAURASHTRA LETTER VOCALIC R" },
  { 43145, "SAURASHTRA LETTER VOCALIC RR" },
  { 43146, "SAURASHTRA LETTER VOCALIC L" },
  { 43147, "SAURASHTRA LETTER VOCALIC LL" },
  { 43148, "SAURASHTRA LETTER E" },
  { 43149, "SAURASHTRA LETTER EE" },
  { 43150, "SAURASHTRA LETTER AI" },
  { 43151, "SAURASHTRA LETTER O" },
  { 43152, "SAURASHTRA LETTER OO" },
  { 43153, "SAURASHTRA LETTER AU" },
  { 43154, "SAURASHTRA LETTER KA" },
  { 43155, "SAURASHTRA LETTER KHA" },
  { 43156, "SAURASHTRA LETTER GA" },
  { 43157, "SAURASHTRA LETTER GHA" },
  { 43158, "SAURASHTRA LETTER NGA" },
  { 43159, "SAURASHTRA LETTER CA" },
  { 43160, "SAURASHTRA LETTER CHA" },
  { 43161, "SAURASHTRA LETTER JA" },
  { 43162, "SAURASHTRA LETTER JHA" },
  { 43163, "SAURASHTRA LETTER NYA" },
  { 43164, "SAURASHTRA LETTER TTA" },
  { 43165, "SAURASHTRA LETTER TTHA" },
  { 43166, "SAURASHTRA LETTER DDA" },
  { 43167, "SAURASHTRA LETTER DDHA" },
  { 43168, "SAURASHTRA LETTER NNA" },
  { 43169, "SAURASHTRA LETTER TA" },
  { 43170, "SAURASHTRA LETTER THA" },
  { 43171, "SAURASHTRA LETTER DA" },
  { 43172, "SAURASHTRA LETTER DHA" },
  { 43173, "SAURASHTRA LETTER NA" },
  { 43174, "SAURASHTRA LETTER PA" },
  { 43175, "SAURASHTRA LETTER PHA" },
  { 43176, "SAURASHTRA LETTER BA" },
  { 43177, "SAURASHTRA LETTER BHA" },
  { 43178, "SAURASHTRA LETTER MA" },
  { 43179, "SAURASHTRA LETTER YA" },
  { 43180, "SAURASHTRA LETTER RA" },
  { 43181, "SAURASHTRA LETTER LA" },
  { 43182, "SAURASHTRA LETTER VA" },
  { 43183, "SAURASHTRA LETTER SHA" },
  { 43184, "SAURASHTRA LETTER SSA" },
  { 43185, "SAURASHTRA LETTER SA" },
  { 43186, "SAURASHTRA LETTER HA" },
  { 43187, "SAURASHTRA LETTER LLA" },
  { 43188, "SAURASHTRA CONSONANT SIGN HAARU" },
  { 43189, "SAURASHTRA VOWEL SIGN AA" },
  { 43190, "SAURASHTRA VOWEL SIGN I" },
  { 43191, "SAURASHTRA VOWEL SIGN II" },
  { 43192, "SAURASHTRA VOWEL SIGN U" },
  { 43193, "SAURASHTRA VOWEL SIGN UU" },
  { 43194, "SAURASHTRA VOWEL SIGN VOCALIC R" },
  { 43195, "SAURASHTRA VOWEL SIGN VOCALIC RR" },
  { 43196, "SAURASHTRA VOWEL SIGN VOCALIC L" },
  { 43197, "SAURASHTRA VOWEL SIGN VOCALIC LL" },
  { 43198, "SAURASHTRA VOWEL SIGN E" },
  { 43199, "SAURASHTRA VOWEL SIGN EE" },
  { 43200, "SAURASHTRA VOWEL SIGN AI" },
  { 43201, "SAURASHTRA VOWEL SIGN O" },
  { 43202, "SAURASHTRA VOWEL SIGN OO" },
  { 43203, "SAURASHTRA VOWEL SIGN AU" },
  { 43204, "SAURASHTRA SIGN VIRAMA" },
  { 43214, "SAURASHTRA DANDA" },
  { 43215, "SAURASHTRA DOUBLE DANDA" },
  { 43216, "SAURASHTRA DIGIT ZERO" },
  { 43217, "SAURASHTRA DIGIT ONE" },
  { 43218, "SAURASHTRA DIGIT TWO" },
  { 43219, "SAURASHTRA DIGIT THREE" },
  { 43220, "SAURASHTRA DIGIT FOUR" },
  { 43221, "SAURASHTRA DIGIT FIVE" },
  { 43222, "SAURASHTRA DIGIT SIX" },
  { 43223, "SAURASHTRA DIGIT SEVEN" },
  { 43224, "SAURASHTRA DIGIT EIGHT" },
  { 43225, "SAURASHTRA DIGIT NINE" },
  { 43264, "KAYAH LI DIGIT ZERO" },
  { 43265, "KAYAH LI DIGIT ONE" },
  { 43266, "KAYAH LI DIGIT TWO" },
  { 43267, "KAYAH LI DIGIT THREE" },
  { 43268, "KAYAH LI DIGIT FOUR" },
  { 43269, "KAYAH LI DIGIT FIVE" },
  { 43270, "KAYAH LI DIGIT SIX" },
  { 43271, "KAYAH LI DIGIT SEVEN" },
  { 43272, "KAYAH LI DIGIT EIGHT" },
  { 43273, "KAYAH LI DIGIT NINE" },
  { 43274, "KAYAH LI LETTER KA" },
  { 43275, "KAYAH LI LETTER KHA" },
  { 43276, "KAYAH LI LETTER GA" },
  { 43277, "KAYAH LI LETTER NGA" },
  { 43278, "KAYAH LI LETTER SA" },
  { 43279, "KAYAH LI LETTER SHA" },
  { 43280, "KAYAH LI LETTER ZA" },
  { 43281, "KAYAH LI LETTER NYA" },
  { 43282, "KAYAH LI LETTER TA" },
  { 43283, "KAYAH LI LETTER HTA" },
  { 43284, "KAYAH LI LETTER NA" },
  { 43285, "KAYAH LI LETTER PA" },
  { 43286, "KAYAH LI LETTER PHA" },
  { 43287, "KAYAH LI LETTER MA" },
  { 43288, "KAYAH LI LETTER DA" },
  { 43289, "KAYAH LI LETTER BA" },
  { 43290, "KAYAH LI LETTER RA" },
  { 43291, "KAYAH LI LETTER YA" },
  { 43292, "KAYAH LI LETTER LA" },
  { 43293, "KAYAH LI LETTER WA" },
  { 43294, "KAYAH LI LETTER THA" },
  { 43295, "KAYAH LI LETTER HA" },
  { 43296, "KAYAH LI LETTER VA" },
  { 43297, "KAYAH LI LETTER CA" },
  { 43298, "KAYAH LI LETTER A" },
  { 43299, "KAYAH LI LETTER OE" },
  { 43300, "KAYAH LI LETTER I" },
  { 43301, "KAYAH LI LETTER OO" },
  { 43302, "KAYAH LI VOWEL UE" },
  { 43303, "KAYAH LI VOWEL E" },
  { 43304, "KAYAH LI VOWEL U" },
  { 43305, "KAYAH LI VOWEL EE" },
  { 43306, "KAYAH LI VOWEL O" },
  { 43307, "KAYAH LI TONE PLOPHU" },
  { 43308, "KAYAH LI TONE CALYA" },
  { 43309, "KAYAH LI TONE CALYA PLOPHU" },
  { 43310, "KAYAH LI SIGN CWI" },
  { 43311, "KAYAH LI SIGN SHYA" },
  { 43312, "REJANG LETTER KA" },
  { 43313, "REJANG LETTER GA" },
  { 43314, "REJANG LETTER NGA" },
  { 43315, "REJANG LETTER TA" },
  { 43316, "REJANG LETTER DA" },
  { 43317, "REJANG LETTER NA" },
  { 43318, "REJANG LETTER PA" },
  { 43319, "REJANG LETTER BA" },
  { 43320, "REJANG LETTER MA" },
  { 43321, "REJANG LETTER CA" },
  { 43322, "REJANG LETTER JA" },
  { 43323, "REJANG LETTER NYA" },
  { 43324, "REJANG LETTER SA" },
  { 43325, "REJANG LETTER RA" },
  { 43326, "REJANG LETTER LA" },
  { 43327, "REJANG LETTER YA" },
  { 43328, "REJANG LETTER WA" },
  { 43329, "REJANG LETTER HA" },
  { 43330, "REJANG LETTER MBA" },
  { 43331, "REJANG LETTER NGGA" },
  { 43332, "REJANG LETTER NDA" },
  { 43333, "REJANG LETTER NYJA" },
  { 43334, "REJANG LETTER A" },
  { 43335, "REJANG VOWEL SIGN I" },
  { 43336, "REJANG VOWEL SIGN U" },
  { 43337, "REJANG VOWEL SIGN E" },
  { 43338, "REJANG VOWEL SIGN AI" },
  { 43339, "REJANG VOWEL SIGN O" },
  { 43340, "REJANG VOWEL SIGN AU" },
  { 43341, "REJANG VOWEL SIGN EU" },
  { 43342, "REJANG VOWEL SIGN EA" },
  { 43343, "REJANG CONSONANT SIGN NG" },
  { 43344, "REJANG CONSONANT SIGN N" },
  { 43345, "REJANG CONSONANT SIGN R" },
  { 43346, "REJANG CONSONANT SIGN H" },
  { 43347, "REJANG VIRAMA" },
  { 43359, "REJANG SECTION MARK" },
  { 43520, "CHAM LETTER A" },
  { 43521, "CHAM LETTER I" },
  { 43522, "CHAM LETTER U" },
  { 43523, "CHAM LETTER E" },
  { 43524, "CHAM LETTER AI" },
  { 43525, "CHAM LETTER O" },
  { 43526, "CHAM LETTER KA" },
  { 43527, "CHAM LETTER KHA" },
  { 43528, "CHAM LETTER GA" },
  { 43529, "CHAM LETTER GHA" },
  { 43530, "CHAM LETTER NGUE" },
  { 43531, "CHAM LETTER NGA" },
  { 43532, "CHAM LETTER CHA" },
  { 43533, "CHAM LETTER CHHA" },
  { 43534, "CHAM LETTER JA" },
  { 43535, "CHAM LETTER JHA" },
  { 43536, "CHAM LETTER NHUE" },
  { 43537, "CHAM LETTER NHA" },
  { 43538, "CHAM LETTER NHJA" },
  { 43539, "CHAM LETTER TA" },
  { 43540, "CHAM LETTER THA" },
  { 43541, "CHAM LETTER DA" },
  { 43542, "CHAM LETTER DHA" },
  { 43543, "CHAM LETTER NUE" },
  { 43544, "CHAM LETTER NA" },
  { 43545, "CHAM LETTER DDA" },
  { 43546, "CHAM LETTER PA" },
  { 43547, "CHAM LETTER PPA" },
  { 43548, "CHAM LETTER PHA" },
  { 43549, "CHAM LETTER BA" },
  { 43550, "CHAM LETTER BHA" },
  { 43551, "CHAM LETTER MUE" },
  { 43552, "CHAM LETTER MA" },
  { 43553, "CHAM LETTER BBA" },
  { 43554, "CHAM LETTER YA" },
  { 43555, "CHAM LETTER RA" },
  { 43556, "CHAM LETTER LA" },
  { 43557, "CHAM LETTER VA" },
  { 43558, "CHAM LETTER SSA" },
  { 43559, "CHAM LETTER SA" },
  { 43560, "CHAM LETTER HA" },
  { 43561, "CHAM VOWEL SIGN AA" },
  { 43562, "CHAM VOWEL SIGN I" },
  { 43563, "CHAM VOWEL SIGN II" },
  { 43564, "CHAM VOWEL SIGN EI" },
  { 43565, "CHAM VOWEL SIGN U" },
  { 43566, "CHAM VOWEL SIGN OE" },
  { 43567, "CHAM VOWEL SIGN O" },
  { 43568, "CHAM VOWEL SIGN AI" },
  { 43569, "CHAM VOWEL SIGN AU" },
  { 43570, "CHAM VOWEL SIGN UE" },
  { 43571, "CHAM CONSONANT SIGN YA" },
  { 43572, "CHAM CONSONANT SIGN RA" },
  { 43573, "CHAM CONSONANT SIGN LA" },
  { 43574, "CHAM CONSONANT SIGN WA" },
  { 43584, "CHAM LETTER FINAL K" },
  { 43585, "CHAM LETTER FINAL G" },
  { 43586, "CHAM LETTER FINAL NG" },
  { 43587, "CHAM CONSONANT SIGN FINAL NG" },
  { 43588, "CHAM LETTER FINAL CH" },
  { 43589, "CHAM LETTER FINAL T" },
  { 43590, "CHAM LETTER FINAL N" },
  { 43591, "CHAM LETTER FINAL P" },
  { 43592, "CHAM LETTER FINAL Y" },
  { 43593, "CHAM LETTER FINAL R" },
  { 43594, "CHAM LETTER FINAL L" },
  { 43595, "CHAM LETTER FINAL SS" },
  { 43596, "CHAM CONSONANT SIGN FINAL M" },
  { 43597, "CHAM CONSONANT SIGN FINAL H" },
  { 43600, "CHAM DIGIT ZERO" },
  { 43601, "CHAM DIGIT ONE" },
  { 43602, "CHAM DIGIT TWO" },
  { 43603, "CHAM DIGIT THREE" },
  { 43604, "CHAM DIGIT FOUR" },
  { 43605, "CHAM DIGIT FIVE" },
  { 43606, "CHAM DIGIT SIX" },
  { 43607, "CHAM DIGIT SEVEN" },
  { 43608, "CHAM DIGIT EIGHT" },
  { 43609, "CHAM DIGIT NINE" },
  { 43612, "CHAM PUNCTUATION SPIRAL" },
  { 43613, "CHAM PUNCTUATION DANDA" },
  { 43614, "CHAM PUNCTUATION DOUBLE DANDA" },
  { 43615, "CHAM PUNCTUATION TRIPLE DANDA" },
  { 44032, "<Hangul Syllable, First>" },
  { 55203, "<Hangul Syllable, Last>" },
  { 55296, "<Non Private Use High Surrogate, First>" },
  { 56191, "<Non Private Use High Surrogate, Last>" },
  { 56192, "<Private Use High Surrogate, First>" },
  { 56319, "<Private Use High Surrogate, Last>" },
  { 56320, "<Low Surrogate, First>" },
  { 57343, "<Low Surrogate, Last>" },
  { 57344, "<Private Use, First>" },
  { 63743, "<Private Use, Last>" },
  { 63744, "CJK COMPATIBILITY IDEOGRAPH-F900" },
  { 63745, "CJK COMPATIBILITY IDEOGRAPH-F901" },
  { 63746, "CJK COMPATIBILITY IDEOGRAPH-F902" },
  { 63747, "CJK COMPATIBILITY IDEOGRAPH-F903" },
  { 63748, "CJK COMPATIBILITY IDEOGRAPH-F904" },
  { 63749, "CJK COMPATIBILITY IDEOGRAPH-F905" },
  { 63750, "CJK COMPATIBILITY IDEOGRAPH-F906" },
  { 63751, "CJK COMPATIBILITY IDEOGRAPH-F907" },
  { 63752, "CJK COMPATIBILITY IDEOGRAPH-F908" },
  { 63753, "CJK COMPATIBILITY IDEOGRAPH-F909" },
  { 63754, "CJK COMPATIBILITY IDEOGRAPH-F90A" },
  { 63755, "CJK COMPATIBILITY IDEOGRAPH-F90B" },
  { 63756, "CJK COMPATIBILITY IDEOGRAPH-F90C" },
  { 63757, "CJK COMPATIBILITY IDEOGRAPH-F90D" },
  { 63758, "CJK COMPATIBILITY IDEOGRAPH-F90E" },
  { 63759, "CJK COMPATIBILITY IDEOGRAPH-F90F" },
  { 63760, "CJK COMPATIBILITY IDEOGRAPH-F910" },
  { 63761, "CJK COMPATIBILITY IDEOGRAPH-F911" },
  { 63762, "CJK COMPATIBILITY IDEOGRAPH-F912" },
  { 63763, "CJK COMPATIBILITY IDEOGRAPH-F913" },
  { 63764, "CJK COMPATIBILITY IDEOGRAPH-F914" },
  { 63765, "CJK COMPATIBILITY IDEOGRAPH-F915" },
  { 63766, "CJK COMPATIBILITY IDEOGRAPH-F916" },
  { 63767, "CJK COMPATIBILITY IDEOGRAPH-F917" },
  { 63768, "CJK COMPATIBILITY IDEOGRAPH-F918" },
  { 63769, "CJK COMPATIBILITY IDEOGRAPH-F919" },
  { 63770, "CJK COMPATIBILITY IDEOGRAPH-F91A" },
  { 63771, "CJK COMPATIBILITY IDEOGRAPH-F91B" },
  { 63772, "CJK COMPATIBILITY IDEOGRAPH-F91C" },
  { 63773, "CJK COMPATIBILITY IDEOGRAPH-F91D" },
  { 63774, "CJK COMPATIBILITY IDEOGRAPH-F91E" },
  { 63775, "CJK COMPATIBILITY IDEOGRAPH-F91F" },
  { 63776, "CJK COMPATIBILITY IDEOGRAPH-F920" },
  { 63777, "CJK COMPATIBILITY IDEOGRAPH-F921" },
  { 63778, "CJK COMPATIBILITY IDEOGRAPH-F922" },
  { 63779, "CJK COMPATIBILITY IDEOGRAPH-F923" },
  { 63780, "CJK COMPATIBILITY IDEOGRAPH-F924" },
  { 63781, "CJK COMPATIBILITY IDEOGRAPH-F925" },
  { 63782, "CJK COMPATIBILITY IDEOGRAPH-F926" },
  { 63783, "CJK COMPATIBILITY IDEOGRAPH-F927" },
  { 63784, "CJK COMPATIBILITY IDEOGRAPH-F928" },
  { 63785, "CJK COMPATIBILITY IDEOGRAPH-F929" },
  { 63786, "CJK COMPATIBILITY IDEOGRAPH-F92A" },
  { 63787, "CJK COMPATIBILITY IDEOGRAPH-F92B" },
  { 63788, "CJK COMPATIBILITY IDEOGRAPH-F92C" },
  { 63789, "CJK COMPATIBILITY IDEOGRAPH-F92D" },
  { 63790, "CJK COMPATIBILITY IDEOGRAPH-F92E" },
  { 63791, "CJK COMPATIBILITY IDEOGRAPH-F92F" },
  { 63792, "CJK COMPATIBILITY IDEOGRAPH-F930" },
  { 63793, "CJK COMPATIBILITY IDEOGRAPH-F931" },
  { 63794, "CJK COMPATIBILITY IDEOGRAPH-F932" },
  { 63795, "CJK COMPATIBILITY IDEOGRAPH-F933" },
  { 63796, "CJK COMPATIBILITY IDEOGRAPH-F934" },
  { 63797, "CJK COMPATIBILITY IDEOGRAPH-F935" },
  { 63798, "CJK COMPATIBILITY IDEOGRAPH-F936" },
  { 63799, "CJK COMPATIBILITY IDEOGRAPH-F937" },
  { 63800, "CJK COMPATIBILITY IDEOGRAPH-F938" },
  { 63801, "CJK COMPATIBILITY IDEOGRAPH-F939" },
  { 63802, "CJK COMPATIBILITY IDEOGRAPH-F93A" },
  { 63803, "CJK COMPATIBILITY IDEOGRAPH-F93B" },
  { 63804, "CJK COMPATIBILITY IDEOGRAPH-F93C" },
  { 63805, "CJK COMPATIBILITY IDEOGRAPH-F93D" },
  { 63806, "CJK COMPATIBILITY IDEOGRAPH-F93E" },
  { 63807, "CJK COMPATIBILITY IDEOGRAPH-F93F" },
  { 63808, "CJK COMPATIBILITY IDEOGRAPH-F940" },
  { 63809, "CJK COMPATIBILITY IDEOGRAPH-F941" },
  { 63810, "CJK COMPATIBILITY IDEOGRAPH-F942" },
  { 63811, "CJK COMPATIBILITY IDEOGRAPH-F943" },
  { 63812, "CJK COMPATIBILITY IDEOGRAPH-F944" },
  { 63813, "CJK COMPATIBILITY IDEOGRAPH-F945" },
  { 63814, "CJK COMPATIBILITY IDEOGRAPH-F946" },
  { 63815, "CJK COMPATIBILITY IDEOGRAPH-F947" },
  { 63816, "CJK COMPATIBILITY IDEOGRAPH-F948" },
  { 63817, "CJK COMPATIBILITY IDEOGRAPH-F949" },
  { 63818, "CJK COMPATIBILITY IDEOGRAPH-F94A" },
  { 63819, "CJK COMPATIBILITY IDEOGRAPH-F94B" },
  { 63820, "CJK COMPATIBILITY IDEOGRAPH-F94C" },
  { 63821, "CJK COMPATIBILITY IDEOGRAPH-F94D" },
  { 63822, "CJK COMPATIBILITY IDEOGRAPH-F94E" },
  { 63823, "CJK COMPATIBILITY IDEOGRAPH-F94F" },
  { 63824, "CJK COMPATIBILITY IDEOGRAPH-F950" },
  { 63825, "CJK COMPATIBILITY IDEOGRAPH-F951" },
  { 63826, "CJK COMPATIBILITY IDEOGRAPH-F952" },
  { 63827, "CJK COMPATIBILITY IDEOGRAPH-F953" },
  { 63828, "CJK COMPATIBILITY IDEOGRAPH-F954" },
  { 63829, "CJK COMPATIBILITY IDEOGRAPH-F955" },
  { 63830, "CJK COMPATIBILITY IDEOGRAPH-F956" },
  { 63831, "CJK COMPATIBILITY IDEOGRAPH-F957" },
  { 63832, "CJK COMPATIBILITY IDEOGRAPH-F958" },
  { 63833, "CJK COMPATIBILITY IDEOGRAPH-F959" },
  { 63834, "CJK COMPATIBILITY IDEOGRAPH-F95A" },
  { 63835, "CJK COMPATIBILITY IDEOGRAPH-F95B" },
  { 63836, "CJK COMPATIBILITY IDEOGRAPH-F95C" },
  { 63837, "CJK COMPATIBILITY IDEOGRAPH-F95D" },
  { 63838, "CJK COMPATIBILITY IDEOGRAPH-F95E" },
  { 63839, "CJK COMPATIBILITY IDEOGRAPH-F95F" },
  { 63840, "CJK COMPATIBILITY IDEOGRAPH-F960" },
  { 63841, "CJK COMPATIBILITY IDEOGRAPH-F961" },
  { 63842, "CJK COMPATIBILITY IDEOGRAPH-F962" },
  { 63843, "CJK COMPATIBILITY IDEOGRAPH-F963" },
  { 63844, "CJK COMPATIBILITY IDEOGRAPH-F964" },
  { 63845, "CJK COMPATIBILITY IDEOGRAPH-F965" },
  { 63846, "CJK COMPATIBILITY IDEOGRAPH-F966" },
  { 63847, "CJK COMPATIBILITY IDEOGRAPH-F967" },
  { 63848, "CJK COMPATIBILITY IDEOGRAPH-F968" },
  { 63849, "CJK COMPATIBILITY IDEOGRAPH-F969" },
  { 63850, "CJK COMPATIBILITY IDEOGRAPH-F96A" },
  { 63851, "CJK COMPATIBILITY IDEOGRAPH-F96B" },
  { 63852, "CJK COMPATIBILITY IDEOGRAPH-F96C" },
  { 63853, "CJK COMPATIBILITY IDEOGRAPH-F96D" },
  { 63854, "CJK COMPATIBILITY IDEOGRAPH-F96E" },
  { 63855, "CJK COMPATIBILITY IDEOGRAPH-F96F" },
  { 63856, "CJK COMPATIBILITY IDEOGRAPH-F970" },
  { 63857, "CJK COMPATIBILITY IDEOGRAPH-F971" },
  { 63858, "CJK COMPATIBILITY IDEOGRAPH-F972" },
  { 63859, "CJK COMPATIBILITY IDEOGRAPH-F973" },
  { 63860, "CJK COMPATIBILITY IDEOGRAPH-F974" },
  { 63861, "CJK COMPATIBILITY IDEOGRAPH-F975" },
  { 63862, "CJK COMPATIBILITY IDEOGRAPH-F976" },
  { 63863, "CJK COMPATIBILITY IDEOGRAPH-F977" },
  { 63864, "CJK COMPATIBILITY IDEOGRAPH-F978" },
  { 63865, "CJK COMPATIBILITY IDEOGRAPH-F979" },
  { 63866, "CJK COMPATIBILITY IDEOGRAPH-F97A" },
  { 63867, "CJK COMPATIBILITY IDEOGRAPH-F97B" },
  { 63868, "CJK COMPATIBILITY IDEOGRAPH-F97C" },
  { 63869, "CJK COMPATIBILITY IDEOGRAPH-F97D" },
  { 63870, "CJK COMPATIBILITY IDEOGRAPH-F97E" },
  { 63871, "CJK COMPATIBILITY IDEOGRAPH-F97F" },
  { 63872, "CJK COMPATIBILITY IDEOGRAPH-F980" },
  { 63873, "CJK COMPATIBILITY IDEOGRAPH-F981" },
  { 63874, "CJK COMPATIBILITY IDEOGRAPH-F982" },
  { 63875, "CJK COMPATIBILITY IDEOGRAPH-F983" },
  { 63876, "CJK COMPATIBILITY IDEOGRAPH-F984" },
  { 63877, "CJK COMPATIBILITY IDEOGRAPH-F985" },
  { 63878, "CJK COMPATIBILITY IDEOGRAPH-F986" },
  { 63879, "CJK COMPATIBILITY IDEOGRAPH-F987" },
  { 63880, "CJK COMPATIBILITY IDEOGRAPH-F988" },
  { 63881, "CJK COMPATIBILITY IDEOGRAPH-F989" },
  { 63882, "CJK COMPATIBILITY IDEOGRAPH-F98A" },
  { 63883, "CJK COMPATIBILITY IDEOGRAPH-F98B" },
  { 63884, "CJK COMPATIBILITY IDEOGRAPH-F98C" },
  { 63885, "CJK COMPATIBILITY IDEOGRAPH-F98D" },
  { 63886, "CJK COMPATIBILITY IDEOGRAPH-F98E" },
  { 63887, "CJK COMPATIBILITY IDEOGRAPH-F98F" },
  { 63888, "CJK COMPATIBILITY IDEOGRAPH-F990" },
  { 63889, "CJK COMPATIBILITY IDEOGRAPH-F991" },
  { 63890, "CJK COMPATIBILITY IDEOGRAPH-F992" },
  { 63891, "CJK COMPATIBILITY IDEOGRAPH-F993" },
  { 63892, "CJK COMPATIBILITY IDEOGRAPH-F994" },
  { 63893, "CJK COMPATIBILITY IDEOGRAPH-F995" },
  { 63894, "CJK COMPATIBILITY IDEOGRAPH-F996" },
  { 63895, "CJK COMPATIBILITY IDEOGRAPH-F997" },
  { 63896, "CJK COMPATIBILITY IDEOGRAPH-F998" },
  { 63897, "CJK COMPATIBILITY IDEOGRAPH-F999" },
  { 63898, "CJK COMPATIBILITY IDEOGRAPH-F99A" },
  { 63899, "CJK COMPATIBILITY IDEOGRAPH-F99B" },
  { 63900, "CJK COMPATIBILITY IDEOGRAPH-F99C" },
  { 63901, "CJK COMPATIBILITY IDEOGRAPH-F99D" },
  { 63902, "CJK COMPATIBILITY IDEOGRAPH-F99E" },
  { 63903, "CJK COMPATIBILITY IDEOGRAPH-F99F" },
  { 63904, "CJK COMPATIBILITY IDEOGRAPH-F9A0" },
  { 63905, "CJK COMPATIBILITY IDEOGRAPH-F9A1" },
  { 63906, "CJK COMPATIBILITY IDEOGRAPH-F9A2" },
  { 63907, "CJK COMPATIBILITY IDEOGRAPH-F9A3" },
  { 63908, "CJK COMPATIBILITY IDEOGRAPH-F9A4" },
  { 63909, "CJK COMPATIBILITY IDEOGRAPH-F9A5" },
  { 63910, "CJK COMPATIBILITY IDEOGRAPH-F9A6" },
  { 63911, "CJK COMPATIBILITY IDEOGRAPH-F9A7" },
  { 63912, "CJK COMPATIBILITY IDEOGRAPH-F9A8" },
  { 63913, "CJK COMPATIBILITY IDEOGRAPH-F9A9" },
  { 63914, "CJK COMPATIBILITY IDEOGRAPH-F9AA" },
  { 63915, "CJK COMPATIBILITY IDEOGRAPH-F9AB" },
  { 63916, "CJK COMPATIBILITY IDEOGRAPH-F9AC" },
  { 63917, "CJK COMPATIBILITY IDEOGRAPH-F9AD" },
  { 63918, "CJK COMPATIBILITY IDEOGRAPH-F9AE" },
  { 63919, "CJK COMPATIBILITY IDEOGRAPH-F9AF" },
  { 63920, "CJK COMPATIBILITY IDEOGRAPH-F9B0" },
  { 63921, "CJK COMPATIBILITY IDEOGRAPH-F9B1" },
  { 63922, "CJK COMPATIBILITY IDEOGRAPH-F9B2" },
  { 63923, "CJK COMPATIBILITY IDEOGRAPH-F9B3" },
  { 63924, "CJK COMPATIBILITY IDEOGRAPH-F9B4" },
  { 63925, "CJK COMPATIBILITY IDEOGRAPH-F9B5" },
  { 63926, "CJK COMPATIBILITY IDEOGRAPH-F9B6" },
  { 63927, "CJK COMPATIBILITY IDEOGRAPH-F9B7" },
  { 63928, "CJK COMPATIBILITY IDEOGRAPH-F9B8" },
  { 63929, "CJK COMPATIBILITY IDEOGRAPH-F9B9" },
  { 63930, "CJK COMPATIBILITY IDEOGRAPH-F9BA" },
  { 63931, "CJK COMPATIBILITY IDEOGRAPH-F9BB" },
  { 63932, "CJK COMPATIBILITY IDEOGRAPH-F9BC" },
  { 63933, "CJK COMPATIBILITY IDEOGRAPH-F9BD" },
  { 63934, "CJK COMPATIBILITY IDEOGRAPH-F9BE" },
  { 63935, "CJK COMPATIBILITY IDEOGRAPH-F9BF" },
  { 63936, "CJK COMPATIBILITY IDEOGRAPH-F9C0" },
  { 63937, "CJK COMPATIBILITY IDEOGRAPH-F9C1" },
  { 63938, "CJK COMPATIBILITY IDEOGRAPH-F9C2" },
  { 63939, "CJK COMPATIBILITY IDEOGRAPH-F9C3" },
  { 63940, "CJK COMPATIBILITY IDEOGRAPH-F9C4" },
  { 63941, "CJK COMPATIBILITY IDEOGRAPH-F9C5" },
  { 63942, "CJK COMPATIBILITY IDEOGRAPH-F9C6" },
  { 63943, "CJK COMPATIBILITY IDEOGRAPH-F9C7" },
  { 63944, "CJK COMPATIBILITY IDEOGRAPH-F9C8" },
  { 63945, "CJK COMPATIBILITY IDEOGRAPH-F9C9" },
  { 63946, "CJK COMPATIBILITY IDEOGRAPH-F9CA" },
  { 63947, "CJK COMPATIBILITY IDEOGRAPH-F9CB" },
  { 63948, "CJK COMPATIBILITY IDEOGRAPH-F9CC" },
  { 63949, "CJK COMPATIBILITY IDEOGRAPH-F9CD" },
  { 63950, "CJK COMPATIBILITY IDEOGRAPH-F9CE" },
  { 63951, "CJK COMPATIBILITY IDEOGRAPH-F9CF" },
  { 63952, "CJK COMPATIBILITY IDEOGRAPH-F9D0" },
  { 63953, "CJK COMPATIBILITY IDEOGRAPH-F9D1" },
  { 63954, "CJK COMPATIBILITY IDEOGRAPH-F9D2" },
  { 63955, "CJK COMPATIBILITY IDEOGRAPH-F9D3" },
  { 63956, "CJK COMPATIBILITY IDEOGRAPH-F9D4" },
  { 63957, "CJK COMPATIBILITY IDEOGRAPH-F9D5" },
  { 63958, "CJK COMPATIBILITY IDEOGRAPH-F9D6" },
  { 63959, "CJK COMPATIBILITY IDEOGRAPH-F9D7" },
  { 63960, "CJK COMPATIBILITY IDEOGRAPH-F9D8" },
  { 63961, "CJK COMPATIBILITY IDEOGRAPH-F9D9" },
  { 63962, "CJK COMPATIBILITY IDEOGRAPH-F9DA" },
  { 63963, "CJK COMPATIBILITY IDEOGRAPH-F9DB" },
  { 63964, "CJK COMPATIBILITY IDEOGRAPH-F9DC" },
  { 63965, "CJK COMPATIBILITY IDEOGRAPH-F9DD" },
  { 63966, "CJK COMPATIBILITY IDEOGRAPH-F9DE" },
  { 63967, "CJK COMPATIBILITY IDEOGRAPH-F9DF" },
  { 63968, "CJK COMPATIBILITY IDEOGRAPH-F9E0" },
  { 63969, "CJK COMPATIBILITY IDEOGRAPH-F9E1" },
  { 63970, "CJK COMPATIBILITY IDEOGRAPH-F9E2" },
  { 63971, "CJK COMPATIBILITY IDEOGRAPH-F9E3" },
  { 63972, "CJK COMPATIBILITY IDEOGRAPH-F9E4" },
  { 63973, "CJK COMPATIBILITY IDEOGRAPH-F9E5" },
  { 63974, "CJK COMPATIBILITY IDEOGRAPH-F9E6" },
  { 63975, "CJK COMPATIBILITY IDEOGRAPH-F9E7" },
  { 63976, "CJK COMPATIBILITY IDEOGRAPH-F9E8" },
  { 63977, "CJK COMPATIBILITY IDEOGRAPH-F9E9" },
  { 63978, "CJK COMPATIBILITY IDEOGRAPH-F9EA" },
  { 63979, "CJK COMPATIBILITY IDEOGRAPH-F9EB" },
  { 63980, "CJK COMPATIBILITY IDEOGRAPH-F9EC" },
  { 63981, "CJK COMPATIBILITY IDEOGRAPH-F9ED" },
  { 63982, "CJK COMPATIBILITY IDEOGRAPH-F9EE" },
  { 63983, "CJK COMPATIBILITY IDEOGRAPH-F9EF" },
  { 63984, "CJK COMPATIBILITY IDEOGRAPH-F9F0" },
  { 63985, "CJK COMPATIBILITY IDEOGRAPH-F9F1" },
  { 63986, "CJK COMPATIBILITY IDEOGRAPH-F9F2" },
  { 63987, "CJK COMPATIBILITY IDEOGRAPH-F9F3" },
  { 63988, "CJK COMPATIBILITY IDEOGRAPH-F9F4" },
  { 63989, "CJK COMPATIBILITY IDEOGRAPH-F9F5" },
  { 63990, "CJK COMPATIBILITY IDEOGRAPH-F9F6" },
  { 63991, "CJK COMPATIBILITY IDEOGRAPH-F9F7" },
  { 63992, "CJK COMPATIBILITY IDEOGRAPH-F9F8" },
  { 63993, "CJK COMPATIBILITY IDEOGRAPH-F9F9" },
  { 63994, "CJK COMPATIBILITY IDEOGRAPH-F9FA" },
  { 63995, "CJK COMPATIBILITY IDEOGRAPH-F9FB" },
  { 63996, "CJK COMPATIBILITY IDEOGRAPH-F9FC" },
  { 63997, "CJK COMPATIBILITY IDEOGRAPH-F9FD" },
  { 63998, "CJK COMPATIBILITY IDEOGRAPH-F9FE" },
  { 63999, "CJK COMPATIBILITY IDEOGRAPH-F9FF" },
  { 64000, "CJK COMPATIBILITY IDEOGRAPH-FA00" },
  { 64001, "CJK COMPATIBILITY IDEOGRAPH-FA01" },
  { 64002, "CJK COMPATIBILITY IDEOGRAPH-FA02" },
  { 64003, "CJK COMPATIBILITY IDEOGRAPH-FA03" },
  { 64004, "CJK COMPATIBILITY IDEOGRAPH-FA04" },
  { 64005, "CJK COMPATIBILITY IDEOGRAPH-FA05" },
  { 64006, "CJK COMPATIBILITY IDEOGRAPH-FA06" },
  { 64007, "CJK COMPATIBILITY IDEOGRAPH-FA07" },
  { 64008, "CJK COMPATIBILITY IDEOGRAPH-FA08" },
  { 64009, "CJK COMPATIBILITY IDEOGRAPH-FA09" },
  { 64010, "CJK COMPATIBILITY IDEOGRAPH-FA0A" },
  { 64011, "CJK COMPATIBILITY IDEOGRAPH-FA0B" },
  { 64012, "CJK COMPATIBILITY IDEOGRAPH-FA0C" },
  { 64013, "CJK COMPATIBILITY IDEOGRAPH-FA0D" },
  { 64014, "CJK COMPATIBILITY IDEOGRAPH-FA0E" },
  { 64015, "CJK COMPATIBILITY IDEOGRAPH-FA0F" },
  { 64016, "CJK COMPATIBILITY IDEOGRAPH-FA10" },
  { 64017, "CJK COMPATIBILITY IDEOGRAPH-FA11" },
  { 64018, "CJK COMPATIBILITY IDEOGRAPH-FA12" },
  { 64019, "CJK COMPATIBILITY IDEOGRAPH-FA13" },
  { 64020, "CJK COMPATIBILITY IDEOGRAPH-FA14" },
  { 64021, "CJK COMPATIBILITY IDEOGRAPH-FA15" },
  { 64022, "CJK COMPATIBILITY IDEOGRAPH-FA16" },
  { 64023, "CJK COMPATIBILITY IDEOGRAPH-FA17" },
  { 64024, "CJK COMPATIBILITY IDEOGRAPH-FA18" },
  { 64025, "CJK COMPATIBILITY IDEOGRAPH-FA19" },
  { 64026, "CJK COMPATIBILITY IDEOGRAPH-FA1A" },
  { 64027, "CJK COMPATIBILITY IDEOGRAPH-FA1B" },
  { 64028, "CJK COMPATIBILITY IDEOGRAPH-FA1C" },
  { 64029, "CJK COMPATIBILITY IDEOGRAPH-FA1D" },
  { 64030, "CJK COMPATIBILITY IDEOGRAPH-FA1E" },
  { 64031, "CJK COMPATIBILITY IDEOGRAPH-FA1F" },
  { 64032, "CJK COMPATIBILITY IDEOGRAPH-FA20" },
  { 64033, "CJK COMPATIBILITY IDEOGRAPH-FA21" },
  { 64034, "CJK COMPATIBILITY IDEOGRAPH-FA22" },
  { 64035, "CJK COMPATIBILITY IDEOGRAPH-FA23" },
  { 64036, "CJK COMPATIBILITY IDEOGRAPH-FA24" },
  { 64037, "CJK COMPATIBILITY IDEOGRAPH-FA25" },
  { 64038, "CJK COMPATIBILITY IDEOGRAPH-FA26" },
  { 64039, "CJK COMPATIBILITY IDEOGRAPH-FA27" },
  { 64040, "CJK COMPATIBILITY IDEOGRAPH-FA28" },
  { 64041, "CJK COMPATIBILITY IDEOGRAPH-FA29" },
  { 64042, "CJK COMPATIBILITY IDEOGRAPH-FA2A" },
  { 64043, "CJK COMPATIBILITY IDEOGRAPH-FA2B" },
  { 64044, "CJK COMPATIBILITY IDEOGRAPH-FA2C" },
  { 64045, "CJK COMPATIBILITY IDEOGRAPH-FA2D" },
  { 64048, "CJK COMPATIBILITY IDEOGRAPH-FA30" },
  { 64049, "CJK COMPATIBILITY IDEOGRAPH-FA31" },
  { 64050, "CJK COMPATIBILITY IDEOGRAPH-FA32" },
  { 64051, "CJK COMPATIBILITY IDEOGRAPH-FA33" },
  { 64052, "CJK COMPATIBILITY IDEOGRAPH-FA34" },
  { 64053, "CJK COMPATIBILITY IDEOGRAPH-FA35" },
  { 64054, "CJK COMPATIBILITY IDEOGRAPH-FA36" },
  { 64055, "CJK COMPATIBILITY IDEOGRAPH-FA37" },
  { 64056, "CJK COMPATIBILITY IDEOGRAPH-FA38" },
  { 64057, "CJK COMPATIBILITY IDEOGRAPH-FA39" },
  { 64058, "CJK COMPATIBILITY IDEOGRAPH-FA3A" },
  { 64059, "CJK COMPATIBILITY IDEOGRAPH-FA3B" },
  { 64060, "CJK COMPATIBILITY IDEOGRAPH-FA3C" },
  { 64061, "CJK COMPATIBILITY IDEOGRAPH-FA3D" },
  { 64062, "CJK COMPATIBILITY IDEOGRAPH-FA3E" },
  { 64063, "CJK COMPATIBILITY IDEOGRAPH-FA3F" },
  { 64064, "CJK COMPATIBILITY IDEOGRAPH-FA40" },
  { 64065, "CJK COMPATIBILITY IDEOGRAPH-FA41" },
  { 64066, "CJK COMPATIBILITY IDEOGRAPH-FA42" },
  { 64067, "CJK COMPATIBILITY IDEOGRAPH-FA43" },
  { 64068, "CJK COMPATIBILITY IDEOGRAPH-FA44" },
  { 64069, "CJK COMPATIBILITY IDEOGRAPH-FA45" },
  { 64070, "CJK COMPATIBILITY IDEOGRAPH-FA46" },
  { 64071, "CJK COMPATIBILITY IDEOGRAPH-FA47" },
  { 64072, "CJK COMPATIBILITY IDEOGRAPH-FA48" },
  { 64073, "CJK COMPATIBILITY IDEOGRAPH-FA49" },
  { 64074, "CJK COMPATIBILITY IDEOGRAPH-FA4A" },
  { 64075, "CJK COMPATIBILITY IDEOGRAPH-FA4B" },
  { 64076, "CJK COMPATIBILITY IDEOGRAPH-FA4C" },
  { 64077, "CJK COMPATIBILITY IDEOGRAPH-FA4D" },
  { 64078, "CJK COMPATIBILITY IDEOGRAPH-FA4E" },
  { 64079, "CJK COMPATIBILITY IDEOGRAPH-FA4F" },
  { 64080, "CJK COMPATIBILITY IDEOGRAPH-FA50" },
  { 64081, "CJK COMPATIBILITY IDEOGRAPH-FA51" },
  { 64082, "CJK COMPATIBILITY IDEOGRAPH-FA52" },
  { 64083, "CJK COMPATIBILITY IDEOGRAPH-FA53" },
  { 64084, "CJK COMPATIBILITY IDEOGRAPH-FA54" },
  { 64085, "CJK COMPATIBILITY IDEOGRAPH-FA55" },
  { 64086, "CJK COMPATIBILITY IDEOGRAPH-FA56" },
  { 64087, "CJK COMPATIBILITY IDEOGRAPH-FA57" },
  { 64088, "CJK COMPATIBILITY IDEOGRAPH-FA58" },
  { 64089, "CJK COMPATIBILITY IDEOGRAPH-FA59" },
  { 64090, "CJK COMPATIBILITY IDEOGRAPH-FA5A" },
  { 64091, "CJK COMPATIBILITY IDEOGRAPH-FA5B" },
  { 64092, "CJK COMPATIBILITY IDEOGRAPH-FA5C" },
  { 64093, "CJK COMPATIBILITY IDEOGRAPH-FA5D" },
  { 64094, "CJK COMPATIBILITY IDEOGRAPH-FA5E" },
  { 64095, "CJK COMPATIBILITY IDEOGRAPH-FA5F" },
  { 64096, "CJK COMPATIBILITY IDEOGRAPH-FA60" },
  { 64097, "CJK COMPATIBILITY IDEOGRAPH-FA61" },
  { 64098, "CJK COMPATIBILITY IDEOGRAPH-FA62" },
  { 64099, "CJK COMPATIBILITY IDEOGRAPH-FA63" },
  { 64100, "CJK COMPATIBILITY IDEOGRAPH-FA64" },
  { 64101, "CJK COMPATIBILITY IDEOGRAPH-FA65" },
  { 64102, "CJK COMPATIBILITY IDEOGRAPH-FA66" },
  { 64103, "CJK COMPATIBILITY IDEOGRAPH-FA67" },
  { 64104, "CJK COMPATIBILITY IDEOGRAPH-FA68" },
  { 64105, "CJK COMPATIBILITY IDEOGRAPH-FA69" },
  { 64106, "CJK COMPATIBILITY IDEOGRAPH-FA6A" },
  { 64112, "CJK COMPATIBILITY IDEOGRAPH-FA70" },
  { 64113, "CJK COMPATIBILITY IDEOGRAPH-FA71" },
  { 64114, "CJK COMPATIBILITY IDEOGRAPH-FA72" },
  { 64115, "CJK COMPATIBILITY IDEOGRAPH-FA73" },
  { 64116, "CJK COMPATIBILITY IDEOGRAPH-FA74" },
  { 64117, "CJK COMPATIBILITY IDEOGRAPH-FA75" },
  { 64118, "CJK COMPATIBILITY IDEOGRAPH-FA76" },
  { 64119, "CJK COMPATIBILITY IDEOGRAPH-FA77" },
  { 64120, "CJK COMPATIBILITY IDEOGRAPH-FA78" },
  { 64121, "CJK COMPATIBILITY IDEOGRAPH-FA79" },
  { 64122, "CJK COMPATIBILITY IDEOGRAPH-FA7A" },
  { 64123, "CJK COMPATIBILITY IDEOGRAPH-FA7B" },
  { 64124, "CJK COMPATIBILITY IDEOGRAPH-FA7C" },
  { 64125, "CJK COMPATIBILITY IDEOGRAPH-FA7D" },
  { 64126, "CJK COMPATIBILITY IDEOGRAPH-FA7E" },
  { 64127, "CJK COMPATIBILITY IDEOGRAPH-FA7F" },
  { 64128, "CJK COMPATIBILITY IDEOGRAPH-FA80" },
  { 64129, "CJK COMPATIBILITY IDEOGRAPH-FA81" },
  { 64130, "CJK COMPATIBILITY IDEOGRAPH-FA82" },
  { 64131, "CJK COMPATIBILITY IDEOGRAPH-FA83" },
  { 64132, "CJK COMPATIBILITY IDEOGRAPH-FA84" },
  { 64133, "CJK COMPATIBILITY IDEOGRAPH-FA85" },
  { 64134, "CJK COMPATIBILITY IDEOGRAPH-FA86" },
  { 64135, "CJK COMPATIBILITY IDEOGRAPH-FA87" },
  { 64136, "CJK COMPATIBILITY IDEOGRAPH-FA88" },
  { 64137, "CJK COMPATIBILITY IDEOGRAPH-FA89" },
  { 64138, "CJK COMPATIBILITY IDEOGRAPH-FA8A" },
  { 64139, "CJK COMPATIBILITY IDEOGRAPH-FA8B" },
  { 64140, "CJK COMPATIBILITY IDEOGRAPH-FA8C" },
  { 64141, "CJK COMPATIBILITY IDEOGRAPH-FA8D" },
  { 64142, "CJK COMPATIBILITY IDEOGRAPH-FA8E" },
  { 64143, "CJK COMPATIBILITY IDEOGRAPH-FA8F" },
  { 64144, "CJK COMPATIBILITY IDEOGRAPH-FA90" },
  { 64145, "CJK COMPATIBILITY IDEOGRAPH-FA91" },
  { 64146, "CJK COMPATIBILITY IDEOGRAPH-FA92" },
  { 64147, "CJK COMPATIBILITY IDEOGRAPH-FA93" },
  { 64148, "CJK COMPATIBILITY IDEOGRAPH-FA94" },
  { 64149, "CJK COMPATIBILITY IDEOGRAPH-FA95" },
  { 64150, "CJK COMPATIBILITY IDEOGRAPH-FA96" },
  { 64151, "CJK COMPATIBILITY IDEOGRAPH-FA97" },
  { 64152, "CJK COMPATIBILITY IDEOGRAPH-FA98" },
  { 64153, "CJK COMPATIBILITY IDEOGRAPH-FA99" },
  { 64154, "CJK COMPATIBILITY IDEOGRAPH-FA9A" },
  { 64155, "CJK COMPATIBILITY IDEOGRAPH-FA9B" },
  { 64156, "CJK COMPATIBILITY IDEOGRAPH-FA9C" },
  { 64157, "CJK COMPATIBILITY IDEOGRAPH-FA9D" },
  { 64158, "CJK COMPATIBILITY IDEOGRAPH-FA9E" },
  { 64159, "CJK COMPATIBILITY IDEOGRAPH-FA9F" },
  { 64160, "CJK COMPATIBILITY IDEOGRAPH-FAA0" },
  { 64161, "CJK COMPATIBILITY IDEOGRAPH-FAA1" },
  { 64162, "CJK COMPATIBILITY IDEOGRAPH-FAA2" },
  { 64163, "CJK COMPATIBILITY IDEOGRAPH-FAA3" },
  { 64164, "CJK COMPATIBILITY IDEOGRAPH-FAA4" },
  { 64165, "CJK COMPATIBILITY IDEOGRAPH-FAA5" },
  { 64166, "CJK COMPATIBILITY IDEOGRAPH-FAA6" },
  { 64167, "CJK COMPATIBILITY IDEOGRAPH-FAA7" },
  { 64168, "CJK COMPATIBILITY IDEOGRAPH-FAA8" },
  { 64169, "CJK COMPATIBILITY IDEOGRAPH-FAA9" },
  { 64170, "CJK COMPATIBILITY IDEOGRAPH-FAAA" },
  { 64171, "CJK COMPATIBILITY IDEOGRAPH-FAAB" },
  { 64172, "CJK COMPATIBILITY IDEOGRAPH-FAAC" },
  { 64173, "CJK COMPATIBILITY IDEOGRAPH-FAAD" },
  { 64174, "CJK COMPATIBILITY IDEOGRAPH-FAAE" },
  { 64175, "CJK COMPATIBILITY IDEOGRAPH-FAAF" },
  { 64176, "CJK COMPATIBILITY IDEOGRAPH-FAB0" },
  { 64177, "CJK COMPATIBILITY IDEOGRAPH-FAB1" },
  { 64178, "CJK COMPATIBILITY IDEOGRAPH-FAB2" },
  { 64179, "CJK COMPATIBILITY IDEOGRAPH-FAB3" },
  { 64180, "CJK COMPATIBILITY IDEOGRAPH-FAB4" },
  { 64181, "CJK COMPATIBILITY IDEOGRAPH-FAB5" },
  { 64182, "CJK COMPATIBILITY IDEOGRAPH-FAB6" },
  { 64183, "CJK COMPATIBILITY IDEOGRAPH-FAB7" },
  { 64184, "CJK COMPATIBILITY IDEOGRAPH-FAB8" },
  { 64185, "CJK COMPATIBILITY IDEOGRAPH-FAB9" },
  { 64186, "CJK COMPATIBILITY IDEOGRAPH-FABA" },
  { 64187, "CJK COMPATIBILITY IDEOGRAPH-FABB" },
  { 64188, "CJK COMPATIBILITY IDEOGRAPH-FABC" },
  { 64189, "CJK COMPATIBILITY IDEOGRAPH-FABD" },
  { 64190, "CJK COMPATIBILITY IDEOGRAPH-FABE" },
  { 64191, "CJK COMPATIBILITY IDEOGRAPH-FABF" },
  { 64192, "CJK COMPATIBILITY IDEOGRAPH-FAC0" },
  { 64193, "CJK COMPATIBILITY IDEOGRAPH-FAC1" },
  { 64194, "CJK COMPATIBILITY IDEOGRAPH-FAC2" },
  { 64195, "CJK COMPATIBILITY IDEOGRAPH-FAC3" },
  { 64196, "CJK COMPATIBILITY IDEOGRAPH-FAC4" },
  { 64197, "CJK COMPATIBILITY IDEOGRAPH-FAC5" },
  { 64198, "CJK COMPATIBILITY IDEOGRAPH-FAC6" },
  { 64199, "CJK COMPATIBILITY IDEOGRAPH-FAC7" },
  { 64200, "CJK COMPATIBILITY IDEOGRAPH-FAC8" },
  { 64201, "CJK COMPATIBILITY IDEOGRAPH-FAC9" },
  { 64202, "CJK COMPATIBILITY IDEOGRAPH-FACA" },
  { 64203, "CJK COMPATIBILITY IDEOGRAPH-FACB" },
  { 64204, "CJK COMPATIBILITY IDEOGRAPH-FACC" },
  { 64205, "CJK COMPATIBILITY IDEOGRAPH-FACD" },
  { 64206, "CJK COMPATIBILITY IDEOGRAPH-FACE" },
  { 64207, "CJK COMPATIBILITY IDEOGRAPH-FACF" },
  { 64208, "CJK COMPATIBILITY IDEOGRAPH-FAD0" },
  { 64209, "CJK COMPATIBILITY IDEOGRAPH-FAD1" },
  { 64210, "CJK COMPATIBILITY IDEOGRAPH-FAD2" },
  { 64211, "CJK COMPATIBILITY IDEOGRAPH-FAD3" },
  { 64212, "CJK COMPATIBILITY IDEOGRAPH-FAD4" },
  { 64213, "CJK COMPATIBILITY IDEOGRAPH-FAD5" },
  { 64214, "CJK COMPATIBILITY IDEOGRAPH-FAD6" },
  { 64215, "CJK COMPATIBILITY IDEOGRAPH-FAD7" },
  { 64216, "CJK COMPATIBILITY IDEOGRAPH-FAD8" },
  { 64217, "CJK COMPATIBILITY IDEOGRAPH-FAD9" },
  { 64256, "LATIN SMALL LIGATURE FF" },
  { 64257, "LATIN SMALL LIGATURE FI" },
  { 64258, "LATIN SMALL LIGATURE FL" },
  { 64259, "LATIN SMALL LIGATURE FFI" },
  { 64260, "LATIN SMALL LIGATURE FFL" },
  { 64261, "LATIN SMALL LIGATURE LONG S T" },
  { 64262, "LATIN SMALL LIGATURE ST" },
  { 64275, "ARMENIAN SMALL LIGATURE MEN NOW" },
  { 64276, "ARMENIAN SMALL LIGATURE MEN ECH" },
  { 64277, "ARMENIAN SMALL LIGATURE MEN INI" },
  { 64278, "ARMENIAN SMALL LIGATURE VEW NOW" },
  { 64279, "ARMENIAN SMALL LIGATURE MEN XEH" },
  { 64285, "HEBREW LETTER YOD WITH HIRIQ" },
  { 64286, "HEBREW POINT JUDEO-SPANISH VARIKA" },
  { 64287, "HEBREW LIGATURE YIDDISH YOD YOD PATAH" },
  { 64288, "HEBREW LETTER ALTERNATIVE AYIN" },
  { 64289, "HEBREW LETTER WIDE ALEF" },
  { 64290, "HEBREW LETTER WIDE DALET" },
  { 64291, "HEBREW LETTER WIDE HE" },
  { 64292, "HEBREW LETTER WIDE KAF" },
  { 64293, "HEBREW LETTER WIDE LAMED" },
  { 64294, "HEBREW LETTER WIDE FINAL MEM" },
  { 64295, "HEBREW LETTER WIDE RESH" },
  { 64296, "HEBREW LETTER WIDE TAV" },
  { 64297, "HEBREW LETTER ALTERNATIVE PLUS SIGN" },
  { 64298, "HEBREW LETTER SHIN WITH SHIN DOT" },
  { 64299, "HEBREW LETTER SHIN WITH SIN DOT" },
  { 64300, "HEBREW LETTER SHIN WITH DAGESH AND SHIN DOT" },
  { 64301, "HEBREW LETTER SHIN WITH DAGESH AND SIN DOT" },
  { 64302, "HEBREW LETTER ALEF WITH PATAH" },
  { 64303, "HEBREW LETTER ALEF WITH QAMATS" },
  { 64304, "HEBREW LETTER ALEF WITH MAPIQ" },
  { 64305, "HEBREW LETTER BET WITH DAGESH" },
  { 64306, "HEBREW LETTER GIMEL WITH DAGESH" },
  { 64307, "HEBREW LETTER DALET WITH DAGESH" },
  { 64308, "HEBREW LETTER HE WITH MAPIQ" },
  { 64309, "HEBREW LETTER VAV WITH DAGESH" },
  { 64310, "HEBREW LETTER ZAYIN WITH DAGESH" },
  { 64312, "HEBREW LETTER TET WITH DAGESH" },
  { 64313, "HEBREW LETTER YOD WITH DAGESH" },
  { 64314, "HEBREW LETTER FINAL KAF WITH DAGESH" },
  { 64315, "HEBREW LETTER KAF WITH DAGESH" },
  { 64316, "HEBREW LETTER LAMED WITH DAGESH" },
  { 64318, "HEBREW LETTER MEM WITH DAGESH" },
  { 64320, "HEBREW LETTER NUN WITH DAGESH" },
  { 64321, "HEBREW LETTER SAMEKH WITH DAGESH" },
  { 64323, "HEBREW LETTER FINAL PE WITH DAGESH" },
  { 64324, "HEBREW LETTER PE WITH DAGESH" },
  { 64326, "HEBREW LETTER TSADI WITH DAGESH" },
  { 64327, "HEBREW LETTER QOF WITH DAGESH" },
  { 64328, "HEBREW LETTER RESH WITH DAGESH" },
  { 64329, "HEBREW LETTER SHIN WITH DAGESH" },
  { 64330, "HEBREW LETTER TAV WITH DAGESH" },
  { 64331, "HEBREW LETTER VAV WITH HOLAM" },
  { 64332, "HEBREW LETTER BET WITH RAFE" },
  { 64333, "HEBREW LETTER KAF WITH RAFE" },
  { 64334, "HEBREW LETTER PE WITH RAFE" },
  { 64335, "HEBREW LIGATURE ALEF LAMED" },
  { 64336, "ARABIC LETTER ALEF WASLA ISOLATED FORM" },
  { 64337, "ARABIC LETTER ALEF WASLA FINAL FORM" },
  { 64338, "ARABIC LETTER BEEH ISOLATED FORM" },
  { 64339, "ARABIC LETTER BEEH FINAL FORM" },
  { 64340, "ARABIC LETTER BEEH INITIAL FORM" },
  { 64341, "ARABIC LETTER BEEH MEDIAL FORM" },
  { 64342, "ARABIC LETTER PEH ISOLATED FORM" },
  { 64343, "ARABIC LETTER PEH FINAL FORM" },
  { 64344, "ARABIC LETTER PEH INITIAL FORM" },
  { 64345, "ARABIC LETTER PEH MEDIAL FORM" },
  { 64346, "ARABIC LETTER BEHEH ISOLATED FORM" },
  { 64347, "ARABIC LETTER BEHEH FINAL FORM" },
  { 64348, "ARABIC LETTER BEHEH INITIAL FORM" },
  { 64349, "ARABIC LETTER BEHEH MEDIAL FORM" },
  { 64350, "ARABIC LETTER TTEHEH ISOLATED FORM" },
  { 64351, "ARABIC LETTER TTEHEH FINAL FORM" },
  { 64352, "ARABIC LETTER TTEHEH INITIAL FORM" },
  { 64353, "ARABIC LETTER TTEHEH MEDIAL FORM" },
  { 64354, "ARABIC LETTER TEHEH ISOLATED FORM" },
  { 64355, "ARABIC LETTER TEHEH FINAL FORM" },
  { 64356, "ARABIC LETTER TEHEH INITIAL FORM" },
  { 64357, "ARABIC LETTER TEHEH MEDIAL FORM" },
  { 64358, "ARABIC LETTER TTEH ISOLATED FORM" },
  { 64359, "ARABIC LETTER TTEH FINAL FORM" },
  { 64360, "ARABIC LETTER TTEH INITIAL FORM" },
  { 64361, "ARABIC LETTER TTEH MEDIAL FORM" },
  { 64362, "ARABIC LETTER VEH ISOLATED FORM" },
  { 64363, "ARABIC LETTER VEH FINAL FORM" },
  { 64364, "ARABIC LETTER VEH INITIAL FORM" },
  { 64365, "ARABIC LETTER VEH MEDIAL FORM" },
  { 64366, "ARABIC LETTER PEHEH ISOLATED FORM" },
  { 64367, "ARABIC LETTER PEHEH FINAL FORM" },
  { 64368, "ARABIC LETTER PEHEH INITIAL FORM" },
  { 64369, "ARABIC LETTER PEHEH MEDIAL FORM" },
  { 64370, "ARABIC LETTER DYEH ISOLATED FORM" },
  { 64371, "ARABIC LETTER DYEH FINAL FORM" },
  { 64372, "ARABIC LETTER DYEH INITIAL FORM" },
  { 64373, "ARABIC LETTER DYEH MEDIAL FORM" },
  { 64374, "ARABIC LETTER NYEH ISOLATED FORM" },
  { 64375, "ARABIC LETTER NYEH FINAL FORM" },
  { 64376, "ARABIC LETTER NYEH INITIAL FORM" },
  { 64377, "ARABIC LETTER NYEH MEDIAL FORM" },
  { 64378, "ARABIC LETTER TCHEH ISOLATED FORM" },
  { 64379, "ARABIC LETTER TCHEH FINAL FORM" },
  { 64380, "ARABIC LETTER TCHEH INITIAL FORM" },
  { 64381, "ARABIC LETTER TCHEH MEDIAL FORM" },
  { 64382, "ARABIC LETTER TCHEHEH ISOLATED FORM" },
  { 64383, "ARABIC LETTER TCHEHEH FINAL FORM" },
  { 64384, "ARABIC LETTER TCHEHEH INITIAL FORM" },
  { 64385, "ARABIC LETTER TCHEHEH MEDIAL FORM" },
  { 64386, "ARABIC LETTER DDAHAL ISOLATED FORM" },
  { 64387, "ARABIC LETTER DDAHAL FINAL FORM" },
  { 64388, "ARABIC LETTER DAHAL ISOLATED FORM" },
  { 64389, "ARABIC LETTER DAHAL FINAL FORM" },
  { 64390, "ARABIC LETTER DUL ISOLATED FORM" },
  { 64391, "ARABIC LETTER DUL FINAL FORM" },
  { 64392, "ARABIC LETTER DDAL ISOLATED FORM" },
  { 64393, "ARABIC LETTER DDAL FINAL FORM" },
  { 64394, "ARABIC LETTER JEH ISOLATED FORM" },
  { 64395, "ARABIC LETTER JEH FINAL FORM" },
  { 64396, "ARABIC LETTER RREH ISOLATED FORM" },
  { 64397, "ARABIC LETTER RREH FINAL FORM" },
  { 64398, "ARABIC LETTER KEHEH ISOLATED FORM" },
  { 64399, "ARABIC LETTER KEHEH FINAL FORM" },
  { 64400, "ARABIC LETTER KEHEH INITIAL FORM" },
  { 64401, "ARABIC LETTER KEHEH MEDIAL FORM" },
  { 64402, "ARABIC LETTER GAF ISOLATED FORM" },
  { 64403, "ARABIC LETTER GAF FINAL FORM" },
  { 64404, "ARABIC LETTER GAF INITIAL FORM" },
  { 64405, "ARABIC LETTER GAF MEDIAL FORM" },
  { 64406, "ARABIC LETTER GUEH ISOLATED FORM" },
  { 64407, "ARABIC LETTER GUEH FINAL FORM" },
  { 64408, "ARABIC LETTER GUEH INITIAL FORM" },
  { 64409, "ARABIC LETTER GUEH MEDIAL FORM" },
  { 64410, "ARABIC LETTER NGOEH ISOLATED FORM" },
  { 64411, "ARABIC LETTER NGOEH FINAL FORM" },
  { 64412, "ARABIC LETTER NGOEH INITIAL FORM" },
  { 64413, "ARABIC LETTER NGOEH MEDIAL FORM" },
  { 64414, "ARABIC LETTER NOON GHUNNA ISOLATED FORM" },
  { 64415, "ARABIC LETTER NOON GHUNNA FINAL FORM" },
  { 64416, "ARABIC LETTER RNOON ISOLATED FORM" },
  { 64417, "ARABIC LETTER RNOON FINAL FORM" },
  { 64418, "ARABIC LETTER RNOON INITIAL FORM" },
  { 64419, "ARABIC LETTER RNOON MEDIAL FORM" },
  { 64420, "ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM" },
  { 64421, "ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM" },
  { 64422, "ARABIC LETTER HEH GOAL ISOLATED FORM" },
  { 64423, "ARABIC LETTER HEH GOAL FINAL FORM" },
  { 64424, "ARABIC LETTER HEH GOAL INITIAL FORM" },
  { 64425, "ARABIC LETTER HEH GOAL MEDIAL FORM" },
  { 64426, "ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM" },
  { 64427, "ARABIC LETTER HEH DOACHASHMEE FINAL FORM" },
  { 64428, "ARABIC LETTER HEH DOACHASHMEE INITIAL FORM" },
  { 64429, "ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM" },
  { 64430, "ARABIC LETTER YEH BARREE ISOLATED FORM" },
  { 64431, "ARABIC LETTER YEH BARREE FINAL FORM" },
  { 64432, "ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM" },
  { 64433, "ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM" },
  { 64467, "ARABIC LETTER NG ISOLATED FORM" },
  { 64468, "ARABIC LETTER NG FINAL FORM" },
  { 64469, "ARABIC LETTER NG INITIAL FORM" },
  { 64470, "ARABIC LETTER NG MEDIAL FORM" },
  { 64471, "ARABIC LETTER U ISOLATED FORM" },
  { 64472, "ARABIC LETTER U FINAL FORM" },
  { 64473, "ARABIC LETTER OE ISOLATED FORM" },
  { 64474, "ARABIC LETTER OE FINAL FORM" },
  { 64475, "ARABIC LETTER YU ISOLATED FORM" },
  { 64476, "ARABIC LETTER YU FINAL FORM" },
  { 64477, "ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM" },
  { 64478, "ARABIC LETTER VE ISOLATED FORM" },
  { 64479, "ARABIC LETTER VE FINAL FORM" },
  { 64480, "ARABIC LETTER KIRGHIZ OE ISOLATED FORM" },
  { 64481, "ARABIC LETTER KIRGHIZ OE FINAL FORM" },
  { 64482, "ARABIC LETTER KIRGHIZ YU ISOLATED FORM" },
  { 64483, "ARABIC LETTER KIRGHIZ YU FINAL FORM" },
  { 64484, "ARABIC LETTER E ISOLATED FORM" },
  { 64485, "ARABIC LETTER E FINAL FORM" },
  { 64486, "ARABIC LETTER E INITIAL FORM" },
  { 64487, "ARABIC LETTER E MEDIAL FORM" },
  { 64488, "ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM" },
  { 64489, "ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM" },
  { 64490, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM" },
  { 64491, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM" },
  { 64492, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM" },
  { 64493, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM" },
  { 64494, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM" },
  { 64495, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM" },
  { 64496, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM" },
  { 64497, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM" },
  { 64498, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM" },
  { 64499, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM" },
  { 64500, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM" },
  { 64501, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM" },
  { 64502, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM" },
  { 64503, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM" },
  { 64504, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM" },
  { 64505, "ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM" },
  { 64506, "ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM" },
  { 64507, "ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM" },
  { 64508, "ARABIC LETTER FARSI YEH ISOLATED FORM" },
  { 64509, "ARABIC LETTER FARSI YEH FINAL FORM" },
  { 64510, "ARABIC LETTER FARSI YEH INITIAL FORM" },
  { 64511, "ARABIC LETTER FARSI YEH MEDIAL FORM" },
  { 64512, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM" },
  { 64513, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH ISOLATED FORM" },
  { 64514, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM ISOLATED FORM" },
  { 64515, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM" },
  { 64516, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH ISOLATED FORM" },
  { 64517, "ARABIC LIGATURE BEH WITH JEEM ISOLATED FORM" },
  { 64518, "ARABIC LIGATURE BEH WITH HAH ISOLATED FORM" },
  { 64519, "ARABIC LIGATURE BEH WITH KHAH ISOLATED FORM" },
  { 64520, "ARABIC LIGATURE BEH WITH MEEM ISOLATED FORM" },
  { 64521, "ARABIC LIGATURE BEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64522, "ARABIC LIGATURE BEH WITH YEH ISOLATED FORM" },
  { 64523, "ARABIC LIGATURE TEH WITH JEEM ISOLATED FORM" },
  { 64524, "ARABIC LIGATURE TEH WITH HAH ISOLATED FORM" },
  { 64525, "ARABIC LIGATURE TEH WITH KHAH ISOLATED FORM" },
  { 64526, "ARABIC LIGATURE TEH WITH MEEM ISOLATED FORM" },
  { 64527, "ARABIC LIGATURE TEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64528, "ARABIC LIGATURE TEH WITH YEH ISOLATED FORM" },
  { 64529, "ARABIC LIGATURE THEH WITH JEEM ISOLATED FORM" },
  { 64530, "ARABIC LIGATURE THEH WITH MEEM ISOLATED FORM" },
  { 64531, "ARABIC LIGATURE THEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64532, "ARABIC LIGATURE THEH WITH YEH ISOLATED FORM" },
  { 64533, "ARABIC LIGATURE JEEM WITH HAH ISOLATED FORM" },
  { 64534, "ARABIC LIGATURE JEEM WITH MEEM ISOLATED FORM" },
  { 64535, "ARABIC LIGATURE HAH WITH JEEM ISOLATED FORM" },
  { 64536, "ARABIC LIGATURE HAH WITH MEEM ISOLATED FORM" },
  { 64537, "ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM" },
  { 64538, "ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM" },
  { 64539, "ARABIC LIGATURE KHAH WITH MEEM ISOLATED FORM" },
  { 64540, "ARABIC LIGATURE SEEN WITH JEEM ISOLATED FORM" },
  { 64541, "ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM" },
  { 64542, "ARABIC LIGATURE SEEN WITH KHAH ISOLATED FORM" },
  { 64543, "ARABIC LIGATURE SEEN WITH MEEM ISOLATED FORM" },
  { 64544, "ARABIC LIGATURE SAD WITH HAH ISOLATED FORM" },
  { 64545, "ARABIC LIGATURE SAD WITH MEEM ISOLATED FORM" },
  { 64546, "ARABIC LIGATURE DAD WITH JEEM ISOLATED FORM" },
  { 64547, "ARABIC LIGATURE DAD WITH HAH ISOLATED FORM" },
  { 64548, "ARABIC LIGATURE DAD WITH KHAH ISOLATED FORM" },
  { 64549, "ARABIC LIGATURE DAD WITH MEEM ISOLATED FORM" },
  { 64550, "ARABIC LIGATURE TAH WITH HAH ISOLATED FORM" },
  { 64551, "ARABIC LIGATURE TAH WITH MEEM ISOLATED FORM" },
  { 64552, "ARABIC LIGATURE ZAH WITH MEEM ISOLATED FORM" },
  { 64553, "ARABIC LIGATURE AIN WITH JEEM ISOLATED FORM" },
  { 64554, "ARABIC LIGATURE AIN WITH MEEM ISOLATED FORM" },
  { 64555, "ARABIC LIGATURE GHAIN WITH JEEM ISOLATED FORM" },
  { 64556, "ARABIC LIGATURE GHAIN WITH MEEM ISOLATED FORM" },
  { 64557, "ARABIC LIGATURE FEH WITH JEEM ISOLATED FORM" },
  { 64558, "ARABIC LIGATURE FEH WITH HAH ISOLATED FORM" },
  { 64559, "ARABIC LIGATURE FEH WITH KHAH ISOLATED FORM" },
  { 64560, "ARABIC LIGATURE FEH WITH MEEM ISOLATED FORM" },
  { 64561, "ARABIC LIGATURE FEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64562, "ARABIC LIGATURE FEH WITH YEH ISOLATED FORM" },
  { 64563, "ARABIC LIGATURE QAF WITH HAH ISOLATED FORM" },
  { 64564, "ARABIC LIGATURE QAF WITH MEEM ISOLATED FORM" },
  { 64565, "ARABIC LIGATURE QAF WITH ALEF MAKSURA ISOLATED FORM" },
  { 64566, "ARABIC LIGATURE QAF WITH YEH ISOLATED FORM" },
  { 64567, "ARABIC LIGATURE KAF WITH ALEF ISOLATED FORM" },
  { 64568, "ARABIC LIGATURE KAF WITH JEEM ISOLATED FORM" },
  { 64569, "ARABIC LIGATURE KAF WITH HAH ISOLATED FORM" },
  { 64570, "ARABIC LIGATURE KAF WITH KHAH ISOLATED FORM" },
  { 64571, "ARABIC LIGATURE KAF WITH LAM ISOLATED FORM" },
  { 64572, "ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM" },
  { 64573, "ARABIC LIGATURE KAF WITH ALEF MAKSURA ISOLATED FORM" },
  { 64574, "ARABIC LIGATURE KAF WITH YEH ISOLATED FORM" },
  { 64575, "ARABIC LIGATURE LAM WITH JEEM ISOLATED FORM" },
  { 64576, "ARABIC LIGATURE LAM WITH HAH ISOLATED FORM" },
  { 64577, "ARABIC LIGATURE LAM WITH KHAH ISOLATED FORM" },
  { 64578, "ARABIC LIGATURE LAM WITH MEEM ISOLATED FORM" },
  { 64579, "ARABIC LIGATURE LAM WITH ALEF MAKSURA ISOLATED FORM" },
  { 64580, "ARABIC LIGATURE LAM WITH YEH ISOLATED FORM" },
  { 64581, "ARABIC LIGATURE MEEM WITH JEEM ISOLATED FORM" },
  { 64582, "ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM" },
  { 64583, "ARABIC LIGATURE MEEM WITH KHAH ISOLATED FORM" },
  { 64584, "ARABIC LIGATURE MEEM WITH MEEM ISOLATED FORM" },
  { 64585, "ARABIC LIGATURE MEEM WITH ALEF MAKSURA ISOLATED FORM" },
  { 64586, "ARABIC LIGATURE MEEM WITH YEH ISOLATED FORM" },
  { 64587, "ARABIC LIGATURE NOON WITH JEEM ISOLATED FORM" },
  { 64588, "ARABIC LIGATURE NOON WITH HAH ISOLATED FORM" },
  { 64589, "ARABIC LIGATURE NOON WITH KHAH ISOLATED FORM" },
  { 64590, "ARABIC LIGATURE NOON WITH MEEM ISOLATED FORM" },
  { 64591, "ARABIC LIGATURE NOON WITH ALEF MAKSURA ISOLATED FORM" },
  { 64592, "ARABIC LIGATURE NOON WITH YEH ISOLATED FORM" },
  { 64593, "ARABIC LIGATURE HEH WITH JEEM ISOLATED FORM" },
  { 64594, "ARABIC LIGATURE HEH WITH MEEM ISOLATED FORM" },
  { 64595, "ARABIC LIGATURE HEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64596, "ARABIC LIGATURE HEH WITH YEH ISOLATED FORM" },
  { 64597, "ARABIC LIGATURE YEH WITH JEEM ISOLATED FORM" },
  { 64598, "ARABIC LIGATURE YEH WITH HAH ISOLATED FORM" },
  { 64599, "ARABIC LIGATURE YEH WITH KHAH ISOLATED FORM" },
  { 64600, "ARABIC LIGATURE YEH WITH MEEM ISOLATED FORM" },
  { 64601, "ARABIC LIGATURE YEH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64602, "ARABIC LIGATURE YEH WITH YEH ISOLATED FORM" },
  { 64603, "ARABIC LIGATURE THAL WITH SUPERSCRIPT ALEF ISOLATED FORM" },
  { 64604, "ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM" },
  { 64605, "ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF ISOLATED FORM" },
  { 64606, "ARABIC LIGATURE SHADDA WITH DAMMATAN ISOLATED FORM" },
  { 64607, "ARABIC LIGATURE SHADDA WITH KASRATAN ISOLATED FORM" },
  { 64608, "ARABIC LIGATURE SHADDA WITH FATHA ISOLATED FORM" },
  { 64609, "ARABIC LIGATURE SHADDA WITH DAMMA ISOLATED FORM" },
  { 64610, "ARABIC LIGATURE SHADDA WITH KASRA ISOLATED FORM" },
  { 64611, "ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM" },
  { 64612, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM" },
  { 64613, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ZAIN FINAL FORM" },
  { 64614, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM FINAL FORM" },
  { 64615, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM" },
  { 64616, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM" },
  { 64617, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH FINAL FORM" },
  { 64618, "ARABIC LIGATURE BEH WITH REH FINAL FORM" },
  { 64619, "ARABIC LIGATURE BEH WITH ZAIN FINAL FORM" },
  { 64620, "ARABIC LIGATURE BEH WITH MEEM FINAL FORM" },
  { 64621, "ARABIC LIGATURE BEH WITH NOON FINAL FORM" },
  { 64622, "ARABIC LIGATURE BEH WITH ALEF MAKSURA FINAL FORM" },
  { 64623, "ARABIC LIGATURE BEH WITH YEH FINAL FORM" },
  { 64624, "ARABIC LIGATURE TEH WITH REH FINAL FORM" },
  { 64625, "ARABIC LIGATURE TEH WITH ZAIN FINAL FORM" },
  { 64626, "ARABIC LIGATURE TEH WITH MEEM FINAL FORM" },
  { 64627, "ARABIC LIGATURE TEH WITH NOON FINAL FORM" },
  { 64628, "ARABIC LIGATURE TEH WITH ALEF MAKSURA FINAL FORM" },
  { 64629, "ARABIC LIGATURE TEH WITH YEH FINAL FORM" },
  { 64630, "ARABIC LIGATURE THEH WITH REH FINAL FORM" },
  { 64631, "ARABIC LIGATURE THEH WITH ZAIN FINAL FORM" },
  { 64632, "ARABIC LIGATURE THEH WITH MEEM FINAL FORM" },
  { 64633, "ARABIC LIGATURE THEH WITH NOON FINAL FORM" },
  { 64634, "ARABIC LIGATURE THEH WITH ALEF MAKSURA FINAL FORM" },
  { 64635, "ARABIC LIGATURE THEH WITH YEH FINAL FORM" },
  { 64636, "ARABIC LIGATURE FEH WITH ALEF MAKSURA FINAL FORM" },
  { 64637, "ARABIC LIGATURE FEH WITH YEH FINAL FORM" },
  { 64638, "ARABIC LIGATURE QAF WITH ALEF MAKSURA FINAL FORM" },
  { 64639, "ARABIC LIGATURE QAF WITH YEH FINAL FORM" },
  { 64640, "ARABIC LIGATURE KAF WITH ALEF FINAL FORM" },
  { 64641, "ARABIC LIGATURE KAF WITH LAM FINAL FORM" },
  { 64642, "ARABIC LIGATURE KAF WITH MEEM FINAL FORM" },
  { 64643, "ARABIC LIGATURE KAF WITH ALEF MAKSURA FINAL FORM" },
  { 64644, "ARABIC LIGATURE KAF WITH YEH FINAL FORM" },
  { 64645, "ARABIC LIGATURE LAM WITH MEEM FINAL FORM" },
  { 64646, "ARABIC LIGATURE LAM WITH ALEF MAKSURA FINAL FORM" },
  { 64647, "ARABIC LIGATURE LAM WITH YEH FINAL FORM" },
  { 64648, "ARABIC LIGATURE MEEM WITH ALEF FINAL FORM" },
  { 64649, "ARABIC LIGATURE MEEM WITH MEEM FINAL FORM" },
  { 64650, "ARABIC LIGATURE NOON WITH REH FINAL FORM" },
  { 64651, "ARABIC LIGATURE NOON WITH ZAIN FINAL FORM" },
  { 64652, "ARABIC LIGATURE NOON WITH MEEM FINAL FORM" },
  { 64653, "ARABIC LIGATURE NOON WITH NOON FINAL FORM" },
  { 64654, "ARABIC LIGATURE NOON WITH ALEF MAKSURA FINAL FORM" },
  { 64655, "ARABIC LIGATURE NOON WITH YEH FINAL FORM" },
  { 64656, "ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF FINAL FORM" },
  { 64657, "ARABIC LIGATURE YEH WITH REH FINAL FORM" },
  { 64658, "ARABIC LIGATURE YEH WITH ZAIN FINAL FORM" },
  { 64659, "ARABIC LIGATURE YEH WITH MEEM FINAL FORM" },
  { 64660, "ARABIC LIGATURE YEH WITH NOON FINAL FORM" },
  { 64661, "ARABIC LIGATURE YEH WITH ALEF MAKSURA FINAL FORM" },
  { 64662, "ARABIC LIGATURE YEH WITH YEH FINAL FORM" },
  { 64663, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM" },
  { 64664, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH INITIAL FORM" },
  { 64665, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH KHAH INITIAL FORM" },
  { 64666, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM INITIAL FORM" },
  { 64667, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH INITIAL FORM" },
  { 64668, "ARABIC LIGATURE BEH WITH JEEM INITIAL FORM" },
  { 64669, "ARABIC LIGATURE BEH WITH HAH INITIAL FORM" },
  { 64670, "ARABIC LIGATURE BEH WITH KHAH INITIAL FORM" },
  { 64671, "ARABIC LIGATURE BEH WITH MEEM INITIAL FORM" },
  { 64672, "ARABIC LIGATURE BEH WITH HEH INITIAL FORM" },
  { 64673, "ARABIC LIGATURE TEH WITH JEEM INITIAL FORM" },
  { 64674, "ARABIC LIGATURE TEH WITH HAH INITIAL FORM" },
  { 64675, "ARABIC LIGATURE TEH WITH KHAH INITIAL FORM" },
  { 64676, "ARABIC LIGATURE TEH WITH MEEM INITIAL FORM" },
  { 64677, "ARABIC LIGATURE TEH WITH HEH INITIAL FORM" },
  { 64678, "ARABIC LIGATURE THEH WITH MEEM INITIAL FORM" },
  { 64679, "ARABIC LIGATURE JEEM WITH HAH INITIAL FORM" },
  { 64680, "ARABIC LIGATURE JEEM WITH MEEM INITIAL FORM" },
  { 64681, "ARABIC LIGATURE HAH WITH JEEM INITIAL FORM" },
  { 64682, "ARABIC LIGATURE HAH WITH MEEM INITIAL FORM" },
  { 64683, "ARABIC LIGATURE KHAH WITH JEEM INITIAL FORM" },
  { 64684, "ARABIC LIGATURE KHAH WITH MEEM INITIAL FORM" },
  { 64685, "ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM" },
  { 64686, "ARABIC LIGATURE SEEN WITH HAH INITIAL FORM" },
  { 64687, "ARABIC LIGATURE SEEN WITH KHAH INITIAL FORM" },
  { 64688, "ARABIC LIGATURE SEEN WITH MEEM INITIAL FORM" },
  { 64689, "ARABIC LIGATURE SAD WITH HAH INITIAL FORM" },
  { 64690, "ARABIC LIGATURE SAD WITH KHAH INITIAL FORM" },
  { 64691, "ARABIC LIGATURE SAD WITH MEEM INITIAL FORM" },
  { 64692, "ARABIC LIGATURE DAD WITH JEEM INITIAL FORM" },
  { 64693, "ARABIC LIGATURE DAD WITH HAH INITIAL FORM" },
  { 64694, "ARABIC LIGATURE DAD WITH KHAH INITIAL FORM" },
  { 64695, "ARABIC LIGATURE DAD WITH MEEM INITIAL FORM" },
  { 64696, "ARABIC LIGATURE TAH WITH HAH INITIAL FORM" },
  { 64697, "ARABIC LIGATURE ZAH WITH MEEM INITIAL FORM" },
  { 64698, "ARABIC LIGATURE AIN WITH JEEM INITIAL FORM" },
  { 64699, "ARABIC LIGATURE AIN WITH MEEM INITIAL FORM" },
  { 64700, "ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM" },
  { 64701, "ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM" },
  { 64702, "ARABIC LIGATURE FEH WITH JEEM INITIAL FORM" },
  { 64703, "ARABIC LIGATURE FEH WITH HAH INITIAL FORM" },
  { 64704, "ARABIC LIGATURE FEH WITH KHAH INITIAL FORM" },
  { 64705, "ARABIC LIGATURE FEH WITH MEEM INITIAL FORM" },
  { 64706, "ARABIC LIGATURE QAF WITH HAH INITIAL FORM" },
  { 64707, "ARABIC LIGATURE QAF WITH MEEM INITIAL FORM" },
  { 64708, "ARABIC LIGATURE KAF WITH JEEM INITIAL FORM" },
  { 64709, "ARABIC LIGATURE KAF WITH HAH INITIAL FORM" },
  { 64710, "ARABIC LIGATURE KAF WITH KHAH INITIAL FORM" },
  { 64711, "ARABIC LIGATURE KAF WITH LAM INITIAL FORM" },
  { 64712, "ARABIC LIGATURE KAF WITH MEEM INITIAL FORM" },
  { 64713, "ARABIC LIGATURE LAM WITH JEEM INITIAL FORM" },
  { 64714, "ARABIC LIGATURE LAM WITH HAH INITIAL FORM" },
  { 64715, "ARABIC LIGATURE LAM WITH KHAH INITIAL FORM" },
  { 64716, "ARABIC LIGATURE LAM WITH MEEM INITIAL FORM" },
  { 64717, "ARABIC LIGATURE LAM WITH HEH INITIAL FORM" },
  { 64718, "ARABIC LIGATURE MEEM WITH JEEM INITIAL FORM" },
  { 64719, "ARABIC LIGATURE MEEM WITH HAH INITIAL FORM" },
  { 64720, "ARABIC LIGATURE MEEM WITH KHAH INITIAL FORM" },
  { 64721, "ARABIC LIGATURE MEEM WITH MEEM INITIAL FORM" },
  { 64722, "ARABIC LIGATURE NOON WITH JEEM INITIAL FORM" },
  { 64723, "ARABIC LIGATURE NOON WITH HAH INITIAL FORM" },
  { 64724, "ARABIC LIGATURE NOON WITH KHAH INITIAL FORM" },
  { 64725, "ARABIC LIGATURE NOON WITH MEEM INITIAL FORM" },
  { 64726, "ARABIC LIGATURE NOON WITH HEH INITIAL FORM" },
  { 64727, "ARABIC LIGATURE HEH WITH JEEM INITIAL FORM" },
  { 64728, "ARABIC LIGATURE HEH WITH MEEM INITIAL FORM" },
  { 64729, "ARABIC LIGATURE HEH WITH SUPERSCRIPT ALEF INITIAL FORM" },
  { 64730, "ARABIC LIGATURE YEH WITH JEEM INITIAL FORM" },
  { 64731, "ARABIC LIGATURE YEH WITH HAH INITIAL FORM" },
  { 64732, "ARABIC LIGATURE YEH WITH KHAH INITIAL FORM" },
  { 64733, "ARABIC LIGATURE YEH WITH MEEM INITIAL FORM" },
  { 64734, "ARABIC LIGATURE YEH WITH HEH INITIAL FORM" },
  { 64735, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM" },
  { 64736, "ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM" },
  { 64737, "ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM" },
  { 64738, "ARABIC LIGATURE BEH WITH HEH MEDIAL FORM" },
  { 64739, "ARABIC LIGATURE TEH WITH MEEM MEDIAL FORM" },
  { 64740, "ARABIC LIGATURE TEH WITH HEH MEDIAL FORM" },
  { 64741, "ARABIC LIGATURE THEH WITH MEEM MEDIAL FORM" },
  { 64742, "ARABIC LIGATURE THEH WITH HEH MEDIAL FORM" },
  { 64743, "ARABIC LIGATURE SEEN WITH MEEM MEDIAL FORM" },
  { 64744, "ARABIC LIGATURE SEEN WITH HEH MEDIAL FORM" },
  { 64745, "ARABIC LIGATURE SHEEN WITH MEEM MEDIAL FORM" },
  { 64746, "ARABIC LIGATURE SHEEN WITH HEH MEDIAL FORM" },
  { 64747, "ARABIC LIGATURE KAF WITH LAM MEDIAL FORM" },
  { 64748, "ARABIC LIGATURE KAF WITH MEEM MEDIAL FORM" },
  { 64749, "ARABIC LIGATURE LAM WITH MEEM MEDIAL FORM" },
  { 64750, "ARABIC LIGATURE NOON WITH MEEM MEDIAL FORM" },
  { 64751, "ARABIC LIGATURE NOON WITH HEH MEDIAL FORM" },
  { 64752, "ARABIC LIGATURE YEH WITH MEEM MEDIAL FORM" },
  { 64753, "ARABIC LIGATURE YEH WITH HEH MEDIAL FORM" },
  { 64754, "ARABIC LIGATURE SHADDA WITH FATHA MEDIAL FORM" },
  { 64755, "ARABIC LIGATURE SHADDA WITH DAMMA MEDIAL FORM" },
  { 64756, "ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM" },
  { 64757, "ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64758, "ARABIC LIGATURE TAH WITH YEH ISOLATED FORM" },
  { 64759, "ARABIC LIGATURE AIN WITH ALEF MAKSURA ISOLATED FORM" },
  { 64760, "ARABIC LIGATURE AIN WITH YEH ISOLATED FORM" },
  { 64761, "ARABIC LIGATURE GHAIN WITH ALEF MAKSURA ISOLATED FORM" },
  { 64762, "ARABIC LIGATURE GHAIN WITH YEH ISOLATED FORM" },
  { 64763, "ARABIC LIGATURE SEEN WITH ALEF MAKSURA ISOLATED FORM" },
  { 64764, "ARABIC LIGATURE SEEN WITH YEH ISOLATED FORM" },
  { 64765, "ARABIC LIGATURE SHEEN WITH ALEF MAKSURA ISOLATED FORM" },
  { 64766, "ARABIC LIGATURE SHEEN WITH YEH ISOLATED FORM" },
  { 64767, "ARABIC LIGATURE HAH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64768, "ARABIC LIGATURE HAH WITH YEH ISOLATED FORM" },
  { 64769, "ARABIC LIGATURE JEEM WITH ALEF MAKSURA ISOLATED FORM" },
  { 64770, "ARABIC LIGATURE JEEM WITH YEH ISOLATED FORM" },
  { 64771, "ARABIC LIGATURE KHAH WITH ALEF MAKSURA ISOLATED FORM" },
  { 64772, "ARABIC LIGATURE KHAH WITH YEH ISOLATED FORM" },
  { 64773, "ARABIC LIGATURE SAD WITH ALEF MAKSURA ISOLATED FORM" },
  { 64774, "ARABIC LIGATURE SAD WITH YEH ISOLATED FORM" },
  { 64775, "ARABIC LIGATURE DAD WITH ALEF MAKSURA ISOLATED FORM" },
  { 64776, "ARABIC LIGATURE DAD WITH YEH ISOLATED FORM" },
  { 64777, "ARABIC LIGATURE SHEEN WITH JEEM ISOLATED FORM" },
  { 64778, "ARABIC LIGATURE SHEEN WITH HAH ISOLATED FORM" },
  { 64779, "ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM" },
  { 64780, "ARABIC LIGATURE SHEEN WITH MEEM ISOLATED FORM" },
  { 64781, "ARABIC LIGATURE SHEEN WITH REH ISOLATED FORM" },
  { 64782, "ARABIC LIGATURE SEEN WITH REH ISOLATED FORM" },
  { 64783, "ARABIC LIGATURE SAD WITH REH ISOLATED FORM" },
  { 64784, "ARABIC LIGATURE DAD WITH REH ISOLATED FORM" },
  { 64785, "ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM" },
  { 64786, "ARABIC LIGATURE TAH WITH YEH FINAL FORM" },
  { 64787, "ARABIC LIGATURE AIN WITH ALEF MAKSURA FINAL FORM" },
  { 64788, "ARABIC LIGATURE AIN WITH YEH FINAL FORM" },
  { 64789, "ARABIC LIGATURE GHAIN WITH ALEF MAKSURA FINAL FORM" },
  { 64790, "ARABIC LIGATURE GHAIN WITH YEH FINAL FORM" },
  { 64791, "ARABIC LIGATURE SEEN WITH ALEF MAKSURA FINAL FORM" },
  { 64792, "ARABIC LIGATURE SEEN WITH YEH FINAL FORM" },
  { 64793, "ARABIC LIGATURE SHEEN WITH ALEF MAKSURA FINAL FORM" },
  { 64794, "ARABIC LIGATURE SHEEN WITH YEH FINAL FORM" },
  { 64795, "ARABIC LIGATURE HAH WITH ALEF MAKSURA FINAL FORM" },
  { 64796, "ARABIC LIGATURE HAH WITH YEH FINAL FORM" },
  { 64797, "ARABIC LIGATURE JEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64798, "ARABIC LIGATURE JEEM WITH YEH FINAL FORM" },
  { 64799, "ARABIC LIGATURE KHAH WITH ALEF MAKSURA FINAL FORM" },
  { 64800, "ARABIC LIGATURE KHAH WITH YEH FINAL FORM" },
  { 64801, "ARABIC LIGATURE SAD WITH ALEF MAKSURA FINAL FORM" },
  { 64802, "ARABIC LIGATURE SAD WITH YEH FINAL FORM" },
  { 64803, "ARABIC LIGATURE DAD WITH ALEF MAKSURA FINAL FORM" },
  { 64804, "ARABIC LIGATURE DAD WITH YEH FINAL FORM" },
  { 64805, "ARABIC LIGATURE SHEEN WITH JEEM FINAL FORM" },
  { 64806, "ARABIC LIGATURE SHEEN WITH HAH FINAL FORM" },
  { 64807, "ARABIC LIGATURE SHEEN WITH KHAH FINAL FORM" },
  { 64808, "ARABIC LIGATURE SHEEN WITH MEEM FINAL FORM" },
  { 64809, "ARABIC LIGATURE SHEEN WITH REH FINAL FORM" },
  { 64810, "ARABIC LIGATURE SEEN WITH REH FINAL FORM" },
  { 64811, "ARABIC LIGATURE SAD WITH REH FINAL FORM" },
  { 64812, "ARABIC LIGATURE DAD WITH REH FINAL FORM" },
  { 64813, "ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM" },
  { 64814, "ARABIC LIGATURE SHEEN WITH HAH INITIAL FORM" },
  { 64815, "ARABIC LIGATURE SHEEN WITH KHAH INITIAL FORM" },
  { 64816, "ARABIC LIGATURE SHEEN WITH MEEM INITIAL FORM" },
  { 64817, "ARABIC LIGATURE SEEN WITH HEH INITIAL FORM" },
  { 64818, "ARABIC LIGATURE SHEEN WITH HEH INITIAL FORM" },
  { 64819, "ARABIC LIGATURE TAH WITH MEEM INITIAL FORM" },
  { 64820, "ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM" },
  { 64821, "ARABIC LIGATURE SEEN WITH HAH MEDIAL FORM" },
  { 64822, "ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM" },
  { 64823, "ARABIC LIGATURE SHEEN WITH JEEM MEDIAL FORM" },
  { 64824, "ARABIC LIGATURE SHEEN WITH HAH MEDIAL FORM" },
  { 64825, "ARABIC LIGATURE SHEEN WITH KHAH MEDIAL FORM" },
  { 64826, "ARABIC LIGATURE TAH WITH MEEM MEDIAL FORM" },
  { 64827, "ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM" },
  { 64828, "ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM" },
  { 64829, "ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM" },
  { 64830, "ORNATE LEFT PARENTHESIS" },
  { 64831, "ORNATE RIGHT PARENTHESIS" },
  { 64848, "ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM" },
  { 64849, "ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM" },
  { 64850, "ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM" },
  { 64851, "ARABIC LIGATURE TEH WITH HAH WITH MEEM INITIAL FORM" },
  { 64852, "ARABIC LIGATURE TEH WITH KHAH WITH MEEM INITIAL FORM" },
  { 64853, "ARABIC LIGATURE TEH WITH MEEM WITH JEEM INITIAL FORM" },
  { 64854, "ARABIC LIGATURE TEH WITH MEEM WITH HAH INITIAL FORM" },
  { 64855, "ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM" },
  { 64856, "ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM" },
  { 64857, "ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM" },
  { 64858, "ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM" },
  { 64859, "ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64860, "ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM" },
  { 64861, "ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM" },
  { 64862, "ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64863, "ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM" },
  { 64864, "ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM" },
  { 64865, "ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM" },
  { 64866, "ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM" },
  { 64867, "ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM" },
  { 64868, "ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM" },
  { 64869, "ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM" },
  { 64870, "ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM" },
  { 64871, "ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM" },
  { 64872, "ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM" },
  { 64873, "ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM" },
  { 64874, "ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM" },
  { 64875, "ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM" },
  { 64876, "ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM" },
  { 64877, "ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM" },
  { 64878, "ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM" },
  { 64879, "ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM" },
  { 64880, "ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM" },
  { 64881, "ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM" },
  { 64882, "ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM" },
  { 64883, "ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM" },
  { 64884, "ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM" },
  { 64885, "ARABIC LIGATURE AIN WITH JEEM WITH MEEM FINAL FORM" },
  { 64886, "ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM" },
  { 64887, "ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM" },
  { 64888, "ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64889, "ARABIC LIGATURE GHAIN WITH MEEM WITH MEEM FINAL FORM" },
  { 64890, "ARABIC LIGATURE GHAIN WITH MEEM WITH YEH FINAL FORM" },
  { 64891, "ARABIC LIGATURE GHAIN WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64892, "ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM" },
  { 64893, "ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM" },
  { 64894, "ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM" },
  { 64895, "ARABIC LIGATURE QAF WITH MEEM WITH MEEM FINAL FORM" },
  { 64896, "ARABIC LIGATURE LAM WITH HAH WITH MEEM FINAL FORM" },
  { 64897, "ARABIC LIGATURE LAM WITH HAH WITH YEH FINAL FORM" },
  { 64898, "ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM" },
  { 64899, "ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM" },
  { 64900, "ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM" },
  { 64901, "ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM" },
  { 64902, "ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM" },
  { 64903, "ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM" },
  { 64904, "ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM" },
  { 64905, "ARABIC LIGATURE MEEM WITH HAH WITH JEEM INITIAL FORM" },
  { 64906, "ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM" },
  { 64907, "ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM" },
  { 64908, "ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM" },
  { 64909, "ARABIC LIGATURE MEEM WITH JEEM WITH MEEM INITIAL FORM" },
  { 64910, "ARABIC LIGATURE MEEM WITH KHAH WITH JEEM INITIAL FORM" },
  { 64911, "ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM" },
  { 64914, "ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM" },
  { 64915, "ARABIC LIGATURE HEH WITH MEEM WITH JEEM INITIAL FORM" },
  { 64916, "ARABIC LIGATURE HEH WITH MEEM WITH MEEM INITIAL FORM" },
  { 64917, "ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM" },
  { 64918, "ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM" },
  { 64919, "ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM" },
  { 64920, "ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM" },
  { 64921, "ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64922, "ARABIC LIGATURE NOON WITH MEEM WITH YEH FINAL FORM" },
  { 64923, "ARABIC LIGATURE NOON WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64924, "ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM" },
  { 64925, "ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM" },
  { 64926, "ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM" },
  { 64927, "ARABIC LIGATURE TEH WITH JEEM WITH YEH FINAL FORM" },
  { 64928, "ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64929, "ARABIC LIGATURE TEH WITH KHAH WITH YEH FINAL FORM" },
  { 64930, "ARABIC LIGATURE TEH WITH KHAH WITH ALEF MAKSURA FINAL FORM" },
  { 64931, "ARABIC LIGATURE TEH WITH MEEM WITH YEH FINAL FORM" },
  { 64932, "ARABIC LIGATURE TEH WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64933, "ARABIC LIGATURE JEEM WITH MEEM WITH YEH FINAL FORM" },
  { 64934, "ARABIC LIGATURE JEEM WITH HAH WITH ALEF MAKSURA FINAL FORM" },
  { 64935, "ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM" },
  { 64936, "ARABIC LIGATURE SEEN WITH KHAH WITH ALEF MAKSURA FINAL FORM" },
  { 64937, "ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM" },
  { 64938, "ARABIC LIGATURE SHEEN WITH HAH WITH YEH FINAL FORM" },
  { 64939, "ARABIC LIGATURE DAD WITH HAH WITH YEH FINAL FORM" },
  { 64940, "ARABIC LIGATURE LAM WITH JEEM WITH YEH FINAL FORM" },
  { 64941, "ARABIC LIGATURE LAM WITH MEEM WITH YEH FINAL FORM" },
  { 64942, "ARABIC LIGATURE YEH WITH HAH WITH YEH FINAL FORM" },
  { 64943, "ARABIC LIGATURE YEH WITH JEEM WITH YEH FINAL FORM" },
  { 64944, "ARABIC LIGATURE YEH WITH MEEM WITH YEH FINAL FORM" },
  { 64945, "ARABIC LIGATURE MEEM WITH MEEM WITH YEH FINAL FORM" },
  { 64946, "ARABIC LIGATURE QAF WITH MEEM WITH YEH FINAL FORM" },
  { 64947, "ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM" },
  { 64948, "ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM" },
  { 64949, "ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM" },
  { 64950, "ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM" },
  { 64951, "ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM" },
  { 64952, "ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM" },
  { 64953, "ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM" },
  { 64954, "ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM" },
  { 64955, "ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM" },
  { 64956, "ARABIC LIGATURE LAM WITH JEEM WITH MEEM FINAL FORM" },
  { 64957, "ARABIC LIGATURE NOON WITH JEEM WITH HAH FINAL FORM" },
  { 64958, "ARABIC LIGATURE JEEM WITH HAH WITH YEH FINAL FORM" },
  { 64959, "ARABIC LIGATURE HAH WITH JEEM WITH YEH FINAL FORM" },
  { 64960, "ARABIC LIGATURE MEEM WITH JEEM WITH YEH FINAL FORM" },
  { 64961, "ARABIC LIGATURE FEH WITH MEEM WITH YEH FINAL FORM" },
  { 64962, "ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM" },
  { 64963, "ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM" },
  { 64964, "ARABIC LIGATURE AIN WITH JEEM WITH MEEM INITIAL FORM" },
  { 64965, "ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM" },
  { 64966, "ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM" },
  { 64967, "ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM" },
  { 65008, "ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM" },
  { 65009, "ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM" },
  { 65010, "ARABIC LIGATURE ALLAH ISOLATED FORM" },
  { 65011, "ARABIC LIGATURE AKBAR ISOLATED FORM" },
  { 65012, "ARABIC LIGATURE MOHAMMAD ISOLATED FORM" },
  { 65013, "ARABIC LIGATURE SALAM ISOLATED FORM" },
  { 65014, "ARABIC LIGATURE RASOUL ISOLATED FORM" },
  { 65015, "ARABIC LIGATURE ALAYHE ISOLATED FORM" },
  { 65016, "ARABIC LIGATURE WASALLAM ISOLATED FORM" },
  { 65017, "ARABIC LIGATURE SALLA ISOLATED FORM" },
  { 65018, "ARABIC LIGATURE SALLALLAHOU ALAYHE WASALLAM" },
  { 65019, "ARABIC LIGATURE JALLAJALALOUHOU" },
  { 65020, "RIAL SIGN" },
  { 65021, "ARABIC LIGATURE BISMILLAH AR-RAHMAN AR-RAHEEM" },
  { 65024, "VARIATION SELECTOR-1" },
  { 65025, "VARIATION SELECTOR-2" },
  { 65026, "VARIATION SELECTOR-3" },
  { 65027, "VARIATION SELECTOR-4" },
  { 65028, "VARIATION SELECTOR-5" },
  { 65029, "VARIATION SELECTOR-6" },
  { 65030, "VARIATION SELECTOR-7" },
  { 65031, "VARIATION SELECTOR-8" },
  { 65032, "VARIATION SELECTOR-9" },
  { 65033, "VARIATION SELECTOR-10" },
  { 65034, "VARIATION SELECTOR-11" },
  { 65035, "VARIATION SELECTOR-12" },
  { 65036, "VARIATION SELECTOR-13" },
  { 65037, "VARIATION SELECTOR-14" },
  { 65038, "VARIATION SELECTOR-15" },
  { 65039, "VARIATION SELECTOR-16" },
  { 65040, "PRESENTATION FORM FOR VERTICAL COMMA" },
  { 65041, "PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC COMMA" },
  { 65042, "PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC FULL STOP" },
  { 65043, "PRESENTATION FORM FOR VERTICAL COLON" },
  { 65044, "PRESENTATION FORM FOR VERTICAL SEMICOLON" },
  { 65045, "PRESENTATION FORM FOR VERTICAL EXCLAMATION MARK" },
  { 65046, "PRESENTATION FORM FOR VERTICAL QUESTION MARK" },
  { 65047, "PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET" },
  { 65048, "PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET" },
  { 65049, "PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS" },
  { 65056, "COMBINING LIGATURE LEFT HALF" },
  { 65057, "COMBINING LIGATURE RIGHT HALF" },
  { 65058, "COMBINING DOUBLE TILDE LEFT HALF" },
  { 65059, "COMBINING DOUBLE TILDE RIGHT HALF" },
  { 65060, "COMBINING MACRON LEFT HALF" },
  { 65061, "COMBINING MACRON RIGHT HALF" },
  { 65062, "COMBINING CONJOINING MACRON" },
  { 65072, "PRESENTATION FORM FOR VERTICAL TWO DOT LEADER" },
  { 65073, "PRESENTATION FORM FOR VERTICAL EM DASH" },
  { 65074, "PRESENTATION FORM FOR VERTICAL EN DASH" },
  { 65075, "PRESENTATION FORM FOR VERTICAL LOW LINE" },
  { 65076, "PRESENTATION FORM FOR VERTICAL WAVY LOW LINE" },
  { 65077, "PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS" },
  { 65078, "PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS" },
  { 65079, "PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET" },
  { 65080, "PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET" },
  { 65081, "PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET" },
  { 65082, "PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET" },
  { 65083, "PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET" },
  { 65084, "PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET" },
  { 65085, "PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET" },
  { 65086, "PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET" },
  { 65087, "PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET" },
  { 65088, "PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET" },
  { 65089, "PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET" },
  { 65090, "PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET" },
  { 65091, "PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET" },
  { 65092, "PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET" },
  { 65093, "SESAME DOT" },
  { 65094, "WHITE SESAME DOT" },
  { 65095, "PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET" },
  { 65096, "PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET" },
  { 65097, "DASHED OVERLINE" },
  { 65098, "CENTRELINE OVERLINE" },
  { 65099, "WAVY OVERLINE" },
  { 65100, "DOUBLE WAVY OVERLINE" },
  { 65101, "DASHED LOW LINE" },
  { 65102, "CENTRELINE LOW LINE" },
  { 65103, "WAVY LOW LINE" },
  { 65104, "SMALL COMMA" },
  { 65105, "SMALL IDEOGRAPHIC COMMA" },
  { 65106, "SMALL FULL STOP" },
  { 65108, "SMALL SEMICOLON" },
  { 65109, "SMALL COLON" },
  { 65110, "SMALL QUESTION MARK" },
  { 65111, "SMALL EXCLAMATION MARK" },
  { 65112, "SMALL EM DASH" },
  { 65113, "SMALL LEFT PARENTHESIS" },
  { 65114, "SMALL RIGHT PARENTHESIS" },
  { 65115, "SMALL LEFT CURLY BRACKET" },
  { 65116, "SMALL RIGHT CURLY BRACKET" },
  { 65117, "SMALL LEFT TORTOISE SHELL BRACKET" },
  { 65118, "SMALL RIGHT TORTOISE SHELL BRACKET" },
  { 65119, "SMALL NUMBER SIGN" },
  { 65120, "SMALL AMPERSAND" },
  { 65121, "SMALL ASTERISK" },
  { 65122, "SMALL PLUS SIGN" },
  { 65123, "SMALL HYPHEN-MINUS" },
  { 65124, "SMALL LESS-THAN SIGN" },
  { 65125, "SMALL GREATER-THAN SIGN" },
  { 65126, "SMALL EQUALS SIGN" },
  { 65128, "SMALL REVERSE SOLIDUS" },
  { 65129, "SMALL DOLLAR SIGN" },
  { 65130, "SMALL PERCENT SIGN" },
  { 65131, "SMALL COMMERCIAL AT" },
  { 65136, "ARABIC FATHATAN ISOLATED FORM" },
  { 65137, "ARABIC TATWEEL WITH FATHATAN ABOVE" },
  { 65138, "ARABIC DAMMATAN ISOLATED FORM" },
  { 65139, "ARABIC TAIL FRAGMENT" },
  { 65140, "ARABIC KASRATAN ISOLATED FORM" },
  { 65142, "ARABIC FATHA ISOLATED FORM" },
  { 65143, "ARABIC FATHA MEDIAL FORM" },
  { 65144, "ARABIC DAMMA ISOLATED FORM" },
  { 65145, "ARABIC DAMMA MEDIAL FORM" },
  { 65146, "ARABIC KASRA ISOLATED FORM" },
  { 65147, "ARABIC KASRA MEDIAL FORM" },
  { 65148, "ARABIC SHADDA ISOLATED FORM" },
  { 65149, "ARABIC SHADDA MEDIAL FORM" },
  { 65150, "ARABIC SUKUN ISOLATED FORM" },
  { 65151, "ARABIC SUKUN MEDIAL FORM" },
  { 65152, "ARABIC LETTER HAMZA ISOLATED FORM" },
  { 65153, "ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM" },
  { 65154, "ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM" },
  { 65155, "ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM" },
  { 65156, "ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM" },
  { 65157, "ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM" },
  { 65158, "ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM" },
  { 65159, "ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM" },
  { 65160, "ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM" },
  { 65161, "ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM" },
  { 65162, "ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM" },
  { 65163, "ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM" },
  { 65164, "ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM" },
  { 65165, "ARABIC LETTER ALEF ISOLATED FORM" },
  { 65166, "ARABIC LETTER ALEF FINAL FORM" },
  { 65167, "ARABIC LETTER BEH ISOLATED FORM" },
  { 65168, "ARABIC LETTER BEH FINAL FORM" },
  { 65169, "ARABIC LETTER BEH INITIAL FORM" },
  { 65170, "ARABIC LETTER BEH MEDIAL FORM" },
  { 65171, "ARABIC LETTER TEH MARBUTA ISOLATED FORM" },
  { 65172, "ARABIC LETTER TEH MARBUTA FINAL FORM" },
  { 65173, "ARABIC LETTER TEH ISOLATED FORM" },
  { 65174, "ARABIC LETTER TEH FINAL FORM" },
  { 65175, "ARABIC LETTER TEH INITIAL FORM" },
  { 65176, "ARABIC LETTER TEH MEDIAL FORM" },
  { 65177, "ARABIC LETTER THEH ISOLATED FORM" },
  { 65178, "ARABIC LETTER THEH FINAL FORM" },
  { 65179, "ARABIC LETTER THEH INITIAL FORM" },
  { 65180, "ARABIC LETTER THEH MEDIAL FORM" },
  { 65181, "ARABIC LETTER JEEM ISOLATED FORM" },
  { 65182, "ARABIC LETTER JEEM FINAL FORM" },
  { 65183, "ARABIC LETTER JEEM INITIAL FORM" },
  { 65184, "ARABIC LETTER JEEM MEDIAL FORM" },
  { 65185, "ARABIC LETTER HAH ISOLATED FORM" },
  { 65186, "ARABIC LETTER HAH FINAL FORM" },
  { 65187, "ARABIC LETTER HAH INITIAL FORM" },
  { 65188, "ARABIC LETTER HAH MEDIAL FORM" },
  { 65189, "ARABIC LETTER KHAH ISOLATED FORM" },
  { 65190, "ARABIC LETTER KHAH FINAL FORM" },
  { 65191, "ARABIC LETTER KHAH INITIAL FORM" },
  { 65192, "ARABIC LETTER KHAH MEDIAL FORM" },
  { 65193, "ARABIC LETTER DAL ISOLATED FORM" },
  { 65194, "ARABIC LETTER DAL FINAL FORM" },
  { 65195, "ARABIC LETTER THAL ISOLATED FORM" },
  { 65196, "ARABIC LETTER THAL FINAL FORM" },
  { 65197, "ARABIC LETTER REH ISOLATED FORM" },
  { 65198, "ARABIC LETTER REH FINAL FORM" },
  { 65199, "ARABIC LETTER ZAIN ISOLATED FORM" },
  { 65200, "ARABIC LETTER ZAIN FINAL FORM" },
  { 65201, "ARABIC LETTER SEEN ISOLATED FORM" },
  { 65202, "ARABIC LETTER SEEN FINAL FORM" },
  { 65203, "ARABIC LETTER SEEN INITIAL FORM" },
  { 65204, "ARABIC LETTER SEEN MEDIAL FORM" },
  { 65205, "ARABIC LETTER SHEEN ISOLATED FORM" },
  { 65206, "ARABIC LETTER SHEEN FINAL FORM" },
  { 65207, "ARABIC LETTER SHEEN INITIAL FORM" },
  { 65208, "ARABIC LETTER SHEEN MEDIAL FORM" },
  { 65209, "ARABIC LETTER SAD ISOLATED FORM" },
  { 65210, "ARABIC LETTER SAD FINAL FORM" },
  { 65211, "ARABIC LETTER SAD INITIAL FORM" },
  { 65212, "ARABIC LETTER SAD MEDIAL FORM" },
  { 65213, "ARABIC LETTER DAD ISOLATED FORM" },
  { 65214, "ARABIC LETTER DAD FINAL FORM" },
  { 65215, "ARABIC LETTER DAD INITIAL FORM" },
  { 65216, "ARABIC LETTER DAD MEDIAL FORM" },
  { 65217, "ARABIC LETTER TAH ISOLATED FORM" },
  { 65218, "ARABIC LETTER TAH FINAL FORM" },
  { 65219, "ARABIC LETTER TAH INITIAL FORM" },
  { 65220, "ARABIC LETTER TAH MEDIAL FORM" },
  { 65221, "ARABIC LETTER ZAH ISOLATED FORM" },
  { 65222, "ARABIC LETTER ZAH FINAL FORM" },
  { 65223, "ARABIC LETTER ZAH INITIAL FORM" },
  { 65224, "ARABIC LETTER ZAH MEDIAL FORM" },
  { 65225, "ARABIC LETTER AIN ISOLATED FORM" },
  { 65226, "ARABIC LETTER AIN FINAL FORM" },
  { 65227, "ARABIC LETTER AIN INITIAL FORM" },
  { 65228, "ARABIC LETTER AIN MEDIAL FORM" },
  { 65229, "ARABIC LETTER GHAIN ISOLATED FORM" },
  { 65230, "ARABIC LETTER GHAIN FINAL FORM" },
  { 65231, "ARABIC LETTER GHAIN INITIAL FORM" },
  { 65232, "ARABIC LETTER GHAIN MEDIAL FORM" },
  { 65233, "ARABIC LETTER FEH ISOLATED FORM" },
  { 65234, "ARABIC LETTER FEH FINAL FORM" },
  { 65235, "ARABIC LETTER FEH INITIAL FORM" },
  { 65236, "ARABIC LETTER FEH MEDIAL FORM" },
  { 65237, "ARABIC LETTER QAF ISOLATED FORM" },
  { 65238, "ARABIC LETTER QAF FINAL FORM" },
  { 65239, "ARABIC LETTER QAF INITIAL FORM" },
  { 65240, "ARABIC LETTER QAF MEDIAL FORM" },
  { 65241, "ARABIC LETTER KAF ISOLATED FORM" },
  { 65242, "ARABIC LETTER KAF FINAL FORM" },
  { 65243, "ARABIC LETTER KAF INITIAL FORM" },
  { 65244, "ARABIC LETTER KAF MEDIAL FORM" },
  { 65245, "ARABIC LETTER LAM ISOLATED FORM" },
  { 65246, "ARABIC LETTER LAM FINAL FORM" },
  { 65247, "ARABIC LETTER LAM INITIAL FORM" },
  { 65248, "ARABIC LETTER LAM MEDIAL FORM" },
  { 65249, "ARABIC LETTER MEEM ISOLATED FORM" },
  { 65250, "ARABIC LETTER MEEM FINAL FORM" },
  { 65251, "ARABIC LETTER MEEM INITIAL FORM" },
  { 65252, "ARABIC LETTER MEEM MEDIAL FORM" },
  { 65253, "ARABIC LETTER NOON ISOLATED FORM" },
  { 65254, "ARABIC LETTER NOON FINAL FORM" },
  { 65255, "ARABIC LETTER NOON INITIAL FORM" },
  { 65256, "ARABIC LETTER NOON MEDIAL FORM" },
  { 65257, "ARABIC LETTER HEH ISOLATED FORM" },
  { 65258, "ARABIC LETTER HEH FINAL FORM" },
  { 65259, "ARABIC LETTER HEH INITIAL FORM" },
  { 65260, "ARABIC LETTER HEH MEDIAL FORM" },
  { 65261, "ARABIC LETTER WAW ISOLATED FORM" },
  { 65262, "ARABIC LETTER WAW FINAL FORM" },
  { 65263, "ARABIC LETTER ALEF MAKSURA ISOLATED FORM" },
  { 65264, "ARABIC LETTER ALEF MAKSURA FINAL FORM" },
  { 65265, "ARABIC LETTER YEH ISOLATED FORM" },
  { 65266, "ARABIC LETTER YEH FINAL FORM" },
  { 65267, "ARABIC LETTER YEH INITIAL FORM" },
  { 65268, "ARABIC LETTER YEH MEDIAL FORM" },
  { 65269, "ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM" },
  { 65270, "ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM" },
  { 65271, "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM" },
  { 65272, "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM" },
  { 65273, "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM" },
  { 65274, "ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM" },
  { 65275, "ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM" },
  { 65276, "ARABIC LIGATURE LAM WITH ALEF FINAL FORM" },
  { 65279, "ZERO WIDTH NO-BREAK SPACE" },
  { 65281, "FULLWIDTH EXCLAMATION MARK" },
  { 65282, "FULLWIDTH QUOTATION MARK" },
  { 65283, "FULLWIDTH NUMBER SIGN" },
  { 65284, "FULLWIDTH DOLLAR SIGN" },
  { 65285, "FULLWIDTH PERCENT SIGN" },
  { 65286, "FULLWIDTH AMPERSAND" },
  { 65287, "FULLWIDTH APOSTROPHE" },
  { 65288, "FULLWIDTH LEFT PARENTHESIS" },
  { 65289, "FULLWIDTH RIGHT PARENTHESIS" },
  { 65290, "FULLWIDTH ASTERISK" },
  { 65291, "FULLWIDTH PLUS SIGN" },
  { 65292, "FULLWIDTH COMMA" },
  { 65293, "FULLWIDTH HYPHEN-MINUS" },
  { 65294, "FULLWIDTH FULL STOP" },
  { 65295, "FULLWIDTH SOLIDUS" },
  { 65296, "FULLWIDTH DIGIT ZERO" },
  { 65297, "FULLWIDTH DIGIT ONE" },
  { 65298, "FULLWIDTH DIGIT TWO" },
  { 65299, "FULLWIDTH DIGIT THREE" },
  { 65300, "FULLWIDTH DIGIT FOUR" },
  { 65301, "FULLWIDTH DIGIT FIVE" },
  { 65302, "FULLWIDTH DIGIT SIX" },
  { 65303, "FULLWIDTH DIGIT SEVEN" },
  { 65304, "FULLWIDTH DIGIT EIGHT" },
  { 65305, "FULLWIDTH DIGIT NINE" },
  { 65306, "FULLWIDTH COLON" },
  { 65307, "FULLWIDTH SEMICOLON" },
  { 65308, "FULLWIDTH LESS-THAN SIGN" },
  { 65309, "FULLWIDTH EQUALS SIGN" },
  { 65310, "FULLWIDTH GREATER-THAN SIGN" },
  { 65311, "FULLWIDTH QUESTION MARK" },
  { 65312, "FULLWIDTH COMMERCIAL AT" },
  { 65313, "FULLWIDTH LATIN CAPITAL LETTER A" },
  { 65314, "FULLWIDTH LATIN CAPITAL LETTER B" },
  { 65315, "FULLWIDTH LATIN CAPITAL LETTER C" },
  { 65316, "FULLWIDTH LATIN CAPITAL LETTER D" },
  { 65317, "FULLWIDTH LATIN CAPITAL LETTER E" },
  { 65318, "FULLWIDTH LATIN CAPITAL LETTER F" },
  { 65319, "FULLWIDTH LATIN CAPITAL LETTER G" },
  { 65320, "FULLWIDTH LATIN CAPITAL LETTER H" },
  { 65321, "FULLWIDTH LATIN CAPITAL LETTER I" },
  { 65322, "FULLWIDTH LATIN CAPITAL LETTER J" },
  { 65323, "FULLWIDTH LATIN CAPITAL LETTER K" },
  { 65324, "FULLWIDTH LATIN CAPITAL LETTER L" },
  { 65325, "FULLWIDTH LATIN CAPITAL LETTER M" },
  { 65326, "FULLWIDTH LATIN CAPITAL LETTER N" },
  { 65327, "FULLWIDTH LATIN CAPITAL LETTER O" },
  { 65328, "FULLWIDTH LATIN CAPITAL LETTER P" },
  { 65329, "FULLWIDTH LATIN CAPITAL LETTER Q" },
  { 65330, "FULLWIDTH LATIN CAPITAL LETTER R" },
  { 65331, "FULLWIDTH LATIN CAPITAL LETTER S" },
  { 65332, "FULLWIDTH LATIN CAPITAL LETTER T" },
  { 65333, "FULLWIDTH LATIN CAPITAL LETTER U" },
  { 65334, "FULLWIDTH LATIN CAPITAL LETTER V" },
  { 65335, "FULLWIDTH LATIN CAPITAL LETTER W" },
  { 65336, "FULLWIDTH LATIN CAPITAL LETTER X" },
  { 65337, "FULLWIDTH LATIN CAPITAL LETTER Y" },
  { 65338, "FULLWIDTH LATIN CAPITAL LETTER Z" },
  { 65339, "FULLWIDTH LEFT SQUARE BRACKET" },
  { 65340, "FULLWIDTH REVERSE SOLIDUS" },
  { 65341, "FULLWIDTH RIGHT SQUARE BRACKET" },
  { 65342, "FULLWIDTH CIRCUMFLEX ACCENT" },
  { 65343, "FULLWIDTH LOW LINE" },
  { 65344, "FULLWIDTH GRAVE ACCENT" },
  { 65345, "FULLWIDTH LATIN SMALL LETTER A" },
  { 65346, "FULLWIDTH LATIN SMALL LETTER B" },
  { 65347, "FULLWIDTH LATIN SMALL LETTER C" },
  { 65348, "FULLWIDTH LATIN SMALL LETTER D" },
  { 65349, "FULLWIDTH LATIN SMALL LETTER E" },
  { 65350, "FULLWIDTH LATIN SMALL LETTER F" },
  { 65351, "FULLWIDTH LATIN SMALL LETTER G" },
  { 65352, "FULLWIDTH LATIN SMALL LETTER H" },
  { 65353, "FULLWIDTH LATIN SMALL LETTER I" },
  { 65354, "FULLWIDTH LATIN SMALL LETTER J" },
  { 65355, "FULLWIDTH LATIN SMALL LETTER K" },
  { 65356, "FULLWIDTH LATIN SMALL LETTER L" },
  { 65357, "FULLWIDTH LATIN SMALL LETTER M" },
  { 65358, "FULLWIDTH LATIN SMALL LETTER N" },
  { 65359, "FULLWIDTH LATIN SMALL LETTER O" },
  { 65360, "FULLWIDTH LATIN SMALL LETTER P" },
  { 65361, "FULLWIDTH LATIN SMALL LETTER Q" },
  { 65362, "FULLWIDTH LATIN SMALL LETTER R" },
  { 65363, "FULLWIDTH LATIN SMALL LETTER S" },
  { 65364, "FULLWIDTH LATIN SMALL LETTER T" },
  { 65365, "FULLWIDTH LATIN SMALL LETTER U" },
  { 65366, "FULLWIDTH LATIN SMALL LETTER V" },
  { 65367, "FULLWIDTH LATIN SMALL LETTER W" },
  { 65368, "FULLWIDTH LATIN SMALL LETTER X" },
  { 65369, "FULLWIDTH LATIN SMALL LETTER Y" },
  { 65370, "FULLWIDTH LATIN SMALL LETTER Z" },
  { 65371, "FULLWIDTH LEFT CURLY BRACKET" },
  { 65372, "FULLWIDTH VERTICAL LINE" },
  { 65373, "FULLWIDTH RIGHT CURLY BRACKET" },
  { 65374, "FULLWIDTH TILDE" },
  { 65375, "FULLWIDTH LEFT WHITE PARENTHESIS" },
  { 65376, "FULLWIDTH RIGHT WHITE PARENTHESIS" },
  { 65377, "HALFWIDTH IDEOGRAPHIC FULL STOP" },
  { 65378, "HALFWIDTH LEFT CORNER BRACKET" },
  { 65379, "HALFWIDTH RIGHT CORNER BRACKET" },
  { 65380, "HALFWIDTH IDEOGRAPHIC COMMA" },
  { 65381, "HALFWIDTH KATAKANA MIDDLE DOT" },
  { 65382, "HALFWIDTH KATAKANA LETTER WO" },
  { 65383, "HALFWIDTH KATAKANA LETTER SMALL A" },
  { 65384, "HALFWIDTH KATAKANA LETTER SMALL I" },
  { 65385, "HALFWIDTH KATAKANA LETTER SMALL U" },
  { 65386, "HALFWIDTH KATAKANA LETTER SMALL E" },
  { 65387, "HALFWIDTH KATAKANA LETTER SMALL O" },
  { 65388, "HALFWIDTH KATAKANA LETTER SMALL YA" },
  { 65389, "HALFWIDTH KATAKANA LETTER SMALL YU" },
  { 65390, "HALFWIDTH KATAKANA LETTER SMALL YO" },
  { 65391, "HALFWIDTH KATAKANA LETTER SMALL TU" },
  { 65392, "HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK" },
  { 65393, "HALFWIDTH KATAKANA LETTER A" },
  { 65394, "HALFWIDTH KATAKANA LETTER I" },
  { 65395, "HALFWIDTH KATAKANA LETTER U" },
  { 65396, "HALFWIDTH KATAKANA LETTER E" },
  { 65397, "HALFWIDTH KATAKANA LETTER O" },
  { 65398, "HALFWIDTH KATAKANA LETTER KA" },
  { 65399, "HALFWIDTH KATAKANA LETTER KI" },
  { 65400, "HALFWIDTH KATAKANA LETTER KU" },
  { 65401, "HALFWIDTH KATAKANA LETTER KE" },
  { 65402, "HALFWIDTH KATAKANA LETTER KO" },
  { 65403, "HALFWIDTH KATAKANA LETTER SA" },
  { 65404, "HALFWIDTH KATAKANA LETTER SI" },
  { 65405, "HALFWIDTH KATAKANA LETTER SU" },
  { 65406, "HALFWIDTH KATAKANA LETTER SE" },
  { 65407, "HALFWIDTH KATAKANA LETTER SO" },
  { 65408, "HALFWIDTH KATAKANA LETTER TA" },
  { 65409, "HALFWIDTH KATAKANA LETTER TI" },
  { 65410, "HALFWIDTH KATAKANA LETTER TU" },
  { 65411, "HALFWIDTH KATAKANA LETTER TE" },
  { 65412, "HALFWIDTH KATAKANA LETTER TO" },
  { 65413, "HALFWIDTH KATAKANA LETTER NA" },
  { 65414, "HALFWIDTH KATAKANA LETTER NI" },
  { 65415, "HALFWIDTH KATAKANA LETTER NU" },
  { 65416, "HALFWIDTH KATAKANA LETTER NE" },
  { 65417, "HALFWIDTH KATAKANA LETTER NO" },
  { 65418, "HALFWIDTH KATAKANA LETTER HA" },
  { 65419, "HALFWIDTH KATAKANA LETTER HI" },
  { 65420, "HALFWIDTH KATAKANA LETTER HU" },
  { 65421, "HALFWIDTH KATAKANA LETTER HE" },
  { 65422, "HALFWIDTH KATAKANA LETTER HO" },
  { 65423, "HALFWIDTH KATAKANA LETTER MA" },
  { 65424, "HALFWIDTH KATAKANA LETTER MI" },
  { 65425, "HALFWIDTH KATAKANA LETTER MU" },
  { 65426, "HALFWIDTH KATAKANA LETTER ME" },
  { 65427, "HALFWIDTH KATAKANA LETTER MO" },
  { 65428, "HALFWIDTH KATAKANA LETTER YA" },
  { 65429, "HALFWIDTH KATAKANA LETTER YU" },
  { 65430, "HALFWIDTH KATAKANA LETTER YO" },
  { 65431, "HALFWIDTH KATAKANA LETTER RA" },
  { 65432, "HALFWIDTH KATAKANA LETTER RI" },
  { 65433, "HALFWIDTH KATAKANA LETTER RU" },
  { 65434, "HALFWIDTH KATAKANA LETTER RE" },
  { 65435, "HALFWIDTH KATAKANA LETTER RO" },
  { 65436, "HALFWIDTH KATAKANA LETTER WA" },
  { 65437, "HALFWIDTH KATAKANA LETTER N" },
  { 65438, "HALFWIDTH KATAKANA VOICED SOUND MARK" },
  { 65439, "HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK" },
  { 65440, "HALFWIDTH HANGUL FILLER" },
  { 65441, "HALFWIDTH HANGUL LETTER KIYEOK" },
  { 65442, "HALFWIDTH HANGUL LETTER SSANGKIYEOK" },
  { 65443, "HALFWIDTH HANGUL LETTER KIYEOK-SIOS" },
  { 65444, "HALFWIDTH HANGUL LETTER NIEUN" },
  { 65445, "HALFWIDTH HANGUL LETTER NIEUN-CIEUC" },
  { 65446, "HALFWIDTH HANGUL LETTER NIEUN-HIEUH" },
  { 65447, "HALFWIDTH HANGUL LETTER TIKEUT" },
  { 65448, "HALFWIDTH HANGUL LETTER SSANGTIKEUT" },
  { 65449, "HALFWIDTH HANGUL LETTER RIEUL" },
  { 65450, "HALFWIDTH HANGUL LETTER RIEUL-KIYEOK" },
  { 65451, "HALFWIDTH HANGUL LETTER RIEUL-MIEUM" },
  { 65452, "HALFWIDTH HANGUL LETTER RIEUL-PIEUP" },
  { 65453, "HALFWIDTH HANGUL LETTER RIEUL-SIOS" },
  { 65454, "HALFWIDTH HANGUL LETTER RIEUL-THIEUTH" },
  { 65455, "HALFWIDTH HANGUL LETTER RIEUL-PHIEUPH" },
  { 65456, "HALFWIDTH HANGUL LETTER RIEUL-HIEUH" },
  { 65457, "HALFWIDTH HANGUL LETTER MIEUM" },
  { 65458, "HALFWIDTH HANGUL LETTER PIEUP" },
  { 65459, "HALFWIDTH HANGUL LETTER SSANGPIEUP" },
  { 65460, "HALFWIDTH HANGUL LETTER PIEUP-SIOS" },
  { 65461, "HALFWIDTH HANGUL LETTER SIOS" },
  { 65462, "HALFWIDTH HANGUL LETTER SSANGSIOS" },
  { 65463, "HALFWIDTH HANGUL LETTER IEUNG" },
  { 65464, "HALFWIDTH HANGUL LETTER CIEUC" },
  { 65465, "HALFWIDTH HANGUL LETTER SSANGCIEUC" },
  { 65466, "HALFWIDTH HANGUL LETTER CHIEUCH" },
  { 65467, "HALFWIDTH HANGUL LETTER KHIEUKH" },
  { 65468, "HALFWIDTH HANGUL LETTER THIEUTH" },
  { 65469, "HALFWIDTH HANGUL LETTER PHIEUPH" },
  { 65470, "HALFWIDTH HANGUL LETTER HIEUH" },
  { 65474, "HALFWIDTH HANGUL LETTER A" },
  { 65475, "HALFWIDTH HANGUL LETTER AE" },
  { 65476, "HALFWIDTH HANGUL LETTER YA" },
  { 65477, "HALFWIDTH HANGUL LETTER YAE" },
  { 65478, "HALFWIDTH HANGUL LETTER EO" },
  { 65479, "HALFWIDTH HANGUL LETTER E" },
  { 65482, "HALFWIDTH HANGUL LETTER YEO" },
  { 65483, "HALFWIDTH HANGUL LETTER YE" },
  { 65484, "HALFWIDTH HANGUL LETTER O" },
  { 65485, "HALFWIDTH HANGUL LETTER WA" },
  { 65486, "HALFWIDTH HANGUL LETTER WAE" },
  { 65487, "HALFWIDTH HANGUL LETTER OE" },
  { 65490, "HALFWIDTH HANGUL LETTER YO" },
  { 65491, "HALFWIDTH HANGUL LETTER U" },
  { 65492, "HALFWIDTH HANGUL LETTER WEO" },
  { 65493, "HALFWIDTH HANGUL LETTER WE" },
  { 65494, "HALFWIDTH HANGUL LETTER WI" },
  { 65495, "HALFWIDTH HANGUL LETTER YU" },
  { 65498, "HALFWIDTH HANGUL LETTER EU" },
  { 65499, "HALFWIDTH HANGUL LETTER YI" },
  { 65500, "HALFWIDTH HANGUL LETTER I" },
  { 65504, "FULLWIDTH CENT SIGN" },
  { 65505, "FULLWIDTH POUND SIGN" },
  { 65506, "FULLWIDTH NOT SIGN" },
  { 65507, "FULLWIDTH MACRON" },
  { 65508, "FULLWIDTH BROKEN BAR" },
  { 65509, "FULLWIDTH YEN SIGN" },
  { 65510, "FULLWIDTH WON SIGN" },
  { 65512, "HALFWIDTH FORMS LIGHT VERTICAL" },
  { 65513, "HALFWIDTH LEFTWARDS ARROW" },
  { 65514, "HALFWIDTH UPWARDS ARROW" },
  { 65515, "HALFWIDTH RIGHTWARDS ARROW" },
  { 65516, "HALFWIDTH DOWNWARDS ARROW" },
  { 65517, "HALFWIDTH BLACK SQUARE" },
  { 65518, "HALFWIDTH WHITE CIRCLE" },
  { 65529, "INTERLINEAR ANNOTATION ANCHOR" },
  { 65530, "INTERLINEAR ANNOTATION SEPARATOR" },
  { 65531, "INTERLINEAR ANNOTATION TERMINATOR" },
  { 65532, "OBJECT REPLACEMENT CHARACTER" },
  { 65533, "REPLACEMENT CHARACTER" },
  { 0, NULL }
};
